diff -u -r -N squid-5.0.3/ChangeLog squid-5.0.4/ChangeLog
--- squid-5.0.3/ChangeLog	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/ChangeLog	2020-08-23 05:40:17.000000000 +1200
@@ -1,3 +1,14 @@
+Changes in squid-5.0.4 (23 Aug 2020):
+
+	- Bug 5054: mark dns_v4_first as obsolete in cf.data.pre
+	- Bug 5048: ResolvedPeers.cc:35: "found != paths_.end()" assertion
+	- Reforward CONNECT after TLS handshake failure with peer
+	- Do not send keep-alive in 101 (Switching Protocols) responses
+	- Add http_port sslflags=CONDITIONAL_AUTH
+	- ... and several documentation changes
+	- ... and some compile fixes
+	- ... and all fixes from 4.13
+
 Changes in squid-5.0.3 (05 Jun 2020):
 
 	- Bug 5046: FreeBSD lacks open(2) O_DSYNC flag
@@ -69,6 +80,18 @@
 	- ... and much code cleanup and polishing
 	- ... and all fixes from 4.10
 
+Changes to squid-4.13 (23 Aug 2020):
+
+	- Regression Fix: Support parsing GREASEd (and future) TLS handshakes
+	- Bug 5051: Some collapsed revalidation responses never expire
+	- HTTP: Enforce token characters for field-name
+	- HTTP: Forbid obs-fold and bare CR whitespace in framing header fields
+	- HTTP: Improve Transfer-Encoding handling
+	- WCCP: Fix GCC-10 -Wstringop-truncation failures
+	- Honor on_unsupported_protocol for intercepted https_port
+	- Fix livelocking in peerDigestHandleReply
+	- Do not stall while debugging a scan of an empty store_table
+
 Changes to squid-4.12 (05 Jun 2020):
 
 	- Regression Fix: Revert to slow search for new SMP shm pages
diff -u -r -N squid-5.0.3/compat/compat.h squid-5.0.4/compat/compat.h
--- squid-5.0.3/compat/compat.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/compat/compat.h	2020-08-23 05:40:17.000000000 +1200
@@ -114,8 +114,5 @@
  */
 #include "compat/GnuRegex.h"
 
-/* cppunit is not quite C++0x compatible yet */
-#include "compat/cppunit.h"
-
 #endif /* _SQUID_COMPAT_H */
 
diff -u -r -N squid-5.0.3/compat/os/os2.h squid-5.0.4/compat/os/os2.h
--- squid-5.0.3/compat/os/os2.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/compat/os/os2.h	2020-08-23 05:40:17.000000000 +1200
@@ -18,7 +18,7 @@
  ****************************************************************************/
 
 /*
-*  FIXME: the os2 port of bash seems to have problems checking
+*  XXX: the os2 port of bash seems to have problems checking
 *  the return codes of programs in if statements.  These options
 *  need to be overridden.
 */
diff -u -r -N squid-5.0.3/configure squid-5.0.4/configure
--- squid-5.0.3/configure	2020-06-09 18:58:26.000000000 +1200
+++ squid-5.0.4/configure	2020-08-23 05:39:46.000000000 +1200
@@ -1,7 +1,7 @@
 #! /bin/sh
 # From configure.ac Revision.
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for Squid Web Proxy 5.0.3.
+# Generated by GNU Autoconf 2.69 for Squid Web Proxy 5.0.4.
 #
 # Report bugs to <http://bugs.squid-cache.org/>.
 #
@@ -595,8 +595,8 @@
 # Identity of this package.
 PACKAGE_NAME='Squid Web Proxy'
 PACKAGE_TARNAME='squid'
-PACKAGE_VERSION='5.0.3'
-PACKAGE_STRING='Squid Web Proxy 5.0.3'
+PACKAGE_VERSION='5.0.4'
+PACKAGE_STRING='Squid Web Proxy 5.0.4'
 PACKAGE_BUGREPORT='http://bugs.squid-cache.org/'
 PACKAGE_URL=''
 
@@ -1662,7 +1662,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Squid Web Proxy 5.0.3 to adapt to many kinds of systems.
+\`configure' configures Squid Web Proxy 5.0.4 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1733,7 +1733,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Squid Web Proxy 5.0.3:";;
+     short | recursive ) echo "Configuration of Squid Web Proxy 5.0.4:";;
    esac
   cat <<\_ACEOF
 
@@ -2166,7 +2166,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Squid Web Proxy configure 5.0.3
+Squid Web Proxy configure 5.0.4
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -3270,7 +3270,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Squid Web Proxy $as_me 5.0.3, which was
+It was created by Squid Web Proxy $as_me 5.0.4, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   $ $0 $@
@@ -4137,7 +4137,7 @@
 
 # Define the identity of the package.
  PACKAGE='squid'
- VERSION='5.0.3'
+ VERSION='5.0.4'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -34906,7 +34906,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_auth_basic list containing double entries.
+# TODO: de-duplicate $enable_auth_basic list containing double entries.
 
 #not specified. Inherit global
 if test "x$enable_auth_basic" = "x"; then
@@ -35632,7 +35632,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_auth_digest list containing double entries.
+# TODO: de-duplicate $enable_auth_digest list containing double entries.
 
 #not specified. Inherit global
 if test "x$enable_auth_digest" = "x"; then
@@ -35781,7 +35781,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_auth_negotiate list containing double entries.
+# TODO: de-duplicate $enable_auth_negotiate list containing double entries.
 
 #not specified. Inherit global
 if test "x$enable_auth_negotiate" = "x"; then
@@ -35933,7 +35933,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_auth_ntlm list containing double entries.
+# TODO: de-duplicate $enable_auth_ntlm list containing double entries.
 
 #not specified. Inherit global
 if test "x$enable_auth_ntlm" = "x"; then
@@ -36147,7 +36147,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_log_daemon_helpers list containing double entries.
+# TODO: de-duplicate $enable_log_daemon_helpers list containing double entries.
 
 #define list of modules to build
 auto_logdaemon_modules=no
@@ -36248,7 +36248,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_external_acl_helpers list containing double entries.
+# TODO: de-duplicate $enable_external_acl_helpers list containing double entries.
 
 #define list of modules to build
 auto_ext_acl_modules=no
@@ -37240,7 +37240,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_url_rewrite_helpers list containing double entries.
+# TODO: de-duplicate $enable_url_rewrite_helpers list containing double entries.
 
 #define list of modules to build
 auto_urlrewrite_modules=no
@@ -37338,7 +37338,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_security_cert_validators list containing double entries.
+# TODO: de-duplicate $enable_security_cert_validators list containing double entries.
 
 #define list of modules to build
 auto_security_certv_modules=no
@@ -37425,7 +37425,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_security_cert_generators list containing double entries.
+# TODO: de-duplicate $enable_security_cert_generators list containing double entries.
 
 #define list of modules to build
 auto_security_modules=no
@@ -37537,7 +37537,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_storeid_rewrite_helpers list containing double entries.
+# TODO: de-duplicate $enable_storeid_rewrite_helpers list containing double entries.
 
 #define list of modules to build
 auto_storeid_modules=no
@@ -40899,7 +40899,7 @@
 $as_echo "$as_me: skipping libmalloc check for $host" >&6;}
       ;;
     *)
-      #used later. FIXME
+      # XXX: used later
       { $as_echo "$as_me:${as_lineno-$LINENO}: checking for main in -lmalloc" >&5
 $as_echo_n "checking for main in -lmalloc... " >&6; }
 if ${ac_cv_lib_malloc_main+:} false; then :
@@ -44958,7 +44958,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Squid Web Proxy $as_me 5.0.3, which was
+This file was extended by Squid Web Proxy $as_me 5.0.4, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -45024,7 +45024,7 @@
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
 ac_cs_version="\\
-Squid Web Proxy config.status 5.0.3
+Squid Web Proxy config.status 5.0.4
 configured by $0, generated by GNU Autoconf 2.69,
   with options \\"\$ac_cs_config\\"
 
diff -u -r -N squid-5.0.3/configure.ac squid-5.0.4/configure.ac
--- squid-5.0.3/configure.ac	2020-06-09 18:58:26.000000000 +1200
+++ squid-5.0.4/configure.ac	2020-08-23 05:39:46.000000000 +1200
@@ -5,7 +5,7 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-AC_INIT([Squid Web Proxy],[5.0.3],[http://bugs.squid-cache.org/],[squid])
+AC_INIT([Squid Web Proxy],[5.0.4],[http://bugs.squid-cache.org/],[squid])
 AC_PREREQ(2.61)
 AC_CONFIG_HEADERS([include/autoconf.h])
 AC_CONFIG_AUX_DIR(cfgaux)
@@ -3177,7 +3177,7 @@
       AC_MSG_NOTICE([skipping libmalloc check for $host])
       ;;
     *)
-      #used later. FIXME
+      # XXX: used later
       AC_CHECK_LIB(malloc, main)
       ;;
   esac
diff -u -r -N squid-5.0.3/contrib/url-normalizer.pl squid-5.0.4/contrib/url-normalizer.pl
--- squid-5.0.3/contrib/url-normalizer.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/contrib/url-normalizer.pl	2020-08-23 05:40:17.000000000 +1200
@@ -33,8 +33,8 @@
     $epath =~ s/%7e/~/ig;               # unescape ~
     $epath =~ s/(%[\da-f]{2})/\U$1/ig;  # capitalize escape digits
     if ($url->scheme =~ /^(http|ftp)$/) {
-	$epath =~ s:/\./:/:g;           # safe?
-	$epath =~ s://:/:g;             # safe?
+        $epath =~ s:/\./:/:g;           # safe?
+        $epath =~ s://:/:g;             # safe?
     }
     $url->epath($epath);
 
@@ -49,10 +49,10 @@
 
 BEGIN {
     unless (URI::URL::implementor('cache_object')) {
-	package cache_object;
-	@cache_object::ISA = (URI::URL::implementor());
-	URI::URL::implementor('cache_object', 'cache_object');
+        package cache_object;
+        @cache_object::ISA = (URI::URL::implementor());
+        URI::URL::implementor('cache_object', 'cache_object');
 
-	sub default_port { 3128 }
+        sub default_port { 3128 }
     }
 }
diff -u -r -N squid-5.0.3/contrib/user-agents.pl squid-5.0.4/contrib/user-agents.pl
--- squid-5.0.3/contrib/user-agents.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/contrib/user-agents.pl	2020-08-23 05:40:17.000000000 +1200
@@ -17,20 +17,20 @@
 open (ACCESS, "/opt/Squid/logs/useragent.0");
 
 while (<ACCESS>) {
-	($host, $timestamp, $agent) = 
-	/^(\S+) \[(.+)\] \"(.+)\"\s/;
-	if ($agent ne '-') {
-		if ($opt_M) {
-		 	$agent =~ tr/\// /;
-			$agent =~ tr/\(/ /;
-		}
-		if ($opt_F) {
-			next unless $seen{$agent}++;
-		} else {
-			@inline=split(/ /, $agent);
-			next unless $seen{$inline[0]}++;
-		}
-	}
+    ($host, $timestamp, $agent) =
+        /^(\S+) \[(.+)\] \"(.+)\"\s/;
+    if ($agent ne '-') {
+        if ($opt_M) {
+            $agent =~ tr/\// /;
+            $agent =~ tr/\(/ /;
+        }
+        if ($opt_F) {
+            next unless $seen{$agent}++;
+        } else {
+            @inline=split(/ /, $agent);
+            next unless $seen{$inline[0]}++;
+        }
+    }
 }
 
 $total=0;
@@ -39,12 +39,12 @@
 print "Summary of User-Agent Strings\n(greater than $opt_L percent)\n\n";
 
 foreach $browser (keys(%seen)) {
-        $total=$total+$seen{$browser};
+    $total=$total+$seen{$browser};
 }
 
 foreach $browser (sort keys(%seen)) {
-	$percent=$seen{$browser}/$total*100;
-	if ($percent >= $opt_L) { write; }
+    $percent=$seen{$browser}/$total*100;
+    if ($percent >= $opt_L) { write; }
 }
 
 print "\n\nTotal entries in log = $total\n";
diff -u -r -N squid-5.0.3/doc/manuals/language.am squid-5.0.4/doc/manuals/language.am
--- squid-5.0.3/doc/manuals/language.am	1970-01-01 12:00:00.000000000 +1200
+++ squid-5.0.4/doc/manuals/language.am	2020-08-23 05:40:17.000000000 +1200
@@ -0,0 +1,21 @@
+##
+## Copyright (C) 1996-2020 The Squid Software Foundation and contributors
+##
+## Squid software is distributed under GPLv2+ license and includes
+## contributions from numerous individuals and organizations.
+## Please see the COPYING and CONTRIBUTORS files for details.
+##
+
+TRANSLATE_LANGUAGES = \
+    ar.lang \
+    cs.lang \
+    de.lang \
+    en_AU.lang \
+    en.lang \
+    es.lang \
+    fr.lang \
+    it.lang \
+    oc.lang \
+    pt.lang \
+    ro.lang \
+    ru.lang
diff -u -r -N squid-5.0.3/doc/manuals/language.list squid-5.0.4/doc/manuals/language.list
--- squid-5.0.3/doc/manuals/language.list	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/doc/manuals/language.list	1970-01-01 12:00:00.000000000 +1200
@@ -1,21 +0,0 @@
-##
-## Copyright (C) 1996-2020 The Squid Software Foundation and contributors
-##
-## Squid software is distributed under GPLv2+ license and includes
-## contributions from numerous individuals and organizations.
-## Please see the COPYING and CONTRIBUTORS files for details.
-##
-
-TRANSLATE_LANGUAGES= \
-    ar.lang \
-    cs.lang \
-    de.lang \
-    en_AU.lang \
-    en.lang \
-    es.lang \
-    fr.lang \
-    it.lang \
-    oc.lang \
-    pt.lang \
-    ro.lang \
-    ru.lang 
diff -u -r -N squid-5.0.3/doc/manuals/Makefile.am squid-5.0.4/doc/manuals/Makefile.am
--- squid-5.0.3/doc/manuals/Makefile.am	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/doc/manuals/Makefile.am	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 ## None of the .po or .pot are distributed for builds at this stage.
 ##
 
-include $(srcdir)/language.list
+include $(srcdir)/language.am
 
 EXTRA_DIST = \
-	language.list
+	language.am
diff -u -r -N squid-5.0.3/doc/manuals/Makefile.in squid-5.0.4/doc/manuals/Makefile.in
--- squid-5.0.3/doc/manuals/Makefile.in	2020-06-09 18:58:20.000000000 +1200
+++ squid-5.0.4/doc/manuals/Makefile.in	2020-08-23 05:39:41.000000000 +1200
@@ -179,7 +179,7 @@
     *) (install-info --version) >/dev/null 2>&1;; \
   esac
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
-am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/language.list
+am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/language.am
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
@@ -426,15 +426,15 @@
     oc.lang \
     pt.lang \
     ro.lang \
-    ru.lang 
+    ru.lang
 
 EXTRA_DIST = \
-	language.list
+	language.am
 
 all: all-am
 
 .SUFFIXES:
-$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/language.list $(am__configure_deps)
+$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/language.am $(am__configure_deps)
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
 	    *$$dep*) \
@@ -454,7 +454,7 @@
 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
 	esac;
-$(srcdir)/language.list $(am__empty):
+$(srcdir)/language.am $(am__empty):
 
 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
diff -u -r -N squid-5.0.3/doc/release-notes/release-5.html squid-5.0.4/doc/release-notes/release-5.html
--- squid-5.0.3/doc/release-notes/release-5.html	2020-06-09 19:09:17.000000000 +1200
+++ squid-5.0.4/doc/release-notes/release-5.html	2020-08-23 05:50:01.000000000 +1200
@@ -1,12 +1,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
 <HTML>
 <HEAD>
- <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.80">
+ <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.82">
  <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
- <TITLE>Squid 5.0.3 release notes</TITLE>
+ <TITLE>Squid 5.0.4 release notes</TITLE>
 </HEAD>
 <BODY>
-<H1>Squid 5.0.3 release notes</H1>
+<H1>Squid 5.0.4 release notes</H1>
 
 <H2>Squid Developers</H2>
 <HR>
@@ -61,7 +61,7 @@
 <HR>
 <H2><A NAME="s1">1.</A> <A HREF="#toc1">Notice</A></H2>
 
-<P>The Squid Team are pleased to announce the release of Squid-5.0.3 for testing.</P>
+<P>The Squid Team are pleased to announce the release of Squid-5.0.4 for testing.</P>
 <P>This new release is available for download from 
 <A HREF="http://www.squid-cache.org/Versions/v5/">http://www.squid-cache.org/Versions/v5/</A> or the
 <A HREF="http://www.squid-cache.org/Download/http-mirrors.html">mirrors</A>.</P>
@@ -330,6 +330,10 @@
 <P>New <EM>worker-queues</EM> option to have TCP stack maintain dedicated
 listening queue for each worker in SMP.</P>
 
+<DT><B>https_port</B><DD>
+<P>New <EM>CONDITIONAL_AUTH</EM> flag for <EM>sslflags=</EM> option to
+request client certificate(s) but not reject clients without any.</P>
+
 <DT><B>logformat</B><DD>
 <P>New <EM>ssl::&lt;cert</EM> macro code to display received server X.509
 certificate in PEM format.</P>
diff -u -r -N squid-5.0.3/errors/af/ERR_ACCESS_DENIED squid-5.0.4/errors/af/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/af/ERR_ACCESS_DENIED	2020-06-09 18:59:13.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_ACCESS_DENIED	2020-08-23 05:40:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/af/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/af/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 18:59:14.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:40:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_AGENT_CONFIGURE squid-5.0.4/errors/af/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/af/ERR_AGENT_CONFIGURE	2020-06-09 18:59:14.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_AGENT_CONFIGURE	2020-08-23 05:40:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Die opstelling van u webblaaier moet reggestel word om hierdie netwerk te gebruik.</p>
 </blockquote>
 
 <p>Hoe om hierdie instellings in die blaaier te vind:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Nutsgoed -&gt; Opsies -&gt; Gevorderd -&gt; Netwerk -&gt; Verbinding</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/af/ERR_AGENT_WPAD squid-5.0.4/errors/af/ERR_AGENT_WPAD
--- squid-5.0.3/errors/af/ERR_AGENT_WPAD	2020-06-09 18:59:14.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_AGENT_WPAD	2020-08-23 05:40:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Die opstelling van u webblaaier moet reggestel word om hierdie netwerk te gebruik.</p>
 </blockquote>
 
 <p>Hoe om hierdie instellings in die blaaier te vind:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Nutsgoed -&gt; Opsies -&gt; Gevorderd -&gt; Netwerk -&gt; Verbinding</li>
 <li>Kies "Outospeur instaanopstelling vir hierdie netwerk"</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/af/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/af/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/af/ERR_CACHE_ACCESS_DENIED	2020-06-09 18:59:15.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:40:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/af/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/af/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 18:59:15.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:40:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_CANNOT_FORWARD squid-5.0.4/errors/af/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/af/ERR_CANNOT_FORWARD	2020-06-09 18:59:15.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_CANNOT_FORWARD	2020-08-23 05:40:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_CONFLICT_HOST squid-5.0.4/errors/af/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/af/ERR_CONFLICT_HOST	2020-06-09 18:59:16.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_CONFLICT_HOST	2020-08-23 05:40:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_CONNECT_FAIL squid-5.0.4/errors/af/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/af/ERR_CONNECT_FAIL	2020-06-09 18:59:16.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_CONNECT_FAIL	2020-08-23 05:40:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_DIR_LISTING squid-5.0.4/errors/af/ERR_DIR_LISTING
--- squid-5.0.3/errors/af/ERR_DIR_LISTING	2020-06-09 18:59:16.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_DIR_LISTING	2020-08-23 05:40:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_DNS_FAIL squid-5.0.4/errors/af/ERR_DNS_FAIL
--- squid-5.0.3/errors/af/ERR_DNS_FAIL	2020-06-09 18:59:17.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_DNS_FAIL	2020-08-23 05:40:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_ESI squid-5.0.4/errors/af/ERR_ESI
--- squid-5.0.3/errors/af/ERR_ESI	2020-06-09 18:59:17.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_ESI	2020-08-23 05:40:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_FORWARDING_DENIED squid-5.0.4/errors/af/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/af/ERR_FORWARDING_DENIED	2020-06-09 18:59:17.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_FORWARDING_DENIED	2020-08-23 05:40:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_FTP_DISABLED squid-5.0.4/errors/af/ERR_FTP_DISABLED
--- squid-5.0.3/errors/af/ERR_FTP_DISABLED	2020-06-09 18:59:18.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_FTP_DISABLED	2020-08-23 05:40:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_FTP_FAILURE squid-5.0.4/errors/af/ERR_FTP_FAILURE
--- squid-5.0.3/errors/af/ERR_FTP_FAILURE	2020-06-09 18:59:18.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_FTP_FAILURE	2020-08-23 05:40:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_FTP_FORBIDDEN squid-5.0.4/errors/af/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/af/ERR_FTP_FORBIDDEN	2020-06-09 18:59:19.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_FTP_FORBIDDEN	2020-08-23 05:40:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_FTP_NOT_FOUND squid-5.0.4/errors/af/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/af/ERR_FTP_NOT_FOUND	2020-06-09 18:59:19.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_FTP_NOT_FOUND	2020-08-23 05:40:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_FTP_PUT_CREATED squid-5.0.4/errors/af/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/af/ERR_FTP_PUT_CREATED	2020-06-09 18:59:19.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_FTP_PUT_CREATED	2020-08-23 05:40:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_FTP_PUT_ERROR squid-5.0.4/errors/af/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/af/ERR_FTP_PUT_ERROR	2020-06-09 18:59:20.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_FTP_PUT_ERROR	2020-08-23 05:40:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/af/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/af/ERR_FTP_PUT_MODIFIED	2020-06-09 18:59:20.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_FTP_PUT_MODIFIED	2020-08-23 05:40:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/af/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/af/ERR_FTP_UNAVAILABLE	2020-06-09 18:59:20.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_FTP_UNAVAILABLE	2020-08-23 05:40:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_GATEWAY_FAILURE squid-5.0.4/errors/af/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/af/ERR_GATEWAY_FAILURE	2020-06-09 18:59:21.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_GATEWAY_FAILURE	2020-08-23 05:40:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_ICAP_FAILURE squid-5.0.4/errors/af/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/af/ERR_ICAP_FAILURE	2020-06-09 18:59:21.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_ICAP_FAILURE	2020-08-23 05:40:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_INVALID_REQ squid-5.0.4/errors/af/ERR_INVALID_REQ
--- squid-5.0.3/errors/af/ERR_INVALID_REQ	2020-06-09 18:59:21.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_INVALID_REQ	2020-08-23 05:40:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_INVALID_RESP squid-5.0.4/errors/af/ERR_INVALID_RESP
--- squid-5.0.3/errors/af/ERR_INVALID_RESP	2020-06-09 18:59:22.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_INVALID_RESP	2020-08-23 05:40:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_INVALID_URL squid-5.0.4/errors/af/ERR_INVALID_URL
--- squid-5.0.3/errors/af/ERR_INVALID_URL	2020-06-09 18:59:22.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_INVALID_URL	2020-08-23 05:40:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_LIFETIME_EXP squid-5.0.4/errors/af/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/af/ERR_LIFETIME_EXP	2020-06-09 18:59:22.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_LIFETIME_EXP	2020-08-23 05:40:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_NO_RELAY squid-5.0.4/errors/af/ERR_NO_RELAY
--- squid-5.0.3/errors/af/ERR_NO_RELAY	2020-06-09 18:59:23.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_NO_RELAY	2020-08-23 05:40:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/af/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/af/ERR_ONLY_IF_CACHED_MISS	2020-06-09 18:59:23.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:40:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_PRECONDITION_FAILED squid-5.0.4/errors/af/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/af/ERR_PRECONDITION_FAILED	2020-06-09 18:59:23.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_PRECONDITION_FAILED	2020-08-23 05:40:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/af/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/af/ERR_PROTOCOL_UNKNOWN	2020-06-09 18:59:24.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:40:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_READ_ERROR squid-5.0.4/errors/af/ERR_READ_ERROR
--- squid-5.0.3/errors/af/ERR_READ_ERROR	2020-06-09 18:59:24.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_READ_ERROR	2020-08-23 05:40:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_READ_TIMEOUT squid-5.0.4/errors/af/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/af/ERR_READ_TIMEOUT	2020-06-09 18:59:24.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_READ_TIMEOUT	2020-08-23 05:40:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/af/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/af/ERR_SECURE_CONNECT_FAIL	2020-06-09 18:59:25.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:40:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_SHUTTING_DOWN squid-5.0.4/errors/af/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/af/ERR_SHUTTING_DOWN	2020-06-09 18:59:25.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_SHUTTING_DOWN	2020-08-23 05:40:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_SOCKET_FAILURE squid-5.0.4/errors/af/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/af/ERR_SOCKET_FAILURE	2020-06-09 18:59:25.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_SOCKET_FAILURE	2020-08-23 05:40:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_TOO_BIG squid-5.0.4/errors/af/ERR_TOO_BIG
--- squid-5.0.3/errors/af/ERR_TOO_BIG	2020-06-09 18:59:26.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_TOO_BIG	2020-08-23 05:40:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/af/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/af/ERR_UNSUP_HTTPVERSION	2020-06-09 18:59:26.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_UNSUP_HTTPVERSION	2020-08-23 05:40:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_UNSUP_REQ squid-5.0.4/errors/af/ERR_UNSUP_REQ
--- squid-5.0.3/errors/af/ERR_UNSUP_REQ	2020-06-09 18:59:26.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_UNSUP_REQ	2020-08-23 05:40:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_URN_RESOLVE squid-5.0.4/errors/af/ERR_URN_RESOLVE
--- squid-5.0.3/errors/af/ERR_URN_RESOLVE	2020-06-09 18:59:27.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_URN_RESOLVE	2020-08-23 05:40:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_WRITE_ERROR squid-5.0.4/errors/af/ERR_WRITE_ERROR
--- squid-5.0.3/errors/af/ERR_WRITE_ERROR	2020-06-09 18:59:27.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_WRITE_ERROR	2020-08-23 05:40:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/af/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/af/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/af/ERR_ZERO_SIZE_OBJECT	2020-06-09 18:59:27.000000000 +1200
+++ squid-5.0.4/errors/af/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:40:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_ACCESS_DENIED squid-5.0.4/errors/ar/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/ar/ERR_ACCESS_DENIED	2020-06-09 18:59:28.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_ACCESS_DENIED	2020-08-23 05:40:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/ar/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/ar/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 18:59:28.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:40:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_AGENT_CONFIGURE squid-5.0.4/errors/ar/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/ar/ERR_AGENT_CONFIGURE	2020-06-09 18:59:28.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_AGENT_CONFIGURE	2020-08-23 05:40:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ar/ERR_AGENT_WPAD squid-5.0.4/errors/ar/ERR_AGENT_WPAD
--- squid-5.0.3/errors/ar/ERR_AGENT_WPAD	2020-06-09 18:59:29.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_AGENT_WPAD	2020-08-23 05:40:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ar/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/ar/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/ar/ERR_CACHE_ACCESS_DENIED	2020-06-09 18:59:29.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:40:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/ar/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/ar/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 18:59:29.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:40:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_CANNOT_FORWARD squid-5.0.4/errors/ar/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/ar/ERR_CANNOT_FORWARD	2020-06-09 18:59:30.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_CANNOT_FORWARD	2020-08-23 05:40:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_CONFLICT_HOST squid-5.0.4/errors/ar/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/ar/ERR_CONFLICT_HOST	2020-06-09 18:59:30.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_CONFLICT_HOST	2020-08-23 05:40:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_CONNECT_FAIL squid-5.0.4/errors/ar/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/ar/ERR_CONNECT_FAIL	2020-06-09 18:59:30.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_CONNECT_FAIL	2020-08-23 05:40:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_DIR_LISTING squid-5.0.4/errors/ar/ERR_DIR_LISTING
--- squid-5.0.3/errors/ar/ERR_DIR_LISTING	2020-06-09 18:59:31.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_DIR_LISTING	2020-08-23 05:40:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_DNS_FAIL squid-5.0.4/errors/ar/ERR_DNS_FAIL
--- squid-5.0.3/errors/ar/ERR_DNS_FAIL	2020-06-09 18:59:31.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_DNS_FAIL	2020-08-23 05:40:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_ESI squid-5.0.4/errors/ar/ERR_ESI
--- squid-5.0.3/errors/ar/ERR_ESI	2020-06-09 18:59:31.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_ESI	2020-08-23 05:40:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_FORWARDING_DENIED squid-5.0.4/errors/ar/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/ar/ERR_FORWARDING_DENIED	2020-06-09 18:59:32.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_FORWARDING_DENIED	2020-08-23 05:40:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_FTP_DISABLED squid-5.0.4/errors/ar/ERR_FTP_DISABLED
--- squid-5.0.3/errors/ar/ERR_FTP_DISABLED	2020-06-09 18:59:32.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_FTP_DISABLED	2020-08-23 05:40:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_FTP_FAILURE squid-5.0.4/errors/ar/ERR_FTP_FAILURE
--- squid-5.0.3/errors/ar/ERR_FTP_FAILURE	2020-06-09 18:59:32.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_FTP_FAILURE	2020-08-23 05:40:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_FTP_FORBIDDEN squid-5.0.4/errors/ar/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/ar/ERR_FTP_FORBIDDEN	2020-06-09 18:59:33.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_FTP_FORBIDDEN	2020-08-23 05:40:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_FTP_NOT_FOUND squid-5.0.4/errors/ar/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/ar/ERR_FTP_NOT_FOUND	2020-06-09 18:59:33.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_FTP_NOT_FOUND	2020-08-23 05:40:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_FTP_PUT_CREATED squid-5.0.4/errors/ar/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/ar/ERR_FTP_PUT_CREATED	2020-06-09 18:59:33.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_FTP_PUT_CREATED	2020-08-23 05:40:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_FTP_PUT_ERROR squid-5.0.4/errors/ar/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/ar/ERR_FTP_PUT_ERROR	2020-06-09 18:59:34.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_FTP_PUT_ERROR	2020-08-23 05:40:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/ar/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/ar/ERR_FTP_PUT_MODIFIED	2020-06-09 18:59:34.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_FTP_PUT_MODIFIED	2020-08-23 05:40:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/ar/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/ar/ERR_FTP_UNAVAILABLE	2020-06-09 18:59:34.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_FTP_UNAVAILABLE	2020-08-23 05:40:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_GATEWAY_FAILURE squid-5.0.4/errors/ar/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/ar/ERR_GATEWAY_FAILURE	2020-06-09 18:59:35.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_GATEWAY_FAILURE	2020-08-23 05:40:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_ICAP_FAILURE squid-5.0.4/errors/ar/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/ar/ERR_ICAP_FAILURE	2020-06-09 18:59:35.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_ICAP_FAILURE	2020-08-23 05:40:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_INVALID_REQ squid-5.0.4/errors/ar/ERR_INVALID_REQ
--- squid-5.0.3/errors/ar/ERR_INVALID_REQ	2020-06-09 18:59:35.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_INVALID_REQ	2020-08-23 05:40:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_INVALID_RESP squid-5.0.4/errors/ar/ERR_INVALID_RESP
--- squid-5.0.3/errors/ar/ERR_INVALID_RESP	2020-06-09 18:59:36.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_INVALID_RESP	2020-08-23 05:40:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_INVALID_URL squid-5.0.4/errors/ar/ERR_INVALID_URL
--- squid-5.0.3/errors/ar/ERR_INVALID_URL	2020-06-09 18:59:36.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_INVALID_URL	2020-08-23 05:40:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_LIFETIME_EXP squid-5.0.4/errors/ar/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/ar/ERR_LIFETIME_EXP	2020-06-09 18:59:36.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_LIFETIME_EXP	2020-08-23 05:40:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_NO_RELAY squid-5.0.4/errors/ar/ERR_NO_RELAY
--- squid-5.0.3/errors/ar/ERR_NO_RELAY	2020-06-09 18:59:37.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_NO_RELAY	2020-08-23 05:40:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/ar/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/ar/ERR_ONLY_IF_CACHED_MISS	2020-06-09 18:59:37.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:40:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_PRECONDITION_FAILED squid-5.0.4/errors/ar/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/ar/ERR_PRECONDITION_FAILED	2020-06-09 18:59:37.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_PRECONDITION_FAILED	2020-08-23 05:40:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/ar/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/ar/ERR_PROTOCOL_UNKNOWN	2020-06-09 18:59:38.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:40:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_READ_ERROR squid-5.0.4/errors/ar/ERR_READ_ERROR
--- squid-5.0.3/errors/ar/ERR_READ_ERROR	2020-06-09 18:59:38.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_READ_ERROR	2020-08-23 05:40:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_READ_TIMEOUT squid-5.0.4/errors/ar/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/ar/ERR_READ_TIMEOUT	2020-06-09 18:59:38.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_READ_TIMEOUT	2020-08-23 05:40:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/ar/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/ar/ERR_SECURE_CONNECT_FAIL	2020-06-09 18:59:39.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:40:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_SHUTTING_DOWN squid-5.0.4/errors/ar/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/ar/ERR_SHUTTING_DOWN	2020-06-09 18:59:39.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_SHUTTING_DOWN	2020-08-23 05:40:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_SOCKET_FAILURE squid-5.0.4/errors/ar/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/ar/ERR_SOCKET_FAILURE	2020-06-09 18:59:39.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_SOCKET_FAILURE	2020-08-23 05:40:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_TOO_BIG squid-5.0.4/errors/ar/ERR_TOO_BIG
--- squid-5.0.3/errors/ar/ERR_TOO_BIG	2020-06-09 18:59:40.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_TOO_BIG	2020-08-23 05:40:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/ar/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/ar/ERR_UNSUP_HTTPVERSION	2020-06-09 18:59:40.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_UNSUP_HTTPVERSION	2020-08-23 05:40:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_UNSUP_REQ squid-5.0.4/errors/ar/ERR_UNSUP_REQ
--- squid-5.0.3/errors/ar/ERR_UNSUP_REQ	2020-06-09 18:59:40.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_UNSUP_REQ	2020-08-23 05:40:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_URN_RESOLVE squid-5.0.4/errors/ar/ERR_URN_RESOLVE
--- squid-5.0.3/errors/ar/ERR_URN_RESOLVE	2020-06-09 18:59:41.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_URN_RESOLVE	2020-08-23 05:40:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_WRITE_ERROR squid-5.0.4/errors/ar/ERR_WRITE_ERROR
--- squid-5.0.3/errors/ar/ERR_WRITE_ERROR	2020-06-09 18:59:41.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_WRITE_ERROR	2020-08-23 05:40:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ar/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/ar/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/ar/ERR_ZERO_SIZE_OBJECT	2020-06-09 18:59:41.000000000 +1200
+++ squid-5.0.4/errors/ar/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:40:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_ACCESS_DENIED squid-5.0.4/errors/az/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/az/ERR_ACCESS_DENIED	2020-06-09 18:59:42.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_ACCESS_DENIED	2020-08-23 05:40:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/az/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/az/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 18:59:42.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:40:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_AGENT_CONFIGURE squid-5.0.4/errors/az/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/az/ERR_AGENT_CONFIGURE	2020-06-09 18:59:42.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_AGENT_CONFIGURE	2020-08-23 05:40:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/az/ERR_AGENT_WPAD squid-5.0.4/errors/az/ERR_AGENT_WPAD
--- squid-5.0.3/errors/az/ERR_AGENT_WPAD	2020-06-09 18:59:43.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_AGENT_WPAD	2020-08-23 05:40:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/az/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/az/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/az/ERR_CACHE_ACCESS_DENIED	2020-06-09 18:59:43.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:40:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/az/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/az/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 18:59:43.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:40:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_CANNOT_FORWARD squid-5.0.4/errors/az/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/az/ERR_CANNOT_FORWARD	2020-06-09 18:59:44.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_CANNOT_FORWARD	2020-08-23 05:40:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_CONFLICT_HOST squid-5.0.4/errors/az/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/az/ERR_CONFLICT_HOST	2020-06-09 18:59:44.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_CONFLICT_HOST	2020-08-23 05:40:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_CONNECT_FAIL squid-5.0.4/errors/az/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/az/ERR_CONNECT_FAIL	2020-06-09 18:59:44.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_CONNECT_FAIL	2020-08-23 05:40:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_DIR_LISTING squid-5.0.4/errors/az/ERR_DIR_LISTING
--- squid-5.0.3/errors/az/ERR_DIR_LISTING	2020-06-09 18:59:45.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_DIR_LISTING	2020-08-23 05:40:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_DNS_FAIL squid-5.0.4/errors/az/ERR_DNS_FAIL
--- squid-5.0.3/errors/az/ERR_DNS_FAIL	2020-06-09 18:59:45.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_DNS_FAIL	2020-08-23 05:40:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_ESI squid-5.0.4/errors/az/ERR_ESI
--- squid-5.0.3/errors/az/ERR_ESI	2020-06-09 18:59:45.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_ESI	2020-08-23 05:40:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_FORWARDING_DENIED squid-5.0.4/errors/az/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/az/ERR_FORWARDING_DENIED	2020-06-09 18:59:46.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_FORWARDING_DENIED	2020-08-23 05:40:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_FTP_DISABLED squid-5.0.4/errors/az/ERR_FTP_DISABLED
--- squid-5.0.3/errors/az/ERR_FTP_DISABLED	2020-06-09 18:59:46.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_FTP_DISABLED	2020-08-23 05:40:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_FTP_FAILURE squid-5.0.4/errors/az/ERR_FTP_FAILURE
--- squid-5.0.3/errors/az/ERR_FTP_FAILURE	2020-06-09 18:59:46.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_FTP_FAILURE	2020-08-23 05:40:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_FTP_FORBIDDEN squid-5.0.4/errors/az/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/az/ERR_FTP_FORBIDDEN	2020-06-09 18:59:47.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_FTP_FORBIDDEN	2020-08-23 05:40:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_FTP_NOT_FOUND squid-5.0.4/errors/az/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/az/ERR_FTP_NOT_FOUND	2020-06-09 18:59:47.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_FTP_NOT_FOUND	2020-08-23 05:40:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_FTP_PUT_CREATED squid-5.0.4/errors/az/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/az/ERR_FTP_PUT_CREATED	2020-06-09 18:59:47.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_FTP_PUT_CREATED	2020-08-23 05:40:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_FTP_PUT_ERROR squid-5.0.4/errors/az/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/az/ERR_FTP_PUT_ERROR	2020-06-09 18:59:48.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_FTP_PUT_ERROR	2020-08-23 05:40:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/az/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/az/ERR_FTP_PUT_MODIFIED	2020-06-09 18:59:48.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_FTP_PUT_MODIFIED	2020-08-23 05:40:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/az/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/az/ERR_FTP_UNAVAILABLE	2020-06-09 18:59:48.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_FTP_UNAVAILABLE	2020-08-23 05:40:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_GATEWAY_FAILURE squid-5.0.4/errors/az/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/az/ERR_GATEWAY_FAILURE	2020-06-09 18:59:49.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_GATEWAY_FAILURE	2020-08-23 05:40:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_ICAP_FAILURE squid-5.0.4/errors/az/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/az/ERR_ICAP_FAILURE	2020-06-09 18:59:49.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_ICAP_FAILURE	2020-08-23 05:40:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_INVALID_REQ squid-5.0.4/errors/az/ERR_INVALID_REQ
--- squid-5.0.3/errors/az/ERR_INVALID_REQ	2020-06-09 18:59:49.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_INVALID_REQ	2020-08-23 05:40:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_INVALID_RESP squid-5.0.4/errors/az/ERR_INVALID_RESP
--- squid-5.0.3/errors/az/ERR_INVALID_RESP	2020-06-09 18:59:50.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_INVALID_RESP	2020-08-23 05:40:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_INVALID_URL squid-5.0.4/errors/az/ERR_INVALID_URL
--- squid-5.0.3/errors/az/ERR_INVALID_URL	2020-06-09 18:59:50.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_INVALID_URL	2020-08-23 05:40:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_LIFETIME_EXP squid-5.0.4/errors/az/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/az/ERR_LIFETIME_EXP	2020-06-09 18:59:50.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_LIFETIME_EXP	2020-08-23 05:40:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_NO_RELAY squid-5.0.4/errors/az/ERR_NO_RELAY
--- squid-5.0.3/errors/az/ERR_NO_RELAY	2020-06-09 18:59:51.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_NO_RELAY	2020-08-23 05:40:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/az/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/az/ERR_ONLY_IF_CACHED_MISS	2020-06-09 18:59:51.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:40:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_PRECONDITION_FAILED squid-5.0.4/errors/az/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/az/ERR_PRECONDITION_FAILED	2020-06-09 18:59:51.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_PRECONDITION_FAILED	2020-08-23 05:40:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/az/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/az/ERR_PROTOCOL_UNKNOWN	2020-06-09 18:59:52.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:40:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_READ_ERROR squid-5.0.4/errors/az/ERR_READ_ERROR
--- squid-5.0.3/errors/az/ERR_READ_ERROR	2020-06-09 18:59:52.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_READ_ERROR	2020-08-23 05:40:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_READ_TIMEOUT squid-5.0.4/errors/az/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/az/ERR_READ_TIMEOUT	2020-06-09 18:59:52.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_READ_TIMEOUT	2020-08-23 05:40:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/az/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/az/ERR_SECURE_CONNECT_FAIL	2020-06-09 18:59:53.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:40:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_SHUTTING_DOWN squid-5.0.4/errors/az/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/az/ERR_SHUTTING_DOWN	2020-06-09 18:59:53.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_SHUTTING_DOWN	2020-08-23 05:40:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_SOCKET_FAILURE squid-5.0.4/errors/az/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/az/ERR_SOCKET_FAILURE	2020-06-09 18:59:53.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_SOCKET_FAILURE	2020-08-23 05:40:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_TOO_BIG squid-5.0.4/errors/az/ERR_TOO_BIG
--- squid-5.0.3/errors/az/ERR_TOO_BIG	2020-06-09 18:59:54.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_TOO_BIG	2020-08-23 05:40:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/az/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/az/ERR_UNSUP_HTTPVERSION	2020-06-09 18:59:54.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_UNSUP_HTTPVERSION	2020-08-23 05:40:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_UNSUP_REQ squid-5.0.4/errors/az/ERR_UNSUP_REQ
--- squid-5.0.3/errors/az/ERR_UNSUP_REQ	2020-06-09 18:59:54.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_UNSUP_REQ	2020-08-23 05:40:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_URN_RESOLVE squid-5.0.4/errors/az/ERR_URN_RESOLVE
--- squid-5.0.3/errors/az/ERR_URN_RESOLVE	2020-06-09 18:59:55.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_URN_RESOLVE	2020-08-23 05:40:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_WRITE_ERROR squid-5.0.4/errors/az/ERR_WRITE_ERROR
--- squid-5.0.3/errors/az/ERR_WRITE_ERROR	2020-06-09 18:59:55.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_WRITE_ERROR	2020-08-23 05:40:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/az/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/az/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/az/ERR_ZERO_SIZE_OBJECT	2020-06-09 18:59:55.000000000 +1200
+++ squid-5.0.4/errors/az/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:40:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_ACCESS_DENIED squid-5.0.4/errors/bg/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/bg/ERR_ACCESS_DENIED	2020-06-09 18:59:56.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_ACCESS_DENIED	2020-08-23 05:40:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/bg/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/bg/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 18:59:56.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:40:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_AGENT_CONFIGURE squid-5.0.4/errors/bg/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/bg/ERR_AGENT_CONFIGURE	2020-06-09 18:59:56.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_AGENT_CONFIGURE	2020-08-23 05:40:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>Как да намерите тези настройки на Вашия браузер:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Инструменти -&gt; Опции за интернет -&gt; Връзки -&gt; LAN настройки -&gt; Прокси сървър</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/bg/ERR_AGENT_WPAD squid-5.0.4/errors/bg/ERR_AGENT_WPAD
--- squid-5.0.3/errors/bg/ERR_AGENT_WPAD	2020-06-09 18:59:57.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_AGENT_WPAD	2020-08-23 05:40:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>Как да намерите тези настройки на Вашия браузер:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Инструменти -&gt; Опции за интернет -&gt; Връзки -&gt; LAN настройки -&gt; Прокси сървър</li>
 <li>Изберете Автоматично откриване на настройките.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Изберете Използване на Автоматично конфигуриране на прокси сървър.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/bg/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/bg/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/bg/ERR_CACHE_ACCESS_DENIED	2020-06-09 18:59:57.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:40:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/bg/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/bg/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 18:59:57.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:40:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_CANNOT_FORWARD squid-5.0.4/errors/bg/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/bg/ERR_CANNOT_FORWARD	2020-06-09 18:59:58.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_CANNOT_FORWARD	2020-08-23 05:40:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_CONFLICT_HOST squid-5.0.4/errors/bg/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/bg/ERR_CONFLICT_HOST	2020-06-09 18:59:58.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_CONFLICT_HOST	2020-08-23 05:40:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_CONNECT_FAIL squid-5.0.4/errors/bg/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/bg/ERR_CONNECT_FAIL	2020-06-09 18:59:58.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_CONNECT_FAIL	2020-08-23 05:40:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_DIR_LISTING squid-5.0.4/errors/bg/ERR_DIR_LISTING
--- squid-5.0.3/errors/bg/ERR_DIR_LISTING	2020-06-09 18:59:59.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_DIR_LISTING	2020-08-23 05:41:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_DNS_FAIL squid-5.0.4/errors/bg/ERR_DNS_FAIL
--- squid-5.0.3/errors/bg/ERR_DNS_FAIL	2020-06-09 18:59:59.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_DNS_FAIL	2020-08-23 05:41:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_ESI squid-5.0.4/errors/bg/ERR_ESI
--- squid-5.0.3/errors/bg/ERR_ESI	2020-06-09 18:59:59.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_ESI	2020-08-23 05:41:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_FORWARDING_DENIED squid-5.0.4/errors/bg/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/bg/ERR_FORWARDING_DENIED	2020-06-09 19:00:00.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_FORWARDING_DENIED	2020-08-23 05:41:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_FTP_DISABLED squid-5.0.4/errors/bg/ERR_FTP_DISABLED
--- squid-5.0.3/errors/bg/ERR_FTP_DISABLED	2020-06-09 19:00:00.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_FTP_DISABLED	2020-08-23 05:41:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_FTP_FAILURE squid-5.0.4/errors/bg/ERR_FTP_FAILURE
--- squid-5.0.3/errors/bg/ERR_FTP_FAILURE	2020-06-09 19:00:00.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_FTP_FAILURE	2020-08-23 05:41:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_FTP_FORBIDDEN squid-5.0.4/errors/bg/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/bg/ERR_FTP_FORBIDDEN	2020-06-09 19:00:01.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_FTP_FORBIDDEN	2020-08-23 05:41:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_FTP_NOT_FOUND squid-5.0.4/errors/bg/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/bg/ERR_FTP_NOT_FOUND	2020-06-09 19:00:01.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_FTP_NOT_FOUND	2020-08-23 05:41:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_FTP_PUT_CREATED squid-5.0.4/errors/bg/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/bg/ERR_FTP_PUT_CREATED	2020-06-09 19:00:01.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_FTP_PUT_CREATED	2020-08-23 05:41:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_FTP_PUT_ERROR squid-5.0.4/errors/bg/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/bg/ERR_FTP_PUT_ERROR	2020-06-09 19:00:02.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_FTP_PUT_ERROR	2020-08-23 05:41:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/bg/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/bg/ERR_FTP_PUT_MODIFIED	2020-06-09 19:00:02.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_FTP_PUT_MODIFIED	2020-08-23 05:41:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/bg/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/bg/ERR_FTP_UNAVAILABLE	2020-06-09 19:00:02.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_FTP_UNAVAILABLE	2020-08-23 05:41:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_GATEWAY_FAILURE squid-5.0.4/errors/bg/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/bg/ERR_GATEWAY_FAILURE	2020-06-09 19:00:03.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_GATEWAY_FAILURE	2020-08-23 05:41:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_ICAP_FAILURE squid-5.0.4/errors/bg/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/bg/ERR_ICAP_FAILURE	2020-06-09 19:00:03.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_ICAP_FAILURE	2020-08-23 05:41:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_INVALID_REQ squid-5.0.4/errors/bg/ERR_INVALID_REQ
--- squid-5.0.3/errors/bg/ERR_INVALID_REQ	2020-06-09 19:00:03.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_INVALID_REQ	2020-08-23 05:41:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_INVALID_RESP squid-5.0.4/errors/bg/ERR_INVALID_RESP
--- squid-5.0.3/errors/bg/ERR_INVALID_RESP	2020-06-09 19:00:04.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_INVALID_RESP	2020-08-23 05:41:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_INVALID_URL squid-5.0.4/errors/bg/ERR_INVALID_URL
--- squid-5.0.3/errors/bg/ERR_INVALID_URL	2020-06-09 19:00:04.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_INVALID_URL	2020-08-23 05:41:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_LIFETIME_EXP squid-5.0.4/errors/bg/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/bg/ERR_LIFETIME_EXP	2020-06-09 19:00:04.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_LIFETIME_EXP	2020-08-23 05:41:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_NO_RELAY squid-5.0.4/errors/bg/ERR_NO_RELAY
--- squid-5.0.3/errors/bg/ERR_NO_RELAY	2020-06-09 19:00:05.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_NO_RELAY	2020-08-23 05:41:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/bg/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/bg/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:00:05.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:41:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_PRECONDITION_FAILED squid-5.0.4/errors/bg/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/bg/ERR_PRECONDITION_FAILED	2020-06-09 19:00:05.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_PRECONDITION_FAILED	2020-08-23 05:41:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/bg/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/bg/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:00:06.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:41:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_READ_ERROR squid-5.0.4/errors/bg/ERR_READ_ERROR
--- squid-5.0.3/errors/bg/ERR_READ_ERROR	2020-06-09 19:00:06.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_READ_ERROR	2020-08-23 05:41:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_READ_TIMEOUT squid-5.0.4/errors/bg/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/bg/ERR_READ_TIMEOUT	2020-06-09 19:00:06.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_READ_TIMEOUT	2020-08-23 05:41:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/bg/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/bg/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:00:07.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:41:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_SHUTTING_DOWN squid-5.0.4/errors/bg/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/bg/ERR_SHUTTING_DOWN	2020-06-09 19:00:07.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_SHUTTING_DOWN	2020-08-23 05:41:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_SOCKET_FAILURE squid-5.0.4/errors/bg/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/bg/ERR_SOCKET_FAILURE	2020-06-09 19:00:07.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_SOCKET_FAILURE	2020-08-23 05:41:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_TOO_BIG squid-5.0.4/errors/bg/ERR_TOO_BIG
--- squid-5.0.3/errors/bg/ERR_TOO_BIG	2020-06-09 19:00:08.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_TOO_BIG	2020-08-23 05:41:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/bg/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/bg/ERR_UNSUP_HTTPVERSION	2020-06-09 19:00:08.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_UNSUP_HTTPVERSION	2020-08-23 05:41:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_UNSUP_REQ squid-5.0.4/errors/bg/ERR_UNSUP_REQ
--- squid-5.0.3/errors/bg/ERR_UNSUP_REQ	2020-06-09 19:00:08.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_UNSUP_REQ	2020-08-23 05:41:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_URN_RESOLVE squid-5.0.4/errors/bg/ERR_URN_RESOLVE
--- squid-5.0.3/errors/bg/ERR_URN_RESOLVE	2020-06-09 19:00:09.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_URN_RESOLVE	2020-08-23 05:41:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_WRITE_ERROR squid-5.0.4/errors/bg/ERR_WRITE_ERROR
--- squid-5.0.3/errors/bg/ERR_WRITE_ERROR	2020-06-09 19:00:09.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_WRITE_ERROR	2020-08-23 05:41:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/bg/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/bg/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/bg/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:00:09.000000000 +1200
+++ squid-5.0.4/errors/bg/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:41:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_ACCESS_DENIED squid-5.0.4/errors/ca/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/ca/ERR_ACCESS_DENIED	2020-06-09 19:00:10.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_ACCESS_DENIED	2020-08-23 05:41:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/ca/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/ca/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:00:10.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:41:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_AGENT_CONFIGURE squid-5.0.4/errors/ca/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/ca/ERR_AGENT_CONFIGURE	2020-06-09 19:00:10.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_AGENT_CONFIGURE	2020-08-23 05:41:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ca/ERR_AGENT_WPAD squid-5.0.4/errors/ca/ERR_AGENT_WPAD
--- squid-5.0.3/errors/ca/ERR_AGENT_WPAD	2020-06-09 19:00:11.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_AGENT_WPAD	2020-08-23 05:41:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ca/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/ca/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/ca/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:00:11.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:41:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/ca/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/ca/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:00:11.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:41:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_CANNOT_FORWARD squid-5.0.4/errors/ca/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/ca/ERR_CANNOT_FORWARD	2020-06-09 19:00:12.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_CANNOT_FORWARD	2020-08-23 05:41:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_CONFLICT_HOST squid-5.0.4/errors/ca/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/ca/ERR_CONFLICT_HOST	2020-06-09 19:00:12.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_CONFLICT_HOST	2020-08-23 05:41:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_CONNECT_FAIL squid-5.0.4/errors/ca/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/ca/ERR_CONNECT_FAIL	2020-06-09 19:00:12.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_CONNECT_FAIL	2020-08-23 05:41:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_DIR_LISTING squid-5.0.4/errors/ca/ERR_DIR_LISTING
--- squid-5.0.3/errors/ca/ERR_DIR_LISTING	2020-06-09 19:00:13.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_DIR_LISTING	2020-08-23 05:41:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_DNS_FAIL squid-5.0.4/errors/ca/ERR_DNS_FAIL
--- squid-5.0.3/errors/ca/ERR_DNS_FAIL	2020-06-09 19:00:13.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_DNS_FAIL	2020-08-23 05:41:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_ESI squid-5.0.4/errors/ca/ERR_ESI
--- squid-5.0.3/errors/ca/ERR_ESI	2020-06-09 19:00:13.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_ESI	2020-08-23 05:41:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_FORWARDING_DENIED squid-5.0.4/errors/ca/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/ca/ERR_FORWARDING_DENIED	2020-06-09 19:00:14.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_FORWARDING_DENIED	2020-08-23 05:41:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_FTP_DISABLED squid-5.0.4/errors/ca/ERR_FTP_DISABLED
--- squid-5.0.3/errors/ca/ERR_FTP_DISABLED	2020-06-09 19:00:14.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_FTP_DISABLED	2020-08-23 05:41:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_FTP_FAILURE squid-5.0.4/errors/ca/ERR_FTP_FAILURE
--- squid-5.0.3/errors/ca/ERR_FTP_FAILURE	2020-06-09 19:00:14.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_FTP_FAILURE	2020-08-23 05:41:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_FTP_FORBIDDEN squid-5.0.4/errors/ca/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/ca/ERR_FTP_FORBIDDEN	2020-06-09 19:00:15.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_FTP_FORBIDDEN	2020-08-23 05:41:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_FTP_NOT_FOUND squid-5.0.4/errors/ca/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/ca/ERR_FTP_NOT_FOUND	2020-06-09 19:00:15.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_FTP_NOT_FOUND	2020-08-23 05:41:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_FTP_PUT_CREATED squid-5.0.4/errors/ca/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/ca/ERR_FTP_PUT_CREATED	2020-06-09 19:00:15.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_FTP_PUT_CREATED	2020-08-23 05:41:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_FTP_PUT_ERROR squid-5.0.4/errors/ca/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/ca/ERR_FTP_PUT_ERROR	2020-06-09 19:00:16.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_FTP_PUT_ERROR	2020-08-23 05:41:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/ca/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/ca/ERR_FTP_PUT_MODIFIED	2020-06-09 19:00:16.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_FTP_PUT_MODIFIED	2020-08-23 05:41:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/ca/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/ca/ERR_FTP_UNAVAILABLE	2020-06-09 19:00:16.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_FTP_UNAVAILABLE	2020-08-23 05:41:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_GATEWAY_FAILURE squid-5.0.4/errors/ca/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/ca/ERR_GATEWAY_FAILURE	2020-06-09 19:00:17.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_GATEWAY_FAILURE	2020-08-23 05:41:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_ICAP_FAILURE squid-5.0.4/errors/ca/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/ca/ERR_ICAP_FAILURE	2020-06-09 19:00:17.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_ICAP_FAILURE	2020-08-23 05:41:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_INVALID_REQ squid-5.0.4/errors/ca/ERR_INVALID_REQ
--- squid-5.0.3/errors/ca/ERR_INVALID_REQ	2020-06-09 19:00:17.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_INVALID_REQ	2020-08-23 05:41:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_INVALID_RESP squid-5.0.4/errors/ca/ERR_INVALID_RESP
--- squid-5.0.3/errors/ca/ERR_INVALID_RESP	2020-06-09 19:00:18.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_INVALID_RESP	2020-08-23 05:41:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_INVALID_URL squid-5.0.4/errors/ca/ERR_INVALID_URL
--- squid-5.0.3/errors/ca/ERR_INVALID_URL	2020-06-09 19:00:18.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_INVALID_URL	2020-08-23 05:41:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_LIFETIME_EXP squid-5.0.4/errors/ca/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/ca/ERR_LIFETIME_EXP	2020-06-09 19:00:18.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_LIFETIME_EXP	2020-08-23 05:41:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_NO_RELAY squid-5.0.4/errors/ca/ERR_NO_RELAY
--- squid-5.0.3/errors/ca/ERR_NO_RELAY	2020-06-09 19:00:19.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_NO_RELAY	2020-08-23 05:41:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/ca/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/ca/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:00:19.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:41:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_PRECONDITION_FAILED squid-5.0.4/errors/ca/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/ca/ERR_PRECONDITION_FAILED	2020-06-09 19:00:19.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_PRECONDITION_FAILED	2020-08-23 05:41:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/ca/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/ca/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:00:20.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:41:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_READ_ERROR squid-5.0.4/errors/ca/ERR_READ_ERROR
--- squid-5.0.3/errors/ca/ERR_READ_ERROR	2020-06-09 19:00:20.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_READ_ERROR	2020-08-23 05:41:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_READ_TIMEOUT squid-5.0.4/errors/ca/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/ca/ERR_READ_TIMEOUT	2020-06-09 19:00:21.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_READ_TIMEOUT	2020-08-23 05:41:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/ca/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/ca/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:00:21.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:41:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_SHUTTING_DOWN squid-5.0.4/errors/ca/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/ca/ERR_SHUTTING_DOWN	2020-06-09 19:00:21.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_SHUTTING_DOWN	2020-08-23 05:41:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_SOCKET_FAILURE squid-5.0.4/errors/ca/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/ca/ERR_SOCKET_FAILURE	2020-06-09 19:00:22.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_SOCKET_FAILURE	2020-08-23 05:41:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_TOO_BIG squid-5.0.4/errors/ca/ERR_TOO_BIG
--- squid-5.0.3/errors/ca/ERR_TOO_BIG	2020-06-09 19:00:22.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_TOO_BIG	2020-08-23 05:41:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/ca/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/ca/ERR_UNSUP_HTTPVERSION	2020-06-09 19:00:22.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_UNSUP_HTTPVERSION	2020-08-23 05:41:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_UNSUP_REQ squid-5.0.4/errors/ca/ERR_UNSUP_REQ
--- squid-5.0.3/errors/ca/ERR_UNSUP_REQ	2020-06-09 19:00:23.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_UNSUP_REQ	2020-08-23 05:41:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_URN_RESOLVE squid-5.0.4/errors/ca/ERR_URN_RESOLVE
--- squid-5.0.3/errors/ca/ERR_URN_RESOLVE	2020-06-09 19:00:23.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_URN_RESOLVE	2020-08-23 05:41:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_WRITE_ERROR squid-5.0.4/errors/ca/ERR_WRITE_ERROR
--- squid-5.0.3/errors/ca/ERR_WRITE_ERROR	2020-06-09 19:00:24.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_WRITE_ERROR	2020-08-23 05:41:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ca/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/ca/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/ca/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:00:24.000000000 +1200
+++ squid-5.0.4/errors/ca/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:41:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_ACCESS_DENIED squid-5.0.4/errors/cs/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/cs/ERR_ACCESS_DENIED	2020-06-09 19:00:24.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_ACCESS_DENIED	2020-08-23 05:41:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/cs/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/cs/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:00:25.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:41:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_AGENT_CONFIGURE squid-5.0.4/errors/cs/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/cs/ERR_AGENT_CONFIGURE	2020-06-09 19:00:25.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_AGENT_CONFIGURE	2020-08-23 05:41:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/cs/ERR_AGENT_WPAD squid-5.0.4/errors/cs/ERR_AGENT_WPAD
--- squid-5.0.3/errors/cs/ERR_AGENT_WPAD	2020-06-09 19:00:25.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_AGENT_WPAD	2020-08-23 05:41:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/cs/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/cs/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/cs/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:00:26.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:41:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/cs/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/cs/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:00:26.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:41:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_CANNOT_FORWARD squid-5.0.4/errors/cs/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/cs/ERR_CANNOT_FORWARD	2020-06-09 19:00:26.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_CANNOT_FORWARD	2020-08-23 05:41:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_CONFLICT_HOST squid-5.0.4/errors/cs/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/cs/ERR_CONFLICT_HOST	2020-06-09 19:00:27.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_CONFLICT_HOST	2020-08-23 05:41:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_CONNECT_FAIL squid-5.0.4/errors/cs/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/cs/ERR_CONNECT_FAIL	2020-06-09 19:00:27.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_CONNECT_FAIL	2020-08-23 05:41:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_DIR_LISTING squid-5.0.4/errors/cs/ERR_DIR_LISTING
--- squid-5.0.3/errors/cs/ERR_DIR_LISTING	2020-06-09 19:00:28.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_DIR_LISTING	2020-08-23 05:41:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_DNS_FAIL squid-5.0.4/errors/cs/ERR_DNS_FAIL
--- squid-5.0.3/errors/cs/ERR_DNS_FAIL	2020-06-09 19:00:28.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_DNS_FAIL	2020-08-23 05:41:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_ESI squid-5.0.4/errors/cs/ERR_ESI
--- squid-5.0.3/errors/cs/ERR_ESI	2020-06-09 19:00:28.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_ESI	2020-08-23 05:41:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_FORWARDING_DENIED squid-5.0.4/errors/cs/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/cs/ERR_FORWARDING_DENIED	2020-06-09 19:00:29.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_FORWARDING_DENIED	2020-08-23 05:41:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_FTP_DISABLED squid-5.0.4/errors/cs/ERR_FTP_DISABLED
--- squid-5.0.3/errors/cs/ERR_FTP_DISABLED	2020-06-09 19:00:29.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_FTP_DISABLED	2020-08-23 05:41:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_FTP_FAILURE squid-5.0.4/errors/cs/ERR_FTP_FAILURE
--- squid-5.0.3/errors/cs/ERR_FTP_FAILURE	2020-06-09 19:00:29.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_FTP_FAILURE	2020-08-23 05:41:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_FTP_FORBIDDEN squid-5.0.4/errors/cs/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/cs/ERR_FTP_FORBIDDEN	2020-06-09 19:00:30.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_FTP_FORBIDDEN	2020-08-23 05:41:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_FTP_NOT_FOUND squid-5.0.4/errors/cs/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/cs/ERR_FTP_NOT_FOUND	2020-06-09 19:00:30.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_FTP_NOT_FOUND	2020-08-23 05:41:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_FTP_PUT_CREATED squid-5.0.4/errors/cs/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/cs/ERR_FTP_PUT_CREATED	2020-06-09 19:00:30.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_FTP_PUT_CREATED	2020-08-23 05:41:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_FTP_PUT_ERROR squid-5.0.4/errors/cs/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/cs/ERR_FTP_PUT_ERROR	2020-06-09 19:00:31.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_FTP_PUT_ERROR	2020-08-23 05:41:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/cs/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/cs/ERR_FTP_PUT_MODIFIED	2020-06-09 19:00:31.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_FTP_PUT_MODIFIED	2020-08-23 05:41:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/cs/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/cs/ERR_FTP_UNAVAILABLE	2020-06-09 19:00:32.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_FTP_UNAVAILABLE	2020-08-23 05:41:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_GATEWAY_FAILURE squid-5.0.4/errors/cs/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/cs/ERR_GATEWAY_FAILURE	2020-06-09 19:00:32.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_GATEWAY_FAILURE	2020-08-23 05:41:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_ICAP_FAILURE squid-5.0.4/errors/cs/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/cs/ERR_ICAP_FAILURE	2020-06-09 19:00:32.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_ICAP_FAILURE	2020-08-23 05:41:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_INVALID_REQ squid-5.0.4/errors/cs/ERR_INVALID_REQ
--- squid-5.0.3/errors/cs/ERR_INVALID_REQ	2020-06-09 19:00:33.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_INVALID_REQ	2020-08-23 05:41:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_INVALID_RESP squid-5.0.4/errors/cs/ERR_INVALID_RESP
--- squid-5.0.3/errors/cs/ERR_INVALID_RESP	2020-06-09 19:00:33.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_INVALID_RESP	2020-08-23 05:41:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_INVALID_URL squid-5.0.4/errors/cs/ERR_INVALID_URL
--- squid-5.0.3/errors/cs/ERR_INVALID_URL	2020-06-09 19:00:33.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_INVALID_URL	2020-08-23 05:41:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_LIFETIME_EXP squid-5.0.4/errors/cs/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/cs/ERR_LIFETIME_EXP	2020-06-09 19:00:34.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_LIFETIME_EXP	2020-08-23 05:41:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_NO_RELAY squid-5.0.4/errors/cs/ERR_NO_RELAY
--- squid-5.0.3/errors/cs/ERR_NO_RELAY	2020-06-09 19:00:34.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_NO_RELAY	2020-08-23 05:41:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/cs/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/cs/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:00:34.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:41:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_PRECONDITION_FAILED squid-5.0.4/errors/cs/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/cs/ERR_PRECONDITION_FAILED	2020-06-09 19:00:35.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_PRECONDITION_FAILED	2020-08-23 05:41:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/cs/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/cs/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:00:35.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:41:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_READ_ERROR squid-5.0.4/errors/cs/ERR_READ_ERROR
--- squid-5.0.3/errors/cs/ERR_READ_ERROR	2020-06-09 19:00:35.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_READ_ERROR	2020-08-23 05:41:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_READ_TIMEOUT squid-5.0.4/errors/cs/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/cs/ERR_READ_TIMEOUT	2020-06-09 19:00:36.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_READ_TIMEOUT	2020-08-23 05:41:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/cs/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/cs/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:00:36.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:41:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_SHUTTING_DOWN squid-5.0.4/errors/cs/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/cs/ERR_SHUTTING_DOWN	2020-06-09 19:00:37.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_SHUTTING_DOWN	2020-08-23 05:41:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_SOCKET_FAILURE squid-5.0.4/errors/cs/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/cs/ERR_SOCKET_FAILURE	2020-06-09 19:00:37.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_SOCKET_FAILURE	2020-08-23 05:41:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_TOO_BIG squid-5.0.4/errors/cs/ERR_TOO_BIG
--- squid-5.0.3/errors/cs/ERR_TOO_BIG	2020-06-09 19:00:37.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_TOO_BIG	2020-08-23 05:41:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/cs/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/cs/ERR_UNSUP_HTTPVERSION	2020-06-09 19:00:38.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_UNSUP_HTTPVERSION	2020-08-23 05:41:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_UNSUP_REQ squid-5.0.4/errors/cs/ERR_UNSUP_REQ
--- squid-5.0.3/errors/cs/ERR_UNSUP_REQ	2020-06-09 19:00:38.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_UNSUP_REQ	2020-08-23 05:41:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_URN_RESOLVE squid-5.0.4/errors/cs/ERR_URN_RESOLVE
--- squid-5.0.3/errors/cs/ERR_URN_RESOLVE	2020-06-09 19:00:38.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_URN_RESOLVE	2020-08-23 05:41:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_WRITE_ERROR squid-5.0.4/errors/cs/ERR_WRITE_ERROR
--- squid-5.0.3/errors/cs/ERR_WRITE_ERROR	2020-06-09 19:00:39.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_WRITE_ERROR	2020-08-23 05:41:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/cs/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/cs/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/cs/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:00:39.000000000 +1200
+++ squid-5.0.4/errors/cs/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:41:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_ACCESS_DENIED squid-5.0.4/errors/da/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/da/ERR_ACCESS_DENIED	2020-06-09 19:00:39.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_ACCESS_DENIED	2020-08-23 05:41:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/da/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/da/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:00:40.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:41:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_AGENT_CONFIGURE squid-5.0.4/errors/da/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/da/ERR_AGENT_CONFIGURE	2020-06-09 19:00:40.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_AGENT_CONFIGURE	2020-08-23 05:41:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/da/ERR_AGENT_WPAD squid-5.0.4/errors/da/ERR_AGENT_WPAD
--- squid-5.0.3/errors/da/ERR_AGENT_WPAD	2020-06-09 19:00:40.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_AGENT_WPAD	2020-08-23 05:41:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/da/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/da/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/da/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:00:41.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:41:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/da/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/da/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:00:41.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:41:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_CANNOT_FORWARD squid-5.0.4/errors/da/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/da/ERR_CANNOT_FORWARD	2020-06-09 19:00:41.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_CANNOT_FORWARD	2020-08-23 05:41:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_CONFLICT_HOST squid-5.0.4/errors/da/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/da/ERR_CONFLICT_HOST	2020-06-09 19:00:42.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_CONFLICT_HOST	2020-08-23 05:41:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_CONNECT_FAIL squid-5.0.4/errors/da/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/da/ERR_CONNECT_FAIL	2020-06-09 19:00:42.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_CONNECT_FAIL	2020-08-23 05:41:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_DIR_LISTING squid-5.0.4/errors/da/ERR_DIR_LISTING
--- squid-5.0.3/errors/da/ERR_DIR_LISTING	2020-06-09 19:00:42.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_DIR_LISTING	2020-08-23 05:41:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_DNS_FAIL squid-5.0.4/errors/da/ERR_DNS_FAIL
--- squid-5.0.3/errors/da/ERR_DNS_FAIL	2020-06-09 19:00:43.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_DNS_FAIL	2020-08-23 05:41:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_ESI squid-5.0.4/errors/da/ERR_ESI
--- squid-5.0.3/errors/da/ERR_ESI	2020-06-09 19:00:43.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_ESI	2020-08-23 05:41:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_FORWARDING_DENIED squid-5.0.4/errors/da/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/da/ERR_FORWARDING_DENIED	2020-06-09 19:00:44.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_FORWARDING_DENIED	2020-08-23 05:41:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_FTP_DISABLED squid-5.0.4/errors/da/ERR_FTP_DISABLED
--- squid-5.0.3/errors/da/ERR_FTP_DISABLED	2020-06-09 19:00:44.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_FTP_DISABLED	2020-08-23 05:41:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_FTP_FAILURE squid-5.0.4/errors/da/ERR_FTP_FAILURE
--- squid-5.0.3/errors/da/ERR_FTP_FAILURE	2020-06-09 19:00:44.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_FTP_FAILURE	2020-08-23 05:41:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_FTP_FORBIDDEN squid-5.0.4/errors/da/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/da/ERR_FTP_FORBIDDEN	2020-06-09 19:00:45.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_FTP_FORBIDDEN	2020-08-23 05:41:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_FTP_NOT_FOUND squid-5.0.4/errors/da/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/da/ERR_FTP_NOT_FOUND	2020-06-09 19:00:45.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_FTP_NOT_FOUND	2020-08-23 05:41:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_FTP_PUT_CREATED squid-5.0.4/errors/da/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/da/ERR_FTP_PUT_CREATED	2020-06-09 19:00:45.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_FTP_PUT_CREATED	2020-08-23 05:41:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_FTP_PUT_ERROR squid-5.0.4/errors/da/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/da/ERR_FTP_PUT_ERROR	2020-06-09 19:00:46.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_FTP_PUT_ERROR	2020-08-23 05:41:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/da/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/da/ERR_FTP_PUT_MODIFIED	2020-06-09 19:00:46.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_FTP_PUT_MODIFIED	2020-08-23 05:41:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/da/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/da/ERR_FTP_UNAVAILABLE	2020-06-09 19:00:46.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_FTP_UNAVAILABLE	2020-08-23 05:41:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_GATEWAY_FAILURE squid-5.0.4/errors/da/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/da/ERR_GATEWAY_FAILURE	2020-06-09 19:00:47.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_GATEWAY_FAILURE	2020-08-23 05:41:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_ICAP_FAILURE squid-5.0.4/errors/da/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/da/ERR_ICAP_FAILURE	2020-06-09 19:00:47.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_ICAP_FAILURE	2020-08-23 05:41:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_INVALID_REQ squid-5.0.4/errors/da/ERR_INVALID_REQ
--- squid-5.0.3/errors/da/ERR_INVALID_REQ	2020-06-09 19:00:47.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_INVALID_REQ	2020-08-23 05:41:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_INVALID_RESP squid-5.0.4/errors/da/ERR_INVALID_RESP
--- squid-5.0.3/errors/da/ERR_INVALID_RESP	2020-06-09 19:00:48.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_INVALID_RESP	2020-08-23 05:41:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_INVALID_URL squid-5.0.4/errors/da/ERR_INVALID_URL
--- squid-5.0.3/errors/da/ERR_INVALID_URL	2020-06-09 19:00:48.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_INVALID_URL	2020-08-23 05:41:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_LIFETIME_EXP squid-5.0.4/errors/da/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/da/ERR_LIFETIME_EXP	2020-06-09 19:00:48.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_LIFETIME_EXP	2020-08-23 05:41:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_NO_RELAY squid-5.0.4/errors/da/ERR_NO_RELAY
--- squid-5.0.3/errors/da/ERR_NO_RELAY	2020-06-09 19:00:49.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_NO_RELAY	2020-08-23 05:41:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/da/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/da/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:00:49.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:41:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_PRECONDITION_FAILED squid-5.0.4/errors/da/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/da/ERR_PRECONDITION_FAILED	2020-06-09 19:00:49.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_PRECONDITION_FAILED	2020-08-23 05:41:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/da/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/da/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:00:50.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:41:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_READ_ERROR squid-5.0.4/errors/da/ERR_READ_ERROR
--- squid-5.0.3/errors/da/ERR_READ_ERROR	2020-06-09 19:00:50.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_READ_ERROR	2020-08-23 05:41:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_READ_TIMEOUT squid-5.0.4/errors/da/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/da/ERR_READ_TIMEOUT	2020-06-09 19:00:50.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_READ_TIMEOUT	2020-08-23 05:41:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/da/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/da/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:00:51.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:41:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_SHUTTING_DOWN squid-5.0.4/errors/da/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/da/ERR_SHUTTING_DOWN	2020-06-09 19:00:51.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_SHUTTING_DOWN	2020-08-23 05:41:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_SOCKET_FAILURE squid-5.0.4/errors/da/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/da/ERR_SOCKET_FAILURE	2020-06-09 19:00:51.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_SOCKET_FAILURE	2020-08-23 05:41:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_TOO_BIG squid-5.0.4/errors/da/ERR_TOO_BIG
--- squid-5.0.3/errors/da/ERR_TOO_BIG	2020-06-09 19:00:52.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_TOO_BIG	2020-08-23 05:41:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/da/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/da/ERR_UNSUP_HTTPVERSION	2020-06-09 19:00:52.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_UNSUP_HTTPVERSION	2020-08-23 05:41:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_UNSUP_REQ squid-5.0.4/errors/da/ERR_UNSUP_REQ
--- squid-5.0.3/errors/da/ERR_UNSUP_REQ	2020-06-09 19:00:53.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_UNSUP_REQ	2020-08-23 05:41:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_URN_RESOLVE squid-5.0.4/errors/da/ERR_URN_RESOLVE
--- squid-5.0.3/errors/da/ERR_URN_RESOLVE	2020-06-09 19:00:53.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_URN_RESOLVE	2020-08-23 05:41:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_WRITE_ERROR squid-5.0.4/errors/da/ERR_WRITE_ERROR
--- squid-5.0.3/errors/da/ERR_WRITE_ERROR	2020-06-09 19:00:53.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_WRITE_ERROR	2020-08-23 05:41:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/da/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/da/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/da/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:00:54.000000000 +1200
+++ squid-5.0.4/errors/da/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:41:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_ACCESS_DENIED squid-5.0.4/errors/de/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/de/ERR_ACCESS_DENIED	2020-06-09 19:00:54.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_ACCESS_DENIED	2020-08-23 05:41:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/de/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/de/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:00:54.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:41:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_AGENT_CONFIGURE squid-5.0.4/errors/de/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/de/ERR_AGENT_CONFIGURE	2020-06-09 19:00:55.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_AGENT_CONFIGURE	2020-08-23 05:41:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Ihre Webbrowserkonfiguration muss korrigiert werden um dieses Netzwerk zu nutzen.</p>
 </blockquote>
 
 <p>Wie sie diese Einstellung in ihrem Browser finden:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Extras -&gt; Optionen -&gt; Erweitert -&gt; Netzwerk -&gt; Verbindungseinstellungen</li>
 <li>Im HTTP Proxy Feld geben sie den Proxy Namen %h und Port %b ein.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Extras -&gt; Internetoptionen -&gt; Verbindung -&gt; LAN Einstellungen -&gt;Proxy</li>
 <li>Im HTTP Proxy Feld geben sie den Proxy Namen %h und Port %b ein.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Extras -&gt; Einstellungen -&gt; Erweitert -&gt; Netzwerk -&gt; Proxyserver</li>
 <li>Im HTTP Proxy Feld geben sie den Proxy Namen %h und Port %b ein.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/de/ERR_AGENT_WPAD squid-5.0.4/errors/de/ERR_AGENT_WPAD
--- squid-5.0.3/errors/de/ERR_AGENT_WPAD	2020-06-09 19:00:55.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_AGENT_WPAD	2020-08-23 05:41:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Ihre Webbrowserkonfiguration muss korrigiert werden um dieses Netzwerk zu nutzen.</p>
 </blockquote>
 
 <p>Wie sie diese Einstellung in ihrem Browser finden:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Extras -&gt; Optionen -&gt; Erweitert -&gt; Netzwerk -&gt; Verbindungseinstellungen</li>
 <li>Wählen sie Automatische Suche von Einstellungen für dieses Netzwerk</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Extras -&gt; Internetoptionen -&gt; Verbindung -&gt; LAN Einstellungen -&gt;Proxy</li>
 <li>Automatische Suche von Einstellungen</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Extras -&gt; Einstellungen -&gt; Erweitert -&gt; Netzwerk -&gt; Proxyserver</li>
 <li>Automatisches Konfigurationsskript verwenden</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/de/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/de/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/de/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:00:55.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:41:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/de/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/de/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:00:56.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:41:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_CANNOT_FORWARD squid-5.0.4/errors/de/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/de/ERR_CANNOT_FORWARD	2020-06-09 19:00:56.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_CANNOT_FORWARD	2020-08-23 05:41:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_CONFLICT_HOST squid-5.0.4/errors/de/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/de/ERR_CONFLICT_HOST	2020-06-09 19:00:57.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_CONFLICT_HOST	2020-08-23 05:41:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_CONNECT_FAIL squid-5.0.4/errors/de/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/de/ERR_CONNECT_FAIL	2020-06-09 19:00:57.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_CONNECT_FAIL	2020-08-23 05:41:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_DIR_LISTING squid-5.0.4/errors/de/ERR_DIR_LISTING
--- squid-5.0.3/errors/de/ERR_DIR_LISTING	2020-06-09 19:00:57.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_DIR_LISTING	2020-08-23 05:41:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_DNS_FAIL squid-5.0.4/errors/de/ERR_DNS_FAIL
--- squid-5.0.3/errors/de/ERR_DNS_FAIL	2020-06-09 19:00:58.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_DNS_FAIL	2020-08-23 05:41:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_ESI squid-5.0.4/errors/de/ERR_ESI
--- squid-5.0.3/errors/de/ERR_ESI	2020-06-09 19:00:58.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_ESI	2020-08-23 05:41:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_FORWARDING_DENIED squid-5.0.4/errors/de/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/de/ERR_FORWARDING_DENIED	2020-06-09 19:00:58.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_FORWARDING_DENIED	2020-08-23 05:41:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_FTP_DISABLED squid-5.0.4/errors/de/ERR_FTP_DISABLED
--- squid-5.0.3/errors/de/ERR_FTP_DISABLED	2020-06-09 19:00:59.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_FTP_DISABLED	2020-08-23 05:41:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_FTP_FAILURE squid-5.0.4/errors/de/ERR_FTP_FAILURE
--- squid-5.0.3/errors/de/ERR_FTP_FAILURE	2020-06-09 19:00:59.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_FTP_FAILURE	2020-08-23 05:41:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_FTP_FORBIDDEN squid-5.0.4/errors/de/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/de/ERR_FTP_FORBIDDEN	2020-06-09 19:00:59.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_FTP_FORBIDDEN	2020-08-23 05:41:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_FTP_NOT_FOUND squid-5.0.4/errors/de/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/de/ERR_FTP_NOT_FOUND	2020-06-09 19:01:00.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_FTP_NOT_FOUND	2020-08-23 05:41:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_FTP_PUT_CREATED squid-5.0.4/errors/de/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/de/ERR_FTP_PUT_CREATED	2020-06-09 19:01:00.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_FTP_PUT_CREATED	2020-08-23 05:41:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_FTP_PUT_ERROR squid-5.0.4/errors/de/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/de/ERR_FTP_PUT_ERROR	2020-06-09 19:01:00.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_FTP_PUT_ERROR	2020-08-23 05:41:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/de/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/de/ERR_FTP_PUT_MODIFIED	2020-06-09 19:01:01.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_FTP_PUT_MODIFIED	2020-08-23 05:41:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/de/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/de/ERR_FTP_UNAVAILABLE	2020-06-09 19:01:01.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_FTP_UNAVAILABLE	2020-08-23 05:41:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_GATEWAY_FAILURE squid-5.0.4/errors/de/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/de/ERR_GATEWAY_FAILURE	2020-06-09 19:01:02.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_GATEWAY_FAILURE	2020-08-23 05:41:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_ICAP_FAILURE squid-5.0.4/errors/de/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/de/ERR_ICAP_FAILURE	2020-06-09 19:01:02.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_ICAP_FAILURE	2020-08-23 05:41:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_INVALID_REQ squid-5.0.4/errors/de/ERR_INVALID_REQ
--- squid-5.0.3/errors/de/ERR_INVALID_REQ	2020-06-09 19:01:02.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_INVALID_REQ	2020-08-23 05:41:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_INVALID_RESP squid-5.0.4/errors/de/ERR_INVALID_RESP
--- squid-5.0.3/errors/de/ERR_INVALID_RESP	2020-06-09 19:01:03.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_INVALID_RESP	2020-08-23 05:41:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_INVALID_URL squid-5.0.4/errors/de/ERR_INVALID_URL
--- squid-5.0.3/errors/de/ERR_INVALID_URL	2020-06-09 19:01:03.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_INVALID_URL	2020-08-23 05:41:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_LIFETIME_EXP squid-5.0.4/errors/de/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/de/ERR_LIFETIME_EXP	2020-06-09 19:01:03.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_LIFETIME_EXP	2020-08-23 05:41:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_NO_RELAY squid-5.0.4/errors/de/ERR_NO_RELAY
--- squid-5.0.3/errors/de/ERR_NO_RELAY	2020-06-09 19:01:04.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_NO_RELAY	2020-08-23 05:41:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/de/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/de/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:01:04.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:41:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_PRECONDITION_FAILED squid-5.0.4/errors/de/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/de/ERR_PRECONDITION_FAILED	2020-06-09 19:01:04.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_PRECONDITION_FAILED	2020-08-23 05:41:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/de/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/de/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:01:05.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:41:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_READ_ERROR squid-5.0.4/errors/de/ERR_READ_ERROR
--- squid-5.0.3/errors/de/ERR_READ_ERROR	2020-06-09 19:01:05.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_READ_ERROR	2020-08-23 05:41:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_READ_TIMEOUT squid-5.0.4/errors/de/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/de/ERR_READ_TIMEOUT	2020-06-09 19:01:06.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_READ_TIMEOUT	2020-08-23 05:41:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/de/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/de/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:01:06.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:41:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_SHUTTING_DOWN squid-5.0.4/errors/de/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/de/ERR_SHUTTING_DOWN	2020-06-09 19:01:06.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_SHUTTING_DOWN	2020-08-23 05:41:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_SOCKET_FAILURE squid-5.0.4/errors/de/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/de/ERR_SOCKET_FAILURE	2020-06-09 19:01:07.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_SOCKET_FAILURE	2020-08-23 05:41:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_TOO_BIG squid-5.0.4/errors/de/ERR_TOO_BIG
--- squid-5.0.3/errors/de/ERR_TOO_BIG	2020-06-09 19:01:07.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_TOO_BIG	2020-08-23 05:41:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/de/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/de/ERR_UNSUP_HTTPVERSION	2020-06-09 19:01:07.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_UNSUP_HTTPVERSION	2020-08-23 05:41:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_UNSUP_REQ squid-5.0.4/errors/de/ERR_UNSUP_REQ
--- squid-5.0.3/errors/de/ERR_UNSUP_REQ	2020-06-09 19:01:08.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_UNSUP_REQ	2020-08-23 05:41:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_URN_RESOLVE squid-5.0.4/errors/de/ERR_URN_RESOLVE
--- squid-5.0.3/errors/de/ERR_URN_RESOLVE	2020-06-09 19:01:08.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_URN_RESOLVE	2020-08-23 05:41:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_WRITE_ERROR squid-5.0.4/errors/de/ERR_WRITE_ERROR
--- squid-5.0.3/errors/de/ERR_WRITE_ERROR	2020-06-09 19:01:08.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_WRITE_ERROR	2020-08-23 05:41:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/de/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/de/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/de/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:01:09.000000000 +1200
+++ squid-5.0.4/errors/de/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:41:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_ACCESS_DENIED squid-5.0.4/errors/el/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/el/ERR_ACCESS_DENIED	2020-06-09 19:01:09.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_ACCESS_DENIED	2020-08-23 05:41:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/el/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/el/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:01:09.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:41:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_AGENT_CONFIGURE squid-5.0.4/errors/el/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/el/ERR_AGENT_CONFIGURE	2020-06-09 19:01:10.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_AGENT_CONFIGURE	2020-08-23 05:41:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/el/ERR_AGENT_WPAD squid-5.0.4/errors/el/ERR_AGENT_WPAD
--- squid-5.0.3/errors/el/ERR_AGENT_WPAD	2020-06-09 19:01:10.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_AGENT_WPAD	2020-08-23 05:41:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/el/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/el/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/el/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:01:11.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:41:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/el/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/el/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:01:11.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:41:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_CANNOT_FORWARD squid-5.0.4/errors/el/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/el/ERR_CANNOT_FORWARD	2020-06-09 19:01:11.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_CANNOT_FORWARD	2020-08-23 05:41:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_CONFLICT_HOST squid-5.0.4/errors/el/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/el/ERR_CONFLICT_HOST	2020-06-09 19:01:12.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_CONFLICT_HOST	2020-08-23 05:41:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_CONNECT_FAIL squid-5.0.4/errors/el/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/el/ERR_CONNECT_FAIL	2020-06-09 19:01:12.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_CONNECT_FAIL	2020-08-23 05:41:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_DIR_LISTING squid-5.0.4/errors/el/ERR_DIR_LISTING
--- squid-5.0.3/errors/el/ERR_DIR_LISTING	2020-06-09 19:01:12.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_DIR_LISTING	2020-08-23 05:41:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_DNS_FAIL squid-5.0.4/errors/el/ERR_DNS_FAIL
--- squid-5.0.3/errors/el/ERR_DNS_FAIL	2020-06-09 19:01:12.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_DNS_FAIL	2020-08-23 05:41:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_ESI squid-5.0.4/errors/el/ERR_ESI
--- squid-5.0.3/errors/el/ERR_ESI	2020-06-09 19:01:13.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_ESI	2020-08-23 05:41:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_FORWARDING_DENIED squid-5.0.4/errors/el/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/el/ERR_FORWARDING_DENIED	2020-06-09 19:01:13.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_FORWARDING_DENIED	2020-08-23 05:41:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_FTP_DISABLED squid-5.0.4/errors/el/ERR_FTP_DISABLED
--- squid-5.0.3/errors/el/ERR_FTP_DISABLED	2020-06-09 19:01:13.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_FTP_DISABLED	2020-08-23 05:41:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_FTP_FAILURE squid-5.0.4/errors/el/ERR_FTP_FAILURE
--- squid-5.0.3/errors/el/ERR_FTP_FAILURE	2020-06-09 19:01:14.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_FTP_FAILURE	2020-08-23 05:42:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_FTP_FORBIDDEN squid-5.0.4/errors/el/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/el/ERR_FTP_FORBIDDEN	2020-06-09 19:01:14.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_FTP_FORBIDDEN	2020-08-23 05:42:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_FTP_NOT_FOUND squid-5.0.4/errors/el/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/el/ERR_FTP_NOT_FOUND	2020-06-09 19:01:14.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_FTP_NOT_FOUND	2020-08-23 05:42:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_FTP_PUT_CREATED squid-5.0.4/errors/el/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/el/ERR_FTP_PUT_CREATED	2020-06-09 19:01:14.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_FTP_PUT_CREATED	2020-08-23 05:42:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_FTP_PUT_ERROR squid-5.0.4/errors/el/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/el/ERR_FTP_PUT_ERROR	2020-06-09 19:01:15.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_FTP_PUT_ERROR	2020-08-23 05:42:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/el/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/el/ERR_FTP_PUT_MODIFIED	2020-06-09 19:01:15.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_FTP_PUT_MODIFIED	2020-08-23 05:42:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/el/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/el/ERR_FTP_UNAVAILABLE	2020-06-09 19:01:15.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_FTP_UNAVAILABLE	2020-08-23 05:42:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_GATEWAY_FAILURE squid-5.0.4/errors/el/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/el/ERR_GATEWAY_FAILURE	2020-06-09 19:01:16.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_GATEWAY_FAILURE	2020-08-23 05:42:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_ICAP_FAILURE squid-5.0.4/errors/el/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/el/ERR_ICAP_FAILURE	2020-06-09 19:01:16.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_ICAP_FAILURE	2020-08-23 05:42:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_INVALID_REQ squid-5.0.4/errors/el/ERR_INVALID_REQ
--- squid-5.0.3/errors/el/ERR_INVALID_REQ	2020-06-09 19:01:16.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_INVALID_REQ	2020-08-23 05:42:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_INVALID_RESP squid-5.0.4/errors/el/ERR_INVALID_RESP
--- squid-5.0.3/errors/el/ERR_INVALID_RESP	2020-06-09 19:01:16.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_INVALID_RESP	2020-08-23 05:42:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_INVALID_URL squid-5.0.4/errors/el/ERR_INVALID_URL
--- squid-5.0.3/errors/el/ERR_INVALID_URL	2020-06-09 19:01:17.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_INVALID_URL	2020-08-23 05:42:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_LIFETIME_EXP squid-5.0.4/errors/el/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/el/ERR_LIFETIME_EXP	2020-06-09 19:01:17.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_LIFETIME_EXP	2020-08-23 05:42:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_NO_RELAY squid-5.0.4/errors/el/ERR_NO_RELAY
--- squid-5.0.3/errors/el/ERR_NO_RELAY	2020-06-09 19:01:17.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_NO_RELAY	2020-08-23 05:42:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/el/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/el/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:01:18.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:42:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_PRECONDITION_FAILED squid-5.0.4/errors/el/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/el/ERR_PRECONDITION_FAILED	2020-06-09 19:01:18.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_PRECONDITION_FAILED	2020-08-23 05:42:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/el/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/el/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:01:18.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:42:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_READ_ERROR squid-5.0.4/errors/el/ERR_READ_ERROR
--- squid-5.0.3/errors/el/ERR_READ_ERROR	2020-06-09 19:01:18.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_READ_ERROR	2020-08-23 05:42:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_READ_TIMEOUT squid-5.0.4/errors/el/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/el/ERR_READ_TIMEOUT	2020-06-09 19:01:19.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_READ_TIMEOUT	2020-08-23 05:42:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/el/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/el/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:01:19.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:42:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_SHUTTING_DOWN squid-5.0.4/errors/el/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/el/ERR_SHUTTING_DOWN	2020-06-09 19:01:19.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_SHUTTING_DOWN	2020-08-23 05:42:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_SOCKET_FAILURE squid-5.0.4/errors/el/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/el/ERR_SOCKET_FAILURE	2020-06-09 19:01:20.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_SOCKET_FAILURE	2020-08-23 05:42:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_TOO_BIG squid-5.0.4/errors/el/ERR_TOO_BIG
--- squid-5.0.3/errors/el/ERR_TOO_BIG	2020-06-09 19:01:20.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_TOO_BIG	2020-08-23 05:42:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/el/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/el/ERR_UNSUP_HTTPVERSION	2020-06-09 19:01:20.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_UNSUP_HTTPVERSION	2020-08-23 05:42:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_UNSUP_REQ squid-5.0.4/errors/el/ERR_UNSUP_REQ
--- squid-5.0.3/errors/el/ERR_UNSUP_REQ	2020-06-09 19:01:20.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_UNSUP_REQ	2020-08-23 05:42:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_URN_RESOLVE squid-5.0.4/errors/el/ERR_URN_RESOLVE
--- squid-5.0.3/errors/el/ERR_URN_RESOLVE	2020-06-09 19:01:21.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_URN_RESOLVE	2020-08-23 05:42:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_WRITE_ERROR squid-5.0.4/errors/el/ERR_WRITE_ERROR
--- squid-5.0.3/errors/el/ERR_WRITE_ERROR	2020-06-09 19:01:21.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_WRITE_ERROR	2020-08-23 05:42:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/el/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/el/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/el/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:01:21.000000000 +1200
+++ squid-5.0.4/errors/el/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:42:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_ACCESS_DENIED squid-5.0.4/errors/en/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/en/ERR_ACCESS_DENIED	2020-06-09 19:01:22.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_ACCESS_DENIED	2020-08-23 05:42:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/en/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/en/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:01:22.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:42:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_AGENT_CONFIGURE squid-5.0.4/errors/en/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/en/ERR_AGENT_CONFIGURE	2020-06-09 19:01:22.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_AGENT_CONFIGURE	2020-08-23 05:42:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/en/ERR_AGENT_WPAD squid-5.0.4/errors/en/ERR_AGENT_WPAD
--- squid-5.0.3/errors/en/ERR_AGENT_WPAD	2020-06-09 19:01:23.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_AGENT_WPAD	2020-08-23 05:42:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/en/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/en/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/en/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:01:23.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:42:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/en/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/en/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:01:23.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:42:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_CANNOT_FORWARD squid-5.0.4/errors/en/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/en/ERR_CANNOT_FORWARD	2020-06-09 19:01:23.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_CANNOT_FORWARD	2020-08-23 05:42:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_CONFLICT_HOST squid-5.0.4/errors/en/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/en/ERR_CONFLICT_HOST	2020-06-09 19:01:24.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_CONFLICT_HOST	2020-08-23 05:42:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_CONNECT_FAIL squid-5.0.4/errors/en/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/en/ERR_CONNECT_FAIL	2020-06-09 19:01:24.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_CONNECT_FAIL	2020-08-23 05:42:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_DIR_LISTING squid-5.0.4/errors/en/ERR_DIR_LISTING
--- squid-5.0.3/errors/en/ERR_DIR_LISTING	2020-06-09 19:01:24.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_DIR_LISTING	2020-08-23 05:42:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_DNS_FAIL squid-5.0.4/errors/en/ERR_DNS_FAIL
--- squid-5.0.3/errors/en/ERR_DNS_FAIL	2020-06-09 19:01:25.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_DNS_FAIL	2020-08-23 05:42:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_ESI squid-5.0.4/errors/en/ERR_ESI
--- squid-5.0.3/errors/en/ERR_ESI	2020-06-09 19:01:25.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_ESI	2020-08-23 05:42:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_FORWARDING_DENIED squid-5.0.4/errors/en/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/en/ERR_FORWARDING_DENIED	2020-06-09 19:01:25.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_FORWARDING_DENIED	2020-08-23 05:42:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_FTP_DISABLED squid-5.0.4/errors/en/ERR_FTP_DISABLED
--- squid-5.0.3/errors/en/ERR_FTP_DISABLED	2020-06-09 19:01:25.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_FTP_DISABLED	2020-08-23 05:42:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_FTP_FAILURE squid-5.0.4/errors/en/ERR_FTP_FAILURE
--- squid-5.0.3/errors/en/ERR_FTP_FAILURE	2020-06-09 19:01:26.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_FTP_FAILURE	2020-08-23 05:42:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_FTP_FORBIDDEN squid-5.0.4/errors/en/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/en/ERR_FTP_FORBIDDEN	2020-06-09 19:01:26.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_FTP_FORBIDDEN	2020-08-23 05:42:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_FTP_NOT_FOUND squid-5.0.4/errors/en/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/en/ERR_FTP_NOT_FOUND	2020-06-09 19:01:26.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_FTP_NOT_FOUND	2020-08-23 05:42:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_FTP_PUT_CREATED squid-5.0.4/errors/en/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/en/ERR_FTP_PUT_CREATED	2020-06-09 19:01:27.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_FTP_PUT_CREATED	2020-08-23 05:42:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_FTP_PUT_ERROR squid-5.0.4/errors/en/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/en/ERR_FTP_PUT_ERROR	2020-06-09 19:01:27.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_FTP_PUT_ERROR	2020-08-23 05:42:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/en/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/en/ERR_FTP_PUT_MODIFIED	2020-06-09 19:01:27.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_FTP_PUT_MODIFIED	2020-08-23 05:42:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/en/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/en/ERR_FTP_UNAVAILABLE	2020-06-09 19:01:27.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_FTP_UNAVAILABLE	2020-08-23 05:42:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_GATEWAY_FAILURE squid-5.0.4/errors/en/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/en/ERR_GATEWAY_FAILURE	2020-06-09 19:01:28.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_GATEWAY_FAILURE	2020-08-23 05:42:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_ICAP_FAILURE squid-5.0.4/errors/en/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/en/ERR_ICAP_FAILURE	2020-06-09 19:01:28.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_ICAP_FAILURE	2020-08-23 05:42:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_INVALID_REQ squid-5.0.4/errors/en/ERR_INVALID_REQ
--- squid-5.0.3/errors/en/ERR_INVALID_REQ	2020-06-09 19:01:28.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_INVALID_REQ	2020-08-23 05:42:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_INVALID_RESP squid-5.0.4/errors/en/ERR_INVALID_RESP
--- squid-5.0.3/errors/en/ERR_INVALID_RESP	2020-06-09 19:01:29.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_INVALID_RESP	2020-08-23 05:42:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_INVALID_URL squid-5.0.4/errors/en/ERR_INVALID_URL
--- squid-5.0.3/errors/en/ERR_INVALID_URL	2020-06-09 19:01:29.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_INVALID_URL	2020-08-23 05:42:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_LIFETIME_EXP squid-5.0.4/errors/en/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/en/ERR_LIFETIME_EXP	2020-06-09 19:01:29.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_LIFETIME_EXP	2020-08-23 05:42:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_NO_RELAY squid-5.0.4/errors/en/ERR_NO_RELAY
--- squid-5.0.3/errors/en/ERR_NO_RELAY	2020-06-09 19:01:29.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_NO_RELAY	2020-08-23 05:42:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/en/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/en/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:01:30.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:42:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_PRECONDITION_FAILED squid-5.0.4/errors/en/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/en/ERR_PRECONDITION_FAILED	2020-06-09 19:01:30.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_PRECONDITION_FAILED	2020-08-23 05:42:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/en/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/en/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:01:30.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:42:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_READ_ERROR squid-5.0.4/errors/en/ERR_READ_ERROR
--- squid-5.0.3/errors/en/ERR_READ_ERROR	2020-06-09 19:01:31.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_READ_ERROR	2020-08-23 05:42:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_READ_TIMEOUT squid-5.0.4/errors/en/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/en/ERR_READ_TIMEOUT	2020-06-09 19:01:31.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_READ_TIMEOUT	2020-08-23 05:42:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/en/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/en/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:01:31.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:42:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_SHUTTING_DOWN squid-5.0.4/errors/en/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/en/ERR_SHUTTING_DOWN	2020-06-09 19:01:32.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_SHUTTING_DOWN	2020-08-23 05:42:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_SOCKET_FAILURE squid-5.0.4/errors/en/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/en/ERR_SOCKET_FAILURE	2020-06-09 19:01:32.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_SOCKET_FAILURE	2020-08-23 05:42:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_TOO_BIG squid-5.0.4/errors/en/ERR_TOO_BIG
--- squid-5.0.3/errors/en/ERR_TOO_BIG	2020-06-09 19:01:32.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_TOO_BIG	2020-08-23 05:42:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/en/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/en/ERR_UNSUP_HTTPVERSION	2020-06-09 19:01:32.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_UNSUP_HTTPVERSION	2020-08-23 05:42:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_UNSUP_REQ squid-5.0.4/errors/en/ERR_UNSUP_REQ
--- squid-5.0.3/errors/en/ERR_UNSUP_REQ	2020-06-09 19:01:33.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_UNSUP_REQ	2020-08-23 05:42:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_URN_RESOLVE squid-5.0.4/errors/en/ERR_URN_RESOLVE
--- squid-5.0.3/errors/en/ERR_URN_RESOLVE	2020-06-09 19:01:33.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_URN_RESOLVE	2020-08-23 05:42:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_WRITE_ERROR squid-5.0.4/errors/en/ERR_WRITE_ERROR
--- squid-5.0.3/errors/en/ERR_WRITE_ERROR	2020-06-09 19:01:33.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_WRITE_ERROR	2020-08-23 05:42:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/en/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/en/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/en/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:01:34.000000000 +1200
+++ squid-5.0.4/errors/en/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:42:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_ACCESS_DENIED squid-5.0.4/errors/es/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/es/ERR_ACCESS_DENIED	2020-06-09 19:01:34.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_ACCESS_DENIED	2020-08-23 05:42:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/es/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/es/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:01:34.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:42:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_AGENT_CONFIGURE squid-5.0.4/errors/es/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/es/ERR_AGENT_CONFIGURE	2020-06-09 19:01:34.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_AGENT_CONFIGURE	2020-08-23 05:42:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Su configuración de Navegador de Internet necesita ser corregida para usar esta red.</p>
 </blockquote>
 
 <p>Como encontrar estas preferencias en su navegador:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Herramientas -&gt; Opciones -&gt; Avanzado -&gt; Red -&gt; Ajustes de conexión</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Herramientas -&gt; Opciones de Internet  -&gt; Conexión -&gt; Preferencias de RED -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Herramientas -&gt; Opciones -&gt; Avanzado -&gt; Red -&gt; Servidores Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/es/ERR_AGENT_WPAD squid-5.0.4/errors/es/ERR_AGENT_WPAD
--- squid-5.0.3/errors/es/ERR_AGENT_WPAD	2020-06-09 19:01:35.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_AGENT_WPAD	2020-08-23 05:42:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Su configuración de Navegador de Internet necesita ser corregida para usar esta red.</p>
 </blockquote>
 
 <p>Como encontrar estas preferencias en su navegador:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Herramientas -&gt; Opciones -&gt; Avanzado -&gt; Red -&gt; Ajustes de conexión</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Herramientas -&gt; Opciones de Internet  -&gt; Conexión -&gt; Preferencias de RED -&gt;Proxy</li>
 <li>Seleccione Detectar preferencias automáticamente</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Herramientas -&gt; Opciones -&gt; Avanzado -&gt; Red -&gt; Servidores Proxy</li>
 <li>Seleccione Usar Configuración automática de Proxy</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/es/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/es/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/es/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:01:35.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:42:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/es/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/es/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:01:35.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:42:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_CANNOT_FORWARD squid-5.0.4/errors/es/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/es/ERR_CANNOT_FORWARD	2020-06-09 19:01:36.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_CANNOT_FORWARD	2020-08-23 05:42:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_CONFLICT_HOST squid-5.0.4/errors/es/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/es/ERR_CONFLICT_HOST	2020-06-09 19:01:36.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_CONFLICT_HOST	2020-08-23 05:42:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_CONNECT_FAIL squid-5.0.4/errors/es/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/es/ERR_CONNECT_FAIL	2020-06-09 19:01:36.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_CONNECT_FAIL	2020-08-23 05:42:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_DIR_LISTING squid-5.0.4/errors/es/ERR_DIR_LISTING
--- squid-5.0.3/errors/es/ERR_DIR_LISTING	2020-06-09 19:01:36.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_DIR_LISTING	2020-08-23 05:42:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_DNS_FAIL squid-5.0.4/errors/es/ERR_DNS_FAIL
--- squid-5.0.3/errors/es/ERR_DNS_FAIL	2020-06-09 19:01:37.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_DNS_FAIL	2020-08-23 05:42:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_ESI squid-5.0.4/errors/es/ERR_ESI
--- squid-5.0.3/errors/es/ERR_ESI	2020-06-09 19:01:37.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_ESI	2020-08-23 05:42:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_FORWARDING_DENIED squid-5.0.4/errors/es/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/es/ERR_FORWARDING_DENIED	2020-06-09 19:01:37.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_FORWARDING_DENIED	2020-08-23 05:42:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_FTP_DISABLED squid-5.0.4/errors/es/ERR_FTP_DISABLED
--- squid-5.0.3/errors/es/ERR_FTP_DISABLED	2020-06-09 19:01:38.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_FTP_DISABLED	2020-08-23 05:42:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_FTP_FAILURE squid-5.0.4/errors/es/ERR_FTP_FAILURE
--- squid-5.0.3/errors/es/ERR_FTP_FAILURE	2020-06-09 19:01:38.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_FTP_FAILURE	2020-08-23 05:42:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_FTP_FORBIDDEN squid-5.0.4/errors/es/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/es/ERR_FTP_FORBIDDEN	2020-06-09 19:01:38.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_FTP_FORBIDDEN	2020-08-23 05:42:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_FTP_NOT_FOUND squid-5.0.4/errors/es/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/es/ERR_FTP_NOT_FOUND	2020-06-09 19:01:39.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_FTP_NOT_FOUND	2020-08-23 05:42:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_FTP_PUT_CREATED squid-5.0.4/errors/es/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/es/ERR_FTP_PUT_CREATED	2020-06-09 19:01:39.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_FTP_PUT_CREATED	2020-08-23 05:42:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_FTP_PUT_ERROR squid-5.0.4/errors/es/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/es/ERR_FTP_PUT_ERROR	2020-06-09 19:01:39.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_FTP_PUT_ERROR	2020-08-23 05:42:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/es/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/es/ERR_FTP_PUT_MODIFIED	2020-06-09 19:01:39.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_FTP_PUT_MODIFIED	2020-08-23 05:42:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/es/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/es/ERR_FTP_UNAVAILABLE	2020-06-09 19:01:40.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_FTP_UNAVAILABLE	2020-08-23 05:42:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_GATEWAY_FAILURE squid-5.0.4/errors/es/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/es/ERR_GATEWAY_FAILURE	2020-06-09 19:01:40.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_GATEWAY_FAILURE	2020-08-23 05:42:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_ICAP_FAILURE squid-5.0.4/errors/es/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/es/ERR_ICAP_FAILURE	2020-06-09 19:01:40.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_ICAP_FAILURE	2020-08-23 05:42:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_INVALID_REQ squid-5.0.4/errors/es/ERR_INVALID_REQ
--- squid-5.0.3/errors/es/ERR_INVALID_REQ	2020-06-09 19:01:41.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_INVALID_REQ	2020-08-23 05:42:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_INVALID_RESP squid-5.0.4/errors/es/ERR_INVALID_RESP
--- squid-5.0.3/errors/es/ERR_INVALID_RESP	2020-06-09 19:01:41.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_INVALID_RESP	2020-08-23 05:42:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_INVALID_URL squid-5.0.4/errors/es/ERR_INVALID_URL
--- squid-5.0.3/errors/es/ERR_INVALID_URL	2020-06-09 19:01:41.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_INVALID_URL	2020-08-23 05:42:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_LIFETIME_EXP squid-5.0.4/errors/es/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/es/ERR_LIFETIME_EXP	2020-06-09 19:01:41.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_LIFETIME_EXP	2020-08-23 05:42:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_NO_RELAY squid-5.0.4/errors/es/ERR_NO_RELAY
--- squid-5.0.3/errors/es/ERR_NO_RELAY	2020-06-09 19:01:42.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_NO_RELAY	2020-08-23 05:42:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/es/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/es/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:01:42.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:42:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_PRECONDITION_FAILED squid-5.0.4/errors/es/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/es/ERR_PRECONDITION_FAILED	2020-06-09 19:01:42.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_PRECONDITION_FAILED	2020-08-23 05:42:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/es/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/es/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:01:43.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:42:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_READ_ERROR squid-5.0.4/errors/es/ERR_READ_ERROR
--- squid-5.0.3/errors/es/ERR_READ_ERROR	2020-06-09 19:01:43.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_READ_ERROR	2020-08-23 05:42:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_READ_TIMEOUT squid-5.0.4/errors/es/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/es/ERR_READ_TIMEOUT	2020-06-09 19:01:43.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_READ_TIMEOUT	2020-08-23 05:42:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/es/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/es/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:01:44.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:42:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_SHUTTING_DOWN squid-5.0.4/errors/es/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/es/ERR_SHUTTING_DOWN	2020-06-09 19:01:44.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_SHUTTING_DOWN	2020-08-23 05:42:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_SOCKET_FAILURE squid-5.0.4/errors/es/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/es/ERR_SOCKET_FAILURE	2020-06-09 19:01:44.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_SOCKET_FAILURE	2020-08-23 05:42:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_TOO_BIG squid-5.0.4/errors/es/ERR_TOO_BIG
--- squid-5.0.3/errors/es/ERR_TOO_BIG	2020-06-09 19:01:44.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_TOO_BIG	2020-08-23 05:42:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/es/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/es/ERR_UNSUP_HTTPVERSION	2020-06-09 19:01:45.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_UNSUP_HTTPVERSION	2020-08-23 05:42:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_UNSUP_REQ squid-5.0.4/errors/es/ERR_UNSUP_REQ
--- squid-5.0.3/errors/es/ERR_UNSUP_REQ	2020-06-09 19:01:45.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_UNSUP_REQ	2020-08-23 05:42:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_URN_RESOLVE squid-5.0.4/errors/es/ERR_URN_RESOLVE
--- squid-5.0.3/errors/es/ERR_URN_RESOLVE	2020-06-09 19:01:45.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_URN_RESOLVE	2020-08-23 05:42:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_WRITE_ERROR squid-5.0.4/errors/es/ERR_WRITE_ERROR
--- squid-5.0.3/errors/es/ERR_WRITE_ERROR	2020-06-09 19:01:46.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_WRITE_ERROR	2020-08-23 05:42:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/es/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/es/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/es/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:01:46.000000000 +1200
+++ squid-5.0.4/errors/es/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:42:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_ACCESS_DENIED squid-5.0.4/errors/et/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/et/ERR_ACCESS_DENIED	2020-06-09 19:01:46.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_ACCESS_DENIED	2020-08-23 05:42:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/et/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/et/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:01:46.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:42:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_AGENT_CONFIGURE squid-5.0.4/errors/et/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/et/ERR_AGENT_CONFIGURE	2020-06-09 19:01:47.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_AGENT_CONFIGURE	2020-08-23 05:42:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/et/ERR_AGENT_WPAD squid-5.0.4/errors/et/ERR_AGENT_WPAD
--- squid-5.0.3/errors/et/ERR_AGENT_WPAD	2020-06-09 19:01:47.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_AGENT_WPAD	2020-08-23 05:42:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/et/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/et/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/et/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:01:47.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:42:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/et/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/et/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:01:48.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:42:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_CANNOT_FORWARD squid-5.0.4/errors/et/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/et/ERR_CANNOT_FORWARD	2020-06-09 19:01:48.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_CANNOT_FORWARD	2020-08-23 05:42:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_CONFLICT_HOST squid-5.0.4/errors/et/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/et/ERR_CONFLICT_HOST	2020-06-09 19:01:48.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_CONFLICT_HOST	2020-08-23 05:42:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_CONNECT_FAIL squid-5.0.4/errors/et/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/et/ERR_CONNECT_FAIL	2020-06-09 19:01:48.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_CONNECT_FAIL	2020-08-23 05:42:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_DIR_LISTING squid-5.0.4/errors/et/ERR_DIR_LISTING
--- squid-5.0.3/errors/et/ERR_DIR_LISTING	2020-06-09 19:01:49.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_DIR_LISTING	2020-08-23 05:42:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_DNS_FAIL squid-5.0.4/errors/et/ERR_DNS_FAIL
--- squid-5.0.3/errors/et/ERR_DNS_FAIL	2020-06-09 19:01:49.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_DNS_FAIL	2020-08-23 05:42:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_ESI squid-5.0.4/errors/et/ERR_ESI
--- squid-5.0.3/errors/et/ERR_ESI	2020-06-09 19:01:49.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_ESI	2020-08-23 05:42:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_FORWARDING_DENIED squid-5.0.4/errors/et/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/et/ERR_FORWARDING_DENIED	2020-06-09 19:01:50.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_FORWARDING_DENIED	2020-08-23 05:42:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_FTP_DISABLED squid-5.0.4/errors/et/ERR_FTP_DISABLED
--- squid-5.0.3/errors/et/ERR_FTP_DISABLED	2020-06-09 19:01:50.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_FTP_DISABLED	2020-08-23 05:42:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_FTP_FAILURE squid-5.0.4/errors/et/ERR_FTP_FAILURE
--- squid-5.0.3/errors/et/ERR_FTP_FAILURE	2020-06-09 19:01:50.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_FTP_FAILURE	2020-08-23 05:42:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_FTP_FORBIDDEN squid-5.0.4/errors/et/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/et/ERR_FTP_FORBIDDEN	2020-06-09 19:01:51.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_FTP_FORBIDDEN	2020-08-23 05:42:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_FTP_NOT_FOUND squid-5.0.4/errors/et/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/et/ERR_FTP_NOT_FOUND	2020-06-09 19:01:51.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_FTP_NOT_FOUND	2020-08-23 05:42:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_FTP_PUT_CREATED squid-5.0.4/errors/et/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/et/ERR_FTP_PUT_CREATED	2020-06-09 19:01:51.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_FTP_PUT_CREATED	2020-08-23 05:42:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_FTP_PUT_ERROR squid-5.0.4/errors/et/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/et/ERR_FTP_PUT_ERROR	2020-06-09 19:01:51.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_FTP_PUT_ERROR	2020-08-23 05:42:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/et/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/et/ERR_FTP_PUT_MODIFIED	2020-06-09 19:01:52.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_FTP_PUT_MODIFIED	2020-08-23 05:42:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/et/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/et/ERR_FTP_UNAVAILABLE	2020-06-09 19:01:52.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_FTP_UNAVAILABLE	2020-08-23 05:42:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_GATEWAY_FAILURE squid-5.0.4/errors/et/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/et/ERR_GATEWAY_FAILURE	2020-06-09 19:01:52.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_GATEWAY_FAILURE	2020-08-23 05:42:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_ICAP_FAILURE squid-5.0.4/errors/et/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/et/ERR_ICAP_FAILURE	2020-06-09 19:01:53.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_ICAP_FAILURE	2020-08-23 05:42:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_INVALID_REQ squid-5.0.4/errors/et/ERR_INVALID_REQ
--- squid-5.0.3/errors/et/ERR_INVALID_REQ	2020-06-09 19:01:53.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_INVALID_REQ	2020-08-23 05:42:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_INVALID_RESP squid-5.0.4/errors/et/ERR_INVALID_RESP
--- squid-5.0.3/errors/et/ERR_INVALID_RESP	2020-06-09 19:01:53.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_INVALID_RESP	2020-08-23 05:42:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_INVALID_URL squid-5.0.4/errors/et/ERR_INVALID_URL
--- squid-5.0.3/errors/et/ERR_INVALID_URL	2020-06-09 19:01:54.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_INVALID_URL	2020-08-23 05:42:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_LIFETIME_EXP squid-5.0.4/errors/et/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/et/ERR_LIFETIME_EXP	2020-06-09 19:01:54.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_LIFETIME_EXP	2020-08-23 05:42:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_NO_RELAY squid-5.0.4/errors/et/ERR_NO_RELAY
--- squid-5.0.3/errors/et/ERR_NO_RELAY	2020-06-09 19:01:54.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_NO_RELAY	2020-08-23 05:42:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/et/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/et/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:01:54.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:42:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_PRECONDITION_FAILED squid-5.0.4/errors/et/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/et/ERR_PRECONDITION_FAILED	2020-06-09 19:01:55.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_PRECONDITION_FAILED	2020-08-23 05:42:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/et/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/et/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:01:55.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:42:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_READ_ERROR squid-5.0.4/errors/et/ERR_READ_ERROR
--- squid-5.0.3/errors/et/ERR_READ_ERROR	2020-06-09 19:01:55.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_READ_ERROR	2020-08-23 05:42:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_READ_TIMEOUT squid-5.0.4/errors/et/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/et/ERR_READ_TIMEOUT	2020-06-09 19:01:56.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_READ_TIMEOUT	2020-08-23 05:42:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/et/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/et/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:01:56.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:42:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_SHUTTING_DOWN squid-5.0.4/errors/et/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/et/ERR_SHUTTING_DOWN	2020-06-09 19:01:56.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_SHUTTING_DOWN	2020-08-23 05:42:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_SOCKET_FAILURE squid-5.0.4/errors/et/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/et/ERR_SOCKET_FAILURE	2020-06-09 19:01:57.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_SOCKET_FAILURE	2020-08-23 05:42:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_TOO_BIG squid-5.0.4/errors/et/ERR_TOO_BIG
--- squid-5.0.3/errors/et/ERR_TOO_BIG	2020-06-09 19:01:57.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_TOO_BIG	2020-08-23 05:42:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/et/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/et/ERR_UNSUP_HTTPVERSION	2020-06-09 19:01:57.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_UNSUP_HTTPVERSION	2020-08-23 05:42:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_UNSUP_REQ squid-5.0.4/errors/et/ERR_UNSUP_REQ
--- squid-5.0.3/errors/et/ERR_UNSUP_REQ	2020-06-09 19:01:58.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_UNSUP_REQ	2020-08-23 05:42:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_URN_RESOLVE squid-5.0.4/errors/et/ERR_URN_RESOLVE
--- squid-5.0.3/errors/et/ERR_URN_RESOLVE	2020-06-09 19:01:58.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_URN_RESOLVE	2020-08-23 05:42:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_WRITE_ERROR squid-5.0.4/errors/et/ERR_WRITE_ERROR
--- squid-5.0.3/errors/et/ERR_WRITE_ERROR	2020-06-09 19:01:58.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_WRITE_ERROR	2020-08-23 05:42:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/et/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/et/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/et/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:01:58.000000000 +1200
+++ squid-5.0.4/errors/et/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:42:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_ACCESS_DENIED squid-5.0.4/errors/fa/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/fa/ERR_ACCESS_DENIED	2020-06-09 19:01:59.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_ACCESS_DENIED	2020-08-23 05:42:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/fa/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/fa/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:01:59.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:42:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_AGENT_CONFIGURE squid-5.0.4/errors/fa/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/fa/ERR_AGENT_CONFIGURE	2020-06-09 19:01:59.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_AGENT_CONFIGURE	2020-08-23 05:42:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/fa/ERR_AGENT_WPAD squid-5.0.4/errors/fa/ERR_AGENT_WPAD
--- squid-5.0.3/errors/fa/ERR_AGENT_WPAD	2020-06-09 19:02:00.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_AGENT_WPAD	2020-08-23 05:42:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/fa/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/fa/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/fa/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:02:00.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:42:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/fa/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/fa/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:02:00.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:42:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_CANNOT_FORWARD squid-5.0.4/errors/fa/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/fa/ERR_CANNOT_FORWARD	2020-06-09 19:02:01.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_CANNOT_FORWARD	2020-08-23 05:42:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_CONFLICT_HOST squid-5.0.4/errors/fa/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/fa/ERR_CONFLICT_HOST	2020-06-09 19:02:01.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_CONFLICT_HOST	2020-08-23 05:42:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_CONNECT_FAIL squid-5.0.4/errors/fa/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/fa/ERR_CONNECT_FAIL	2020-06-09 19:02:01.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_CONNECT_FAIL	2020-08-23 05:42:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_DIR_LISTING squid-5.0.4/errors/fa/ERR_DIR_LISTING
--- squid-5.0.3/errors/fa/ERR_DIR_LISTING	2020-06-09 19:02:02.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_DIR_LISTING	2020-08-23 05:42:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_DNS_FAIL squid-5.0.4/errors/fa/ERR_DNS_FAIL
--- squid-5.0.3/errors/fa/ERR_DNS_FAIL	2020-06-09 19:02:02.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_DNS_FAIL	2020-08-23 05:42:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_ESI squid-5.0.4/errors/fa/ERR_ESI
--- squid-5.0.3/errors/fa/ERR_ESI	2020-06-09 19:02:02.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_ESI	2020-08-23 05:42:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_FORWARDING_DENIED squid-5.0.4/errors/fa/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/fa/ERR_FORWARDING_DENIED	2020-06-09 19:02:02.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_FORWARDING_DENIED	2020-08-23 05:42:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_FTP_DISABLED squid-5.0.4/errors/fa/ERR_FTP_DISABLED
--- squid-5.0.3/errors/fa/ERR_FTP_DISABLED	2020-06-09 19:02:03.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_FTP_DISABLED	2020-08-23 05:42:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_FTP_FAILURE squid-5.0.4/errors/fa/ERR_FTP_FAILURE
--- squid-5.0.3/errors/fa/ERR_FTP_FAILURE	2020-06-09 19:02:03.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_FTP_FAILURE	2020-08-23 05:42:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -20,7 +20,7 @@
 <div id="content">
 <p>یک خطا روی پروتکل FTP  در زمان اتصال به آدرس مورد نظر رخ داد.: <a href="%U">%U</a></p>
 
-<p>اسکویید دستور FTP روبرو را فرستاد:</p>
+<p>اسکویید  دستور  FTP روبرو را فرستاد:</p>
 <blockquote id="data">
 <pre>%f</pre>
 </blockquote>
diff -u -r -N squid-5.0.3/errors/fa/ERR_FTP_FORBIDDEN squid-5.0.4/errors/fa/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/fa/ERR_FTP_FORBIDDEN	2020-06-09 19:02:03.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_FTP_FORBIDDEN	2020-08-23 05:42:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -20,7 +20,7 @@
 <div id="content">
 <p>موقع تلاش جهت دسترسی به آدرس مورد نظر عمل شناسایی کاربر بر روی FTP با عدم موفقیت همراه بود. : <a href="%U">%U</a></p>
 
-<p>اسکویید دستور FTP روبرو را فرستاد:</p>
+<p>اسکویید  دستور  FTP روبرو را فرستاد:</p>
 <blockquote id="data">
 <pre>%f</pre>
 </blockquote>
diff -u -r -N squid-5.0.3/errors/fa/ERR_FTP_NOT_FOUND squid-5.0.4/errors/fa/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/fa/ERR_FTP_NOT_FOUND	2020-06-09 19:02:04.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_FTP_NOT_FOUND	2020-08-23 05:42:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -20,7 +20,7 @@
 <div id="content">
 <p>The following URL could not be retrieved: <a href="%U">%U</a></p>
 
-<p>اسکویید دستور FTP روبرو را فرستاد:</p>
+<p>اسکویید  دستور  FTP روبرو را فرستاد:</p>
 <blockquote id="data">
 <pre>%f</pre>
 </blockquote>
diff -u -r -N squid-5.0.3/errors/fa/ERR_FTP_PUT_CREATED squid-5.0.4/errors/fa/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/fa/ERR_FTP_PUT_CREATED	2020-06-09 19:02:04.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_FTP_PUT_CREATED	2020-08-23 05:42:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_FTP_PUT_ERROR squid-5.0.4/errors/fa/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/fa/ERR_FTP_PUT_ERROR	2020-06-09 19:02:04.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_FTP_PUT_ERROR	2020-08-23 05:42:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -20,7 +20,7 @@
 <div id="content">
 <p>یک خطا روی پروتکل FTP  در زمان اتصال به آدرس مورد نظر رخ داد.: <a href="%U">%U</a></p>
 
-<p>اسکویید دستور FTP روبرو را فرستاد:</p>
+<p>اسکویید  دستور  FTP روبرو را فرستاد:</p>
 <blockquote id="data">
 <pre>%f</pre>
 </blockquote>
diff -u -r -N squid-5.0.3/errors/fa/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/fa/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/fa/ERR_FTP_PUT_MODIFIED	2020-06-09 19:02:04.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_FTP_PUT_MODIFIED	2020-08-23 05:42:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/fa/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/fa/ERR_FTP_UNAVAILABLE	2020-06-09 19:02:05.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_FTP_UNAVAILABLE	2020-08-23 05:42:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -20,7 +20,7 @@
 <div id="content">
 <p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>
 
-<p>اسکویید دستور FTP روبرو را فرستاد:</p>
+<p>اسکویید  دستور  FTP روبرو را فرستاد:</p>
 
 <blockquote id="data">
 <pre>%f</pre>
diff -u -r -N squid-5.0.3/errors/fa/ERR_GATEWAY_FAILURE squid-5.0.4/errors/fa/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/fa/ERR_GATEWAY_FAILURE	2020-06-09 19:02:05.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_GATEWAY_FAILURE	2020-08-23 05:42:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_ICAP_FAILURE squid-5.0.4/errors/fa/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/fa/ERR_ICAP_FAILURE	2020-06-09 19:02:05.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_ICAP_FAILURE	2020-08-23 05:42:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_INVALID_REQ squid-5.0.4/errors/fa/ERR_INVALID_REQ
--- squid-5.0.3/errors/fa/ERR_INVALID_REQ	2020-06-09 19:02:06.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_INVALID_REQ	2020-08-23 05:42:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -30,7 +30,7 @@
 <li id="missing-url"><p>فقدان نشانی اینترنتی</p></li>
 <li id="missing-protocol"><p>فقدان شناسه HTTP (نسخه 1.0)</p></li>
 <li><p>درخواست بسیار بزرگ است.</p></li>
-<li><p>طول محتویات درخواست برای PUT یا POST کم است.</p></li>
+<li><p>طول محتویات درخواست برای PUT  یا POST کم است.</p></li>
 <li><p>کاراکتر غیرمجاز در نام دستگاه، زیرین خط (ـ) اجازه داده نشده است.</p></li>
 <li><p>HTTP/1.1 <q>Expect:</q> feature is being asked from an HTTP/1.0 software.</p></li>
 </ul>
diff -u -r -N squid-5.0.3/errors/fa/ERR_INVALID_RESP squid-5.0.4/errors/fa/ERR_INVALID_RESP
--- squid-5.0.3/errors/fa/ERR_INVALID_RESP	2020-06-09 19:02:06.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_INVALID_RESP	2020-08-23 05:42:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_INVALID_URL squid-5.0.4/errors/fa/ERR_INVALID_URL
--- squid-5.0.3/errors/fa/ERR_INVALID_URL	2020-06-09 19:02:06.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_INVALID_URL	2020-08-23 05:42:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_LIFETIME_EXP squid-5.0.4/errors/fa/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/fa/ERR_LIFETIME_EXP	2020-06-09 19:02:06.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_LIFETIME_EXP	2020-08-23 05:42:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_NO_RELAY squid-5.0.4/errors/fa/ERR_NO_RELAY
--- squid-5.0.3/errors/fa/ERR_NO_RELAY	2020-06-09 19:02:07.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_NO_RELAY	2020-08-23 05:42:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/fa/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/fa/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:02:07.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:42:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_PRECONDITION_FAILED squid-5.0.4/errors/fa/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/fa/ERR_PRECONDITION_FAILED	2020-06-09 19:02:07.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_PRECONDITION_FAILED	2020-08-23 05:42:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/fa/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/fa/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:02:08.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:42:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_READ_ERROR squid-5.0.4/errors/fa/ERR_READ_ERROR
--- squid-5.0.3/errors/fa/ERR_READ_ERROR	2020-06-09 19:02:08.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_READ_ERROR	2020-08-23 05:42:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_READ_TIMEOUT squid-5.0.4/errors/fa/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/fa/ERR_READ_TIMEOUT	2020-06-09 19:02:08.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_READ_TIMEOUT	2020-08-23 05:42:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/fa/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/fa/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:02:09.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:42:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_SHUTTING_DOWN squid-5.0.4/errors/fa/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/fa/ERR_SHUTTING_DOWN	2020-06-09 19:02:09.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_SHUTTING_DOWN	2020-08-23 05:42:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_SOCKET_FAILURE squid-5.0.4/errors/fa/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/fa/ERR_SOCKET_FAILURE	2020-06-09 19:02:09.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_SOCKET_FAILURE	2020-08-23 05:42:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_TOO_BIG squid-5.0.4/errors/fa/ERR_TOO_BIG
--- squid-5.0.3/errors/fa/ERR_TOO_BIG	2020-06-09 19:02:09.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_TOO_BIG	2020-08-23 05:42:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/fa/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/fa/ERR_UNSUP_HTTPVERSION	2020-06-09 19:02:10.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_UNSUP_HTTPVERSION	2020-08-23 05:42:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_UNSUP_REQ squid-5.0.4/errors/fa/ERR_UNSUP_REQ
--- squid-5.0.3/errors/fa/ERR_UNSUP_REQ	2020-06-09 19:02:10.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_UNSUP_REQ	2020-08-23 05:42:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_URN_RESOLVE squid-5.0.4/errors/fa/ERR_URN_RESOLVE
--- squid-5.0.3/errors/fa/ERR_URN_RESOLVE	2020-06-09 19:02:10.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_URN_RESOLVE	2020-08-23 05:42:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_WRITE_ERROR squid-5.0.4/errors/fa/ERR_WRITE_ERROR
--- squid-5.0.3/errors/fa/ERR_WRITE_ERROR	2020-06-09 19:02:11.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_WRITE_ERROR	2020-08-23 05:42:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fa/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/fa/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/fa/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:02:11.000000000 +1200
+++ squid-5.0.4/errors/fa/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:42:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_ACCESS_DENIED squid-5.0.4/errors/fi/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/fi/ERR_ACCESS_DENIED	2020-06-09 19:02:11.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_ACCESS_DENIED	2020-08-23 05:42:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/fi/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/fi/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:02:11.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:42:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_AGENT_CONFIGURE squid-5.0.4/errors/fi/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/fi/ERR_AGENT_CONFIGURE	2020-06-09 19:02:12.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_AGENT_CONFIGURE	2020-08-23 05:42:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/fi/ERR_AGENT_WPAD squid-5.0.4/errors/fi/ERR_AGENT_WPAD
--- squid-5.0.3/errors/fi/ERR_AGENT_WPAD	2020-06-09 19:02:12.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_AGENT_WPAD	2020-08-23 05:42:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Valitse Automaattisesti haetut asetukset</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/fi/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/fi/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/fi/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:02:12.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:42:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/fi/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/fi/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:02:13.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:42:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_CANNOT_FORWARD squid-5.0.4/errors/fi/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/fi/ERR_CANNOT_FORWARD	2020-06-09 19:02:13.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_CANNOT_FORWARD	2020-08-23 05:42:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_CONFLICT_HOST squid-5.0.4/errors/fi/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/fi/ERR_CONFLICT_HOST	2020-06-09 19:02:13.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_CONFLICT_HOST	2020-08-23 05:42:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_CONNECT_FAIL squid-5.0.4/errors/fi/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/fi/ERR_CONNECT_FAIL	2020-06-09 19:02:13.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_CONNECT_FAIL	2020-08-23 05:42:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_DIR_LISTING squid-5.0.4/errors/fi/ERR_DIR_LISTING
--- squid-5.0.3/errors/fi/ERR_DIR_LISTING	2020-06-09 19:02:14.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_DIR_LISTING	2020-08-23 05:42:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_DNS_FAIL squid-5.0.4/errors/fi/ERR_DNS_FAIL
--- squid-5.0.3/errors/fi/ERR_DNS_FAIL	2020-06-09 19:02:14.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_DNS_FAIL	2020-08-23 05:42:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_ESI squid-5.0.4/errors/fi/ERR_ESI
--- squid-5.0.3/errors/fi/ERR_ESI	2020-06-09 19:02:14.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_ESI	2020-08-23 05:42:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_FORWARDING_DENIED squid-5.0.4/errors/fi/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/fi/ERR_FORWARDING_DENIED	2020-06-09 19:02:15.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_FORWARDING_DENIED	2020-08-23 05:42:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_FTP_DISABLED squid-5.0.4/errors/fi/ERR_FTP_DISABLED
--- squid-5.0.3/errors/fi/ERR_FTP_DISABLED	2020-06-09 19:02:15.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_FTP_DISABLED	2020-08-23 05:42:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_FTP_FAILURE squid-5.0.4/errors/fi/ERR_FTP_FAILURE
--- squid-5.0.3/errors/fi/ERR_FTP_FAILURE	2020-06-09 19:02:15.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_FTP_FAILURE	2020-08-23 05:42:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_FTP_FORBIDDEN squid-5.0.4/errors/fi/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/fi/ERR_FTP_FORBIDDEN	2020-06-09 19:02:15.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_FTP_FORBIDDEN	2020-08-23 05:42:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_FTP_NOT_FOUND squid-5.0.4/errors/fi/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/fi/ERR_FTP_NOT_FOUND	2020-06-09 19:02:16.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_FTP_NOT_FOUND	2020-08-23 05:42:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_FTP_PUT_CREATED squid-5.0.4/errors/fi/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/fi/ERR_FTP_PUT_CREATED	2020-06-09 19:02:16.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_FTP_PUT_CREATED	2020-08-23 05:42:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_FTP_PUT_ERROR squid-5.0.4/errors/fi/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/fi/ERR_FTP_PUT_ERROR	2020-06-09 19:02:16.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_FTP_PUT_ERROR	2020-08-23 05:42:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/fi/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/fi/ERR_FTP_PUT_MODIFIED	2020-06-09 19:02:17.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_FTP_PUT_MODIFIED	2020-08-23 05:42:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/fi/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/fi/ERR_FTP_UNAVAILABLE	2020-06-09 19:02:17.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_FTP_UNAVAILABLE	2020-08-23 05:43:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_GATEWAY_FAILURE squid-5.0.4/errors/fi/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/fi/ERR_GATEWAY_FAILURE	2020-06-09 19:02:17.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_GATEWAY_FAILURE	2020-08-23 05:43:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_ICAP_FAILURE squid-5.0.4/errors/fi/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/fi/ERR_ICAP_FAILURE	2020-06-09 19:02:17.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_ICAP_FAILURE	2020-08-23 05:43:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_INVALID_REQ squid-5.0.4/errors/fi/ERR_INVALID_REQ
--- squid-5.0.3/errors/fi/ERR_INVALID_REQ	2020-06-09 19:02:18.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_INVALID_REQ	2020-08-23 05:43:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_INVALID_RESP squid-5.0.4/errors/fi/ERR_INVALID_RESP
--- squid-5.0.3/errors/fi/ERR_INVALID_RESP	2020-06-09 19:02:18.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_INVALID_RESP	2020-08-23 05:43:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_INVALID_URL squid-5.0.4/errors/fi/ERR_INVALID_URL
--- squid-5.0.3/errors/fi/ERR_INVALID_URL	2020-06-09 19:02:18.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_INVALID_URL	2020-08-23 05:43:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_LIFETIME_EXP squid-5.0.4/errors/fi/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/fi/ERR_LIFETIME_EXP	2020-06-09 19:02:19.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_LIFETIME_EXP	2020-08-23 05:43:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_NO_RELAY squid-5.0.4/errors/fi/ERR_NO_RELAY
--- squid-5.0.3/errors/fi/ERR_NO_RELAY	2020-06-09 19:02:19.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_NO_RELAY	2020-08-23 05:43:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/fi/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/fi/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:02:19.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:43:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_PRECONDITION_FAILED squid-5.0.4/errors/fi/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/fi/ERR_PRECONDITION_FAILED	2020-06-09 19:02:20.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_PRECONDITION_FAILED	2020-08-23 05:43:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/fi/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/fi/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:02:20.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:43:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_READ_ERROR squid-5.0.4/errors/fi/ERR_READ_ERROR
--- squid-5.0.3/errors/fi/ERR_READ_ERROR	2020-06-09 19:02:20.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_READ_ERROR	2020-08-23 05:43:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_READ_TIMEOUT squid-5.0.4/errors/fi/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/fi/ERR_READ_TIMEOUT	2020-06-09 19:02:20.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_READ_TIMEOUT	2020-08-23 05:43:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/fi/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/fi/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:02:21.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:43:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_SHUTTING_DOWN squid-5.0.4/errors/fi/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/fi/ERR_SHUTTING_DOWN	2020-06-09 19:02:21.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_SHUTTING_DOWN	2020-08-23 05:43:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_SOCKET_FAILURE squid-5.0.4/errors/fi/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/fi/ERR_SOCKET_FAILURE	2020-06-09 19:02:21.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_SOCKET_FAILURE	2020-08-23 05:43:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_TOO_BIG squid-5.0.4/errors/fi/ERR_TOO_BIG
--- squid-5.0.3/errors/fi/ERR_TOO_BIG	2020-06-09 19:02:22.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_TOO_BIG	2020-08-23 05:43:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/fi/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/fi/ERR_UNSUP_HTTPVERSION	2020-06-09 19:02:22.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_UNSUP_HTTPVERSION	2020-08-23 05:43:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_UNSUP_REQ squid-5.0.4/errors/fi/ERR_UNSUP_REQ
--- squid-5.0.3/errors/fi/ERR_UNSUP_REQ	2020-06-09 19:02:22.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_UNSUP_REQ	2020-08-23 05:43:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_URN_RESOLVE squid-5.0.4/errors/fi/ERR_URN_RESOLVE
--- squid-5.0.3/errors/fi/ERR_URN_RESOLVE	2020-06-09 19:02:22.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_URN_RESOLVE	2020-08-23 05:43:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_WRITE_ERROR squid-5.0.4/errors/fi/ERR_WRITE_ERROR
--- squid-5.0.3/errors/fi/ERR_WRITE_ERROR	2020-06-09 19:02:23.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_WRITE_ERROR	2020-08-23 05:43:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fi/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/fi/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/fi/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:02:23.000000000 +1200
+++ squid-5.0.4/errors/fi/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:43:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_ACCESS_DENIED squid-5.0.4/errors/fr/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/fr/ERR_ACCESS_DENIED	2020-06-09 19:02:23.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_ACCESS_DENIED	2020-08-23 05:43:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/fr/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/fr/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:02:24.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:43:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_AGENT_CONFIGURE squid-5.0.4/errors/fr/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/fr/ERR_AGENT_CONFIGURE	2020-06-09 19:02:24.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_AGENT_CONFIGURE	2020-08-23 05:43:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Vous devez corriger la configuration de votre navigateur Web, pour qu'il soit utilisé dans ce réseau</p>
 </blockquote>
 
 <p>Comment trouver ces réglages dans votre navigateur :</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Outils -&gt; Options -&gt; Avancé -&gt; Réseau -&gt; Paramètres de Connexion</li>
 <li>Vous devez indiquer dans la fenêtre du proxy HTTP, le nom du proxy %h et le port %b</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Outils -&gt; Options Internet -&gt; Connexion -&gt; Paramètres LAN -&gt; Proxy</li>
 <li>Vous devez indiquer dans la fenêtre du proxy HTTP, le nom du proxy %h et le port %b</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Outils -&gt; Préférences -&gt; Avancé -&gt; Réseau -&gt; Serveur Proxy</li>
 <li>Vous devez indiquer dans la fenêtre du proxy HTTP, le nom du proxy %h et le port %b</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/fr/ERR_AGENT_WPAD squid-5.0.4/errors/fr/ERR_AGENT_WPAD
--- squid-5.0.3/errors/fr/ERR_AGENT_WPAD	2020-06-09 19:02:25.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_AGENT_WPAD	2020-08-23 05:43:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Vous devez corriger la configuration de votre navigateur Web, pour qu'il soit utilisé dans ce réseau</p>
 </blockquote>
 
 <p>Comment trouver ces réglages dans votre navigateur :</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Outils -&gt; Options -&gt; Avancé -&gt; Réseau -&gt; Paramètres de Connexion</li>
 <li>Sélectionnez détection automatique dans les paramètres du proxy pour ce réseau</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Outils -&gt; Options Internet -&gt; Connexion -&gt; Paramètres LAN -&gt; Proxy</li>
 <li>Sélectionnez le paramètre détection automatique</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Outils -&gt; Préférences -&gt; Avancé -&gt; Réseau -&gt; Serveur Proxy</li>
 <li>Utilisez la sélection automatique pour configurer le proxy</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/fr/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/fr/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/fr/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:02:25.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:43:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/fr/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/fr/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:02:25.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:43:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_CANNOT_FORWARD squid-5.0.4/errors/fr/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/fr/ERR_CANNOT_FORWARD	2020-06-09 19:02:26.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_CANNOT_FORWARD	2020-08-23 05:43:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_CONFLICT_HOST squid-5.0.4/errors/fr/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/fr/ERR_CONFLICT_HOST	2020-06-09 19:02:26.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_CONFLICT_HOST	2020-08-23 05:43:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_CONNECT_FAIL squid-5.0.4/errors/fr/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/fr/ERR_CONNECT_FAIL	2020-06-09 19:02:27.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_CONNECT_FAIL	2020-08-23 05:43:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_DIR_LISTING squid-5.0.4/errors/fr/ERR_DIR_LISTING
--- squid-5.0.3/errors/fr/ERR_DIR_LISTING	2020-06-09 19:02:27.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_DIR_LISTING	2020-08-23 05:43:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_DNS_FAIL squid-5.0.4/errors/fr/ERR_DNS_FAIL
--- squid-5.0.3/errors/fr/ERR_DNS_FAIL	2020-06-09 19:02:27.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_DNS_FAIL	2020-08-23 05:43:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_ESI squid-5.0.4/errors/fr/ERR_ESI
--- squid-5.0.3/errors/fr/ERR_ESI	2020-06-09 19:02:28.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_ESI	2020-08-23 05:43:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_FORWARDING_DENIED squid-5.0.4/errors/fr/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/fr/ERR_FORWARDING_DENIED	2020-06-09 19:02:28.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_FORWARDING_DENIED	2020-08-23 05:43:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_FTP_DISABLED squid-5.0.4/errors/fr/ERR_FTP_DISABLED
--- squid-5.0.3/errors/fr/ERR_FTP_DISABLED	2020-06-09 19:02:28.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_FTP_DISABLED	2020-08-23 05:43:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_FTP_FAILURE squid-5.0.4/errors/fr/ERR_FTP_FAILURE
--- squid-5.0.3/errors/fr/ERR_FTP_FAILURE	2020-06-09 19:02:29.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_FTP_FAILURE	2020-08-23 05:43:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_FTP_FORBIDDEN squid-5.0.4/errors/fr/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/fr/ERR_FTP_FORBIDDEN	2020-06-09 19:02:29.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_FTP_FORBIDDEN	2020-08-23 05:43:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_FTP_NOT_FOUND squid-5.0.4/errors/fr/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/fr/ERR_FTP_NOT_FOUND	2020-06-09 19:02:29.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_FTP_NOT_FOUND	2020-08-23 05:43:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_FTP_PUT_CREATED squid-5.0.4/errors/fr/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/fr/ERR_FTP_PUT_CREATED	2020-06-09 19:02:30.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_FTP_PUT_CREATED	2020-08-23 05:43:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_FTP_PUT_ERROR squid-5.0.4/errors/fr/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/fr/ERR_FTP_PUT_ERROR	2020-06-09 19:02:30.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_FTP_PUT_ERROR	2020-08-23 05:43:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/fr/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/fr/ERR_FTP_PUT_MODIFIED	2020-06-09 19:02:30.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_FTP_PUT_MODIFIED	2020-08-23 05:43:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/fr/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/fr/ERR_FTP_UNAVAILABLE	2020-06-09 19:02:31.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_FTP_UNAVAILABLE	2020-08-23 05:43:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_GATEWAY_FAILURE squid-5.0.4/errors/fr/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/fr/ERR_GATEWAY_FAILURE	2020-06-09 19:02:31.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_GATEWAY_FAILURE	2020-08-23 05:43:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_ICAP_FAILURE squid-5.0.4/errors/fr/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/fr/ERR_ICAP_FAILURE	2020-06-09 19:02:31.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_ICAP_FAILURE	2020-08-23 05:43:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_INVALID_REQ squid-5.0.4/errors/fr/ERR_INVALID_REQ
--- squid-5.0.3/errors/fr/ERR_INVALID_REQ	2020-06-09 19:02:32.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_INVALID_REQ	2020-08-23 05:43:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_INVALID_RESP squid-5.0.4/errors/fr/ERR_INVALID_RESP
--- squid-5.0.3/errors/fr/ERR_INVALID_RESP	2020-06-09 19:02:32.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_INVALID_RESP	2020-08-23 05:43:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_INVALID_URL squid-5.0.4/errors/fr/ERR_INVALID_URL
--- squid-5.0.3/errors/fr/ERR_INVALID_URL	2020-06-09 19:02:32.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_INVALID_URL	2020-08-23 05:43:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_LIFETIME_EXP squid-5.0.4/errors/fr/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/fr/ERR_LIFETIME_EXP	2020-06-09 19:02:33.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_LIFETIME_EXP	2020-08-23 05:43:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_NO_RELAY squid-5.0.4/errors/fr/ERR_NO_RELAY
--- squid-5.0.3/errors/fr/ERR_NO_RELAY	2020-06-09 19:02:33.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_NO_RELAY	2020-08-23 05:43:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/fr/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/fr/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:02:33.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:43:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_PRECONDITION_FAILED squid-5.0.4/errors/fr/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/fr/ERR_PRECONDITION_FAILED	2020-06-09 19:02:34.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_PRECONDITION_FAILED	2020-08-23 05:43:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/fr/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/fr/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:02:34.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:43:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_READ_ERROR squid-5.0.4/errors/fr/ERR_READ_ERROR
--- squid-5.0.3/errors/fr/ERR_READ_ERROR	2020-06-09 19:02:34.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_READ_ERROR	2020-08-23 05:43:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_READ_TIMEOUT squid-5.0.4/errors/fr/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/fr/ERR_READ_TIMEOUT	2020-06-09 19:02:35.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_READ_TIMEOUT	2020-08-23 05:43:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/fr/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/fr/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:02:35.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:43:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_SHUTTING_DOWN squid-5.0.4/errors/fr/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/fr/ERR_SHUTTING_DOWN	2020-06-09 19:02:36.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_SHUTTING_DOWN	2020-08-23 05:43:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_SOCKET_FAILURE squid-5.0.4/errors/fr/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/fr/ERR_SOCKET_FAILURE	2020-06-09 19:02:36.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_SOCKET_FAILURE	2020-08-23 05:43:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_TOO_BIG squid-5.0.4/errors/fr/ERR_TOO_BIG
--- squid-5.0.3/errors/fr/ERR_TOO_BIG	2020-06-09 19:02:36.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_TOO_BIG	2020-08-23 05:43:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/fr/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/fr/ERR_UNSUP_HTTPVERSION	2020-06-09 19:02:37.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_UNSUP_HTTPVERSION	2020-08-23 05:43:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_UNSUP_REQ squid-5.0.4/errors/fr/ERR_UNSUP_REQ
--- squid-5.0.3/errors/fr/ERR_UNSUP_REQ	2020-06-09 19:02:37.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_UNSUP_REQ	2020-08-23 05:43:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_URN_RESOLVE squid-5.0.4/errors/fr/ERR_URN_RESOLVE
--- squid-5.0.3/errors/fr/ERR_URN_RESOLVE	2020-06-09 19:02:37.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_URN_RESOLVE	2020-08-23 05:43:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_WRITE_ERROR squid-5.0.4/errors/fr/ERR_WRITE_ERROR
--- squid-5.0.3/errors/fr/ERR_WRITE_ERROR	2020-06-09 19:02:38.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_WRITE_ERROR	2020-08-23 05:43:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/fr/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/fr/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/fr/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:02:38.000000000 +1200
+++ squid-5.0.4/errors/fr/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:43:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_ACCESS_DENIED squid-5.0.4/errors/he/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/he/ERR_ACCESS_DENIED	2020-06-09 19:02:38.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_ACCESS_DENIED	2020-08-23 05:43:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/he/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/he/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:02:38.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:43:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_AGENT_CONFIGURE squid-5.0.4/errors/he/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/he/ERR_AGENT_CONFIGURE	2020-06-09 19:02:39.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_AGENT_CONFIGURE	2020-08-23 05:43:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>איך למצוא את ההגדרות האלה בדפדפן שלך:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>כלים -&gt; אפשרויות -&gt; אפשרויות מתקדמות -&gt; רשת -&gt; הגדרות חיבור</li>
 <li>בתיבת הפרוקסי של HTTP, הקלד את שם שרת הפרוקסי %h ואת הפורט %b</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>כלים -&gt; אפשרויות אינטרנט -&gt; חיבורים -&gt; הגדרות LAN -&gt; פרוקסי</li>
 <li>בתיבת הפרוקסי של HTTP, הקלד את שם שרת הפרוקסי %h ואת הפורט %b</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>כלים -&gt; העדפות -&gt; הגדרות מתקדמות -&gt; רשת -&gt; שרתי פרוקסי</li>
 <li>בתיבת הפרוקסי של HTTP, הקלד את שם שרת הפרוקסי %h ואת הפורט %b</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/he/ERR_AGENT_WPAD squid-5.0.4/errors/he/ERR_AGENT_WPAD
--- squid-5.0.3/errors/he/ERR_AGENT_WPAD	2020-06-09 19:02:39.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_AGENT_WPAD	2020-08-23 05:43:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>איך למצוא את ההגדרות האלה בדפדפן שלך:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>כלים -&gt; אפשרויות -&gt; אפשרויות מתקדמות -&gt; רשת -&gt; הגדרות חיבור</li>
 <li>בחר "איתור הגדרות אוטומטי" עבר הרשת הזו</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>כלים -&gt; אפשרויות אינטרנט -&gt; חיבורים -&gt; הגדרות LAN -&gt; פרוקסי</li>
 <li>בחר "איתור הגדרות אוטומטי"</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>כלים -&gt; העדפות -&gt; הגדרות מתקדמות -&gt; רשת -&gt; שרתי פרוקסי</li>
 <li>בחר באיתור הגדרות אוטומטי עבור הגדרת הפרוקסי</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/he/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/he/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/he/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:02:40.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:43:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/he/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/he/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:02:40.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:43:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_CANNOT_FORWARD squid-5.0.4/errors/he/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/he/ERR_CANNOT_FORWARD	2020-06-09 19:02:40.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_CANNOT_FORWARD	2020-08-23 05:43:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_CONFLICT_HOST squid-5.0.4/errors/he/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/he/ERR_CONFLICT_HOST	2020-06-09 19:02:41.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_CONFLICT_HOST	2020-08-23 05:43:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_CONNECT_FAIL squid-5.0.4/errors/he/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/he/ERR_CONNECT_FAIL	2020-06-09 19:02:41.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_CONNECT_FAIL	2020-08-23 05:43:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_DIR_LISTING squid-5.0.4/errors/he/ERR_DIR_LISTING
--- squid-5.0.3/errors/he/ERR_DIR_LISTING	2020-06-09 19:02:41.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_DIR_LISTING	2020-08-23 05:43:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_DNS_FAIL squid-5.0.4/errors/he/ERR_DNS_FAIL
--- squid-5.0.3/errors/he/ERR_DNS_FAIL	2020-06-09 19:02:41.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_DNS_FAIL	2020-08-23 05:43:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_ESI squid-5.0.4/errors/he/ERR_ESI
--- squid-5.0.3/errors/he/ERR_ESI	2020-06-09 19:02:42.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_ESI	2020-08-23 05:43:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_FORWARDING_DENIED squid-5.0.4/errors/he/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/he/ERR_FORWARDING_DENIED	2020-06-09 19:02:42.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_FORWARDING_DENIED	2020-08-23 05:43:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_FTP_DISABLED squid-5.0.4/errors/he/ERR_FTP_DISABLED
--- squid-5.0.3/errors/he/ERR_FTP_DISABLED	2020-06-09 19:02:42.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_FTP_DISABLED	2020-08-23 05:43:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_FTP_FAILURE squid-5.0.4/errors/he/ERR_FTP_FAILURE
--- squid-5.0.3/errors/he/ERR_FTP_FAILURE	2020-06-09 19:02:43.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_FTP_FAILURE	2020-08-23 05:43:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_FTP_FORBIDDEN squid-5.0.4/errors/he/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/he/ERR_FTP_FORBIDDEN	2020-06-09 19:02:43.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_FTP_FORBIDDEN	2020-08-23 05:43:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_FTP_NOT_FOUND squid-5.0.4/errors/he/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/he/ERR_FTP_NOT_FOUND	2020-06-09 19:02:43.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_FTP_NOT_FOUND	2020-08-23 05:43:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_FTP_PUT_CREATED squid-5.0.4/errors/he/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/he/ERR_FTP_PUT_CREATED	2020-06-09 19:02:44.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_FTP_PUT_CREATED	2020-08-23 05:43:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_FTP_PUT_ERROR squid-5.0.4/errors/he/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/he/ERR_FTP_PUT_ERROR	2020-06-09 19:02:44.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_FTP_PUT_ERROR	2020-08-23 05:43:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/he/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/he/ERR_FTP_PUT_MODIFIED	2020-06-09 19:02:45.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_FTP_PUT_MODIFIED	2020-08-23 05:43:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/he/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/he/ERR_FTP_UNAVAILABLE	2020-06-09 19:02:45.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_FTP_UNAVAILABLE	2020-08-23 05:43:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_GATEWAY_FAILURE squid-5.0.4/errors/he/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/he/ERR_GATEWAY_FAILURE	2020-06-09 19:02:45.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_GATEWAY_FAILURE	2020-08-23 05:43:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_ICAP_FAILURE squid-5.0.4/errors/he/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/he/ERR_ICAP_FAILURE	2020-06-09 19:02:46.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_ICAP_FAILURE	2020-08-23 05:43:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_INVALID_REQ squid-5.0.4/errors/he/ERR_INVALID_REQ
--- squid-5.0.3/errors/he/ERR_INVALID_REQ	2020-06-09 19:02:46.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_INVALID_REQ	2020-08-23 05:43:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_INVALID_RESP squid-5.0.4/errors/he/ERR_INVALID_RESP
--- squid-5.0.3/errors/he/ERR_INVALID_RESP	2020-06-09 19:02:46.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_INVALID_RESP	2020-08-23 05:43:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_INVALID_URL squid-5.0.4/errors/he/ERR_INVALID_URL
--- squid-5.0.3/errors/he/ERR_INVALID_URL	2020-06-09 19:02:46.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_INVALID_URL	2020-08-23 05:43:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_LIFETIME_EXP squid-5.0.4/errors/he/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/he/ERR_LIFETIME_EXP	2020-06-09 19:02:47.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_LIFETIME_EXP	2020-08-23 05:43:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_NO_RELAY squid-5.0.4/errors/he/ERR_NO_RELAY
--- squid-5.0.3/errors/he/ERR_NO_RELAY	2020-06-09 19:02:47.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_NO_RELAY	2020-08-23 05:43:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/he/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/he/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:02:47.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:43:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_PRECONDITION_FAILED squid-5.0.4/errors/he/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/he/ERR_PRECONDITION_FAILED	2020-06-09 19:02:48.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_PRECONDITION_FAILED	2020-08-23 05:43:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/he/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/he/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:02:48.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:43:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_READ_ERROR squid-5.0.4/errors/he/ERR_READ_ERROR
--- squid-5.0.3/errors/he/ERR_READ_ERROR	2020-06-09 19:02:49.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_READ_ERROR	2020-08-23 05:43:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_READ_TIMEOUT squid-5.0.4/errors/he/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/he/ERR_READ_TIMEOUT	2020-06-09 19:02:49.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_READ_TIMEOUT	2020-08-23 05:43:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/he/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/he/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:02:49.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:43:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_SHUTTING_DOWN squid-5.0.4/errors/he/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/he/ERR_SHUTTING_DOWN	2020-06-09 19:02:49.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_SHUTTING_DOWN	2020-08-23 05:43:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_SOCKET_FAILURE squid-5.0.4/errors/he/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/he/ERR_SOCKET_FAILURE	2020-06-09 19:02:50.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_SOCKET_FAILURE	2020-08-23 05:43:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_TOO_BIG squid-5.0.4/errors/he/ERR_TOO_BIG
--- squid-5.0.3/errors/he/ERR_TOO_BIG	2020-06-09 19:02:50.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_TOO_BIG	2020-08-23 05:43:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/he/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/he/ERR_UNSUP_HTTPVERSION	2020-06-09 19:02:50.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_UNSUP_HTTPVERSION	2020-08-23 05:43:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_UNSUP_REQ squid-5.0.4/errors/he/ERR_UNSUP_REQ
--- squid-5.0.3/errors/he/ERR_UNSUP_REQ	2020-06-09 19:02:51.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_UNSUP_REQ	2020-08-23 05:43:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_URN_RESOLVE squid-5.0.4/errors/he/ERR_URN_RESOLVE
--- squid-5.0.3/errors/he/ERR_URN_RESOLVE	2020-06-09 19:02:51.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_URN_RESOLVE	2020-08-23 05:43:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_WRITE_ERROR squid-5.0.4/errors/he/ERR_WRITE_ERROR
--- squid-5.0.3/errors/he/ERR_WRITE_ERROR	2020-06-09 19:02:51.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_WRITE_ERROR	2020-08-23 05:43:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/he/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/he/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/he/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:02:52.000000000 +1200
+++ squid-5.0.4/errors/he/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:43:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_ACCESS_DENIED squid-5.0.4/errors/hu/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/hu/ERR_ACCESS_DENIED	2020-06-09 19:02:52.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_ACCESS_DENIED	2020-08-23 05:43:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/hu/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/hu/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:02:53.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:43:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_AGENT_CONFIGURE squid-5.0.4/errors/hu/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/hu/ERR_AGENT_CONFIGURE	2020-06-09 19:02:53.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_AGENT_CONFIGURE	2020-08-23 05:43:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>A hálózat használatához módosítania kell a böngésző beállításait.</p>
 </blockquote>
 
 <p>Ezeket a beállításokat az alábbi menüpontokon keresztül találhatja meg:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Eszközök -&gt; Beállítások -&gt; Fejlett -&gt; Hálózat -&gt; Kapcsolatbeállítások</li>
 <li>A HTTP proxy mezőben adja meg a proxy nevét (%h) és portszámát (%b).</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Eszközök -&gt; Internetbeállítások -&gt; Kapcsolat -&gt; Helyi hálózat beállításai -&gt; Proxy</li>
 <li>A HTTP proxy mezőben adja meg a proxy nevét (%h) és portszámát (%b).</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Eszközök -&gt; Beállítások -&gt; Fejlett -&gt; Hálózat -&gt; Proxyszerverek</li>
 <li>A HTTP proxy mezőben adja meg a proxy nevét (%h) és portszámát (%b).</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/hu/ERR_AGENT_WPAD squid-5.0.4/errors/hu/ERR_AGENT_WPAD
--- squid-5.0.3/errors/hu/ERR_AGENT_WPAD	2020-06-09 19:02:53.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_AGENT_WPAD	2020-08-23 05:43:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>A hálózat használatához módosítania kell a böngésző beállításait.</p>
 </blockquote>
 
 <p>Ezeket a beállításokat az alábbi menüpontokon keresztül találhatja meg:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Eszközök -&gt; Beállítások -&gt; Fejlett -&gt; Hálózat -&gt; Kapcsolatbeállítások</li>
 <li>Válassza ki a „Proxybeállítások automatikus felismerése ehhez a hálózathoz” jelölőnégyzetet</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Eszközök -&gt; Internetbeállítások -&gt; Kapcsolat -&gt; Helyi hálózat beállításai -&gt; Proxy</li>
 <li>Válassza ki az „Automatikus felismerés” opciót</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Eszközök -&gt; Beállítások -&gt; Fejlett -&gt; Hálózat -&gt; Proxyszerverek</li>
 <li>Válassza ki az "Automatikus proxybeállítás használata" opciót</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/hu/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/hu/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/hu/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:02:54.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:43:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/hu/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/hu/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:02:54.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:43:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_CANNOT_FORWARD squid-5.0.4/errors/hu/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/hu/ERR_CANNOT_FORWARD	2020-06-09 19:02:54.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_CANNOT_FORWARD	2020-08-23 05:43:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_CONFLICT_HOST squid-5.0.4/errors/hu/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/hu/ERR_CONFLICT_HOST	2020-06-09 19:02:55.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_CONFLICT_HOST	2020-08-23 05:43:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_CONNECT_FAIL squid-5.0.4/errors/hu/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/hu/ERR_CONNECT_FAIL	2020-06-09 19:02:55.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_CONNECT_FAIL	2020-08-23 05:43:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_DIR_LISTING squid-5.0.4/errors/hu/ERR_DIR_LISTING
--- squid-5.0.3/errors/hu/ERR_DIR_LISTING	2020-06-09 19:02:55.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_DIR_LISTING	2020-08-23 05:43:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_DNS_FAIL squid-5.0.4/errors/hu/ERR_DNS_FAIL
--- squid-5.0.3/errors/hu/ERR_DNS_FAIL	2020-06-09 19:02:56.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_DNS_FAIL	2020-08-23 05:43:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_ESI squid-5.0.4/errors/hu/ERR_ESI
--- squid-5.0.3/errors/hu/ERR_ESI	2020-06-09 19:02:56.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_ESI	2020-08-23 05:43:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_FORWARDING_DENIED squid-5.0.4/errors/hu/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/hu/ERR_FORWARDING_DENIED	2020-06-09 19:02:56.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_FORWARDING_DENIED	2020-08-23 05:43:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_FTP_DISABLED squid-5.0.4/errors/hu/ERR_FTP_DISABLED
--- squid-5.0.3/errors/hu/ERR_FTP_DISABLED	2020-06-09 19:02:57.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_FTP_DISABLED	2020-08-23 05:43:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_FTP_FAILURE squid-5.0.4/errors/hu/ERR_FTP_FAILURE
--- squid-5.0.3/errors/hu/ERR_FTP_FAILURE	2020-06-09 19:02:57.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_FTP_FAILURE	2020-08-23 05:43:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_FTP_FORBIDDEN squid-5.0.4/errors/hu/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/hu/ERR_FTP_FORBIDDEN	2020-06-09 19:02:57.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_FTP_FORBIDDEN	2020-08-23 05:43:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_FTP_NOT_FOUND squid-5.0.4/errors/hu/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/hu/ERR_FTP_NOT_FOUND	2020-06-09 19:02:58.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_FTP_NOT_FOUND	2020-08-23 05:43:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_FTP_PUT_CREATED squid-5.0.4/errors/hu/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/hu/ERR_FTP_PUT_CREATED	2020-06-09 19:02:58.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_FTP_PUT_CREATED	2020-08-23 05:43:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_FTP_PUT_ERROR squid-5.0.4/errors/hu/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/hu/ERR_FTP_PUT_ERROR	2020-06-09 19:02:58.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_FTP_PUT_ERROR	2020-08-23 05:43:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/hu/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/hu/ERR_FTP_PUT_MODIFIED	2020-06-09 19:02:59.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_FTP_PUT_MODIFIED	2020-08-23 05:43:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/hu/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/hu/ERR_FTP_UNAVAILABLE	2020-06-09 19:02:59.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_FTP_UNAVAILABLE	2020-08-23 05:43:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_GATEWAY_FAILURE squid-5.0.4/errors/hu/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/hu/ERR_GATEWAY_FAILURE	2020-06-09 19:02:59.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_GATEWAY_FAILURE	2020-08-23 05:43:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_ICAP_FAILURE squid-5.0.4/errors/hu/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/hu/ERR_ICAP_FAILURE	2020-06-09 19:02:59.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_ICAP_FAILURE	2020-08-23 05:43:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_INVALID_REQ squid-5.0.4/errors/hu/ERR_INVALID_REQ
--- squid-5.0.3/errors/hu/ERR_INVALID_REQ	2020-06-09 19:03:00.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_INVALID_REQ	2020-08-23 05:43:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_INVALID_RESP squid-5.0.4/errors/hu/ERR_INVALID_RESP
--- squid-5.0.3/errors/hu/ERR_INVALID_RESP	2020-06-09 19:03:00.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_INVALID_RESP	2020-08-23 05:43:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_INVALID_URL squid-5.0.4/errors/hu/ERR_INVALID_URL
--- squid-5.0.3/errors/hu/ERR_INVALID_URL	2020-06-09 19:03:01.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_INVALID_URL	2020-08-23 05:43:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_LIFETIME_EXP squid-5.0.4/errors/hu/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/hu/ERR_LIFETIME_EXP	2020-06-09 19:03:01.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_LIFETIME_EXP	2020-08-23 05:43:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_NO_RELAY squid-5.0.4/errors/hu/ERR_NO_RELAY
--- squid-5.0.3/errors/hu/ERR_NO_RELAY	2020-06-09 19:03:01.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_NO_RELAY	2020-08-23 05:43:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/hu/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/hu/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:03:02.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:43:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_PRECONDITION_FAILED squid-5.0.4/errors/hu/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/hu/ERR_PRECONDITION_FAILED	2020-06-09 19:03:02.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_PRECONDITION_FAILED	2020-08-23 05:43:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/hu/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/hu/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:03:02.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:43:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_READ_ERROR squid-5.0.4/errors/hu/ERR_READ_ERROR
--- squid-5.0.3/errors/hu/ERR_READ_ERROR	2020-06-09 19:03:03.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_READ_ERROR	2020-08-23 05:43:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_READ_TIMEOUT squid-5.0.4/errors/hu/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/hu/ERR_READ_TIMEOUT	2020-06-09 19:03:03.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_READ_TIMEOUT	2020-08-23 05:43:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/hu/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/hu/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:03:03.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:43:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_SHUTTING_DOWN squid-5.0.4/errors/hu/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/hu/ERR_SHUTTING_DOWN	2020-06-09 19:03:04.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_SHUTTING_DOWN	2020-08-23 05:43:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_SOCKET_FAILURE squid-5.0.4/errors/hu/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/hu/ERR_SOCKET_FAILURE	2020-06-09 19:03:04.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_SOCKET_FAILURE	2020-08-23 05:43:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_TOO_BIG squid-5.0.4/errors/hu/ERR_TOO_BIG
--- squid-5.0.3/errors/hu/ERR_TOO_BIG	2020-06-09 19:03:04.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_TOO_BIG	2020-08-23 05:43:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/hu/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/hu/ERR_UNSUP_HTTPVERSION	2020-06-09 19:03:05.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_UNSUP_HTTPVERSION	2020-08-23 05:43:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_UNSUP_REQ squid-5.0.4/errors/hu/ERR_UNSUP_REQ
--- squid-5.0.3/errors/hu/ERR_UNSUP_REQ	2020-06-09 19:03:05.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_UNSUP_REQ	2020-08-23 05:43:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_URN_RESOLVE squid-5.0.4/errors/hu/ERR_URN_RESOLVE
--- squid-5.0.3/errors/hu/ERR_URN_RESOLVE	2020-06-09 19:03:05.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_URN_RESOLVE	2020-08-23 05:43:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_WRITE_ERROR squid-5.0.4/errors/hu/ERR_WRITE_ERROR
--- squid-5.0.3/errors/hu/ERR_WRITE_ERROR	2020-06-09 19:03:06.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_WRITE_ERROR	2020-08-23 05:43:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hu/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/hu/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/hu/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:03:06.000000000 +1200
+++ squid-5.0.4/errors/hu/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:43:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_ACCESS_DENIED squid-5.0.4/errors/hy/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/hy/ERR_ACCESS_DENIED	2020-06-09 19:03:06.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_ACCESS_DENIED	2020-08-23 05:43:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/hy/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/hy/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:03:07.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:43:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -24,7 +24,7 @@
 <p><b>Ժամանակային սահմանափակումը գերազանցված է</b></p>
 </blockquote>
 
-<p>Պրոքսի սերվերը սահմանափակում է Ձեր համացանցում գտնվելու ժամանակը.Սահմանափակումը կգործի ցանցի կառավարիչի կողմից նշված ժամանակահատվածում </p>
+<p>Պրոքսի սերվերը սահմանափակում է Ձեր համացանցում գտնվելու  ժամանակը.Սահմանափակումը կգործի ցանցի կառավարիչի կողմից նշված ժամանակահատվածում </p>
 <p>Այս սահմանափակումը իրականացված է Ձեր ինտերնետ կապ ապահովողի կողմից: Եթե Դուք սա սխալ եք համարում, դիմեք նրան:</p>
 
 <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p>
diff -u -r -N squid-5.0.3/errors/hy/ERR_AGENT_CONFIGURE squid-5.0.4/errors/hy/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/hy/ERR_AGENT_CONFIGURE	2020-06-09 19:03:07.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_AGENT_CONFIGURE	2020-08-23 05:43:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Այս ցանցից օգտվելու համար Ձեր բրաուզերը անհրաժեշտ է կարգաբերել</p>
 </blockquote>
 
 <p>Ինչպես փնտրել այս կարգաբերումները քո բրաուզերում:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Գործիքներ -&gt; Կարգաբերումներ -&gt; Լրացուցիչ -&gt; Ցանց -&gt; Կապի կարգաբերումներ</li>
 <li>HTTP proxy դաշտում նշիր proxy name %h և port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Գործիքներ -&gt; Ինտերնետ կարգաբերումներ -&gt; Կապ -&gt; LAN կարգաբերումներ -&gt;Պրոքսի</li>
 <li>HTTP proxy դաշտում նշիր proxy name %h և port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Գործիքներ -&gt; Նախընտրություններ -&gt; Լրացուցիչ -&gt; Ցանց -&gt; Պրոքսի սերվերներ</li>
 <li>HTTP proxy դաշտում նշիր proxy name %h և port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/hy/ERR_AGENT_WPAD squid-5.0.4/errors/hy/ERR_AGENT_WPAD
--- squid-5.0.3/errors/hy/ERR_AGENT_WPAD	2020-06-09 19:03:07.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_AGENT_WPAD	2020-08-23 05:43:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Այս ցանցից օգտվելու համար Ձեր բրաուզերը անհրաժեշտ է կարգաբերել</p>
 </blockquote>
 
 <p>Ինչպես փնտրել այս կարգաբերումները քո բրաուզերում:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Գործիքներ -&gt; Կարգաբերումներ -&gt; Լրացուցիչ -&gt; Ցանց -&gt; Կապի կարգաբերումներ</li>
 <li>Ընտրեք Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Գործիքներ -&gt; Ինտերնետ կարգաբերումներ -&gt; Կապ -&gt; LAN կարգաբերումներ -&gt;Պրոքսի</li>
 <li>Ընտրեք Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Գործիքներ -&gt; Նախընտրություններ -&gt; Լրացուցիչ -&gt; Ցանց -&gt; Պրոքսի սերվերներ</li>
 <li>Ընտրեք Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/hy/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/hy/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/hy/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:03:07.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:43:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/hy/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/hy/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:03:08.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:43:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_CANNOT_FORWARD squid-5.0.4/errors/hy/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/hy/ERR_CANNOT_FORWARD	2020-06-09 19:03:08.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_CANNOT_FORWARD	2020-08-23 05:43:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_CONFLICT_HOST squid-5.0.4/errors/hy/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/hy/ERR_CONFLICT_HOST	2020-06-09 19:03:08.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_CONFLICT_HOST	2020-08-23 05:43:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_CONNECT_FAIL squid-5.0.4/errors/hy/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/hy/ERR_CONNECT_FAIL	2020-06-09 19:03:09.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_CONNECT_FAIL	2020-08-23 05:43:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_DIR_LISTING squid-5.0.4/errors/hy/ERR_DIR_LISTING
--- squid-5.0.3/errors/hy/ERR_DIR_LISTING	2020-06-09 19:03:09.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_DIR_LISTING	2020-08-23 05:43:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_DNS_FAIL squid-5.0.4/errors/hy/ERR_DNS_FAIL
--- squid-5.0.3/errors/hy/ERR_DNS_FAIL	2020-06-09 19:03:10.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_DNS_FAIL	2020-08-23 05:43:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_ESI squid-5.0.4/errors/hy/ERR_ESI
--- squid-5.0.3/errors/hy/ERR_ESI	2020-06-09 19:03:10.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_ESI	2020-08-23 05:43:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_FORWARDING_DENIED squid-5.0.4/errors/hy/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/hy/ERR_FORWARDING_DENIED	2020-06-09 19:03:10.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_FORWARDING_DENIED	2020-08-23 05:43:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_FTP_DISABLED squid-5.0.4/errors/hy/ERR_FTP_DISABLED
--- squid-5.0.3/errors/hy/ERR_FTP_DISABLED	2020-06-09 19:03:11.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_FTP_DISABLED	2020-08-23 05:43:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_FTP_FAILURE squid-5.0.4/errors/hy/ERR_FTP_FAILURE
--- squid-5.0.3/errors/hy/ERR_FTP_FAILURE	2020-06-09 19:03:11.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_FTP_FAILURE	2020-08-23 05:43:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_FTP_FORBIDDEN squid-5.0.4/errors/hy/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/hy/ERR_FTP_FORBIDDEN	2020-06-09 19:03:11.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_FTP_FORBIDDEN	2020-08-23 05:43:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_FTP_NOT_FOUND squid-5.0.4/errors/hy/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/hy/ERR_FTP_NOT_FOUND	2020-06-09 19:03:12.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_FTP_NOT_FOUND	2020-08-23 05:43:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_FTP_PUT_CREATED squid-5.0.4/errors/hy/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/hy/ERR_FTP_PUT_CREATED	2020-06-09 19:03:12.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_FTP_PUT_CREATED	2020-08-23 05:43:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_FTP_PUT_ERROR squid-5.0.4/errors/hy/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/hy/ERR_FTP_PUT_ERROR	2020-06-09 19:03:12.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_FTP_PUT_ERROR	2020-08-23 05:43:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/hy/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/hy/ERR_FTP_PUT_MODIFIED	2020-06-09 19:03:13.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_FTP_PUT_MODIFIED	2020-08-23 05:43:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/hy/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/hy/ERR_FTP_UNAVAILABLE	2020-06-09 19:03:13.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_FTP_UNAVAILABLE	2020-08-23 05:43:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_GATEWAY_FAILURE squid-5.0.4/errors/hy/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/hy/ERR_GATEWAY_FAILURE	2020-06-09 19:03:13.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_GATEWAY_FAILURE	2020-08-23 05:43:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_ICAP_FAILURE squid-5.0.4/errors/hy/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/hy/ERR_ICAP_FAILURE	2020-06-09 19:03:14.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_ICAP_FAILURE	2020-08-23 05:43:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_INVALID_REQ squid-5.0.4/errors/hy/ERR_INVALID_REQ
--- squid-5.0.3/errors/hy/ERR_INVALID_REQ	2020-06-09 19:03:14.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_INVALID_REQ	2020-08-23 05:43:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_INVALID_RESP squid-5.0.4/errors/hy/ERR_INVALID_RESP
--- squid-5.0.3/errors/hy/ERR_INVALID_RESP	2020-06-09 19:03:14.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_INVALID_RESP	2020-08-23 05:43:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_INVALID_URL squid-5.0.4/errors/hy/ERR_INVALID_URL
--- squid-5.0.3/errors/hy/ERR_INVALID_URL	2020-06-09 19:03:15.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_INVALID_URL	2020-08-23 05:43:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_LIFETIME_EXP squid-5.0.4/errors/hy/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/hy/ERR_LIFETIME_EXP	2020-06-09 19:03:15.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_LIFETIME_EXP	2020-08-23 05:43:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_NO_RELAY squid-5.0.4/errors/hy/ERR_NO_RELAY
--- squid-5.0.3/errors/hy/ERR_NO_RELAY	2020-06-09 19:03:15.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_NO_RELAY	2020-08-23 05:43:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/hy/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/hy/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:03:16.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:43:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_PRECONDITION_FAILED squid-5.0.4/errors/hy/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/hy/ERR_PRECONDITION_FAILED	2020-06-09 19:03:16.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_PRECONDITION_FAILED	2020-08-23 05:43:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/hy/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/hy/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:03:16.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:43:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_READ_ERROR squid-5.0.4/errors/hy/ERR_READ_ERROR
--- squid-5.0.3/errors/hy/ERR_READ_ERROR	2020-06-09 19:03:17.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_READ_ERROR	2020-08-23 05:43:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_READ_TIMEOUT squid-5.0.4/errors/hy/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/hy/ERR_READ_TIMEOUT	2020-06-09 19:03:17.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_READ_TIMEOUT	2020-08-23 05:43:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/hy/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/hy/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:03:17.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:43:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_SHUTTING_DOWN squid-5.0.4/errors/hy/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/hy/ERR_SHUTTING_DOWN	2020-06-09 19:03:18.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_SHUTTING_DOWN	2020-08-23 05:43:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_SOCKET_FAILURE squid-5.0.4/errors/hy/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/hy/ERR_SOCKET_FAILURE	2020-06-09 19:03:18.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_SOCKET_FAILURE	2020-08-23 05:43:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_TOO_BIG squid-5.0.4/errors/hy/ERR_TOO_BIG
--- squid-5.0.3/errors/hy/ERR_TOO_BIG	2020-06-09 19:03:18.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_TOO_BIG	2020-08-23 05:43:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/hy/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/hy/ERR_UNSUP_HTTPVERSION	2020-06-09 19:03:19.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_UNSUP_HTTPVERSION	2020-08-23 05:43:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_UNSUP_REQ squid-5.0.4/errors/hy/ERR_UNSUP_REQ
--- squid-5.0.3/errors/hy/ERR_UNSUP_REQ	2020-06-09 19:03:19.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_UNSUP_REQ	2020-08-23 05:43:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_URN_RESOLVE squid-5.0.4/errors/hy/ERR_URN_RESOLVE
--- squid-5.0.3/errors/hy/ERR_URN_RESOLVE	2020-06-09 19:03:19.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_URN_RESOLVE	2020-08-23 05:43:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_WRITE_ERROR squid-5.0.4/errors/hy/ERR_WRITE_ERROR
--- squid-5.0.3/errors/hy/ERR_WRITE_ERROR	2020-06-09 19:03:20.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_WRITE_ERROR	2020-08-23 05:43:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/hy/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/hy/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/hy/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:03:20.000000000 +1200
+++ squid-5.0.4/errors/hy/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:43:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_ACCESS_DENIED squid-5.0.4/errors/id/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/id/ERR_ACCESS_DENIED	2020-06-09 19:03:20.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_ACCESS_DENIED	2020-08-23 05:43:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/id/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/id/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:03:21.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:43:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_AGENT_CONFIGURE squid-5.0.4/errors/id/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/id/ERR_AGENT_CONFIGURE	2020-06-09 19:03:21.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_AGENT_CONFIGURE	2020-08-23 05:43:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/id/ERR_AGENT_WPAD squid-5.0.4/errors/id/ERR_AGENT_WPAD
--- squid-5.0.3/errors/id/ERR_AGENT_WPAD	2020-06-09 19:03:21.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_AGENT_WPAD	2020-08-23 05:43:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/id/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/id/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/id/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:03:22.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:43:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/id/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/id/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:03:22.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:43:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_CANNOT_FORWARD squid-5.0.4/errors/id/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/id/ERR_CANNOT_FORWARD	2020-06-09 19:03:22.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_CANNOT_FORWARD	2020-08-23 05:43:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_CONFLICT_HOST squid-5.0.4/errors/id/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/id/ERR_CONFLICT_HOST	2020-06-09 19:03:23.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_CONFLICT_HOST	2020-08-23 05:43:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_CONNECT_FAIL squid-5.0.4/errors/id/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/id/ERR_CONNECT_FAIL	2020-06-09 19:03:23.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_CONNECT_FAIL	2020-08-23 05:43:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_DIR_LISTING squid-5.0.4/errors/id/ERR_DIR_LISTING
--- squid-5.0.3/errors/id/ERR_DIR_LISTING	2020-06-09 19:03:23.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_DIR_LISTING	2020-08-23 05:43:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_DNS_FAIL squid-5.0.4/errors/id/ERR_DNS_FAIL
--- squid-5.0.3/errors/id/ERR_DNS_FAIL	2020-06-09 19:03:24.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_DNS_FAIL	2020-08-23 05:43:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_ESI squid-5.0.4/errors/id/ERR_ESI
--- squid-5.0.3/errors/id/ERR_ESI	2020-06-09 19:03:24.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_ESI	2020-08-23 05:43:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_FORWARDING_DENIED squid-5.0.4/errors/id/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/id/ERR_FORWARDING_DENIED	2020-06-09 19:03:24.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_FORWARDING_DENIED	2020-08-23 05:43:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_FTP_DISABLED squid-5.0.4/errors/id/ERR_FTP_DISABLED
--- squid-5.0.3/errors/id/ERR_FTP_DISABLED	2020-06-09 19:03:25.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_FTP_DISABLED	2020-08-23 05:43:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_FTP_FAILURE squid-5.0.4/errors/id/ERR_FTP_FAILURE
--- squid-5.0.3/errors/id/ERR_FTP_FAILURE	2020-06-09 19:03:25.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_FTP_FAILURE	2020-08-23 05:43:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_FTP_FORBIDDEN squid-5.0.4/errors/id/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/id/ERR_FTP_FORBIDDEN	2020-06-09 19:03:25.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_FTP_FORBIDDEN	2020-08-23 05:43:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_FTP_NOT_FOUND squid-5.0.4/errors/id/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/id/ERR_FTP_NOT_FOUND	2020-06-09 19:03:26.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_FTP_NOT_FOUND	2020-08-23 05:43:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_FTP_PUT_CREATED squid-5.0.4/errors/id/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/id/ERR_FTP_PUT_CREATED	2020-06-09 19:03:26.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_FTP_PUT_CREATED	2020-08-23 05:43:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_FTP_PUT_ERROR squid-5.0.4/errors/id/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/id/ERR_FTP_PUT_ERROR	2020-06-09 19:03:26.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_FTP_PUT_ERROR	2020-08-23 05:43:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/id/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/id/ERR_FTP_PUT_MODIFIED	2020-06-09 19:03:27.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_FTP_PUT_MODIFIED	2020-08-23 05:43:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/id/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/id/ERR_FTP_UNAVAILABLE	2020-06-09 19:03:27.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_FTP_UNAVAILABLE	2020-08-23 05:43:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_GATEWAY_FAILURE squid-5.0.4/errors/id/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/id/ERR_GATEWAY_FAILURE	2020-06-09 19:03:27.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_GATEWAY_FAILURE	2020-08-23 05:43:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_ICAP_FAILURE squid-5.0.4/errors/id/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/id/ERR_ICAP_FAILURE	2020-06-09 19:03:28.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_ICAP_FAILURE	2020-08-23 05:43:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_INVALID_REQ squid-5.0.4/errors/id/ERR_INVALID_REQ
--- squid-5.0.3/errors/id/ERR_INVALID_REQ	2020-06-09 19:03:28.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_INVALID_REQ	2020-08-23 05:43:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_INVALID_RESP squid-5.0.4/errors/id/ERR_INVALID_RESP
--- squid-5.0.3/errors/id/ERR_INVALID_RESP	2020-06-09 19:03:28.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_INVALID_RESP	2020-08-23 05:44:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_INVALID_URL squid-5.0.4/errors/id/ERR_INVALID_URL
--- squid-5.0.3/errors/id/ERR_INVALID_URL	2020-06-09 19:03:29.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_INVALID_URL	2020-08-23 05:44:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_LIFETIME_EXP squid-5.0.4/errors/id/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/id/ERR_LIFETIME_EXP	2020-06-09 19:03:29.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_LIFETIME_EXP	2020-08-23 05:44:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_NO_RELAY squid-5.0.4/errors/id/ERR_NO_RELAY
--- squid-5.0.3/errors/id/ERR_NO_RELAY	2020-06-09 19:03:29.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_NO_RELAY	2020-08-23 05:44:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/id/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/id/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:03:30.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:44:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_PRECONDITION_FAILED squid-5.0.4/errors/id/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/id/ERR_PRECONDITION_FAILED	2020-06-09 19:03:30.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_PRECONDITION_FAILED	2020-08-23 05:44:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/id/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/id/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:03:30.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:44:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_READ_ERROR squid-5.0.4/errors/id/ERR_READ_ERROR
--- squid-5.0.3/errors/id/ERR_READ_ERROR	2020-06-09 19:03:31.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_READ_ERROR	2020-08-23 05:44:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_READ_TIMEOUT squid-5.0.4/errors/id/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/id/ERR_READ_TIMEOUT	2020-06-09 19:03:31.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_READ_TIMEOUT	2020-08-23 05:44:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/id/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/id/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:03:31.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:44:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_SHUTTING_DOWN squid-5.0.4/errors/id/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/id/ERR_SHUTTING_DOWN	2020-06-09 19:03:32.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_SHUTTING_DOWN	2020-08-23 05:44:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_SOCKET_FAILURE squid-5.0.4/errors/id/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/id/ERR_SOCKET_FAILURE	2020-06-09 19:03:32.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_SOCKET_FAILURE	2020-08-23 05:44:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_TOO_BIG squid-5.0.4/errors/id/ERR_TOO_BIG
--- squid-5.0.3/errors/id/ERR_TOO_BIG	2020-06-09 19:03:32.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_TOO_BIG	2020-08-23 05:44:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/id/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/id/ERR_UNSUP_HTTPVERSION	2020-06-09 19:03:33.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_UNSUP_HTTPVERSION	2020-08-23 05:44:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_UNSUP_REQ squid-5.0.4/errors/id/ERR_UNSUP_REQ
--- squid-5.0.3/errors/id/ERR_UNSUP_REQ	2020-06-09 19:03:33.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_UNSUP_REQ	2020-08-23 05:44:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_URN_RESOLVE squid-5.0.4/errors/id/ERR_URN_RESOLVE
--- squid-5.0.3/errors/id/ERR_URN_RESOLVE	2020-06-09 19:03:33.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_URN_RESOLVE	2020-08-23 05:44:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_WRITE_ERROR squid-5.0.4/errors/id/ERR_WRITE_ERROR
--- squid-5.0.3/errors/id/ERR_WRITE_ERROR	2020-06-09 19:03:34.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_WRITE_ERROR	2020-08-23 05:44:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/id/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/id/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/id/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:03:34.000000000 +1200
+++ squid-5.0.4/errors/id/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:44:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_ACCESS_DENIED squid-5.0.4/errors/it/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/it/ERR_ACCESS_DENIED	2020-06-09 19:03:34.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_ACCESS_DENIED	2020-08-23 05:44:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/it/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/it/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:03:35.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:44:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_AGENT_CONFIGURE squid-5.0.4/errors/it/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/it/ERR_AGENT_CONFIGURE	2020-06-09 19:03:35.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_AGENT_CONFIGURE	2020-08-23 05:44:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>La configurazione del tuo browser dev'essere modificata prima di poter utilizzare questa rete.</p>
 </blockquote>
 
 <p>Indicazioni su come configurare il tuo browser sono disponibili a:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Strumenti -&gt; Opzioni -&gt; Avanzate -&gt; Rete -&gt; Impostazioni di connessione</li>
 <li>Nel box "Proxy HTTP" inserisci l'indirizzo del proxy (%h) e la porta %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Strumenti -&gt; Opzioni Internet -&gt; Connessioni -&gt; Impostazioni LAN -&gt;Proxy</li>
 <li>Nel box "Proxy HTTP" inserisci l'indirizzo del proxy (%h) e la porta %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Strumenti -&gt; Preferenze -&gt; Avanzate -&gt; Rete -&gt; Server proxy</li>
 <li>Nel box "Proxy HTTP" inserisci l'indirizzo del proxy (%h) e la porta %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/it/ERR_AGENT_WPAD squid-5.0.4/errors/it/ERR_AGENT_WPAD
--- squid-5.0.3/errors/it/ERR_AGENT_WPAD	2020-06-09 19:03:35.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_AGENT_WPAD	2020-08-23 05:44:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>La configurazione del tuo browser dev'essere modificata prima di poter utilizzare questa rete.</p>
 </blockquote>
 
 <p>Indicazioni su come configurare il tuo browser sono disponibili a:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Strumenti -&gt; Opzioni -&gt; Avanzate -&gt; Rete -&gt; Impostazioni di connessione</li>
 <li>Seleziona "Rileva automaticamente impostazioni proxy per questa rete"</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Strumenti -&gt; Opzioni Internet -&gt; Connessioni -&gt; Impostazioni LAN -&gt;Proxy</li>
 <li>Seleziona "Rileva automaticamente impostazioni"</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Strumenti -&gt; Preferenze -&gt; Avanzate -&gt; Rete -&gt; Server proxy</li>
 <li>Seleziona "Usa script di configurazione automatica"</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/it/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/it/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/it/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:03:36.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:44:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/it/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/it/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:03:36.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:44:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_CANNOT_FORWARD squid-5.0.4/errors/it/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/it/ERR_CANNOT_FORWARD	2020-06-09 19:03:36.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_CANNOT_FORWARD	2020-08-23 05:44:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_CONFLICT_HOST squid-5.0.4/errors/it/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/it/ERR_CONFLICT_HOST	2020-06-09 19:03:37.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_CONFLICT_HOST	2020-08-23 05:44:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_CONNECT_FAIL squid-5.0.4/errors/it/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/it/ERR_CONNECT_FAIL	2020-06-09 19:03:37.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_CONNECT_FAIL	2020-08-23 05:44:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_DIR_LISTING squid-5.0.4/errors/it/ERR_DIR_LISTING
--- squid-5.0.3/errors/it/ERR_DIR_LISTING	2020-06-09 19:03:37.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_DIR_LISTING	2020-08-23 05:44:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_DNS_FAIL squid-5.0.4/errors/it/ERR_DNS_FAIL
--- squid-5.0.3/errors/it/ERR_DNS_FAIL	2020-06-09 19:03:38.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_DNS_FAIL	2020-08-23 05:44:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_ESI squid-5.0.4/errors/it/ERR_ESI
--- squid-5.0.3/errors/it/ERR_ESI	2020-06-09 19:03:38.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_ESI	2020-08-23 05:44:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_FORWARDING_DENIED squid-5.0.4/errors/it/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/it/ERR_FORWARDING_DENIED	2020-06-09 19:03:38.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_FORWARDING_DENIED	2020-08-23 05:44:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_FTP_DISABLED squid-5.0.4/errors/it/ERR_FTP_DISABLED
--- squid-5.0.3/errors/it/ERR_FTP_DISABLED	2020-06-09 19:03:39.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_FTP_DISABLED	2020-08-23 05:44:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_FTP_FAILURE squid-5.0.4/errors/it/ERR_FTP_FAILURE
--- squid-5.0.3/errors/it/ERR_FTP_FAILURE	2020-06-09 19:03:39.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_FTP_FAILURE	2020-08-23 05:44:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_FTP_FORBIDDEN squid-5.0.4/errors/it/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/it/ERR_FTP_FORBIDDEN	2020-06-09 19:03:39.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_FTP_FORBIDDEN	2020-08-23 05:44:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_FTP_NOT_FOUND squid-5.0.4/errors/it/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/it/ERR_FTP_NOT_FOUND	2020-06-09 19:03:40.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_FTP_NOT_FOUND	2020-08-23 05:44:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_FTP_PUT_CREATED squid-5.0.4/errors/it/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/it/ERR_FTP_PUT_CREATED	2020-06-09 19:03:40.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_FTP_PUT_CREATED	2020-08-23 05:44:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_FTP_PUT_ERROR squid-5.0.4/errors/it/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/it/ERR_FTP_PUT_ERROR	2020-06-09 19:03:40.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_FTP_PUT_ERROR	2020-08-23 05:44:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/it/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/it/ERR_FTP_PUT_MODIFIED	2020-06-09 19:03:41.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_FTP_PUT_MODIFIED	2020-08-23 05:44:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/it/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/it/ERR_FTP_UNAVAILABLE	2020-06-09 19:03:41.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_FTP_UNAVAILABLE	2020-08-23 05:44:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_GATEWAY_FAILURE squid-5.0.4/errors/it/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/it/ERR_GATEWAY_FAILURE	2020-06-09 19:03:41.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_GATEWAY_FAILURE	2020-08-23 05:44:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_ICAP_FAILURE squid-5.0.4/errors/it/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/it/ERR_ICAP_FAILURE	2020-06-09 19:03:42.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_ICAP_FAILURE	2020-08-23 05:44:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_INVALID_REQ squid-5.0.4/errors/it/ERR_INVALID_REQ
--- squid-5.0.3/errors/it/ERR_INVALID_REQ	2020-06-09 19:03:42.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_INVALID_REQ	2020-08-23 05:44:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_INVALID_RESP squid-5.0.4/errors/it/ERR_INVALID_RESP
--- squid-5.0.3/errors/it/ERR_INVALID_RESP	2020-06-09 19:03:42.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_INVALID_RESP	2020-08-23 05:44:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_INVALID_URL squid-5.0.4/errors/it/ERR_INVALID_URL
--- squid-5.0.3/errors/it/ERR_INVALID_URL	2020-06-09 19:03:43.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_INVALID_URL	2020-08-23 05:44:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_LIFETIME_EXP squid-5.0.4/errors/it/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/it/ERR_LIFETIME_EXP	2020-06-09 19:03:43.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_LIFETIME_EXP	2020-08-23 05:44:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_NO_RELAY squid-5.0.4/errors/it/ERR_NO_RELAY
--- squid-5.0.3/errors/it/ERR_NO_RELAY	2020-06-09 19:03:43.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_NO_RELAY	2020-08-23 05:44:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/it/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/it/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:03:44.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:44:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_PRECONDITION_FAILED squid-5.0.4/errors/it/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/it/ERR_PRECONDITION_FAILED	2020-06-09 19:03:44.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_PRECONDITION_FAILED	2020-08-23 05:44:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/it/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/it/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:03:44.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:44:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_READ_ERROR squid-5.0.4/errors/it/ERR_READ_ERROR
--- squid-5.0.3/errors/it/ERR_READ_ERROR	2020-06-09 19:03:45.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_READ_ERROR	2020-08-23 05:44:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_READ_TIMEOUT squid-5.0.4/errors/it/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/it/ERR_READ_TIMEOUT	2020-06-09 19:03:45.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_READ_TIMEOUT	2020-08-23 05:44:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/it/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/it/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:03:45.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:44:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_SHUTTING_DOWN squid-5.0.4/errors/it/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/it/ERR_SHUTTING_DOWN	2020-06-09 19:03:46.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_SHUTTING_DOWN	2020-08-23 05:44:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_SOCKET_FAILURE squid-5.0.4/errors/it/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/it/ERR_SOCKET_FAILURE	2020-06-09 19:03:46.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_SOCKET_FAILURE	2020-08-23 05:44:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_TOO_BIG squid-5.0.4/errors/it/ERR_TOO_BIG
--- squid-5.0.3/errors/it/ERR_TOO_BIG	2020-06-09 19:03:46.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_TOO_BIG	2020-08-23 05:44:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/it/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/it/ERR_UNSUP_HTTPVERSION	2020-06-09 19:03:47.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_UNSUP_HTTPVERSION	2020-08-23 05:44:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_UNSUP_REQ squid-5.0.4/errors/it/ERR_UNSUP_REQ
--- squid-5.0.3/errors/it/ERR_UNSUP_REQ	2020-06-09 19:03:47.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_UNSUP_REQ	2020-08-23 05:44:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_URN_RESOLVE squid-5.0.4/errors/it/ERR_URN_RESOLVE
--- squid-5.0.3/errors/it/ERR_URN_RESOLVE	2020-06-09 19:03:47.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_URN_RESOLVE	2020-08-23 05:44:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_WRITE_ERROR squid-5.0.4/errors/it/ERR_WRITE_ERROR
--- squid-5.0.3/errors/it/ERR_WRITE_ERROR	2020-06-09 19:03:48.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_WRITE_ERROR	2020-08-23 05:44:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/it/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/it/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/it/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:03:48.000000000 +1200
+++ squid-5.0.4/errors/it/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:44:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_ACCESS_DENIED squid-5.0.4/errors/ja/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/ja/ERR_ACCESS_DENIED	2020-06-09 19:03:48.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_ACCESS_DENIED	2020-08-23 05:44:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/ja/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/ja/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:03:49.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:44:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_AGENT_CONFIGURE squid-5.0.4/errors/ja/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/ja/ERR_AGENT_CONFIGURE	2020-06-09 19:03:49.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_AGENT_CONFIGURE	2020-08-23 05:44:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>ご利用のブラウザを設定する方法の探し方:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>ツール -&gt; オプション -&gt; 詳細 -&gt; ネットワーク -&gt; 接続設定</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>ツール -&gt; インターネット オプション -&gt; 接続 -&gt; LAN の設定 -&gt; プロキシ サーバー</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>ツール -&gt; 設定 -&gt; 詳細 -&gt; ネットワーク -&gt; プロキシサーバー</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ja/ERR_AGENT_WPAD squid-5.0.4/errors/ja/ERR_AGENT_WPAD
--- squid-5.0.3/errors/ja/ERR_AGENT_WPAD	2020-06-09 19:03:49.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_AGENT_WPAD	2020-08-23 05:44:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>ご利用のブラウザを設定する方法の探し方:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>ツール -&gt; オプション -&gt; 詳細 -&gt; ネットワーク -&gt; 接続設定</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>ツール -&gt; インターネット オプション -&gt; 接続 -&gt; LAN の設定 -&gt; プロキシ サーバー</li>
 <li>自動検出の設定を選択してください。</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>ツール -&gt; 設定 -&gt; 詳細 -&gt; ネットワーク -&gt; プロキシサーバー</li>
 <li>proxyの自動構成を選択してください。</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ja/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/ja/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/ja/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:03:50.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:44:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/ja/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/ja/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:03:50.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:44:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_CANNOT_FORWARD squid-5.0.4/errors/ja/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/ja/ERR_CANNOT_FORWARD	2020-06-09 19:03:50.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_CANNOT_FORWARD	2020-08-23 05:44:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_CONFLICT_HOST squid-5.0.4/errors/ja/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/ja/ERR_CONFLICT_HOST	2020-06-09 19:03:51.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_CONFLICT_HOST	2020-08-23 05:44:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_CONNECT_FAIL squid-5.0.4/errors/ja/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/ja/ERR_CONNECT_FAIL	2020-06-09 19:03:51.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_CONNECT_FAIL	2020-08-23 05:44:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_DIR_LISTING squid-5.0.4/errors/ja/ERR_DIR_LISTING
--- squid-5.0.3/errors/ja/ERR_DIR_LISTING	2020-06-09 19:03:51.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_DIR_LISTING	2020-08-23 05:44:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_DNS_FAIL squid-5.0.4/errors/ja/ERR_DNS_FAIL
--- squid-5.0.3/errors/ja/ERR_DNS_FAIL	2020-06-09 19:03:52.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_DNS_FAIL	2020-08-23 05:44:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_ESI squid-5.0.4/errors/ja/ERR_ESI
--- squid-5.0.3/errors/ja/ERR_ESI	2020-06-09 19:03:52.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_ESI	2020-08-23 05:44:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_FORWARDING_DENIED squid-5.0.4/errors/ja/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/ja/ERR_FORWARDING_DENIED	2020-06-09 19:03:52.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_FORWARDING_DENIED	2020-08-23 05:44:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_FTP_DISABLED squid-5.0.4/errors/ja/ERR_FTP_DISABLED
--- squid-5.0.3/errors/ja/ERR_FTP_DISABLED	2020-06-09 19:03:53.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_FTP_DISABLED	2020-08-23 05:44:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_FTP_FAILURE squid-5.0.4/errors/ja/ERR_FTP_FAILURE
--- squid-5.0.3/errors/ja/ERR_FTP_FAILURE	2020-06-09 19:03:53.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_FTP_FAILURE	2020-08-23 05:44:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_FTP_FORBIDDEN squid-5.0.4/errors/ja/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/ja/ERR_FTP_FORBIDDEN	2020-06-09 19:03:53.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_FTP_FORBIDDEN	2020-08-23 05:44:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_FTP_NOT_FOUND squid-5.0.4/errors/ja/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/ja/ERR_FTP_NOT_FOUND	2020-06-09 19:03:54.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_FTP_NOT_FOUND	2020-08-23 05:44:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_FTP_PUT_CREATED squid-5.0.4/errors/ja/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/ja/ERR_FTP_PUT_CREATED	2020-06-09 19:03:54.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_FTP_PUT_CREATED	2020-08-23 05:44:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_FTP_PUT_ERROR squid-5.0.4/errors/ja/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/ja/ERR_FTP_PUT_ERROR	2020-06-09 19:03:54.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_FTP_PUT_ERROR	2020-08-23 05:44:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/ja/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/ja/ERR_FTP_PUT_MODIFIED	2020-06-09 19:03:55.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_FTP_PUT_MODIFIED	2020-08-23 05:44:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/ja/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/ja/ERR_FTP_UNAVAILABLE	2020-06-09 19:03:55.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_FTP_UNAVAILABLE	2020-08-23 05:44:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_GATEWAY_FAILURE squid-5.0.4/errors/ja/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/ja/ERR_GATEWAY_FAILURE	2020-06-09 19:03:55.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_GATEWAY_FAILURE	2020-08-23 05:44:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_ICAP_FAILURE squid-5.0.4/errors/ja/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/ja/ERR_ICAP_FAILURE	2020-06-09 19:03:56.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_ICAP_FAILURE	2020-08-23 05:44:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_INVALID_REQ squid-5.0.4/errors/ja/ERR_INVALID_REQ
--- squid-5.0.3/errors/ja/ERR_INVALID_REQ	2020-06-09 19:03:56.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_INVALID_REQ	2020-08-23 05:44:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_INVALID_RESP squid-5.0.4/errors/ja/ERR_INVALID_RESP
--- squid-5.0.3/errors/ja/ERR_INVALID_RESP	2020-06-09 19:03:56.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_INVALID_RESP	2020-08-23 05:44:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_INVALID_URL squid-5.0.4/errors/ja/ERR_INVALID_URL
--- squid-5.0.3/errors/ja/ERR_INVALID_URL	2020-06-09 19:03:57.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_INVALID_URL	2020-08-23 05:44:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_LIFETIME_EXP squid-5.0.4/errors/ja/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/ja/ERR_LIFETIME_EXP	2020-06-09 19:03:57.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_LIFETIME_EXP	2020-08-23 05:44:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_NO_RELAY squid-5.0.4/errors/ja/ERR_NO_RELAY
--- squid-5.0.3/errors/ja/ERR_NO_RELAY	2020-06-09 19:03:57.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_NO_RELAY	2020-08-23 05:44:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/ja/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/ja/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:03:58.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:44:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_PRECONDITION_FAILED squid-5.0.4/errors/ja/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/ja/ERR_PRECONDITION_FAILED	2020-06-09 19:03:58.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_PRECONDITION_FAILED	2020-08-23 05:44:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/ja/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/ja/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:03:58.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:44:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_READ_ERROR squid-5.0.4/errors/ja/ERR_READ_ERROR
--- squid-5.0.3/errors/ja/ERR_READ_ERROR	2020-06-09 19:03:59.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_READ_ERROR	2020-08-23 05:44:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_READ_TIMEOUT squid-5.0.4/errors/ja/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/ja/ERR_READ_TIMEOUT	2020-06-09 19:03:59.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_READ_TIMEOUT	2020-08-23 05:44:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/ja/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/ja/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:03:59.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:44:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_SHUTTING_DOWN squid-5.0.4/errors/ja/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/ja/ERR_SHUTTING_DOWN	2020-06-09 19:04:00.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_SHUTTING_DOWN	2020-08-23 05:44:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_SOCKET_FAILURE squid-5.0.4/errors/ja/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/ja/ERR_SOCKET_FAILURE	2020-06-09 19:04:00.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_SOCKET_FAILURE	2020-08-23 05:44:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_TOO_BIG squid-5.0.4/errors/ja/ERR_TOO_BIG
--- squid-5.0.3/errors/ja/ERR_TOO_BIG	2020-06-09 19:04:00.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_TOO_BIG	2020-08-23 05:44:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/ja/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/ja/ERR_UNSUP_HTTPVERSION	2020-06-09 19:04:01.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_UNSUP_HTTPVERSION	2020-08-23 05:44:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_UNSUP_REQ squid-5.0.4/errors/ja/ERR_UNSUP_REQ
--- squid-5.0.3/errors/ja/ERR_UNSUP_REQ	2020-06-09 19:04:01.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_UNSUP_REQ	2020-08-23 05:44:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_URN_RESOLVE squid-5.0.4/errors/ja/ERR_URN_RESOLVE
--- squid-5.0.3/errors/ja/ERR_URN_RESOLVE	2020-06-09 19:04:01.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_URN_RESOLVE	2020-08-23 05:44:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_WRITE_ERROR squid-5.0.4/errors/ja/ERR_WRITE_ERROR
--- squid-5.0.3/errors/ja/ERR_WRITE_ERROR	2020-06-09 19:04:02.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_WRITE_ERROR	2020-08-23 05:44:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ja/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/ja/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/ja/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:04:02.000000000 +1200
+++ squid-5.0.4/errors/ja/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:44:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_ACCESS_DENIED squid-5.0.4/errors/ka/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/ka/ERR_ACCESS_DENIED	2020-06-09 19:04:02.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_ACCESS_DENIED	2020-08-23 05:44:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/ka/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/ka/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:04:03.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:44:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_AGENT_CONFIGURE squid-5.0.4/errors/ka/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/ka/ERR_AGENT_CONFIGURE	2020-06-09 19:04:03.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_AGENT_CONFIGURE	2020-08-23 05:44:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ka/ERR_AGENT_WPAD squid-5.0.4/errors/ka/ERR_AGENT_WPAD
--- squid-5.0.3/errors/ka/ERR_AGENT_WPAD	2020-06-09 19:04:03.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_AGENT_WPAD	2020-08-23 05:44:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ka/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/ka/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/ka/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:04:04.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:44:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/ka/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/ka/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:04:04.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:44:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_CANNOT_FORWARD squid-5.0.4/errors/ka/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/ka/ERR_CANNOT_FORWARD	2020-06-09 19:04:04.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_CANNOT_FORWARD	2020-08-23 05:44:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_CONFLICT_HOST squid-5.0.4/errors/ka/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/ka/ERR_CONFLICT_HOST	2020-06-09 19:04:05.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_CONFLICT_HOST	2020-08-23 05:44:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_CONNECT_FAIL squid-5.0.4/errors/ka/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/ka/ERR_CONNECT_FAIL	2020-06-09 19:04:05.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_CONNECT_FAIL	2020-08-23 05:44:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_DIR_LISTING squid-5.0.4/errors/ka/ERR_DIR_LISTING
--- squid-5.0.3/errors/ka/ERR_DIR_LISTING	2020-06-09 19:04:05.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_DIR_LISTING	2020-08-23 05:44:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_DNS_FAIL squid-5.0.4/errors/ka/ERR_DNS_FAIL
--- squid-5.0.3/errors/ka/ERR_DNS_FAIL	2020-06-09 19:04:06.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_DNS_FAIL	2020-08-23 05:44:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_ESI squid-5.0.4/errors/ka/ERR_ESI
--- squid-5.0.3/errors/ka/ERR_ESI	2020-06-09 19:04:06.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_ESI	2020-08-23 05:44:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_FORWARDING_DENIED squid-5.0.4/errors/ka/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/ka/ERR_FORWARDING_DENIED	2020-06-09 19:04:06.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_FORWARDING_DENIED	2020-08-23 05:44:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_FTP_DISABLED squid-5.0.4/errors/ka/ERR_FTP_DISABLED
--- squid-5.0.3/errors/ka/ERR_FTP_DISABLED	2020-06-09 19:04:07.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_FTP_DISABLED	2020-08-23 05:44:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_FTP_FAILURE squid-5.0.4/errors/ka/ERR_FTP_FAILURE
--- squid-5.0.3/errors/ka/ERR_FTP_FAILURE	2020-06-09 19:04:07.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_FTP_FAILURE	2020-08-23 05:44:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_FTP_FORBIDDEN squid-5.0.4/errors/ka/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/ka/ERR_FTP_FORBIDDEN	2020-06-09 19:04:07.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_FTP_FORBIDDEN	2020-08-23 05:44:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_FTP_NOT_FOUND squid-5.0.4/errors/ka/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/ka/ERR_FTP_NOT_FOUND	2020-06-09 19:04:08.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_FTP_NOT_FOUND	2020-08-23 05:44:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_FTP_PUT_CREATED squid-5.0.4/errors/ka/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/ka/ERR_FTP_PUT_CREATED	2020-06-09 19:04:08.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_FTP_PUT_CREATED	2020-08-23 05:44:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_FTP_PUT_ERROR squid-5.0.4/errors/ka/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/ka/ERR_FTP_PUT_ERROR	2020-06-09 19:04:08.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_FTP_PUT_ERROR	2020-08-23 05:44:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/ka/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/ka/ERR_FTP_PUT_MODIFIED	2020-06-09 19:04:09.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_FTP_PUT_MODIFIED	2020-08-23 05:44:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/ka/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/ka/ERR_FTP_UNAVAILABLE	2020-06-09 19:04:09.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_FTP_UNAVAILABLE	2020-08-23 05:44:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_GATEWAY_FAILURE squid-5.0.4/errors/ka/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/ka/ERR_GATEWAY_FAILURE	2020-06-09 19:04:09.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_GATEWAY_FAILURE	2020-08-23 05:44:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_ICAP_FAILURE squid-5.0.4/errors/ka/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/ka/ERR_ICAP_FAILURE	2020-06-09 19:04:10.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_ICAP_FAILURE	2020-08-23 05:44:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_INVALID_REQ squid-5.0.4/errors/ka/ERR_INVALID_REQ
--- squid-5.0.3/errors/ka/ERR_INVALID_REQ	2020-06-09 19:04:10.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_INVALID_REQ	2020-08-23 05:44:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_INVALID_RESP squid-5.0.4/errors/ka/ERR_INVALID_RESP
--- squid-5.0.3/errors/ka/ERR_INVALID_RESP	2020-06-09 19:04:10.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_INVALID_RESP	2020-08-23 05:44:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_INVALID_URL squid-5.0.4/errors/ka/ERR_INVALID_URL
--- squid-5.0.3/errors/ka/ERR_INVALID_URL	2020-06-09 19:04:11.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_INVALID_URL	2020-08-23 05:44:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_LIFETIME_EXP squid-5.0.4/errors/ka/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/ka/ERR_LIFETIME_EXP	2020-06-09 19:04:11.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_LIFETIME_EXP	2020-08-23 05:44:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_NO_RELAY squid-5.0.4/errors/ka/ERR_NO_RELAY
--- squid-5.0.3/errors/ka/ERR_NO_RELAY	2020-06-09 19:04:11.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_NO_RELAY	2020-08-23 05:44:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/ka/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/ka/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:04:12.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:44:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_PRECONDITION_FAILED squid-5.0.4/errors/ka/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/ka/ERR_PRECONDITION_FAILED	2020-06-09 19:04:12.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_PRECONDITION_FAILED	2020-08-23 05:44:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/ka/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/ka/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:04:12.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:44:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_READ_ERROR squid-5.0.4/errors/ka/ERR_READ_ERROR
--- squid-5.0.3/errors/ka/ERR_READ_ERROR	2020-06-09 19:04:13.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_READ_ERROR	2020-08-23 05:44:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_READ_TIMEOUT squid-5.0.4/errors/ka/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/ka/ERR_READ_TIMEOUT	2020-06-09 19:04:13.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_READ_TIMEOUT	2020-08-23 05:44:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/ka/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/ka/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:04:13.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:44:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_SHUTTING_DOWN squid-5.0.4/errors/ka/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/ka/ERR_SHUTTING_DOWN	2020-06-09 19:04:14.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_SHUTTING_DOWN	2020-08-23 05:44:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_SOCKET_FAILURE squid-5.0.4/errors/ka/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/ka/ERR_SOCKET_FAILURE	2020-06-09 19:04:14.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_SOCKET_FAILURE	2020-08-23 05:44:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_TOO_BIG squid-5.0.4/errors/ka/ERR_TOO_BIG
--- squid-5.0.3/errors/ka/ERR_TOO_BIG	2020-06-09 19:04:14.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_TOO_BIG	2020-08-23 05:44:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/ka/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/ka/ERR_UNSUP_HTTPVERSION	2020-06-09 19:04:15.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_UNSUP_HTTPVERSION	2020-08-23 05:44:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_UNSUP_REQ squid-5.0.4/errors/ka/ERR_UNSUP_REQ
--- squid-5.0.3/errors/ka/ERR_UNSUP_REQ	2020-06-09 19:04:15.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_UNSUP_REQ	2020-08-23 05:44:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_URN_RESOLVE squid-5.0.4/errors/ka/ERR_URN_RESOLVE
--- squid-5.0.3/errors/ka/ERR_URN_RESOLVE	2020-06-09 19:04:15.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_URN_RESOLVE	2020-08-23 05:44:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_WRITE_ERROR squid-5.0.4/errors/ka/ERR_WRITE_ERROR
--- squid-5.0.3/errors/ka/ERR_WRITE_ERROR	2020-06-09 19:04:16.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_WRITE_ERROR	2020-08-23 05:44:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ka/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/ka/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/ka/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:04:16.000000000 +1200
+++ squid-5.0.4/errors/ka/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:44:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_ACCESS_DENIED squid-5.0.4/errors/ko/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/ko/ERR_ACCESS_DENIED	2020-06-09 19:04:16.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_ACCESS_DENIED	2020-08-23 05:44:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/ko/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/ko/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:04:17.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:44:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_AGENT_CONFIGURE squid-5.0.4/errors/ko/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/ko/ERR_AGENT_CONFIGURE	2020-06-09 19:04:17.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_AGENT_CONFIGURE	2020-08-23 05:44:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ko/ERR_AGENT_WPAD squid-5.0.4/errors/ko/ERR_AGENT_WPAD
--- squid-5.0.3/errors/ko/ERR_AGENT_WPAD	2020-06-09 19:04:17.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_AGENT_WPAD	2020-08-23 05:44:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ko/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/ko/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/ko/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:04:18.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:44:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/ko/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/ko/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:04:18.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:44:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_CANNOT_FORWARD squid-5.0.4/errors/ko/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/ko/ERR_CANNOT_FORWARD	2020-06-09 19:04:19.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_CANNOT_FORWARD	2020-08-23 05:44:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_CONFLICT_HOST squid-5.0.4/errors/ko/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/ko/ERR_CONFLICT_HOST	2020-06-09 19:04:19.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_CONFLICT_HOST	2020-08-23 05:44:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_CONNECT_FAIL squid-5.0.4/errors/ko/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/ko/ERR_CONNECT_FAIL	2020-06-09 19:04:19.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_CONNECT_FAIL	2020-08-23 05:44:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_DIR_LISTING squid-5.0.4/errors/ko/ERR_DIR_LISTING
--- squid-5.0.3/errors/ko/ERR_DIR_LISTING	2020-06-09 19:04:20.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_DIR_LISTING	2020-08-23 05:44:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_DNS_FAIL squid-5.0.4/errors/ko/ERR_DNS_FAIL
--- squid-5.0.3/errors/ko/ERR_DNS_FAIL	2020-06-09 19:04:20.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_DNS_FAIL	2020-08-23 05:44:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_ESI squid-5.0.4/errors/ko/ERR_ESI
--- squid-5.0.3/errors/ko/ERR_ESI	2020-06-09 19:04:20.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_ESI	2020-08-23 05:44:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_FORWARDING_DENIED squid-5.0.4/errors/ko/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/ko/ERR_FORWARDING_DENIED	2020-06-09 19:04:20.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_FORWARDING_DENIED	2020-08-23 05:44:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_FTP_DISABLED squid-5.0.4/errors/ko/ERR_FTP_DISABLED
--- squid-5.0.3/errors/ko/ERR_FTP_DISABLED	2020-06-09 19:04:21.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_FTP_DISABLED	2020-08-23 05:44:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_FTP_FAILURE squid-5.0.4/errors/ko/ERR_FTP_FAILURE
--- squid-5.0.3/errors/ko/ERR_FTP_FAILURE	2020-06-09 19:04:21.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_FTP_FAILURE	2020-08-23 05:44:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_FTP_FORBIDDEN squid-5.0.4/errors/ko/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/ko/ERR_FTP_FORBIDDEN	2020-06-09 19:04:21.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_FTP_FORBIDDEN	2020-08-23 05:44:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_FTP_NOT_FOUND squid-5.0.4/errors/ko/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/ko/ERR_FTP_NOT_FOUND	2020-06-09 19:04:22.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_FTP_NOT_FOUND	2020-08-23 05:44:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_FTP_PUT_CREATED squid-5.0.4/errors/ko/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/ko/ERR_FTP_PUT_CREATED	2020-06-09 19:04:22.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_FTP_PUT_CREATED	2020-08-23 05:44:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_FTP_PUT_ERROR squid-5.0.4/errors/ko/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/ko/ERR_FTP_PUT_ERROR	2020-06-09 19:04:23.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_FTP_PUT_ERROR	2020-08-23 05:44:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/ko/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/ko/ERR_FTP_PUT_MODIFIED	2020-06-09 19:04:23.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_FTP_PUT_MODIFIED	2020-08-23 05:44:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/ko/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/ko/ERR_FTP_UNAVAILABLE	2020-06-09 19:04:23.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_FTP_UNAVAILABLE	2020-08-23 05:44:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_GATEWAY_FAILURE squid-5.0.4/errors/ko/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/ko/ERR_GATEWAY_FAILURE	2020-06-09 19:04:24.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_GATEWAY_FAILURE	2020-08-23 05:44:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_ICAP_FAILURE squid-5.0.4/errors/ko/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/ko/ERR_ICAP_FAILURE	2020-06-09 19:04:24.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_ICAP_FAILURE	2020-08-23 05:44:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_INVALID_REQ squid-5.0.4/errors/ko/ERR_INVALID_REQ
--- squid-5.0.3/errors/ko/ERR_INVALID_REQ	2020-06-09 19:04:24.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_INVALID_REQ	2020-08-23 05:44:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_INVALID_RESP squid-5.0.4/errors/ko/ERR_INVALID_RESP
--- squid-5.0.3/errors/ko/ERR_INVALID_RESP	2020-06-09 19:04:24.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_INVALID_RESP	2020-08-23 05:44:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_INVALID_URL squid-5.0.4/errors/ko/ERR_INVALID_URL
--- squid-5.0.3/errors/ko/ERR_INVALID_URL	2020-06-09 19:04:25.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_INVALID_URL	2020-08-23 05:44:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_LIFETIME_EXP squid-5.0.4/errors/ko/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/ko/ERR_LIFETIME_EXP	2020-06-09 19:04:25.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_LIFETIME_EXP	2020-08-23 05:44:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_NO_RELAY squid-5.0.4/errors/ko/ERR_NO_RELAY
--- squid-5.0.3/errors/ko/ERR_NO_RELAY	2020-06-09 19:04:25.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_NO_RELAY	2020-08-23 05:44:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/ko/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/ko/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:04:26.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:44:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_PRECONDITION_FAILED squid-5.0.4/errors/ko/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/ko/ERR_PRECONDITION_FAILED	2020-06-09 19:04:26.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_PRECONDITION_FAILED	2020-08-23 05:44:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/ko/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/ko/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:04:27.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:44:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_READ_ERROR squid-5.0.4/errors/ko/ERR_READ_ERROR
--- squid-5.0.3/errors/ko/ERR_READ_ERROR	2020-06-09 19:04:27.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_READ_ERROR	2020-08-23 05:44:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_READ_TIMEOUT squid-5.0.4/errors/ko/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/ko/ERR_READ_TIMEOUT	2020-06-09 19:04:27.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_READ_TIMEOUT	2020-08-23 05:44:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/ko/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/ko/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:04:28.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:44:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_SHUTTING_DOWN squid-5.0.4/errors/ko/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/ko/ERR_SHUTTING_DOWN	2020-06-09 19:04:28.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_SHUTTING_DOWN	2020-08-23 05:44:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_SOCKET_FAILURE squid-5.0.4/errors/ko/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/ko/ERR_SOCKET_FAILURE	2020-06-09 19:04:28.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_SOCKET_FAILURE	2020-08-23 05:44:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_TOO_BIG squid-5.0.4/errors/ko/ERR_TOO_BIG
--- squid-5.0.3/errors/ko/ERR_TOO_BIG	2020-06-09 19:04:29.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_TOO_BIG	2020-08-23 05:44:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/ko/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/ko/ERR_UNSUP_HTTPVERSION	2020-06-09 19:04:29.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_UNSUP_HTTPVERSION	2020-08-23 05:44:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_UNSUP_REQ squid-5.0.4/errors/ko/ERR_UNSUP_REQ
--- squid-5.0.3/errors/ko/ERR_UNSUP_REQ	2020-06-09 19:04:29.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_UNSUP_REQ	2020-08-23 05:44:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_URN_RESOLVE squid-5.0.4/errors/ko/ERR_URN_RESOLVE
--- squid-5.0.3/errors/ko/ERR_URN_RESOLVE	2020-06-09 19:04:30.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_URN_RESOLVE	2020-08-23 05:44:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_WRITE_ERROR squid-5.0.4/errors/ko/ERR_WRITE_ERROR
--- squid-5.0.3/errors/ko/ERR_WRITE_ERROR	2020-06-09 19:04:30.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_WRITE_ERROR	2020-08-23 05:44:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ko/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/ko/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/ko/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:04:30.000000000 +1200
+++ squid-5.0.4/errors/ko/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:44:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/language.am squid-5.0.4/errors/language.am
--- squid-5.0.3/errors/language.am	1970-01-01 12:00:00.000000000 +1200
+++ squid-5.0.4/errors/language.am	2020-08-23 05:40:17.000000000 +1200
@@ -0,0 +1,54 @@
+##
+## Copyright (C) 1996-2020 The Squid Software Foundation and contributors
+##
+## Squid software is distributed under GPLv2+ license and includes
+## contributions from numerous individuals and organizations.
+## Please see the COPYING and CONTRIBUTORS files for details.
+##
+
+TRANSLATE_LANGUAGES = \
+    af.lang \
+    ar.lang \
+    az.lang \
+    bg.lang \
+    ca.lang \
+    cs.lang \
+    da.lang \
+    de.lang \
+    el.lang \
+    en.lang \
+    es.lang \
+    et.lang \
+    fa.lang \
+    fi.lang \
+    fr.lang \
+    he.lang \
+    hu.lang \
+    hy.lang \
+    id.lang \
+    it.lang \
+    ja.lang \
+    ka.lang \
+    ko.lang \
+    lt.lang \
+    lv.lang \
+    ms.lang \
+    nl.lang \
+    oc.lang \
+    pl.lang \
+    pt-br.lang \
+    pt.lang \
+    ro.lang \
+    ru.lang \
+    sk.lang \
+    sl.lang \
+    sr-cyrl.lang \
+    sr-latn.lang \
+    sv.lang \
+    th.lang \
+    tr.lang \
+    uk.lang \
+    uz.lang \
+    vi.lang \
+    zh-hans.lang \
+    zh-hant.lang
diff -u -r -N squid-5.0.3/errors/language.list squid-5.0.4/errors/language.list
--- squid-5.0.3/errors/language.list	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/errors/language.list	1970-01-01 12:00:00.000000000 +1200
@@ -1,54 +0,0 @@
-##
-## Copyright (C) 1996-2020 The Squid Software Foundation and contributors
-##
-## Squid software is distributed under GPLv2+ license and includes
-## contributions from numerous individuals and organizations.
-## Please see the COPYING and CONTRIBUTORS files for details.
-##
-
-TRANSLATE_LANGUAGES= \
-    af.lang \
-    ar.lang \
-    az.lang \
-    bg.lang \
-    ca.lang \
-    cs.lang \
-    da.lang \
-    de.lang \
-    el.lang \
-    en.lang \
-    es.lang \
-    et.lang \
-    fa.lang \
-    fi.lang \
-    fr.lang \
-    he.lang \
-    hu.lang \
-    hy.lang \
-    id.lang \
-    it.lang \
-    ja.lang \
-    ka.lang \
-    ko.lang \
-    lt.lang \
-    lv.lang \
-    ms.lang \
-    nl.lang \
-    oc.lang \
-    pl.lang \
-    pt-br.lang \
-    pt.lang \
-    ro.lang \
-    ru.lang \
-    sk.lang \
-    sl.lang \
-    sr-cyrl.lang \
-    sr-latn.lang \
-    sv.lang \
-    th.lang \
-    tr.lang \
-    uk.lang \
-    uz.lang \
-    vi.lang \
-    zh-hans.lang \
-    zh-hant.lang 
diff -u -r -N squid-5.0.3/errors/lt/ERR_ACCESS_DENIED squid-5.0.4/errors/lt/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/lt/ERR_ACCESS_DENIED	2020-06-09 19:04:31.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_ACCESS_DENIED	2020-08-23 05:44:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/lt/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/lt/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:04:31.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:44:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_AGENT_CONFIGURE squid-5.0.4/errors/lt/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/lt/ERR_AGENT_CONFIGURE	2020-06-09 19:04:31.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_AGENT_CONFIGURE	2020-08-23 05:44:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/lt/ERR_AGENT_WPAD squid-5.0.4/errors/lt/ERR_AGENT_WPAD
--- squid-5.0.3/errors/lt/ERR_AGENT_WPAD	2020-06-09 19:04:32.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_AGENT_WPAD	2020-08-23 05:44:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/lt/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/lt/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/lt/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:04:32.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:44:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/lt/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/lt/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:04:32.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:44:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_CANNOT_FORWARD squid-5.0.4/errors/lt/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/lt/ERR_CANNOT_FORWARD	2020-06-09 19:04:33.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_CANNOT_FORWARD	2020-08-23 05:44:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_CONFLICT_HOST squid-5.0.4/errors/lt/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/lt/ERR_CONFLICT_HOST	2020-06-09 19:04:33.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_CONFLICT_HOST	2020-08-23 05:44:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_CONNECT_FAIL squid-5.0.4/errors/lt/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/lt/ERR_CONNECT_FAIL	2020-06-09 19:04:33.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_CONNECT_FAIL	2020-08-23 05:44:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_DIR_LISTING squid-5.0.4/errors/lt/ERR_DIR_LISTING
--- squid-5.0.3/errors/lt/ERR_DIR_LISTING	2020-06-09 19:04:34.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_DIR_LISTING	2020-08-23 05:44:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_DNS_FAIL squid-5.0.4/errors/lt/ERR_DNS_FAIL
--- squid-5.0.3/errors/lt/ERR_DNS_FAIL	2020-06-09 19:04:34.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_DNS_FAIL	2020-08-23 05:44:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_ESI squid-5.0.4/errors/lt/ERR_ESI
--- squid-5.0.3/errors/lt/ERR_ESI	2020-06-09 19:04:34.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_ESI	2020-08-23 05:44:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_FORWARDING_DENIED squid-5.0.4/errors/lt/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/lt/ERR_FORWARDING_DENIED	2020-06-09 19:04:35.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_FORWARDING_DENIED	2020-08-23 05:44:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_FTP_DISABLED squid-5.0.4/errors/lt/ERR_FTP_DISABLED
--- squid-5.0.3/errors/lt/ERR_FTP_DISABLED	2020-06-09 19:04:35.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_FTP_DISABLED	2020-08-23 05:44:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_FTP_FAILURE squid-5.0.4/errors/lt/ERR_FTP_FAILURE
--- squid-5.0.3/errors/lt/ERR_FTP_FAILURE	2020-06-09 19:04:35.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_FTP_FAILURE	2020-08-23 05:44:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_FTP_FORBIDDEN squid-5.0.4/errors/lt/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/lt/ERR_FTP_FORBIDDEN	2020-06-09 19:04:36.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_FTP_FORBIDDEN	2020-08-23 05:44:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_FTP_NOT_FOUND squid-5.0.4/errors/lt/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/lt/ERR_FTP_NOT_FOUND	2020-06-09 19:04:36.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_FTP_NOT_FOUND	2020-08-23 05:44:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_FTP_PUT_CREATED squid-5.0.4/errors/lt/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/lt/ERR_FTP_PUT_CREATED	2020-06-09 19:04:36.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_FTP_PUT_CREATED	2020-08-23 05:44:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_FTP_PUT_ERROR squid-5.0.4/errors/lt/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/lt/ERR_FTP_PUT_ERROR	2020-06-09 19:04:37.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_FTP_PUT_ERROR	2020-08-23 05:44:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/lt/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/lt/ERR_FTP_PUT_MODIFIED	2020-06-09 19:04:37.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_FTP_PUT_MODIFIED	2020-08-23 05:44:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/lt/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/lt/ERR_FTP_UNAVAILABLE	2020-06-09 19:04:37.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_FTP_UNAVAILABLE	2020-08-23 05:44:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_GATEWAY_FAILURE squid-5.0.4/errors/lt/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/lt/ERR_GATEWAY_FAILURE	2020-06-09 19:04:38.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_GATEWAY_FAILURE	2020-08-23 05:44:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_ICAP_FAILURE squid-5.0.4/errors/lt/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/lt/ERR_ICAP_FAILURE	2020-06-09 19:04:38.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_ICAP_FAILURE	2020-08-23 05:44:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_INVALID_REQ squid-5.0.4/errors/lt/ERR_INVALID_REQ
--- squid-5.0.3/errors/lt/ERR_INVALID_REQ	2020-06-09 19:04:38.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_INVALID_REQ	2020-08-23 05:44:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_INVALID_RESP squid-5.0.4/errors/lt/ERR_INVALID_RESP
--- squid-5.0.3/errors/lt/ERR_INVALID_RESP	2020-06-09 19:04:39.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_INVALID_RESP	2020-08-23 05:44:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_INVALID_URL squid-5.0.4/errors/lt/ERR_INVALID_URL
--- squid-5.0.3/errors/lt/ERR_INVALID_URL	2020-06-09 19:04:39.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_INVALID_URL	2020-08-23 05:44:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_LIFETIME_EXP squid-5.0.4/errors/lt/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/lt/ERR_LIFETIME_EXP	2020-06-09 19:04:39.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_LIFETIME_EXP	2020-08-23 05:44:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_NO_RELAY squid-5.0.4/errors/lt/ERR_NO_RELAY
--- squid-5.0.3/errors/lt/ERR_NO_RELAY	2020-06-09 19:04:40.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_NO_RELAY	2020-08-23 05:44:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/lt/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/lt/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:04:40.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:44:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_PRECONDITION_FAILED squid-5.0.4/errors/lt/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/lt/ERR_PRECONDITION_FAILED	2020-06-09 19:04:40.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_PRECONDITION_FAILED	2020-08-23 05:45:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/lt/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/lt/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:04:41.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:45:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_READ_ERROR squid-5.0.4/errors/lt/ERR_READ_ERROR
--- squid-5.0.3/errors/lt/ERR_READ_ERROR	2020-06-09 19:04:41.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_READ_ERROR	2020-08-23 05:45:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_READ_TIMEOUT squid-5.0.4/errors/lt/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/lt/ERR_READ_TIMEOUT	2020-06-09 19:04:41.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_READ_TIMEOUT	2020-08-23 05:45:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/lt/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/lt/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:04:42.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:45:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_SHUTTING_DOWN squid-5.0.4/errors/lt/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/lt/ERR_SHUTTING_DOWN	2020-06-09 19:04:42.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_SHUTTING_DOWN	2020-08-23 05:45:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_SOCKET_FAILURE squid-5.0.4/errors/lt/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/lt/ERR_SOCKET_FAILURE	2020-06-09 19:04:42.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_SOCKET_FAILURE	2020-08-23 05:45:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_TOO_BIG squid-5.0.4/errors/lt/ERR_TOO_BIG
--- squid-5.0.3/errors/lt/ERR_TOO_BIG	2020-06-09 19:04:43.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_TOO_BIG	2020-08-23 05:45:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/lt/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/lt/ERR_UNSUP_HTTPVERSION	2020-06-09 19:04:43.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_UNSUP_HTTPVERSION	2020-08-23 05:45:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_UNSUP_REQ squid-5.0.4/errors/lt/ERR_UNSUP_REQ
--- squid-5.0.3/errors/lt/ERR_UNSUP_REQ	2020-06-09 19:04:43.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_UNSUP_REQ	2020-08-23 05:45:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_URN_RESOLVE squid-5.0.4/errors/lt/ERR_URN_RESOLVE
--- squid-5.0.3/errors/lt/ERR_URN_RESOLVE	2020-06-09 19:04:44.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_URN_RESOLVE	2020-08-23 05:45:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_WRITE_ERROR squid-5.0.4/errors/lt/ERR_WRITE_ERROR
--- squid-5.0.3/errors/lt/ERR_WRITE_ERROR	2020-06-09 19:04:44.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_WRITE_ERROR	2020-08-23 05:45:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lt/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/lt/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/lt/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:04:44.000000000 +1200
+++ squid-5.0.4/errors/lt/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:45:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_ACCESS_DENIED squid-5.0.4/errors/lv/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/lv/ERR_ACCESS_DENIED	2020-06-09 19:04:45.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_ACCESS_DENIED	2020-08-23 05:45:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/lv/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/lv/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:04:45.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:45:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_AGENT_CONFIGURE squid-5.0.4/errors/lv/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/lv/ERR_AGENT_CONFIGURE	2020-06-09 19:04:45.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_AGENT_CONFIGURE	2020-08-23 05:45:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/lv/ERR_AGENT_WPAD squid-5.0.4/errors/lv/ERR_AGENT_WPAD
--- squid-5.0.3/errors/lv/ERR_AGENT_WPAD	2020-06-09 19:04:46.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_AGENT_WPAD	2020-08-23 05:45:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/lv/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/lv/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/lv/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:04:46.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:45:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/lv/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/lv/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:04:46.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:45:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_CANNOT_FORWARD squid-5.0.4/errors/lv/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/lv/ERR_CANNOT_FORWARD	2020-06-09 19:04:47.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_CANNOT_FORWARD	2020-08-23 05:45:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_CONFLICT_HOST squid-5.0.4/errors/lv/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/lv/ERR_CONFLICT_HOST	2020-06-09 19:04:47.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_CONFLICT_HOST	2020-08-23 05:45:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_CONNECT_FAIL squid-5.0.4/errors/lv/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/lv/ERR_CONNECT_FAIL	2020-06-09 19:04:47.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_CONNECT_FAIL	2020-08-23 05:45:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_DIR_LISTING squid-5.0.4/errors/lv/ERR_DIR_LISTING
--- squid-5.0.3/errors/lv/ERR_DIR_LISTING	2020-06-09 19:04:48.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_DIR_LISTING	2020-08-23 05:45:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_DNS_FAIL squid-5.0.4/errors/lv/ERR_DNS_FAIL
--- squid-5.0.3/errors/lv/ERR_DNS_FAIL	2020-06-09 19:04:48.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_DNS_FAIL	2020-08-23 05:45:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_ESI squid-5.0.4/errors/lv/ERR_ESI
--- squid-5.0.3/errors/lv/ERR_ESI	2020-06-09 19:04:48.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_ESI	2020-08-23 05:45:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_FORWARDING_DENIED squid-5.0.4/errors/lv/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/lv/ERR_FORWARDING_DENIED	2020-06-09 19:04:49.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_FORWARDING_DENIED	2020-08-23 05:45:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_FTP_DISABLED squid-5.0.4/errors/lv/ERR_FTP_DISABLED
--- squid-5.0.3/errors/lv/ERR_FTP_DISABLED	2020-06-09 19:04:49.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_FTP_DISABLED	2020-08-23 05:45:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_FTP_FAILURE squid-5.0.4/errors/lv/ERR_FTP_FAILURE
--- squid-5.0.3/errors/lv/ERR_FTP_FAILURE	2020-06-09 19:04:49.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_FTP_FAILURE	2020-08-23 05:45:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_FTP_FORBIDDEN squid-5.0.4/errors/lv/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/lv/ERR_FTP_FORBIDDEN	2020-06-09 19:04:50.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_FTP_FORBIDDEN	2020-08-23 05:45:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_FTP_NOT_FOUND squid-5.0.4/errors/lv/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/lv/ERR_FTP_NOT_FOUND	2020-06-09 19:04:50.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_FTP_NOT_FOUND	2020-08-23 05:45:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_FTP_PUT_CREATED squid-5.0.4/errors/lv/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/lv/ERR_FTP_PUT_CREATED	2020-06-09 19:04:50.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_FTP_PUT_CREATED	2020-08-23 05:45:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_FTP_PUT_ERROR squid-5.0.4/errors/lv/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/lv/ERR_FTP_PUT_ERROR	2020-06-09 19:04:51.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_FTP_PUT_ERROR	2020-08-23 05:45:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/lv/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/lv/ERR_FTP_PUT_MODIFIED	2020-06-09 19:04:51.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_FTP_PUT_MODIFIED	2020-08-23 05:45:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/lv/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/lv/ERR_FTP_UNAVAILABLE	2020-06-09 19:04:51.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_FTP_UNAVAILABLE	2020-08-23 05:45:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_GATEWAY_FAILURE squid-5.0.4/errors/lv/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/lv/ERR_GATEWAY_FAILURE	2020-06-09 19:04:52.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_GATEWAY_FAILURE	2020-08-23 05:45:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_ICAP_FAILURE squid-5.0.4/errors/lv/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/lv/ERR_ICAP_FAILURE	2020-06-09 19:04:52.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_ICAP_FAILURE	2020-08-23 05:45:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_INVALID_REQ squid-5.0.4/errors/lv/ERR_INVALID_REQ
--- squid-5.0.3/errors/lv/ERR_INVALID_REQ	2020-06-09 19:04:52.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_INVALID_REQ	2020-08-23 05:45:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_INVALID_RESP squid-5.0.4/errors/lv/ERR_INVALID_RESP
--- squid-5.0.3/errors/lv/ERR_INVALID_RESP	2020-06-09 19:04:53.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_INVALID_RESP	2020-08-23 05:45:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_INVALID_URL squid-5.0.4/errors/lv/ERR_INVALID_URL
--- squid-5.0.3/errors/lv/ERR_INVALID_URL	2020-06-09 19:04:53.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_INVALID_URL	2020-08-23 05:45:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_LIFETIME_EXP squid-5.0.4/errors/lv/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/lv/ERR_LIFETIME_EXP	2020-06-09 19:04:53.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_LIFETIME_EXP	2020-08-23 05:45:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_NO_RELAY squid-5.0.4/errors/lv/ERR_NO_RELAY
--- squid-5.0.3/errors/lv/ERR_NO_RELAY	2020-06-09 19:04:54.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_NO_RELAY	2020-08-23 05:45:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/lv/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/lv/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:04:54.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:45:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_PRECONDITION_FAILED squid-5.0.4/errors/lv/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/lv/ERR_PRECONDITION_FAILED	2020-06-09 19:04:54.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_PRECONDITION_FAILED	2020-08-23 05:45:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/lv/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/lv/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:04:55.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:45:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_READ_ERROR squid-5.0.4/errors/lv/ERR_READ_ERROR
--- squid-5.0.3/errors/lv/ERR_READ_ERROR	2020-06-09 19:04:55.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_READ_ERROR	2020-08-23 05:45:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_READ_TIMEOUT squid-5.0.4/errors/lv/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/lv/ERR_READ_TIMEOUT	2020-06-09 19:04:55.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_READ_TIMEOUT	2020-08-23 05:45:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/lv/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/lv/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:04:56.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:45:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_SHUTTING_DOWN squid-5.0.4/errors/lv/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/lv/ERR_SHUTTING_DOWN	2020-06-09 19:04:56.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_SHUTTING_DOWN	2020-08-23 05:45:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_SOCKET_FAILURE squid-5.0.4/errors/lv/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/lv/ERR_SOCKET_FAILURE	2020-06-09 19:04:56.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_SOCKET_FAILURE	2020-08-23 05:45:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_TOO_BIG squid-5.0.4/errors/lv/ERR_TOO_BIG
--- squid-5.0.3/errors/lv/ERR_TOO_BIG	2020-06-09 19:04:57.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_TOO_BIG	2020-08-23 05:45:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/lv/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/lv/ERR_UNSUP_HTTPVERSION	2020-06-09 19:04:57.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_UNSUP_HTTPVERSION	2020-08-23 05:45:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_UNSUP_REQ squid-5.0.4/errors/lv/ERR_UNSUP_REQ
--- squid-5.0.3/errors/lv/ERR_UNSUP_REQ	2020-06-09 19:04:57.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_UNSUP_REQ	2020-08-23 05:45:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_URN_RESOLVE squid-5.0.4/errors/lv/ERR_URN_RESOLVE
--- squid-5.0.3/errors/lv/ERR_URN_RESOLVE	2020-06-09 19:04:58.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_URN_RESOLVE	2020-08-23 05:45:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_WRITE_ERROR squid-5.0.4/errors/lv/ERR_WRITE_ERROR
--- squid-5.0.3/errors/lv/ERR_WRITE_ERROR	2020-06-09 19:04:58.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_WRITE_ERROR	2020-08-23 05:45:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/lv/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/lv/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/lv/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:04:58.000000000 +1200
+++ squid-5.0.4/errors/lv/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:45:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/Makefile.am squid-5.0.4/errors/Makefile.am
--- squid-5.0.3/errors/Makefile.am	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/errors/Makefile.am	2020-08-23 05:40:17.000000000 +1200
@@ -13,15 +13,15 @@
 DEFAULT_STYLESHEET	= $(sysconfdir)/errorpage.css
 
 ## List of automated translations possible:
-include $(srcdir)/template.list
-include $(srcdir)/language.list
+include $(srcdir)/template.am
+include $(srcdir)/language.am
 
 CLEANFILES = $(TRANSLATE_LANGUAGES) translate-warn
 EXTRA_DIST = \
 	$(ERROR_TEMPLATES) \
 	templates/error-details.txt \
-	language.list \
-	template.list \
+	language.am \
+	template.am \
 	aliases alias-link.sh alias-upgrade errorpage.css TRANSLATORS COPYRIGHT
 
 all: all-am
diff -u -r -N squid-5.0.3/errors/Makefile.in squid-5.0.4/errors/Makefile.in
--- squid-5.0.3/errors/Makefile.in	2020-06-09 18:58:20.000000000 +1200
+++ squid-5.0.4/errors/Makefile.in	2020-08-23 05:39:41.000000000 +1200
@@ -179,8 +179,8 @@
     *) (install-info --version) >/dev/null 2>&1;; \
   esac
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
-am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/language.list \
-	$(srcdir)/template.list
+am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/language.am \
+	$(srcdir)/template.am
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
@@ -460,7 +460,7 @@
     templates/ERR_UNSUP_REQ \
     templates/ERR_URN_RESOLVE \
     templates/ERR_WRITE_ERROR \
-    templates/ERR_ZERO_SIZE_OBJECT 
+    templates/ERR_ZERO_SIZE_OBJECT
 
 TRANSLATE_LANGUAGES = \
     af.lang \
@@ -507,14 +507,14 @@
     uz.lang \
     vi.lang \
     zh-hans.lang \
-    zh-hant.lang 
+    zh-hant.lang
 
 CLEANFILES = $(TRANSLATE_LANGUAGES) translate-warn
 EXTRA_DIST = \
 	$(ERROR_TEMPLATES) \
 	templates/error-details.txt \
-	language.list \
-	template.list \
+	language.am \
+	template.am \
 	aliases alias-link.sh alias-upgrade errorpage.css TRANSLATORS COPYRIGHT
 
 NOTIDY = `$(PO2HTML) --help | grep -o "\-\-notidy"`
@@ -522,7 +522,7 @@
 
 .SUFFIXES:
 .SUFFIXES: .lang .po
-$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/template.list $(srcdir)/language.list $(am__configure_deps)
+$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/template.am $(srcdir)/language.am $(am__configure_deps)
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
 	    *$$dep*) \
@@ -542,7 +542,7 @@
 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
 	esac;
-$(srcdir)/template.list $(srcdir)/language.list $(am__empty):
+$(srcdir)/template.am $(srcdir)/language.am $(am__empty):
 
 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
diff -u -r -N squid-5.0.3/errors/ms/ERR_ACCESS_DENIED squid-5.0.4/errors/ms/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/ms/ERR_ACCESS_DENIED	2020-06-09 19:04:59.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_ACCESS_DENIED	2020-08-23 05:45:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/ms/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/ms/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:04:59.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:45:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_AGENT_CONFIGURE squid-5.0.4/errors/ms/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/ms/ERR_AGENT_CONFIGURE	2020-06-09 19:04:59.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_AGENT_CONFIGURE	2020-08-23 05:45:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ms/ERR_AGENT_WPAD squid-5.0.4/errors/ms/ERR_AGENT_WPAD
--- squid-5.0.3/errors/ms/ERR_AGENT_WPAD	2020-06-09 19:05:00.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_AGENT_WPAD	2020-08-23 05:45:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ms/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/ms/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/ms/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:05:00.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:45:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/ms/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/ms/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:05:00.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:45:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_CANNOT_FORWARD squid-5.0.4/errors/ms/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/ms/ERR_CANNOT_FORWARD	2020-06-09 19:05:01.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_CANNOT_FORWARD	2020-08-23 05:45:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_CONFLICT_HOST squid-5.0.4/errors/ms/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/ms/ERR_CONFLICT_HOST	2020-06-09 19:05:01.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_CONFLICT_HOST	2020-08-23 05:45:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_CONNECT_FAIL squid-5.0.4/errors/ms/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/ms/ERR_CONNECT_FAIL	2020-06-09 19:05:02.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_CONNECT_FAIL	2020-08-23 05:45:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_DIR_LISTING squid-5.0.4/errors/ms/ERR_DIR_LISTING
--- squid-5.0.3/errors/ms/ERR_DIR_LISTING	2020-06-09 19:05:02.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_DIR_LISTING	2020-08-23 05:45:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_DNS_FAIL squid-5.0.4/errors/ms/ERR_DNS_FAIL
--- squid-5.0.3/errors/ms/ERR_DNS_FAIL	2020-06-09 19:05:02.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_DNS_FAIL	2020-08-23 05:45:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_ESI squid-5.0.4/errors/ms/ERR_ESI
--- squid-5.0.3/errors/ms/ERR_ESI	2020-06-09 19:05:03.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_ESI	2020-08-23 05:45:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_FORWARDING_DENIED squid-5.0.4/errors/ms/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/ms/ERR_FORWARDING_DENIED	2020-06-09 19:05:03.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_FORWARDING_DENIED	2020-08-23 05:45:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_FTP_DISABLED squid-5.0.4/errors/ms/ERR_FTP_DISABLED
--- squid-5.0.3/errors/ms/ERR_FTP_DISABLED	2020-06-09 19:05:03.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_FTP_DISABLED	2020-08-23 05:45:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_FTP_FAILURE squid-5.0.4/errors/ms/ERR_FTP_FAILURE
--- squid-5.0.3/errors/ms/ERR_FTP_FAILURE	2020-06-09 19:05:04.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_FTP_FAILURE	2020-08-23 05:45:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_FTP_FORBIDDEN squid-5.0.4/errors/ms/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/ms/ERR_FTP_FORBIDDEN	2020-06-09 19:05:04.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_FTP_FORBIDDEN	2020-08-23 05:45:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_FTP_NOT_FOUND squid-5.0.4/errors/ms/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/ms/ERR_FTP_NOT_FOUND	2020-06-09 19:05:04.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_FTP_NOT_FOUND	2020-08-23 05:45:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_FTP_PUT_CREATED squid-5.0.4/errors/ms/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/ms/ERR_FTP_PUT_CREATED	2020-06-09 19:05:05.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_FTP_PUT_CREATED	2020-08-23 05:45:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_FTP_PUT_ERROR squid-5.0.4/errors/ms/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/ms/ERR_FTP_PUT_ERROR	2020-06-09 19:05:05.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_FTP_PUT_ERROR	2020-08-23 05:45:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/ms/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/ms/ERR_FTP_PUT_MODIFIED	2020-06-09 19:05:05.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_FTP_PUT_MODIFIED	2020-08-23 05:45:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/ms/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/ms/ERR_FTP_UNAVAILABLE	2020-06-09 19:05:06.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_FTP_UNAVAILABLE	2020-08-23 05:45:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_GATEWAY_FAILURE squid-5.0.4/errors/ms/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/ms/ERR_GATEWAY_FAILURE	2020-06-09 19:05:06.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_GATEWAY_FAILURE	2020-08-23 05:45:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_ICAP_FAILURE squid-5.0.4/errors/ms/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/ms/ERR_ICAP_FAILURE	2020-06-09 19:05:06.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_ICAP_FAILURE	2020-08-23 05:45:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_INVALID_REQ squid-5.0.4/errors/ms/ERR_INVALID_REQ
--- squid-5.0.3/errors/ms/ERR_INVALID_REQ	2020-06-09 19:05:07.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_INVALID_REQ	2020-08-23 05:45:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_INVALID_RESP squid-5.0.4/errors/ms/ERR_INVALID_RESP
--- squid-5.0.3/errors/ms/ERR_INVALID_RESP	2020-06-09 19:05:07.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_INVALID_RESP	2020-08-23 05:45:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_INVALID_URL squid-5.0.4/errors/ms/ERR_INVALID_URL
--- squid-5.0.3/errors/ms/ERR_INVALID_URL	2020-06-09 19:05:07.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_INVALID_URL	2020-08-23 05:45:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_LIFETIME_EXP squid-5.0.4/errors/ms/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/ms/ERR_LIFETIME_EXP	2020-06-09 19:05:08.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_LIFETIME_EXP	2020-08-23 05:45:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_NO_RELAY squid-5.0.4/errors/ms/ERR_NO_RELAY
--- squid-5.0.3/errors/ms/ERR_NO_RELAY	2020-06-09 19:05:08.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_NO_RELAY	2020-08-23 05:45:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/ms/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/ms/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:05:08.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:45:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_PRECONDITION_FAILED squid-5.0.4/errors/ms/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/ms/ERR_PRECONDITION_FAILED	2020-06-09 19:05:09.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_PRECONDITION_FAILED	2020-08-23 05:45:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/ms/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/ms/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:05:09.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:45:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_READ_ERROR squid-5.0.4/errors/ms/ERR_READ_ERROR
--- squid-5.0.3/errors/ms/ERR_READ_ERROR	2020-06-09 19:05:09.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_READ_ERROR	2020-08-23 05:45:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_READ_TIMEOUT squid-5.0.4/errors/ms/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/ms/ERR_READ_TIMEOUT	2020-06-09 19:05:10.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_READ_TIMEOUT	2020-08-23 05:45:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/ms/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/ms/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:05:10.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:45:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_SHUTTING_DOWN squid-5.0.4/errors/ms/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/ms/ERR_SHUTTING_DOWN	2020-06-09 19:05:10.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_SHUTTING_DOWN	2020-08-23 05:45:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_SOCKET_FAILURE squid-5.0.4/errors/ms/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/ms/ERR_SOCKET_FAILURE	2020-06-09 19:05:11.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_SOCKET_FAILURE	2020-08-23 05:45:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_TOO_BIG squid-5.0.4/errors/ms/ERR_TOO_BIG
--- squid-5.0.3/errors/ms/ERR_TOO_BIG	2020-06-09 19:05:11.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_TOO_BIG	2020-08-23 05:45:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/ms/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/ms/ERR_UNSUP_HTTPVERSION	2020-06-09 19:05:11.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_UNSUP_HTTPVERSION	2020-08-23 05:45:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_UNSUP_REQ squid-5.0.4/errors/ms/ERR_UNSUP_REQ
--- squid-5.0.3/errors/ms/ERR_UNSUP_REQ	2020-06-09 19:05:12.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_UNSUP_REQ	2020-08-23 05:45:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_URN_RESOLVE squid-5.0.4/errors/ms/ERR_URN_RESOLVE
--- squid-5.0.3/errors/ms/ERR_URN_RESOLVE	2020-06-09 19:05:12.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_URN_RESOLVE	2020-08-23 05:45:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_WRITE_ERROR squid-5.0.4/errors/ms/ERR_WRITE_ERROR
--- squid-5.0.3/errors/ms/ERR_WRITE_ERROR	2020-06-09 19:05:12.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_WRITE_ERROR	2020-08-23 05:45:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ms/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/ms/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/ms/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:05:13.000000000 +1200
+++ squid-5.0.4/errors/ms/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:45:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_ACCESS_DENIED squid-5.0.4/errors/nl/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/nl/ERR_ACCESS_DENIED	2020-06-09 19:05:13.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_ACCESS_DENIED	2020-08-23 05:45:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -24,7 +24,7 @@
 <p><b>Toegang niet toegestaan.</b></p>
 </blockquote>
 
-<p>U heeft geen toegang tot de URL die u probeerde op te vragen van deze server. Neem contact op met uw service provider als u denkt dat dit niet klopt.</p>
+<p>U heeft geen toegang tot de URL die u probeerde op te vragen van deze server.  Neem contact op met uw service provider als u denkt dat dit niet klopt.</p>
 
 <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>
 <br>
diff -u -r -N squid-5.0.3/errors/nl/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/nl/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/nl/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:05:13.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:45:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -25,7 +25,7 @@
 </blockquote>
 
 <p>This proxy limits your time online with a quota. Your time budget is now empty but will be refilled when the configured time period starts again.</p>
-<p>Deze grootte-beperkingen zijn ingesteld door de beheerder van deze cache. Neem contact op met de beheerder van deze cache, wanneer U van mening bent dat deze beperking onjuist is.</p>
+<p>Deze grootte-beperkingen zijn ingesteld door de beheerder van deze cache.  Neem contact op met de beheerder van deze cache, wanneer U van mening bent dat deze beperking onjuist is.</p>
 
 <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>
 <br>
diff -u -r -N squid-5.0.3/errors/nl/ERR_AGENT_CONFIGURE squid-5.0.4/errors/nl/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/nl/ERR_AGENT_CONFIGURE	2020-06-09 19:05:14.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_AGENT_CONFIGURE	2020-08-23 05:45:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Uw Browser instellingen dienen te worden aangepast om dit netwerk te kunnen gebruiken.</p>
 </blockquote>
 
 <p>Hoe kunt u deze instellingen in uw browser vinden:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Configuratie -&gt; Internet Opties -&gt; Geavanceerd -&gt; Netwerk -&gt;LAN Instellingen </li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Configuratie -&gt; Internet Opties -&gt; Verbinding -&gt; LAN Instellingen -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Configuratie -&gt;Voorkeursinstellingen -&gt; Geavanceerd -&gt; Netwerk -&gt;Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/nl/ERR_AGENT_WPAD squid-5.0.4/errors/nl/ERR_AGENT_WPAD
--- squid-5.0.3/errors/nl/ERR_AGENT_WPAD	2020-06-09 19:05:14.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_AGENT_WPAD	2020-08-23 05:45:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Uw Browser instellingen dienen te worden aangepast om dit netwerk te kunnen gebruiken.</p>
 </blockquote>
 
 <p>Hoe kunt u deze instellingen in uw browser vinden:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Configuratie -&gt; Internet Opties -&gt; Geavanceerd -&gt; Netwerk -&gt;LAN Instellingen </li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Configuratie -&gt; Internet Opties -&gt; Verbinding -&gt; LAN Instellingen -&gt;Proxy</li>
 <li>Selecteer: Instellingen automatisch detecteren</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Configuratie -&gt;Voorkeursinstellingen -&gt; Geavanceerd -&gt; Netwerk -&gt;Proxy Servers</li>
 <li>Selecteer: Gebruik automatisch proxy configuratie</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/nl/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/nl/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/nl/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:05:14.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:45:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/nl/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/nl/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:05:15.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:45:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_CANNOT_FORWARD squid-5.0.4/errors/nl/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/nl/ERR_CANNOT_FORWARD	2020-06-09 19:05:15.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_CANNOT_FORWARD	2020-08-23 05:45:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_CONFLICT_HOST squid-5.0.4/errors/nl/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/nl/ERR_CONFLICT_HOST	2020-06-09 19:05:15.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_CONFLICT_HOST	2020-08-23 05:45:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_CONNECT_FAIL squid-5.0.4/errors/nl/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/nl/ERR_CONNECT_FAIL	2020-06-09 19:05:16.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_CONNECT_FAIL	2020-08-23 05:45:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_DIR_LISTING squid-5.0.4/errors/nl/ERR_DIR_LISTING
--- squid-5.0.3/errors/nl/ERR_DIR_LISTING	2020-06-09 19:05:16.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_DIR_LISTING	2020-08-23 05:45:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_DNS_FAIL squid-5.0.4/errors/nl/ERR_DNS_FAIL
--- squid-5.0.3/errors/nl/ERR_DNS_FAIL	2020-06-09 19:05:16.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_DNS_FAIL	2020-08-23 05:45:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_ESI squid-5.0.4/errors/nl/ERR_ESI
--- squid-5.0.3/errors/nl/ERR_ESI	2020-06-09 19:05:17.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_ESI	2020-08-23 05:45:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_FORWARDING_DENIED squid-5.0.4/errors/nl/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/nl/ERR_FORWARDING_DENIED	2020-06-09 19:05:17.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_FORWARDING_DENIED	2020-08-23 05:45:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_FTP_DISABLED squid-5.0.4/errors/nl/ERR_FTP_DISABLED
--- squid-5.0.3/errors/nl/ERR_FTP_DISABLED	2020-06-09 19:05:17.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_FTP_DISABLED	2020-08-23 05:45:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_FTP_FAILURE squid-5.0.4/errors/nl/ERR_FTP_FAILURE
--- squid-5.0.3/errors/nl/ERR_FTP_FAILURE	2020-06-09 19:05:18.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_FTP_FAILURE	2020-08-23 05:45:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_FTP_FORBIDDEN squid-5.0.4/errors/nl/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/nl/ERR_FTP_FORBIDDEN	2020-06-09 19:05:18.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_FTP_FORBIDDEN	2020-08-23 05:45:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_FTP_NOT_FOUND squid-5.0.4/errors/nl/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/nl/ERR_FTP_NOT_FOUND	2020-06-09 19:05:18.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_FTP_NOT_FOUND	2020-08-23 05:45:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_FTP_PUT_CREATED squid-5.0.4/errors/nl/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/nl/ERR_FTP_PUT_CREATED	2020-06-09 19:05:19.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_FTP_PUT_CREATED	2020-08-23 05:45:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_FTP_PUT_ERROR squid-5.0.4/errors/nl/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/nl/ERR_FTP_PUT_ERROR	2020-06-09 19:05:19.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_FTP_PUT_ERROR	2020-08-23 05:45:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/nl/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/nl/ERR_FTP_PUT_MODIFIED	2020-06-09 19:05:19.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_FTP_PUT_MODIFIED	2020-08-23 05:45:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/nl/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/nl/ERR_FTP_UNAVAILABLE	2020-06-09 19:05:20.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_FTP_UNAVAILABLE	2020-08-23 05:45:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_GATEWAY_FAILURE squid-5.0.4/errors/nl/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/nl/ERR_GATEWAY_FAILURE	2020-06-09 19:05:20.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_GATEWAY_FAILURE	2020-08-23 05:45:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_ICAP_FAILURE squid-5.0.4/errors/nl/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/nl/ERR_ICAP_FAILURE	2020-06-09 19:05:20.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_ICAP_FAILURE	2020-08-23 05:45:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_INVALID_REQ squid-5.0.4/errors/nl/ERR_INVALID_REQ
--- squid-5.0.3/errors/nl/ERR_INVALID_REQ	2020-06-09 19:05:21.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_INVALID_REQ	2020-08-23 05:45:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_INVALID_RESP squid-5.0.4/errors/nl/ERR_INVALID_RESP
--- squid-5.0.3/errors/nl/ERR_INVALID_RESP	2020-06-09 19:05:21.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_INVALID_RESP	2020-08-23 05:45:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_INVALID_URL squid-5.0.4/errors/nl/ERR_INVALID_URL
--- squid-5.0.3/errors/nl/ERR_INVALID_URL	2020-06-09 19:05:22.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_INVALID_URL	2020-08-23 05:45:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_LIFETIME_EXP squid-5.0.4/errors/nl/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/nl/ERR_LIFETIME_EXP	2020-06-09 19:05:22.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_LIFETIME_EXP	2020-08-23 05:45:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_NO_RELAY squid-5.0.4/errors/nl/ERR_NO_RELAY
--- squid-5.0.3/errors/nl/ERR_NO_RELAY	2020-06-09 19:05:22.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_NO_RELAY	2020-08-23 05:45:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -24,7 +24,7 @@
 <p><b>Geen WAIS Relay</b></p>
 </blockquote>
 
-<p>Er is geen WAIS Relay host gedefinieerd voor deze Cache! Neem contact op met de cachebeheerder.</p>
+<p>Er is geen WAIS Relay host gedefinieerd voor deze Cache!  Neem contact op met de cachebeheerder.</p>
 
 <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>
 <br>
diff -u -r -N squid-5.0.3/errors/nl/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/nl/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/nl/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:05:23.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:45:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_PRECONDITION_FAILED squid-5.0.4/errors/nl/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/nl/ERR_PRECONDITION_FAILED	2020-06-09 19:05:23.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_PRECONDITION_FAILED	2020-08-23 05:45:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/nl/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/nl/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:05:23.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:45:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_READ_ERROR squid-5.0.4/errors/nl/ERR_READ_ERROR
--- squid-5.0.3/errors/nl/ERR_READ_ERROR	2020-06-09 19:05:24.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_READ_ERROR	2020-08-23 05:45:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -26,7 +26,7 @@
 
 <p id="sysmsg">Het systeem gaf als antwoord: <i>%E</i></p>
 
-<p>Er is een fout opgetreden tijdens het lezen van data van het netwerk. Probeer het opnieuw.</p>
+<p>Er is een fout opgetreden tijdens het lezen van data van het netwerk.  Probeer het opnieuw.</p>
 
 <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>
 <br>
diff -u -r -N squid-5.0.3/errors/nl/ERR_READ_TIMEOUT squid-5.0.4/errors/nl/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/nl/ERR_READ_TIMEOUT	2020-06-09 19:05:24.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_READ_TIMEOUT	2020-08-23 05:45:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -26,7 +26,7 @@
 
 <p id="sysmsg">Het systeem gaf als antwoord: <i>%E</i></p>
 
-<p>Er is een timeout opgetreden tijdens het lezen van data van het netwerk. Het netwerk of de server zijn niet beschikbaar of overbelast. Probeer het opnieuw.</p>
+<p>Er is een timeout opgetreden tijdens het lezen van data van het netwerk.  Het netwerk of de server zijn niet beschikbaar of overbelast.  Probeer het opnieuw.</p>
 
 <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>
 <br>
diff -u -r -N squid-5.0.3/errors/nl/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/nl/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/nl/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:05:25.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:45:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_SHUTTING_DOWN squid-5.0.4/errors/nl/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/nl/ERR_SHUTTING_DOWN	2020-06-09 19:05:25.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_SHUTTING_DOWN	2020-08-23 05:45:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -20,7 +20,7 @@
 <div id="content">
 <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>
 
-<p>Deze cache is bezig met herstarten en kan daarom momenteel niet aan uw verzoek voldoen. Probeer het later opnieuw.</p>
+<p>Deze cache is bezig met herstarten en kan daarom momenteel niet aan uw verzoek voldoen.  Probeer het later opnieuw.</p>
 
 <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>
 <br>
diff -u -r -N squid-5.0.3/errors/nl/ERR_SOCKET_FAILURE squid-5.0.4/errors/nl/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/nl/ERR_SOCKET_FAILURE	2020-06-09 19:05:25.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_SOCKET_FAILURE	2020-08-23 05:45:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_TOO_BIG squid-5.0.4/errors/nl/ERR_TOO_BIG
--- squid-5.0.3/errors/nl/ERR_TOO_BIG	2020-06-09 19:05:26.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_TOO_BIG	2020-08-23 05:45:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -26,7 +26,7 @@
 
 <p>De POST of PUT opdracht die u heeft verstuurd is te groot.</p>
 <p>Indien u een bestande probeerde te downloaden, dan was het bestand dat U probeert te ontvangen, te groot.</p>
-<p>Deze grootte-beperkingen zijn ingesteld door de beheerder van deze cache. Neem contact op met de beheerder van deze cache, wanneer U van mening bent dat deze beperking onjuist is.</p>
+<p>Deze grootte-beperkingen zijn ingesteld door de beheerder van deze cache.  Neem contact op met de beheerder van deze cache, wanneer U van mening bent dat deze beperking onjuist is.</p>
 
 <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>
 <br>
diff -u -r -N squid-5.0.3/errors/nl/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/nl/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/nl/ERR_UNSUP_HTTPVERSION	2020-06-09 19:05:26.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_UNSUP_HTTPVERSION	2020-08-23 05:45:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_UNSUP_REQ squid-5.0.4/errors/nl/ERR_UNSUP_REQ
--- squid-5.0.3/errors/nl/ERR_UNSUP_REQ	2020-06-09 19:05:26.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_UNSUP_REQ	2020-08-23 05:45:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_URN_RESOLVE squid-5.0.4/errors/nl/ERR_URN_RESOLVE
--- squid-5.0.3/errors/nl/ERR_URN_RESOLVE	2020-06-09 19:05:27.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_URN_RESOLVE	2020-08-23 05:45:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/nl/ERR_WRITE_ERROR squid-5.0.4/errors/nl/ERR_WRITE_ERROR
--- squid-5.0.3/errors/nl/ERR_WRITE_ERROR	2020-06-09 19:05:27.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_WRITE_ERROR	2020-08-23 05:45:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -26,7 +26,7 @@
 
 <p id="sysmsg">Het systeem gaf als antwoord: <i>%E</i></p>
 
-<p>Er is een fout opgetreden tijdens het schrijven naar het netwerk. Probeer het opnieuw.</p>
+<p>Er is een fout opgetreden tijdens het schrijven naar het netwerk.  Probeer het opnieuw.</p>
 
 <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>
 <br>
diff -u -r -N squid-5.0.3/errors/nl/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/nl/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/nl/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:05:27.000000000 +1200
+++ squid-5.0.4/errors/nl/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:45:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_ACCESS_DENIED squid-5.0.4/errors/oc/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/oc/ERR_ACCESS_DENIED	2020-06-09 19:05:28.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_ACCESS_DENIED	2020-08-23 05:45:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/oc/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/oc/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:05:28.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:45:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_AGENT_CONFIGURE squid-5.0.4/errors/oc/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/oc/ERR_AGENT_CONFIGURE	2020-06-09 19:05:28.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_AGENT_CONFIGURE	2020-08-23 05:45:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/oc/ERR_AGENT_WPAD squid-5.0.4/errors/oc/ERR_AGENT_WPAD
--- squid-5.0.3/errors/oc/ERR_AGENT_WPAD	2020-06-09 19:05:29.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_AGENT_WPAD	2020-08-23 05:45:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/oc/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/oc/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/oc/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:05:29.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:45:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/oc/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/oc/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:05:29.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:45:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_CANNOT_FORWARD squid-5.0.4/errors/oc/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/oc/ERR_CANNOT_FORWARD	2020-06-09 19:05:30.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_CANNOT_FORWARD	2020-08-23 05:45:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_CONFLICT_HOST squid-5.0.4/errors/oc/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/oc/ERR_CONFLICT_HOST	2020-06-09 19:05:30.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_CONFLICT_HOST	2020-08-23 05:45:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_CONNECT_FAIL squid-5.0.4/errors/oc/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/oc/ERR_CONNECT_FAIL	2020-06-09 19:05:31.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_CONNECT_FAIL	2020-08-23 05:45:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_DIR_LISTING squid-5.0.4/errors/oc/ERR_DIR_LISTING
--- squid-5.0.3/errors/oc/ERR_DIR_LISTING	2020-06-09 19:05:31.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_DIR_LISTING	2020-08-23 05:45:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_DNS_FAIL squid-5.0.4/errors/oc/ERR_DNS_FAIL
--- squid-5.0.3/errors/oc/ERR_DNS_FAIL	2020-06-09 19:05:31.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_DNS_FAIL	2020-08-23 05:45:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_ESI squid-5.0.4/errors/oc/ERR_ESI
--- squid-5.0.3/errors/oc/ERR_ESI	2020-06-09 19:05:32.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_ESI	2020-08-23 05:45:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_FORWARDING_DENIED squid-5.0.4/errors/oc/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/oc/ERR_FORWARDING_DENIED	2020-06-09 19:05:32.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_FORWARDING_DENIED	2020-08-23 05:45:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_FTP_DISABLED squid-5.0.4/errors/oc/ERR_FTP_DISABLED
--- squid-5.0.3/errors/oc/ERR_FTP_DISABLED	2020-06-09 19:05:32.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_FTP_DISABLED	2020-08-23 05:45:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_FTP_FAILURE squid-5.0.4/errors/oc/ERR_FTP_FAILURE
--- squid-5.0.3/errors/oc/ERR_FTP_FAILURE	2020-06-09 19:05:33.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_FTP_FAILURE	2020-08-23 05:45:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_FTP_FORBIDDEN squid-5.0.4/errors/oc/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/oc/ERR_FTP_FORBIDDEN	2020-06-09 19:05:33.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_FTP_FORBIDDEN	2020-08-23 05:45:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_FTP_NOT_FOUND squid-5.0.4/errors/oc/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/oc/ERR_FTP_NOT_FOUND	2020-06-09 19:05:33.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_FTP_NOT_FOUND	2020-08-23 05:45:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_FTP_PUT_CREATED squid-5.0.4/errors/oc/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/oc/ERR_FTP_PUT_CREATED	2020-06-09 19:05:34.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_FTP_PUT_CREATED	2020-08-23 05:45:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_FTP_PUT_ERROR squid-5.0.4/errors/oc/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/oc/ERR_FTP_PUT_ERROR	2020-06-09 19:05:34.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_FTP_PUT_ERROR	2020-08-23 05:45:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/oc/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/oc/ERR_FTP_PUT_MODIFIED	2020-06-09 19:05:34.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_FTP_PUT_MODIFIED	2020-08-23 05:45:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/oc/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/oc/ERR_FTP_UNAVAILABLE	2020-06-09 19:05:35.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_FTP_UNAVAILABLE	2020-08-23 05:45:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_GATEWAY_FAILURE squid-5.0.4/errors/oc/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/oc/ERR_GATEWAY_FAILURE	2020-06-09 19:05:35.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_GATEWAY_FAILURE	2020-08-23 05:45:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_ICAP_FAILURE squid-5.0.4/errors/oc/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/oc/ERR_ICAP_FAILURE	2020-06-09 19:05:35.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_ICAP_FAILURE	2020-08-23 05:45:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_INVALID_REQ squid-5.0.4/errors/oc/ERR_INVALID_REQ
--- squid-5.0.3/errors/oc/ERR_INVALID_REQ	2020-06-09 19:05:36.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_INVALID_REQ	2020-08-23 05:45:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_INVALID_RESP squid-5.0.4/errors/oc/ERR_INVALID_RESP
--- squid-5.0.3/errors/oc/ERR_INVALID_RESP	2020-06-09 19:05:36.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_INVALID_RESP	2020-08-23 05:45:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_INVALID_URL squid-5.0.4/errors/oc/ERR_INVALID_URL
--- squid-5.0.3/errors/oc/ERR_INVALID_URL	2020-06-09 19:05:36.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_INVALID_URL	2020-08-23 05:45:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_LIFETIME_EXP squid-5.0.4/errors/oc/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/oc/ERR_LIFETIME_EXP	2020-06-09 19:05:37.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_LIFETIME_EXP	2020-08-23 05:45:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_NO_RELAY squid-5.0.4/errors/oc/ERR_NO_RELAY
--- squid-5.0.3/errors/oc/ERR_NO_RELAY	2020-06-09 19:05:37.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_NO_RELAY	2020-08-23 05:45:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/oc/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/oc/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:05:37.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:45:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_PRECONDITION_FAILED squid-5.0.4/errors/oc/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/oc/ERR_PRECONDITION_FAILED	2020-06-09 19:05:38.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_PRECONDITION_FAILED	2020-08-23 05:45:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/oc/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/oc/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:05:38.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:45:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_READ_ERROR squid-5.0.4/errors/oc/ERR_READ_ERROR
--- squid-5.0.3/errors/oc/ERR_READ_ERROR	2020-06-09 19:05:38.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_READ_ERROR	2020-08-23 05:45:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_READ_TIMEOUT squid-5.0.4/errors/oc/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/oc/ERR_READ_TIMEOUT	2020-06-09 19:05:39.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_READ_TIMEOUT	2020-08-23 05:45:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/oc/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/oc/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:05:39.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:45:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_SHUTTING_DOWN squid-5.0.4/errors/oc/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/oc/ERR_SHUTTING_DOWN	2020-06-09 19:05:40.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_SHUTTING_DOWN	2020-08-23 05:45:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_SOCKET_FAILURE squid-5.0.4/errors/oc/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/oc/ERR_SOCKET_FAILURE	2020-06-09 19:05:40.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_SOCKET_FAILURE	2020-08-23 05:45:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_TOO_BIG squid-5.0.4/errors/oc/ERR_TOO_BIG
--- squid-5.0.3/errors/oc/ERR_TOO_BIG	2020-06-09 19:05:40.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_TOO_BIG	2020-08-23 05:45:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/oc/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/oc/ERR_UNSUP_HTTPVERSION	2020-06-09 19:05:41.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_UNSUP_HTTPVERSION	2020-08-23 05:45:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_UNSUP_REQ squid-5.0.4/errors/oc/ERR_UNSUP_REQ
--- squid-5.0.3/errors/oc/ERR_UNSUP_REQ	2020-06-09 19:05:41.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_UNSUP_REQ	2020-08-23 05:45:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_URN_RESOLVE squid-5.0.4/errors/oc/ERR_URN_RESOLVE
--- squid-5.0.3/errors/oc/ERR_URN_RESOLVE	2020-06-09 19:05:41.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_URN_RESOLVE	2020-08-23 05:45:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_WRITE_ERROR squid-5.0.4/errors/oc/ERR_WRITE_ERROR
--- squid-5.0.3/errors/oc/ERR_WRITE_ERROR	2020-06-09 19:05:42.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_WRITE_ERROR	2020-08-23 05:45:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/oc/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/oc/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/oc/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:05:42.000000000 +1200
+++ squid-5.0.4/errors/oc/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:46:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_ACCESS_DENIED squid-5.0.4/errors/pl/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/pl/ERR_ACCESS_DENIED	2020-06-09 19:05:42.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_ACCESS_DENIED	2020-08-23 05:46:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/pl/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/pl/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:05:43.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:46:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_AGENT_CONFIGURE squid-5.0.4/errors/pl/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/pl/ERR_AGENT_CONFIGURE	2020-06-09 19:05:43.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_AGENT_CONFIGURE	2020-08-23 05:46:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/pl/ERR_AGENT_WPAD squid-5.0.4/errors/pl/ERR_AGENT_WPAD
--- squid-5.0.3/errors/pl/ERR_AGENT_WPAD	2020-06-09 19:05:44.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_AGENT_WPAD	2020-08-23 05:46:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/pl/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/pl/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/pl/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:05:44.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:46:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/pl/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/pl/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:05:44.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:46:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_CANNOT_FORWARD squid-5.0.4/errors/pl/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/pl/ERR_CANNOT_FORWARD	2020-06-09 19:05:45.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_CANNOT_FORWARD	2020-08-23 05:46:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_CONFLICT_HOST squid-5.0.4/errors/pl/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/pl/ERR_CONFLICT_HOST	2020-06-09 19:05:45.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_CONFLICT_HOST	2020-08-23 05:46:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_CONNECT_FAIL squid-5.0.4/errors/pl/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/pl/ERR_CONNECT_FAIL	2020-06-09 19:05:45.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_CONNECT_FAIL	2020-08-23 05:46:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_DIR_LISTING squid-5.0.4/errors/pl/ERR_DIR_LISTING
--- squid-5.0.3/errors/pl/ERR_DIR_LISTING	2020-06-09 19:05:46.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_DIR_LISTING	2020-08-23 05:46:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_DNS_FAIL squid-5.0.4/errors/pl/ERR_DNS_FAIL
--- squid-5.0.3/errors/pl/ERR_DNS_FAIL	2020-06-09 19:05:46.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_DNS_FAIL	2020-08-23 05:46:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_ESI squid-5.0.4/errors/pl/ERR_ESI
--- squid-5.0.3/errors/pl/ERR_ESI	2020-06-09 19:05:46.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_ESI	2020-08-23 05:46:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_FORWARDING_DENIED squid-5.0.4/errors/pl/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/pl/ERR_FORWARDING_DENIED	2020-06-09 19:05:47.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_FORWARDING_DENIED	2020-08-23 05:46:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_FTP_DISABLED squid-5.0.4/errors/pl/ERR_FTP_DISABLED
--- squid-5.0.3/errors/pl/ERR_FTP_DISABLED	2020-06-09 19:05:47.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_FTP_DISABLED	2020-08-23 05:46:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_FTP_FAILURE squid-5.0.4/errors/pl/ERR_FTP_FAILURE
--- squid-5.0.3/errors/pl/ERR_FTP_FAILURE	2020-06-09 19:05:48.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_FTP_FAILURE	2020-08-23 05:46:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_FTP_FORBIDDEN squid-5.0.4/errors/pl/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/pl/ERR_FTP_FORBIDDEN	2020-06-09 19:05:48.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_FTP_FORBIDDEN	2020-08-23 05:46:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_FTP_NOT_FOUND squid-5.0.4/errors/pl/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/pl/ERR_FTP_NOT_FOUND	2020-06-09 19:05:48.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_FTP_NOT_FOUND	2020-08-23 05:46:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_FTP_PUT_CREATED squid-5.0.4/errors/pl/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/pl/ERR_FTP_PUT_CREATED	2020-06-09 19:05:49.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_FTP_PUT_CREATED	2020-08-23 05:46:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_FTP_PUT_ERROR squid-5.0.4/errors/pl/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/pl/ERR_FTP_PUT_ERROR	2020-06-09 19:05:49.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_FTP_PUT_ERROR	2020-08-23 05:46:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/pl/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/pl/ERR_FTP_PUT_MODIFIED	2020-06-09 19:05:49.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_FTP_PUT_MODIFIED	2020-08-23 05:46:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/pl/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/pl/ERR_FTP_UNAVAILABLE	2020-06-09 19:05:50.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_FTP_UNAVAILABLE	2020-08-23 05:46:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_GATEWAY_FAILURE squid-5.0.4/errors/pl/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/pl/ERR_GATEWAY_FAILURE	2020-06-09 19:05:50.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_GATEWAY_FAILURE	2020-08-23 05:46:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_ICAP_FAILURE squid-5.0.4/errors/pl/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/pl/ERR_ICAP_FAILURE	2020-06-09 19:05:50.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_ICAP_FAILURE	2020-08-23 05:46:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_INVALID_REQ squid-5.0.4/errors/pl/ERR_INVALID_REQ
--- squid-5.0.3/errors/pl/ERR_INVALID_REQ	2020-06-09 19:05:51.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_INVALID_REQ	2020-08-23 05:46:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -30,7 +30,7 @@
 <li id="missing-url"><p>Brak URL-a</p></li>
 <li id="missing-protocol"><p>Brak identyfikatora HTTP (HTTP/1.0)</p></li>
 <li><p>RZbyt duży rozmiar żądania</p></li>
-<li><p>Brak pola Content-Length dla metod POST lub PUT</p></li>
+<li><p>Brak pola Content-Length  dla metod POST lub PUT</p></li>
 <li><p>Błędny znak w nazwie hosta; podkreślenia (underscores) są niedozwolone</p></li>
 <li><p>HTTP/1.1 <q>Expect:</q> feature is being asked from an HTTP/1.0 software.</p></li>
 </ul>
diff -u -r -N squid-5.0.3/errors/pl/ERR_INVALID_RESP squid-5.0.4/errors/pl/ERR_INVALID_RESP
--- squid-5.0.3/errors/pl/ERR_INVALID_RESP	2020-06-09 19:05:51.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_INVALID_RESP	2020-08-23 05:46:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_INVALID_URL squid-5.0.4/errors/pl/ERR_INVALID_URL
--- squid-5.0.3/errors/pl/ERR_INVALID_URL	2020-06-09 19:05:51.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_INVALID_URL	2020-08-23 05:46:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_LIFETIME_EXP squid-5.0.4/errors/pl/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/pl/ERR_LIFETIME_EXP	2020-06-09 19:05:52.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_LIFETIME_EXP	2020-08-23 05:46:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_NO_RELAY squid-5.0.4/errors/pl/ERR_NO_RELAY
--- squid-5.0.3/errors/pl/ERR_NO_RELAY	2020-06-09 19:05:52.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_NO_RELAY	2020-08-23 05:46:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/pl/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/pl/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:05:52.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:46:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_PRECONDITION_FAILED squid-5.0.4/errors/pl/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/pl/ERR_PRECONDITION_FAILED	2020-06-09 19:05:53.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_PRECONDITION_FAILED	2020-08-23 05:46:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/pl/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/pl/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:05:53.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:46:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_READ_ERROR squid-5.0.4/errors/pl/ERR_READ_ERROR
--- squid-5.0.3/errors/pl/ERR_READ_ERROR	2020-06-09 19:05:54.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_READ_ERROR	2020-08-23 05:46:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_READ_TIMEOUT squid-5.0.4/errors/pl/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/pl/ERR_READ_TIMEOUT	2020-06-09 19:05:54.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_READ_TIMEOUT	2020-08-23 05:46:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/pl/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/pl/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:05:54.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:46:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_SHUTTING_DOWN squid-5.0.4/errors/pl/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/pl/ERR_SHUTTING_DOWN	2020-06-09 19:05:55.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_SHUTTING_DOWN	2020-08-23 05:46:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_SOCKET_FAILURE squid-5.0.4/errors/pl/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/pl/ERR_SOCKET_FAILURE	2020-06-09 19:05:55.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_SOCKET_FAILURE	2020-08-23 05:46:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_TOO_BIG squid-5.0.4/errors/pl/ERR_TOO_BIG
--- squid-5.0.3/errors/pl/ERR_TOO_BIG	2020-06-09 19:05:55.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_TOO_BIG	2020-08-23 05:46:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/pl/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/pl/ERR_UNSUP_HTTPVERSION	2020-06-09 19:05:56.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_UNSUP_HTTPVERSION	2020-08-23 05:46:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_UNSUP_REQ squid-5.0.4/errors/pl/ERR_UNSUP_REQ
--- squid-5.0.3/errors/pl/ERR_UNSUP_REQ	2020-06-09 19:05:56.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_UNSUP_REQ	2020-08-23 05:46:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_URN_RESOLVE squid-5.0.4/errors/pl/ERR_URN_RESOLVE
--- squid-5.0.3/errors/pl/ERR_URN_RESOLVE	2020-06-09 19:05:56.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_URN_RESOLVE	2020-08-23 05:46:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_WRITE_ERROR squid-5.0.4/errors/pl/ERR_WRITE_ERROR
--- squid-5.0.3/errors/pl/ERR_WRITE_ERROR	2020-06-09 19:05:57.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_WRITE_ERROR	2020-08-23 05:46:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pl/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/pl/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/pl/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:05:57.000000000 +1200
+++ squid-5.0.4/errors/pl/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:46:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_ACCESS_DENIED squid-5.0.4/errors/pt/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/pt/ERR_ACCESS_DENIED	2020-06-09 19:06:12.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_ACCESS_DENIED	2020-08-23 05:46:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/pt/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/pt/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:06:12.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:46:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_AGENT_CONFIGURE squid-5.0.4/errors/pt/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/pt/ERR_AGENT_CONFIGURE	2020-06-09 19:06:13.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_AGENT_CONFIGURE	2020-08-23 05:46:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>Como encontrar essas configurações em seu navegador:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/pt/ERR_AGENT_WPAD squid-5.0.4/errors/pt/ERR_AGENT_WPAD
--- squid-5.0.3/errors/pt/ERR_AGENT_WPAD	2020-06-09 19:06:13.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_AGENT_WPAD	2020-08-23 05:46:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>Como encontrar essas configurações em seu navegador:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Selecionar automaticamente a detecção de configurações.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Selecione configuração automática do Proxy.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/pt/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/pt/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/pt/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:06:13.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:46:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/pt/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/pt/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:06:14.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:46:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_CANNOT_FORWARD squid-5.0.4/errors/pt/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/pt/ERR_CANNOT_FORWARD	2020-06-09 19:06:14.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_CANNOT_FORWARD	2020-08-23 05:46:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_CONFLICT_HOST squid-5.0.4/errors/pt/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/pt/ERR_CONFLICT_HOST	2020-06-09 19:06:14.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_CONFLICT_HOST	2020-08-23 05:46:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_CONNECT_FAIL squid-5.0.4/errors/pt/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/pt/ERR_CONNECT_FAIL	2020-06-09 19:06:15.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_CONNECT_FAIL	2020-08-23 05:46:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_DIR_LISTING squid-5.0.4/errors/pt/ERR_DIR_LISTING
--- squid-5.0.3/errors/pt/ERR_DIR_LISTING	2020-06-09 19:06:15.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_DIR_LISTING	2020-08-23 05:46:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_DNS_FAIL squid-5.0.4/errors/pt/ERR_DNS_FAIL
--- squid-5.0.3/errors/pt/ERR_DNS_FAIL	2020-06-09 19:06:15.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_DNS_FAIL	2020-08-23 05:46:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_ESI squid-5.0.4/errors/pt/ERR_ESI
--- squid-5.0.3/errors/pt/ERR_ESI	2020-06-09 19:06:16.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_ESI	2020-08-23 05:46:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_FORWARDING_DENIED squid-5.0.4/errors/pt/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/pt/ERR_FORWARDING_DENIED	2020-06-09 19:06:16.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_FORWARDING_DENIED	2020-08-23 05:46:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_FTP_DISABLED squid-5.0.4/errors/pt/ERR_FTP_DISABLED
--- squid-5.0.3/errors/pt/ERR_FTP_DISABLED	2020-06-09 19:06:16.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_FTP_DISABLED	2020-08-23 05:46:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_FTP_FAILURE squid-5.0.4/errors/pt/ERR_FTP_FAILURE
--- squid-5.0.3/errors/pt/ERR_FTP_FAILURE	2020-06-09 19:06:17.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_FTP_FAILURE	2020-08-23 05:46:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_FTP_FORBIDDEN squid-5.0.4/errors/pt/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/pt/ERR_FTP_FORBIDDEN	2020-06-09 19:06:17.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_FTP_FORBIDDEN	2020-08-23 05:46:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_FTP_NOT_FOUND squid-5.0.4/errors/pt/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/pt/ERR_FTP_NOT_FOUND	2020-06-09 19:06:17.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_FTP_NOT_FOUND	2020-08-23 05:46:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_FTP_PUT_CREATED squid-5.0.4/errors/pt/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/pt/ERR_FTP_PUT_CREATED	2020-06-09 19:06:18.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_FTP_PUT_CREATED	2020-08-23 05:46:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_FTP_PUT_ERROR squid-5.0.4/errors/pt/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/pt/ERR_FTP_PUT_ERROR	2020-06-09 19:06:18.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_FTP_PUT_ERROR	2020-08-23 05:46:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/pt/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/pt/ERR_FTP_PUT_MODIFIED	2020-06-09 19:06:18.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_FTP_PUT_MODIFIED	2020-08-23 05:46:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/pt/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/pt/ERR_FTP_UNAVAILABLE	2020-06-09 19:06:19.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_FTP_UNAVAILABLE	2020-08-23 05:46:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_GATEWAY_FAILURE squid-5.0.4/errors/pt/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/pt/ERR_GATEWAY_FAILURE	2020-06-09 19:06:19.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_GATEWAY_FAILURE	2020-08-23 05:46:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_ICAP_FAILURE squid-5.0.4/errors/pt/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/pt/ERR_ICAP_FAILURE	2020-06-09 19:06:19.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_ICAP_FAILURE	2020-08-23 05:46:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_INVALID_REQ squid-5.0.4/errors/pt/ERR_INVALID_REQ
--- squid-5.0.3/errors/pt/ERR_INVALID_REQ	2020-06-09 19:06:19.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_INVALID_REQ	2020-08-23 05:46:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_INVALID_RESP squid-5.0.4/errors/pt/ERR_INVALID_RESP
--- squid-5.0.3/errors/pt/ERR_INVALID_RESP	2020-06-09 19:06:20.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_INVALID_RESP	2020-08-23 05:46:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_INVALID_URL squid-5.0.4/errors/pt/ERR_INVALID_URL
--- squid-5.0.3/errors/pt/ERR_INVALID_URL	2020-06-09 19:06:20.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_INVALID_URL	2020-08-23 05:46:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_LIFETIME_EXP squid-5.0.4/errors/pt/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/pt/ERR_LIFETIME_EXP	2020-06-09 19:06:20.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_LIFETIME_EXP	2020-08-23 05:46:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_NO_RELAY squid-5.0.4/errors/pt/ERR_NO_RELAY
--- squid-5.0.3/errors/pt/ERR_NO_RELAY	2020-06-09 19:06:21.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_NO_RELAY	2020-08-23 05:46:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/pt/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/pt/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:06:21.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:46:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_PRECONDITION_FAILED squid-5.0.4/errors/pt/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/pt/ERR_PRECONDITION_FAILED	2020-06-09 19:06:21.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_PRECONDITION_FAILED	2020-08-23 05:46:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/pt/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/pt/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:06:21.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:46:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_READ_ERROR squid-5.0.4/errors/pt/ERR_READ_ERROR
--- squid-5.0.3/errors/pt/ERR_READ_ERROR	2020-06-09 19:06:22.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_READ_ERROR	2020-08-23 05:46:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_READ_TIMEOUT squid-5.0.4/errors/pt/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/pt/ERR_READ_TIMEOUT	2020-06-09 19:06:22.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_READ_TIMEOUT	2020-08-23 05:46:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/pt/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/pt/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:06:22.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:46:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_SHUTTING_DOWN squid-5.0.4/errors/pt/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/pt/ERR_SHUTTING_DOWN	2020-06-09 19:06:23.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_SHUTTING_DOWN	2020-08-23 05:46:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_SOCKET_FAILURE squid-5.0.4/errors/pt/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/pt/ERR_SOCKET_FAILURE	2020-06-09 19:06:23.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_SOCKET_FAILURE	2020-08-23 05:46:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_TOO_BIG squid-5.0.4/errors/pt/ERR_TOO_BIG
--- squid-5.0.3/errors/pt/ERR_TOO_BIG	2020-06-09 19:06:23.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_TOO_BIG	2020-08-23 05:46:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/pt/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/pt/ERR_UNSUP_HTTPVERSION	2020-06-09 19:06:23.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_UNSUP_HTTPVERSION	2020-08-23 05:46:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_UNSUP_REQ squid-5.0.4/errors/pt/ERR_UNSUP_REQ
--- squid-5.0.3/errors/pt/ERR_UNSUP_REQ	2020-06-09 19:06:24.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_UNSUP_REQ	2020-08-23 05:46:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_URN_RESOLVE squid-5.0.4/errors/pt/ERR_URN_RESOLVE
--- squid-5.0.3/errors/pt/ERR_URN_RESOLVE	2020-06-09 19:06:24.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_URN_RESOLVE	2020-08-23 05:46:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_WRITE_ERROR squid-5.0.4/errors/pt/ERR_WRITE_ERROR
--- squid-5.0.3/errors/pt/ERR_WRITE_ERROR	2020-06-09 19:06:24.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_WRITE_ERROR	2020-08-23 05:46:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/pt/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/pt/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:06:25.000000000 +1200
+++ squid-5.0.4/errors/pt/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:46:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_ACCESS_DENIED squid-5.0.4/errors/pt-br/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/pt-br/ERR_ACCESS_DENIED	2020-06-09 19:05:57.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_ACCESS_DENIED	2020-08-23 05:46:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/pt-br/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/pt-br/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:05:58.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:46:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_AGENT_CONFIGURE squid-5.0.4/errors/pt-br/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/pt-br/ERR_AGENT_CONFIGURE	2020-06-09 19:05:58.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_AGENT_CONFIGURE	2020-08-23 05:46:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>A configuração de seu navegador precisa ser corrigida para usar esta rede.</p>
 </blockquote>
 
 <p>Como encontrar estas configurações no seu navegador:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Ferramentas -&gt; Opções -&gt; Avançado -&gt; Rede -&gt; Configurações da Conexão</li>
 <li>Na caixa HTTP proxy digite o nome do proxy %h e porta %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Ferramentas -&gt; Opções de Internet -&gt; Conexão -&gt; Configurações da LAN -&gt;Proxy</li>
 <li>Na caixa HTTP proxy digite o nome do proxy %h e porta %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Ferramentas -&gt; Preferências -&gt; Avançado -&gt; Rede -&gt; Servidores Proxy</li>
 <li>Na caixa HTTP proxy digite o nome do proxy %h e porta %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_AGENT_WPAD squid-5.0.4/errors/pt-br/ERR_AGENT_WPAD
--- squid-5.0.3/errors/pt-br/ERR_AGENT_WPAD	2020-06-09 19:05:58.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_AGENT_WPAD	2020-08-23 05:46:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>A configuração de seu navegador precisa ser corrigida para usar esta rede.</p>
 </blockquote>
 
 <p>Como encontrar estas configurações no seu navegador:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Ferramentas -&gt; Opções -&gt; Avançado -&gt; Rede -&gt; Configurações da Conexão</li>
 <li>Selecionar configurações de auto-detecção de proxy para esta rede</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Ferramentas -&gt; Opções de Internet -&gt; Conexão -&gt; Configurações da LAN -&gt;Proxy</li>
 <li>Selecione Detectar configurações automaticamente</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Ferramentas -&gt; Preferências -&gt; Avançado -&gt; Rede -&gt; Servidores Proxy</li>
 <li>Selecione Usar configuração automática de proxy</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/pt-br/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/pt-br/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:05:59.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:46:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/pt-br/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/pt-br/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:05:59.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:46:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_CANNOT_FORWARD squid-5.0.4/errors/pt-br/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/pt-br/ERR_CANNOT_FORWARD	2020-06-09 19:05:59.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_CANNOT_FORWARD	2020-08-23 05:46:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_CONFLICT_HOST squid-5.0.4/errors/pt-br/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/pt-br/ERR_CONFLICT_HOST	2020-06-09 19:06:00.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_CONFLICT_HOST	2020-08-23 05:46:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_CONNECT_FAIL squid-5.0.4/errors/pt-br/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/pt-br/ERR_CONNECT_FAIL	2020-06-09 19:06:00.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_CONNECT_FAIL	2020-08-23 05:46:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_DIR_LISTING squid-5.0.4/errors/pt-br/ERR_DIR_LISTING
--- squid-5.0.3/errors/pt-br/ERR_DIR_LISTING	2020-06-09 19:06:00.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_DIR_LISTING	2020-08-23 05:46:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_DNS_FAIL squid-5.0.4/errors/pt-br/ERR_DNS_FAIL
--- squid-5.0.3/errors/pt-br/ERR_DNS_FAIL	2020-06-09 19:06:01.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_DNS_FAIL	2020-08-23 05:46:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_ESI squid-5.0.4/errors/pt-br/ERR_ESI
--- squid-5.0.3/errors/pt-br/ERR_ESI	2020-06-09 19:06:01.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_ESI	2020-08-23 05:46:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_FORWARDING_DENIED squid-5.0.4/errors/pt-br/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/pt-br/ERR_FORWARDING_DENIED	2020-06-09 19:06:01.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_FORWARDING_DENIED	2020-08-23 05:46:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_FTP_DISABLED squid-5.0.4/errors/pt-br/ERR_FTP_DISABLED
--- squid-5.0.3/errors/pt-br/ERR_FTP_DISABLED	2020-06-09 19:06:02.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_FTP_DISABLED	2020-08-23 05:46:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_FTP_FAILURE squid-5.0.4/errors/pt-br/ERR_FTP_FAILURE
--- squid-5.0.3/errors/pt-br/ERR_FTP_FAILURE	2020-06-09 19:06:02.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_FTP_FAILURE	2020-08-23 05:46:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_FTP_FORBIDDEN squid-5.0.4/errors/pt-br/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/pt-br/ERR_FTP_FORBIDDEN	2020-06-09 19:06:02.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_FTP_FORBIDDEN	2020-08-23 05:46:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_FTP_NOT_FOUND squid-5.0.4/errors/pt-br/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/pt-br/ERR_FTP_NOT_FOUND	2020-06-09 19:06:03.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_FTP_NOT_FOUND	2020-08-23 05:46:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_FTP_PUT_CREATED squid-5.0.4/errors/pt-br/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/pt-br/ERR_FTP_PUT_CREATED	2020-06-09 19:06:03.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_FTP_PUT_CREATED	2020-08-23 05:46:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_FTP_PUT_ERROR squid-5.0.4/errors/pt-br/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/pt-br/ERR_FTP_PUT_ERROR	2020-06-09 19:06:03.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_FTP_PUT_ERROR	2020-08-23 05:46:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/pt-br/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/pt-br/ERR_FTP_PUT_MODIFIED	2020-06-09 19:06:04.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_FTP_PUT_MODIFIED	2020-08-23 05:46:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/pt-br/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/pt-br/ERR_FTP_UNAVAILABLE	2020-06-09 19:06:04.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_FTP_UNAVAILABLE	2020-08-23 05:46:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_GATEWAY_FAILURE squid-5.0.4/errors/pt-br/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/pt-br/ERR_GATEWAY_FAILURE	2020-06-09 19:06:05.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_GATEWAY_FAILURE	2020-08-23 05:46:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_ICAP_FAILURE squid-5.0.4/errors/pt-br/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/pt-br/ERR_ICAP_FAILURE	2020-06-09 19:06:05.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_ICAP_FAILURE	2020-08-23 05:46:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_INVALID_REQ squid-5.0.4/errors/pt-br/ERR_INVALID_REQ
--- squid-5.0.3/errors/pt-br/ERR_INVALID_REQ	2020-06-09 19:06:05.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_INVALID_REQ	2020-08-23 05:46:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_INVALID_RESP squid-5.0.4/errors/pt-br/ERR_INVALID_RESP
--- squid-5.0.3/errors/pt-br/ERR_INVALID_RESP	2020-06-09 19:06:06.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_INVALID_RESP	2020-08-23 05:46:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_INVALID_URL squid-5.0.4/errors/pt-br/ERR_INVALID_URL
--- squid-5.0.3/errors/pt-br/ERR_INVALID_URL	2020-06-09 19:06:06.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_INVALID_URL	2020-08-23 05:46:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_LIFETIME_EXP squid-5.0.4/errors/pt-br/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/pt-br/ERR_LIFETIME_EXP	2020-06-09 19:06:06.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_LIFETIME_EXP	2020-08-23 05:46:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_NO_RELAY squid-5.0.4/errors/pt-br/ERR_NO_RELAY
--- squid-5.0.3/errors/pt-br/ERR_NO_RELAY	2020-06-09 19:06:07.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_NO_RELAY	2020-08-23 05:46:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/pt-br/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/pt-br/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:06:07.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:46:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_PRECONDITION_FAILED squid-5.0.4/errors/pt-br/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/pt-br/ERR_PRECONDITION_FAILED	2020-06-09 19:06:07.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_PRECONDITION_FAILED	2020-08-23 05:46:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/pt-br/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/pt-br/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:06:08.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:46:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_READ_ERROR squid-5.0.4/errors/pt-br/ERR_READ_ERROR
--- squid-5.0.3/errors/pt-br/ERR_READ_ERROR	2020-06-09 19:06:08.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_READ_ERROR	2020-08-23 05:46:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_READ_TIMEOUT squid-5.0.4/errors/pt-br/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/pt-br/ERR_READ_TIMEOUT	2020-06-09 19:06:08.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_READ_TIMEOUT	2020-08-23 05:46:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/pt-br/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/pt-br/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:06:09.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:46:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_SHUTTING_DOWN squid-5.0.4/errors/pt-br/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/pt-br/ERR_SHUTTING_DOWN	2020-06-09 19:06:09.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_SHUTTING_DOWN	2020-08-23 05:46:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_SOCKET_FAILURE squid-5.0.4/errors/pt-br/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/pt-br/ERR_SOCKET_FAILURE	2020-06-09 19:06:09.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_SOCKET_FAILURE	2020-08-23 05:46:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_TOO_BIG squid-5.0.4/errors/pt-br/ERR_TOO_BIG
--- squid-5.0.3/errors/pt-br/ERR_TOO_BIG	2020-06-09 19:06:10.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_TOO_BIG	2020-08-23 05:46:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/pt-br/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/pt-br/ERR_UNSUP_HTTPVERSION	2020-06-09 19:06:10.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_UNSUP_HTTPVERSION	2020-08-23 05:46:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_UNSUP_REQ squid-5.0.4/errors/pt-br/ERR_UNSUP_REQ
--- squid-5.0.3/errors/pt-br/ERR_UNSUP_REQ	2020-06-09 19:06:10.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_UNSUP_REQ	2020-08-23 05:46:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_URN_RESOLVE squid-5.0.4/errors/pt-br/ERR_URN_RESOLVE
--- squid-5.0.3/errors/pt-br/ERR_URN_RESOLVE	2020-06-09 19:06:11.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_URN_RESOLVE	2020-08-23 05:46:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_WRITE_ERROR squid-5.0.4/errors/pt-br/ERR_WRITE_ERROR
--- squid-5.0.3/errors/pt-br/ERR_WRITE_ERROR	2020-06-09 19:06:11.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_WRITE_ERROR	2020-08-23 05:46:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/pt-br/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/pt-br/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/pt-br/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:06:11.000000000 +1200
+++ squid-5.0.4/errors/pt-br/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:46:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_ACCESS_DENIED squid-5.0.4/errors/ro/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/ro/ERR_ACCESS_DENIED	2020-06-09 19:06:25.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_ACCESS_DENIED	2020-08-23 05:46:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/ro/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/ro/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:06:25.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:46:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_AGENT_CONFIGURE squid-5.0.4/errors/ro/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/ro/ERR_AGENT_CONFIGURE	2020-06-09 19:06:26.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_AGENT_CONFIGURE	2020-08-23 05:46:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Configurarea navigatorului de internet trebuie modificată pentru a putea utiliza această reţea.</p>
 </blockquote>
 
 <p>Cum să găseşti aceste setări în navigatorul tău:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ro/ERR_AGENT_WPAD squid-5.0.4/errors/ro/ERR_AGENT_WPAD
--- squid-5.0.3/errors/ro/ERR_AGENT_WPAD	2020-06-09 19:06:26.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_AGENT_WPAD	2020-08-23 05:46:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Configurarea navigatorului de internet trebuie modificată pentru a putea utiliza această reţea.</p>
 </blockquote>
 
 <p>Cum să găseşti aceste setări în navigatorul tău:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Selectează Detectează automat setările</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Selectează Configurare pentru proxy automată</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ro/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/ro/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/ro/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:06:26.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:46:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/ro/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/ro/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:06:27.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:46:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_CANNOT_FORWARD squid-5.0.4/errors/ro/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/ro/ERR_CANNOT_FORWARD	2020-06-09 19:06:27.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_CANNOT_FORWARD	2020-08-23 05:46:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_CONFLICT_HOST squid-5.0.4/errors/ro/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/ro/ERR_CONFLICT_HOST	2020-06-09 19:06:27.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_CONFLICT_HOST	2020-08-23 05:46:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_CONNECT_FAIL squid-5.0.4/errors/ro/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/ro/ERR_CONNECT_FAIL	2020-06-09 19:06:28.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_CONNECT_FAIL	2020-08-23 05:46:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_DIR_LISTING squid-5.0.4/errors/ro/ERR_DIR_LISTING
--- squid-5.0.3/errors/ro/ERR_DIR_LISTING	2020-06-09 19:06:28.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_DIR_LISTING	2020-08-23 05:46:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_DNS_FAIL squid-5.0.4/errors/ro/ERR_DNS_FAIL
--- squid-5.0.3/errors/ro/ERR_DNS_FAIL	2020-06-09 19:06:28.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_DNS_FAIL	2020-08-23 05:46:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_ESI squid-5.0.4/errors/ro/ERR_ESI
--- squid-5.0.3/errors/ro/ERR_ESI	2020-06-09 19:06:29.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_ESI	2020-08-23 05:46:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_FORWARDING_DENIED squid-5.0.4/errors/ro/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/ro/ERR_FORWARDING_DENIED	2020-06-09 19:06:29.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_FORWARDING_DENIED	2020-08-23 05:46:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_FTP_DISABLED squid-5.0.4/errors/ro/ERR_FTP_DISABLED
--- squid-5.0.3/errors/ro/ERR_FTP_DISABLED	2020-06-09 19:06:29.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_FTP_DISABLED	2020-08-23 05:46:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_FTP_FAILURE squid-5.0.4/errors/ro/ERR_FTP_FAILURE
--- squid-5.0.3/errors/ro/ERR_FTP_FAILURE	2020-06-09 19:06:30.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_FTP_FAILURE	2020-08-23 05:46:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_FTP_FORBIDDEN squid-5.0.4/errors/ro/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/ro/ERR_FTP_FORBIDDEN	2020-06-09 19:06:30.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_FTP_FORBIDDEN	2020-08-23 05:46:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_FTP_NOT_FOUND squid-5.0.4/errors/ro/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/ro/ERR_FTP_NOT_FOUND	2020-06-09 19:06:30.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_FTP_NOT_FOUND	2020-08-23 05:46:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_FTP_PUT_CREATED squid-5.0.4/errors/ro/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/ro/ERR_FTP_PUT_CREATED	2020-06-09 19:06:31.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_FTP_PUT_CREATED	2020-08-23 05:46:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_FTP_PUT_ERROR squid-5.0.4/errors/ro/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/ro/ERR_FTP_PUT_ERROR	2020-06-09 19:06:31.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_FTP_PUT_ERROR	2020-08-23 05:46:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/ro/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/ro/ERR_FTP_PUT_MODIFIED	2020-06-09 19:06:31.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_FTP_PUT_MODIFIED	2020-08-23 05:46:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/ro/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/ro/ERR_FTP_UNAVAILABLE	2020-06-09 19:06:32.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_FTP_UNAVAILABLE	2020-08-23 05:46:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_GATEWAY_FAILURE squid-5.0.4/errors/ro/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/ro/ERR_GATEWAY_FAILURE	2020-06-09 19:06:32.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_GATEWAY_FAILURE	2020-08-23 05:46:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_ICAP_FAILURE squid-5.0.4/errors/ro/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/ro/ERR_ICAP_FAILURE	2020-06-09 19:06:32.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_ICAP_FAILURE	2020-08-23 05:46:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_INVALID_REQ squid-5.0.4/errors/ro/ERR_INVALID_REQ
--- squid-5.0.3/errors/ro/ERR_INVALID_REQ	2020-06-09 19:06:32.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_INVALID_REQ	2020-08-23 05:46:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_INVALID_RESP squid-5.0.4/errors/ro/ERR_INVALID_RESP
--- squid-5.0.3/errors/ro/ERR_INVALID_RESP	2020-06-09 19:06:33.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_INVALID_RESP	2020-08-23 05:46:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_INVALID_URL squid-5.0.4/errors/ro/ERR_INVALID_URL
--- squid-5.0.3/errors/ro/ERR_INVALID_URL	2020-06-09 19:06:33.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_INVALID_URL	2020-08-23 05:46:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_LIFETIME_EXP squid-5.0.4/errors/ro/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/ro/ERR_LIFETIME_EXP	2020-06-09 19:06:33.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_LIFETIME_EXP	2020-08-23 05:46:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_NO_RELAY squid-5.0.4/errors/ro/ERR_NO_RELAY
--- squid-5.0.3/errors/ro/ERR_NO_RELAY	2020-06-09 19:06:34.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_NO_RELAY	2020-08-23 05:46:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/ro/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/ro/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:06:34.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:46:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_PRECONDITION_FAILED squid-5.0.4/errors/ro/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/ro/ERR_PRECONDITION_FAILED	2020-06-09 19:06:34.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_PRECONDITION_FAILED	2020-08-23 05:46:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/ro/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/ro/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:06:34.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:46:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_READ_ERROR squid-5.0.4/errors/ro/ERR_READ_ERROR
--- squid-5.0.3/errors/ro/ERR_READ_ERROR	2020-06-09 19:06:35.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_READ_ERROR	2020-08-23 05:46:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_READ_TIMEOUT squid-5.0.4/errors/ro/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/ro/ERR_READ_TIMEOUT	2020-06-09 19:06:35.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_READ_TIMEOUT	2020-08-23 05:46:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/ro/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/ro/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:06:35.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:46:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_SHUTTING_DOWN squid-5.0.4/errors/ro/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/ro/ERR_SHUTTING_DOWN	2020-06-09 19:06:36.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_SHUTTING_DOWN	2020-08-23 05:46:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_SOCKET_FAILURE squid-5.0.4/errors/ro/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/ro/ERR_SOCKET_FAILURE	2020-06-09 19:06:36.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_SOCKET_FAILURE	2020-08-23 05:46:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_TOO_BIG squid-5.0.4/errors/ro/ERR_TOO_BIG
--- squid-5.0.3/errors/ro/ERR_TOO_BIG	2020-06-09 19:06:36.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_TOO_BIG	2020-08-23 05:46:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/ro/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/ro/ERR_UNSUP_HTTPVERSION	2020-06-09 19:06:36.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_UNSUP_HTTPVERSION	2020-08-23 05:46:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_UNSUP_REQ squid-5.0.4/errors/ro/ERR_UNSUP_REQ
--- squid-5.0.3/errors/ro/ERR_UNSUP_REQ	2020-06-09 19:06:37.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_UNSUP_REQ	2020-08-23 05:46:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_URN_RESOLVE squid-5.0.4/errors/ro/ERR_URN_RESOLVE
--- squid-5.0.3/errors/ro/ERR_URN_RESOLVE	2020-06-09 19:06:37.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_URN_RESOLVE	2020-08-23 05:46:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_WRITE_ERROR squid-5.0.4/errors/ro/ERR_WRITE_ERROR
--- squid-5.0.3/errors/ro/ERR_WRITE_ERROR	2020-06-09 19:06:37.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_WRITE_ERROR	2020-08-23 05:46:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ro/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/ro/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/ro/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:06:38.000000000 +1200
+++ squid-5.0.4/errors/ro/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:46:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_ACCESS_DENIED squid-5.0.4/errors/ru/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/ru/ERR_ACCESS_DENIED	2020-06-09 19:06:38.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_ACCESS_DENIED	2020-08-23 05:46:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/ru/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/ru/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:06:38.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:46:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_AGENT_CONFIGURE squid-5.0.4/errors/ru/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/ru/ERR_AGENT_CONFIGURE	2020-06-09 19:06:38.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_AGENT_CONFIGURE	2020-08-23 05:46:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Необходимо произвести настройку вашего браузера для использования этой сети</p>
 </blockquote>
 
 <p>Эти настройки в вашем браузере:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Инструменты -&gt; Опции -&gt; Дополнительно -&gt; Сеть -&gt; Настойки соединения</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Инструменты -&gt; Настройки интернета -&gt; Соединения -&gt; Настройки LAN -&gt; Прокси</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Инструменты -&gt; Настройки -&gt; Дополнительно -&gt; Сеть -&gt; Прокси-серверы</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ru/ERR_AGENT_WPAD squid-5.0.4/errors/ru/ERR_AGENT_WPAD
--- squid-5.0.3/errors/ru/ERR_AGENT_WPAD	2020-06-09 19:06:39.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_AGENT_WPAD	2020-08-23 05:46:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Необходимо произвести настройку вашего браузера для использования этой сети</p>
 </blockquote>
 
 <p>Эти настройки в вашем браузере:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Инструменты -&gt; Опции -&gt; Дополнительно -&gt; Сеть -&gt; Настойки соединения</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Инструменты -&gt; Настройки интернета -&gt; Соединения -&gt; Настройки LAN -&gt; Прокси</li>
 <li>Выберите Автоматически определять настройки</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Инструменты -&gt; Настройки -&gt; Дополнительно -&gt; Сеть -&gt; Прокси-серверы</li>
 <li>Выберите Использовать Автоматическое определение прокси</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/ru/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/ru/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/ru/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:06:39.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:46:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/ru/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/ru/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:06:39.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:46:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_CANNOT_FORWARD squid-5.0.4/errors/ru/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/ru/ERR_CANNOT_FORWARD	2020-06-09 19:06:40.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_CANNOT_FORWARD	2020-08-23 05:46:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_CONFLICT_HOST squid-5.0.4/errors/ru/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/ru/ERR_CONFLICT_HOST	2020-06-09 19:06:40.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_CONFLICT_HOST	2020-08-23 05:46:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_CONNECT_FAIL squid-5.0.4/errors/ru/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/ru/ERR_CONNECT_FAIL	2020-06-09 19:06:40.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_CONNECT_FAIL	2020-08-23 05:46:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_DIR_LISTING squid-5.0.4/errors/ru/ERR_DIR_LISTING
--- squid-5.0.3/errors/ru/ERR_DIR_LISTING	2020-06-09 19:06:40.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_DIR_LISTING	2020-08-23 05:46:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_DNS_FAIL squid-5.0.4/errors/ru/ERR_DNS_FAIL
--- squid-5.0.3/errors/ru/ERR_DNS_FAIL	2020-06-09 19:06:41.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_DNS_FAIL	2020-08-23 05:46:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_ESI squid-5.0.4/errors/ru/ERR_ESI
--- squid-5.0.3/errors/ru/ERR_ESI	2020-06-09 19:06:41.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_ESI	2020-08-23 05:46:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_FORWARDING_DENIED squid-5.0.4/errors/ru/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/ru/ERR_FORWARDING_DENIED	2020-06-09 19:06:41.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_FORWARDING_DENIED	2020-08-23 05:47:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_FTP_DISABLED squid-5.0.4/errors/ru/ERR_FTP_DISABLED
--- squid-5.0.3/errors/ru/ERR_FTP_DISABLED	2020-06-09 19:06:42.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_FTP_DISABLED	2020-08-23 05:47:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_FTP_FAILURE squid-5.0.4/errors/ru/ERR_FTP_FAILURE
--- squid-5.0.3/errors/ru/ERR_FTP_FAILURE	2020-06-09 19:06:42.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_FTP_FAILURE	2020-08-23 05:47:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_FTP_FORBIDDEN squid-5.0.4/errors/ru/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/ru/ERR_FTP_FORBIDDEN	2020-06-09 19:06:42.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_FTP_FORBIDDEN	2020-08-23 05:47:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_FTP_NOT_FOUND squid-5.0.4/errors/ru/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/ru/ERR_FTP_NOT_FOUND	2020-06-09 19:06:42.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_FTP_NOT_FOUND	2020-08-23 05:47:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_FTP_PUT_CREATED squid-5.0.4/errors/ru/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/ru/ERR_FTP_PUT_CREATED	2020-06-09 19:06:43.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_FTP_PUT_CREATED	2020-08-23 05:47:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_FTP_PUT_ERROR squid-5.0.4/errors/ru/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/ru/ERR_FTP_PUT_ERROR	2020-06-09 19:06:43.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_FTP_PUT_ERROR	2020-08-23 05:47:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/ru/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/ru/ERR_FTP_PUT_MODIFIED	2020-06-09 19:06:43.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_FTP_PUT_MODIFIED	2020-08-23 05:47:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/ru/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/ru/ERR_FTP_UNAVAILABLE	2020-06-09 19:06:43.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_FTP_UNAVAILABLE	2020-08-23 05:47:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_GATEWAY_FAILURE squid-5.0.4/errors/ru/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/ru/ERR_GATEWAY_FAILURE	2020-06-09 19:06:44.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_GATEWAY_FAILURE	2020-08-23 05:47:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_ICAP_FAILURE squid-5.0.4/errors/ru/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/ru/ERR_ICAP_FAILURE	2020-06-09 19:06:44.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_ICAP_FAILURE	2020-08-23 05:47:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_INVALID_REQ squid-5.0.4/errors/ru/ERR_INVALID_REQ
--- squid-5.0.3/errors/ru/ERR_INVALID_REQ	2020-06-09 19:06:45.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_INVALID_REQ	2020-08-23 05:47:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_INVALID_RESP squid-5.0.4/errors/ru/ERR_INVALID_RESP
--- squid-5.0.3/errors/ru/ERR_INVALID_RESP	2020-06-09 19:06:45.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_INVALID_RESP	2020-08-23 05:47:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_INVALID_URL squid-5.0.4/errors/ru/ERR_INVALID_URL
--- squid-5.0.3/errors/ru/ERR_INVALID_URL	2020-06-09 19:06:45.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_INVALID_URL	2020-08-23 05:47:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_LIFETIME_EXP squid-5.0.4/errors/ru/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/ru/ERR_LIFETIME_EXP	2020-06-09 19:06:45.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_LIFETIME_EXP	2020-08-23 05:47:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_NO_RELAY squid-5.0.4/errors/ru/ERR_NO_RELAY
--- squid-5.0.3/errors/ru/ERR_NO_RELAY	2020-06-09 19:06:46.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_NO_RELAY	2020-08-23 05:47:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/ru/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/ru/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:06:46.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:47:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_PRECONDITION_FAILED squid-5.0.4/errors/ru/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/ru/ERR_PRECONDITION_FAILED	2020-06-09 19:06:46.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_PRECONDITION_FAILED	2020-08-23 05:47:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/ru/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/ru/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:06:47.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:47:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_READ_ERROR squid-5.0.4/errors/ru/ERR_READ_ERROR
--- squid-5.0.3/errors/ru/ERR_READ_ERROR	2020-06-09 19:06:47.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_READ_ERROR	2020-08-23 05:47:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_READ_TIMEOUT squid-5.0.4/errors/ru/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/ru/ERR_READ_TIMEOUT	2020-06-09 19:06:47.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_READ_TIMEOUT	2020-08-23 05:47:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/ru/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/ru/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:06:47.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:47:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_SHUTTING_DOWN squid-5.0.4/errors/ru/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/ru/ERR_SHUTTING_DOWN	2020-06-09 19:06:48.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_SHUTTING_DOWN	2020-08-23 05:47:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_SOCKET_FAILURE squid-5.0.4/errors/ru/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/ru/ERR_SOCKET_FAILURE	2020-06-09 19:06:48.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_SOCKET_FAILURE	2020-08-23 05:47:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_TOO_BIG squid-5.0.4/errors/ru/ERR_TOO_BIG
--- squid-5.0.3/errors/ru/ERR_TOO_BIG	2020-06-09 19:06:48.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_TOO_BIG	2020-08-23 05:47:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/ru/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/ru/ERR_UNSUP_HTTPVERSION	2020-06-09 19:06:49.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_UNSUP_HTTPVERSION	2020-08-23 05:47:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_UNSUP_REQ squid-5.0.4/errors/ru/ERR_UNSUP_REQ
--- squid-5.0.3/errors/ru/ERR_UNSUP_REQ	2020-06-09 19:06:49.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_UNSUP_REQ	2020-08-23 05:47:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_URN_RESOLVE squid-5.0.4/errors/ru/ERR_URN_RESOLVE
--- squid-5.0.3/errors/ru/ERR_URN_RESOLVE	2020-06-09 19:06:49.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_URN_RESOLVE	2020-08-23 05:47:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_WRITE_ERROR squid-5.0.4/errors/ru/ERR_WRITE_ERROR
--- squid-5.0.3/errors/ru/ERR_WRITE_ERROR	2020-06-09 19:06:49.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_WRITE_ERROR	2020-08-23 05:47:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/ru/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/ru/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/ru/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:06:50.000000000 +1200
+++ squid-5.0.4/errors/ru/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:47:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_ACCESS_DENIED squid-5.0.4/errors/sk/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/sk/ERR_ACCESS_DENIED	2020-06-09 19:06:50.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_ACCESS_DENIED	2020-08-23 05:47:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/sk/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/sk/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:06:50.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:47:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_AGENT_CONFIGURE squid-5.0.4/errors/sk/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/sk/ERR_AGENT_CONFIGURE	2020-06-09 19:06:51.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_AGENT_CONFIGURE	2020-08-23 05:47:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Aby ste mohli používať túto sieť, musíte upraviť konfiguráciu vášho webového prehliadača.</p>
 </blockquote>
 
 <p>Ako nájsť tieto nastavenia vo vašom prehliadači:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Nástroje -&gt; Možnosti -&gt; Rozšírené -&gt; Sieť -&gt; Nastavenie pripojenia</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Nástroje -&gt; Možnosti internetu -&gt; Pripojenie -&gt; Nastavenia LAN -&gt; Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Nástroje -&gt; Nastavenia -&gt; Rozšírené -&gt; Sieť -&gt; Proxy servery</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/sk/ERR_AGENT_WPAD squid-5.0.4/errors/sk/ERR_AGENT_WPAD
--- squid-5.0.3/errors/sk/ERR_AGENT_WPAD	2020-06-09 19:06:51.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_AGENT_WPAD	2020-08-23 05:47:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Aby ste mohli používať túto sieť, musíte upraviť konfiguráciu vášho webového prehliadača.</p>
 </blockquote>
 
 <p>Ako nájsť tieto nastavenia vo vašom prehliadači:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Nástroje -&gt; Možnosti -&gt; Rozšírené -&gt; Sieť -&gt; Nastavenie pripojenia</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Nástroje -&gt; Možnosti internetu -&gt; Pripojenie -&gt; Nastavenia LAN -&gt; Proxy</li>
 <li>Vyberte Automaticky zistiť nastavenia</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Nástroje -&gt; Nastavenia -&gt; Rozšírené -&gt; Sieť -&gt; Proxy servery</li>
 <li>Vyberte Automatická konfigurácia proxy</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/sk/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/sk/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/sk/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:06:51.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:47:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/sk/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/sk/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:06:51.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:47:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_CANNOT_FORWARD squid-5.0.4/errors/sk/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/sk/ERR_CANNOT_FORWARD	2020-06-09 19:06:52.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_CANNOT_FORWARD	2020-08-23 05:47:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_CONFLICT_HOST squid-5.0.4/errors/sk/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/sk/ERR_CONFLICT_HOST	2020-06-09 19:06:52.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_CONFLICT_HOST	2020-08-23 05:47:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_CONNECT_FAIL squid-5.0.4/errors/sk/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/sk/ERR_CONNECT_FAIL	2020-06-09 19:06:52.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_CONNECT_FAIL	2020-08-23 05:47:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_DIR_LISTING squid-5.0.4/errors/sk/ERR_DIR_LISTING
--- squid-5.0.3/errors/sk/ERR_DIR_LISTING	2020-06-09 19:06:52.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_DIR_LISTING	2020-08-23 05:47:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_DNS_FAIL squid-5.0.4/errors/sk/ERR_DNS_FAIL
--- squid-5.0.3/errors/sk/ERR_DNS_FAIL	2020-06-09 19:06:53.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_DNS_FAIL	2020-08-23 05:47:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_ESI squid-5.0.4/errors/sk/ERR_ESI
--- squid-5.0.3/errors/sk/ERR_ESI	2020-06-09 19:06:53.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_ESI	2020-08-23 05:47:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_FORWARDING_DENIED squid-5.0.4/errors/sk/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/sk/ERR_FORWARDING_DENIED	2020-06-09 19:06:53.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_FORWARDING_DENIED	2020-08-23 05:47:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_FTP_DISABLED squid-5.0.4/errors/sk/ERR_FTP_DISABLED
--- squid-5.0.3/errors/sk/ERR_FTP_DISABLED	2020-06-09 19:06:54.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_FTP_DISABLED	2020-08-23 05:47:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_FTP_FAILURE squid-5.0.4/errors/sk/ERR_FTP_FAILURE
--- squid-5.0.3/errors/sk/ERR_FTP_FAILURE	2020-06-09 19:06:54.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_FTP_FAILURE	2020-08-23 05:47:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_FTP_FORBIDDEN squid-5.0.4/errors/sk/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/sk/ERR_FTP_FORBIDDEN	2020-06-09 19:06:54.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_FTP_FORBIDDEN	2020-08-23 05:47:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_FTP_NOT_FOUND squid-5.0.4/errors/sk/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/sk/ERR_FTP_NOT_FOUND	2020-06-09 19:06:54.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_FTP_NOT_FOUND	2020-08-23 05:47:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_FTP_PUT_CREATED squid-5.0.4/errors/sk/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/sk/ERR_FTP_PUT_CREATED	2020-06-09 19:06:55.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_FTP_PUT_CREATED	2020-08-23 05:47:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_FTP_PUT_ERROR squid-5.0.4/errors/sk/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/sk/ERR_FTP_PUT_ERROR	2020-06-09 19:06:55.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_FTP_PUT_ERROR	2020-08-23 05:47:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/sk/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/sk/ERR_FTP_PUT_MODIFIED	2020-06-09 19:06:55.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_FTP_PUT_MODIFIED	2020-08-23 05:47:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/sk/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/sk/ERR_FTP_UNAVAILABLE	2020-06-09 19:06:56.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_FTP_UNAVAILABLE	2020-08-23 05:47:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_GATEWAY_FAILURE squid-5.0.4/errors/sk/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/sk/ERR_GATEWAY_FAILURE	2020-06-09 19:06:56.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_GATEWAY_FAILURE	2020-08-23 05:47:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_ICAP_FAILURE squid-5.0.4/errors/sk/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/sk/ERR_ICAP_FAILURE	2020-06-09 19:06:56.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_ICAP_FAILURE	2020-08-23 05:47:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_INVALID_REQ squid-5.0.4/errors/sk/ERR_INVALID_REQ
--- squid-5.0.3/errors/sk/ERR_INVALID_REQ	2020-06-09 19:06:56.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_INVALID_REQ	2020-08-23 05:47:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_INVALID_RESP squid-5.0.4/errors/sk/ERR_INVALID_RESP
--- squid-5.0.3/errors/sk/ERR_INVALID_RESP	2020-06-09 19:06:57.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_INVALID_RESP	2020-08-23 05:47:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_INVALID_URL squid-5.0.4/errors/sk/ERR_INVALID_URL
--- squid-5.0.3/errors/sk/ERR_INVALID_URL	2020-06-09 19:06:57.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_INVALID_URL	2020-08-23 05:47:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_LIFETIME_EXP squid-5.0.4/errors/sk/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/sk/ERR_LIFETIME_EXP	2020-06-09 19:06:57.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_LIFETIME_EXP	2020-08-23 05:47:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_NO_RELAY squid-5.0.4/errors/sk/ERR_NO_RELAY
--- squid-5.0.3/errors/sk/ERR_NO_RELAY	2020-06-09 19:06:57.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_NO_RELAY	2020-08-23 05:47:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/sk/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/sk/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:06:58.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:47:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_PRECONDITION_FAILED squid-5.0.4/errors/sk/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/sk/ERR_PRECONDITION_FAILED	2020-06-09 19:06:58.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_PRECONDITION_FAILED	2020-08-23 05:47:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/sk/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/sk/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:06:58.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:47:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_READ_ERROR squid-5.0.4/errors/sk/ERR_READ_ERROR
--- squid-5.0.3/errors/sk/ERR_READ_ERROR	2020-06-09 19:06:59.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_READ_ERROR	2020-08-23 05:47:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_READ_TIMEOUT squid-5.0.4/errors/sk/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/sk/ERR_READ_TIMEOUT	2020-06-09 19:06:59.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_READ_TIMEOUT	2020-08-23 05:47:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/sk/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/sk/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:06:59.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:47:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_SHUTTING_DOWN squid-5.0.4/errors/sk/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/sk/ERR_SHUTTING_DOWN	2020-06-09 19:06:59.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_SHUTTING_DOWN	2020-08-23 05:47:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_SOCKET_FAILURE squid-5.0.4/errors/sk/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/sk/ERR_SOCKET_FAILURE	2020-06-09 19:07:00.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_SOCKET_FAILURE	2020-08-23 05:47:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_TOO_BIG squid-5.0.4/errors/sk/ERR_TOO_BIG
--- squid-5.0.3/errors/sk/ERR_TOO_BIG	2020-06-09 19:07:00.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_TOO_BIG	2020-08-23 05:47:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/sk/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/sk/ERR_UNSUP_HTTPVERSION	2020-06-09 19:07:00.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_UNSUP_HTTPVERSION	2020-08-23 05:47:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_UNSUP_REQ squid-5.0.4/errors/sk/ERR_UNSUP_REQ
--- squid-5.0.3/errors/sk/ERR_UNSUP_REQ	2020-06-09 19:07:01.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_UNSUP_REQ	2020-08-23 05:47:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_URN_RESOLVE squid-5.0.4/errors/sk/ERR_URN_RESOLVE
--- squid-5.0.3/errors/sk/ERR_URN_RESOLVE	2020-06-09 19:07:01.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_URN_RESOLVE	2020-08-23 05:47:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_WRITE_ERROR squid-5.0.4/errors/sk/ERR_WRITE_ERROR
--- squid-5.0.3/errors/sk/ERR_WRITE_ERROR	2020-06-09 19:07:01.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_WRITE_ERROR	2020-08-23 05:47:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sk/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/sk/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/sk/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:07:02.000000000 +1200
+++ squid-5.0.4/errors/sk/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:47:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_ACCESS_DENIED squid-5.0.4/errors/sl/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/sl/ERR_ACCESS_DENIED	2020-06-09 19:07:02.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_ACCESS_DENIED	2020-08-23 05:47:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/sl/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/sl/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:07:02.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:47:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_AGENT_CONFIGURE squid-5.0.4/errors/sl/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/sl/ERR_AGENT_CONFIGURE	2020-06-09 19:07:03.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_AGENT_CONFIGURE	2020-08-23 05:47:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Nastavitve vašega spletnega brskalnika je treba spremeniti, če naj uporablja to omrežje.</p>
 </blockquote>
 
 <p>Kako najdete te nastavitve v svojem brskalniku:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Orodja -&gt; Možnosti -&gt; Napredno -&gt; Omrežje -&gt; Nastavitve povezave</li>
 <li>V polje za posredniški strežnik HTTP vnesite ime posredniškega strežnika %h in vrata %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Orodja -&gt; Internetne možnosti -&gt; Povezava -&gt; Nastavitve LAN -&gt;Proxy</li>
 <li>V polje za posredniški strežnik HTTP vnesite ime posredniškega strežnika %h in vrata %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Orodja -&gt; Nastavitve -&gt; Napredno -&gt; Omrežje -&gt; Posredovalni strežniki</li>
 <li>V polje za posredniški strežnik HTTP vnesite ime posredniškega strežnika %h in vrata %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/sl/ERR_AGENT_WPAD squid-5.0.4/errors/sl/ERR_AGENT_WPAD
--- squid-5.0.3/errors/sl/ERR_AGENT_WPAD	2020-06-09 19:07:03.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_AGENT_WPAD	2020-08-23 05:47:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Nastavitve vašega spletnega brskalnika je treba spremeniti, če naj uporablja to omrežje.</p>
 </blockquote>
 
 <p>Kako najdete te nastavitve v svojem brskalniku:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Orodja -&gt; Možnosti -&gt; Napredno -&gt; Omrežje -&gt; Nastavitve povezave</li>
 <li>Za to omrežje izberite samozaznavo nastavitev posredniškega strežnika</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Orodja -&gt; Internetne možnosti -&gt; Povezava -&gt; Nastavitve LAN -&gt;Proxy</li>
 <li>Izberite samodejno zaznavo nastavitev</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Orodja -&gt; Nastavitve -&gt; Napredno -&gt; Omrežje -&gt; Posredovalni strežniki</li>
 <li>Izberite uporabo samodejne konfiguracije posredniškega strežnika</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/sl/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/sl/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/sl/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:07:03.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:47:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/sl/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/sl/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:07:04.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:47:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_CANNOT_FORWARD squid-5.0.4/errors/sl/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/sl/ERR_CANNOT_FORWARD	2020-06-09 19:07:04.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_CANNOT_FORWARD	2020-08-23 05:47:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_CONFLICT_HOST squid-5.0.4/errors/sl/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/sl/ERR_CONFLICT_HOST	2020-06-09 19:07:04.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_CONFLICT_HOST	2020-08-23 05:47:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_CONNECT_FAIL squid-5.0.4/errors/sl/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/sl/ERR_CONNECT_FAIL	2020-06-09 19:07:05.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_CONNECT_FAIL	2020-08-23 05:47:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_DIR_LISTING squid-5.0.4/errors/sl/ERR_DIR_LISTING
--- squid-5.0.3/errors/sl/ERR_DIR_LISTING	2020-06-09 19:07:05.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_DIR_LISTING	2020-08-23 05:47:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_DNS_FAIL squid-5.0.4/errors/sl/ERR_DNS_FAIL
--- squid-5.0.3/errors/sl/ERR_DNS_FAIL	2020-06-09 19:07:05.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_DNS_FAIL	2020-08-23 05:47:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_ESI squid-5.0.4/errors/sl/ERR_ESI
--- squid-5.0.3/errors/sl/ERR_ESI	2020-06-09 19:07:05.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_ESI	2020-08-23 05:47:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_FORWARDING_DENIED squid-5.0.4/errors/sl/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/sl/ERR_FORWARDING_DENIED	2020-06-09 19:07:06.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_FORWARDING_DENIED	2020-08-23 05:47:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_FTP_DISABLED squid-5.0.4/errors/sl/ERR_FTP_DISABLED
--- squid-5.0.3/errors/sl/ERR_FTP_DISABLED	2020-06-09 19:07:06.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_FTP_DISABLED	2020-08-23 05:47:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_FTP_FAILURE squid-5.0.4/errors/sl/ERR_FTP_FAILURE
--- squid-5.0.3/errors/sl/ERR_FTP_FAILURE	2020-06-09 19:07:06.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_FTP_FAILURE	2020-08-23 05:47:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_FTP_FORBIDDEN squid-5.0.4/errors/sl/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/sl/ERR_FTP_FORBIDDEN	2020-06-09 19:07:06.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_FTP_FORBIDDEN	2020-08-23 05:47:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_FTP_NOT_FOUND squid-5.0.4/errors/sl/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/sl/ERR_FTP_NOT_FOUND	2020-06-09 19:07:07.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_FTP_NOT_FOUND	2020-08-23 05:47:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_FTP_PUT_CREATED squid-5.0.4/errors/sl/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/sl/ERR_FTP_PUT_CREATED	2020-06-09 19:07:07.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_FTP_PUT_CREATED	2020-08-23 05:47:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_FTP_PUT_ERROR squid-5.0.4/errors/sl/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/sl/ERR_FTP_PUT_ERROR	2020-06-09 19:07:07.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_FTP_PUT_ERROR	2020-08-23 05:47:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/sl/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/sl/ERR_FTP_PUT_MODIFIED	2020-06-09 19:07:08.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_FTP_PUT_MODIFIED	2020-08-23 05:47:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/sl/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/sl/ERR_FTP_UNAVAILABLE	2020-06-09 19:07:08.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_FTP_UNAVAILABLE	2020-08-23 05:47:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_GATEWAY_FAILURE squid-5.0.4/errors/sl/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/sl/ERR_GATEWAY_FAILURE	2020-06-09 19:07:08.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_GATEWAY_FAILURE	2020-08-23 05:47:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_ICAP_FAILURE squid-5.0.4/errors/sl/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/sl/ERR_ICAP_FAILURE	2020-06-09 19:07:09.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_ICAP_FAILURE	2020-08-23 05:47:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_INVALID_REQ squid-5.0.4/errors/sl/ERR_INVALID_REQ
--- squid-5.0.3/errors/sl/ERR_INVALID_REQ	2020-06-09 19:07:09.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_INVALID_REQ	2020-08-23 05:47:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_INVALID_RESP squid-5.0.4/errors/sl/ERR_INVALID_RESP
--- squid-5.0.3/errors/sl/ERR_INVALID_RESP	2020-06-09 19:07:10.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_INVALID_RESP	2020-08-23 05:47:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_INVALID_URL squid-5.0.4/errors/sl/ERR_INVALID_URL
--- squid-5.0.3/errors/sl/ERR_INVALID_URL	2020-06-09 19:07:10.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_INVALID_URL	2020-08-23 05:47:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_LIFETIME_EXP squid-5.0.4/errors/sl/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/sl/ERR_LIFETIME_EXP	2020-06-09 19:07:10.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_LIFETIME_EXP	2020-08-23 05:47:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_NO_RELAY squid-5.0.4/errors/sl/ERR_NO_RELAY
--- squid-5.0.3/errors/sl/ERR_NO_RELAY	2020-06-09 19:07:11.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_NO_RELAY	2020-08-23 05:47:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/sl/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/sl/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:07:11.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:47:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_PRECONDITION_FAILED squid-5.0.4/errors/sl/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/sl/ERR_PRECONDITION_FAILED	2020-06-09 19:07:11.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_PRECONDITION_FAILED	2020-08-23 05:47:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/sl/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/sl/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:07:12.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:47:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_READ_ERROR squid-5.0.4/errors/sl/ERR_READ_ERROR
--- squid-5.0.3/errors/sl/ERR_READ_ERROR	2020-06-09 19:07:12.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_READ_ERROR	2020-08-23 05:47:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_READ_TIMEOUT squid-5.0.4/errors/sl/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/sl/ERR_READ_TIMEOUT	2020-06-09 19:07:12.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_READ_TIMEOUT	2020-08-23 05:47:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/sl/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/sl/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:07:13.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:47:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_SHUTTING_DOWN squid-5.0.4/errors/sl/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/sl/ERR_SHUTTING_DOWN	2020-06-09 19:07:13.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_SHUTTING_DOWN	2020-08-23 05:47:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_SOCKET_FAILURE squid-5.0.4/errors/sl/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/sl/ERR_SOCKET_FAILURE	2020-06-09 19:07:13.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_SOCKET_FAILURE	2020-08-23 05:47:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_TOO_BIG squid-5.0.4/errors/sl/ERR_TOO_BIG
--- squid-5.0.3/errors/sl/ERR_TOO_BIG	2020-06-09 19:07:14.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_TOO_BIG	2020-08-23 05:47:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/sl/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/sl/ERR_UNSUP_HTTPVERSION	2020-06-09 19:07:14.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_UNSUP_HTTPVERSION	2020-08-23 05:47:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_UNSUP_REQ squid-5.0.4/errors/sl/ERR_UNSUP_REQ
--- squid-5.0.3/errors/sl/ERR_UNSUP_REQ	2020-06-09 19:07:14.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_UNSUP_REQ	2020-08-23 05:47:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_URN_RESOLVE squid-5.0.4/errors/sl/ERR_URN_RESOLVE
--- squid-5.0.3/errors/sl/ERR_URN_RESOLVE	2020-06-09 19:07:15.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_URN_RESOLVE	2020-08-23 05:47:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_WRITE_ERROR squid-5.0.4/errors/sl/ERR_WRITE_ERROR
--- squid-5.0.3/errors/sl/ERR_WRITE_ERROR	2020-06-09 19:07:15.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_WRITE_ERROR	2020-08-23 05:47:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sl/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/sl/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/sl/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:07:15.000000000 +1200
+++ squid-5.0.4/errors/sl/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:47:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_ACCESS_DENIED squid-5.0.4/errors/sr-cyrl/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/sr-cyrl/ERR_ACCESS_DENIED	2020-06-09 19:07:16.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_ACCESS_DENIED	2020-08-23 05:47:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/sr-cyrl/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/sr-cyrl/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:07:16.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:47:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_AGENT_CONFIGURE squid-5.0.4/errors/sr-cyrl/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/sr-cyrl/ERR_AGENT_CONFIGURE	2020-06-09 19:07:16.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_AGENT_CONFIGURE	2020-08-23 05:47:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_AGENT_WPAD squid-5.0.4/errors/sr-cyrl/ERR_AGENT_WPAD
--- squid-5.0.3/errors/sr-cyrl/ERR_AGENT_WPAD	2020-06-09 19:07:16.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_AGENT_WPAD	2020-08-23 05:47:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/sr-cyrl/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/sr-cyrl/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:07:17.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:47:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/sr-cyrl/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/sr-cyrl/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:07:17.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:47:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_CANNOT_FORWARD squid-5.0.4/errors/sr-cyrl/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/sr-cyrl/ERR_CANNOT_FORWARD	2020-06-09 19:07:17.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_CANNOT_FORWARD	2020-08-23 05:47:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_CONFLICT_HOST squid-5.0.4/errors/sr-cyrl/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/sr-cyrl/ERR_CONFLICT_HOST	2020-06-09 19:07:17.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_CONFLICT_HOST	2020-08-23 05:47:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_CONNECT_FAIL squid-5.0.4/errors/sr-cyrl/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/sr-cyrl/ERR_CONNECT_FAIL	2020-06-09 19:07:18.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_CONNECT_FAIL	2020-08-23 05:47:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_DIR_LISTING squid-5.0.4/errors/sr-cyrl/ERR_DIR_LISTING
--- squid-5.0.3/errors/sr-cyrl/ERR_DIR_LISTING	2020-06-09 19:07:18.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_DIR_LISTING	2020-08-23 05:47:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_DNS_FAIL squid-5.0.4/errors/sr-cyrl/ERR_DNS_FAIL
--- squid-5.0.3/errors/sr-cyrl/ERR_DNS_FAIL	2020-06-09 19:07:18.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_DNS_FAIL	2020-08-23 05:47:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_ESI squid-5.0.4/errors/sr-cyrl/ERR_ESI
--- squid-5.0.3/errors/sr-cyrl/ERR_ESI	2020-06-09 19:07:18.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_ESI	2020-08-23 05:47:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_FORWARDING_DENIED squid-5.0.4/errors/sr-cyrl/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/sr-cyrl/ERR_FORWARDING_DENIED	2020-06-09 19:07:19.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_FORWARDING_DENIED	2020-08-23 05:47:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_FTP_DISABLED squid-5.0.4/errors/sr-cyrl/ERR_FTP_DISABLED
--- squid-5.0.3/errors/sr-cyrl/ERR_FTP_DISABLED	2020-06-09 19:07:19.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_FTP_DISABLED	2020-08-23 05:47:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_FTP_FAILURE squid-5.0.4/errors/sr-cyrl/ERR_FTP_FAILURE
--- squid-5.0.3/errors/sr-cyrl/ERR_FTP_FAILURE	2020-06-09 19:07:19.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_FTP_FAILURE	2020-08-23 05:47:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_FTP_FORBIDDEN squid-5.0.4/errors/sr-cyrl/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/sr-cyrl/ERR_FTP_FORBIDDEN	2020-06-09 19:07:20.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_FTP_FORBIDDEN	2020-08-23 05:47:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_FTP_NOT_FOUND squid-5.0.4/errors/sr-cyrl/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/sr-cyrl/ERR_FTP_NOT_FOUND	2020-06-09 19:07:20.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_FTP_NOT_FOUND	2020-08-23 05:47:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_FTP_PUT_CREATED squid-5.0.4/errors/sr-cyrl/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/sr-cyrl/ERR_FTP_PUT_CREATED	2020-06-09 19:07:20.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_FTP_PUT_CREATED	2020-08-23 05:47:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_FTP_PUT_ERROR squid-5.0.4/errors/sr-cyrl/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/sr-cyrl/ERR_FTP_PUT_ERROR	2020-06-09 19:07:20.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_FTP_PUT_ERROR	2020-08-23 05:47:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/sr-cyrl/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/sr-cyrl/ERR_FTP_PUT_MODIFIED	2020-06-09 19:07:21.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_FTP_PUT_MODIFIED	2020-08-23 05:47:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/sr-cyrl/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/sr-cyrl/ERR_FTP_UNAVAILABLE	2020-06-09 19:07:21.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_FTP_UNAVAILABLE	2020-08-23 05:47:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_GATEWAY_FAILURE squid-5.0.4/errors/sr-cyrl/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/sr-cyrl/ERR_GATEWAY_FAILURE	2020-06-09 19:07:21.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_GATEWAY_FAILURE	2020-08-23 05:47:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_ICAP_FAILURE squid-5.0.4/errors/sr-cyrl/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/sr-cyrl/ERR_ICAP_FAILURE	2020-06-09 19:07:21.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_ICAP_FAILURE	2020-08-23 05:47:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_INVALID_REQ squid-5.0.4/errors/sr-cyrl/ERR_INVALID_REQ
--- squid-5.0.3/errors/sr-cyrl/ERR_INVALID_REQ	2020-06-09 19:07:22.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_INVALID_REQ	2020-08-23 05:47:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_INVALID_RESP squid-5.0.4/errors/sr-cyrl/ERR_INVALID_RESP
--- squid-5.0.3/errors/sr-cyrl/ERR_INVALID_RESP	2020-06-09 19:07:22.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_INVALID_RESP	2020-08-23 05:47:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_INVALID_URL squid-5.0.4/errors/sr-cyrl/ERR_INVALID_URL
--- squid-5.0.3/errors/sr-cyrl/ERR_INVALID_URL	2020-06-09 19:07:22.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_INVALID_URL	2020-08-23 05:47:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_LIFETIME_EXP squid-5.0.4/errors/sr-cyrl/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/sr-cyrl/ERR_LIFETIME_EXP	2020-06-09 19:07:23.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_LIFETIME_EXP	2020-08-23 05:47:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_NO_RELAY squid-5.0.4/errors/sr-cyrl/ERR_NO_RELAY
--- squid-5.0.3/errors/sr-cyrl/ERR_NO_RELAY	2020-06-09 19:07:23.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_NO_RELAY	2020-08-23 05:47:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/sr-cyrl/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/sr-cyrl/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:07:23.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:47:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_PRECONDITION_FAILED squid-5.0.4/errors/sr-cyrl/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/sr-cyrl/ERR_PRECONDITION_FAILED	2020-06-09 19:07:24.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_PRECONDITION_FAILED	2020-08-23 05:47:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/sr-cyrl/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/sr-cyrl/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:07:24.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:47:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_READ_ERROR squid-5.0.4/errors/sr-cyrl/ERR_READ_ERROR
--- squid-5.0.3/errors/sr-cyrl/ERR_READ_ERROR	2020-06-09 19:07:24.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_READ_ERROR	2020-08-23 05:47:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_READ_TIMEOUT squid-5.0.4/errors/sr-cyrl/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/sr-cyrl/ERR_READ_TIMEOUT	2020-06-09 19:07:24.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_READ_TIMEOUT	2020-08-23 05:47:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/sr-cyrl/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/sr-cyrl/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:07:25.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:47:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_SHUTTING_DOWN squid-5.0.4/errors/sr-cyrl/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/sr-cyrl/ERR_SHUTTING_DOWN	2020-06-09 19:07:25.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_SHUTTING_DOWN	2020-08-23 05:47:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_SOCKET_FAILURE squid-5.0.4/errors/sr-cyrl/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/sr-cyrl/ERR_SOCKET_FAILURE	2020-06-09 19:07:25.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_SOCKET_FAILURE	2020-08-23 05:47:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_TOO_BIG squid-5.0.4/errors/sr-cyrl/ERR_TOO_BIG
--- squid-5.0.3/errors/sr-cyrl/ERR_TOO_BIG	2020-06-09 19:07:25.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_TOO_BIG	2020-08-23 05:47:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/sr-cyrl/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/sr-cyrl/ERR_UNSUP_HTTPVERSION	2020-06-09 19:07:26.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_UNSUP_HTTPVERSION	2020-08-23 05:47:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_UNSUP_REQ squid-5.0.4/errors/sr-cyrl/ERR_UNSUP_REQ
--- squid-5.0.3/errors/sr-cyrl/ERR_UNSUP_REQ	2020-06-09 19:07:26.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_UNSUP_REQ	2020-08-23 05:47:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_URN_RESOLVE squid-5.0.4/errors/sr-cyrl/ERR_URN_RESOLVE
--- squid-5.0.3/errors/sr-cyrl/ERR_URN_RESOLVE	2020-06-09 19:07:26.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_URN_RESOLVE	2020-08-23 05:47:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_WRITE_ERROR squid-5.0.4/errors/sr-cyrl/ERR_WRITE_ERROR
--- squid-5.0.3/errors/sr-cyrl/ERR_WRITE_ERROR	2020-06-09 19:07:27.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_WRITE_ERROR	2020-08-23 05:47:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-cyrl/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/sr-cyrl/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/sr-cyrl/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:07:27.000000000 +1200
+++ squid-5.0.4/errors/sr-cyrl/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:47:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_ACCESS_DENIED squid-5.0.4/errors/sr-latn/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/sr-latn/ERR_ACCESS_DENIED	2020-06-09 19:07:27.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_ACCESS_DENIED	2020-08-23 05:47:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/sr-latn/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/sr-latn/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:07:27.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:47:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_AGENT_CONFIGURE squid-5.0.4/errors/sr-latn/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/sr-latn/ERR_AGENT_CONFIGURE	2020-06-09 19:07:28.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_AGENT_CONFIGURE	2020-08-23 05:47:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_AGENT_WPAD squid-5.0.4/errors/sr-latn/ERR_AGENT_WPAD
--- squid-5.0.3/errors/sr-latn/ERR_AGENT_WPAD	2020-06-09 19:07:28.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_AGENT_WPAD	2020-08-23 05:47:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/sr-latn/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/sr-latn/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:07:28.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:47:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/sr-latn/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/sr-latn/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:07:29.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:47:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_CANNOT_FORWARD squid-5.0.4/errors/sr-latn/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/sr-latn/ERR_CANNOT_FORWARD	2020-06-09 19:07:29.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_CANNOT_FORWARD	2020-08-23 05:47:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_CONFLICT_HOST squid-5.0.4/errors/sr-latn/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/sr-latn/ERR_CONFLICT_HOST	2020-06-09 19:07:29.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_CONFLICT_HOST	2020-08-23 05:47:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_CONNECT_FAIL squid-5.0.4/errors/sr-latn/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/sr-latn/ERR_CONNECT_FAIL	2020-06-09 19:07:29.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_CONNECT_FAIL	2020-08-23 05:47:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_DIR_LISTING squid-5.0.4/errors/sr-latn/ERR_DIR_LISTING
--- squid-5.0.3/errors/sr-latn/ERR_DIR_LISTING	2020-06-09 19:07:30.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_DIR_LISTING	2020-08-23 05:47:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_DNS_FAIL squid-5.0.4/errors/sr-latn/ERR_DNS_FAIL
--- squid-5.0.3/errors/sr-latn/ERR_DNS_FAIL	2020-06-09 19:07:30.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_DNS_FAIL	2020-08-23 05:47:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_ESI squid-5.0.4/errors/sr-latn/ERR_ESI
--- squid-5.0.3/errors/sr-latn/ERR_ESI	2020-06-09 19:07:30.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_ESI	2020-08-23 05:47:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_FORWARDING_DENIED squid-5.0.4/errors/sr-latn/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/sr-latn/ERR_FORWARDING_DENIED	2020-06-09 19:07:30.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_FORWARDING_DENIED	2020-08-23 05:47:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_FTP_DISABLED squid-5.0.4/errors/sr-latn/ERR_FTP_DISABLED
--- squid-5.0.3/errors/sr-latn/ERR_FTP_DISABLED	2020-06-09 19:07:31.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_FTP_DISABLED	2020-08-23 05:47:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_FTP_FAILURE squid-5.0.4/errors/sr-latn/ERR_FTP_FAILURE
--- squid-5.0.3/errors/sr-latn/ERR_FTP_FAILURE	2020-06-09 19:07:31.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_FTP_FAILURE	2020-08-23 05:47:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_FTP_FORBIDDEN squid-5.0.4/errors/sr-latn/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/sr-latn/ERR_FTP_FORBIDDEN	2020-06-09 19:07:31.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_FTP_FORBIDDEN	2020-08-23 05:47:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_FTP_NOT_FOUND squid-5.0.4/errors/sr-latn/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/sr-latn/ERR_FTP_NOT_FOUND	2020-06-09 19:07:32.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_FTP_NOT_FOUND	2020-08-23 05:47:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_FTP_PUT_CREATED squid-5.0.4/errors/sr-latn/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/sr-latn/ERR_FTP_PUT_CREATED	2020-06-09 19:07:32.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_FTP_PUT_CREATED	2020-08-23 05:47:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_FTP_PUT_ERROR squid-5.0.4/errors/sr-latn/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/sr-latn/ERR_FTP_PUT_ERROR	2020-06-09 19:07:32.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_FTP_PUT_ERROR	2020-08-23 05:47:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/sr-latn/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/sr-latn/ERR_FTP_PUT_MODIFIED	2020-06-09 19:07:32.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_FTP_PUT_MODIFIED	2020-08-23 05:47:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/sr-latn/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/sr-latn/ERR_FTP_UNAVAILABLE	2020-06-09 19:07:33.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_FTP_UNAVAILABLE	2020-08-23 05:47:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_GATEWAY_FAILURE squid-5.0.4/errors/sr-latn/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/sr-latn/ERR_GATEWAY_FAILURE	2020-06-09 19:07:33.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_GATEWAY_FAILURE	2020-08-23 05:47:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_ICAP_FAILURE squid-5.0.4/errors/sr-latn/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/sr-latn/ERR_ICAP_FAILURE	2020-06-09 19:07:33.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_ICAP_FAILURE	2020-08-23 05:47:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_INVALID_REQ squid-5.0.4/errors/sr-latn/ERR_INVALID_REQ
--- squid-5.0.3/errors/sr-latn/ERR_INVALID_REQ	2020-06-09 19:07:34.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_INVALID_REQ	2020-08-23 05:47:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_INVALID_RESP squid-5.0.4/errors/sr-latn/ERR_INVALID_RESP
--- squid-5.0.3/errors/sr-latn/ERR_INVALID_RESP	2020-06-09 19:07:34.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_INVALID_RESP	2020-08-23 05:48:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_INVALID_URL squid-5.0.4/errors/sr-latn/ERR_INVALID_URL
--- squid-5.0.3/errors/sr-latn/ERR_INVALID_URL	2020-06-09 19:07:34.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_INVALID_URL	2020-08-23 05:48:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_LIFETIME_EXP squid-5.0.4/errors/sr-latn/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/sr-latn/ERR_LIFETIME_EXP	2020-06-09 19:07:34.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_LIFETIME_EXP	2020-08-23 05:48:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_NO_RELAY squid-5.0.4/errors/sr-latn/ERR_NO_RELAY
--- squid-5.0.3/errors/sr-latn/ERR_NO_RELAY	2020-06-09 19:07:35.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_NO_RELAY	2020-08-23 05:48:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/sr-latn/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/sr-latn/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:07:35.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:48:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_PRECONDITION_FAILED squid-5.0.4/errors/sr-latn/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/sr-latn/ERR_PRECONDITION_FAILED	2020-06-09 19:07:35.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_PRECONDITION_FAILED	2020-08-23 05:48:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/sr-latn/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/sr-latn/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:07:36.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:48:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_READ_ERROR squid-5.0.4/errors/sr-latn/ERR_READ_ERROR
--- squid-5.0.3/errors/sr-latn/ERR_READ_ERROR	2020-06-09 19:07:36.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_READ_ERROR	2020-08-23 05:48:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_READ_TIMEOUT squid-5.0.4/errors/sr-latn/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/sr-latn/ERR_READ_TIMEOUT	2020-06-09 19:07:37.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_READ_TIMEOUT	2020-08-23 05:48:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/sr-latn/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/sr-latn/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:07:37.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:48:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_SHUTTING_DOWN squid-5.0.4/errors/sr-latn/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/sr-latn/ERR_SHUTTING_DOWN	2020-06-09 19:07:37.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_SHUTTING_DOWN	2020-08-23 05:48:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_SOCKET_FAILURE squid-5.0.4/errors/sr-latn/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/sr-latn/ERR_SOCKET_FAILURE	2020-06-09 19:07:37.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_SOCKET_FAILURE	2020-08-23 05:48:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_TOO_BIG squid-5.0.4/errors/sr-latn/ERR_TOO_BIG
--- squid-5.0.3/errors/sr-latn/ERR_TOO_BIG	2020-06-09 19:07:38.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_TOO_BIG	2020-08-23 05:48:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/sr-latn/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/sr-latn/ERR_UNSUP_HTTPVERSION	2020-06-09 19:07:38.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_UNSUP_HTTPVERSION	2020-08-23 05:48:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_UNSUP_REQ squid-5.0.4/errors/sr-latn/ERR_UNSUP_REQ
--- squid-5.0.3/errors/sr-latn/ERR_UNSUP_REQ	2020-06-09 19:07:38.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_UNSUP_REQ	2020-08-23 05:48:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_URN_RESOLVE squid-5.0.4/errors/sr-latn/ERR_URN_RESOLVE
--- squid-5.0.3/errors/sr-latn/ERR_URN_RESOLVE	2020-06-09 19:07:38.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_URN_RESOLVE	2020-08-23 05:48:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_WRITE_ERROR squid-5.0.4/errors/sr-latn/ERR_WRITE_ERROR
--- squid-5.0.3/errors/sr-latn/ERR_WRITE_ERROR	2020-06-09 19:07:39.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_WRITE_ERROR	2020-08-23 05:48:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sr-latn/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/sr-latn/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/sr-latn/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:07:39.000000000 +1200
+++ squid-5.0.4/errors/sr-latn/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:48:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_ACCESS_DENIED squid-5.0.4/errors/sv/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/sv/ERR_ACCESS_DENIED	2020-06-09 19:07:39.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_ACCESS_DENIED	2020-08-23 05:48:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/sv/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/sv/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:07:40.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:48:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_AGENT_CONFIGURE squid-5.0.4/errors/sv/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/sv/ERR_AGENT_CONFIGURE	2020-06-09 19:07:40.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_AGENT_CONFIGURE	2020-08-23 05:48:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/sv/ERR_AGENT_WPAD squid-5.0.4/errors/sv/ERR_AGENT_WPAD
--- squid-5.0.3/errors/sv/ERR_AGENT_WPAD	2020-06-09 19:07:40.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_AGENT_WPAD	2020-08-23 05:48:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/sv/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/sv/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/sv/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:07:41.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:48:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/sv/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/sv/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:07:41.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:48:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_CANNOT_FORWARD squid-5.0.4/errors/sv/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/sv/ERR_CANNOT_FORWARD	2020-06-09 19:07:42.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_CANNOT_FORWARD	2020-08-23 05:48:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_CONFLICT_HOST squid-5.0.4/errors/sv/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/sv/ERR_CONFLICT_HOST	2020-06-09 19:07:42.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_CONFLICT_HOST	2020-08-23 05:48:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_CONNECT_FAIL squid-5.0.4/errors/sv/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/sv/ERR_CONNECT_FAIL	2020-06-09 19:07:42.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_CONNECT_FAIL	2020-08-23 05:48:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_DIR_LISTING squid-5.0.4/errors/sv/ERR_DIR_LISTING
--- squid-5.0.3/errors/sv/ERR_DIR_LISTING	2020-06-09 19:07:43.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_DIR_LISTING	2020-08-23 05:48:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_DNS_FAIL squid-5.0.4/errors/sv/ERR_DNS_FAIL
--- squid-5.0.3/errors/sv/ERR_DNS_FAIL	2020-06-09 19:07:43.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_DNS_FAIL	2020-08-23 05:48:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_ESI squid-5.0.4/errors/sv/ERR_ESI
--- squid-5.0.3/errors/sv/ERR_ESI	2020-06-09 19:07:44.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_ESI	2020-08-23 05:48:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_FORWARDING_DENIED squid-5.0.4/errors/sv/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/sv/ERR_FORWARDING_DENIED	2020-06-09 19:07:44.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_FORWARDING_DENIED	2020-08-23 05:48:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_FTP_DISABLED squid-5.0.4/errors/sv/ERR_FTP_DISABLED
--- squid-5.0.3/errors/sv/ERR_FTP_DISABLED	2020-06-09 19:07:44.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_FTP_DISABLED	2020-08-23 05:48:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_FTP_FAILURE squid-5.0.4/errors/sv/ERR_FTP_FAILURE
--- squid-5.0.3/errors/sv/ERR_FTP_FAILURE	2020-06-09 19:07:44.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_FTP_FAILURE	2020-08-23 05:48:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_FTP_FORBIDDEN squid-5.0.4/errors/sv/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/sv/ERR_FTP_FORBIDDEN	2020-06-09 19:07:45.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_FTP_FORBIDDEN	2020-08-23 05:48:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_FTP_NOT_FOUND squid-5.0.4/errors/sv/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/sv/ERR_FTP_NOT_FOUND	2020-06-09 19:07:45.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_FTP_NOT_FOUND	2020-08-23 05:48:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_FTP_PUT_CREATED squid-5.0.4/errors/sv/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/sv/ERR_FTP_PUT_CREATED	2020-06-09 19:07:45.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_FTP_PUT_CREATED	2020-08-23 05:48:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_FTP_PUT_ERROR squid-5.0.4/errors/sv/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/sv/ERR_FTP_PUT_ERROR	2020-06-09 19:07:46.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_FTP_PUT_ERROR	2020-08-23 05:48:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/sv/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/sv/ERR_FTP_PUT_MODIFIED	2020-06-09 19:07:46.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_FTP_PUT_MODIFIED	2020-08-23 05:48:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/sv/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/sv/ERR_FTP_UNAVAILABLE	2020-06-09 19:07:47.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_FTP_UNAVAILABLE	2020-08-23 05:48:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_GATEWAY_FAILURE squid-5.0.4/errors/sv/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/sv/ERR_GATEWAY_FAILURE	2020-06-09 19:07:47.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_GATEWAY_FAILURE	2020-08-23 05:48:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_ICAP_FAILURE squid-5.0.4/errors/sv/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/sv/ERR_ICAP_FAILURE	2020-06-09 19:07:47.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_ICAP_FAILURE	2020-08-23 05:48:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_INVALID_REQ squid-5.0.4/errors/sv/ERR_INVALID_REQ
--- squid-5.0.3/errors/sv/ERR_INVALID_REQ	2020-06-09 19:07:48.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_INVALID_REQ	2020-08-23 05:48:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_INVALID_RESP squid-5.0.4/errors/sv/ERR_INVALID_RESP
--- squid-5.0.3/errors/sv/ERR_INVALID_RESP	2020-06-09 19:07:48.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_INVALID_RESP	2020-08-23 05:48:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_INVALID_URL squid-5.0.4/errors/sv/ERR_INVALID_URL
--- squid-5.0.3/errors/sv/ERR_INVALID_URL	2020-06-09 19:07:48.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_INVALID_URL	2020-08-23 05:48:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_LIFETIME_EXP squid-5.0.4/errors/sv/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/sv/ERR_LIFETIME_EXP	2020-06-09 19:07:48.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_LIFETIME_EXP	2020-08-23 05:48:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_NO_RELAY squid-5.0.4/errors/sv/ERR_NO_RELAY
--- squid-5.0.3/errors/sv/ERR_NO_RELAY	2020-06-09 19:07:49.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_NO_RELAY	2020-08-23 05:48:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/sv/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/sv/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:07:49.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:48:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_PRECONDITION_FAILED squid-5.0.4/errors/sv/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/sv/ERR_PRECONDITION_FAILED	2020-06-09 19:07:49.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_PRECONDITION_FAILED	2020-08-23 05:48:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/sv/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/sv/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:07:49.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:48:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_READ_ERROR squid-5.0.4/errors/sv/ERR_READ_ERROR
--- squid-5.0.3/errors/sv/ERR_READ_ERROR	2020-06-09 19:07:50.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_READ_ERROR	2020-08-23 05:48:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_READ_TIMEOUT squid-5.0.4/errors/sv/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/sv/ERR_READ_TIMEOUT	2020-06-09 19:07:50.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_READ_TIMEOUT	2020-08-23 05:48:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/sv/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/sv/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:07:51.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:48:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_SHUTTING_DOWN squid-5.0.4/errors/sv/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/sv/ERR_SHUTTING_DOWN	2020-06-09 19:07:51.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_SHUTTING_DOWN	2020-08-23 05:48:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_SOCKET_FAILURE squid-5.0.4/errors/sv/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/sv/ERR_SOCKET_FAILURE	2020-06-09 19:07:51.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_SOCKET_FAILURE	2020-08-23 05:48:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_TOO_BIG squid-5.0.4/errors/sv/ERR_TOO_BIG
--- squid-5.0.3/errors/sv/ERR_TOO_BIG	2020-06-09 19:07:52.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_TOO_BIG	2020-08-23 05:48:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/sv/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/sv/ERR_UNSUP_HTTPVERSION	2020-06-09 19:07:52.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_UNSUP_HTTPVERSION	2020-08-23 05:48:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_UNSUP_REQ squid-5.0.4/errors/sv/ERR_UNSUP_REQ
--- squid-5.0.3/errors/sv/ERR_UNSUP_REQ	2020-06-09 19:07:52.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_UNSUP_REQ	2020-08-23 05:48:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_URN_RESOLVE squid-5.0.4/errors/sv/ERR_URN_RESOLVE
--- squid-5.0.3/errors/sv/ERR_URN_RESOLVE	2020-06-09 19:07:52.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_URN_RESOLVE	2020-08-23 05:48:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_WRITE_ERROR squid-5.0.4/errors/sv/ERR_WRITE_ERROR
--- squid-5.0.3/errors/sv/ERR_WRITE_ERROR	2020-06-09 19:07:53.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_WRITE_ERROR	2020-08-23 05:48:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/sv/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/sv/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/sv/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:07:53.000000000 +1200
+++ squid-5.0.4/errors/sv/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:48:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/template.am squid-5.0.4/errors/template.am
--- squid-5.0.3/errors/template.am	1970-01-01 12:00:00.000000000 +1200
+++ squid-5.0.4/errors/template.am	2020-08-23 05:40:17.000000000 +1200
@@ -0,0 +1,51 @@
+##
+## Copyright (C) 1996-2020 The Squid Software Foundation and contributors
+##
+## Squid software is distributed under GPLv2+ license and includes
+## contributions from numerous individuals and organizations.
+## Please see the COPYING and CONTRIBUTORS files for details.
+##
+
+ERROR_TEMPLATES = \
+    templates/ERR_ACCESS_DENIED \
+    templates/ERR_ACL_TIME_QUOTA_EXCEEDED \
+    templates/ERR_AGENT_CONFIGURE \
+    templates/ERR_AGENT_WPAD \
+    templates/ERR_CACHE_ACCESS_DENIED \
+    templates/ERR_CACHE_MGR_ACCESS_DENIED \
+    templates/ERR_CANNOT_FORWARD \
+    templates/ERR_CONFLICT_HOST \
+    templates/ERR_CONNECT_FAIL \
+    templates/ERR_DIR_LISTING \
+    templates/ERR_DNS_FAIL \
+    templates/ERR_ESI \
+    templates/ERR_FORWARDING_DENIED \
+    templates/ERR_FTP_DISABLED \
+    templates/ERR_FTP_FAILURE \
+    templates/ERR_FTP_FORBIDDEN \
+    templates/ERR_FTP_NOT_FOUND \
+    templates/ERR_FTP_PUT_CREATED \
+    templates/ERR_FTP_PUT_ERROR \
+    templates/ERR_FTP_PUT_MODIFIED \
+    templates/ERR_FTP_UNAVAILABLE \
+    templates/ERR_GATEWAY_FAILURE \
+    templates/ERR_ICAP_FAILURE \
+    templates/ERR_INVALID_REQ \
+    templates/ERR_INVALID_RESP \
+    templates/ERR_INVALID_URL \
+    templates/ERR_LIFETIME_EXP \
+    templates/ERR_NO_RELAY \
+    templates/ERR_ONLY_IF_CACHED_MISS \
+    templates/ERR_PRECONDITION_FAILED \
+    templates/ERR_PROTOCOL_UNKNOWN \
+    templates/ERR_READ_ERROR \
+    templates/ERR_READ_TIMEOUT \
+    templates/ERR_SECURE_CONNECT_FAIL \
+    templates/ERR_SHUTTING_DOWN \
+    templates/ERR_SOCKET_FAILURE \
+    templates/ERR_TOO_BIG \
+    templates/ERR_UNSUP_HTTPVERSION \
+    templates/ERR_UNSUP_REQ \
+    templates/ERR_URN_RESOLVE \
+    templates/ERR_WRITE_ERROR \
+    templates/ERR_ZERO_SIZE_OBJECT
diff -u -r -N squid-5.0.3/errors/template.list squid-5.0.4/errors/template.list
--- squid-5.0.3/errors/template.list	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/errors/template.list	1970-01-01 12:00:00.000000000 +1200
@@ -1,51 +0,0 @@
-##
-## Copyright (C) 1996-2020 The Squid Software Foundation and contributors
-##
-## Squid software is distributed under GPLv2+ license and includes
-## contributions from numerous individuals and organizations.
-## Please see the COPYING and CONTRIBUTORS files for details.
-##
-
-ERROR_TEMPLATES= \
-    templates/ERR_ACCESS_DENIED \
-    templates/ERR_ACL_TIME_QUOTA_EXCEEDED \
-    templates/ERR_AGENT_CONFIGURE \
-    templates/ERR_AGENT_WPAD \
-    templates/ERR_CACHE_ACCESS_DENIED \
-    templates/ERR_CACHE_MGR_ACCESS_DENIED \
-    templates/ERR_CANNOT_FORWARD \
-    templates/ERR_CONFLICT_HOST \
-    templates/ERR_CONNECT_FAIL \
-    templates/ERR_DIR_LISTING \
-    templates/ERR_DNS_FAIL \
-    templates/ERR_ESI \
-    templates/ERR_FORWARDING_DENIED \
-    templates/ERR_FTP_DISABLED \
-    templates/ERR_FTP_FAILURE \
-    templates/ERR_FTP_FORBIDDEN \
-    templates/ERR_FTP_NOT_FOUND \
-    templates/ERR_FTP_PUT_CREATED \
-    templates/ERR_FTP_PUT_ERROR \
-    templates/ERR_FTP_PUT_MODIFIED \
-    templates/ERR_FTP_UNAVAILABLE \
-    templates/ERR_GATEWAY_FAILURE \
-    templates/ERR_ICAP_FAILURE \
-    templates/ERR_INVALID_REQ \
-    templates/ERR_INVALID_RESP \
-    templates/ERR_INVALID_URL \
-    templates/ERR_LIFETIME_EXP \
-    templates/ERR_NO_RELAY \
-    templates/ERR_ONLY_IF_CACHED_MISS \
-    templates/ERR_PRECONDITION_FAILED \
-    templates/ERR_PROTOCOL_UNKNOWN \
-    templates/ERR_READ_ERROR \
-    templates/ERR_READ_TIMEOUT \
-    templates/ERR_SECURE_CONNECT_FAIL \
-    templates/ERR_SHUTTING_DOWN \
-    templates/ERR_SOCKET_FAILURE \
-    templates/ERR_TOO_BIG \
-    templates/ERR_UNSUP_HTTPVERSION \
-    templates/ERR_UNSUP_REQ \
-    templates/ERR_URN_RESOLVE \
-    templates/ERR_WRITE_ERROR \
-    templates/ERR_ZERO_SIZE_OBJECT 
diff -u -r -N squid-5.0.3/errors/th/ERR_ACCESS_DENIED squid-5.0.4/errors/th/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/th/ERR_ACCESS_DENIED	2020-06-09 19:07:53.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_ACCESS_DENIED	2020-08-23 05:48:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/th/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/th/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:07:54.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:48:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_AGENT_CONFIGURE squid-5.0.4/errors/th/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/th/ERR_AGENT_CONFIGURE	2020-06-09 19:07:54.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_AGENT_CONFIGURE	2020-08-23 05:48:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/th/ERR_AGENT_WPAD squid-5.0.4/errors/th/ERR_AGENT_WPAD
--- squid-5.0.3/errors/th/ERR_AGENT_WPAD	2020-06-09 19:07:54.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_AGENT_WPAD	2020-08-23 05:48:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/th/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/th/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/th/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:07:54.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:48:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/th/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/th/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:07:55.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:48:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_CANNOT_FORWARD squid-5.0.4/errors/th/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/th/ERR_CANNOT_FORWARD	2020-06-09 19:07:55.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_CANNOT_FORWARD	2020-08-23 05:48:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_CONFLICT_HOST squid-5.0.4/errors/th/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/th/ERR_CONFLICT_HOST	2020-06-09 19:07:55.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_CONFLICT_HOST	2020-08-23 05:48:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_CONNECT_FAIL squid-5.0.4/errors/th/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/th/ERR_CONNECT_FAIL	2020-06-09 19:07:55.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_CONNECT_FAIL	2020-08-23 05:48:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_DIR_LISTING squid-5.0.4/errors/th/ERR_DIR_LISTING
--- squid-5.0.3/errors/th/ERR_DIR_LISTING	2020-06-09 19:07:56.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_DIR_LISTING	2020-08-23 05:48:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_DNS_FAIL squid-5.0.4/errors/th/ERR_DNS_FAIL
--- squid-5.0.3/errors/th/ERR_DNS_FAIL	2020-06-09 19:07:56.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_DNS_FAIL	2020-08-23 05:48:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_ESI squid-5.0.4/errors/th/ERR_ESI
--- squid-5.0.3/errors/th/ERR_ESI	2020-06-09 19:07:56.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_ESI	2020-08-23 05:48:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_FORWARDING_DENIED squid-5.0.4/errors/th/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/th/ERR_FORWARDING_DENIED	2020-06-09 19:07:57.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_FORWARDING_DENIED	2020-08-23 05:48:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_FTP_DISABLED squid-5.0.4/errors/th/ERR_FTP_DISABLED
--- squid-5.0.3/errors/th/ERR_FTP_DISABLED	2020-06-09 19:07:57.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_FTP_DISABLED	2020-08-23 05:48:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_FTP_FAILURE squid-5.0.4/errors/th/ERR_FTP_FAILURE
--- squid-5.0.3/errors/th/ERR_FTP_FAILURE	2020-06-09 19:07:58.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_FTP_FAILURE	2020-08-23 05:48:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_FTP_FORBIDDEN squid-5.0.4/errors/th/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/th/ERR_FTP_FORBIDDEN	2020-06-09 19:07:58.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_FTP_FORBIDDEN	2020-08-23 05:48:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_FTP_NOT_FOUND squid-5.0.4/errors/th/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/th/ERR_FTP_NOT_FOUND	2020-06-09 19:07:58.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_FTP_NOT_FOUND	2020-08-23 05:48:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_FTP_PUT_CREATED squid-5.0.4/errors/th/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/th/ERR_FTP_PUT_CREATED	2020-06-09 19:07:58.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_FTP_PUT_CREATED	2020-08-23 05:48:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_FTP_PUT_ERROR squid-5.0.4/errors/th/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/th/ERR_FTP_PUT_ERROR	2020-06-09 19:07:59.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_FTP_PUT_ERROR	2020-08-23 05:48:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/th/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/th/ERR_FTP_PUT_MODIFIED	2020-06-09 19:07:59.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_FTP_PUT_MODIFIED	2020-08-23 05:48:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/th/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/th/ERR_FTP_UNAVAILABLE	2020-06-09 19:07:59.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_FTP_UNAVAILABLE	2020-08-23 05:48:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_GATEWAY_FAILURE squid-5.0.4/errors/th/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/th/ERR_GATEWAY_FAILURE	2020-06-09 19:08:00.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_GATEWAY_FAILURE	2020-08-23 05:48:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_ICAP_FAILURE squid-5.0.4/errors/th/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/th/ERR_ICAP_FAILURE	2020-06-09 19:08:00.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_ICAP_FAILURE	2020-08-23 05:48:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_INVALID_REQ squid-5.0.4/errors/th/ERR_INVALID_REQ
--- squid-5.0.3/errors/th/ERR_INVALID_REQ	2020-06-09 19:08:00.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_INVALID_REQ	2020-08-23 05:48:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_INVALID_RESP squid-5.0.4/errors/th/ERR_INVALID_RESP
--- squid-5.0.3/errors/th/ERR_INVALID_RESP	2020-06-09 19:08:00.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_INVALID_RESP	2020-08-23 05:48:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_INVALID_URL squid-5.0.4/errors/th/ERR_INVALID_URL
--- squid-5.0.3/errors/th/ERR_INVALID_URL	2020-06-09 19:08:01.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_INVALID_URL	2020-08-23 05:48:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_LIFETIME_EXP squid-5.0.4/errors/th/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/th/ERR_LIFETIME_EXP	2020-06-09 19:08:01.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_LIFETIME_EXP	2020-08-23 05:48:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_NO_RELAY squid-5.0.4/errors/th/ERR_NO_RELAY
--- squid-5.0.3/errors/th/ERR_NO_RELAY	2020-06-09 19:08:01.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_NO_RELAY	2020-08-23 05:48:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/th/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/th/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:08:01.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:48:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_PRECONDITION_FAILED squid-5.0.4/errors/th/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/th/ERR_PRECONDITION_FAILED	2020-06-09 19:08:02.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_PRECONDITION_FAILED	2020-08-23 05:48:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/th/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/th/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:08:02.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:48:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_READ_ERROR squid-5.0.4/errors/th/ERR_READ_ERROR
--- squid-5.0.3/errors/th/ERR_READ_ERROR	2020-06-09 19:08:03.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_READ_ERROR	2020-08-23 05:48:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_READ_TIMEOUT squid-5.0.4/errors/th/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/th/ERR_READ_TIMEOUT	2020-06-09 19:08:03.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_READ_TIMEOUT	2020-08-23 05:48:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/th/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/th/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:08:03.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:48:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_SHUTTING_DOWN squid-5.0.4/errors/th/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/th/ERR_SHUTTING_DOWN	2020-06-09 19:08:04.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_SHUTTING_DOWN	2020-08-23 05:48:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_SOCKET_FAILURE squid-5.0.4/errors/th/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/th/ERR_SOCKET_FAILURE	2020-06-09 19:08:04.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_SOCKET_FAILURE	2020-08-23 05:48:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_TOO_BIG squid-5.0.4/errors/th/ERR_TOO_BIG
--- squid-5.0.3/errors/th/ERR_TOO_BIG	2020-06-09 19:08:04.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_TOO_BIG	2020-08-23 05:48:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/th/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/th/ERR_UNSUP_HTTPVERSION	2020-06-09 19:08:04.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_UNSUP_HTTPVERSION	2020-08-23 05:48:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_UNSUP_REQ squid-5.0.4/errors/th/ERR_UNSUP_REQ
--- squid-5.0.3/errors/th/ERR_UNSUP_REQ	2020-06-09 19:08:05.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_UNSUP_REQ	2020-08-23 05:48:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_URN_RESOLVE squid-5.0.4/errors/th/ERR_URN_RESOLVE
--- squid-5.0.3/errors/th/ERR_URN_RESOLVE	2020-06-09 19:08:05.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_URN_RESOLVE	2020-08-23 05:48:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_WRITE_ERROR squid-5.0.4/errors/th/ERR_WRITE_ERROR
--- squid-5.0.3/errors/th/ERR_WRITE_ERROR	2020-06-09 19:08:05.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_WRITE_ERROR	2020-08-23 05:48:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/th/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/th/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/th/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:08:05.000000000 +1200
+++ squid-5.0.4/errors/th/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:48:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_ACCESS_DENIED squid-5.0.4/errors/tr/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/tr/ERR_ACCESS_DENIED	2020-06-09 19:08:06.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_ACCESS_DENIED	2020-08-23 05:48:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/tr/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/tr/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:08:06.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:48:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_AGENT_CONFIGURE squid-5.0.4/errors/tr/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/tr/ERR_AGENT_CONFIGURE	2020-06-09 19:08:06.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_AGENT_CONFIGURE	2020-08-23 05:48:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/tr/ERR_AGENT_WPAD squid-5.0.4/errors/tr/ERR_AGENT_WPAD
--- squid-5.0.3/errors/tr/ERR_AGENT_WPAD	2020-06-09 19:08:07.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_AGENT_WPAD	2020-08-23 05:48:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/tr/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/tr/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/tr/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:08:07.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:48:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/tr/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/tr/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:08:07.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:48:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_CANNOT_FORWARD squid-5.0.4/errors/tr/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/tr/ERR_CANNOT_FORWARD	2020-06-09 19:08:08.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_CANNOT_FORWARD	2020-08-23 05:48:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_CONFLICT_HOST squid-5.0.4/errors/tr/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/tr/ERR_CONFLICT_HOST	2020-06-09 19:08:08.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_CONFLICT_HOST	2020-08-23 05:48:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_CONNECT_FAIL squid-5.0.4/errors/tr/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/tr/ERR_CONNECT_FAIL	2020-06-09 19:08:09.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_CONNECT_FAIL	2020-08-23 05:48:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_DIR_LISTING squid-5.0.4/errors/tr/ERR_DIR_LISTING
--- squid-5.0.3/errors/tr/ERR_DIR_LISTING	2020-06-09 19:08:09.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_DIR_LISTING	2020-08-23 05:48:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_DNS_FAIL squid-5.0.4/errors/tr/ERR_DNS_FAIL
--- squid-5.0.3/errors/tr/ERR_DNS_FAIL	2020-06-09 19:08:09.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_DNS_FAIL	2020-08-23 05:48:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_ESI squid-5.0.4/errors/tr/ERR_ESI
--- squid-5.0.3/errors/tr/ERR_ESI	2020-06-09 19:08:10.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_ESI	2020-08-23 05:48:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_FORWARDING_DENIED squid-5.0.4/errors/tr/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/tr/ERR_FORWARDING_DENIED	2020-06-09 19:08:10.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_FORWARDING_DENIED	2020-08-23 05:48:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_FTP_DISABLED squid-5.0.4/errors/tr/ERR_FTP_DISABLED
--- squid-5.0.3/errors/tr/ERR_FTP_DISABLED	2020-06-09 19:08:10.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_FTP_DISABLED	2020-08-23 05:48:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_FTP_FAILURE squid-5.0.4/errors/tr/ERR_FTP_FAILURE
--- squid-5.0.3/errors/tr/ERR_FTP_FAILURE	2020-06-09 19:08:11.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_FTP_FAILURE	2020-08-23 05:48:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_FTP_FORBIDDEN squid-5.0.4/errors/tr/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/tr/ERR_FTP_FORBIDDEN	2020-06-09 19:08:11.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_FTP_FORBIDDEN	2020-08-23 05:48:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_FTP_NOT_FOUND squid-5.0.4/errors/tr/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/tr/ERR_FTP_NOT_FOUND	2020-06-09 19:08:11.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_FTP_NOT_FOUND	2020-08-23 05:48:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_FTP_PUT_CREATED squid-5.0.4/errors/tr/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/tr/ERR_FTP_PUT_CREATED	2020-06-09 19:08:11.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_FTP_PUT_CREATED	2020-08-23 05:48:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_FTP_PUT_ERROR squid-5.0.4/errors/tr/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/tr/ERR_FTP_PUT_ERROR	2020-06-09 19:08:12.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_FTP_PUT_ERROR	2020-08-23 05:48:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/tr/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/tr/ERR_FTP_PUT_MODIFIED	2020-06-09 19:08:12.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_FTP_PUT_MODIFIED	2020-08-23 05:48:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/tr/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/tr/ERR_FTP_UNAVAILABLE	2020-06-09 19:08:12.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_FTP_UNAVAILABLE	2020-08-23 05:48:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_GATEWAY_FAILURE squid-5.0.4/errors/tr/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/tr/ERR_GATEWAY_FAILURE	2020-06-09 19:08:12.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_GATEWAY_FAILURE	2020-08-23 05:48:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_ICAP_FAILURE squid-5.0.4/errors/tr/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/tr/ERR_ICAP_FAILURE	2020-06-09 19:08:13.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_ICAP_FAILURE	2020-08-23 05:48:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_INVALID_REQ squid-5.0.4/errors/tr/ERR_INVALID_REQ
--- squid-5.0.3/errors/tr/ERR_INVALID_REQ	2020-06-09 19:08:13.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_INVALID_REQ	2020-08-23 05:48:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_INVALID_RESP squid-5.0.4/errors/tr/ERR_INVALID_RESP
--- squid-5.0.3/errors/tr/ERR_INVALID_RESP	2020-06-09 19:08:13.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_INVALID_RESP	2020-08-23 05:48:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_INVALID_URL squid-5.0.4/errors/tr/ERR_INVALID_URL
--- squid-5.0.3/errors/tr/ERR_INVALID_URL	2020-06-09 19:08:14.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_INVALID_URL	2020-08-23 05:48:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_LIFETIME_EXP squid-5.0.4/errors/tr/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/tr/ERR_LIFETIME_EXP	2020-06-09 19:08:14.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_LIFETIME_EXP	2020-08-23 05:48:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_NO_RELAY squid-5.0.4/errors/tr/ERR_NO_RELAY
--- squid-5.0.3/errors/tr/ERR_NO_RELAY	2020-06-09 19:08:14.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_NO_RELAY	2020-08-23 05:48:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/tr/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/tr/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:08:14.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:48:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_PRECONDITION_FAILED squid-5.0.4/errors/tr/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/tr/ERR_PRECONDITION_FAILED	2020-06-09 19:08:15.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_PRECONDITION_FAILED	2020-08-23 05:48:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/tr/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/tr/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:08:15.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:48:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_READ_ERROR squid-5.0.4/errors/tr/ERR_READ_ERROR
--- squid-5.0.3/errors/tr/ERR_READ_ERROR	2020-06-09 19:08:15.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_READ_ERROR	2020-08-23 05:48:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_READ_TIMEOUT squid-5.0.4/errors/tr/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/tr/ERR_READ_TIMEOUT	2020-06-09 19:08:15.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_READ_TIMEOUT	2020-08-23 05:48:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/tr/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/tr/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:08:16.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:48:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_SHUTTING_DOWN squid-5.0.4/errors/tr/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/tr/ERR_SHUTTING_DOWN	2020-06-09 19:08:16.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_SHUTTING_DOWN	2020-08-23 05:48:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_SOCKET_FAILURE squid-5.0.4/errors/tr/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/tr/ERR_SOCKET_FAILURE	2020-06-09 19:08:16.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_SOCKET_FAILURE	2020-08-23 05:48:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_TOO_BIG squid-5.0.4/errors/tr/ERR_TOO_BIG
--- squid-5.0.3/errors/tr/ERR_TOO_BIG	2020-06-09 19:08:17.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_TOO_BIG	2020-08-23 05:48:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/tr/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/tr/ERR_UNSUP_HTTPVERSION	2020-06-09 19:08:17.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_UNSUP_HTTPVERSION	2020-08-23 05:48:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_UNSUP_REQ squid-5.0.4/errors/tr/ERR_UNSUP_REQ
--- squid-5.0.3/errors/tr/ERR_UNSUP_REQ	2020-06-09 19:08:17.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_UNSUP_REQ	2020-08-23 05:48:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_URN_RESOLVE squid-5.0.4/errors/tr/ERR_URN_RESOLVE
--- squid-5.0.3/errors/tr/ERR_URN_RESOLVE	2020-06-09 19:08:17.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_URN_RESOLVE	2020-08-23 05:48:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_WRITE_ERROR squid-5.0.4/errors/tr/ERR_WRITE_ERROR
--- squid-5.0.3/errors/tr/ERR_WRITE_ERROR	2020-06-09 19:08:18.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_WRITE_ERROR	2020-08-23 05:48:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/tr/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/tr/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/tr/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:08:18.000000000 +1200
+++ squid-5.0.4/errors/tr/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:48:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_ACCESS_DENIED squid-5.0.4/errors/uk/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/uk/ERR_ACCESS_DENIED	2020-06-09 19:08:18.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_ACCESS_DENIED	2020-08-23 05:48:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/uk/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/uk/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:08:19.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:48:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_AGENT_CONFIGURE squid-5.0.4/errors/uk/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/uk/ERR_AGENT_CONFIGURE	2020-06-09 19:08:19.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_AGENT_CONFIGURE	2020-08-23 05:48:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Конфігурація Вашого браузера потребує коригувань для використання цієї мережі.</p>
 </blockquote>
 
 <p>Як знайти ці налаштування у Вашому браузері:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Інструменти -&gt; Опції -&gt; Додатково -&gt; Мережа -&gt; Параметри з'єднання</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Інструменти -&gt; Властивості браузера -&gt; З'єднання -&gt; Налаштування LAN -&gt; Проксі</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Інструменти -&gt; Налаштування -&gt; Додатково -&gt; Мережа -&gt; Проксі сервера</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/uk/ERR_AGENT_WPAD squid-5.0.4/errors/uk/ERR_AGENT_WPAD
--- squid-5.0.3/errors/uk/ERR_AGENT_WPAD	2020-06-09 19:08:19.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_AGENT_WPAD	2020-08-23 05:48:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Конфігурація Вашого браузера потребує коригувань для використання цієї мережі.</p>
 </blockquote>
 
 <p>Як знайти ці налаштування у Вашому браузері:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Інструменти -&gt; Опції -&gt; Додатково -&gt; Мережа -&gt; Параметри з'єднання</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Інструменти -&gt; Властивості браузера -&gt; З'єднання -&gt; Налаштування LAN -&gt; Проксі</li>
 <li>Виберіть "Автоматичне визначення параметрів"</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Інструменти -&gt; Налаштування -&gt; Додатково -&gt; Мережа -&gt; Проксі сервера</li>
 <li>Виберіть " Автоматичне налаштування проксі" </li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/uk/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/uk/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/uk/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:08:19.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:48:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/uk/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/uk/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:08:20.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:48:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_CANNOT_FORWARD squid-5.0.4/errors/uk/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/uk/ERR_CANNOT_FORWARD	2020-06-09 19:08:20.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_CANNOT_FORWARD	2020-08-23 05:48:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_CONFLICT_HOST squid-5.0.4/errors/uk/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/uk/ERR_CONFLICT_HOST	2020-06-09 19:08:20.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_CONFLICT_HOST	2020-08-23 05:48:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_CONNECT_FAIL squid-5.0.4/errors/uk/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/uk/ERR_CONNECT_FAIL	2020-06-09 19:08:20.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_CONNECT_FAIL	2020-08-23 05:48:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -26,7 +26,7 @@
 
 <p id="sysmsg">Система повідомляє: <i>%E</i></p>
 
-<p>Віддалений вузел чи мережа можливо недоступні. Будь-ласка, повторіть запит.</p>
+<p>Віддалений вузел чи мережа можливо недоступні.  Будь-ласка, повторіть запит.</p>
 
 <p>Адміністратор даного кешу <a href="mailto:%w%W">%w</a>.</p>
 
diff -u -r -N squid-5.0.3/errors/uk/ERR_DIR_LISTING squid-5.0.4/errors/uk/ERR_DIR_LISTING
--- squid-5.0.3/errors/uk/ERR_DIR_LISTING	2020-06-09 19:08:21.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_DIR_LISTING	2020-08-23 05:48:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_DNS_FAIL squid-5.0.4/errors/uk/ERR_DNS_FAIL
--- squid-5.0.3/errors/uk/ERR_DNS_FAIL	2020-06-09 19:08:21.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_DNS_FAIL	2020-08-23 05:48:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_ESI squid-5.0.4/errors/uk/ERR_ESI
--- squid-5.0.3/errors/uk/ERR_ESI	2020-06-09 19:08:21.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_ESI	2020-08-23 05:48:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_FORWARDING_DENIED squid-5.0.4/errors/uk/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/uk/ERR_FORWARDING_DENIED	2020-06-09 19:08:22.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_FORWARDING_DENIED	2020-08-23 05:48:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_FTP_DISABLED squid-5.0.4/errors/uk/ERR_FTP_DISABLED
--- squid-5.0.3/errors/uk/ERR_FTP_DISABLED	2020-06-09 19:08:22.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_FTP_DISABLED	2020-08-23 05:48:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_FTP_FAILURE squid-5.0.4/errors/uk/ERR_FTP_FAILURE
--- squid-5.0.3/errors/uk/ERR_FTP_FAILURE	2020-06-09 19:08:22.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_FTP_FAILURE	2020-08-23 05:48:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_FTP_FORBIDDEN squid-5.0.4/errors/uk/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/uk/ERR_FTP_FORBIDDEN	2020-06-09 19:08:22.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_FTP_FORBIDDEN	2020-08-23 05:48:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_FTP_NOT_FOUND squid-5.0.4/errors/uk/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/uk/ERR_FTP_NOT_FOUND	2020-06-09 19:08:23.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_FTP_NOT_FOUND	2020-08-23 05:48:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_FTP_PUT_CREATED squid-5.0.4/errors/uk/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/uk/ERR_FTP_PUT_CREATED	2020-06-09 19:08:23.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_FTP_PUT_CREATED	2020-08-23 05:48:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_FTP_PUT_ERROR squid-5.0.4/errors/uk/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/uk/ERR_FTP_PUT_ERROR	2020-06-09 19:08:23.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_FTP_PUT_ERROR	2020-08-23 05:48:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/uk/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/uk/ERR_FTP_PUT_MODIFIED	2020-06-09 19:08:23.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_FTP_PUT_MODIFIED	2020-08-23 05:48:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/uk/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/uk/ERR_FTP_UNAVAILABLE	2020-06-09 19:08:24.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_FTP_UNAVAILABLE	2020-08-23 05:48:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_GATEWAY_FAILURE squid-5.0.4/errors/uk/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/uk/ERR_GATEWAY_FAILURE	2020-06-09 19:08:24.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_GATEWAY_FAILURE	2020-08-23 05:48:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_ICAP_FAILURE squid-5.0.4/errors/uk/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/uk/ERR_ICAP_FAILURE	2020-06-09 19:08:24.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_ICAP_FAILURE	2020-08-23 05:48:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_INVALID_REQ squid-5.0.4/errors/uk/ERR_INVALID_REQ
--- squid-5.0.3/errors/uk/ERR_INVALID_REQ	2020-06-09 19:08:25.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_INVALID_REQ	2020-08-23 05:48:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_INVALID_RESP squid-5.0.4/errors/uk/ERR_INVALID_RESP
--- squid-5.0.3/errors/uk/ERR_INVALID_RESP	2020-06-09 19:08:25.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_INVALID_RESP	2020-08-23 05:48:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_INVALID_URL squid-5.0.4/errors/uk/ERR_INVALID_URL
--- squid-5.0.3/errors/uk/ERR_INVALID_URL	2020-06-09 19:08:25.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_INVALID_URL	2020-08-23 05:48:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_LIFETIME_EXP squid-5.0.4/errors/uk/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/uk/ERR_LIFETIME_EXP	2020-06-09 19:08:25.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_LIFETIME_EXP	2020-08-23 05:48:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_NO_RELAY squid-5.0.4/errors/uk/ERR_NO_RELAY
--- squid-5.0.3/errors/uk/ERR_NO_RELAY	2020-06-09 19:08:26.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_NO_RELAY	2020-08-23 05:48:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/uk/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/uk/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:08:26.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:48:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_PRECONDITION_FAILED squid-5.0.4/errors/uk/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/uk/ERR_PRECONDITION_FAILED	2020-06-09 19:08:26.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_PRECONDITION_FAILED	2020-08-23 05:48:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/uk/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/uk/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:08:26.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:48:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_READ_ERROR squid-5.0.4/errors/uk/ERR_READ_ERROR
--- squid-5.0.3/errors/uk/ERR_READ_ERROR	2020-06-09 19:08:27.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_READ_ERROR	2020-08-23 05:48:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_READ_TIMEOUT squid-5.0.4/errors/uk/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/uk/ERR_READ_TIMEOUT	2020-06-09 19:08:27.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_READ_TIMEOUT	2020-08-23 05:48:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/uk/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/uk/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:08:27.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:48:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_SHUTTING_DOWN squid-5.0.4/errors/uk/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/uk/ERR_SHUTTING_DOWN	2020-06-09 19:08:28.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_SHUTTING_DOWN	2020-08-23 05:48:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_SOCKET_FAILURE squid-5.0.4/errors/uk/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/uk/ERR_SOCKET_FAILURE	2020-06-09 19:08:28.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_SOCKET_FAILURE	2020-08-23 05:48:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_TOO_BIG squid-5.0.4/errors/uk/ERR_TOO_BIG
--- squid-5.0.3/errors/uk/ERR_TOO_BIG	2020-06-09 19:08:28.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_TOO_BIG	2020-08-23 05:48:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/uk/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/uk/ERR_UNSUP_HTTPVERSION	2020-06-09 19:08:28.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_UNSUP_HTTPVERSION	2020-08-23 05:49:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_UNSUP_REQ squid-5.0.4/errors/uk/ERR_UNSUP_REQ
--- squid-5.0.3/errors/uk/ERR_UNSUP_REQ	2020-06-09 19:08:29.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_UNSUP_REQ	2020-08-23 05:49:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_URN_RESOLVE squid-5.0.4/errors/uk/ERR_URN_RESOLVE
--- squid-5.0.3/errors/uk/ERR_URN_RESOLVE	2020-06-09 19:08:29.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_URN_RESOLVE	2020-08-23 05:49:00.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_WRITE_ERROR squid-5.0.4/errors/uk/ERR_WRITE_ERROR
--- squid-5.0.3/errors/uk/ERR_WRITE_ERROR	2020-06-09 19:08:29.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_WRITE_ERROR	2020-08-23 05:49:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uk/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/uk/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/uk/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:08:29.000000000 +1200
+++ squid-5.0.4/errors/uk/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:49:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/uz/ERR_ACCESS_DENIED squid-5.0.4/errors/uz/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/uz/ERR_ACCESS_DENIED	2020-06-09 19:08:30.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_ACCESS_DENIED	2020-08-23 05:49:01.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -32,7 +32,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/uz/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/uz/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:08:30.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:49:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -33,7 +33,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_AGENT_CONFIGURE squid-5.0.4/errors/uz/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/uz/ERR_AGENT_CONFIGURE	2020-06-09 19:08:30.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_AGENT_CONFIGURE	2020-08-23 05:49:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
@@ -47,7 +54,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_AGENT_WPAD squid-5.0.4/errors/uz/ERR_AGENT_WPAD
--- squid-5.0.3/errors/uz/ERR_AGENT_WPAD	2020-06-09 19:08:31.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_AGENT_WPAD	2020-08-23 05:49:02.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
@@ -47,7 +54,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/uz/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/uz/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:08:31.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:49:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -33,7 +33,7 @@
 
 <hr> 
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/uz/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/uz/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:08:31.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:49:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -33,7 +33,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_CANNOT_FORWARD squid-5.0.4/errors/uz/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/uz/ERR_CANNOT_FORWARD	2020-06-09 19:08:31.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_CANNOT_FORWARD	2020-08-23 05:49:03.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -40,7 +40,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_CONFLICT_HOST squid-5.0.4/errors/uz/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/uz/ERR_CONFLICT_HOST	2020-06-09 19:08:32.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_CONFLICT_HOST	2020-08-23 05:49:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -38,7 +38,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_CONNECT_FAIL squid-5.0.4/errors/uz/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/uz/ERR_CONNECT_FAIL	2020-06-09 19:08:32.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_CONNECT_FAIL	2020-08-23 05:49:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -35,7 +35,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_DIR_LISTING squid-5.0.4/errors/uz/ERR_DIR_LISTING
--- squid-5.0.3/errors/uz/ERR_DIR_LISTING	2020-06-09 19:08:32.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_DIR_LISTING	2020-08-23 05:49:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -36,7 +36,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_DNS_FAIL squid-5.0.4/errors/uz/ERR_DNS_FAIL
--- squid-5.0.3/errors/uz/ERR_DNS_FAIL	2020-06-09 19:08:33.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_DNS_FAIL	2020-08-23 05:49:04.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -37,7 +37,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_ESI squid-5.0.4/errors/uz/ERR_ESI
--- squid-5.0.3/errors/uz/ERR_ESI	2020-06-09 19:08:33.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_ESI	2020-08-23 05:49:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -37,7 +37,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_FORWARDING_DENIED squid-5.0.4/errors/uz/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/uz/ERR_FORWARDING_DENIED	2020-06-09 19:08:33.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_FORWARDING_DENIED	2020-08-23 05:49:05.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -33,7 +33,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_FTP_DISABLED squid-5.0.4/errors/uz/ERR_FTP_DISABLED
--- squid-5.0.3/errors/uz/ERR_FTP_DISABLED	2020-06-09 19:08:33.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_FTP_DISABLED	2020-08-23 05:49:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -33,7 +33,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_FTP_FAILURE squid-5.0.4/errors/uz/ERR_FTP_FAILURE
--- squid-5.0.3/errors/uz/ERR_FTP_FAILURE	2020-06-09 19:08:34.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_FTP_FAILURE	2020-08-23 05:49:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -37,7 +37,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_FTP_FORBIDDEN squid-5.0.4/errors/uz/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/uz/ERR_FTP_FORBIDDEN	2020-06-09 19:08:34.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_FTP_FORBIDDEN	2020-08-23 05:49:06.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -37,7 +37,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_FTP_NOT_FOUND squid-5.0.4/errors/uz/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/uz/ERR_FTP_NOT_FOUND	2020-06-09 19:08:34.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_FTP_NOT_FOUND	2020-08-23 05:49:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -39,7 +39,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_FTP_PUT_CREATED squid-5.0.4/errors/uz/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/uz/ERR_FTP_PUT_CREATED	2020-06-09 19:08:34.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_FTP_PUT_CREATED	2020-08-23 05:49:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -21,7 +21,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_FTP_PUT_ERROR squid-5.0.4/errors/uz/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/uz/ERR_FTP_PUT_ERROR	2020-06-09 19:08:35.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_FTP_PUT_ERROR	2020-08-23 05:49:07.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -38,7 +38,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/uz/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/uz/ERR_FTP_PUT_MODIFIED	2020-06-09 19:08:35.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_FTP_PUT_MODIFIED	2020-08-23 05:49:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -21,7 +21,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/uz/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/uz/ERR_FTP_UNAVAILABLE	2020-06-09 19:08:35.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_FTP_UNAVAILABLE	2020-08-23 05:49:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -38,7 +38,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_GATEWAY_FAILURE squid-5.0.4/errors/uz/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/uz/ERR_GATEWAY_FAILURE	2020-06-09 19:08:36.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_GATEWAY_FAILURE	2020-08-23 05:49:08.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -34,7 +34,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_ICAP_FAILURE squid-5.0.4/errors/uz/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/uz/ERR_ICAP_FAILURE	2020-06-09 19:08:36.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_ICAP_FAILURE	2020-08-23 05:49:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -39,7 +39,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_INVALID_REQ squid-5.0.4/errors/uz/ERR_INVALID_REQ
--- squid-5.0.3/errors/uz/ERR_INVALID_REQ	2020-06-09 19:08:36.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_INVALID_REQ	2020-08-23 05:49:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -47,7 +47,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_INVALID_RESP squid-5.0.4/errors/uz/ERR_INVALID_RESP
--- squid-5.0.3/errors/uz/ERR_INVALID_RESP	2020-06-09 19:08:36.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_INVALID_RESP	2020-08-23 05:49:09.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -34,7 +34,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_INVALID_URL squid-5.0.4/errors/uz/ERR_INVALID_URL
--- squid-5.0.3/errors/uz/ERR_INVALID_URL	2020-06-09 19:08:37.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_INVALID_URL	2020-08-23 05:49:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -40,7 +40,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_LIFETIME_EXP squid-5.0.4/errors/uz/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/uz/ERR_LIFETIME_EXP	2020-06-09 19:08:37.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_LIFETIME_EXP	2020-08-23 05:49:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -32,7 +32,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_NO_RELAY squid-5.0.4/errors/uz/ERR_NO_RELAY
--- squid-5.0.3/errors/uz/ERR_NO_RELAY	2020-06-09 19:08:37.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_NO_RELAY	2020-08-23 05:49:10.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -32,7 +32,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/uz/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/uz/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:08:37.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:49:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -32,7 +32,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_PRECONDITION_FAILED squid-5.0.4/errors/uz/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/uz/ERR_PRECONDITION_FAILED	2020-06-09 19:08:38.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_PRECONDITION_FAILED	2020-08-23 05:49:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -34,7 +34,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/uz/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/uz/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:08:38.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:49:11.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -32,7 +32,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_READ_ERROR squid-5.0.4/errors/uz/ERR_READ_ERROR
--- squid-5.0.3/errors/uz/ERR_READ_ERROR	2020-06-09 19:08:38.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_READ_ERROR	2020-08-23 05:49:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -34,7 +34,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_READ_TIMEOUT squid-5.0.4/errors/uz/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/uz/ERR_READ_TIMEOUT	2020-06-09 19:08:38.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_READ_TIMEOUT	2020-08-23 05:49:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -34,7 +34,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/uz/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/uz/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:08:39.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:49:12.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -40,7 +40,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_SHUTTING_DOWN squid-5.0.4/errors/uz/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/uz/ERR_SHUTTING_DOWN	2020-06-09 19:08:39.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_SHUTTING_DOWN	2020-08-23 05:49:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -28,7 +28,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_SOCKET_FAILURE squid-5.0.4/errors/uz/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/uz/ERR_SOCKET_FAILURE	2020-06-09 19:08:39.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_SOCKET_FAILURE	2020-08-23 05:49:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -34,7 +34,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_TOO_BIG squid-5.0.4/errors/uz/ERR_TOO_BIG
--- squid-5.0.3/errors/uz/ERR_TOO_BIG	2020-06-09 19:08:40.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_TOO_BIG	2020-08-23 05:49:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -34,7 +34,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/uz/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/uz/ERR_UNSUP_HTTPVERSION	2020-06-09 19:08:40.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_UNSUP_HTTPVERSION	2020-08-23 05:49:13.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -32,7 +32,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_UNSUP_REQ squid-5.0.4/errors/uz/ERR_UNSUP_REQ
--- squid-5.0.3/errors/uz/ERR_UNSUP_REQ	2020-06-09 19:08:40.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_UNSUP_REQ	2020-08-23 05:49:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -32,7 +32,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_URN_RESOLVE squid-5.0.4/errors/uz/ERR_URN_RESOLVE
--- squid-5.0.3/errors/uz/ERR_URN_RESOLVE	2020-06-09 19:08:40.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_URN_RESOLVE	2020-08-23 05:49:14.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -24,7 +24,7 @@
 <p><b>Cannot Resolve URN</b></p>
 </blockquote>
 
-<p>Эй, %T'даги URN'лардан кўп кутманг :)</p>
+<p>Эй, %T'даги URN'лардан кўп кутманг  :)</p>
 
 <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
 <br>
@@ -32,7 +32,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_WRITE_ERROR squid-5.0.4/errors/uz/ERR_WRITE_ERROR
--- squid-5.0.3/errors/uz/ERR_WRITE_ERROR	2020-06-09 19:08:41.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_WRITE_ERROR	2020-08-23 05:49:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -34,7 +34,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/uz/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/uz/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/uz/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:08:41.000000000 +1200
+++ squid-5.0.4/errors/uz/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:49:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -32,7 +32,7 @@
 
 <hr>
 <div id="footer">
-<p>%h (%s) томонидан %T яратилган</p>
+<p>%h (%s) томонидан  %T яратилган</p>
 <!-- %c -->
 </div>
 </body></html>
diff -u -r -N squid-5.0.3/errors/vi/ERR_ACCESS_DENIED squid-5.0.4/errors/vi/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/vi/ERR_ACCESS_DENIED	2020-06-09 19:08:41.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_ACCESS_DENIED	2020-08-23 05:49:15.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/vi/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/vi/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:08:42.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:49:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_AGENT_CONFIGURE squid-5.0.4/errors/vi/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/vi/ERR_AGENT_CONFIGURE	2020-06-09 19:08:42.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_AGENT_CONFIGURE	2020-08-23 05:49:16.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>Cách tìm thiết lập này trong trình duyệt:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/vi/ERR_AGENT_WPAD squid-5.0.4/errors/vi/ERR_AGENT_WPAD
--- squid-5.0.3/errors/vi/ERR_AGENT_WPAD	2020-06-09 19:08:42.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_AGENT_WPAD	2020-08-23 05:49:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>Cách tìm thiết lập này trong trình duyệt:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Bật tùy chọn Tự động phát hiện thiết lập</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Bật tùy chọn Dùng tự động cấu hình ủy nhiệm</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/vi/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/vi/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/vi/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:08:42.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:49:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/vi/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/vi/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:08:43.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:49:17.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_CANNOT_FORWARD squid-5.0.4/errors/vi/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/vi/ERR_CANNOT_FORWARD	2020-06-09 19:08:43.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_CANNOT_FORWARD	2020-08-23 05:49:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_CONFLICT_HOST squid-5.0.4/errors/vi/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/vi/ERR_CONFLICT_HOST	2020-06-09 19:08:43.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_CONFLICT_HOST	2020-08-23 05:49:18.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_CONNECT_FAIL squid-5.0.4/errors/vi/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/vi/ERR_CONNECT_FAIL	2020-06-09 19:08:44.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_CONNECT_FAIL	2020-08-23 05:49:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_DIR_LISTING squid-5.0.4/errors/vi/ERR_DIR_LISTING
--- squid-5.0.3/errors/vi/ERR_DIR_LISTING	2020-06-09 19:08:44.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_DIR_LISTING	2020-08-23 05:49:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_DNS_FAIL squid-5.0.4/errors/vi/ERR_DNS_FAIL
--- squid-5.0.3/errors/vi/ERR_DNS_FAIL	2020-06-09 19:08:44.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_DNS_FAIL	2020-08-23 05:49:19.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_ESI squid-5.0.4/errors/vi/ERR_ESI
--- squid-5.0.3/errors/vi/ERR_ESI	2020-06-09 19:08:44.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_ESI	2020-08-23 05:49:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_FORWARDING_DENIED squid-5.0.4/errors/vi/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/vi/ERR_FORWARDING_DENIED	2020-06-09 19:08:45.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_FORWARDING_DENIED	2020-08-23 05:49:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_FTP_DISABLED squid-5.0.4/errors/vi/ERR_FTP_DISABLED
--- squid-5.0.3/errors/vi/ERR_FTP_DISABLED	2020-06-09 19:08:45.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_FTP_DISABLED	2020-08-23 05:49:20.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_FTP_FAILURE squid-5.0.4/errors/vi/ERR_FTP_FAILURE
--- squid-5.0.3/errors/vi/ERR_FTP_FAILURE	2020-06-09 19:08:45.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_FTP_FAILURE	2020-08-23 05:49:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_FTP_FORBIDDEN squid-5.0.4/errors/vi/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/vi/ERR_FTP_FORBIDDEN	2020-06-09 19:08:46.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_FTP_FORBIDDEN	2020-08-23 05:49:21.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_FTP_NOT_FOUND squid-5.0.4/errors/vi/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/vi/ERR_FTP_NOT_FOUND	2020-06-09 19:08:46.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_FTP_NOT_FOUND	2020-08-23 05:49:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_FTP_PUT_CREATED squid-5.0.4/errors/vi/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/vi/ERR_FTP_PUT_CREATED	2020-06-09 19:08:46.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_FTP_PUT_CREATED	2020-08-23 05:49:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_FTP_PUT_ERROR squid-5.0.4/errors/vi/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/vi/ERR_FTP_PUT_ERROR	2020-06-09 19:08:46.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_FTP_PUT_ERROR	2020-08-23 05:49:22.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/vi/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/vi/ERR_FTP_PUT_MODIFIED	2020-06-09 19:08:47.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_FTP_PUT_MODIFIED	2020-08-23 05:49:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/vi/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/vi/ERR_FTP_UNAVAILABLE	2020-06-09 19:08:47.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_FTP_UNAVAILABLE	2020-08-23 05:49:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_GATEWAY_FAILURE squid-5.0.4/errors/vi/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/vi/ERR_GATEWAY_FAILURE	2020-06-09 19:08:47.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_GATEWAY_FAILURE	2020-08-23 05:49:23.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_ICAP_FAILURE squid-5.0.4/errors/vi/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/vi/ERR_ICAP_FAILURE	2020-06-09 19:08:47.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_ICAP_FAILURE	2020-08-23 05:49:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_INVALID_REQ squid-5.0.4/errors/vi/ERR_INVALID_REQ
--- squid-5.0.3/errors/vi/ERR_INVALID_REQ	2020-06-09 19:08:48.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_INVALID_REQ	2020-08-23 05:49:24.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_INVALID_RESP squid-5.0.4/errors/vi/ERR_INVALID_RESP
--- squid-5.0.3/errors/vi/ERR_INVALID_RESP	2020-06-09 19:08:48.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_INVALID_RESP	2020-08-23 05:49:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_INVALID_URL squid-5.0.4/errors/vi/ERR_INVALID_URL
--- squid-5.0.3/errors/vi/ERR_INVALID_URL	2020-06-09 19:08:48.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_INVALID_URL	2020-08-23 05:49:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_LIFETIME_EXP squid-5.0.4/errors/vi/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/vi/ERR_LIFETIME_EXP	2020-06-09 19:08:49.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_LIFETIME_EXP	2020-08-23 05:49:25.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_NO_RELAY squid-5.0.4/errors/vi/ERR_NO_RELAY
--- squid-5.0.3/errors/vi/ERR_NO_RELAY	2020-06-09 19:08:49.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_NO_RELAY	2020-08-23 05:49:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/vi/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/vi/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:08:49.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:49:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_PRECONDITION_FAILED squid-5.0.4/errors/vi/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/vi/ERR_PRECONDITION_FAILED	2020-06-09 19:08:49.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_PRECONDITION_FAILED	2020-08-23 05:49:26.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/vi/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/vi/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:08:50.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:49:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_READ_ERROR squid-5.0.4/errors/vi/ERR_READ_ERROR
--- squid-5.0.3/errors/vi/ERR_READ_ERROR	2020-06-09 19:08:50.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_READ_ERROR	2020-08-23 05:49:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_READ_TIMEOUT squid-5.0.4/errors/vi/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/vi/ERR_READ_TIMEOUT	2020-06-09 19:08:50.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_READ_TIMEOUT	2020-08-23 05:49:27.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/vi/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/vi/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:08:51.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:49:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_SHUTTING_DOWN squid-5.0.4/errors/vi/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/vi/ERR_SHUTTING_DOWN	2020-06-09 19:08:51.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_SHUTTING_DOWN	2020-08-23 05:49:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_SOCKET_FAILURE squid-5.0.4/errors/vi/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/vi/ERR_SOCKET_FAILURE	2020-06-09 19:08:51.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_SOCKET_FAILURE	2020-08-23 05:49:28.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_TOO_BIG squid-5.0.4/errors/vi/ERR_TOO_BIG
--- squid-5.0.3/errors/vi/ERR_TOO_BIG	2020-06-09 19:08:51.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_TOO_BIG	2020-08-23 05:49:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/vi/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/vi/ERR_UNSUP_HTTPVERSION	2020-06-09 19:08:52.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_UNSUP_HTTPVERSION	2020-08-23 05:49:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_UNSUP_REQ squid-5.0.4/errors/vi/ERR_UNSUP_REQ
--- squid-5.0.3/errors/vi/ERR_UNSUP_REQ	2020-06-09 19:08:52.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_UNSUP_REQ	2020-08-23 05:49:29.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_URN_RESOLVE squid-5.0.4/errors/vi/ERR_URN_RESOLVE
--- squid-5.0.3/errors/vi/ERR_URN_RESOLVE	2020-06-09 19:08:52.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_URN_RESOLVE	2020-08-23 05:49:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_WRITE_ERROR squid-5.0.4/errors/vi/ERR_WRITE_ERROR
--- squid-5.0.3/errors/vi/ERR_WRITE_ERROR	2020-06-09 19:08:52.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_WRITE_ERROR	2020-08-23 05:49:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/vi/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/vi/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/vi/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:08:53.000000000 +1200
+++ squid-5.0.4/errors/vi/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:49:30.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_ACCESS_DENIED squid-5.0.4/errors/zh-hans/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/zh-hans/ERR_ACCESS_DENIED	2020-06-09 19:08:53.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_ACCESS_DENIED	2020-08-23 05:49:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/zh-hans/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/zh-hans/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:08:53.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:49:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_AGENT_CONFIGURE squid-5.0.4/errors/zh-hans/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/zh-hans/ERR_AGENT_CONFIGURE	2020-06-09 19:08:54.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_AGENT_CONFIGURE	2020-08-23 05:49:31.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_AGENT_WPAD squid-5.0.4/errors/zh-hans/ERR_AGENT_WPAD
--- squid-5.0.3/errors/zh-hans/ERR_AGENT_WPAD	2020-06-09 19:08:54.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_AGENT_WPAD	2020-08-23 05:49:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/zh-hans/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/zh-hans/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:08:54.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:49:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/zh-hans/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/zh-hans/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:08:54.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:49:32.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_CANNOT_FORWARD squid-5.0.4/errors/zh-hans/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/zh-hans/ERR_CANNOT_FORWARD	2020-06-09 19:08:55.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_CANNOT_FORWARD	2020-08-23 05:49:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_CONFLICT_HOST squid-5.0.4/errors/zh-hans/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/zh-hans/ERR_CONFLICT_HOST	2020-06-09 19:08:55.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_CONFLICT_HOST	2020-08-23 05:49:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_CONNECT_FAIL squid-5.0.4/errors/zh-hans/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/zh-hans/ERR_CONNECT_FAIL	2020-06-09 19:08:55.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_CONNECT_FAIL	2020-08-23 05:49:33.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_DIR_LISTING squid-5.0.4/errors/zh-hans/ERR_DIR_LISTING
--- squid-5.0.3/errors/zh-hans/ERR_DIR_LISTING	2020-06-09 19:08:56.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_DIR_LISTING	2020-08-23 05:49:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_DNS_FAIL squid-5.0.4/errors/zh-hans/ERR_DNS_FAIL
--- squid-5.0.3/errors/zh-hans/ERR_DNS_FAIL	2020-06-09 19:08:56.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_DNS_FAIL	2020-08-23 05:49:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_ESI squid-5.0.4/errors/zh-hans/ERR_ESI
--- squid-5.0.3/errors/zh-hans/ERR_ESI	2020-06-09 19:08:56.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_ESI	2020-08-23 05:49:34.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_FORWARDING_DENIED squid-5.0.4/errors/zh-hans/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/zh-hans/ERR_FORWARDING_DENIED	2020-06-09 19:08:56.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_FORWARDING_DENIED	2020-08-23 05:49:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_FTP_DISABLED squid-5.0.4/errors/zh-hans/ERR_FTP_DISABLED
--- squid-5.0.3/errors/zh-hans/ERR_FTP_DISABLED	2020-06-09 19:08:57.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_FTP_DISABLED	2020-08-23 05:49:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_FTP_FAILURE squid-5.0.4/errors/zh-hans/ERR_FTP_FAILURE
--- squid-5.0.3/errors/zh-hans/ERR_FTP_FAILURE	2020-06-09 19:08:57.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_FTP_FAILURE	2020-08-23 05:49:35.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_FTP_FORBIDDEN squid-5.0.4/errors/zh-hans/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/zh-hans/ERR_FTP_FORBIDDEN	2020-06-09 19:08:57.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_FTP_FORBIDDEN	2020-08-23 05:49:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_FTP_NOT_FOUND squid-5.0.4/errors/zh-hans/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/zh-hans/ERR_FTP_NOT_FOUND	2020-06-09 19:08:57.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_FTP_NOT_FOUND	2020-08-23 05:49:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_FTP_PUT_CREATED squid-5.0.4/errors/zh-hans/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/zh-hans/ERR_FTP_PUT_CREATED	2020-06-09 19:08:58.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_FTP_PUT_CREATED	2020-08-23 05:49:36.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_FTP_PUT_ERROR squid-5.0.4/errors/zh-hans/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/zh-hans/ERR_FTP_PUT_ERROR	2020-06-09 19:08:58.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_FTP_PUT_ERROR	2020-08-23 05:49:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/zh-hans/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/zh-hans/ERR_FTP_PUT_MODIFIED	2020-06-09 19:08:58.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_FTP_PUT_MODIFIED	2020-08-23 05:49:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/zh-hans/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/zh-hans/ERR_FTP_UNAVAILABLE	2020-06-09 19:08:59.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_FTP_UNAVAILABLE	2020-08-23 05:49:37.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_GATEWAY_FAILURE squid-5.0.4/errors/zh-hans/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/zh-hans/ERR_GATEWAY_FAILURE	2020-06-09 19:08:59.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_GATEWAY_FAILURE	2020-08-23 05:49:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_ICAP_FAILURE squid-5.0.4/errors/zh-hans/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/zh-hans/ERR_ICAP_FAILURE	2020-06-09 19:08:59.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_ICAP_FAILURE	2020-08-23 05:49:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_INVALID_REQ squid-5.0.4/errors/zh-hans/ERR_INVALID_REQ
--- squid-5.0.3/errors/zh-hans/ERR_INVALID_REQ	2020-06-09 19:08:59.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_INVALID_REQ	2020-08-23 05:49:38.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_INVALID_RESP squid-5.0.4/errors/zh-hans/ERR_INVALID_RESP
--- squid-5.0.3/errors/zh-hans/ERR_INVALID_RESP	2020-06-09 19:09:00.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_INVALID_RESP	2020-08-23 05:49:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_INVALID_URL squid-5.0.4/errors/zh-hans/ERR_INVALID_URL
--- squid-5.0.3/errors/zh-hans/ERR_INVALID_URL	2020-06-09 19:09:00.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_INVALID_URL	2020-08-23 05:49:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_LIFETIME_EXP squid-5.0.4/errors/zh-hans/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/zh-hans/ERR_LIFETIME_EXP	2020-06-09 19:09:00.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_LIFETIME_EXP	2020-08-23 05:49:39.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_NO_RELAY squid-5.0.4/errors/zh-hans/ERR_NO_RELAY
--- squid-5.0.3/errors/zh-hans/ERR_NO_RELAY	2020-06-09 19:09:00.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_NO_RELAY	2020-08-23 05:49:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/zh-hans/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/zh-hans/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:09:01.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:49:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_PRECONDITION_FAILED squid-5.0.4/errors/zh-hans/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/zh-hans/ERR_PRECONDITION_FAILED	2020-06-09 19:09:01.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_PRECONDITION_FAILED	2020-08-23 05:49:40.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/zh-hans/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/zh-hans/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:09:01.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:49:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_READ_ERROR squid-5.0.4/errors/zh-hans/ERR_READ_ERROR
--- squid-5.0.3/errors/zh-hans/ERR_READ_ERROR	2020-06-09 19:09:02.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_READ_ERROR	2020-08-23 05:49:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_READ_TIMEOUT squid-5.0.4/errors/zh-hans/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/zh-hans/ERR_READ_TIMEOUT	2020-06-09 19:09:02.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_READ_TIMEOUT	2020-08-23 05:49:41.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/zh-hans/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/zh-hans/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:09:02.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:49:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_SHUTTING_DOWN squid-5.0.4/errors/zh-hans/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/zh-hans/ERR_SHUTTING_DOWN	2020-06-09 19:09:02.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_SHUTTING_DOWN	2020-08-23 05:49:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_SOCKET_FAILURE squid-5.0.4/errors/zh-hans/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/zh-hans/ERR_SOCKET_FAILURE	2020-06-09 19:09:03.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_SOCKET_FAILURE	2020-08-23 05:49:42.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_TOO_BIG squid-5.0.4/errors/zh-hans/ERR_TOO_BIG
--- squid-5.0.3/errors/zh-hans/ERR_TOO_BIG	2020-06-09 19:09:03.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_TOO_BIG	2020-08-23 05:49:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/zh-hans/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/zh-hans/ERR_UNSUP_HTTPVERSION	2020-06-09 19:09:03.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_UNSUP_HTTPVERSION	2020-08-23 05:49:43.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_UNSUP_REQ squid-5.0.4/errors/zh-hans/ERR_UNSUP_REQ
--- squid-5.0.3/errors/zh-hans/ERR_UNSUP_REQ	2020-06-09 19:09:04.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_UNSUP_REQ	2020-08-23 05:49:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_URN_RESOLVE squid-5.0.4/errors/zh-hans/ERR_URN_RESOLVE
--- squid-5.0.3/errors/zh-hans/ERR_URN_RESOLVE	2020-06-09 19:09:04.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_URN_RESOLVE	2020-08-23 05:49:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_WRITE_ERROR squid-5.0.4/errors/zh-hans/ERR_WRITE_ERROR
--- squid-5.0.3/errors/zh-hans/ERR_WRITE_ERROR	2020-06-09 19:09:04.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_WRITE_ERROR	2020-08-23 05:49:44.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hans/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/zh-hans/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/zh-hans/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:09:04.000000000 +1200
+++ squid-5.0.4/errors/zh-hans/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:49:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_ACCESS_DENIED squid-5.0.4/errors/zh-hant/ERR_ACCESS_DENIED
--- squid-5.0.3/errors/zh-hant/ERR_ACCESS_DENIED	2020-06-09 19:09:05.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_ACCESS_DENIED	2020-08-23 05:49:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_ACL_TIME_QUOTA_EXCEEDED squid-5.0.4/errors/zh-hant/ERR_ACL_TIME_QUOTA_EXCEEDED
--- squid-5.0.3/errors/zh-hant/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-06-09 19:09:05.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_ACL_TIME_QUOTA_EXCEEDED	2020-08-23 05:49:45.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_AGENT_CONFIGURE squid-5.0.4/errors/zh-hant/ERR_AGENT_CONFIGURE
--- squid-5.0.3/errors/zh-hant/ERR_AGENT_CONFIGURE	2020-06-09 19:09:05.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_AGENT_CONFIGURE	2020-08-23 05:49:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>In the HTTP proxy box type the proxy name %h and port %b.</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_AGENT_WPAD squid-5.0.4/errors/zh-hant/ERR_AGENT_WPAD
--- squid-5.0.3/errors/zh-hant/ERR_AGENT_WPAD	2020-06-09 19:09:05.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_AGENT_WPAD	2020-08-23 05:49:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
@@ -17,26 +17,33 @@
 </div>
 <hr>
 
-<div id="content"> <blockquote id="error">
+<div id="content">
+<blockquote id="error">
 <p>Your Web Browser configuration needs to be corrected to use this network.</p>
 </blockquote>
 
 <p>How to find these settings in your browser:</p>
 
-<div id="firefox"> For Firefox browsers go to: <ul>
-<li>Tools -> Options -> Advanced -> Network -> Connection Settings</li>
+<div id="firefox">
+For Firefox browsers go to:
+<ul>
+<li>Tools -&gt; Options -&gt; Advanced -&gt; Network -&gt; Connection Settings</li>
 <li>Select Auto-detect proxy settings for this network</li>
 </ul>
 </div>
 
-<div id="microsoft"> For Internet Explorer browsers go to: <ul>
-<li>Tools -> Internet Options -> Connection -> LAN Settings ->Proxy</li>
+<div id="microsoft">
+For Internet Explorer browsers go to:
+<ul>
+<li>Tools -&gt; Internet Options -&gt; Connection -&gt; LAN Settings -&gt;Proxy</li>
 <li>Select Automatically detect settings</li>
 </ul>
 </div>
 
-<div id="opera"> For Opera browsers go to: <ul>
-<li>Tools -> Preferences -> Advanced -> Network -> Proxy Servers</li>
+<div id="opera">
+For Opera browsers go to:
+<ul>
+<li>Tools -&gt; Preferences -&gt; Advanced -&gt; Network -&gt; Proxy Servers</li>
 <li>Select Use Automatic proxy configuration</li>
 </ul>
 </div>
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_CACHE_ACCESS_DENIED squid-5.0.4/errors/zh-hant/ERR_CACHE_ACCESS_DENIED
--- squid-5.0.3/errors/zh-hant/ERR_CACHE_ACCESS_DENIED	2020-06-09 19:09:06.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_CACHE_ACCESS_DENIED	2020-08-23 05:49:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_CACHE_MGR_ACCESS_DENIED squid-5.0.4/errors/zh-hant/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-5.0.3/errors/zh-hant/ERR_CACHE_MGR_ACCESS_DENIED	2020-06-09 19:09:06.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_CACHE_MGR_ACCESS_DENIED	2020-08-23 05:49:46.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_CANNOT_FORWARD squid-5.0.4/errors/zh-hant/ERR_CANNOT_FORWARD
--- squid-5.0.3/errors/zh-hant/ERR_CANNOT_FORWARD	2020-06-09 19:09:06.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_CANNOT_FORWARD	2020-08-23 05:49:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_CONFLICT_HOST squid-5.0.4/errors/zh-hant/ERR_CONFLICT_HOST
--- squid-5.0.3/errors/zh-hant/ERR_CONFLICT_HOST	2020-06-09 19:09:07.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_CONFLICT_HOST	2020-08-23 05:49:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_CONNECT_FAIL squid-5.0.4/errors/zh-hant/ERR_CONNECT_FAIL
--- squid-5.0.3/errors/zh-hant/ERR_CONNECT_FAIL	2020-06-09 19:09:07.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_CONNECT_FAIL	2020-08-23 05:49:47.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_DIR_LISTING squid-5.0.4/errors/zh-hant/ERR_DIR_LISTING
--- squid-5.0.3/errors/zh-hant/ERR_DIR_LISTING	2020-06-09 19:09:07.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_DIR_LISTING	2020-08-23 05:49:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_DNS_FAIL squid-5.0.4/errors/zh-hant/ERR_DNS_FAIL
--- squid-5.0.3/errors/zh-hant/ERR_DNS_FAIL	2020-06-09 19:09:07.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_DNS_FAIL	2020-08-23 05:49:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_ESI squid-5.0.4/errors/zh-hant/ERR_ESI
--- squid-5.0.3/errors/zh-hant/ERR_ESI	2020-06-09 19:09:08.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_ESI	2020-08-23 05:49:48.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_FORWARDING_DENIED squid-5.0.4/errors/zh-hant/ERR_FORWARDING_DENIED
--- squid-5.0.3/errors/zh-hant/ERR_FORWARDING_DENIED	2020-06-09 19:09:08.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_FORWARDING_DENIED	2020-08-23 05:49:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_FTP_DISABLED squid-5.0.4/errors/zh-hant/ERR_FTP_DISABLED
--- squid-5.0.3/errors/zh-hant/ERR_FTP_DISABLED	2020-06-09 19:09:08.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_FTP_DISABLED	2020-08-23 05:49:49.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_FTP_FAILURE squid-5.0.4/errors/zh-hant/ERR_FTP_FAILURE
--- squid-5.0.3/errors/zh-hant/ERR_FTP_FAILURE	2020-06-09 19:09:08.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_FTP_FAILURE	2020-08-23 05:49:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_FTP_FORBIDDEN squid-5.0.4/errors/zh-hant/ERR_FTP_FORBIDDEN
--- squid-5.0.3/errors/zh-hant/ERR_FTP_FORBIDDEN	2020-06-09 19:09:09.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_FTP_FORBIDDEN	2020-08-23 05:49:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_FTP_NOT_FOUND squid-5.0.4/errors/zh-hant/ERR_FTP_NOT_FOUND
--- squid-5.0.3/errors/zh-hant/ERR_FTP_NOT_FOUND	2020-06-09 19:09:09.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_FTP_NOT_FOUND	2020-08-23 05:49:50.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_FTP_PUT_CREATED squid-5.0.4/errors/zh-hant/ERR_FTP_PUT_CREATED
--- squid-5.0.3/errors/zh-hant/ERR_FTP_PUT_CREATED	2020-06-09 19:09:09.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_FTP_PUT_CREATED	2020-08-23 05:49:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_FTP_PUT_ERROR squid-5.0.4/errors/zh-hant/ERR_FTP_PUT_ERROR
--- squid-5.0.3/errors/zh-hant/ERR_FTP_PUT_ERROR	2020-06-09 19:09:10.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_FTP_PUT_ERROR	2020-08-23 05:49:51.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_FTP_PUT_MODIFIED squid-5.0.4/errors/zh-hant/ERR_FTP_PUT_MODIFIED
--- squid-5.0.3/errors/zh-hant/ERR_FTP_PUT_MODIFIED	2020-06-09 19:09:10.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_FTP_PUT_MODIFIED	2020-08-23 05:49:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_FTP_UNAVAILABLE squid-5.0.4/errors/zh-hant/ERR_FTP_UNAVAILABLE
--- squid-5.0.3/errors/zh-hant/ERR_FTP_UNAVAILABLE	2020-06-09 19:09:10.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_FTP_UNAVAILABLE	2020-08-23 05:49:52.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_GATEWAY_FAILURE squid-5.0.4/errors/zh-hant/ERR_GATEWAY_FAILURE
--- squid-5.0.3/errors/zh-hant/ERR_GATEWAY_FAILURE	2020-06-09 19:09:10.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_GATEWAY_FAILURE	2020-08-23 05:49:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_ICAP_FAILURE squid-5.0.4/errors/zh-hant/ERR_ICAP_FAILURE
--- squid-5.0.3/errors/zh-hant/ERR_ICAP_FAILURE	2020-06-09 19:09:11.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_ICAP_FAILURE	2020-08-23 05:49:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_INVALID_REQ squid-5.0.4/errors/zh-hant/ERR_INVALID_REQ
--- squid-5.0.3/errors/zh-hant/ERR_INVALID_REQ	2020-06-09 19:09:11.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_INVALID_REQ	2020-08-23 05:49:53.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_INVALID_RESP squid-5.0.4/errors/zh-hant/ERR_INVALID_RESP
--- squid-5.0.3/errors/zh-hant/ERR_INVALID_RESP	2020-06-09 19:09:11.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_INVALID_RESP	2020-08-23 05:49:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_INVALID_URL squid-5.0.4/errors/zh-hant/ERR_INVALID_URL
--- squid-5.0.3/errors/zh-hant/ERR_INVALID_URL	2020-06-09 19:09:12.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_INVALID_URL	2020-08-23 05:49:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_LIFETIME_EXP squid-5.0.4/errors/zh-hant/ERR_LIFETIME_EXP
--- squid-5.0.3/errors/zh-hant/ERR_LIFETIME_EXP	2020-06-09 19:09:12.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_LIFETIME_EXP	2020-08-23 05:49:54.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_NO_RELAY squid-5.0.4/errors/zh-hant/ERR_NO_RELAY
--- squid-5.0.3/errors/zh-hant/ERR_NO_RELAY	2020-06-09 19:09:12.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_NO_RELAY	2020-08-23 05:49:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_ONLY_IF_CACHED_MISS squid-5.0.4/errors/zh-hant/ERR_ONLY_IF_CACHED_MISS
--- squid-5.0.3/errors/zh-hant/ERR_ONLY_IF_CACHED_MISS	2020-06-09 19:09:12.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_ONLY_IF_CACHED_MISS	2020-08-23 05:49:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_PRECONDITION_FAILED squid-5.0.4/errors/zh-hant/ERR_PRECONDITION_FAILED
--- squid-5.0.3/errors/zh-hant/ERR_PRECONDITION_FAILED	2020-06-09 19:09:13.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_PRECONDITION_FAILED	2020-08-23 05:49:55.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_PROTOCOL_UNKNOWN squid-5.0.4/errors/zh-hant/ERR_PROTOCOL_UNKNOWN
--- squid-5.0.3/errors/zh-hant/ERR_PROTOCOL_UNKNOWN	2020-06-09 19:09:13.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_PROTOCOL_UNKNOWN	2020-08-23 05:49:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_READ_ERROR squid-5.0.4/errors/zh-hant/ERR_READ_ERROR
--- squid-5.0.3/errors/zh-hant/ERR_READ_ERROR	2020-06-09 19:09:13.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_READ_ERROR	2020-08-23 05:49:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_READ_TIMEOUT squid-5.0.4/errors/zh-hant/ERR_READ_TIMEOUT
--- squid-5.0.3/errors/zh-hant/ERR_READ_TIMEOUT	2020-06-09 19:09:13.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_READ_TIMEOUT	2020-08-23 05:49:56.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_SECURE_CONNECT_FAIL squid-5.0.4/errors/zh-hant/ERR_SECURE_CONNECT_FAIL
--- squid-5.0.3/errors/zh-hant/ERR_SECURE_CONNECT_FAIL	2020-06-09 19:09:14.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_SECURE_CONNECT_FAIL	2020-08-23 05:49:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_SHUTTING_DOWN squid-5.0.4/errors/zh-hant/ERR_SHUTTING_DOWN
--- squid-5.0.3/errors/zh-hant/ERR_SHUTTING_DOWN	2020-06-09 19:09:14.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_SHUTTING_DOWN	2020-08-23 05:49:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_SOCKET_FAILURE squid-5.0.4/errors/zh-hant/ERR_SOCKET_FAILURE
--- squid-5.0.3/errors/zh-hant/ERR_SOCKET_FAILURE	2020-06-09 19:09:14.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_SOCKET_FAILURE	2020-08-23 05:49:57.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_TOO_BIG squid-5.0.4/errors/zh-hant/ERR_TOO_BIG
--- squid-5.0.3/errors/zh-hant/ERR_TOO_BIG	2020-06-09 19:09:15.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_TOO_BIG	2020-08-23 05:49:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_UNSUP_HTTPVERSION squid-5.0.4/errors/zh-hant/ERR_UNSUP_HTTPVERSION
--- squid-5.0.3/errors/zh-hant/ERR_UNSUP_HTTPVERSION	2020-06-09 19:09:15.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_UNSUP_HTTPVERSION	2020-08-23 05:49:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_UNSUP_REQ squid-5.0.4/errors/zh-hant/ERR_UNSUP_REQ
--- squid-5.0.3/errors/zh-hant/ERR_UNSUP_REQ	2020-06-09 19:09:15.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_UNSUP_REQ	2020-08-23 05:49:58.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_URN_RESOLVE squid-5.0.4/errors/zh-hant/ERR_URN_RESOLVE
--- squid-5.0.3/errors/zh-hant/ERR_URN_RESOLVE	2020-06-09 19:09:15.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_URN_RESOLVE	2020-08-23 05:49:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_WRITE_ERROR squid-5.0.4/errors/zh-hant/ERR_WRITE_ERROR
--- squid-5.0.3/errors/zh-hant/ERR_WRITE_ERROR	2020-06-09 19:09:16.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_WRITE_ERROR	2020-08-23 05:49:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/errors/zh-hant/ERR_ZERO_SIZE_OBJECT squid-5.0.4/errors/zh-hant/ERR_ZERO_SIZE_OBJECT
--- squid-5.0.3/errors/zh-hant/ERR_ZERO_SIZE_OBJECT	2020-06-09 19:09:16.000000000 +1200
+++ squid-5.0.4/errors/zh-hant/ERR_ZERO_SIZE_OBJECT	2020-08-23 05:49:59.000000000 +1200
@@ -1,4 +1,4 @@
-
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html><head>
 <meta type="copyright" content="Copyright (C) 1996-2020 The Squid Software Foundation and contributors">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
diff -u -r -N squid-5.0.3/icons/icon.am squid-5.0.4/icons/icon.am
--- squid-5.0.3/icons/icon.am	1970-01-01 12:00:00.000000000 +1200
+++ squid-5.0.4/icons/icon.am	2020-08-23 05:40:17.000000000 +1200
@@ -0,0 +1,59 @@
+##
+## Copyright (C) 1996-2020 The Squid Software Foundation and contributors
+##
+## Squid software is distributed under GPLv2+ license and includes
+## contributions from numerous individuals and organizations.
+## Please see the COPYING and CONTRIBUTORS files for details.
+##
+
+ICONS = \
+    silk/application.png \
+    silk/arrow_up.png \
+    silk/bomb.png \
+    silk/box.png \
+    silk/bricks.png \
+    silk/bullet_red.png \
+    silk/cd.png \
+    silk/chart_line.png \
+    silk/compress.png \
+    silk/computer_link.png \
+    silk/css.png \
+    silk/cup.png \
+    silk/database.png \
+    silk/database_table.png \
+    silk/drive_disk.png \
+    silk/film_key.png \
+    silk/film.png \
+    silk/folder.png \
+    silk/folder_table.png \
+    silk/image.png \
+    silk/information.png \
+    silk/layers.png \
+    silk/layout.png \
+    silk/link.png \
+    silk/music.png \
+    silk/package_go.png \
+    silk/package.png \
+    silk/page_code.png \
+    silk/page_excel.png \
+    silk/page_green.png \
+    silk/page_white_acrobat.png \
+    silk/page_white_cplusplus.png \
+    silk/page_white_c.png \
+    silk/page_white_flash.png \
+    silk/page_white_magnify.png \
+    silk/page_white_picture.png \
+    silk/page_white.png \
+    silk/page_white_powerpoint.png \
+    silk/page_white_stack.png \
+    silk/page_white_text.png \
+    silk/page_white_word.png \
+    silk/page_white_zip.png \
+    silk/page_world.png \
+    silk/photo.png \
+    silk/picture.png \
+    silk/plugin_add.png \
+    silk/plugin.png \
+    silk/script_gear.png \
+    silk/script_palette.png \
+    silk/script.png
diff -u -r -N squid-5.0.3/icons/icon.list squid-5.0.4/icons/icon.list
--- squid-5.0.3/icons/icon.list	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/icons/icon.list	1970-01-01 12:00:00.000000000 +1200
@@ -1,59 +0,0 @@
-##
-## Copyright (C) 1996-2020 The Squid Software Foundation and contributors
-##
-## Squid software is distributed under GPLv2+ license and includes
-## contributions from numerous individuals and organizations.
-## Please see the COPYING and CONTRIBUTORS files for details.
-##
-
-ICONS= \
-    silk/application.png \
-    silk/arrow_up.png \
-    silk/bomb.png \
-    silk/box.png \
-    silk/bricks.png \
-    silk/bullet_red.png \
-    silk/cd.png \
-    silk/chart_line.png \
-    silk/compress.png \
-    silk/computer_link.png \
-    silk/css.png \
-    silk/cup.png \
-    silk/database.png \
-    silk/database_table.png \
-    silk/drive_disk.png \
-    silk/film_key.png \
-    silk/film.png \
-    silk/folder.png \
-    silk/folder_table.png \
-    silk/image.png \
-    silk/information.png \
-    silk/layers.png \
-    silk/layout.png \
-    silk/link.png \
-    silk/music.png \
-    silk/package_go.png \
-    silk/package.png \
-    silk/page_code.png \
-    silk/page_excel.png \
-    silk/page_green.png \
-    silk/page_white_acrobat.png \
-    silk/page_white_cplusplus.png \
-    silk/page_white_c.png \
-    silk/page_white_flash.png \
-    silk/page_white_magnify.png \
-    silk/page_white_picture.png \
-    silk/page_white.png \
-    silk/page_white_powerpoint.png \
-    silk/page_white_stack.png \
-    silk/page_white_text.png \
-    silk/page_white_word.png \
-    silk/page_white_zip.png \
-    silk/page_world.png \
-    silk/photo.png \
-    silk/picture.png \
-    silk/plugin_add.png \
-    silk/plugin.png \
-    silk/script_gear.png \
-    silk/script_palette.png \
-    silk/script.png 
diff -u -r -N squid-5.0.3/icons/Makefile.am squid-5.0.4/icons/Makefile.am
--- squid-5.0.3/icons/Makefile.am	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/icons/Makefile.am	2020-08-23 05:40:17.000000000 +1200
@@ -5,12 +5,15 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-include $(top_srcdir)/icons/icon.list
+include $(top_srcdir)/icons/icon.am
 
 icondir = $(datadir)/icons/silk
 icon_DATA = $(ICONS)
-EXTRA_DIST = $(ICONS) icon.list SN.png
-DISTCLEANFILES = 
+EXTRA_DIST = \
+	$(ICONS) \
+	icon.am \
+	SN.png
+DISTCLEANFILES =
 
 install-data-local: SN.png install-iconDATA
 	$(INSTALL_DATA) $(srcdir)/SN.png "$(DESTDIR)$(datadir)/icons/"
diff -u -r -N squid-5.0.3/icons/Makefile.in squid-5.0.4/icons/Makefile.in
--- squid-5.0.3/icons/Makefile.in	2020-06-09 18:58:20.000000000 +1200
+++ squid-5.0.4/icons/Makefile.in	2020-08-23 05:39:41.000000000 +1200
@@ -209,7 +209,7 @@
 am__installdirs = "$(DESTDIR)$(icondir)"
 DATA = $(icon_DATA)
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
-am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/icons/icon.list
+am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/icons/icon.am
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
@@ -494,16 +494,20 @@
     silk/plugin.png \
     silk/script_gear.png \
     silk/script_palette.png \
-    silk/script.png 
+    silk/script.png
 
 icondir = $(datadir)/icons/silk
 icon_DATA = $(ICONS)
-EXTRA_DIST = $(ICONS) icon.list SN.png
+EXTRA_DIST = \
+	$(ICONS) \
+	icon.am \
+	SN.png
+
 DISTCLEANFILES = 
 all: all-am
 
 .SUFFIXES:
-$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/icons/icon.list $(am__configure_deps)
+$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/icons/icon.am $(am__configure_deps)
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
 	    *$$dep*) \
@@ -523,7 +527,7 @@
 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
 	esac;
-$(top_srcdir)/icons/icon.list $(am__empty):
+$(top_srcdir)/icons/icon.am $(am__empty):
 
 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
diff -u -r -N squid-5.0.3/include/base64.h squid-5.0.4/include/base64.h
--- squid-5.0.3/include/base64.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/include/base64.h	2020-08-23 05:40:17.000000000 +1200
@@ -104,8 +104,8 @@
 
 /* Encodes a string in one go, including any padding at the end.
  * Generates exactly BASE64_ENCODE_RAW_LENGTH(length) bytes of output.
- * Supports overlapped operation, if src <= dst. FIXME: Use of overlap
- * is deprecated, if needed there should be a separate public fucntion
+ * Supports overlapped operation, if src <= dst.
+ * TODO: Use of overlap is deprecated, if needed there should be a separate public function
  * to do that.*/
 void
 base64_encode_raw(char *dst, size_t length, const uint8_t *src);
diff -u -r -N squid-5.0.3/include/version.h squid-5.0.4/include/version.h
--- squid-5.0.3/include/version.h	2020-06-09 18:58:26.000000000 +1200
+++ squid-5.0.4/include/version.h	2020-08-23 05:39:46.000000000 +1200
@@ -7,7 +7,7 @@
  */
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1591685891
+#define SQUID_RELEASE_TIME 1598117976
 #endif
 
 /*
diff -u -r -N squid-5.0.3/RELEASENOTES.html squid-5.0.4/RELEASENOTES.html
--- squid-5.0.3/RELEASENOTES.html	2020-06-09 19:09:17.000000000 +1200
+++ squid-5.0.4/RELEASENOTES.html	2020-08-23 05:50:01.000000000 +1200
@@ -1,12 +1,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
 <HTML>
 <HEAD>
- <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.80">
+ <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.82">
  <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
- <TITLE>Squid 5.0.3 release notes</TITLE>
+ <TITLE>Squid 5.0.4 release notes</TITLE>
 </HEAD>
 <BODY>
-<H1>Squid 5.0.3 release notes</H1>
+<H1>Squid 5.0.4 release notes</H1>
 
 <H2>Squid Developers</H2>
 <HR>
@@ -61,7 +61,7 @@
 <HR>
 <H2><A NAME="s1">1.</A> <A HREF="#toc1">Notice</A></H2>
 
-<P>The Squid Team are pleased to announce the release of Squid-5.0.3 for testing.</P>
+<P>The Squid Team are pleased to announce the release of Squid-5.0.4 for testing.</P>
 <P>This new release is available for download from 
 <A HREF="http://www.squid-cache.org/Versions/v5/">http://www.squid-cache.org/Versions/v5/</A> or the
 <A HREF="http://www.squid-cache.org/Download/http-mirrors.html">mirrors</A>.</P>
@@ -330,6 +330,10 @@
 <P>New <EM>worker-queues</EM> option to have TCP stack maintain dedicated
 listening queue for each worker in SMP.</P>
 
+<DT><B>https_port</B><DD>
+<P>New <EM>CONDITIONAL_AUTH</EM> flag for <EM>sslflags=</EM> option to
+request client certificate(s) but not reject clients without any.</P>
+
 <DT><B>logformat</B><DD>
 <P>New <EM>ssl::&lt;cert</EM> macro code to display received server X.509
 certificate in PEM format.</P>
diff -u -r -N squid-5.0.3/scripts/access-log-matrix.pl squid-5.0.4/scripts/access-log-matrix.pl
--- squid-5.0.3/scripts/access-log-matrix.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/access-log-matrix.pl	2020-08-23 05:40:17.000000000 +1200
@@ -8,48 +8,48 @@
 ##
 #
 # access-log-matrix.pl
-# 
+#
 # Duane Wessels, Dec 1995
-# 
+#
 # Stdin is a Harvest access log (in the old, non-common logfile format!).
 # The output is a matrix of hostnames and log entry types, plus totals.
 
 while (<>) {
-	chop;
-	@F = split;
-	$when = $F[0];
-	$first = $when unless ($first);
-	$last = $when;
-	
-	$what = pop @F;
-	$size = pop @F;
-	$host = pop @F;
-
-	$HOSTS{$host}++;
-	$HOSTS{'TOTAL'}++;
-	
-	if ($what eq 'TCP_DONE') {
-		$TCP_DONE{$host}++;
-		$TCP_DONE{'TOTAL'}++;
-	} elsif ($what eq 'TCP_HIT') {
-		$TCP_HIT{$host}++;
-		$TCP_HIT{'TOTAL'}++;
-	} elsif ($what eq 'TCP_MISS') {
-		$TCP_MISS{$host}++;
-		$TCP_MISS{'TOTAL'}++;
-	} elsif ($what eq 'TCP_MISS_TTL') {
-		$TCP_MISS_TTL{$host}++;
-		$TCP_MISS_TTL{'TOTAL'}++;
-	} elsif ($what eq 'UDP_HIT') {
-		$UDP_HIT{$host}++;
-		$UDP_HIT{'TOTAL'}++;
-	} elsif ($what eq 'UDP_MISS') {
-		$UDP_MISS{$host}++;
-		$UDP_MISS{'TOTAL'}++;
-	} else {
-		$OTHER{$host}++;
-		$OTHER{'TOTAL'}++;
-	}
+    chop;
+    @F = split;
+    $when = $F[0];
+    $first = $when unless ($first);
+    $last = $when;
+
+    $what = pop @F;
+    $size = pop @F;
+    $host = pop @F;
+
+    $HOSTS{$host}++;
+    $HOSTS{'TOTAL'}++;
+
+    if ($what eq 'TCP_DONE') {
+        $TCP_DONE{$host}++;
+        $TCP_DONE{'TOTAL'}++;
+    } elsif ($what eq 'TCP_HIT') {
+        $TCP_HIT{$host}++;
+        $TCP_HIT{'TOTAL'}++;
+    } elsif ($what eq 'TCP_MISS') {
+        $TCP_MISS{$host}++;
+        $TCP_MISS{'TOTAL'}++;
+    } elsif ($what eq 'TCP_MISS_TTL') {
+        $TCP_MISS_TTL{$host}++;
+        $TCP_MISS_TTL{'TOTAL'}++;
+    } elsif ($what eq 'UDP_HIT') {
+        $UDP_HIT{$host}++;
+        $UDP_HIT{'TOTAL'}++;
+    } elsif ($what eq 'UDP_MISS') {
+        $UDP_MISS{$host}++;
+        $UDP_MISS{'TOTAL'}++;
+    } else {
+        $OTHER{$host}++;
+        $OTHER{'TOTAL'}++;
+    }
 }
 
 print  '       HOSTNAME: '. `hostname`;
@@ -60,60 +60,60 @@
 print "\n";
 
 printf ("%25.25s %5s %5s %5s %5s %5s %5s %5s %5s\n",
-	'',
-	'TCP', 'TCP', 'TCP', 'TCP',
-	'UDP', 'UDP', '',
-	'');
+    '',
+    'TCP', 'TCP', 'TCP', 'TCP',
+    'UDP', 'UDP', '',
+    '');
 printf ("%25.25s %5s %5s %5s %5s %5s %5s %5s %5s\n",
-	'HOST',
-	'HIT', 'MISS', 'TTL', 'DONE',
-	'HIT', 'MISS', 'OTHER',
-	'TOTAL');
+    'HOST',
+    'HIT', 'MISS', 'TTL', 'DONE',
+    'HIT', 'MISS', 'OTHER',
+    'TOTAL');
 
 printf ("%25.25s %5s %5s %5s %5s %5s %5s %5s %5s\n",
-	'-'x25,
-	'-'x5, '-'x5, '-'x5, '-'x5, '-'x5, '-'x5, '-'x5, '-'x5);
+    '-'x25,
+    '-'x5, '-'x5, '-'x5, '-'x5, '-'x5, '-'x5, '-'x5, '-'x5);
 
 foreach $h (sort totalcmp keys %HOSTS) {
-	next if ($h eq 'TOTAL');
-	($a1,$a2,$a3,$a4) = split('\.', $h);
-	($fqdn, @F) = gethostbyaddr(pack('C4',$a1,$a2,$a3,$a4),2);
-	$fqdn = $h unless ($fqdn ne '');
-
-	printf "%25.25s %5d %5d %5d %5d %5d %5d %5d %5d\n",
-		$fqdn,
-		$TCP_HIT{$h},
-		$TCP_MISS{$h},
-		$TCP_MISS_TTL{$h},
-		$TCP_DONE{$h},
-		$UDP_HIT{$h},
-		$UDP_MISS{$h},
-		$OTHER{$h},
-		$HOSTS{$h};
+    next if ($h eq 'TOTAL');
+    ($a1,$a2,$a3,$a4) = split('\.', $h);
+    ($fqdn, @F) = gethostbyaddr(pack('C4',$a1,$a2,$a3,$a4),2);
+    $fqdn = $h unless ($fqdn ne '');
+
+    printf "%25.25s %5d %5d %5d %5d %5d %5d %5d %5d\n",
+        $fqdn,
+        $TCP_HIT{$h},
+        $TCP_MISS{$h},
+        $TCP_MISS_TTL{$h},
+        $TCP_DONE{$h},
+        $UDP_HIT{$h},
+        $UDP_MISS{$h},
+        $OTHER{$h},
+        $HOSTS{$h};
 
 }
 
 
 printf ("%25.25s %5s %5s %5s %5s %5s %5s %5s %5s\n",
-	'-'x25,
-	'-'x5, '-'x5, '-'x5, '-'x5, '-'x5, '-'x5, '-'x5, '-'x5);
+    '-'x25,
+    '-'x5, '-'x5, '-'x5, '-'x5, '-'x5, '-'x5, '-'x5, '-'x5);
 printf "%25.25s %5d %5d %5d %5d %5d %5d %5d %5d\n",
-	'TOTAL',
-	$TCP_HIT{'TOTAL'},
-	$TCP_MISS{'TOTAL'},
-	$TCP_MISS_TTL{'TOTAL'},
-	$TCP_DONE{'TOTAL'},
-	$UDP_HIT{'TOTAL'},
-	$UDP_MISS{'TOTAL'},
-	$OTHER{'TOTAL'},
-	$HOSTS{'TOTAL'};
+    'TOTAL',
+    $TCP_HIT{'TOTAL'},
+    $TCP_MISS{'TOTAL'},
+    $TCP_MISS_TTL{'TOTAL'},
+    $TCP_DONE{'TOTAL'},
+    $UDP_HIT{'TOTAL'},
+    $UDP_MISS{'TOTAL'},
+    $OTHER{'TOTAL'},
+    $HOSTS{'TOTAL'};
 
 exit 0;
 
 sub hostcmp {
-	$a cmp $b
+    $a cmp $b
 }
 
 sub totalcmp {
-	$HOSTS{$b} <=> $HOSTS{$a}
+    $HOSTS{$b} <=> $HOSTS{$a}
 }
diff -u -r -N squid-5.0.3/scripts/AnnounceCache.pl squid-5.0.4/scripts/AnnounceCache.pl
--- squid-5.0.3/scripts/AnnounceCache.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/AnnounceCache.pl	2020-08-23 05:40:17.000000000 +1200
@@ -24,17 +24,17 @@
 $myip=(gethostbyname($me))[4];
 
 die "socket: $!\n" unless
-	socket (SOCK, &AF_INET, &SOCK_DGRAM, $proto);
+    socket (SOCK, &AF_INET, &SOCK_DGRAM, $proto);
 
 while (<>) {
-	chop;
-	$request_template = 'CCnx4x8x4a4a' . length;
-	$request = pack($request_template, 1, 1, 24 + length, $myip, $_);
-	die "send: $!\n" unless
-		send(SOCK, $request, 0, $them);
-	die "recv: $!\n" unless
-		recv(SOCK, $reply, 1024, 0);
-	($type,$ver,$len,$payload) = unpack('CCnx4x8x4A', $reply);
-	print $CODES[$type] . " $_\n";
+    chop;
+    $request_template = 'CCnx4x8x4a4a' . length;
+    $request = pack($request_template, 1, 1, 24 + length, $myip, $_);
+    die "send: $!\n" unless
+        send(SOCK, $request, 0, $them);
+    die "recv: $!\n" unless
+        recv(SOCK, $reply, 1024, 0);
+    ($type,$ver,$len,$payload) = unpack('CCnx4x8x4A', $reply);
+    print $CODES[$type] . " $_\n";
 }
 
diff -u -r -N squid-5.0.3/scripts/cache-compare.pl squid-5.0.4/scripts/cache-compare.pl
--- squid-5.0.3/scripts/cache-compare.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/cache-compare.pl	2020-08-23 05:40:17.000000000 +1200
@@ -29,133 +29,133 @@
 @getfrom = ('SOURCE', 'localhost:3128', 'bo:3128');
 
 require 'sys/socket.ph';
-$gettimeofday = 1128;    	# cheating, should use require syscall.ph
+$gettimeofday = 1128;        # cheating, should use require syscall.ph
 
 while (<>) {
-	chop ($url = $_);
-	print "$url:\n";
+    chop ($url = $_);
+    print "$url:\n";
 
-	foreach $k (@getfrom) {
-		printf "%30.30s:\t", $k;
-		if ($k eq 'SOURCE') {
-			($b_sec,$b_usec) = &gettimeofday;
-			$n = &get_from_source($url);
-			($e_sec,$e_usec) = &gettimeofday;
-		} else {
-			($host,$port) = split (':', $k);
-			($b_sec,$b_usec) = &gettimeofday;
-			$n = &get_from_cache($host,$port,$url);
-			($e_sec,$e_usec) = &gettimeofday;
-		}
-		next unless ($n > 0);
-		$d = ($e_sec - $b_sec) * 1000000 + ($e_usec - $b_usec);
-		$d /= 1000000;
-		$r = $n / $d;
-		printf "%8.1f b/s (%7d bytes, %7.3f sec)\n",
-			$r, $n, $d;
-		$bps_sum{$k} += $r;
-		$bps_n{$k}++;
-		$bytes_sum{$k} += $n;
-		$sec_sum{$k} += $d;
-	}
+    foreach $k (@getfrom) {
+        printf "%30.30s:\t", $k;
+        if ($k eq 'SOURCE') {
+            ($b_sec,$b_usec) = &gettimeofday;
+            $n = &get_from_source($url);
+            ($e_sec,$e_usec) = &gettimeofday;
+        } else {
+            ($host,$port) = split (':', $k);
+            ($b_sec,$b_usec) = &gettimeofday;
+            $n = &get_from_cache($host,$port,$url);
+            ($e_sec,$e_usec) = &gettimeofday;
+        }
+        next unless ($n > 0);
+        $d = ($e_sec - $b_sec) * 1000000 + ($e_usec - $b_usec);
+        $d /= 1000000;
+        $r = $n / $d;
+        printf "%8.1f b/s (%7d bytes, %7.3f sec)\n",
+            $r, $n, $d;
+        $bps_sum{$k} += $r;
+        $bps_n{$k}++;
+        $bytes_sum{$k} += $n;
+        $sec_sum{$k} += $d;
+    }
 }
 
 print "AVERAGE b/s rates:\n";
-	foreach $k (@getfrom) {
-	printf "%30.30s:\t%8.1f b/s   (Alt: %8.1f b/s)\n",
-		$k,
-		$bps_sum{$k} / $bps_n{$k},
-		$bytes_sum{$k} / $sec_sum{$k};
+foreach $k (@getfrom) {
+    printf "%30.30s:\t%8.1f b/s   (Alt: %8.1f b/s)\n",
+        $k,
+        $bps_sum{$k} / $bps_n{$k},
+        $bytes_sum{$k} / $sec_sum{$k};
 }
 
 exit 0;
 
 sub get_from_source {
-	local($url) = @_;
-	local($bytes) = 0;
-	unless ($url =~ m!([a-z]+)://([^/]+)(.*)$!) {
-		printf "get_from_source: bad URL\n";
-		return 0;
-	}
-	$proto = $1;
-	$host = $2;
-	$url_path = $3;
-	unless ($proto eq 'http') {
-		printf "get_from_source: I only do HTTP\n";
-		return 0;
-	}
-	$port = 80;
-	if ($host =~ /([^:]+):(\d+)/) {
-		$host = $1;
-		$port = $2;
-	}
-	return 0 unless ($SOCK = &client_socket($host,$port));
-	print $SOCK "GET $url_path HTTP/1.0\r\nAccept */*\r\n\r\n";
-	$bytes += $n while (($n = read(SOCK,$_,4096)) > 0);
-	close $SOCK;
-	return $bytes;
+    local($url) = @_;
+    local($bytes) = 0;
+    unless ($url =~ m!([a-z]+)://([^/]+)(.*)$!) {
+        printf "get_from_source: bad URL\n";
+        return 0;
+    }
+    $proto = $1;
+    $host = $2;
+    $url_path = $3;
+    unless ($proto eq 'http') {
+        printf "get_from_source: I only do HTTP\n";
+        return 0;
+    }
+    $port = 80;
+    if ($host =~ /([^:]+):(\d+)/) {
+        $host = $1;
+        $port = $2;
+    }
+    return 0 unless ($SOCK = &client_socket($host,$port));
+    print $SOCK "GET $url_path HTTP/1.0\r\nAccept */*\r\n\r\n";
+    $bytes += $n while (($n = read(SOCK,$_,4096)) > 0);
+    close $SOCK;
+    return $bytes;
 }
 
 sub get_from_cache {
-	local($host,$port,$url) = @_;
-	local($bytes) = 0;
-	return 0 unless ($SOCK = &client_socket($host,$port));
-	print $SOCK "GET $url HTTP/1.0\r\nAccept */*\r\n\r\n";
-	$bytes += $n while (($n = read(SOCK,$_,4096)) > 0);
-	close $SOCK;
-	return $bytes;
+    local($host,$port,$url) = @_;
+    local($bytes) = 0;
+    return 0 unless ($SOCK = &client_socket($host,$port));
+    print $SOCK "GET $url HTTP/1.0\r\nAccept */*\r\n\r\n";
+    $bytes += $n while (($n = read(SOCK,$_,4096)) > 0);
+    close $SOCK;
+    return $bytes;
 }
 
 sub client_socket {
-        local ($host, $port) = @_;
-        local ($sockaddr) = 'S n a4 x8';
-        local ($name, $aliases, $proto) = getprotobyname('tcp');
-        local ($connected) = 0;
-
-        # Lookup addresses for remote hostname
-        #
-        local($w,$x,$y,$z,@thataddrs) = gethostbyname($host);
-        unless (@thataddrs) {
-        	printf "Unknown Host: $host\n";
-		return ();
-	}
-
-        # bind local socket to INADDR_ANY
-        #
-        local ($thissock) = pack($sockaddr, &AF_INET, 0, "\0\0\0\0");
-        unless (socket (SOCK, &AF_INET, &SOCK_STREAM, $proto)) {
-        	printf  "socket: $!\n";
-		return ();
-	}
-        unless (bind (SOCK, $thissock)) {
-        	printf "bind: $!\n";
-		return ();
-	}
-
-        # Try all addresses
-        #
-        foreach $thataddr (@thataddrs) {
-                local ($that) = pack($sockaddr, &AF_INET, $port, $thataddr);
-                if (connect (SOCK, $that)) {
-                        $connected = 1;
-                        last;
-                }
+    local ($host, $port) = @_;
+    local ($sockaddr) = 'S n a4 x8';
+    local ($name, $aliases, $proto) = getprotobyname('tcp');
+    local ($connected) = 0;
+
+    # Lookup addresses for remote hostname
+    #
+    local($w,$x,$y,$z,@thataddrs) = gethostbyname($host);
+    unless (@thataddrs) {
+        printf "Unknown Host: $host\n";
+        return ();
+    }
+
+    # bind local socket to INADDR_ANY
+    #
+    local ($thissock) = pack($sockaddr, &AF_INET, 0, "\0\0\0\0");
+    unless (socket (SOCK, &AF_INET, &SOCK_STREAM, $proto)) {
+        printf  "socket: $!\n";
+        return ();
+    }
+    unless (bind (SOCK, $thissock)) {
+        printf "bind: $!\n";
+        return ();
+    }
+
+    # Try all addresses
+    #
+    foreach $thataddr (@thataddrs) {
+        local ($that) = pack($sockaddr, &AF_INET, $port, $thataddr);
+        if (connect (SOCK, $that)) {
+            $connected = 1;
+            last;
         }
-        unless ($connected) {
-		printf "$host:$port: $!\n";
-		return ();
-	}
-
-        # Set socket to flush-after-write and return it
-        #
-        select (SOCK); $| = 1;
-        select (STDOUT);
-        return (SOCK);
+    }
+    unless ($connected) {
+        printf "$host:$port: $!\n";
+        return ();
+    }
+
+    # Set socket to flush-after-write and return it
+    #
+    select (SOCK); $| = 1;
+    select (STDOUT);
+    return (SOCK);
 }
 
 sub gettimeofday {
-	$tvp="\0\0\0\0\0\0\0\0";
-	syscall($gettimeofday, $tvp, $tz);
-	return unpack('ll', $tvp);
+    $tvp="\0\0\0\0\0\0\0\0";
+    syscall($gettimeofday, $tvp, $tz);
+    return unpack('ll', $tvp);
 }
 
diff -u -r -N squid-5.0.3/scripts/cachetrace.pl squid-5.0.4/scripts/cachetrace.pl
--- squid-5.0.3/scripts/cachetrace.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/cachetrace.pl	2020-08-23 05:40:17.000000000 +1200
@@ -27,35 +27,36 @@
 
 
 sub try_http_11 {
-	local($url) = @_;
-	local($path) = undef;
+    local($url) = @_;
+    local($path) = undef;
 
-	$source = $1 if ($url =~ /^[^:]+:\/\/([^:\/]+)/);
-	
-	die "socket: $!\n" unless
-                socket (SOCK, &AF_INET, &SOCK_STREAM, $proto);
-        die "bind: $!\n" unless
-                bind (SOCK, $thissock);
-        die "$proxy:$port: $!\n" unless
-                connect (SOCK, $that);
-        select (SOCK); $| = 1;
-        select (STDOUT);
-	print SOCK "TRACE $url HTTP/1.1\r\nHost: $host\r\nAccept: */*\r\n\r\n";
-	while (<SOCK>) {
-		s/\r//g;
-		s/\n//g;
-		$code = $1 if (/^HTTP\/\d\.\d (\d+)/);
-		$server = $1 if (/^Server:\s*(.*)$/);
-		$path = $1 if (/^Via:\s*(.*)$/);
-	}
-	return 0 unless ($path && $code == 200);
-	print "Received TRACE reply from $source\n";
-	@F = split(',', $path);
-	$i = 0;
-	foreach $n (@F) {
-		$n =~ s/^\s+//;
-		printf " %2d   %s\n", ++$i, $n;
-	}
-	printf " %2d   %s (%s)\n", ++$i, $source, $server;
-	1;
+    $source = $1 if ($url =~ /^[^:]+:\/\/([^:\/]+)/);
+
+    die "socket: $!\n" unless
+        socket (SOCK, &AF_INET, &SOCK_STREAM, $proto);
+    die "bind: $!\n" unless
+        bind (SOCK, $thissock);
+    die "$proxy:$port: $!\n" unless
+        connect (SOCK, $that);
+    select (SOCK); $| = 1;
+    select (STDOUT);
+    print SOCK "TRACE $url HTTP/1.1\r\nHost: $host\r\nAccept: */*\r\n\r\n";
+    while (<SOCK>) {
+        s/\r//g;
+        s/\n//g;
+        $code = $1 if (/^HTTP\/\d\.\d (\d+)/);
+        $server = $1 if (/^Server:\s*(.*)$/);
+        $path = $1 if (/^Via:\s*(.*)$/);
+    }
+    return 0 unless ($path && $code == 200);
+    print "Received TRACE reply from $source\n";
+    @F = split(',', $path);
+    $i = 0;
+    foreach $n (@F) {
+        $n =~ s/^\s+//;
+        printf " %2d   %s\n", ++$i, $n;
+    }
+    printf " %2d   %s (%s)\n", ++$i, $source, $server;
+    1;
 }
+
diff -u -r -N squid-5.0.3/scripts/calc-must-ids.pl squid-5.0.4/scripts/calc-must-ids.pl
--- squid-5.0.3/scripts/calc-must-ids.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/calc-must-ids.pl	2020-08-23 05:40:17.000000000 +1200
@@ -9,8 +9,8 @@
 #
 # Author: Tsantilas Christos
 # (C) 2010 The Measurement Factory
-# 
-# Usage: 
+#
+# Usage:
 #     calc-must-ids.pl file1 file2 ...
 # Compute the ids of Must expressions of the given files.
 # It returns one line per Must expression in the form:
@@ -40,7 +40,7 @@
     my($n) = 0;
     my(@na) = split(//, $name);
     for($j=0; $j < @na; $j++) {
-        $n = $n ^ (271 * ord($na[$j])); 
+        $n = $n ^ (271 * ord($na[$j]));
     }
     return $n ^ ($j *271);
 }
@@ -74,7 +74,7 @@
             $id += ERR_DETAIL_EXCEPTION_START;
 #            print "$file:$.: $id $line";
             printf "%s:%d: 0x%X %s", $file, $., $id, $line;
-        }            
-    }    
+        }
+    }
     close(IN);
 }
diff -u -r -N squid-5.0.3/scripts/check_cache.pl squid-5.0.4/scripts/check_cache.pl
--- squid-5.0.3/scripts/check_cache.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/check_cache.pl	2020-08-23 05:40:17.000000000 +1200
@@ -7,7 +7,7 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-# check_cache.pl 
+# check_cache.pl
 #
 # Squid-1.0 version by martin hamilton <m.t.hamilton@lut.ac.uk>
 # Squid-1.1 version by Bertold Kolics <bertold@tohotom.vein.hu>
@@ -17,22 +17,22 @@
 
 require "getopts.pl";
 &Getopts("c:drt:vh");
-# -c		: the full path to squid.conf
-# -d		: turn on debugging
-# -r		: actually remove stale files
-# -t tmpdir	: temporary directory
-# -v 		: list stale files
-# -h 		: print the help
+# -c        : the full path to squid.conf
+# -d        : turn on debugging
+# -r        : actually remove stale files
+# -t tmpdir    : temporary directory
+# -v         : list stale files
+# -h         : print the help
 
 if ($opt_h) {
-	print "Usage: check_cache.pl -drvh -c squid.conf\n";
-	print "\t-c the full path to squid.conf\n";
-	print "\t-d turn on debugging\n";
-	print "\t-r actually remove stale files\n";
-	print "\t-t temporary directory\n";
-	print "\t-v list stale files\n";
-	print "\t-h print the help\n";
-	exit;
+    print "Usage: check_cache.pl -drvh -c squid.conf\n";
+    print "\t-c the full path to squid.conf\n";
+    print "\t-d turn on debugging\n";
+    print "\t-r actually remove stale files\n";
+    print "\t-t temporary directory\n";
+    print "\t-v list stale files\n";
+    print "\t-h print the help\n";
+    exit;
 }
 
 $squidconf = $opt_c || "/usr/local/squid/etc/squid.conf";
@@ -42,16 +42,16 @@
 $level1dirno = 16;
 $level2dirno = 256;
 while (<squidconf>) {
-	chop;
-	if (/^cache_dir\s+(.*)/) {
-		push (@cachedir, $1);
-	} elsif (/cache_swap_log\s+(.*)/) {
-		$swaplog = $1;
-	} elsif (/swap_level1_dirs/) {
-		$level1dirno = $1;
-	} elsif (/swap_level21_dirs/) {
-		$level2dirno = $1;
-	}
+    chop;
+    if (/^cache_dir\s+(.*)/) {
+        push (@cachedir, $1);
+    } elsif (/cache_swap_log\s+(.*)/) {
+        $swaplog = $1;
+    } elsif (/swap_level1_dirs/) {
+        $level1dirno = $1;
+    } elsif (/swap_level21_dirs/) {
+        $level2dirno = $1;
+    }
 }
 close (squidconf);
 push (@cachedir, '/usr/local/squid/cache') unless ($#cachedir > $[-1);
@@ -69,12 +69,12 @@
 
 # get list of files in cache & sort em
 for ($i = 0 ; $i < $no_cachedir; $i++) {
-	chdir($cachedir[i]);
-	system("find ./ -print -type f > $tmpdir/fp$$");
-	chdir($tmpdir);
+    chdir($cachedir[i]);
+    system("find ./ -print -type f > $tmpdir/fp$$");
+    chdir($tmpdir);
 # this cut prints only the lines with 4 fields so unnecessary lines
-# are supressed
-	system("cut -d'/' -f4 -s fp$$ >> cd$$ ; rm fp$$")
+# are suppressed
+    system("cut -d'/' -f4 -s fp$$ >> cd$$ ; rm fp$$")
 }
 system("sort -T $tmpdir cd$$ >scd$$; rm cd$$");
 
@@ -86,27 +86,27 @@
 open(IN, "comm$$") || die "Can't open temporary file $tmpdir/comm$$: $!";
 unlink("comm$$");
 while(<IN>) {
-	chop;
-	$filename = $_;
+    chop;
+    $filename = $_;
 
 # calculate the full path of the current filename
-	$fileno = hex($filename);
-	$dirno = $fileno % $no_cachedir;
-	$a = $fileno / $no_cachedir;
-	$level1 = sprintf("%02X", $a % $level1dirno);
-	$level2 = sprintf("%02X", $a / $level1dirno % $level2dirno);
-	$filename = "$cachedir[dirno]/$level1/$level2/$filename";
-
-	next if -d "$filename"; # don't want directories
-
-	print "$filename\n" if $opt_v; # print filename if asked
-
-	# skip if cached file appeared since script started running
-	if (-M $filename < 0) {
-		print STDERR "skipping $filename\n" if $opt_d;
-		next;
-	}
-	print "Orphan: $filename\n";
-	unlink($filename) if $opt_r; # only remove if asked!
+    $fileno = hex($filename);
+    $dirno = $fileno % $no_cachedir;
+    $a = $fileno / $no_cachedir;
+    $level1 = sprintf("%02X", $a % $level1dirno);
+    $level2 = sprintf("%02X", $a / $level1dirno % $level2dirno);
+    $filename = "$cachedir[dirno]/$level1/$level2/$filename";
+
+    next if -d "$filename"; # don't want directories
+
+    print "$filename\n" if $opt_v; # print filename if asked
+
+    # skip if cached file appeared since script started running
+    if (-M $filename < 0) {
+        print STDERR "skipping $filename\n" if $opt_d;
+        next;
+    }
+    print "Orphan: $filename\n";
+    unlink($filename) if $opt_r; # only remove if asked!
 }
 close(IN);
diff -u -r -N squid-5.0.3/scripts/fileno-to-pathname.pl squid-5.0.4/scripts/fileno-to-pathname.pl
--- squid-5.0.3/scripts/fileno-to-pathname.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/fileno-to-pathname.pl	2020-08-23 05:40:17.000000000 +1200
@@ -7,7 +7,7 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-# Convert hexadecimal cache file numbers (from swap log) into full pathnames.  
+# Convert hexadecimal cache file numbers (from swap log) into full pathnames.
 # Duane Wessels 6/30/97
 
 # 2001-12-18 Adapted for squid-2.x Alain Thivillon <at@rominet.net>
@@ -33,41 +33,41 @@
 my $ncache_dirs = 0;
 
 while (<CF>) {
-   # Squid 2.3 ===>
-   # cache_dir ufs path size L1 L2
-   if (/^cache_dir\s+(\S+)\s+(\S+)\s+\d+\s+(\S+)\s+(\S+)/i) {
-     $CD[$ncache_dirs] = $2;
-     $L1[$ncache_dirs] = $3;
-     $L2[$ncache_dirs++] = $4;
-   }
+    # Squid 2.3 ===>
+    # cache_dir ufs path size L1 L2
+    if (/^cache_dir\s+(\S+)\s+(\S+)\s+\d+\s+(\S+)\s+(\S+)/i) {
+        $CD[$ncache_dirs] = $2;
+        $L1[$ncache_dirs] = $3;
+        $L2[$ncache_dirs++] = $4;
+    }
 }
 close(CF);
 
 if ($ncache_dirs == 0) {
-  print STDERR "No proper cache_dir line found\n";
-  exit 2;
+    print STDERR "No proper cache_dir line found\n";
+    exit 2;
 }
 
 while (<>) {
-	chop;
-	print &storeSwapFullPath(hex($_)), "\n";
+    chop;
+    print &storeSwapFullPath(hex($_)), "\n";
 }
 
 sub storeSwapFullPath {
-	my($fn) = @_;
+    my($fn) = @_;
 
-        my $dirn = ($fn >> $SWAP_DIR_SHIFT) % $ncache_dirs;
-        my $filn = $fn & $SWAP_FILE_MASK;
+    my $dirn = ($fn >> $SWAP_DIR_SHIFT) % $ncache_dirs;
+    my $filn = $fn & $SWAP_FILE_MASK;
 
-	sprintf "%s/%02X/%02X/%08X",
-		$CD[$dirn],
-		(($fn / $L2[$dirn]) / $L2[$dirn]) % $L1[$dirn],
-		($fn / $L2[$dirn]) % $L2[$dirn],
-		$fn;
+    sprintf "%s/%02X/%02X/%08X",
+        $CD[$dirn],
+        (($fn / $L2[$dirn]) / $L2[$dirn]) % $L1[$dirn],
+        ($fn / $L2[$dirn]) % $L2[$dirn],
+        $fn;
 }
 
 sub usage {
-	print STDERR "usage: $0 -c config\n";
-	print STDERR "hexadecimal file numbers are read from stdin\n";
-	exit 1;
+    print STDERR "usage: $0 -c config\n";
+    print STDERR "hexadecimal file numbers are read from stdin\n";
+    exit 1;
 }
diff -u -r -N squid-5.0.3/scripts/find-alive.pl squid-5.0.4/scripts/find-alive.pl
--- squid-5.0.3/scripts/find-alive.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/find-alive.pl	2020-08-23 05:40:17.000000000 +1200
@@ -26,58 +26,58 @@
 # We try to do that now (see "guessing ..." below), but it does
 # not always work.
 my %Pairs = (
-	AsyncCall => [
-		'AsyncCall.* constructed, this=(\S+)',
-		'AsyncCall.* destruct.*, this=(\S+)',
-	],
-	HttpHeaderEntry => [
-		'\bHttpHeaderEntry.* created HttpHeaderEntry (\S+)',
-		'\bHttpHeaderEntry.* destroying entry (\S+)',
-	],
-	ClientSocketContext => [
-		'\bClientSocketContext constructing, this=(\S+)',
-		'\bClientSocketContext destructed, this=(\S+)',
-	],
-	ICAP => [
-		'(?:ICAP|Icap).* constructed, this=(\S+)',
-		'(?:ICAP|Icap).* destruct.*, this=(\S+)',
-	],
-	IcapModXact => [
-		'Adaptation::Icap::ModXact.* constructed, this=(\S+)',
-		'Adaptation::Icap::ModXact.* destruct.*, this=(\S+)',
-	],
-	ICAPClientReqmodPrecache => [
-		'ICAPClientReqmodPrecache constructed, this=(\S+)',
-		'ICAPClientReqmodPrecache destruct.*, this=(\S+)',
-	],
-	HttpStateData => [
-		'HttpStateData (\S+) created',
-		'HttpStateData (\S+) destroyed',
-	],
-	cbdata => [
-		'cbdataInternalAlloc: Allocating (\S+)',
-		'cbdataRealFree: Freeing (\S+)',
-	],
-	FD => [
-		'fd_open.*\sFD (\d+)',
-		'fd_close\s+FD (\d+)',
-	],
-	IpcStoreMapEntry => [
-		'StoreMap.* opened .*entry (\d+) for \S+ (\S+)',
-		'StoreMap.* closed .*entry (\d+) for \S+ (\S+)',
-	],
-	sh_page => [
-		'PageStack.* pop: (sh_page\S+) at',
-		'PageStack.* push: (sh_page\S+) at',
-	],
-);
+    AsyncCall => [
+        'AsyncCall.* constructed, this=(\S+)',
+        'AsyncCall.* destruct.*, this=(\S+)',
+        ],
+    HttpHeaderEntry => [
+        '\bHttpHeaderEntry.* created HttpHeaderEntry (\S+)',
+        '\bHttpHeaderEntry.* destroying entry (\S+)',
+        ],
+    ClientSocketContext => [
+        '\bClientSocketContext constructing, this=(\S+)',
+        '\bClientSocketContext destructed, this=(\S+)',
+        ],
+    ICAP => [
+        '(?:ICAP|Icap).* constructed, this=(\S+)',
+        '(?:ICAP|Icap).* destruct.*, this=(\S+)',
+        ],
+    IcapModXact => [
+        'Adaptation::Icap::ModXact.* constructed, this=(\S+)',
+        'Adaptation::Icap::ModXact.* destruct.*, this=(\S+)',
+        ],
+    ICAPClientReqmodPrecache => [
+        'ICAPClientReqmodPrecache constructed, this=(\S+)',
+        'ICAPClientReqmodPrecache destruct.*, this=(\S+)',
+        ],
+    HttpStateData => [
+        'HttpStateData (\S+) created',
+        'HttpStateData (\S+) destroyed',
+        ],
+    cbdata => [
+        'cbdataInternalAlloc: Allocating (\S+)',
+        'cbdataRealFree: Freeing (\S+)',
+        ],
+    FD => [
+        'fd_open.*\sFD (\d+)',
+        'fd_close\s+FD (\d+)',
+        ],
+    IpcStoreMapEntry => [
+        'StoreMap.* opened .*entry (\d+) for \S+ (\S+)',
+        'StoreMap.* closed .*entry (\d+) for \S+ (\S+)',
+        ],
+    sh_page => [
+        'PageStack.* pop: (sh_page\S+) at',
+        'PageStack.* push: (sh_page\S+) at',
+        ],
+    );
 
 if (!$Pairs{$Thing}) {
     warn("guessing construction/destruction pattern for $Thing\n");
     $Pairs{$Thing} = [
-		"\\b$Thing construct.*, this=(\\S+)",
-		"\\b$Thing destruct.*, this=(\\S+)",
-	];
+        "\\b$Thing construct.*, this=(\\S+)",
+        "\\b$Thing destruct.*, this=(\\S+)",
+        ];
 }
 
 die("unsupported Thing, stopped") unless $Pairs{$Thing};
@@ -89,30 +89,30 @@
 my %AliveImage = ();
 my $Count = 0;
 while (<STDIN>) {
-	if (my @conIds = (/$reConstructor/)) {
-		my $id = join(':', @conIds);
-		#die($_) if $Alive{$id};
-		$AliveImage{$id} = $_;
-		++$Count unless $AliveCount{$id}++;
-	} 
-	elsif (my @deIds = (/$reDestructor/)) {
-		my $id = join(':', @deIds);
-		if ($AliveCount{$id}) {
-			$AliveImage{$id} = undef() unless --$AliveCount{$id};
-		} else {
-			#warn("unborn: $_");
-			# do nothing; we are probably looking at a partial log
-		}
-	}
+    if (my @conIds = (/$reConstructor/)) {
+        my $id = join(':', @conIds);
+        #die($_) if $Alive{$id};
+        $AliveImage{$id} = $_;
+        ++$Count unless $AliveCount{$id}++;
+    }
+    elsif (my @deIds = (/$reDestructor/)) {
+        my $id = join(':', @deIds);
+        if ($AliveCount{$id}) {
+            $AliveImage{$id} = undef() unless --$AliveCount{$id};
+        } else {
+            #warn("unborn: $_");
+            # do nothing; we are probably looking at a partial log
+        }
+    }
 }
 
 printf(STDERR "Found %d %s\n", $Count, $Thing);
 
 my $aliveCount = 0;
 foreach my $alive (sort grep { defined($_) } values %AliveImage) {
-	next unless defined $alive;
-	printf("Alive: %s", $alive);
-	++$aliveCount;
+    next unless defined $alive;
+    printf("Alive: %s", $alive);
+    ++$aliveCount;
 }
 
 printf(STDERR "found %d still-alive %s\n", $aliveCount, $Thing);
diff -u -r -N squid-5.0.3/scripts/flag_truncs.pl squid-5.0.4/scripts/flag_truncs.pl
--- squid-5.0.3/scripts/flag_truncs.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/flag_truncs.pl	2020-08-23 05:40:17.000000000 +1200
@@ -20,54 +20,54 @@
 # -d -> turn on debugging output
 
 # pass filenames on command line or via STDIN
-@things = $#ARGV >= 0 ? @ARGV : <STDIN>; 
+@things = $#ARGV >= 0 ? @ARGV : <STDIN>;
 
 $total_objects = 0, $content_length = 0;
 
 # iterate through them
 foreach $thing (@things) {
-  chop $thing;
+    chop $thing;
 
-  $opt_d && (print STDERR ">> inspecting: $thing\n");
-  next if -d "$thing"; # don't want directories
+    $opt_d && (print STDERR ">> inspecting: $thing\n");
+    next if -d "$thing"; # don't want directories
 
-  $size = (stat($thing))[$ST_SIZE]||next;
-  $opt_d && (print STDERR ">> stat: $size\n");
-  print "$thing\n", next if ($size == 0);
-
-  $total_objects++;
-
-  $count = 0, $expected = 0;
-  open(IN, "$thing") || die "Can't open cached object $thing: $!";
-  while(<IN>) {
-    $count += length($_);
-    chop;
-    print STDERR ">> inspecting $_\n" if $opt_d;
-    last if /^(\s+|)$/; # drop out after the end of the HTTP headers
-
-    # skip if cached file appeared since script started running
-    if (-M $_ < 0) {
-      print STDERR ">> skipping $_\n" if $opt_d;
-      next;
+    $size = (stat($thing))[$ST_SIZE]||next;
+    $opt_d && (print STDERR ">> stat: $size\n");
+    print "$thing\n", next if ($size == 0);
+
+    $total_objects++;
+
+    $count = 0, $expected = 0;
+    open(IN, "$thing") || die "Can't open cached object $thing: $!";
+    while(<IN>) {
+        $count += length($_);
+        chop;
+        print STDERR ">> inspecting $_\n" if $opt_d;
+        last if /^(\s+|)$/; # drop out after the end of the HTTP headers
+
+        # skip if cached file appeared since script started running
+        if (-M $_ < 0) {
+            print STDERR ">> skipping $_\n" if $opt_d;
+            next;
+        }
+
+        if (/^Content-length:\s+(\d+)/i) {
+            $expected = $1;
+            $content_length++;
+        }
     }
-    
-    if (/^Content-length:\s+(\d+)/i) {
-      $expected = $1;
-      $content_length++;
-    }
-  }
-  close(IN);
+    close(IN);
 
-  next if $opt_c;
-  next if $expected == 0; # no Content-length header
+    next if $opt_c;
+    next if $expected == 0; # no Content-length header
 
-  # looked at the headers now
-  $difference = $size - $count;
-  $opt_d && print STDERR ">> real: ", $difference, ", expected: $expected\n";
-  if ($difference != $expected) {
-    print "$thing (expected: $expected, got: $difference)\n";
-  }
+    # looked at the headers now
+    $difference = $size - $count;
+    $opt_d && print STDERR ">> real: ", $difference, ", expected: $expected\n";
+    if ($difference != $expected) {
+        print "$thing (expected: $expected, got: $difference)\n";
+    }
 }
 
 print "$content_length out of $total_objects had Content-length: header\n"
-  if $opt_c;
+    if $opt_c;
diff -u -r -N squid-5.0.3/scripts/icpserver.pl squid-5.0.4/scripts/icpserver.pl
--- squid-5.0.3/scripts/icpserver.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/icpserver.pl	2020-08-23 05:40:17.000000000 +1200
@@ -14,7 +14,7 @@
 # by looking at CERN or Netscape style cache directory $cachedir
 #
 # martin hamilton <m.t.hamilton@lut.ac.uk>
-#  Id: icpserver,v 1.11 1995/11/24 16:20:13 martin Exp martin 
+#  Id: icpserver,v 1.11 1995/11/24 16:20:13 martin Exp martin
 
 # usage: icpserver [-c cachedir] [-n] [-p port] [multicast_group]
 #
@@ -33,8 +33,8 @@
 $CACHEDIR=$opt_c||"/usr/local/www/cache";
 $PORT=$opt_p||3130;
 $SERVER=$ARGV[0]||"0.0.0.0";
-$SERVERIP= ($SERVER =~ m!\d+.\d+.\d+.\d+!) ? 
-  pack("C4", split(/\./, $SERVER)) : (gethostbyname($SERVER))[4]; # lazy!
+$SERVERIP= ($SERVER =~ m!\d+.\d+.\d+.\d+!) ?
+    pack("C4", split(/\./, $SERVER)) : (gethostbyname($SERVER))[4]; # lazy!
 
 $SOCKADDR = 'S n a4 x8';
 
@@ -45,15 +45,15 @@
 #bind(S, $us2) || die "Couldn't bind socket: $!";
 
 if ($SERVER ne "0.0.0.0") { # i.e. multicast
-  $whoami = (`uname -a`)[0];
-  $IP_ADD_MEMBERSHIP=5;
-  $whoami =~ /SunOS [^\s]+ 5/ && ($IP_MULTICAST_TTL=19);
-  $whoami =~ /IRIX [^\s]+ 5/ && ($IP_MULTICAST_TTL=23);
-  $whoami =~ /OSF1/ && ($IP_MULTICAST_TTL=12);
-  # any more funnies ?
+    $whoami = (`uname -a`)[0];
+    $IP_ADD_MEMBERSHIP=5;
+    $whoami =~ /SunOS [^\s]+ 5/ && ($IP_MULTICAST_TTL=19);
+    $whoami =~ /IRIX [^\s]+ 5/ && ($IP_MULTICAST_TTL=23);
+    $whoami =~ /OSF1/ && ($IP_MULTICAST_TTL=12);
+    # any more funnies ?
 
-  setsockopt(S, 0, $IP_ADD_MEMBERSHIP, $SERVERIP."\0\0\0\0") 
-    || die "Couldn't join multicast group $SERVER: $!";
+    setsockopt(S, 0, $IP_ADD_MEMBERSHIP, $SERVERIP."\0\0\0\0")
+        || die "Couldn't join multicast group $SERVER: $!";
 }
 
 # Common header for ICP datagrams ... (size in bytes - total 20)
@@ -72,48 +72,48 @@
 
 # Might be fast enough to get away without forking or non-blocking I/O ... ?
 while(1) {
-  $theiraddr = recv(S, $ICP_request, 1024, 0);
-  ($junk, $junk, $sourceaddr, $junk) = unpack($SOCKADDR, $theiraddr);
-  @theirip = unpack('C4', $sourceaddr);
-
-  $URL_length = length($ICP_request) - 24;
-  $request_template = 'CCnx4x8x4a4a' . $URL_length;
-  ($type, $version, $length, $requester, $URL) = 
-    unpack($request_template, $ICP_request);
-
-  $URL =~ s/\.\.\///g; # be cautious - any others to watch out for ?
-
-  # lookup object in cache
-  $hitmisserr = 3;
-  if ($type eq 1 && $URL =~ m!^([^:]+):/?/?([^/]+)/(.*)!) {
-    $scheme = $1; $hostport = $2; $path = $3;
-    if ($path eq "") { $path = "index.html"; }
-
-    if ($opt_n) {
-      ($host, $port) = split(/:/, $hostport); # strip off port number
-      $port = ":$port" if ($port);
-      $match = "";
-      foreach (split(/\./, $hostport)) {
-        $match = "$_/$match"; # little-endian -> big-endian conversion
-      }
-      $match = "$CACHEDIR/hosts/$match$scheme$port.urls"; # full path
-      if (-f "$match") {
-        #### optimize! ####
-        open(IN, "$match") && do {
-          while(<IN>) { /^$URL / && ($hitmisserr = 2, last); }
-          close(IN);
+    $theiraddr = recv(S, $ICP_request, 1024, 0);
+    ($junk, $junk, $sourceaddr, $junk) = unpack($SOCKADDR, $theiraddr);
+    @theirip = unpack('C4', $sourceaddr);
+
+    $URL_length = length($ICP_request) - 24;
+    $request_template = 'CCnx4x8x4a4a' . $URL_length;
+    ($type, $version, $length, $requester, $URL) =
+        unpack($request_template, $ICP_request);
+
+    $URL =~ s/\.\.\///g; # be cautious - any others to watch out for ?
+
+    # lookup object in cache
+    $hitmisserr = 3;
+    if ($type eq 1 && $URL =~ m!^([^:]+):/?/?([^/]+)/(.*)!) {
+        $scheme = $1; $hostport = $2; $path = $3;
+        if ($path eq "") { $path = "index.html"; }
+
+        if ($opt_n) {
+            ($host, $port) = split(/:/, $hostport); # strip off port number
+            $port = ":$port" if ($port);
+            $match = "";
+            foreach (split(/\./, $hostport)) {
+                $match = "$_/$match"; # little-endian -> big-endian conversion
+            }
+            $match = "$CACHEDIR/hosts/$match$scheme$port.urls"; # full path
+            if (-f "$match") {
+                #### optimize! ####
+                open(IN, "$match") && do {
+                    while(<IN>) { /^$URL / && ($hitmisserr = 2, last); }
+                    close(IN);
+                    }
+            }
+        } else {
+            $hitmisserr = 2 if -f "$CACHEDIR/$scheme/$hostport/$path";
         }
-      }
-    } else {
-      $hitmisserr = 2 if -f "$CACHEDIR/$scheme/$hostport/$path";
     }
-  }
-  
-  print "$type $hitmisserr ", join(".", @theirip), " $URL\n" if $opt_v;
-
-  $response_template = 'CCnx4x8x4A' . length($URL);
-  $ICP_response = 
-    pack($response_template, $hitmisserr, 2, 20 + length($URL), $URL);
-  send(S, $ICP_response, 0, $theiraddr) || die "Couldn't send request: $!";
+
+    print "$type $hitmisserr ", join(".", @theirip), " $URL\n" if $opt_v;
+
+    $response_template = 'CCnx4x8x4A' . length($URL);
+    $ICP_response =
+        pack($response_template, $hitmisserr, 2, 20 + length($URL), $URL);
+    send(S, $ICP_response, 0, $theiraddr) || die "Couldn't send request: $!";
 }
 
diff -u -r -N squid-5.0.3/scripts/icp-test.pl squid-5.0.4/scripts/icp-test.pl
--- squid-5.0.3/scripts/icp-test.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/icp-test.pl	2020-08-23 05:40:17.000000000 +1200
@@ -7,7 +7,7 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-# icp-test.pl 
+# icp-test.pl
 #
 # Duane Wessels, Nov 1996
 #
@@ -49,7 +49,7 @@
     "UDP_DENIED",
     "UDP_HIT_OBJ",
     "ICP_END"
-);
+    );
 
 require 'sys/socket.ph';
 
@@ -61,7 +61,7 @@
 $myip=(gethostbyname($me))[4];
 
 die "socket: $!\n" unless
-	socket (SOCK, &AF_INET, &SOCK_DGRAM, $proto);
+    socket (SOCK, &AF_INET, &SOCK_DGRAM, $proto);
 
 $flags = 0;
 $flags |= 0x80000000;
@@ -69,56 +69,56 @@
 $flags = ~0;
 
 while ($ARGV[0] =~ /([^:]+):(\d+)/) {
-	$host = $1;
-	$port = $2;
-	($fqdn, $aliases, $type, $len, $themaddr) = gethostbyname($host);
-	$ADDR{$host} = pack('Sna4x8', &AF_INET, $port, $themaddr);
-	$ip = join('.', unpack('C4', $themaddr));
-	$FQDN{$ip} = $fqdn;
-	shift;
+    $host = $1;
+    $port = $2;
+    ($fqdn, $aliases, $type, $len, $themaddr) = gethostbyname($host);
+    $ADDR{$host} = pack('Sna4x8', &AF_INET, $port, $themaddr);
+    $ip = join('.', unpack('C4', $themaddr));
+    $FQDN{$ip} = $fqdn;
+    shift;
 }
 
 $rn = 0;
 while (<>) {
-	print;
-	chop;
-	$len = length($_) + 1;
-	$request_template = sprintf 'CCnNNa4a4x4a%d', $len;
-	$request = pack($request_template,
-		1,              # C opcode
-		2,              # C version
-		24 + $len,      # n length
-		++$rn,          # N reqnum
-		$flags,         # N flags
-		'',             # a4 pad
-		$myip,          # a4 shostid
-		$_);            # a%d payload
-	$n = 0;
-	foreach $host (keys %ADDR) {
-		$port = $PORT{$host};
-		@ip = split('\.', $IP{$host});
-		$them = pack('SnC4x8', &AF_INET, $port, @ip);
-		($sport,@IP) = unpack('x2nC4x8', $ADDR{$host});
-		die "send: $!\n" unless send(SOCK, $request, 0, $ADDR{$host});
-		$n++;
-	}
-	while ($n > 0) {
-        	$rin = '';
-        	vec($rin,fileno(SOCK),1) = 1;
-        	($nfound,$timeleft) = select($rout=$rin, undef, undef, 2.0);
-		last if ($nfound == 0);
-		die "recv: $!\n" unless
-                	$theiraddr = recv(SOCK, $reply, 1024, 0);
-  		($junk, $junk, $sourceaddr, $junk) = unpack($sockaddr, $theiraddr);
-  		$ip = join('.', unpack('C4', $sourceaddr));
-        	($type,$ver,$len,$flag,$p1,$p2,$payload) = unpack('CCnx4Nnnx4A', $reply);
-        	printf "\t%-20.20s %-10.10s",
-			$FQDN{$ip},
-			$CODES[$type];
-		print " hop=$p1" if ($opt_n);
-		print " rtt=$p2" if ($opt_n);
-		print "\n";
-		$n--;
-	}
+    print;
+    chop;
+    $len = length($_) + 1;
+    $request_template = sprintf 'CCnNNa4a4x4a%d', $len;
+    $request = pack($request_template,
+        1,              # C opcode
+        2,              # C version
+        24 + $len,      # n length
+        ++$rn,          # N reqnum
+        $flags,         # N flags
+        '',             # a4 pad
+        $myip,          # a4 shostid
+        $_);            # a%d payload
+    $n = 0;
+    foreach $host (keys %ADDR) {
+        $port = $PORT{$host};
+        @ip = split('\.', $IP{$host});
+        $them = pack('SnC4x8', &AF_INET, $port, @ip);
+        ($sport,@IP) = unpack('x2nC4x8', $ADDR{$host});
+        die "send: $!\n" unless send(SOCK, $request, 0, $ADDR{$host});
+        $n++;
+    }
+    while ($n > 0) {
+        $rin = '';
+        vec($rin,fileno(SOCK),1) = 1;
+        ($nfound,$timeleft) = select($rout=$rin, undef, undef, 2.0);
+        last if ($nfound == 0);
+        die "recv: $!\n" unless
+            $theiraddr = recv(SOCK, $reply, 1024, 0);
+        ($junk, $junk, $sourceaddr, $junk) = unpack($sockaddr, $theiraddr);
+        $ip = join('.', unpack('C4', $sourceaddr));
+        ($type,$ver,$len,$flag,$p1,$p2,$payload) = unpack('CCnx4Nnnx4A', $reply);
+        printf "\t%-20.20s %-10.10s",
+            $FQDN{$ip},
+            $CODES[$type];
+        print " hop=$p1" if ($opt_n);
+        print " rtt=$p2" if ($opt_n);
+        print "\n";
+        $n--;
+    }
 }
 
diff -u -r -N squid-5.0.3/scripts/tcp-banger.pl squid-5.0.4/scripts/tcp-banger.pl
--- squid-5.0.3/scripts/tcp-banger.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/tcp-banger.pl	2020-08-23 05:40:17.000000000 +1200
@@ -7,7 +7,7 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-# tcp-banger.pl	
+# tcp-banger.pl
 #
 # Duane Wessels, Dec 1995
 #
@@ -34,21 +34,21 @@
 $that = pack($sockaddr, &AF_INET, $port, $thataddr);
 
 while (<>) {
-	chop ($url = $_);
+    chop ($url = $_);
 
-	die "socket: $!\n" unless
-        	socket (SOCK, &AF_INET, &SOCK_STREAM, $proto);
-	die "bind: $!\n" unless
-        	bind (SOCK, $thissock);
-        die "$host:$port: $!\n" unless
-		connect (SOCK, $that);
-        select (SOCK); $| = 1;
-        select (STDOUT);
-
-	print SOCK "GET $url HTTP/1.0\r\nAccept: */*\r\n\r\n";
-	$_ = <SOCK>;
-	($ver,$code,$junk) = split;
-	printf "%s %s\n", $code ? $code : 'FAIL', $url;
-	1 while (read(SOCK,$_,4096));
-	close SOCK;
+    die "socket: $!\n" unless
+        socket (SOCK, &AF_INET, &SOCK_STREAM, $proto);
+    die "bind: $!\n" unless
+        bind (SOCK, $thissock);
+    die "$host:$port: $!\n" unless
+        connect (SOCK, $that);
+    select (SOCK); $| = 1;
+    select (STDOUT);
+
+    print SOCK "GET $url HTTP/1.0\r\nAccept: */*\r\n\r\n";
+    $_ = <SOCK>;
+    ($ver,$code,$junk) = split;
+    printf "%s %s\n", $code ? $code : 'FAIL', $url;
+    1 while (read(SOCK,$_,4096));
+    close SOCK;
 }
diff -u -r -N squid-5.0.3/scripts/trace-job.pl squid-5.0.4/scripts/trace-job.pl
--- squid-5.0.3/scripts/trace-job.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/trace-job.pl	2020-08-23 05:40:17.000000000 +1200
@@ -8,7 +8,7 @@
 ##
 
 # Reads cache.log and displays lines that correspond to a given async job.
-# 
+#
 # If job entering/exiting line format changes, the script must be updated.
 # Keep the old RE around for a while because they may be handy for working
 # with folks running older Squids.
@@ -28,28 +28,28 @@
 my $entering;
 
 while (<>) {
-	$entering = $_ if !$inside && /[|:] entering\b/;
-	undef $entering if /[|:] leaving\b/;
+    $entering = $_ if !$inside && /[|:] entering\b/;
+    undef $entering if /[|:] leaving\b/;
 
-	# if (!$inside && /\bcalled\b.*\b$XactId\b/o) {
-	if (!$inside && /\bstatus in\b.*\b$XactId\b/o) {
-		print $entering if defined $entering;
-		$inside = 1;
-	}
-
-	my $external = !$inside && /\b$XactId\b/o;
-	
-	print $_ if $inside || $external;
-	print "\n" if $external;
-
-	next unless $inside;
-
-	# if (/\bended\b.*\b$XactId\b/o || /\bswan\s+sang\b.*\b$XactId\b/o) {
-	# if (/\bstatus out\b.*\b$XactId\b/o || /\bswan\s+sang\b.*\b$XactId\b/o ||
-	if (/[|:] leaving\b/) {
-		print "\n";
-		$inside = 0;
-	}
+    # if (!$inside && /\bcalled\b.*\b$XactId\b/o) {
+    if (!$inside && /\bstatus in\b.*\b$XactId\b/o) {
+        print $entering if defined $entering;
+        $inside = 1;
+    }
+
+    my $external = !$inside && /\b$XactId\b/o;
+
+    print $_ if $inside || $external;
+    print "\n" if $external;
+
+    next unless $inside;
+
+    # if (/\bended\b.*\b$XactId\b/o || /\bswan\s+sang\b.*\b$XactId\b/o) {
+    # if (/\bstatus out\b.*\b$XactId\b/o || /\bswan\s+sang\b.*\b$XactId\b/o ||
+    if (/[|:] leaving\b/) {
+        print "\n";
+        $inside = 0;
+    }
 }
 
 exit(0);
diff -u -r -N squid-5.0.3/scripts/trace-master.pl squid-5.0.4/scripts/trace-master.pl
--- squid-5.0.3/scripts/trace-master.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/trace-master.pl	2020-08-23 05:40:17.000000000 +1200
@@ -20,7 +20,7 @@
 # Currently, the script reads and remembers all master transactions because it
 # does not know which one should be tracked in advance. Eventually, we may
 # have a more efficient way of tying master transaction to a job.
-# 
+#
 
 
 use strict;
@@ -34,137 +34,134 @@
 my $entering;
 
 while (<STDIN>) {
-	$entering = $_ if !$inside && /[|:] entering\b/;
-	undef $entering if /[|:] leaving\b/;
+    $entering = $_ if !$inside && /[|:] entering\b/;
+    undef $entering if /[|:] leaving\b/;
 
-	if (!$inside && /\bstatus in\b.*\b(?:async|job|icapx)(\d+)\b/o) {
-		$inside = $1;
-		&enterJob($inside);
-		&updateJob($inside, $entering) if defined $entering;
-		undef $entering;
-	} 
-	elsif (!$inside && /\b(?:async|job|icapx)(\d+)\b/o) {
-		updateJob($1, "$_\n"); # isolated line
-	}
-
-	next unless $inside;	
-
-	&updateJob($inside, $_);
-
-	if (/AsyncJob constructed.*\[\S+?(\d+)\]/) {
-		&linkJobs($inside, $1, $_);
-	}
-	
-	if (/[|:] leaving\b/) {
-		$inside = 0;
-	}
+    if (!$inside && /\bstatus in\b.*\b(?:async|job|icapx)(\d+)\b/o) {
+        $inside = $1;
+        &enterJob($inside);
+        &updateJob($inside, $entering) if defined $entering;
+        undef $entering;
+    }
+    elsif (!$inside && /\b(?:async|job|icapx)(\d+)\b/o) {
+        updateJob($1, "$_\n"); # isolated line
+    }
+
+    next unless $inside;
+
+    &updateJob($inside, $_);
+
+    if (/AsyncJob constructed.*\[\S+?(\d+)\]/) {
+        &linkJobs($inside, $1, $_);
+    }
+
+    if (/[|:] leaving\b/) {
+        $inside = 0;
+    }
 }
 
 foreach my $id (@InterestingJobs) {
-	# Squid uses asyncNNN, jobNNN, icapxNNN for the same job/transaction
-	$id =~ s/^(?:async|job|icapx)(\d+)$/$1/;
-	reportJob($id, 1);
+    # Squid uses asyncNNN, jobNNN, icapxNNN for the same job/transaction
+    $id =~ s/^(?:async|job|icapx)(\d+)$/$1/;
+    reportJob($id, 1);
 }
 
 exit(0);
 
 
-
 sub enterJob {
-	my ($id) = @_;
-	my $job = &getJob($id);
+    my ($id) = @_;
+    my $job = &getJob($id);
 }
 
 sub updateJob {
-	my ($id, $line) = @_;
+    my ($id, $line) = @_;
 
-	my $job = &getJob($id);
-	$job->{history} .= $line;
+    my $job = &getJob($id);
+    $job->{history} .= $line;
 
-	if ($line =~ /\bFD (\d+)/) {
-		$job->{fds}->{$1} = 1;
-	}
+    if ($line =~ /\bFD (\d+)/) {
+        $job->{fds}->{$1} = 1;
+    }
 }
 
 sub linkJobs {
-	my ($parentId, $kidId, $line) = @_;
+    my ($parentId, $kidId, $line) = @_;
+
+    my $parent = $Jobs{$parentId} or die("missing linked job $parentId");
+    push @{$parent->{kids}}, $kidId;
 
-	my $parent = $Jobs{$parentId} or die("missing linked job $parentId");
-	push @{$parent->{kids}}, $kidId;
-	
-	my $kid = &getJob($kidId);
-	die("two parents for $kidId: ". $kid->{parent}. " and $parentId") if $kid->{parent};
-	$kid->{parent} = $parentId;
+    my $kid = &getJob($kidId);
+    die("two parents for $kidId: ". $kid->{parent}. " and $parentId") if $kid->{parent};
+    $kid->{parent} = $parentId;
 
-	$kid->{history} .= $line; # birth
+    $kid->{history} .= $line; # birth
 }
 
 sub getJob {
-	my $id = shift;
-
-	my $job = $Jobs{$id};
-	return $job if $job;
-
-	$job = {
-		id => $id,
-		kids => [],
-		fds => {},
-		parent => undef(),
+    my $id = shift;
 
-		start => undef(),
-		history => '',
+    my $job = $Jobs{$id};
+    return $job if $job;
 
-		reported => 0,
-	};
+    $job = {
+        id => $id,
+        kids => [],
+        fds => {},
+        parent => undef(),
+        start => undef(),
+        history => '',
+        reported => 0,
+        };
 
-	$Jobs{$id} = $job;
-	return $job;
+    $Jobs{$id} = $job;
+    return $job;
 }
 
 
 sub reportJob {
-	my ($id, $recursive) = @_;
+    my ($id, $recursive) = @_;
 
-	my $job = $Jobs{$id} or die("Did not see job$id\n");
+    my $job = $Jobs{$id} or die("Did not see job$id\n");
 
-	# several kids may try to report their common parent
-	return if $job->{reported};
-	$job->{reported} = 1;
+    # several kids may try to report their common parent
+    return if $job->{reported};
+    $job->{reported} = 1;
 
-	&reportJob($job->{parent}, 0) if $job->{parent};
+    &reportJob($job->{parent}, 0) if $job->{parent};
 
-	&reportJobParam($id, 'parent');
-	&reportJobParam($id, 'kids', join(', ', @{$job->{kids}}));
-	&reportJobParam($id, 'FDs', join(', ', keys %{$job->{fds}}));
-	&reportJobHistory($id);
+    &reportJobParam($id, 'parent');
+    &reportJobParam($id, 'kids', join(', ', @{$job->{kids}}));
+    &reportJobParam($id, 'FDs', join(', ', keys %{$job->{fds}}));
+    &reportJobHistory($id);
 
-	return unless $recursive;
+    return unless $recursive;
 
-	foreach my $kidId (@{$job->{kids}}) {
-		&reportJob($kidId, $recursive);
-	}
+    foreach my $kidId (@{$job->{kids}}) {
+        &reportJob($kidId, $recursive);
+    }
 }
 
 sub reportJobParam {
-	my ($id, $name, $value) = @_;
-	my $job = $Jobs{$id} or die;
+    my ($id, $name, $value) = @_;
+    my $job = $Jobs{$id} or die;
 
-	$value = $job->{$name} if @_ < 3;
-	$value = '?' unless defined $value;
-	$value = "\n$value" if $value =~ /\n/m;
-	printf("job%d %s: %s\n", $id, $name, $value);
+    $value = $job->{$name} if @_ < 3;
+    $value = '?' unless defined $value;
+    $value = "\n$value" if $value =~ /\n/m;
+    printf("job%d %s: %s\n", $id, $name, $value);
 }
 
 sub reportJobHistory {
-	my ($id) = @_;
-	my $job = $Jobs{$id} or die;
+    my ($id) = @_;
+    my $job = $Jobs{$id} or die;
 
-	my $history = $job->{history};
-	my @lines = split(/\n/, $history);
-	&reportJobParam($id, 'history', (scalar @lines) . " entries");
-
-	foreach my $line (@lines) {
-		print "$line\n";
-		print "\n" if $line =~ /[|:] leaving\b/;
-	}
+    my $history = $job->{history};
+    my @lines = split(/\n/, $history);
+    &reportJobParam($id, 'history', (scalar @lines) . " entries");
+
+    foreach my $line (@lines) {
+        print "$line\n";
+        print "\n" if $line =~ /[|:] leaving\b/;
+    }
 }
diff -u -r -N squid-5.0.3/scripts/udp-banger.pl squid-5.0.4/scripts/udp-banger.pl
--- squid-5.0.3/scripts/udp-banger.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/udp-banger.pl	2020-08-23 05:40:17.000000000 +1200
@@ -7,7 +7,7 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-# udp-banger.pl 
+# udp-banger.pl
 #
 # Duane Wessels, Dec 1995
 #
@@ -55,7 +55,7 @@
     "UDP_DENIED",
     "UDP_HIT_OBJ",
     "ICP_END"
-);
+    );
 
 $sock = IO::Socket::INET->new(PeerAddr => "$host:$port", Proto => 'udp');
 die "socket: $!\n" unless defined($sock);
@@ -66,7 +66,7 @@
 $flags = fcntl ($sock, &F_GETFL, 0);
 $flags |= &O_NONBLOCK;
 die "fcntl O_NONBLOCK: $!\n" unless
-	fcntl ($sock, &F_SETFL, $flags);
+    fcntl ($sock, &F_SETFL, $flags);
 
 $flags = 0;
 $flags |= 0x80000000;
@@ -76,55 +76,55 @@
 
 $start = time;
 while (<>) {
-	chop;
+    chop;
 
-	if ($opt_l) { # it's a Squid log file
-		@stuff = split(/\s+/, $_);
-		$_ = $stuff[6];
-	}
-
-        $len = length($_) + 1;
-        $request_template = sprintf 'CCnNNa4a4x4a%d', $len;
-        $request = pack($request_template,
-                1,              # C opcode
-                2,              # C version
-                24 + $len,      # n length
-                ++$rn,          # N reqnum
-                $flags,         # N flags
-                '',             # a4 pad
-                $myip,          # a4 shostid
-                $_);            # a%d payload
-	die "send: $!\n" unless
-		send($sock, $request, 0);
-	$nsent++;
-        $rin = '';
-        vec($rin,fileno($sock),1) = 1;
-        ($nfound,$timeleft) = select($rout=$rin, undef, undef, 2.0);
-	next if ($nfound == 0);
-	while (1) {
-        	last unless ($theiraddr = recv($sock, $reply, 1024, 0));
-        	next if $opt_q; # quietly carry on
-		$nrecv++;
-		if ($opt_r) {
-			# only print send/receive rates
-			if (($nsent & 0xFF) == 0) {
-	    			$dt = time - $start;
-	    			printf "SENT %d %f/sec; RECV %d %f/sec\n",
-					$nsent,
-					$nsent / $dt,
-					$nrecv,
-					$nrecv / $dt;
-			}
-		} else {
-			# print the whole reply
-  			($junk, $junk, $sourceaddr, $junk) = unpack($sockaddr, $theiraddr);
-  			@theirip = unpack('C4', $sourceaddr);
-        		($type,$ver,$len,$flag,$p1,$p2,$payload) = unpack('CCnx4Nnnx4A', $reply);
-        		print join('.', @theirip) . ' ' . $CODES[$type] . " $_";
-			print " hop=$p1" if ($opt_n);
-			print " rtt=$p2" if ($opt_n);
-			print "\n";
-		}
+    if ($opt_l) { # it's a Squid log file
+        @stuff = split(/\s+/, $_);
+        $_ = $stuff[6];
+    }
+
+    $len = length($_) + 1;
+    $request_template = sprintf 'CCnNNa4a4x4a%d', $len;
+    $request = pack($request_template,
+        1,              # C opcode
+        2,              # C version
+        24 + $len,      # n length
+        ++$rn,          # N reqnum
+        $flags,         # N flags
+        '',             # a4 pad
+        $myip,          # a4 shostid
+        $_);            # a%d payload
+    die "send: $!\n" unless
+        send($sock, $request, 0);
+    $nsent++;
+    $rin = '';
+    vec($rin,fileno($sock),1) = 1;
+    ($nfound,$timeleft) = select($rout=$rin, undef, undef, 2.0);
+    next if ($nfound == 0);
+    while (1) {
+        last unless ($theiraddr = recv($sock, $reply, 1024, 0));
+        next if $opt_q; # quietly carry on
+        $nrecv++;
+        if ($opt_r) {
+            # only print send/receive rates
+            if (($nsent & 0xFF) == 0) {
+                $dt = time - $start;
+                printf "SENT %d %f/sec; RECV %d %f/sec\n",
+                    $nsent,
+                    $nsent / $dt,
+                    $nrecv,
+                    $nrecv / $dt;
+            }
+        } else {
+            # print the whole reply
+            ($junk, $junk, $sourceaddr, $junk) = unpack($sockaddr, $theiraddr);
+            @theirip = unpack('C4', $sourceaddr);
+            ($type,$ver,$len,$flag,$p1,$p2,$payload) = unpack('CCnx4Nnnx4A', $reply);
+            print join('.', @theirip) . ' ' . $CODES[$type] . " $_";
+            print " hop=$p1" if ($opt_n);
+            print " rtt=$p2" if ($opt_n);
+            print "\n";
         }
+    }
 }
 
diff -u -r -N squid-5.0.3/scripts/upgrade-1.0-store.pl squid-5.0.4/scripts/upgrade-1.0-store.pl
--- squid-5.0.3/scripts/upgrade-1.0-store.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/scripts/upgrade-1.0-store.pl	2020-08-23 05:40:17.000000000 +1200
@@ -22,7 +22,7 @@
 $NEW_SWAP_DIRECTORIES_L1 = 16;
 $NEW_SWAP_DIRECTORIES_L2 = 256;
 
-$EEXIST = 17; 		# check your /usr/include/errno.h
+$EEXIST = 17;         # check your /usr/include/errno.h
 
 print <<EOF;
 This script converts Squid 1.0 cache directories to the Squid 1.1
@@ -43,47 +43,47 @@
 
 # make new directories
 foreach $c (@cachedirs) {
-	$cn = "$c.new";
-	&my_mkdir ($cn);
-	foreach $d1 (0..($NEW_SWAP_DIRECTORIES_L1-1)) {
-		$p1 = sprintf ("$cn/%02X", $d1);
-		&my_mkdir ($p1);
-		foreach $d2 (0..($NEW_SWAP_DIRECTORIES_L2-1)) {
-			$p2 = sprintf ("$p1/%02X", $d2);
-			&my_mkdir ($p2);
-		}
-	}
+    $cn = "$c.new";
+    &my_mkdir ($cn);
+    foreach $d1 (0..($NEW_SWAP_DIRECTORIES_L1-1)) {
+        $p1 = sprintf ("$cn/%02X", $d1);
+        &my_mkdir ($p1);
+        foreach $d2 (0..($NEW_SWAP_DIRECTORIES_L2-1)) {
+            $p2 = sprintf ("$p1/%02X", $d2);
+            &my_mkdir ($p2);
+        }
+    }
 }
 
 $newlog = "$swaplog.1.1";
 open (newlog, ">$newlog") || die "$newlog: $!\n";
 select(newlog); $|=1; select(STDOUT);
-open (swaplog)	|| die "$swaplog: $!\n";
+open (swaplog)    || die "$swaplog: $!\n";
 $count = 0;
 while (<swaplog>) {
-	chop;
-	($file,$url,$expires,$timestamp,$size) = split;
-	@F = split('/', $file);
-	$oldfileno = pop @F;
-	$oldpath = &old_fileno_to_path($oldfileno);
-	unless (@S = stat($oldpath)) {
-		print "$oldpath: $!\n";
-		next;
-	}
-	unless ($S[7] == $size) {
-		print "$oldpath: Wrong Size.\n";
-		next;
-	}
-	$newpath = &new_fileno_to_path($oldfileno);
-	next unless &my_link($oldpath,$newpath);
-	printf newlog "%08x %08x %08x %08x %9d %s\n",
-		$oldfileno,
-		$timestamp,
-		$expires,
-		$timestamp,	# lastmod
-		$size,
-		$url;
-	$count++;
+    chop;
+    ($file,$url,$expires,$timestamp,$size) = split;
+    @F = split('/', $file);
+    $oldfileno = pop @F;
+    $oldpath = &old_fileno_to_path($oldfileno);
+    unless (@S = stat($oldpath)) {
+        print "$oldpath: $!\n";
+        next;
+    }
+    unless ($S[7] == $size) {
+        print "$oldpath: Wrong Size.\n";
+        next;
+    }
+    $newpath = &new_fileno_to_path($oldfileno);
+    next unless &my_link($oldpath,$newpath);
+    printf newlog "%08x %08x %08x %08x %9d %s\n",
+        $oldfileno,
+        $timestamp,
+        $expires,
+        $timestamp,    # lastmod
+        $size,
+        $url;
+    $count++;
 }
 
 
@@ -111,38 +111,38 @@
 
 
 sub old_fileno_to_path {
-	local($fn) = @_;
-	sprintf ("%s/%02d/%d",
-		$cachedirs[$fn % $ncache_dirs],
-		($fn / $ncache_dirs) % $OLD_SWAP_DIRECTORIES,
-		$fn);
+    local($fn) = @_;
+    sprintf ("%s/%02d/%d",
+        $cachedirs[$fn % $ncache_dirs],
+        ($fn / $ncache_dirs) % $OLD_SWAP_DIRECTORIES,
+        $fn);
 }
 
 sub new_fileno_to_path {
-	local($fn) = @_;
-	sprintf ("%s.new/%02X/%02X/%08X",
-		$cachedirs[$fn % $ncache_dirs],
-		($fn / $ncache_dirs) % $NEW_SWAP_DIRECTORIES_L1,
-		($fn / $ncache_dirs) / $NEW_SWAP_DIRECTORIES_L1 % $NEW_SWAP_DIRECTORIES_L2,
-		$fn);
+    local($fn) = @_;
+    sprintf ("%s.new/%02X/%02X/%08X",
+        $cachedirs[$fn % $ncache_dirs],
+        ($fn / $ncache_dirs) % $NEW_SWAP_DIRECTORIES_L1,
+        ($fn / $ncache_dirs) / $NEW_SWAP_DIRECTORIES_L1 % $NEW_SWAP_DIRECTORIES_L2,
+        $fn);
 }
 
 sub my_mkdir {
-	local($p) = @_;
-	print "Making $p...\n";
-	return if ($dry_run);
-	unless (mkdir ($p, 0755)) {
-		return 1 if ($! == $EEXIST);
-		die "$p: $!\n";
-	}
+    local($p) = @_;
+    print "Making $p...\n";
+    return if ($dry_run);
+    unless (mkdir ($p, 0755)) {
+        return 1 if ($! == $EEXIST);
+        die "$p: $!\n";
+    }
 }
 
 sub my_link {
-	local($f,$t) = @_;
-	print "$f --> $t\n";
-	return 1 if ($dry_run);
-	unlink($t);
-	$rc = link ($f,$t);
-	warn "$t: $!\n" unless ($rc);
-	$rc;
+    local($f,$t) = @_;
+    print "$f --> $t\n";
+    return 1 if ($dry_run);
+    unlink($t);
+    $rc = link ($f,$t);
+    warn "$t: $!\n" unless ($rc);
+    $rc;
 }
diff -u -r -N squid-5.0.3/src/AccessLogEntry.h squid-5.0.4/src/AccessLogEntry.h
--- squid-5.0.3/src/AccessLogEntry.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/AccessLogEntry.h	2020-08-23 05:40:17.000000000 +1200
@@ -79,8 +79,8 @@
     // are stored in hier.tcpServer
 
     /** \brief This subclass holds log info for HTTP protocol
-     * \todo Inner class declarations should be moved outside
-     * \todo details of HTTP held in the parent class need moving into here.
+     * TODO: Inner class declarations should be moved outside
+     * TODO: details of HTTP held in the parent class need moving into here.
      */
     class HttpDetails
     {
@@ -104,7 +104,7 @@
     } http;
 
     /** \brief This subclass holds log info for ICP protocol
-     * \todo Inner class declarations should be moved outside
+     * TODO: Inner class declarations should be moved outside
      */
     class IcpDetails
     {
@@ -113,7 +113,7 @@
     } icp;
 
     /** \brief This subclass holds log info for HTCP protocol
-     * \todo Inner class declarations should be moved outside
+     * TODO: Inner class declarations should be moved outside
      */
     class HtcpDetails
     {
@@ -132,9 +132,9 @@
 #endif
 
     /** \brief This subclass holds log info for Squid internal stats
-     * \todo Inner class declarations should be moved outside
-     * \todo some details relevant to particular protocols need shuffling to other sub-classes
-     * \todo this object field need renaming to 'squid' or something.
+     * TODO: Inner class declarations should be moved outside
+     * TODO: some details relevant to particular protocols need shuffling to other sub-classes
+     * TODO: this object field need renaming to 'squid' or something.
      */
     class CacheDetails
     {
@@ -161,7 +161,7 @@
     } cache;
 
     /** \brief This subclass holds log info for various headers in raw format
-     * \todo shuffle this to the relevant protocol section.
+     * TODO: shuffle this to the relevant protocol section.
      */
     class Headers
     {
@@ -172,7 +172,7 @@
 
 #if USE_ADAPTATION
     /** \brief This subclass holds general adaptation log info.
-     * \todo Inner class declarations should be moved outside.
+     * TODO: Inner class declarations should be moved outside.
      */
     class AdaptationDetails
     {
@@ -199,7 +199,7 @@
 
 #if ICAP_CLIENT
     /** \brief This subclass holds log info for ICAP part of request
-     *  \todo Inner class declarations should be moved outside
+     *  TODO: Inner class declarations should be moved outside
      */
     class IcapLogEntry
     {
diff -u -r -N squid-5.0.3/src/acl/Acl.h squid-5.0.4/src/acl/Acl.h
--- squid-5.0.3/src/acl/Acl.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/acl/Acl.h	2020-08-23 05:40:17.000000000 +1200
@@ -118,7 +118,7 @@
     // not explicit: allow "aclMatchCode to Acl::Answer" conversions (for now)
     Answer(const aclMatchCode aCode, int aKind = 0): code(aCode), kind(aKind) {}
 
-    Answer(): code(ACCESS_DUNNO), kind(0) {}
+    Answer() = default;
 
     bool operator ==(const aclMatchCode aCode) const {
         return code == aCode;
@@ -151,8 +151,13 @@
     /// whether Squid is uncertain about the allowed() or denied() answer
     bool conflicted() const { return !allowed() && !denied(); }
 
-    aclMatchCode code; ///< ACCESS_* code
-    int kind; ///< which custom access list verb matched
+    aclMatchCode code = ACCESS_DUNNO; ///< ACCESS_* code
+
+    /// the matched custom access list verb (or zero)
+    int kind = 0;
+
+    /// whether we were computed by the "negate the last explicit action" rule
+    bool implicit = false;
 };
 
 } // namespace Acl
diff -u -r -N squid-5.0.3/src/acl/Checklist.cc squid-5.0.4/src/acl/Checklist.cc
--- squid-5.0.3/src/acl/Checklist.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/acl/Checklist.cc	2020-08-23 05:40:17.000000000 +1200
@@ -379,6 +379,7 @@
         implicitRuleAnswer = Acl::Answer(ACCESS_DENIED);
     // else we saw no rules and will respond with ACCESS_DUNNO
 
+    implicitRuleAnswer.implicit = true;
     debugs(28, 3, HERE << this << " NO match found, last action " <<
            lastAction << " so returning " << implicitRuleAnswer);
     markFinished(implicitRuleAnswer, "implicit rule won");
diff -u -r -N squid-5.0.3/src/acl/DestinationDomain.cc squid-5.0.4/src/acl/DestinationDomain.cc
--- squid-5.0.3/src/acl/DestinationDomain.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/acl/DestinationDomain.cc	2020-08-23 05:40:17.000000000 +1200
@@ -89,7 +89,7 @@
         checklist->dst_rdns = xstrdup(fqdn);
         return data->match(fqdn);
     } else if (!checklist->destinationDomainChecked()) {
-        /* FIXME: Using AclMatchedName here is not OO correct. Should find a way to the current acl */
+        // TODO: Using AclMatchedName here is not OO correct. Should find a way to the current acl
         debugs(28, 3, "Can't yet compare '" << AclMatchedName << "' ACL for " << checklist->request->url.host());
         if (checklist->goAsync(DestinationDomainLookup::Instance()))
             return -1;
diff -u -r -N squid-5.0.3/src/acl/external/delayer/ext_delayer_acl.8 squid-5.0.4/src/acl/external/delayer/ext_delayer_acl.8
--- squid-5.0.3/src/acl/external/delayer/ext_delayer_acl.8	2020-06-09 19:09:20.000000000 +1200
+++ squid-5.0.4/src/acl/external/delayer/ext_delayer_acl.8	2020-08-23 05:50:04.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "EXT_DELAYER_ACL 8"
-.TH EXT_DELAYER_ACL 8 "2020-06-09" "perl v5.30.3" "User Contributed Perl Documentation"
+.TH EXT_DELAYER_ACL 8 "2020-08-22" "perl v5.30.3" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-5.0.3/src/acl/external/delayer/ext_delayer_acl.pl.in squid-5.0.4/src/acl/external/delayer/ext_delayer_acl.pl.in
--- squid-5.0.3/src/acl/external/delayer/ext_delayer_acl.pl.in	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/acl/external/delayer/ext_delayer_acl.pl.in	2020-08-23 05:40:17.000000000 +1200
@@ -132,22 +132,22 @@
 # item will stall the queue until completed. Supporting generic delays
 # requires transforming @queue from a FIFO to a priority queue.
 sub calc_delay {
-  return $delay;
+    return $delay;
 }
 
 GetOptions("debug|d" => \$debug,
-           "wait|w=i" => \$delay,
-           "log|l=s" => \$logfilename)
-or die("Error in parsing command line arguments");
+    "wait|w=i" => \$delay,
+    "log|l=s" => \$logfilename)
+    or die("Error in parsing command line arguments");
 if (defined $opts{h}) {
-  HELP_MESSAGE();
-  exit 0;
+    HELP_MESSAGE();
+    exit 0;
 }
 $delay /= 1000.0; # transform msec into sec
 if ($logfilename) {
-  open ($logfile,">>", "$opts{l}");
-  $debug=1;
-} 
+    open ($logfile,">>", "$opts{l}");
+    $debug=1;
+}
 
 my @p=split(/[\\\/]/,$0);
 my $prg_basename=pop @p;
@@ -173,73 +173,73 @@
 # takes a result from a gettimeofday call and turns it into a
 # floating-point number suitable for approximate time calculations and select
 sub fract_time {
-  return $_[0]+$_[1]/1000000;
+    return $_[0]+$_[1]/1000000;
 }
 
 sub dispatch_request {
-  my $r = $_[0];
-  chomp $r;
-  &debug("got request: '$r'");
-  my %evt = ();
-  my @fields;
-  @fields = split (/\s+/, $r);
-  $evt{when} = &calc_delay($r)+fract_time(gettimeofday());
-  $evt{reqid}=$reqid++;
-  $evt{req} = $r;
-  $evt{chan} = $fields[0];
-  &debug("Dispatching: reqid $evt{reqid}, chan $evt{chan}, when $evt{when}, raw {$evt{req}}");
-  push @queue,\%evt;
+    my $r = $_[0];
+    chomp $r;
+    &debug("got request: '$r'");
+    my %evt = ();
+    my @fields;
+    @fields = split (/\s+/, $r);
+    $evt{when} = &calc_delay($r)+fract_time(gettimeofday());
+    $evt{reqid}=$reqid++;
+    $evt{req} = $r;
+    $evt{chan} = $fields[0];
+    &debug("Dispatching: reqid $evt{reqid}, chan $evt{chan}, when $evt{when}, raw {$evt{req}}");
+    push @queue,\%evt;
 }
 
 sub next_event {
-  my $now = fract_time(gettimeofday());
-  if (@queue) {
-    my $when = $queue[0]->{when} - $now;
-    &debug("Next event is in $when seconds");
-    return $when;
-  }
-  &debug("No events in queue");
-  return undef;
+    my $now = fract_time(gettimeofday());
+    if (@queue) {
+        my $when = $queue[0]->{when} - $now;
+        &debug("Next event is in $when seconds");
+        return $when;
+    }
+    &debug("No events in queue");
+    return undef;
 }
 
 sub handle_events {
-  my $now = fract_time(gettimeofday());
-  while ( @queue ) {
-    &debug("Queue length is $#queue");
-    last if ($queue[0]->{when} > $now);
-    my %evt = %{shift @queue};
-    &debug("Event: reqid $evt{reqid}, chan $evt{chan}, when $evt{when}, raw {$evt{req}}");
-    print $evt{chan} , " OK\n";
-  }
+    my $now = fract_time(gettimeofday());
+    while ( @queue ) {
+        &debug("Queue length is $#queue");
+        last if ($queue[0]->{when} > $now);
+        my %evt = %{shift @queue};
+        &debug("Event: reqid $evt{reqid}, chan $evt{chan}, when $evt{when}, raw {$evt{req}}");
+        print $evt{chan} , " OK\n";
+    }
 }
 
 # main loop
 while(1) {
-  &debug("selecting");
-  $nfound = select($rd = $rvec,undef,undef,&next_event());
-  &debug("found $nfound bits set");
-  if ($nfound == -1 ) {
-    next if ($!{ERESTART} || $!{EAGAIN} || $!{EINTR});
-    &debug("error in select: $!");
-    exit 1;
-  }
-  if (vec($rd,0,1)==1) { #got stuff from stdin
-    my $d; #data
-    $nread = sysread(STDIN,$d,40960); # read 40kb
-    # clear the signal-bit, stdin is special
-    vec($rd,0,1) = 0;
-    if ($nread==0) {
-      &debug("nothing read from stdin, exiting");
-      exit 0;
+    &debug("selecting");
+    $nfound = select($rd = $rvec,undef,undef,&next_event());
+    &debug("found $nfound bits set");
+    if ($nfound == -1 ) {
+        next if ($!{ERESTART} || $!{EAGAIN} || $!{EINTR});
+        &debug("error in select: $!");
+        exit 1;
     }
-    my $i;
-    while ($i = index($d,"\n")) { #BUG: assumption of no spill-over
-      last if ($i == -1);
-      &dispatch_request(substr($d,0,$i));
-      $d=substr($d,$i+1);
+    if (vec($rd,0,1)==1) { #got stuff from stdin
+        my $d; #data
+        $nread = sysread(STDIN,$d,40960); # read 40kb
+        # clear the signal-bit, stdin is special
+        vec($rd,0,1) = 0;
+        if ($nread==0) {
+            &debug("nothing read from stdin, exiting");
+            exit 0;
+        }
+        my $i;
+        while ($i = index($d,"\n")) { #BUG: assumption of no spill-over
+            last if ($i == -1);
+            &dispatch_request(substr($d,0,$i));
+            $d=substr($d,$i+1);
+        }
     }
-  }
-  &handle_events();
+    &handle_events();
 }
 
 my $doc = <<_EOF;
@@ -258,15 +258,15 @@
 our $VERSION = "1.0";
 
 sub HELP_MESSAGE {
-  print STDERR $doc;
+    print STDERR $doc;
 }
 
 sub dump_state {
-  $SIG{HUP} = \&dump_state;
-  print STDERR "Queue:\n",Dumper(\@queue),"\n";
+    $SIG{HUP} = \&dump_state;
+    print STDERR "Queue:\n",Dumper(\@queue),"\n";
 }
 
 sub debug {
-  return unless ($debug);
-  print $logfile $prg_basename , ": ", @_, "\n";
+    return unless ($debug);
+    print $logfile $prg_basename , ": ", @_, "\n";
 }
diff -u -r -N squid-5.0.3/src/acl/external/helpers.m4 squid-5.0.4/src/acl/external/helpers.m4
--- squid-5.0.3/src/acl/external/helpers.m4	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/acl/external/helpers.m4	2020-08-23 05:40:17.000000000 +1200
@@ -8,7 +8,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_external_acl_helpers list containing double entries.
+# TODO: de-duplicate $enable_external_acl_helpers list containing double entries.
 
 #define list of modules to build
 auto_ext_acl_modules=no
diff -u -r -N squid-5.0.3/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.8 squid-5.0.4/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.8
--- squid-5.0.3/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.8	2020-06-09 19:09:20.000000000 +1200
+++ squid-5.0.4/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.8	2020-08-23 05:50:04.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "EXT_KERBEROS_SID_GROUP_ACL 8"
-.TH EXT_KERBEROS_SID_GROUP_ACL 8 "2020-06-09" "perl v5.30.3" "User Contributed Perl Documentation"
+.TH EXT_KERBEROS_SID_GROUP_ACL 8 "2020-08-22" "perl v5.30.3" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-5.0.3/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.pl.in squid-5.0.4/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.pl.in
--- squid-5.0.3/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.pl.in	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/acl/external/kerberos_sid_group/ext_kerberos_sid_group_acl.pl.in	2020-08-23 05:40:17.000000000 +1200
@@ -140,25 +140,25 @@
 
 sub debug()
 {
-	my @lt = localtime;
-	print STDERR strftime("%Y/%m/%d %H:%M:%S", @lt)." | $name: @_\n" if $opt{d};
+    my @lt = localtime;
+    print STDERR strftime("%Y/%m/%d %H:%M:%S", @lt)." | $name: @_\n" if $opt{d};
 }
 
 sub info()
 {
-	my @lt = localtime;
-	print STDERR strftime("%Y/%m/%d %H:%M:%S", @lt)." | $name: @_\n";
+    my @lt = localtime;
+    print STDERR strftime("%Y/%m/%d %H:%M:%S", @lt)." | $name: @_\n";
 }
 
 sub check()
 {
-	if ( grep( /^@_$/, @ADgroupSIDs) ) {
-		&debug("DEBUG: Found @_ in AD group SID");
-		return "OK";
-	} else {
-		&debug("DEBUG: Did not find @_ in AD group SID");
-		return "ERR";
-	}
+    if ( grep( /^@_$/, @ADgroupSIDs) ) {
+        &debug("DEBUG: Found @_ in AD group SID");
+        return "OK";
+    } else {
+        &debug("DEBUG: Did not find @_ in AD group SID");
+        return "ERR";
+    }
 }
 
 #
@@ -166,50 +166,50 @@
 #
 sub init()
 {
-	use Getopt::Std;
-	my $errmsg;
-	my $opt_string = 'hdD:p:b:G:';
-	getopts( "$opt_string", \%opt ) or usage();
-	Pod::Usage::pod2usage(1) if $opt{h};
-	Pod::Usage::pod2usage(1) if not defined $opt{D};
-	Pod::Usage::pod2usage(1) if not defined $opt{b};
-	Pod::Usage::pod2usage(1) if not defined $opt{p};
-	Pod::Usage::pod2usage(1) if not defined $opt{G};
-
-	$ENV{'KRB5CCNAME'} = $ccname;
-
-	@groups = split(/:/,$opt{G});
-	$errmsg=`kinit -k $opt{p} 2>&1`;
-	&info("ERROR: $errmsg") if $errmsg;
-	exit 99 if $errmsg;
-
-	$errmsg="";
-	foreach my $group (@groups) {
-		open(LDAP, "ldapsearch -LLL -Ygssapi -H ldap://$opt{D}:389 -s sub -b \"$opt{b}\" \"(CN=$group)\" objectsid 2>&1 |");
-		my $sid;
-		while (<LDAP>) {
-			chomp($_);
-			if ( $_ =~ /^object/ && defined $sid ) {
-				&info("ERROR: multiple SIDs returned for group $group");
-			} elsif ( $_ =~ /^object/ ) {
-				$sid=$_;
-				$sid=~s/^[^\s]+\s+//;
-			} else {
-				$errmsg=$errmsg.";".$_;
-			}
-		}
-		close(LDAP);
-		if ( ! defined $sid ) {
-			$errmsg=~s/^;//;
-			&info("ERROR: $errmsg");
-			&info("ERROR: no SID returned for group $group");
-		} else {
-			&info("INFO:ldapsearch result Group=$group, SID=$sid");
-			push @ADgroupSIDs, $sid;
-		}
-	}
-	&info("ERROR: Exit as no sid was found for any group") if ! @ADgroupSIDs;
-	exit 99 if ! @ADgroupSIDs;
+    use Getopt::Std;
+    my $errmsg;
+    my $opt_string = 'hdD:p:b:G:';
+    getopts( "$opt_string", \%opt ) or usage();
+    Pod::Usage::pod2usage(1) if $opt{h};
+    Pod::Usage::pod2usage(1) if not defined $opt{D};
+    Pod::Usage::pod2usage(1) if not defined $opt{b};
+    Pod::Usage::pod2usage(1) if not defined $opt{p};
+    Pod::Usage::pod2usage(1) if not defined $opt{G};
+
+    $ENV{'KRB5CCNAME'} = $ccname;
+
+    @groups = split(/:/,$opt{G});
+    $errmsg=`kinit -k $opt{p} 2>&1`;
+    &info("ERROR: $errmsg") if $errmsg;
+    exit 99 if $errmsg;
+
+    $errmsg="";
+    foreach my $group (@groups) {
+        open(LDAP, "ldapsearch -LLL -Ygssapi -H ldap://$opt{D}:389 -s sub -b \"$opt{b}\" \"(CN=$group)\" objectsid 2>&1 |");
+        my $sid;
+        while (<LDAP>) {
+            chomp($_);
+            if ( $_ =~ /^object/ && defined $sid ) {
+                &info("ERROR: multiple SIDs returned for group $group");
+            } elsif ( $_ =~ /^object/ ) {
+                $sid=$_;
+                $sid=~s/^[^\s]+\s+//;
+            } else {
+                $errmsg=$errmsg.";".$_;
+            }
+        }
+        close(LDAP);
+        if ( ! defined $sid ) {
+            $errmsg=~s/^;//;
+            &info("ERROR: $errmsg");
+            &info("ERROR: no SID returned for group $group");
+        } else {
+            &info("INFO:ldapsearch result Group=$group, SID=$sid");
+            push @ADgroupSIDs, $sid;
+        }
+    }
+    &info("ERROR: Exit as no sid was found for any group") if ! @ADgroupSIDs;
+    exit 99 if ! @ADgroupSIDs;
 }
 
 init();
@@ -219,22 +219,22 @@
 # Main loop
 #
 while (<STDIN>) {
-        chop;
-        &debug("DEBUG: Got $_ from squid");
-        ($user, $groupSIDs) = split(/\s+/);
-        if ( defined $user && defined $groupSIDs ) {
-		&debug("DEBUG: user=$user");
-		&debug("DEBUG: groups=$groupSIDs");
-		# test for each group squid send in it's request
-		foreach my $group (split(/,/,$groupSIDs)) {
-			$ans = &check($group);
-			last if $ans eq "OK";
-		}
-		&debug("DEBUG: Sending $ans to squid");
-		print "$ans\n";
-        } else {
-		&debug("DEBUG: Sending ERR to squid");
-		print "ERR\n";
-	}
+    chop;
+    &debug("DEBUG: Got $_ from squid");
+    ($user, $groupSIDs) = split(/\s+/);
+    if ( defined $user && defined $groupSIDs ) {
+        &debug("DEBUG: user=$user");
+        &debug("DEBUG: groups=$groupSIDs");
+        # test for each group squid send in it's request
+        foreach my $group (split(/,/,$groupSIDs)) {
+            $ans = &check($group);
+            last if $ans eq "OK";
+        }
+        &debug("DEBUG: Sending $ans to squid");
+        print "$ans\n";
+    } else {
+        &debug("DEBUG: Sending ERR to squid");
+        print "ERR\n";
+    }
 }
 
diff -u -r -N squid-5.0.3/src/acl/external/SQL_session/ext_sql_session_acl.8 squid-5.0.4/src/acl/external/SQL_session/ext_sql_session_acl.8
--- squid-5.0.3/src/acl/external/SQL_session/ext_sql_session_acl.8	2020-06-09 19:09:20.000000000 +1200
+++ squid-5.0.4/src/acl/external/SQL_session/ext_sql_session_acl.8	2020-08-23 05:50:05.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "EXT_SQL_SESSION_ACL 8"
-.TH EXT_SQL_SESSION_ACL 8 "2020-06-09" "perl v5.30.3" "User Contributed Perl Documentation"
+.TH EXT_SQL_SESSION_ACL 8 "2020-08-22" "perl v5.30.3" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-5.0.3/src/acl/external/SQL_session/ext_sql_session_acl.pl.in squid-5.0.4/src/acl/external/SQL_session/ext_sql_session_acl.pl.in
--- squid-5.0.3/src/acl/external/SQL_session/ext_sql_session_acl.pl.in	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/acl/external/SQL_session/ext_sql_session_acl.pl.in	2020-08-23 05:40:17.000000000 +1200
@@ -63,7 +63,7 @@
 
 =item B<--persist>
 
-Keep a persistent database connection open between queries. 
+Keep a persistent database connection open between queries.
 
 =item B<--debug>
 
@@ -131,17 +131,17 @@
 my $debug = 0;
 
 GetOptions(
-	'dsn=s' => \$dsn,
-	'user=s' => \$db_user,
-	'password=s' => \$db_passwd,
-	'table=s' => \$db_table,
-	'uidcol=s' => \$db_uidcol,
-	'usercol=s' => \$db_usercol,
-	'tagcol=s' => \$db_tagcol,
-	'cond=s' => \$db_cond,
-	'persist' => \$persist,
-	'debug' => \$debug,
-	);
+    'dsn=s' => \$dsn,
+    'user=s' => \$db_user,
+    'password=s' => \$db_passwd,
+    'table=s' => \$db_table,
+    'uidcol=s' => \$db_uidcol,
+    'usercol=s' => \$db_usercol,
+    'tagcol=s' => \$db_tagcol,
+    'cond=s' => \$db_cond,
+    'persist' => \$persist,
+    'debug' => \$debug,
+    );
 
 my ($_dbh, $_sth);
 
@@ -158,14 +158,14 @@
     return $_sth if defined $_sth;
     $_dbh = DBI->connect($dsn, $db_user, $db_passwd);
     if (!defined $_dbh) {
-    	warn ("Could not connect to $dsn\n");
-	return undef;
+        warn ("Could not connect to $dsn\n");
+        return undef;
     }
     $_sth = $_dbh->prepare("SELECT $db_usercol as 'user', $db_tagcol as 'tag' FROM $db_table WHERE ($db_uidcol = ?) " .
-                           ($db_cond ne "" ? " AND $db_cond" : "")) || die;
+            ($db_cond ne "" ? " AND $db_cond" : "")) || die;
 
     print(stderr "Query: SELECT $db_usercol as 'user', $db_tagcol as 'tag' FROM $db_table WHERE ($db_uidcol = ?) " .
-                           ($db_cond ne "" ? " AND $db_cond" : "")) if ($debug);
+            ($db_cond ne "" ? " AND $db_cond" : "")) if ($debug);
 
     return $_sth;
 }
@@ -175,9 +175,9 @@
     my ($sth) = open_db() || return undef;
     print(stderr "UID queried: '".$uid."'\n") if ($debug);
     if (!$sth->execute($uid)) {
-	close_db();
-	open_db() || return undef;
-	$sth->execute($uid) || return undef;;
+        close_db();
+        open_db() || return undef;
+        $sth->execute($uid) || return undef;;
     }
     return $sth;
 }
diff -u -r -N squid-5.0.3/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.8 squid-5.0.4/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.8
--- squid-5.0.3/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.8	2020-06-09 19:09:20.000000000 +1200
+++ squid-5.0.4/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.8	2020-08-23 05:50:05.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "EXT_WBINFO_GROUP_ACL 8"
-.TH EXT_WBINFO_GROUP_ACL 8 "2020-06-09" "perl v5.30.3" "User Contributed Perl Documentation"
+.TH EXT_WBINFO_GROUP_ACL 8 "2020-08-22" "perl v5.30.3" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-5.0.3/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.pl.in squid-5.0.4/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.pl.in
--- squid-5.0.3/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.pl.in	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/acl/external/wbinfo_group/ext_wbinfo_group_acl.pl.in	2020-08-23 05:40:17.000000000 +1200
@@ -108,13 +108,13 @@
 #               Fix for wbinfo from Samba 3.0.21
 #
 #   2004-08-15 Henrik Nordstrom <hno@squid-cache.org>
-#		Helper protocol changed to URL escaped in Squid-3.0
+#        Helper protocol changed to URL escaped in Squid-3.0
 #
 #   2005-06-28 Arno Streuli <astreuli@gmail.com>
 #               Add multi group check
 #
 #   2002-07-05 Jerry Murdock <jmurdock@itraktech.com>
-#		Initial release
+#        Initial release
 
 #
 # Globals
@@ -130,31 +130,31 @@
 $|=1;
 
 sub debug {
-	print STDERR "@_\n" if $opt{d};
+    print STDERR "@_\n" if $opt{d};
 }
 
 #
 # Check if a user belongs to a group
 #
 sub check {
-	my $groupSID;
-	my $groupGID;
-	my @tmpuser;
-
-	our($user, $group) = @_;
-	if ($opt{K} && ($user =~ m/\@/)) {
-		@tmpuser = split(/\@/, $user);
-		$user = "$tmpuser[1]\\$tmpuser[0]";
-	}
-        $groupSID = `wbinfo -n "$group" | cut -d" " -f1`;
-        chop  $groupSID;
-        $groupGID = `wbinfo -Y "$groupSID"`;
-        chop $groupGID;
-        &debug( "User:  -$user-\nGroup: -$group-\nSID:   -$groupSID-\nGID:   -$groupGID-");
-        return 'ERR' if($groupGID eq ""); # Verify if groupGID variable is empty.
-        return 'ERR' if(`wbinfo -r \Q$user\E` eq ""); # Verify if "wbinfo -r" command returns no value.
-        return 'OK' if(`wbinfo -r \Q$user\E` =~ /^$groupGID$/m);
-        return 'ERR';
+    my $groupSID;
+    my $groupGID;
+    my @tmpuser;
+
+    our($user, $group) = @_;
+    if ($opt{K} && ($user =~ m/\@/)) {
+        @tmpuser = split(/\@/, $user);
+        $user = "$tmpuser[1]\\$tmpuser[0]";
+    }
+    $groupSID = `wbinfo -n "$group" | cut -d" " -f1`;
+    chop  $groupSID;
+    $groupGID = `wbinfo -Y "$groupSID"`;
+    chop $groupGID;
+    &debug( "User:  -$user-\nGroup: -$group-\nSID:   -$groupSID-\nGID:   -$groupGID-");
+    return 'ERR' if($groupGID eq ""); # Verify if groupGID variable is empty.
+    return 'ERR' if(`wbinfo -r \Q$user\E` eq ""); # Verify if "wbinfo -r" command returns no value.
+    return 'OK' if(`wbinfo -r \Q$user\E` =~ /^$groupGID$/m);
+    return 'ERR';
 }
 
 #
@@ -173,11 +173,11 @@
 #
 sub usage()
 {
-	print "Usage: ext_wbinfo_group_acl -dh\n";
-	print "\t-d enable debugging\n";
-	print "\t-h print the help\n";
-	print "\t-K downgrade Kerberos credentials to NTLM.\n";
-	exit;
+    print "Usage: ext_wbinfo_group_acl -dh\n";
+    print "\t-d enable debugging\n";
+    print "\t-h print the help\n";
+    print "\t-K downgrade Kerberos credentials to NTLM.\n";
+    exit;
 }
 
 init();
@@ -187,16 +187,16 @@
 # Main loop
 #
 while (<STDIN>) {
-        chop;
-	&debug("Got $_ from squid");
-        ($user, @groups) = split(/\s+/);
-	$user =~ s/%([0-9a-fA-F][0-9a-fA-F])/pack("c",hex($1))/eg;
- 	# test for each group squid send in it's request
- 	foreach $group (@groups) {
-		$group =~ s/%([0-9a-fA-F][0-9a-fA-F])/pack("c",hex($1))/eg;
- 		$ans = &check($user, $group);
- 		last if $ans eq "OK";
- 	}
-	&debug("Sending $ans to squid");
-	print "$ans\n";
+    chop;
+    &debug("Got $_ from squid");
+    ($user, @groups) = split(/\s+/);
+    $user =~ s/%([0-9a-fA-F][0-9a-fA-F])/pack("c",hex($1))/eg;
+# test for each group squid send in it's request
+    foreach $group (@groups) {
+        $group =~ s/%([0-9a-fA-F][0-9a-fA-F])/pack("c",hex($1))/eg;
+        $ans = &check($user, $group);
+        last if $ans eq "OK";
+    }
+    &debug("Sending $ans to squid");
+    print "$ans\n";
 }
diff -u -r -N squid-5.0.3/src/acl/Ip.h squid-5.0.4/src/acl/Ip.h
--- squid-5.0.3/src/acl/Ip.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/acl/Ip.h	2020-08-23 05:40:17.000000000 +1200
@@ -32,7 +32,7 @@
 
     Ip::Address addr2;
 
-    Ip::Address mask; /**< \todo This should perhapse be stored as a CIDR range now instead of a full IP mask. */
+    Ip::Address mask; // TODO: should use a CIDR range
 
     acl_ip_data *next;      /**< used for parsing, not for storing */
 
diff -u -r -N squid-5.0.3/src/acl/SourceDomain.cc squid-5.0.4/src/acl/SourceDomain.cc
--- squid-5.0.3/src/acl/SourceDomain.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/acl/SourceDomain.cc	2020-08-23 05:40:17.000000000 +1200
@@ -49,7 +49,7 @@
     if (fqdn) {
         return data->match(fqdn);
     } else if (!checklist->sourceDomainChecked()) {
-        /* FIXME: Using AclMatchedName here is not OO correct. Should find a way to the current acl */
+        // TODO: Using AclMatchedName here is not OO correct. Should find a way to the current acl
         debugs(28, 3, "aclMatchAcl: Can't yet compare '" << AclMatchedName << "' ACL for '" << checklist->src_addr << "'");
         if (checklist->goAsync(SourceDomainLookup::Instance()))
             return -1;
diff -u -r -N squid-5.0.3/src/adaptation/AccessCheck.cc squid-5.0.4/src/adaptation/AccessCheck.cc
--- squid-5.0.3/src/adaptation/AccessCheck.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/adaptation/AccessCheck.cc	2020-08-23 05:40:17.000000000 +1200
@@ -154,7 +154,7 @@
     debugs(93, 8, HERE << "callback answer=" << answer);
     AccessCheck *ac = (AccessCheck*)data;
 
-    /** \todo AYJ 2008-06-12: If answer == ACCESS_AUTH_REQUIRED
+    /* TODO: AYJ 2008-06-12: If answer == ACCESS_AUTH_REQUIRED
      * we should be kicking off an authentication before continuing
      * with this request. see bug 2400 for details.
      */
diff -u -r -N squid-5.0.3/src/adaptation/icap/ModXact.cc squid-5.0.4/src/adaptation/icap/ModXact.cc
--- squid-5.0.3/src/adaptation/icap/ModXact.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/adaptation/icap/ModXact.cc	2020-08-23 05:40:17.000000000 +1200
@@ -1611,6 +1611,13 @@
     headClone->header.delById(Http::HdrType::PROXY_AUTHENTICATE);
     headClone->header.removeHopByHopEntries();
 
+    // TODO: modify HttpHeader::removeHopByHopEntries to accept a list of
+    // excluded hop-by-hop headers
+    if (head->header.has(Http::HdrType::UPGRADE)) {
+        const auto upgrade = head->header.getList(Http::HdrType::UPGRADE);
+        headClone->header.putStr(Http::HdrType::UPGRADE, upgrade.termedBuf());
+    }
+
     // pack polished HTTP header
     packHead(httpBuf, headClone.getRaw());
 
diff -u -r -N squid-5.0.3/src/adaptation/Message.h squid-5.0.4/src/adaptation/Message.h
--- squid-5.0.3/src/adaptation/Message.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/adaptation/Message.h	2020-08-23 05:40:17.000000000 +1200
@@ -42,7 +42,7 @@
     Header *header;   // parsed HTTP status/request line and headers
 
     /// Copy of header->body_pipe, in case somebody moves the original.
-    /// \todo Find and fix the code that moves (if any) and remove this.
+    /// TODO: Find and fix the code that moves (if any) and remove this.
     BodyPipePointer body_pipe;
 
 private:
diff -u -r -N squid-5.0.3/src/adaptation/ServiceGroups.cc squid-5.0.4/src/adaptation/ServiceGroups.cc
--- squid-5.0.3/src/adaptation/ServiceGroups.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/adaptation/ServiceGroups.cc	2020-08-23 05:40:17.000000000 +1200
@@ -129,7 +129,7 @@
     return FindService(services[pos]);
 }
 
-/// \todo: optimize to cut search short instead of looking for the best svc
+// TODO: optimize to cut search short instead of looking for the best svc
 bool
 Adaptation::ServiceGroup::wants(const ServiceFilter &filter) const
 {
diff -u -r -N squid-5.0.3/src/anyp/Uri.cc squid-5.0.4/src/anyp/Uri.cc
--- squid-5.0.3/src/anyp/Uri.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/anyp/Uri.cc	2020-08-23 05:40:17.000000000 +1200
@@ -624,7 +624,7 @@
     return absolute_;
 }
 
-/** \todo AYJ: Performance: This is an *almost* duplicate of HttpRequest::effectiveRequestUri(). But elides the query-string.
+/* XXX: Performance: This is an *almost* duplicate of HttpRequest::effectiveRequestUri(). But elides the query-string.
  *        After copying it on in the first place! Would be less code to merge the two with a flag parameter.
  *        and never copy the query-string part in the first place
  */
diff -u -r -N squid-5.0.3/src/auth/basic/DB/basic_db_auth.8 squid-5.0.4/src/auth/basic/DB/basic_db_auth.8
--- squid-5.0.3/src/auth/basic/DB/basic_db_auth.8	2020-06-09 19:09:21.000000000 +1200
+++ squid-5.0.4/src/auth/basic/DB/basic_db_auth.8	2020-08-23 05:50:06.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "BASIC_DB_AUTH 8"
-.TH BASIC_DB_AUTH 8 "2020-06-09" "perl v5.30.3" "User Contributed Perl Documentation"
+.TH BASIC_DB_AUTH 8 "2020-08-22" "perl v5.30.3" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -194,7 +194,7 @@
 Keep a persistent database connection open between queries.
 .IP "\fB\-\-joomla\fR" 12
 .IX Item "--joomla"
-Tells helper that user database is Joomla \s-1DB.\s0  So their unusual salt 
+Tells helper that user database is Joomla \s-1DB.\s0  So their unusual salt
 hashing is understood.
 .SH "AUTHOR"
 .IX Header "AUTHOR"
diff -u -r -N squid-5.0.3/src/auth/basic/DB/basic_db_auth.pl.in squid-5.0.4/src/auth/basic/DB/basic_db_auth.pl.in
--- squid-5.0.3/src/auth/basic/DB/basic_db_auth.pl.in	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/auth/basic/DB/basic_db_auth.pl.in	2020-08-23 05:40:17.000000000 +1200
@@ -73,11 +73,11 @@
 
 =item B<--persist>
 
-Keep a persistent database connection open between queries. 
+Keep a persistent database connection open between queries.
 
 =item B<--joomla>
 
-Tells helper that user database is Joomla DB.  So their unusual salt 
+Tells helper that user database is Joomla DB.  So their unusual salt
 hashing is understood.
 
 =back
@@ -149,21 +149,21 @@
 my $hashsalt = undef;
 
 GetOptions(
-	'dsn=s' => \$dsn,
-	'user=s' => \$db_user,
-	'password=s' => \$db_passwd,
-	'table=s' => \$db_table,
-	'usercol=s' => \$db_usercol,
-	'passwdcol=s' => \$db_passwdcol,
-	'cond=s' => \$db_cond,
-	'plaintext' => \$plaintext,
-	'md5' => \$md5,
-	'sha1' => \$sha1,
-	'persist' => \$persist,
-	'joomla' => \$isjoomla,
-	'debug' => \$debug,
-	'salt=s' => \$hashsalt,
-	);
+    'dsn=s' => \$dsn,
+    'user=s' => \$db_user,
+    'password=s' => \$db_passwd,
+    'table=s' => \$db_table,
+    'usercol=s' => \$db_usercol,
+    'passwdcol=s' => \$db_passwdcol,
+    'cond=s' => \$db_cond,
+    'plaintext' => \$plaintext,
+    'md5' => \$md5,
+    'sha1' => \$sha1,
+    'persist' => \$persist,
+    'joomla' => \$isjoomla,
+    'debug' => \$debug,
+    'salt=s' => \$hashsalt,
+    );
 
 my ($_dbh, $_sth);
 $db_cond = "block = 0" if $isjoomla;
@@ -181,14 +181,14 @@
     return $_sth if defined $_sth;
     $_dbh = DBI->connect($dsn, $db_user, $db_passwd);
     if (!defined $_dbh) {
-	warn ("Could not connect to $dsn\n");
-	my @driver_names = DBI->available_drivers();
-	my $msg = "DSN drivers apparently installed, available:\n";
-	foreach my $dn (@driver_names) {
-		$msg .= "\t$dn";
-	}
-	warn($msg."\n");
-	return undef;
+        warn ("Could not connect to $dsn\n");
+        my @driver_names = DBI->available_drivers();
+        my $msg = "DSN drivers apparently installed, available:\n";
+        foreach my $dn (@driver_names) {
+            $msg .= "\t$dn";
+        }
+        warn($msg."\n");
+        return undef;
     }
     my $sql_query;
     $sql_query = "SELECT $db_passwdcol FROM $db_table WHERE $db_usercol = ?" . ($db_cond ne "" ? " AND $db_cond" : "");
@@ -221,9 +221,9 @@
     my ($user) = @_;
     my ($sth) = open_db() || return undef;
     if (!$sth->execute($user)) {
-	close_db();
-	open_db() || return undef;
-	$sth->execute($user) || return undef;;
+        close_db();
+        open_db() || return undef;
+        $sth->execute($user) || return undef;;
     }
     return $sth;
 }
diff -u -r -N squid-5.0.3/src/auth/basic/helpers.m4 squid-5.0.4/src/auth/basic/helpers.m4
--- squid-5.0.3/src/auth/basic/helpers.m4	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/auth/basic/helpers.m4	2020-08-23 05:40:17.000000000 +1200
@@ -8,7 +8,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_auth_basic list containing double entries.
+# TODO: de-duplicate $enable_auth_basic list containing double entries.
 
 #not specified. Inherit global
 if test "x$enable_auth_basic" = "x"; then
diff -u -r -N squid-5.0.3/src/auth/basic/POP3/basic_pop3_auth.8 squid-5.0.4/src/auth/basic/POP3/basic_pop3_auth.8
--- squid-5.0.3/src/auth/basic/POP3/basic_pop3_auth.8	2020-06-09 19:09:21.000000000 +1200
+++ squid-5.0.4/src/auth/basic/POP3/basic_pop3_auth.8	2020-08-23 05:50:06.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "BASIC_POP3_AUTH 8"
-.TH BASIC_POP3_AUTH 8 "2020-06-09" "perl v5.30.3" "User Contributed Perl Documentation"
+.TH BASIC_POP3_AUTH 8 "2020-08-22" "perl v5.30.3" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -173,18 +173,18 @@
 \& # it under the terms of the GNU General Public License as published by
 \& # the Free Software Foundation; either version 2 of the License, or
 \& # (at your option) any later version.
-\& # 
+\& #
 \& # This program is distributed in the hope that it will be useful,
 \& # but WITHOUT ANY WARRANTY; without even the implied warranty of
 \& # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 \& # GNU General Public License for more details.
-\& # 
+\& #
 \& # You should have received a copy of the GNU General Public License
 \& # along with this program; if not, write to the Free Software
 \& # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
-\& # 
+\& #
 \& # Change log:
-\& #   2006\-12\-10 henrik  Initial revision
+\& #   2006\-12\-10    henrik    Initial revision
 \& #
 .Ve
 .SH "QUESTIONS"
diff -u -r -N squid-5.0.3/src/auth/basic/POP3/basic_pop3_auth.pl.in squid-5.0.4/src/auth/basic/POP3/basic_pop3_auth.pl.in
--- squid-5.0.3/src/auth/basic/POP3/basic_pop3_auth.pl.in	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/auth/basic/POP3/basic_pop3_auth.pl.in	2020-08-23 05:40:17.000000000 +1200
@@ -42,18 +42,18 @@
  # it under the terms of the GNU General Public License as published by
  # the Free Software Foundation; either version 2 of the License, or
  # (at your option) any later version.
- # 
+ #
  # This program is distributed in the hope that it will be useful,
  # but WITHOUT ANY WARRANTY; without even the implied warranty of
  # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  # GNU General Public License for more details.
- # 
+ #
  # You should have received a copy of the GNU General Public License
  # along with this program; if not, write to the Free Software
  # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
- # 
+ #
  # Change log:
- #   2006-12-10	henrik	Initial revision
+ #   2006-12-10    henrik    Initial revision
  #
 
 =head1 QUESTIONS
@@ -98,15 +98,15 @@
 
     my $pop = Net::POP3->new($server);
     if (!$pop) {
-	print "ERR Server not responding\n";
-	next;
+        print "ERR Server not responding\n";
+        next;
     }
 
     # Here apop could be used instead for MD5 support
     if ($pop->login($username, $password)) {
-	print "OK\n";
+        print "OK\n";
     } else {
-	print "ERR\n";
+        print "ERR\n";
     }
     $pop->quit;
     undef $pop;
diff -u -r -N squid-5.0.3/src/auth/basic/SMB_LM/msntauth.cc squid-5.0.4/src/auth/basic/SMB_LM/msntauth.cc
--- squid-5.0.3/src/auth/basic/SMB_LM/msntauth.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/auth/basic/SMB_LM/msntauth.cc	2020-08-23 05:40:17.000000000 +1200
@@ -45,7 +45,7 @@
 #include <cstring>
 #include <iostream>
 #include <string>
-#include <vector> //todo: turn into multimap
+#include <vector>
 #include <syslog.h>
 
 #include "auth/basic/SMB_LM/msntauth.h"
diff -u -r -N squid-5.0.3/src/auth/digest/helpers.m4 squid-5.0.4/src/auth/digest/helpers.m4
--- squid-5.0.3/src/auth/digest/helpers.m4	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/auth/digest/helpers.m4	2020-08-23 05:40:17.000000000 +1200
@@ -8,7 +8,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_auth_digest list containing double entries.
+# TODO: de-duplicate $enable_auth_digest list containing double entries.
 
 #not specified. Inherit global
 if test "x$enable_auth_digest" = "x"; then
diff -u -r -N squid-5.0.3/src/auth/negotiate/helpers.m4 squid-5.0.4/src/auth/negotiate/helpers.m4
--- squid-5.0.3/src/auth/negotiate/helpers.m4	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/auth/negotiate/helpers.m4	2020-08-23 05:40:17.000000000 +1200
@@ -8,7 +8,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_auth_negotiate list containing double entries.
+# TODO: de-duplicate $enable_auth_negotiate list containing double entries.
 
 #not specified. Inherit global
 if test "x$enable_auth_negotiate" = "x"; then
diff -u -r -N squid-5.0.3/src/auth/ntlm/fake/ntlm_fake_auth.pl.in squid-5.0.4/src/auth/ntlm/fake/ntlm_fake_auth.pl.in
--- squid-5.0.3/src/auth/ntlm/fake/ntlm_fake_auth.pl.in	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/auth/ntlm/fake/ntlm_fake_auth.pl.in	2020-08-23 05:40:17.000000000 +1200
@@ -17,7 +17,7 @@
 # user's credentials, it just takes the client's domain and username
 # at face value.
 # It's included mostly for demonstration purposes.
-# 
+#
 # TODO: use command-line arguments
 
 #use MIME::Base64;
@@ -31,105 +31,105 @@
 die ("Edit $0 to configure a domain!") unless (defined($authdomain));
 
 while(<STDIN>) {
-	chop;
-	if (substr($_, 0, 2) eq "YR") {
-		print "TT ".encode_base64(&make_ntlm_static_challenge);
-		next;
-	}
-	$got=substr($_,3);
-	%res=decode_ntlm_any(decode_base64($got));
-#	print STDERR "got: ".hash_to_string(%res);
-	if (!res) {										# broken NTLM, deny
-		print "BH Couldn't decode NTLM packet\n";
-		next;
-	}
-	if ($res{type} eq "negotiate") { # ok, send a challenge
-		print "BH Squid-helper protocol error: unexpected negotiate-request\n";
-		next;
-	}
-	if ($res{type} eq "challenge") { # Huh? WE are the challengers.
-		print "BH Squid-helper protocol error: unexpected challenge-request\n";
-		next;
-	}
-	if ($res{type} eq "authentication") {
-		print "AF $res{domain}\\$res{user}\n";
-		next;
-	}
-	print "BH internal error\n";	# internal error
+    chop;
+    if (substr($_, 0, 2) eq "YR") {
+        print "TT ".encode_base64(&make_ntlm_static_challenge);
+        next;
+    }
+    $got=substr($_,3);
+    %res=decode_ntlm_any(decode_base64($got));
+#    print STDERR "got: ".hash_to_string(%res);
+    if (!res) {                                        # broken NTLM, deny
+        print "BH Couldn't decode NTLM packet\n";
+        next;
+    }
+    if ($res{type} eq "negotiate") { # ok, send a challenge
+        print "BH Squid-helper protocol error: unexpected negotiate-request\n";
+        next;
+    }
+    if ($res{type} eq "challenge") { # Huh? WE are the challengers.
+        print "BH Squid-helper protocol error: unexpected challenge-request\n";
+        next;
+    }
+    if ($res{type} eq "authentication") {
+        print "AF $res{domain}\\$res{user}\n";
+        next;
+    }
+    print "BH internal error\n";    # internal error
 }
 
 
 sub make_ntlm_static_challenge {
-	$rv = pack ("a8 V", "NTLMSSP", 0x2);
-	$payload = "";
+    $rv = pack ("a8 V", "NTLMSSP", 0x2);
+    $payload = "";
 
-	$rv .= add_to_data(uc($authdomain),\$payload);
-	$rv .= pack ("V Z8 v8", 0x18206, $challenge,0,0,0,0,0,0,0x3a,0);
-	#flags, challenge, 8 bytes of unknown stuff
+    $rv .= add_to_data(uc($authdomain),\$payload);
+    $rv .= pack ("V Z8 v8", 0x18206, $challenge,0,0,0,0,0,0,0x3a,0);
+    #flags, challenge, 8 bytes of unknown stuff
 
-	return $rv.$payload;
+    return $rv.$payload;
 }
 
 #gets as argument the decoded authenticate packet.
 #returns either undef (failure to decode) or an hash with the decoded
 # fields.
 sub decode_ntlm_authentication {
-	my ($got)=$_[0];
-	my ($signature, $type, %rv, $hdr, $rest);
-	($signature, $type, $rest) = unpack ("a8 V a*",$got);
-	return unless ($signature eq "NTLMSSP\0");
-	return unless ($type == 0x3);
-	$rv{type}="authentication";
-	($hdr, $rest) = unpack ("a8 a*", $rest);
-	$rv{lmresponse}=get_from_data($hdr,$got);
-	($hdr, $rest) = unpack ("a8 a*", $rest);
-	$rv{ntresponse}=get_from_data($hdr,$got);
-	($hdr, $rest) = unpack ("a8 a*", $rest);
-	$rv{domain}=get_from_data($hdr,$got);
-	($hdr, $rest) = unpack ("a8 a*", $rest);
-	$rv{user}=get_from_data($hdr,$got);
-	($hdr, $rest) = unpack ("a8 a*", $rest);
-	$rv{workstation}=get_from_data($hdr,$got);
-	($hdr, $rest) = unpack ("a8 a*", $rest);
-	$rv{sessionkey}=get_from_data($hdr,$got);
-	$rv{flags}=unpack("V",$rest);
-	return %rv;
+    my ($got)=$_[0];
+    my ($signature, $type, %rv, $hdr, $rest);
+    ($signature, $type, $rest) = unpack ("a8 V a*",$got);
+    return unless ($signature eq "NTLMSSP\0");
+    return unless ($type == 0x3);
+    $rv{type}="authentication";
+    ($hdr, $rest) = unpack ("a8 a*", $rest);
+    $rv{lmresponse}=get_from_data($hdr,$got);
+    ($hdr, $rest) = unpack ("a8 a*", $rest);
+    $rv{ntresponse}=get_from_data($hdr,$got);
+    ($hdr, $rest) = unpack ("a8 a*", $rest);
+    $rv{domain}=get_from_data($hdr,$got);
+    ($hdr, $rest) = unpack ("a8 a*", $rest);
+    $rv{user}=get_from_data($hdr,$got);
+    ($hdr, $rest) = unpack ("a8 a*", $rest);
+    $rv{workstation}=get_from_data($hdr,$got);
+    ($hdr, $rest) = unpack ("a8 a*", $rest);
+    $rv{sessionkey}=get_from_data($hdr,$got);
+    $rv{flags}=unpack("V",$rest);
+    return %rv;
 }
 
 #args: len, maxlen, offset
 sub make_ntlm_hdr {
-	return pack ("v v V", @_);
+    return pack ("v v V", @_);
 }
 
 #args: string to add, ref to payload
 # returns ntlm header.
 sub add_to_data {
-	my ($toadd, $pl) = @_;
-	my ($offset);
-#	$toadd.='\0' unless ($toadd[-1]=='\0'); #broken
-	$offset=48+length $pl;  #48 is the length of the header
-	$$pl.=$toadd;
-	return make_ntlm_hdr (length $toadd, length $toadd, $offset);
+    my ($toadd, $pl) = @_;
+    my ($offset);
+#    $toadd.='\0' unless ($toadd[-1]=='\0'); #broken
+    $offset=48+length $pl;  #48 is the length of the header
+    $$pl.=$toadd;
+    return make_ntlm_hdr (length $toadd, length $toadd, $offset);
 }
 
 #args: encoded descriptor, entire decoded packet
 # returns the decoded data
 sub get_from_data {
-	my($desc,$packet) = @_;
-	my($offset,$length, $rv);
-	($length, undef, $offset) = unpack ("v v V", $desc);
-	return unless ($length+$offset <= length $packet);
-	$rv = unpack ("x$offset a$length",$packet);
-	return $rv;
+    my($desc,$packet) = @_;
+    my($offset,$length, $rv);
+    ($length, undef, $offset) = unpack ("v v V", $desc);
+    return unless ($length+$offset <= length $packet);
+    $rv = unpack ("x$offset a$length",$packet);
+    return $rv;
 }
 
 sub hash_to_string {
-	my (%hash) = @_;
-	my ($rv);
-	foreach (sort keys %hash) {
-		$rv.=$_." => ".$hash{$_}."\n";
-	}
-	return $rv;
+    my (%hash) = @_;
+    my ($rv);
+    foreach (sort keys %hash) {
+        $rv.=$_." => ".$hash{$_}."\n";
+    }
+    return $rv;
 }
 
 
@@ -138,46 +138,46 @@
 #args: the base64-decoded packet
 #returns: either undef or an hash describing the packet.
 sub decode_ntlm_negotiate {
-	my($got)=$_[0];
-	my($signature, $type, %rv, $hdr, $rest);
-	($signature, $type, $rest) = unpack ("a8 V a*",$got);
-	return unless ($signature eq "NTLMSSP\0");
-	return unless ($type == 0x1);
-	$rv{type}="negotiate";
-	($rv{flags}, $rest)=unpack("V a*",$rest);
-	($hdr, $rest) = unpack ("a8 a*", $rest);
-	$rv{domain}=get_from_data($hdr,$got);
-	($hdr, $rest) = unpack ("a8 a*", $rest);
-	$rv{workstation}=get_from_data($hdr,$got);
-	return %rv;
+    my($got)=$_[0];
+    my($signature, $type, %rv, $hdr, $rest);
+    ($signature, $type, $rest) = unpack ("a8 V a*",$got);
+    return unless ($signature eq "NTLMSSP\0");
+    return unless ($type == 0x1);
+    $rv{type}="negotiate";
+    ($rv{flags}, $rest)=unpack("V a*",$rest);
+    ($hdr, $rest) = unpack ("a8 a*", $rest);
+    $rv{domain}=get_from_data($hdr,$got);
+    ($hdr, $rest) = unpack ("a8 a*", $rest);
+    $rv{workstation}=get_from_data($hdr,$got);
+    return %rv;
 }
 
 sub decode_ntlm_challenge {
-	my($got)=$_[0];
-	my($signature, $type, %rv, $hdr, $rest, $j);
-	($signature, $type, $rest) = unpack ("a8 V a*",$got);
-	return unless ($signature eq "NTLMSSP\0");
-	return unless ($type == 0x2);
-	$rv{type}="challenge";
-	($rv{flags}, $rest)=unpack("V a*",$rest);
-	($rv{challenge}, $rest)=unpack("a8 a*",$rest);
-	for ($j=0;$j<8;$j++) {				# don't shoot on the programmer, please.
-		($rv{"context.$j"},$rest)=unpack("v a*",$rest);
-	}
-	return %rv;
+    my($got)=$_[0];
+    my($signature, $type, %rv, $hdr, $rest, $j);
+    ($signature, $type, $rest) = unpack ("a8 V a*",$got);
+    return unless ($signature eq "NTLMSSP\0");
+    return unless ($type == 0x2);
+    $rv{type}="challenge";
+    ($rv{flags}, $rest)=unpack("V a*",$rest);
+    ($rv{challenge}, $rest)=unpack("a8 a*",$rest);
+    for ($j=0;$j<8;$j++) {                # don't shoot on the programmer, please.
+        ($rv{"context.$j"},$rest)=unpack("v a*",$rest);
+    }
+    return %rv;
 }
 
 #decodes any NTLMSSP packet.
 #arg: the encoded packet, returns an hash with packet info
 sub decode_ntlm_any {
-	my($got)=$_[0];
-	my ($signature, $type);
-	($signature, $type, undef) = unpack ("a8 V a*",$got);
-	return unless ($signature eq "NTLMSSP\0");
-	return decode_ntlm_negotiate($got) if ($type == 1);
-	return decode_ntlm_challenge($got) if ($type == 2);
-	return decode_ntlm_authentication($got) if ($type == 3);
-	return undef;									# default
+    my($got)=$_[0];
+    my ($signature, $type);
+    ($signature, $type, undef) = unpack ("a8 V a*",$got);
+    return unless ($signature eq "NTLMSSP\0");
+    return decode_ntlm_negotiate($got) if ($type == 1);
+    return decode_ntlm_challenge($got) if ($type == 2);
+    return decode_ntlm_authentication($got) if ($type == 3);
+    return undef;                                    # default
 }
 
 
@@ -190,8 +190,8 @@
     $eol = "\n" unless defined $eol;
     pos($_[0]) = 0;                          # ensure start at the beginning
     while ($_[0] =~ /(.{1,45})/gs) {
-	$res .= substr(pack('u', $1), 1);
-	chop($res);
+        $res .= substr(pack('u', $1), 1);
+        chop($res);
     }
     $res =~ tr|` -_|AA-Za-z0-9+/|;               # `# help emacs
     # fix padding at the end
@@ -199,7 +199,7 @@
     $res =~ s/.{$padding}$/'=' x $padding/e if $padding;
     # break encoded string into lines of no more than 76 characters each
     if (length $eol) {
-	$res =~ s/(.{1,76})/$1$eol/g;
+        $res =~ s/(.{1,76})/$1$eol/g;
     }
     $res;
 }
@@ -214,14 +214,14 @@
 
     $str =~ tr|A-Za-z0-9+=/||cd;            # remove non-base64 chars
     if (length($str) % 4) {
-	require Carp;
-	Carp::carp("Length of base64 data not a multiple of 4")
+        require Carp;
+        Carp::carp("Length of base64 data not a multiple of 4")
     }
     $str =~ s/=+$//;                        # remove padding
     $str =~ tr|A-Za-z0-9+/| -_|;            # convert to uuencoded format
     while ($str =~ /(.{1,60})/gs) {
-	my $len = chr(32 + length($1)*3/4); # compute length byte
-	$res .= unpack("u", $len . $1 );    # uudecode
+        my $len = chr(32 + length($1)*3/4); # compute length byte
+        $res .= unpack("u", $len . $1 );    # uudecode
     }
     $res;
 }
diff -u -r -N squid-5.0.3/src/auth/ntlm/helpers.m4 squid-5.0.4/src/auth/ntlm/helpers.m4
--- squid-5.0.3/src/auth/ntlm/helpers.m4	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/auth/ntlm/helpers.m4	2020-08-23 05:40:17.000000000 +1200
@@ -8,7 +8,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_auth_ntlm list containing double entries.
+# TODO: de-duplicate $enable_auth_ntlm list containing double entries.
 
 #not specified. Inherit global
 if test "x$enable_auth_ntlm" = "x"; then
diff -u -r -N squid-5.0.3/src/auth/SchemeConfig.h squid-5.0.4/src/auth/SchemeConfig.h
--- squid-5.0.3/src/auth/SchemeConfig.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/auth/SchemeConfig.h	2020-08-23 05:40:17.000000000 +1200
@@ -82,7 +82,7 @@
      * If a singleton, delete will not occur. if not a singleton (future),
      * delete will occur when no references are held.
      *
-     \todo we need a 'done for reconfigure' and a 'done permanently' concept.
+     * TODO: need a 'done for reconfigure' and a 'done permanently' concept.
      */
     virtual void done();
 
diff -u -r -N squid-5.0.3/src/base/AsyncCall.cc squid-5.0.4/src/base/AsyncCall.cc
--- squid-5.0.3/src/base/AsyncCall.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/base/AsyncCall.cc	2020-08-23 05:40:17.000000000 +1200
@@ -69,7 +69,7 @@
     return !isCanceled;
 }
 
-/// \todo make this method const by providing a const getDialer()
+// TODO: make this method const by providing a const getDialer()
 void
 AsyncCall::print(std::ostream &os)
 {
diff -u -r -N squid-5.0.3/src/base/AsyncCall.h squid-5.0.4/src/base/AsyncCall.h
--- squid-5.0.3/src/base/AsyncCall.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/base/AsyncCall.h	2020-08-23 05:40:17.000000000 +1200
@@ -37,11 +37,6 @@
 class CallDialer;
 class AsyncCallQueue;
 
-/**
- \todo add unique call IDs
- \todo CBDATA_CLASS kids
- \ingroup AsyncCallsAPI
- */
 class AsyncCall: public RefCountable
 {
 public:
diff -u -r -N squid-5.0.3/src/base/InstanceId.h squid-5.0.4/src/base/InstanceId.h
--- squid-5.0.3/src/base/InstanceId.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/base/InstanceId.h	2020-08-23 05:40:17.000000000 +1200
@@ -40,7 +40,7 @@
  *   - useful for debugging and insecure request/response matching;
  *   - sequential IDs within a class except when wrapping;
  *   - always positive IDs.
- *  \todo: add creation/destruction debugging?
+ * TODO: add creation/destruction debugging?
  */
 template <class Class, class ValueType = InstanceIdDefaultValueType>
 class InstanceId
diff -u -r -N squid-5.0.3/src/cache_cf.cc squid-5.0.4/src/cache_cf.cc
--- squid-5.0.3/src/cache_cf.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/cache_cf.cc	2020-08-23 05:40:17.000000000 +1200
@@ -33,6 +33,7 @@
 #include "ftp/Elements.h"
 #include "globals.h"
 #include "HttpHeaderTools.h"
+#include "HttpUpgradeProtocolAccess.h"
 #include "icmp/IcmpConfig.h"
 #include "ident/Config.h"
 #include "ip/Intercept.h"
@@ -251,6 +252,9 @@
 static void dump_on_unsupported_protocol(StoreEntry *entry, const char *name, acl_access *access);
 static void free_on_unsupported_protocol(acl_access **access);
 static void ParseAclWithAction(acl_access **access, const Acl::Answer &action, const char *desc, ACL *acl = nullptr);
+static void parse_http_upgrade_request_protocols(HttpUpgradeProtocolAccess **protoGuards);
+static void dump_http_upgrade_request_protocols(StoreEntry *entry, const char *name, HttpUpgradeProtocolAccess *protoGuards);
+static void free_http_upgrade_request_protocols(HttpUpgradeProtocolAccess **protoGuards);
 
 /*
  * LegacyParser is a parser for legacy code that uses the global
@@ -5113,3 +5117,39 @@
     free_acl_access(access);
 }
 
+static void
+parse_http_upgrade_request_protocols(HttpUpgradeProtocolAccess **protoGuardsPtr)
+{
+    assert(protoGuardsPtr);
+    auto &protoGuards = *protoGuardsPtr;
+    if (!protoGuards)
+        protoGuards = new HttpUpgradeProtocolAccess();
+    protoGuards->configureGuard(LegacyParser);
+}
+
+static void
+dump_http_upgrade_request_protocols(StoreEntry *entry, const char *rawName, HttpUpgradeProtocolAccess *protoGuards)
+{
+    if (!protoGuards)
+        return;
+
+    const SBuf name(rawName);
+    protoGuards->forEach([entry,&name](const SBuf &proto, const acl_access *acls) {
+        SBufList line;
+        line.push_back(name);
+        line.push_back(proto);
+        const auto acld = acls->treeDump("", &Acl::AllowOrDeny);
+        line.insert(line.end(), acld.begin(), acld.end());
+        dump_SBufList(entry, line);
+    });
+}
+
+static void
+free_http_upgrade_request_protocols(HttpUpgradeProtocolAccess **protoGuardsPtr)
+{
+    assert(protoGuardsPtr);
+    auto &protoGuards = *protoGuardsPtr;
+    delete protoGuards;
+    protoGuards = nullptr;
+}
+
diff -u -r -N squid-5.0.3/src/cbdata.cc squid-5.0.4/src/cbdata.cc
--- squid-5.0.3/src/cbdata.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/cbdata.cc	2020-08-23 05:40:17.000000000 +1200
@@ -71,7 +71,7 @@
     MEMPROXY_CLASS(cbdata);
 #endif
 
-    /** \todo examine making cbdata templated on this - so we get type
+    /* TODO: examine making cbdata templated on this - so we get type
      * safe access to data - RBC 20030902 */
 public:
 #if USE_CBDATA_DEBUG
diff -u -r -N squid-5.0.3/src/cf.data.depend squid-5.0.4/src/cf.data.depend
--- squid-5.0.3/src/cf.data.depend	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/cf.data.depend	2020-08-23 05:40:17.000000000 +1200
@@ -43,6 +43,7 @@
 hostdomaintype		cache_peer
 http_header_access	acl
 http_header_replace
+http_upgrade_request_protocols acl
 HeaderWithAclList	acl
 adaptation_access_type	adaptation_service_set adaptation_service_chain acl icap_service icap_class
 adaptation_service_set_type	icap_service ecap_service
diff -u -r -N squid-5.0.3/src/cf.data.pre squid-5.0.4/src/cf.data.pre
--- squid-5.0.3/src/cf.data.pre	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/cf.data.pre	2020-08-23 05:40:17.000000000 +1200
@@ -181,6 +181,13 @@
 	This option is not yet supported by Squid-3.
 DOC_END
 
+# Options removed in 5.x
+NAME: dns_v4_first
+TYPE: obsolete
+DOC_START
+	Remove this line. Squid no longer supports preferential treatment of DNS A records.
+DOC_END
+
 # Options removed in 4.x
 NAME: cache_peer_domain cache_host_domain
 TYPE: obsolete
@@ -2392,6 +2399,11 @@
 				Don't request client certificates
 				immediately, but wait until acl processing
 				requires a certificate (not yet implemented).
+			    CONDITIONAL_AUTH
+				Request a client certificate during the TLS
+				handshake, but ignore certificate absence in
+				the TLS client Hello. If the client does
+				supply a certificate, it is validated.
 			    NO_SESSION_REUSE
 				Don't allow for session reuse. Each connection
 				will result in a new SSL session.
@@ -9975,24 +9987,6 @@
 	nameservers by setting this option to 'off'.
 DOC_END
 
-NAME: dns_v4_first
-TYPE: onoff
-DEFAULT: off
-LOC: Config.dns.v4_first
-DOC_START
-	With the IPv6 Internet being as fast or faster than IPv4 Internet
-	for most networks Squid prefers to contact websites over IPv6.
-
-	This option reverses the order of preference to make Squid contact
-	dual-stack websites over IPv4 first. Squid will still perform both
-	IPv6 and IPv4 DNS lookups before connecting.
-
-	WARNING:
-	  This option will restrict the situations under which IPv6
-	  connectivity is used (and tested). Hiding network problems
-	  which would otherwise be detected and warned about.
-DOC_END
-
 NAME: ipcache_size
 COMMENT: (number of entries)
 TYPE: int
@@ -10472,6 +10466,103 @@
 	that the request body is needed. Delaying is the default behavior.
 DOC_END
 
+NAME: http_upgrade_request_protocols
+TYPE: http_upgrade_request_protocols
+LOC: Config.http_upgrade_request_protocols
+DEFAULT: none
+DEFAULT_DOC: Upgrade header dropped, effectively blocking an upgrade attempt.
+DOC_START
+	Controls client-initiated and server-confirmed switching from HTTP to
+	another protocol (or to several protocols) using HTTP Upgrade mechanism
+	defined in RFC 7230 Section 6.7. Squid itself does not understand the
+	protocols being upgraded to and participates in the upgraded
+	communication only as a dumb TCP proxy. Admins should not allow
+	upgrading to protocols that require a more meaningful proxy
+	participation.
+
+	Usage: http_upgrade_request_protocols <protocol> allow|deny [!]acl ...
+
+	The required "protocol" parameter is either an all-caps word OTHER or an
+	explicit protocol name (e.g. "WebSocket") optionally followed by a slash
+	and a version token (e.g. "HTTP/3"). Explicit protocol names and
+	versions are case sensitive.
+
+	When an HTTP client sends an Upgrade request header, Squid iterates over
+	the client-offered protocols and, for each protocol P (with an optional
+	version V), evaluates the first non-empty set of
+	http_upgrade_request_protocols rules (if any) from the following list:
+
+		* All rules with an explicit protocol name equal to P.
+		* All rules that use OTHER instead of a protocol name.
+
+	In other words, rules using OTHER are considered for protocol P if and
+	only if there are no rules mentioning P by name.
+
+	If both of the above sets are empty, then Squid removes protocol P from
+	the Upgrade offer.
+
+	If the client sent a versioned protocol offer P/X, then explicit rules
+	referring to the same-name but different-version protocol P/Y are
+	declared inapplicable. Inapplicable rules are not evaluated (i.e. are
+	ignored). However, inapplicable rules still belong to the first set of
+	rules for P.
+
+	Within the applicable rule subset, individual rules are evaluated in
+	their configuration order. If all ACLs of an applicable "allow" rule
+	match, then the protocol offered by the client is forwarded to the next
+	hop as is. If all ACLs of an applicable "deny" rule match, then the
+	offer is dropped. If no applicable rules have matching ACLs, then the
+	offer is also dropped. The first matching rule also ends rules
+	evaluation for the offered protocol.
+
+	If all client-offered protocols are removed, then Squid forwards the
+	client request without the Upgrade header. Squid never sends an empty
+	Upgrade request header.
+
+	An Upgrade request header with a value violating HTTP syntax is dropped
+	and ignored without an attempt to use extractable individual protocol
+	offers.
+
+	Upon receiving an HTTP 101 (Switching Protocols) control message, Squid
+	checks that the server listed at least one protocol name and sent a
+	Connection:upgrade response header. Squid does not understand individual
+	protocol naming and versioning concepts enough to implement stricter
+	checks, but an admin can restrict HTTP 101 (Switching Protocols)
+	responses further using http_reply_access. Responses denied by
+	http_reply_access rules and responses flagged by the internal Upgrade
+	checks result in HTTP 502 (Bad Gateway) ERR_INVALID_RESP errors and
+	Squid-to-server connection closures.
+
+	If Squid sends an Upgrade request header, and the next hop (e.g., the
+	origin server) responds with an acceptable HTTP 101 (Switching
+	Protocols), then Squid forwards that message to the client and becomes
+	a TCP tunnel.
+
+	The presence of an Upgrade request header alone does not preclude cache
+	lookups. In other words, an Upgrade request might be satisfied from the
+	cache, using regular HTTP caching rules.
+
+	This clause only supports fast acl types.
+	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
+
+	Each of the following groups of configuration lines represents a
+	separate configuration example:
+
+	# never upgrade to protocol Foo; all others are OK
+	http_upgrade_request_protocols Foo deny all
+	http_upgrade_request_protocols OTHER allow all
+
+	# only allow upgrades to protocol Bar (except for its first version)
+	http_upgrade_request_protocols Bar/1 deny all
+	http_upgrade_request_protocols Bar allow all
+	http_upgrade_request_protocols OTHER deny all # this rule is optional
+
+	# only allow upgrades to protocol Baz, and only if Baz is the only offer
+	acl UpgradeHeaderHasMultipleOffers ...
+	http_upgrade_request_protocols Baz deny UpgradeHeaderHasMultipleOffers
+	http_upgrade_request_protocols Baz allow all
+DOC_END
+
 NAME: server_pconn_for_nonretriable
 TYPE: acl_access
 DEFAULT: none
diff -u -r -N squid-5.0.3/src/clients/forward.h squid-5.0.4/src/clients/forward.h
--- squid-5.0.3/src/clients/forward.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/clients/forward.h	2020-08-23 05:40:17.000000000 +1200
@@ -41,7 +41,7 @@
  *  We use standard URI-encoding on the second / making it
  *  ftp:host:port/%2froot/path  AKA 'the FTP %2f hack'.
  *
- * \todo Should be a URL class API call.
+ * TODO: Should be an AnyP::Uri member
  */
 const SBuf &UrlWith2f(HttpRequest *);
 
diff -u -r -N squid-5.0.3/src/clients/FtpGateway.cc squid-5.0.4/src/clients/FtpGateway.cc
--- squid-5.0.3/src/clients/FtpGateway.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/clients/FtpGateway.cc	2020-08-23 05:40:17.000000000 +1200
@@ -1928,7 +1928,7 @@
         data.listenConn->close();
         data.listenConn = NULL;
         debugs(9, DBG_IMPORTANT, "FTP AcceptDataConnection: " << io.conn << ": " << xstrerr(io.xerrno));
-        /** \todo Need to send error message on control channel*/
+        // TODO: need to send error message on control channel
         ftpFail(this);
         return;
     }
@@ -2680,7 +2680,7 @@
 /**
  * A hack to ensure we do not double-complete on the forward entry.
  *
- \todo Ftp::Gateway logic should probably be rewritten to avoid
+ * TODO: Ftp::Gateway logic should probably be rewritten to avoid
  *  double-completion or FwdState should be rewritten to allow it.
  */
 void
diff -u -r -N squid-5.0.3/src/clients/FtpRelay.cc squid-5.0.4/src/clients/FtpRelay.cc
--- squid-5.0.3/src/clients/FtpRelay.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/clients/FtpRelay.cc	2020-08-23 05:40:17.000000000 +1200
@@ -10,6 +10,7 @@
 
 #include "squid.h"
 #include "anyp/PortCfg.h"
+#include "base/AsyncCbdataCalls.h"
 #include "client_side.h"
 #include "clients/forward.h"
 #include "clients/FtpClient.h"
@@ -94,8 +95,8 @@
 
     /// Inform Ftp::Server that we are done if originWaitInProgress
     void stopOriginWait(int code);
-
-    static void abort(void *d); // TODO: Capitalize this and FwdState::abort().
+    /// called by Store if the entry is no longer usable
+    static void HandleStoreAbort(Relay *);
 
     bool forwardingCompleted; ///< completeForwarding() has been called
 
@@ -161,12 +162,17 @@
     // Nothing we can do at request creation time can mark the response as
     // uncachable, unfortunately. This prevents "found KEY_PRIVATE" WARNINGs.
     entry->releaseRequest();
-    // TODO: Convert registerAbort() to use AsyncCall
-    entry->registerAbort(Ftp::Relay::abort, this);
+    AsyncCall::Pointer call = asyncCall(9, 4, "Ftp::Relay::Abort", cbdataDialer(&Relay::HandleStoreAbort, this));
+    entry->registerAbortCallback(call);
 }
 
 Ftp::Relay::~Relay()
 {
+    entry->unregisterAbortCallback("Ftp::Relay object destructed");
+    // Client, our parent, calls entry->unlock().
+    // Client does not currently un/registerAbortCallback() because
+    // FwdState does that for other Client kids; \see FwdState::start().
+
     closeServer(); // TODO: move to clients/Client.cc?
     if (savedReply.message)
         wordlistDestroy(&savedReply.message);
@@ -261,7 +267,7 @@
  * (but we may still be waiting for 226 from the FTP server) and
  * also when we get that 226 from the server (and adaptation is done).
  *
- \todo Rewrite FwdState to ignore double completion?
+ * TODO: Rewrite FwdState to ignore double completion?
  */
 void
 Ftp::Relay::completeForwarding()
@@ -784,12 +790,9 @@
 }
 
 void
-Ftp::Relay::abort(void *d)
+Ftp::Relay::HandleStoreAbort(Relay *ftpClient)
 {
-    Ftp::Relay *ftpClient = (Ftp::Relay *)d;
     debugs(9, 2, "Client Data connection closed!");
-    if (!cbdataReferenceValid(ftpClient))
-        return;
     if (Comm::IsConnOpen(ftpClient->data.conn))
         ftpClient->dataComplete();
 }
diff -u -r -N squid-5.0.3/src/client_side.cc squid-5.0.4/src/client_side.cc
--- squid-5.0.3/src/client_side.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/client_side.cc	2020-08-23 05:40:17.000000000 +1200
@@ -1607,9 +1607,7 @@
 clientProcessRequest(ConnStateData *conn, const Http1::RequestParserPointer &hp, Http::Stream *context)
 {
     ClientHttpRequest *http = context->http;
-    bool chunked = false;
     bool mustReplyToOptions = false;
-    bool unsupportedTe = false;
     bool expectBody = false;
 
     // We already have the request parsed and checked, so we
@@ -1666,13 +1664,7 @@
         request->http_ver.minor = http_ver.minor;
     }
 
-    if (request->header.chunked()) {
-        chunked = true;
-    } else if (request->header.has(Http::HdrType::TRANSFER_ENCODING)) {
-        const String te = request->header.getList(Http::HdrType::TRANSFER_ENCODING);
-        // HTTP/1.1 requires chunking to be the last encoding if there is one
-        unsupportedTe = te.size() && te != "identity";
-    } // else implied identity coding
+    const auto unsupportedTe = request->header.unsupportedTe();
 
     mustReplyToOptions = (request->method == Http::METHOD_OPTIONS) &&
                          (request->header.getInt64(Http::HdrType::MAX_FORWARDS) == 0);
@@ -1689,6 +1681,7 @@
         return;
     }
 
+    const auto chunked = request->header.chunked();
     if (!chunked && !clientIsContentLengthValid(request.getRaw())) {
         clientStreamNode *node = context->getClientReplyContext();
         clientReplyContext *repContext = dynamic_cast<clientReplyContext *>(node->data.getRaw());
@@ -4068,8 +4061,8 @@
         return true;
 #endif
 
-    // the 1st HTTP request on a connection to a plain intercepting port
-    if (!pipeline.nrequests && !port->secure.encryptTransport && transparent())
+    // the 1st HTTP(S) request on a connection to an intercepting port
+    if (!pipeline.nrequests && transparent())
         return true;
 
     return false;
@@ -4089,3 +4082,9 @@
     return os << pic.connection << ", request=" << pic.request;
 }
 
+std::ostream &
+operator <<(std::ostream &os, const ConnStateData::ServerConnectionContext &scc)
+{
+    return os << scc.conn_ << ", srv_bytes=" << scc.preReadServerBytes.length();
+}
+
diff -u -r -N squid-5.0.3/src/client_side.h squid-5.0.4/src/client_side.h
--- squid-5.0.3/src/client_side.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/client_side.h	2020-08-23 05:40:17.000000000 +1200
@@ -199,6 +199,25 @@
     // pining related comm callbacks
     virtual void clientPinnedConnectionClosed(const CommCloseCbParams &io);
 
+    /// noteTakeServerConnectionControl() callback parameter
+    class ServerConnectionContext {
+    public:
+        ServerConnectionContext(const Comm::ConnectionPointer &conn, const HttpRequest::Pointer &req, const SBuf &post101Bytes): preReadServerBytes(post101Bytes), conn_(conn) { conn_->enterOrphanage(); }
+
+        /// gives to-server connection to the new owner
+        Comm::ConnectionPointer connection() { conn_->leaveOrphanage(); return conn_; }
+
+        SBuf preReadServerBytes; ///< post-101 bytes received from the server
+
+    private:
+        friend std::ostream &operator <<(std::ostream &, const ServerConnectionContext &);
+        Comm::ConnectionPointer conn_; ///< to-server connection
+    };
+
+    /// Gives us the control of the Squid-to-server connection.
+    /// Used, for example, to initiate a TCP tunnel after protocol switching.
+    virtual void noteTakeServerConnectionControl(ServerConnectionContext) {}
+
     // comm callbacks
     void clientReadFtpData(const CommIoCbParams &io);
     void connStateClosed(const CommCloseCbParams &io);
@@ -470,6 +489,7 @@
 void clientPostHttpsAccept(ConnStateData *);
 
 std::ostream &operator <<(std::ostream &os, const ConnStateData::PinnedIdleContext &pic);
+std::ostream &operator <<(std::ostream &, const ConnStateData::ServerConnectionContext &);
 
 #endif /* SQUID_CLIENTSIDE_H */
 
diff -u -r -N squid-5.0.3/src/client_side_reply.cc squid-5.0.4/src/client_side_reply.cc
--- squid-5.0.3/src/client_side_reply.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/client_side_reply.cc	2020-08-23 05:40:17.000000000 +1200
@@ -377,6 +377,10 @@
 {
     StoreIOBuffer tempresult;
     removeStoreReference(&old_sc, &old_entry);
+
+    if (collapsedRevalidation)
+        http->storeEntry()->clearPublicKeyScope();
+
     /* here the data to send is the data we just received */
     tempBuffer.offset = 0;
     old_reqsize = 0;
@@ -453,6 +457,9 @@
     const auto &new_rep = http->storeEntry()->mem().freshestReply();
     const auto status = new_rep.sline.status();
 
+    // XXX: Disregard stale incomplete (i.e. still being written) borrowed (i.e.
+    // not caused by our request) IMS responses. That new_rep may be very old!
+
     // origin replied 304
     if (status == Http::scNotModified) {
         http->logType.update(LOG_TCP_REFRESH_UNMODIFIED);
@@ -490,10 +497,6 @@
             http->logType.update(LOG_TCP_REFRESH_MODIFIED);
             debugs(88, 3, "origin replied " << status <<
                    ", replacing existing entry and forwarding to client");
-
-            if (collapsedRevalidation)
-                http->storeEntry()->clearPublicKeyScope();
-
             sendClientUpstreamResponse();
         }
     }
@@ -1108,7 +1111,7 @@
      * Make a new entry to hold the reply to be written
      * to the client.
      */
-    /* FIXME: This doesn't need to go through the store. Simply
+    /* TODO: This doesn't need to go through the store. Simply
      * push down the client chain
      */
     createStoreEntry(http->request->method, RequestFlags());
@@ -1549,7 +1552,7 @@
               reply->sline.status() == Http::scUnauthorized)
        ) {
         /* Add authentication header */
-        /*! \todo alter errorstate to be accel on|off aware. The 0 on the next line
+        /* TODO: alter errorstate to be accel on|off aware. The 0 on the next line
          * depends on authenticate behaviour: all schemes to date send no extra
          * data on 407/401 responses, and do not check the accel state on 401/407
          * responses
diff -u -r -N squid-5.0.3/src/client_side_request.cc squid-5.0.4/src/client_side_request.cc
--- squid-5.0.3/src/client_side_request.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/client_side_request.cc	2020-08-23 05:40:17.000000000 +1200
@@ -372,10 +372,7 @@
     /* this is an internally created
      * request, not subject to acceleration
      * target overrides */
-    /*
-     * FIXME? Do we want to detect and handle internal requests of internal
-     * objects ?
-     */
+    // TODO: detect and handle internal requests of internal objects?
 
     /* Internally created requests cannot have bodies today */
     request->content_length = 0;
@@ -1298,7 +1295,7 @@
     break;
     }
 
-    /* FIXME PIPELINE: This is innacurate during pipelining */
+    /* XXX PIPELINE: This is inaccurate during pipelining */
 
     if (http->getConn() != NULL && Comm::IsConnOpen(http->getConn()->clientConnection))
         fd_note(http->getConn()->clientConnection->fd, http->uri);
diff -u -r -N squid-5.0.3/src/clientStream.cc squid-5.0.4/src/clientStream.cc
--- squid-5.0.3/src/clientStream.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/clientStream.cc	2020-08-23 05:40:17.000000000 +1200
@@ -78,7 +78,7 @@
    return;
  \endcode
  *
- \todo rather than each node undeleting the next, have a clientStreamDelete that walks the list.
+ * TODO: rather than each node undeleting the next, have a clientStreamDelete that walks the list.
  */
 
 CBDATA_CLASS_INIT(clientStreamNode);
diff -u -r -N squid-5.0.3/src/clientStream.h squid-5.0.4/src/clientStream.h
--- squid-5.0.3/src/clientStream.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/clientStream.h	2020-08-23 05:40:17.000000000 +1200
@@ -49,7 +49,6 @@
  \li             satisfies the read request, or
  \li             inserts a new node above it and calls clientStreamRead(), or
  \li             calls clientStreamRead()
- \todo DOCS: make the above list nested.
  *
  \par
  *    There is no requirement for the Read parameters from different
@@ -58,7 +57,7 @@
  *
  \section WhatsInANode Whats in a node
  *
- \todo ClientStreams: These details should really be codified as a class which all ClientStream nodes inherit from.
+ * TODO: ClientStreams: These details should really be codified as a class which all ClientStream nodes inherit from.
  *
  \par   Each node must have:
  \li    read method - to allow loose coupling in the pipeline. (The reader may
diff -u -r -N squid-5.0.3/src/comm/Connection.cc squid-5.0.4/src/comm/Connection.cc
--- squid-5.0.3/src/comm/Connection.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/comm/Connection.cc	2020-08-23 05:40:17.000000000 +1200
@@ -41,12 +41,16 @@
     *rfc931 = 0; // quick init the head. the rest does not matter.
 }
 
-static int64_t lost_conn = 0;
 Comm::Connection::~Connection()
 {
     if (fd >= 0) {
-        debugs(5, 4, "BUG #3329: Orphan Comm::Connection: " << *this);
-        debugs(5, 4, "NOTE: " << ++lost_conn << " Orphans since last started.");
+        if (flags & COMM_ORPHANED) {
+            debugs(5, 5, "closing orphan: " << *this);
+        } else {
+            static uint64_t losses = 0;
+            ++losses;
+            debugs(5, 4, "BUG #3329: Lost orphan #" << losses << ": " << *this);
+        }
         close();
     }
 
@@ -56,24 +60,25 @@
 }
 
 Comm::ConnectionPointer
-Comm::Connection::copyDetails() const
+Comm::Connection::cloneDestinationDetails() const
 {
-    ConnectionPointer c = new Comm::Connection;
-
+    const ConnectionPointer c = new Comm::Connection;
     c->setAddrs(local, remote);
     c->peerType = peerType;
+    c->flags = flags;
+    c->peer_ = cbdataReference(getPeer());
+    assert(!c->isOpen());
+    return c;
+}
+
+Comm::ConnectionPointer
+Comm::Connection::cloneIdentDetails() const
+{
+    auto c = cloneDestinationDetails();
     c->tos = tos;
     c->nfmark = nfmark;
     c->nfConnmark = nfConnmark;
-    c->flags = flags;
     c->startTime_ = startTime_;
-
-    // ensure FD is not open in the new copy.
-    c->fd = -1;
-
-    // ensure we have a cbdata reference to peer_ not a straight ptr copy.
-    c->peer_ = cbdataReference(getPeer());
-
     return c;
 }
 
diff -u -r -N squid-5.0.3/src/comm/Connection.h squid-5.0.4/src/comm/Connection.h
--- squid-5.0.3/src/comm/Connection.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/comm/Connection.h	2020-08-23 05:40:17.000000000 +1200
@@ -50,6 +50,8 @@
 #define COMM_TRANSPARENT        0x10  // arrived via TPROXY
 #define COMM_INTERCEPTION       0x20  // arrived via NAT
 #define COMM_REUSEPORT          0x40 //< needs SO_REUSEPORT
+/// not registered with Comm and not owned by any connection-closing code
+#define COMM_ORPHANED           0x40
 
 /**
  * Store data about the physical and logical attributes of a connection.
@@ -75,10 +77,18 @@
     /** Clear the connection properties and close any open socket. */
     virtual ~Connection();
 
-    /** Copy an existing connections IP and properties.
-     * This excludes the FD. The new copy will be a closed connection.
-     */
-    ConnectionPointer copyDetails() const;
+    /// Create a new (closed) IDENT Connection object based on our from-Squid
+    /// connection properties.
+    ConnectionPointer cloneIdentDetails() const;
+
+    /// Create a new (closed) Connection object pointing to the same destination
+    /// as this from-Squid connection.
+    ConnectionPointer cloneDestinationDetails() const;
+
+    /// close the still-open connection when its last reference is gone
+    void enterOrphanage() { flags |= COMM_ORPHANED; }
+    /// resume relying on owner(s) to initiate an explicit connection closure
+    void leaveOrphanage() { flags &= ~COMM_ORPHANED; }
 
     /** Close any open socket. */
     void close();
@@ -131,10 +141,14 @@
     virtual std::ostream &detailCodeContext(std::ostream &os) const override;
 
 private:
-    /** These objects may not be exactly duplicated. Use copyDetails() instead. */
+    /** These objects may not be exactly duplicated. Use cloneIdentDetails() or
+     * cloneDestinationDetails() instead.
+     */
     Connection(const Connection &c);
 
-    /** These objects may not be exactly duplicated. Use copyDetails() instead. */
+    /** These objects may not be exactly duplicated. Use cloneIdentDetails() or
+     * cloneDestinationDetails() instead.
+     */
     Connection & operator =(const Connection &c);
 
 public:
diff -u -r -N squid-5.0.3/src/comm/ConnOpener.cc squid-5.0.4/src/comm/ConnOpener.cc
--- squid-5.0.3/src/comm/ConnOpener.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/comm/ConnOpener.cc	2020-08-23 05:40:17.000000000 +1200
@@ -30,7 +30,7 @@
 
 CBDATA_NAMESPACED_CLASS_INIT(Comm, ConnOpener);
 
-Comm::ConnOpener::ConnOpener(Comm::ConnectionPointer &c, const AsyncCall::Pointer &handler, time_t ctimeout) :
+Comm::ConnOpener::ConnOpener(const Comm::ConnectionPointer &c, const AsyncCall::Pointer &handler, time_t ctimeout) :
     AsyncJob("Comm::ConnOpener"),
     host_(NULL),
     temporaryFd_(-1),
diff -u -r -N squid-5.0.3/src/comm/ConnOpener.h squid-5.0.4/src/comm/ConnOpener.h
--- squid-5.0.3/src/comm/ConnOpener.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/comm/ConnOpener.h	2020-08-23 05:40:17.000000000 +1200
@@ -33,7 +33,7 @@
 
     virtual bool doneAll() const;
 
-    ConnOpener(Comm::ConnectionPointer &, const AsyncCall::Pointer &handler, time_t connect_timeout);
+    ConnOpener(const Comm::ConnectionPointer &, const AsyncCall::Pointer &handler, time_t connect_timeout);
     ~ConnOpener();
 
     void setHost(const char *);    ///< set the hostname note for this connection
diff -u -r -N squid-5.0.3/src/comm.cc squid-5.0.4/src/comm.cc
--- squid-5.0.3/src/comm.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/comm.cc	2020-08-23 05:40:17.000000000 +1200
@@ -1297,8 +1297,8 @@
         const auto ccb = COMMIO_FD_WRITECB(head);
         // check that the head descriptor is still relevant
         if (headFde.clientInfo == this &&
-                quotaPeekReserv() == ccb->quotaQueueReserv &&
-                !headFde.closing()) {
+        quotaPeekReserv() == ccb->quotaQueueReserv &&
+        !headFde.closing()) {
 
             // wait for the head descriptor to become ready for writing
             Comm::SetSelect(head, COMM_SELECT_WRITE, Comm::HandleWrite, ccb, 0);
@@ -1678,7 +1678,7 @@
         if (!fd_table[c->fd].halfClosedReader) { // not reading already
             CallBack(fd_table[c->fd].codeContext, [&c] {
                 AsyncCall::Pointer call = commCbCall(5,4, "commHalfClosedReader",
-                                                     CommIoCbPtrFun(&commHalfClosedReader, nullptr));
+                CommIoCbPtrFun(&commHalfClosedReader, nullptr));
                 Comm::Read(c, call);
                 fd_table[c->fd].halfClosedReader = call;
             });
diff -u -r -N squid-5.0.3/src/CommonPool.h squid-5.0.4/src/CommonPool.h
--- squid-5.0.3/src/CommonPool.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/CommonPool.h	2020-08-23 05:40:17.000000000 +1200
@@ -18,7 +18,7 @@
 /*
  \ingroup DelayPoolsAPI
  *
- \todo Next steps: make this a composite, and TypeLabel a composite method.
+ * TODO: Next steps: make this a composite, and TypeLabel a composite method.
  * Then we have a legacy composite which returns class 1/2/3, and new
  * composites which return a descriptor of some sort.
  */
diff -u -r -N squid-5.0.3/src/DelayPool.cc squid-5.0.4/src/DelayPool.cc
--- squid-5.0.3/src/DelayPool.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/DelayPool.cc	2020-08-23 05:40:17.000000000 +1200
@@ -75,7 +75,7 @@
     pool = NULL;
 }
 
-/** \todo XXX create DelayIdComposite.cc */
+// TODO: create DelayIdComposite.cc
 void
 CompositePoolNode::delayRead(DeferredRead const &aRead)
 {
diff -u -r -N squid-5.0.3/src/DescriptorSet.cc squid-5.0.4/src/DescriptorSet.cc
--- squid-5.0.3/src/DescriptorSet.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/DescriptorSet.cc	2020-08-23 05:40:17.000000000 +1200
@@ -37,12 +37,12 @@
 bool
 DescriptorSet::add(int fd)
 {
-    assert(0 <= fd && fd < capacity_); // \todo: replace with Must()
+    assert(0 <= fd && fd < capacity_); // TODO: replace with Must()
 
     if (has(fd))
         return false; // already have it
 
-    assert(size_ < capacity_); // \todo: replace with Must()
+    assert(size_ < capacity_); // TODO: replace with Must()
     const int pos = size_;
     ++size_;
     index_[fd] = pos;
@@ -54,7 +54,7 @@
 bool
 DescriptorSet::del(int fd)
 {
-    assert(0 <= fd && fd < capacity_); // \todo: here and below, use Must()
+    assert(0 <= fd && fd < capacity_); // TODO: here and below, use Must()
 
     if (!has(fd))
         return false; // we do not have it
@@ -97,7 +97,7 @@
 void
 DescriptorSet::print(std::ostream &os) const
 {
-    // \todo add "name" if the set is used for more than just half-closed FDs
+    // TODO: add "name" if the set is used for more than just half-closed FDs
     os << size_ << " FDs";
 }
 
diff -u -r -N squid-5.0.3/src/DescriptorSet.h squid-5.0.4/src/DescriptorSet.h
--- squid-5.0.3/src/DescriptorSet.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/DescriptorSet.h	2020-08-23 05:40:17.000000000 +1200
@@ -11,12 +11,10 @@
 
 #include <iosfwd>
 
-/** \ingroup Comm
-
-    \todo: Should we use std::set<int> with its flexibility? Our implementation
+/* TODO: Should we use std::set<int> with its flexibility? Our implementation
     has constant overhead, which is smaller than log(n) of std::set.
-
-an unordered collection of unique descriptors with O(1) add/del/has ops */
+*/
+/// An unordered collection of unique descriptors with O(1) add/del/has ops
 class DescriptorSet
 {
 public:
diff -u -r -N squid-5.0.3/src/DiskIO/AIO/AIODiskFile.cc squid-5.0.4/src/DiskIO/AIO/AIODiskFile.cc
--- squid-5.0.3/src/DiskIO/AIO/AIODiskFile.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/DiskIO/AIO/AIODiskFile.cc	2020-08-23 05:40:17.000000000 +1200
@@ -95,7 +95,7 @@
 
     if (slot < 0) {
         /* No free slot? Callback error, and return */
-        fatal("Aiee! out of aiocb slots! - FIXME and wrap file_read\n");
+        fatal("Aiee! out of aiocb slots! - TODO fix and wrap file_read\n");
         debugs(79, DBG_IMPORTANT, "WARNING: out of aiocb slots!");
         /* fall back to blocking method */
         //        file_read(fd, request->buf, request->len, request->offset, callback, data);
@@ -133,7 +133,7 @@
     /* Initiate aio */
     if (aio_read(&qe->aq_e_aiocb) < 0) {
         int xerrno = errno;
-        fatalf("Aiee! aio_read() returned error (%d)  FIXME and wrap file_read !\n", xerrno);
+        fatalf("Aiee! aio_read() returned error (%d) TODO fix and wrap file_read !\n", xerrno);
         debugs(79, DBG_IMPORTANT, "WARNING: aio_read() returned error: " << xstrerr(xerrno));
         /* fall back to blocking method */
         //        file_read(fd, request->buf, request->len, request->offset, callback, data);
@@ -154,7 +154,7 @@
 
     if (slot < 0) {
         /* No free slot? Callback error, and return */
-        fatal("Aiee! out of aiocb slots FIXME and wrap file_write !\n");
+        fatal("Aiee! out of aiocb slots TODO fix and wrap file_write !\n");
         debugs(79, DBG_IMPORTANT, "WARNING: out of aiocb slots!");
         /* fall back to blocking method */
         //        file_write(fd, offset, buf, len, callback, data, freefunc);
@@ -192,7 +192,7 @@
     /* Initiate aio */
     if (aio_write(&qe->aq_e_aiocb) < 0) {
         int xerrno = errno;
-        fatalf("Aiee! aio_write() returned error (%d) FIXME and wrap file_write !\n", xerrno);
+        fatalf("Aiee! aio_write() returned error (%d) TODO fix and wrap file_write !\n", xerrno);
         debugs(79, DBG_IMPORTANT, "WARNING: aio_write() returned error: " << xstrerr(xerrno));
         /* fall back to blocking method */
         //       file_write(fd, offset, buf, len, callback, data, freefunc);
diff -u -r -N squid-5.0.3/src/enums.h squid-5.0.4/src/enums.h
--- squid-5.0.3/src/enums.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/enums.h	2020-08-23 05:40:17.000000000 +1200
@@ -37,8 +37,12 @@
 } mem_status_t;
 
 typedef enum {
+    /// Has not considered whether to send ICP queries to peers yet.
     PING_NONE,
+    /// Sent ICP queries to peers and still awaiting responses.
     PING_WAITING,
+    /// Not waiting for ICP responses now and will not send ICP queries later.
+    /// The ICP queries may (or may not) have been sent earlier.
     PING_DONE
 } ping_status_t;
 
diff -u -r -N squid-5.0.3/src/esi/Context.h squid-5.0.4/src/esi/Context.h
--- squid-5.0.3/src/esi/Context.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/esi/Context.h	2020-08-23 05:40:17.000000000 +1200
@@ -128,8 +128,8 @@
     private:
         bool inited_;
     }
+    parserState; // TODO: refactor this to somewhere else
 
-    parserState; /* todo factor this off somewhere else; */
     ESIVarState *varState;
     ESIElement::Pointer tree;
 
diff -u -r -N squid-5.0.3/src/esi/Esi.cc squid-5.0.4/src/esi/Esi.cc
--- squid-5.0.3/src/esi/Esi.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/esi/Esi.cc	2020-08-23 05:40:17.000000000 +1200
@@ -802,7 +802,7 @@
     }
 
     /* ok.. no data sent, try to pull more data in from upstream.
-     * FIXME: Don't try thisNode if we have finished reading the template
+     * TODO: Don't try thisNode if we have finished reading the template
      */
     if (!context->flags.finishedtemplate && !context->reading()
             && !context->cachedASTInUse) {
@@ -1263,7 +1263,7 @@
             while (buffered.getRaw() && !flags.error)
                 parseOneBuffer();
 
-        } catch (Esi::ErrorDetail &errMsg) { // FIXME: non-const for c_str()
+        } catch (Esi::ErrorDetail &errMsg) { // XXX: non-const for c_str()
             // level-2: these are protocol/syntax errors from upstream
             debugs(86, 2, "WARNING: ESI syntax error: " << errMsg);
             setError();
diff -u -r -N squid-5.0.3/src/esi/Include.cc squid-5.0.4/src/esi/Include.cc
--- squid-5.0.3/src/esi/Include.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/esi/Include.cc	2020-08-23 05:40:17.000000000 +1200
@@ -335,7 +335,7 @@
              */
             debugs(86, 5, "ESIIncludeNew: Requesting alternate '" << attr[i+1] << "'");
 
-            assert (alt.getRaw() == NULL); /* TODO: FIXME */
+            assert (alt.getRaw() == NULL); /* TODO: fix? */
             alt = ESIStreamContextNew (this);
             assert (alt.getRaw() != NULL);
             alturl = xstrdup(attr[i+1]);
diff -u -r -N squid-5.0.3/src/esi/Sequence.cc squid-5.0.4/src/esi/Sequence.cc
--- squid-5.0.3/src/esi/Sequence.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/esi/Sequence.cc	2020-08-23 05:40:17.000000000 +1200
@@ -90,7 +90,7 @@
     for (size_t i = 0; i < processedcount; ++i) {
         elements[i]->render(output);
         FinishAnElement(elements[i], i);
-        /* FIXME: pass a ESISegment ** ? */
+        // TODO: pass an "ESISegment **" ?
         output = output->tail();
     }
 
diff -u -r -N squid-5.0.3/src/esi/VarState.cc squid-5.0.4/src/esi/VarState.cc
--- squid-5.0.3/src/esi/VarState.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/esi/VarState.cc	2020-08-23 05:40:17.000000000 +1200
@@ -805,7 +805,7 @@
     delete currentFunction;
 }
 
-/* XXX FIXME: this should be comma delimited, no? */
+/* XXX: this should be comma delimited, no? */
 void
 ESIVarState::buildVary (HttpReply *rep)
 {
diff -u -r -N squid-5.0.3/src/external_acl.cc squid-5.0.4/src/external_acl.cc
--- squid-5.0.3/src/external_acl.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/external_acl.cc	2020-08-23 05:40:17.000000000 +1200
@@ -69,8 +69,9 @@
 
 class external_acl
 {
-    /* FIXME: These are not really cbdata, but it is an easy way
+    /* XXX: These are not really cbdata, but it is an easy way
      * to get them pooled, refcounted, accounted and freed properly...
+     * Use RefCountable MEMPROXY_CLASS instead
      */
     CBDATA_CLASS(external_acl);
 
diff -u -r -N squid-5.0.3/src/format/ByteCode.h squid-5.0.4/src/format/ByteCode.h
--- squid-5.0.3/src/format/ByteCode.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/format/ByteCode.h	2020-08-23 05:40:17.000000000 +1200
@@ -110,11 +110,11 @@
     /*LFT_REQUEST_SIZE_BODY, */
     /*LFT_REQUEST_SIZE_BODY_NO_TE, */
 
-    /* original Status-Line details recieved from server */
-    // XXX: todo
+    /* original Status-Line details received from server */
+    // TODO: implement server detail logging
 
     /* Status-Line details sent to the client */
-    // XXX: todo
+    // TODO: implement server detail logging
 
     /* response Status-Line details (legacy, filtered) */
     LFT_HTTP_SENT_STATUS_CODE_OLD_30,
diff -u -r -N squid-5.0.3/src/format/Token.h squid-5.0.4/src/format/Token.h
--- squid-5.0.3/src/format/Token.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/format/Token.h	2020-08-23 05:40:17.000000000 +1200
@@ -68,7 +68,7 @@
     bool space;
     bool zero;
     int divisor;    // class invariant: MUST NOT be zero.
-    Token *next;    /* todo: move from linked list to array */
+    Token *next;    // TODO: move from linked list to array
 
 private:
     const char *scanForToken(TokenTableEntry const table[], const char *cur);
diff -u -r -N squid-5.0.3/src/fs/ufs/StoreSearchUFS.h squid-5.0.4/src/fs/ufs/StoreSearchUFS.h
--- squid-5.0.3/src/fs/ufs/StoreSearchUFS.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/fs/ufs/StoreSearchUFS.h	2020-08-23 05:40:17.000000000 +1200
@@ -25,7 +25,7 @@
     StoreSearchUFS(RefCount<UFSSwapDir> sd);
     virtual ~StoreSearchUFS();
 
-    /** \todo Iterator API - garh, wrong place */
+    // TODO: misplaced Iterator API
     /**
      * callback the client when a new StoreEntry is available
      * or an error occurs
diff -u -r -N squid-5.0.3/src/fs/ufs/UFSStoreState.h squid-5.0.4/src/fs/ufs/UFSStoreState.h
--- squid-5.0.3/src/fs/ufs/UFSStoreState.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/fs/ufs/UFSStoreState.h	2020-08-23 05:40:17.000000000 +1200
@@ -100,7 +100,7 @@
     };
     std::queue<Ufs::UFSStoreState::_queued_write> pending_writes;
 
-    /** \todo These should be in the IO strategy */
+    // TODO: These should be in the IO strategy
 
     struct {
         /**
diff -u -r -N squid-5.0.3/src/FwdState.cc squid-5.0.4/src/FwdState.cc
--- squid-5.0.3/src/FwdState.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/FwdState.cc	2020-08-23 05:40:17.000000000 +1200
@@ -105,9 +105,8 @@
 };
 
 void
-FwdState::abort(void* d)
+FwdState::HandleStoreAbort(FwdState *fwd)
 {
-    FwdState* fwd = (FwdState*)d;
     Pointer tmp = fwd; // Grab a temporary pointer to keep the object alive during our scope.
 
     if (Comm::IsConnOpen(fwd->serverConnection())) {
@@ -134,6 +133,7 @@
 FwdState::closeServerConnection(const char *reason)
 {
     debugs(17, 3, "because " << reason << "; " << serverConn);
+    assert(Comm::IsConnOpen(serverConn));
     comm_remove_close_handler(serverConn->fd, closeHandler);
     closeHandler = NULL;
     fwdPconnPool->noteUses(fd_table[serverConn->fd].pconn.uses);
@@ -177,8 +177,10 @@
 
     // Ftp::Relay needs to preserve control connection on data aborts
     // so it registers its own abort handler that calls ours when needed.
-    if (!request->flags.ftpNative)
-        entry->registerAbort(FwdState::abort, this);
+    if (!request->flags.ftpNative) {
+        AsyncCall::Pointer call = asyncCall(17, 4, "FwdState::Abort", cbdataDialer(&FwdState::HandleStoreAbort, this));
+        entry->registerAbortCallback(call);
+    }
 
     // just in case; should already be initialized to false
     request->flags.pinned = false;
@@ -317,7 +319,7 @@
 
     delete err;
 
-    entry->unregisterAbort();
+    entry->unregisterAbortCallback("FwdState object destructed");
 
     entry->unlock("FwdState");
 
@@ -482,7 +484,10 @@
     if (pconnRace == racePossible) {
         debugs(17, 5, HERE << "pconn race happened");
         pconnRace = raceHappened;
-        destinations->retryPath(serverConn);
+        if (destinationReceipt) {
+            destinations->reinstatePath(destinationReceipt);
+            destinationReceipt = nullptr;
+        }
     }
 
     if (ConnStateData *pinned_connection = request->pinnedConnection()) {
@@ -503,6 +508,7 @@
     comm_remove_close_handler(conn->fd, closeHandler);
     closeHandler = NULL;
     serverConn = NULL;
+    destinationReceipt = nullptr;
 }
 
 // \deprecated use unregister(Comm::ConnectionPointer &conn) instead
@@ -788,6 +794,8 @@
 void
 FwdState::noteConnection(HappyConnOpener::Answer &answer)
 {
+    assert(!destinationReceipt);
+
     calls.connector = nullptr;
     connOpener.clear();
 
@@ -801,14 +809,25 @@
         Must(!Comm::IsConnOpen(answer.conn));
         answer.error.clear(); // preserve error for errorSendComplete()
     } else if (!Comm::IsConnOpen(answer.conn) || fd_table[answer.conn->fd].closing()) {
+        // We do not know exactly why the connection got closed, so we play it
+        // safe, allowing retries only for persistent (reused) connections
+        if (answer.reused) {
+            destinationReceipt = answer.conn;
+            assert(destinationReceipt);
+        }
         syncHierNote(answer.conn, request->url.host());
         closePendingConnection(answer.conn, "conn was closed while waiting for noteConnection");
         error = new ErrorState(ERR_CANNOT_FORWARD, Http::scServiceUnavailable, request, al);
+    } else {
+        assert(!error);
+        destinationReceipt = answer.conn;
+        assert(destinationReceipt);
+        // serverConn remains nil until syncWithServerConn()
     }
 
     if (error) {
         fail(error);
-        retryOrBail(); // will notice flags.dont_retry and bail
+        retryOrBail();
         return;
     }
 
@@ -833,8 +852,8 @@
                 !peer->options.originserver && // the "through a proxy" part
                 !peer->secure.encryptTransport) // the "exclude HTTPS proxies" part
             return advanceDestination("establish tunnel through proxy", answer.conn, [this,&answer] {
-                establishTunnelThruProxy(answer.conn);
-            });
+            establishTunnelThruProxy(answer.conn);
+        });
     }
 
     secureConnectionToPeerIfNeeded(answer.conn);
@@ -847,15 +866,16 @@
                                             "FwdState::tunnelEstablishmentDone",
                                             Http::Tunneler::CbDialer<FwdState>(&FwdState::tunnelEstablishmentDone, this));
     HttpRequest::Pointer requestPointer = request;
-    const auto tunneler = new Http::Tunneler(conn, requestPointer, callback, connectingTimeout(serverConnection()), al);
+    const auto tunneler = new Http::Tunneler(conn, requestPointer, callback, connectingTimeout(conn), al);
 
     // TODO: Replace this hack with proper Comm::Connection-Pool association
     // that is not tied to fwdPconnPool and can handle disappearing pools.
     tunneler->noteFwdPconnUse = true;
 
 #if USE_DELAY_POOLS
-    Must(serverConnection()->getPeer());
-    if (!serverConnection()->getPeer()->options.no_delay)
+    Must(conn);
+    Must(conn->getPeer());
+    if (!conn->getPeer()->options.no_delay)
         tunneler->setDelayId(entry->mem_obj->mostBytesAllowed());
 #endif
     AsyncJob::Start(tunneler);
@@ -998,6 +1018,7 @@
 {
     Must(IsConnOpen(conn));
     serverConn = conn;
+    // no effect on destinationReceipt (which may even be nil here)
 
     closeHandler = comm_add_close_handler(serverConn->fd,  fwdServerClosedWrapper, this);
 
@@ -1042,6 +1063,7 @@
     err = nullptr;
     request->clearError();
     serverConn = nullptr;
+    destinationReceipt = nullptr;
 
     request->hier.startPeerClock();
 
@@ -1072,6 +1094,8 @@
     debugs(17, 7, "connection manager: " << connManager);
 
     try {
+        // TODO: Refactor syncWithServerConn() and callers to always set
+        // serverConn inside that method.
         serverConn = ConnStateData::BorrowPinnedConnection(request, al);
         debugs(17, 5, "connection: " << serverConn);
     } catch (ErrorState * const anErr) {
diff -u -r -N squid-5.0.3/src/FwdState.h squid-5.0.4/src/FwdState.h
--- squid-5.0.3/src/FwdState.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/FwdState.h	2020-08-23 05:40:17.000000000 +1200
@@ -21,6 +21,7 @@
 #include "http/StatusCode.h"
 #include "ip/Address.h"
 #include "PeerSelectState.h"
+#include "ResolvedPeers.h"
 #include "security/forward.h"
 #if USE_OPENSSL
 #include "ssl/support.h"
@@ -172,7 +173,8 @@
     HttpRequest *request;
     AccessLogEntryPointer al; ///< info for the future access.log entry
 
-    static void abort(void*);
+    /// called by Store if the entry is no longer usable
+    static void HandleStoreAbort(FwdState *);
 
 private:
     Pointer self;
@@ -196,6 +198,7 @@
     HappyConnOpenerPointer connOpener; ///< current connection opening job
     ResolvedPeersPointer destinations; ///< paths for forwarding the request
     Comm::ConnectionPointer serverConn; ///< a successfully opened connection to a server.
+    PeerConnectionPointer destinationReceipt; ///< peer selection result (or nil)
 
     AsyncCall::Pointer closeHandler; ///< The serverConn close handler
 
diff -u -r -N squid-5.0.3/src/HappyConnOpener.cc squid-5.0.4/src/HappyConnOpener.cc
--- squid-5.0.3/src/HappyConnOpener.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/HappyConnOpener.cc	2020-08-23 05:40:17.000000000 +1200
@@ -18,7 +18,6 @@
 #include "neighbors.h"
 #include "pconn.h"
 #include "PeerPoolMgr.h"
-#include "ResolvedPeers.h"
 #include "SquidConfig.h"
 
 CBDATA_CLASS_INIT(HappyConnOpener);
@@ -455,7 +454,7 @@
 
 /// \returns pre-filled Answer if the initiator needs an answer (or nil)
 HappyConnOpener::Answer *
-HappyConnOpener::futureAnswer(const Comm::ConnectionPointer &conn)
+HappyConnOpener::futureAnswer(const PeerConnectionPointer &conn)
 {
     if (callback_ && !callback_->canceled()) {
         const auto answer = dynamic_cast<Answer *>(callback_->getDialer());
@@ -469,7 +468,7 @@
 
 /// send a successful result to the initiator (if it still needs an answer)
 void
-HappyConnOpener::sendSuccess(const Comm::ConnectionPointer &conn, bool reused, const char *connKind)
+HappyConnOpener::sendSuccess(const PeerConnectionPointer &conn, const bool reused, const char *connKind)
 {
     debugs(17, 4, connKind << ": " << conn);
     if (auto *answer = futureAnswer(conn)) {
@@ -485,7 +484,7 @@
 HappyConnOpener::cancelAttempt(Attempt &attempt, const char *reason)
 {
     Must(attempt);
-    destinations->retryPath(attempt.path); // before attempt.cancel() clears path
+    destinations->reinstatePath(attempt.path); // before attempt.cancel() clears path
     attempt.cancel(reason);
 }
 
@@ -514,7 +513,7 @@
 
 /// starts opening (or reusing) a connection to the given destination
 void
-HappyConnOpener::startConnecting(Attempt &attempt, Comm::ConnectionPointer &dest)
+HappyConnOpener::startConnecting(Attempt &attempt, PeerConnectionPointer &dest)
 {
     Must(!attempt.path);
     Must(!attempt.connector);
@@ -530,13 +529,14 @@
 /// \returns true if and only if reuse was possible
 /// must be called via startConnecting()
 bool
-HappyConnOpener::reuseOldConnection(const Comm::ConnectionPointer &dest)
+HappyConnOpener::reuseOldConnection(PeerConnectionPointer &dest)
 {
     assert(allowPconn_);
 
     if (const auto pconn = fwdPconnPool->pop(dest, host_, retriable_)) {
         ++n_tries;
-        sendSuccess(pconn, true, "reused connection");
+        dest.finalize(pconn);
+        sendSuccess(dest, true, "reused connection");
         return true;
     }
 
@@ -546,7 +546,7 @@
 /// opens a fresh connection to the given destination
 /// must be called via startConnecting()
 void
-HappyConnOpener::openFreshConnection(Attempt &attempt, Comm::ConnectionPointer &dest)
+HappyConnOpener::openFreshConnection(Attempt &attempt, PeerConnectionPointer &dest)
 {
 #if URL_CHECKSUM_DEBUG
     entry->mem_obj->checkUrlChecksum();
@@ -583,9 +583,12 @@
     const bool itWasSpare = (params.conn == spare.path);
     Must(itWasPrime != itWasSpare);
 
+    PeerConnectionPointer handledPath;
     if (itWasPrime) {
+        handledPath = prime.path;
         prime.finish();
     } else {
+        handledPath = spare.path;
         spare.finish();
         if (gotSpareAllowance) {
             TheSpareAllowanceGiver.jobUsedAllowance();
@@ -595,7 +598,7 @@
 
     const char *what = itWasPrime ? "new prime connection" : "new spare connection";
     if (params.flag == Comm::OK) {
-        sendSuccess(params.conn, false, what);
+        sendSuccess(handledPath, false, what);
         return;
     }
 
@@ -605,7 +608,7 @@
     params.conn->close(); // TODO: Comm::ConnOpener should do this instead.
 
     // remember the last failure (we forward it if we cannot connect anywhere)
-    lastFailedConnection = params.conn;
+    lastFailedConnection = handledPath;
     delete lastError;
     lastError = nullptr; // in case makeError() throws
     lastError = makeError(ERR_CONNECT_FAIL);
@@ -717,11 +720,14 @@
     // open a new prime and/or a new spare connection if needed
     if (!destinations->empty()) {
         if (!currentPeer) {
-            currentPeer = destinations->extractFront();
+            auto newPrime = destinations->extractFront();
+            currentPeer = newPrime;
             Must(currentPeer);
             debugs(17, 7, "new peer " << *currentPeer);
             primeStart = current_dtime;
-            startConnecting(prime, currentPeer);
+            startConnecting(prime, newPrime);
+            // TODO: if reuseOldConnection() in startConnecting() above succeeds,
+            // then we should not get here, and Must(prime) below will fail.
             maybeGivePrimeItsChance();
             Must(prime); // entering state #1.1
         } else {
diff -u -r -N squid-5.0.3/src/HappyConnOpener.h squid-5.0.4/src/HappyConnOpener.h
--- squid-5.0.3/src/HappyConnOpener.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/HappyConnOpener.h	2020-08-23 05:40:17.000000000 +1200
@@ -14,13 +14,13 @@
 #include "comm/ConnOpener.h"
 #include "http/forward.h"
 #include "log/forward.h"
+#include "ResolvedPeers.h"
 
 #include <iosfwd>
 
 class HappyConnOpener;
 class HappyOrderEnforcer;
 class JobGapEnforcer;
-class ResolvedPeers;
 typedef RefCount<ResolvedPeers> ResolvedPeersPointer;
 
 /// A FIFO queue of HappyConnOpener jobs waiting to open a spare connection.
@@ -79,7 +79,7 @@
 
     /// on success: an open, ready-to-use Squid-to-peer connection
     /// on failure: either a closed failed Squid-to-peer connection or nil
-    Comm::ConnectionPointer conn;
+    PeerConnectionPointer conn;
 
     // answer recipients must clear the error member in order to keep its info
     // XXX: We should refcount ErrorState instead of cbdata-protecting it.
@@ -164,7 +164,7 @@
         /// aborts an in-progress attempt
         void cancel(const char *reason);
 
-        Comm::ConnectionPointer path; ///< the destination we are connecting to
+        PeerConnectionPointer path; ///< the destination we are connecting to
         AsyncCall::Pointer connector; ///< our opener callback
         Comm::ConnOpener::Pointer opener; ///< connects to path and calls us
 
@@ -186,9 +186,9 @@
     void stopWaitingForSpareAllowance();
     void maybeOpenSpareConnection();
 
-    void startConnecting(Attempt &, Comm::ConnectionPointer &);
-    void openFreshConnection(Attempt &, Comm::ConnectionPointer &);
-    bool reuseOldConnection(const Comm::ConnectionPointer &);
+    void startConnecting(Attempt &, PeerConnectionPointer &);
+    void openFreshConnection(Attempt &, PeerConnectionPointer &);
+    bool reuseOldConnection(PeerConnectionPointer &);
 
     void connectDone(const CommConnectCbParams &);
 
@@ -201,8 +201,8 @@
     bool ranOutOfTimeOrAttempts() const;
 
     ErrorState *makeError(const err_type type) const;
-    Answer *futureAnswer(const Comm::ConnectionPointer &);
-    void sendSuccess(const Comm::ConnectionPointer &conn, bool reused, const char *connKind);
+    Answer *futureAnswer(const PeerConnectionPointer &);
+    void sendSuccess(const PeerConnectionPointer &conn, bool reused, const char *connKind);
     void sendFailure();
     void cancelAttempt(Attempt &, const char *reason);
 
@@ -230,7 +230,7 @@
     AccessLogEntryPointer ale; ///< transaction details
 
     ErrorState *lastError = nullptr; ///< last problem details (or nil)
-    Comm::ConnectionPointer lastFailedConnection; ///< nil if none has failed
+    PeerConnectionPointer lastFailedConnection; ///< nil if none has failed
 
     /// whether spare connection attempts disregard happy_eyeballs_* settings
     bool ignoreSpareRestrictions = false;
diff -u -r -N squid-5.0.3/src/http/StateFlags.h squid-5.0.4/src/http/StateFlags.h
--- squid-5.0.3/src/http/StateFlags.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/http/StateFlags.h	2020-08-23 05:40:17.000000000 +1200
@@ -18,7 +18,15 @@
     unsigned int front_end_https = 0; ///< send "Front-End-Https: On" header (off/on/auto=2)
     bool keepalive = false; ///< whether to keep the connection persistent
     bool only_if_cached = false;
-    bool handling1xx = false;       ///< we are ignoring or forwarding 1xx response
+
+    /// Whether we are processing an HTTP 1xx control message.
+    bool handling1xx = false;
+
+    /// Whether we received an HTTP 101 (Switching Protocols) control message.
+    /// Implies true handling1xx, but the serverSwitchedProtocols state is
+    /// permanent/final while handling of other control messages usually stops.
+    bool serverSwitchedProtocols = false;
+
     bool headers_parsed = false;
 
     /// Whether the next TCP hop is a cache_peer, including originserver
diff -u -r -N squid-5.0.3/src/http/Stream.cc squid-5.0.4/src/http/Stream.cc
--- squid-5.0.3/src/http/Stream.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/http/Stream.cc	2020-08-23 05:40:17.000000000 +1200
@@ -173,7 +173,7 @@
 
     } else if (reply && reply->contentRange()) {
         /* request does not have ranges, but reply does */
-        /** \todo FIXME: should use range_iter_pos on reply, as soon as reply->content_range
+        /* TODO: should use range_iter_pos on reply, as soon as reply->content_range
          *        becomes HttpHdrRange rather than HttpHdrRangeSpec.
          */
         return http->out.offset + reply->contentRange()->spec.offset;
diff -u -r -N squid-5.0.3/src/http/url_rewriters/helpers.m4 squid-5.0.4/src/http/url_rewriters/helpers.m4
--- squid-5.0.3/src/http/url_rewriters/helpers.m4	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/http/url_rewriters/helpers.m4	2020-08-23 05:40:17.000000000 +1200
@@ -8,7 +8,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_url_rewrite_helpers list containing double entries.
+# TODO: de-duplicate $enable_url_rewrite_helpers list containing double entries.
 
 #define list of modules to build
 auto_urlrewrite_modules=no
diff -u -r -N squid-5.0.3/src/http/url_rewriters/LFS/url_lfs_rewrite.8 squid-5.0.4/src/http/url_rewriters/LFS/url_lfs_rewrite.8
--- squid-5.0.3/src/http/url_rewriters/LFS/url_lfs_rewrite.8	2020-06-09 19:09:22.000000000 +1200
+++ squid-5.0.4/src/http/url_rewriters/LFS/url_lfs_rewrite.8	2020-08-23 05:50:07.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "URL_LFS_REWRITE 8"
-.TH URL_LFS_REWRITE 8 "2020-06-09" "perl v5.30.3" "User Contributed Perl Documentation"
+.TH URL_LFS_REWRITE 8 "2020-08-22" "perl v5.30.3" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-5.0.3/src/http/url_rewriters/LFS/url_lfs_rewrite.pl.in squid-5.0.4/src/http/url_rewriters/LFS/url_lfs_rewrite.pl.in
--- squid-5.0.3/src/http/url_rewriters/LFS/url_lfs_rewrite.pl.in	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/http/url_rewriters/LFS/url_lfs_rewrite.pl.in	2020-08-23 05:40:17.000000000 +1200
@@ -132,12 +132,12 @@
 my $redirect_path = "";
 
 GetOptions(
-	'debug' => \$debug,
-	'local-dir=s' => \$access_local_dir,
-	'to-scheme=s' => \$redirect_scheme,
-	'to-host=s' => \$redirect_host,
-	'to-path=s' => \$redirect_path,
-);
+    'debug' => \$debug,
+    'local-dir=s' => \$access_local_dir,
+    'to-scheme=s' => \$redirect_scheme,
+    'to-host=s' => \$redirect_host,
+    'to-path=s' => \$redirect_path,
+    );
 
 # flush after every print
 $| = 1;
@@ -154,9 +154,9 @@
 
     # do not process hosts with unqualified hostnames
     if ($host !~ /\./ ) {
-	$status = $cid . " ERR message=\"unqualified hostname\"";
-	print "found unqualified hostname.\n" if $debug;
-	next;
+        $status = $cid . " ERR message=\"unqualified hostname\"";
+        print "found unqualified hostname.\n" if $debug;
+        next;
     }
 
     # just the file, without any host or path parts
@@ -166,17 +166,17 @@
 
     # look if in local dir, if yes redirect
     if ( $file && -r $access_local_dir . $file
-	&& $file ne '.' && $file ne '..' ) {
+        && $file ne '.' && $file ne '..' ) {
 
-	$url->scheme($redirect_scheme);
-	$url->host($redirect_host);
-	$url->path($redirect_path . $file);
+        $url->scheme($redirect_scheme);
+        $url->host($redirect_host);
+        $url->path($redirect_path . $file);
 
-	$status = $cid . " OK rewrite-url=\"" . $url . "\"";
-	print "file found: " . $file . "\n" if $debug;
+        $status = $cid . " OK rewrite-url=\"" . $url . "\"";
+        print "file found: " . $file . "\n" if $debug;
     } else {
-	$status = $cid . " ERR";
-	print "file not found: " . $file . "\n" if $debug;
+        $status = $cid . " ERR";
+        print "file not found: " . $file . "\n" if $debug;
     }
 
 } continue {
diff -u -r -N squid-5.0.3/src/http.cc squid-5.0.4/src/http.cc
--- squid-5.0.3/src/http.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/http.cc	2020-08-23 05:40:17.000000000 +1200
@@ -41,6 +41,7 @@
 #include "HttpHeaderTools.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
+#include "HttpUpgradeProtocolAccess.h"
 #include "log/access_log.h"
 #include "MemBuf.h"
 #include "MemObject.h"
@@ -137,6 +138,8 @@
 
     cbdataReferenceDone(_peer);
 
+    delete upgradeHeaderOut;
+
     debugs(11,5, HERE << "HttpStateData " << this << " destroyed; " << serverConnection);
 }
 
@@ -797,11 +800,18 @@
     Must(!flags.handling1xx);
     flags.handling1xx = true;
 
-    if (!request->canHandle1xx() || request->forcedBodyContinuation) {
-        debugs(11, 2, "ignoring 1xx because it is " << (request->forcedBodyContinuation ? "already sent" : "not supported by client"));
-        proceedAfter1xx();
-        return;
-    }
+    const auto statusCode = reply->sline.status();
+
+    // drop1xx() needs to handle HTTP 101 (Switching Protocols) responses
+    // specially because they indicate that the server has stopped speaking HTTP
+    Must(!flags.serverSwitchedProtocols);
+    flags.serverSwitchedProtocols = (statusCode == Http::scSwitchingProtocols);
+
+    if (statusCode == Http::scContinue && request->forcedBodyContinuation)
+        return drop1xx("we have sent it already");
+
+    if (!request->canHandle1xx())
+        return drop1xx("the client does not support it");
 
 #if USE_HTTP_VIOLATIONS
     // check whether the 1xx response forwarding is allowed by squid.conf
@@ -811,14 +821,16 @@
         ch.reply = reply;
         ch.syncAle(originalRequest().getRaw(), nullptr);
         HTTPMSGLOCK(ch.reply);
-        if (!ch.fastCheck().allowed()) { // TODO: support slow lookups?
-            debugs(11, 3, HERE << "ignoring denied 1xx");
-            proceedAfter1xx();
-            return;
-        }
+        if (!ch.fastCheck().allowed()) // TODO: support slow lookups?
+            return drop1xx("http_reply_access blocked it");
     }
 #endif // USE_HTTP_VIOLATIONS
 
+    if (flags.serverSwitchedProtocols) {
+        if (const auto reason = blockSwitchingProtocols(*reply))
+            return drop1xx(reason);
+    }
+
     debugs(11, 2, HERE << "forwarding 1xx to client");
 
     // the Sink will use this to call us back after writing 1xx to the client
@@ -833,11 +845,75 @@
     // for similar reasons without a 1xx response.
 }
 
+/// if possible, safely ignores the received 1xx control message
+/// otherwise, terminates the server connection
+void
+HttpStateData::drop1xx(const char *reason)
+{
+    if (flags.serverSwitchedProtocols) {
+        debugs(11, 2, "bad 101 because " << reason);
+        const auto err = new ErrorState(ERR_INVALID_RESP, Http::scBadGateway, request.getRaw(), fwd->al);
+        fwd->fail(err);
+        closeServer();
+        mustStop("prohibited HTTP/101 response");
+        return;
+    }
+
+    debugs(11, 2, "ignoring 1xx because " << reason);
+    proceedAfter1xx();
+}
+
+/// \retval nil if the HTTP/101 (Switching Protocols) reply should be forwarded
+/// \retval reason why an attempt to switch protocols should be stopped
+const char *
+HttpStateData::blockSwitchingProtocols(const HttpReply &reply) const
+{
+    if (!upgradeHeaderOut)
+        return "Squid offered no Upgrade at all, but server switched to a tunnel";
+
+    // See RFC 7230 section 6.7 for the corresponding MUSTs
+
+    if (!reply.header.has(Http::HdrType::UPGRADE))
+        return "server did not send an Upgrade header field";
+
+    if (!reply.header.hasListMember(Http::HdrType::CONNECTION, "upgrade", ','))
+        return "server did not send 'Connection: upgrade'";
+
+    const auto acceptedProtos = reply.header.getList(Http::HdrType::UPGRADE);
+    const char *pos = nullptr;
+    const char *accepted = nullptr;
+    int acceptedLen = 0;
+    while (strListGetItem(&acceptedProtos, ',', &accepted, &acceptedLen, &pos)) {
+        debugs(11, 5, "server accepted at least" << Raw(nullptr, accepted, acceptedLen));
+        return nullptr; // OK: let the client validate server's selection
+    }
+
+    return "server sent an essentially empty Upgrade header field";
+}
+
 /// restores state and resumes processing after 1xx is ignored or forwarded
 void
 HttpStateData::proceedAfter1xx()
 {
     Must(flags.handling1xx);
+
+    if (flags.serverSwitchedProtocols) {
+        // pass server connection ownership to request->clientConnectionManager
+        ConnStateData::ServerConnectionContext scc(serverConnection, request, inBuf);
+        typedef UnaryMemFunT<ConnStateData, ConnStateData::ServerConnectionContext> MyDialer;
+        AsyncCall::Pointer call = asyncCall(11, 3, "ConnStateData::noteTakeServerConnectionControl",
+                                            MyDialer(request->clientConnectionManager,
+                                                    &ConnStateData::noteTakeServerConnectionControl, scc));
+        ScheduleCallHere(call);
+        fwd->unregister(serverConnection);
+        comm_remove_close_handler(serverConnection->fd, closeHandler);
+        closeHandler = nullptr;
+        serverConnection = nullptr;
+        doneWithFwd = "switched protocols";
+        mustStop(doneWithFwd);
+        return;
+    }
+
     debugs(11, 2, "continuing with " << payloadSeen << " bytes in buffer after 1xx");
     CallJobHere(11, 3, this, HttpStateData, HttpStateData::processReply);
 }
@@ -1304,6 +1380,9 @@
             } else if (vrep->header.conflictingContentLength()) {
                 fwd->dontRetry(true);
                 error = ERR_INVALID_RESP;
+            } else if (vrep->header.unsupportedTe()) {
+                fwd->dontRetry(true);
+                error = ERR_INVALID_RESP;
             } else {
                 return true; // done parsing, got reply, and no error
             }
@@ -1956,6 +2035,66 @@
     strConnection.clean();
 }
 
+/// copies from-client Upgrade info into the given to-server header while
+/// honoring configuration filters and following HTTP requirements
+void
+HttpStateData::forwardUpgrade(HttpHeader &hdrOut)
+{
+    if (!Config.http_upgrade_request_protocols)
+        return; // forward nothing by default
+
+    /* RFC 7230 section 6.7 paragraph 10:
+     * A server MUST ignore an Upgrade header field that is received in
+     * an HTTP/1.0 request.
+     */
+    if (request->http_ver == Http::ProtocolVersion(1,0))
+        return;
+
+    const auto &hdrIn = request->header;
+    if (!hdrIn.has(Http::HdrType::UPGRADE))
+        return;
+    const auto upgradeIn = hdrIn.getList(Http::HdrType::UPGRADE);
+
+    String upgradeOut;
+
+    ACLFilledChecklist ch(nullptr, request.getRaw());
+    ch.al = fwd->al;
+    const char *pos = nullptr;
+    const char *offeredStr = nullptr;
+    int offeredStrLen = 0;
+    while (strListGetItem(&upgradeIn, ',', &offeredStr, &offeredStrLen, &pos)) {
+        const ProtocolView offeredProto(offeredStr, offeredStrLen);
+        debugs(11, 5, "checks all rules applicable to " << offeredProto);
+        Config.http_upgrade_request_protocols->forApplicable(offeredProto, [&ch, offeredStr, offeredStrLen, &upgradeOut] (const SBuf &cfgProto, const acl_access *guard) {
+            debugs(11, 5, "checks " << cfgProto << " rule(s)");
+            ch.changeAcl(guard);
+            const auto answer = ch.fastCheck();
+            if (answer.implicit)
+                return false; // keep looking for an explicit rule match
+            if (answer.allowed())
+                strListAdd(upgradeOut, offeredStr, offeredStrLen);
+            // else drop the offer (explicitly denied cases and ACL errors)
+            return true; // stop after an explicit rule match or an error
+        });
+    }
+
+    if (upgradeOut.size()) {
+        hdrOut.putStr(Http::HdrType::UPGRADE, upgradeOut.termedBuf());
+
+        /* RFC 7230 section 6.7 paragraph 10:
+         * When Upgrade is sent, the sender MUST also send a Connection header
+         * field that contains an "upgrade" connection option, in
+         * order to prevent Upgrade from being accidentally forwarded by
+         * intermediaries that might not implement the listed protocols.
+         *
+         * NP: Squid does not truly implement the protocol(s) in this Upgrade.
+         * For now we are treating an explicit blind tunnel as "implemented"
+         * regardless of the security implications.
+         */
+        hdrOut.putStr(Http::HdrType::CONNECTION, "upgrade");
+    }
+}
+
 /**
  * Decides whether a particular header may be cloned from the received Clients request
  * to our outgoing fetch request.
@@ -1989,10 +2128,13 @@
     case Http::HdrType::KEEP_ALIVE:          /** \par Keep-Alive: */
     case Http::HdrType::PROXY_AUTHENTICATE:  /** \par Proxy-Authenticate: */
     case Http::HdrType::TRAILER:             /** \par Trailer: */
-    case Http::HdrType::UPGRADE:             /** \par Upgrade: */
     case Http::HdrType::TRANSFER_ENCODING:   /** \par Transfer-Encoding: */
         break;
 
+    /// \par Upgrade is hop-by-hop but forwardUpgrade() may send a filtered one
+    case Http::HdrType::UPGRADE:
+        break;
+
     /** \par OTHER headers I haven't bothered to track down yet. */
 
     case Http::HdrType::AUTHORIZATION:
@@ -2185,6 +2327,7 @@
     /* build and pack headers */
     {
         HttpHeader hdr(hoRequest);
+        forwardUpgrade(hdr);
         httpBuildRequestHeader(request.getRaw(), entry, fwd->al, &hdr, flags);
 
         if (request->flags.pinned && request->flags.connectionAuth)
@@ -2192,6 +2335,13 @@
         else if (hdr.has(Http::HdrType::AUTHORIZATION))
             request->flags.authSent = true;
 
+        // The late placement of this check supports reply_header_add mangling,
+        // but also complicates optimizing upgradeHeaderOut-like lookups.
+        if (hdr.has(Http::HdrType::UPGRADE)) {
+            assert(!upgradeHeaderOut);
+            upgradeHeaderOut = new String(hdr.getList(Http::HdrType::UPGRADE));
+        }
+
         hdr.packInto(mb);
         hdr.clean();
     }
diff -u -r -N squid-5.0.3/src/http.h squid-5.0.4/src/http.h
--- squid-5.0.3/src/http.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/http.h	2020-08-23 05:40:17.000000000 +1200
@@ -17,6 +17,7 @@
 
 class FwdState;
 class HttpHeader;
+class String;
 
 class HttpStateData : public Client
 {
@@ -69,12 +70,16 @@
     bool ignoreCacheControl;
     bool surrogateNoStore;
 
+    /// Upgrade header value sent to the origin server or cache peer.
+    String *upgradeHeaderOut = nullptr;
+
     void processSurrogateControl(HttpReply *);
 
 protected:
     void processReply();
     void proceedAfter1xx();
     void handle1xx(HttpReply *msg);
+    void drop1xx(const char *reason);
 
 private:
     /**
@@ -135,8 +140,10 @@
     void httpTimeout(const CommTimeoutCbParams &params);
 
     mb_size_t buildRequestPrefix(MemBuf * mb);
+    void forwardUpgrade(HttpHeader&);
     static bool decideIfWeDoRanges (HttpRequest * orig_request);
     bool peerSupportsConnectionPinning() const;
+    const char *blockSwitchingProtocols(const HttpReply&) const;
 
     /// Parser being used at present to parse the HTTP/ICY server response.
     Http1::ResponseParserPointer hp;
diff -u -r -N squid-5.0.3/src/HttpHdrContRange.h squid-5.0.4/src/HttpHdrContRange.h
--- squid-5.0.3/src/HttpHdrContRange.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/HttpHdrContRange.h	2020-08-23 05:40:17.000000000 +1200
@@ -25,7 +25,7 @@
     int64_t elength;        /**< entity length, not content length */
 };
 
-/** \todo CLEANUP: Move httpHdrContRange* functions into the class methods */
+// TODO: move httpHdrContRange* functions into the class methods
 
 HttpHdrContRange *httpHdrContRangeCreate(void);
 HttpHdrContRange *httpHdrContRangeParseCreate(const char *crange_spec);
diff -u -r -N squid-5.0.3/src/HttpHdrRange.cc squid-5.0.4/src/HttpHdrRange.cc
--- squid-5.0.3/src/HttpHdrRange.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/HttpHdrRange.cc	2020-08-23 05:40:17.000000000 +1200
@@ -391,7 +391,7 @@
     merge (goods);
     debugs(64, 3, "HttpHdrRange::canonize: finished with " << specs.size() <<
            " specs");
-    return specs.size() > 0; // fixme, should return bool
+    return specs.size() > 0; // TODO: should return bool
 }
 
 /* hack: returns true if range specs are too "complex" for Squid to handle */
diff -u -r -N squid-5.0.3/src/HttpHdrSc.cc squid-5.0.4/src/HttpHdrSc.cc
--- squid-5.0.3/src/HttpHdrSc.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/HttpHdrSc.cc	2020-08-23 05:40:17.000000000 +1200
@@ -25,7 +25,7 @@
 
 /* this table is used for parsing surrogate control header */
 /* order must match that of enum http_hdr_sc_type. The constraint is verified at initialization time */
-//todo: implement constraint
+// TODO: implement constraint
 static const LookupTable<http_hdr_sc_type>::Record ScAttrs[] {
     {"no-store", SC_NO_STORE},
     {"no-store-remote", SC_NO_STORE_REMOTE},
diff -u -r -N squid-5.0.3/src/HttpHdrSc.h squid-5.0.4/src/HttpHdrSc.h
--- squid-5.0.3/src/HttpHdrSc.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/HttpHdrSc.h	2020-08-23 05:40:17.000000000 +1200
@@ -40,7 +40,7 @@
     bool parse(const String *str);
     void packInto(Packable * p) const;
     void updateStats(StatHist *) const;
-    HttpHdrScTarget * getMergedTarget (const char *ourtarget); //todo: make const?
+    HttpHdrScTarget * getMergedTarget(const char *ourtarget); // TODO: make const?
     void setMaxAge(char const *target, int max_age);
     void addTarget(HttpHdrScTarget *t);
     void addTargetAtTail(HttpHdrScTarget *t);
diff -u -r -N squid-5.0.3/src/HttpHeader.cc squid-5.0.4/src/HttpHeader.cc
--- squid-5.0.3/src/HttpHeader.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/HttpHeader.cc	2020-08-23 05:40:17.000000000 +1200
@@ -181,6 +181,7 @@
         update(&other); // will update the mask as well
         len = other.len;
         conflictingContentLength_ = other.conflictingContentLength_;
+        teUnsupported_ = other.teUnsupported_;
     }
     return *this;
 }
@@ -229,6 +230,7 @@
     httpHeaderMaskInit(&mask, 0);
     len = 0;
     conflictingContentLength_ = false;
+    teUnsupported_ = false;
     PROF_stop(HttpHeaderClean);
 }
 
@@ -372,6 +374,9 @@
     return -1;
 }
 
+// XXX: callers treat this return as boolean.
+// XXX: A better mechanism is needed to signal different types of error.
+//      lexicon, syntax, semantics, validation, access policy - are all (ab)using 'return 0'
 int
 HttpHeader::parse(const char *header_start, size_t hdrLen, Http::ContentLengthInterpreter &clen)
 {
@@ -400,9 +405,12 @@
         const char *field_start = field_ptr;
         const char *field_end;
 
+        const char *hasBareCr = nullptr;
+        size_t lines = 0;
         do {
             const char *this_line = field_ptr;
             field_ptr = (const char *)memchr(field_ptr, '\n', header_end - field_ptr);
+            ++lines;
 
             if (!field_ptr) {
                 // missing <LF>
@@ -437,6 +445,7 @@
 
             /* Barf on stray CR characters */
             if (memchr(this_line, '\r', field_end - this_line)) {
+                hasBareCr = "bare CR";
                 debugs(55, warnOnError, "WARNING: suspicious CR characters in HTTP header {" <<
                        getStringPrefix(field_start, field_end-field_start) << "}");
 
@@ -486,6 +495,18 @@
             return 0;
         }
 
+        if (lines > 1 || hasBareCr) {
+            const auto framingHeader = (e->id == Http::HdrType::CONTENT_LENGTH || e->id == Http::HdrType::TRANSFER_ENCODING);
+            if (framingHeader) {
+                if (!hasBareCr) // already warned about bare CRs
+                    debugs(55, warnOnError, "WARNING: obs-fold in framing-sensitive " << e->name << ": " << e->value);
+                delete e;
+                PROF_stop(HttpHeaderParse);
+                clean();
+                return 0;
+            }
+        }
+
         if (e->id == Http::HdrType::CONTENT_LENGTH && !clen.checkField(e->value)) {
             delete e;
 
@@ -497,22 +518,6 @@
             return 0;
         }
 
-        /* AYJ 2017-05-23: I suspect we need to change this whitespace check to conform to the
-           updated WSP character set in RFC 7230/7231. For now I left it as the
-           characters in w_space which the previous code was using. */
-        static CharacterSet wsp = (CharacterSet::WSP + CharacterSet::CR + CharacterSet::LF);
-        if (e->id == Http::HdrType::OTHER && e->name.findFirstOf(wsp) != SBuf::npos) {
-            debugs(55, warnOnError, "WARNING: found whitespace in HTTP header name {" <<
-                   getStringPrefix(field_start, field_end-field_start) << "}");
-
-            if (!Config.onoff.relaxed_header_parser) {
-                delete e;
-                PROF_stop(HttpHeaderParse);
-                clean();
-                return 0;
-            }
-        }
-
         addEntry(e);
     }
 
@@ -522,18 +527,40 @@
                Raw("header", header_start, hdrLen));
     }
 
+    String rawTe;
     if (clen.prohibitedAndIgnored()) {
+        // prohibitedAndIgnored() includes trailer header blocks
+        // being parsed as a case to forbid/ignore these headers.
+
         // RFC 7230 section 3.3.2: A server MUST NOT send a Content-Length
         // header field in any response with a status code of 1xx (Informational)
         // or 204 (No Content). And RFC 7230 3.3.3#1 tells recipients to ignore
         // such Content-Lengths.
         if (delById(Http::HdrType::CONTENT_LENGTH))
             debugs(55, 3, "Content-Length is " << clen.prohibitedAndIgnored());
-    } else if (chunked()) {
+
+        // RFC 7230 section 3.3.1 has the same criteria forbid Transfer-Encoding
+        if (delById(Http::HdrType::TRANSFER_ENCODING)) {
+            debugs(55, 3, "Transfer-Encoding is " << clen.prohibitedAndIgnored());
+            teUnsupported_ = true;
+        }
+
+    } else if (getByIdIfPresent(Http::HdrType::TRANSFER_ENCODING, &rawTe)) {
         // RFC 2616 section 4.4: ignore Content-Length with Transfer-Encoding
         // RFC 7230 section 3.3.3 #3: Transfer-Encoding overwrites Content-Length
         delById(Http::HdrType::CONTENT_LENGTH);
         // and clen state becomes irrelevant
+
+        if (rawTe == "chunked") {
+            ; // leave header present for chunked() method
+        } else if (rawTe == "identity") { // deprecated. no coding
+            delById(Http::HdrType::TRANSFER_ENCODING);
+        } else {
+            // This also rejects multiple encodings until we support them properly.
+            debugs(55, warnOnError, "WARNING: unsupported Transfer-Encoding used by client: " << rawTe);
+            teUnsupported_ = true;
+        }
+
     } else if (clen.sawBad) {
         // ensure our callers do not accidentally see bad Content-Length values
         delById(Http::HdrType::CONTENT_LENGTH);
@@ -1464,6 +1491,20 @@
         }
     }
 
+    /* RFC 7230 section 3.2:
+     *
+     *  header-field   = field-name ":" OWS field-value OWS
+     *  field-name     = token
+     *  token          = 1*TCHAR
+     */
+    for (const char *pos = field_start; pos < (field_start+name_len); ++pos) {
+        if (!CharacterSet::TCHAR[*pos]) {
+            debugs(55, 2, "found header with invalid characters in " <<
+                   Raw("field-name", field_start, min(name_len,100)) << "...");
+            return nullptr;
+        }
+    }
+
     /* now we know we can parse it */
 
     debugs(55, 9, "parsing HttpHeaderEntry: near '" <<  getStringPrefix(field_start, field_end-field_start) << "'");
diff -u -r -N squid-5.0.3/src/HttpHeader.h squid-5.0.4/src/HttpHeader.h
--- squid-5.0.3/src/HttpHeader.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/HttpHeader.h	2020-08-23 05:40:17.000000000 +1200
@@ -159,7 +159,13 @@
     int hasListMember(Http::HdrType id, const char *member, const char separator) const;
     int hasByNameListMember(const char *name, const char *member, const char separator) const;
     void removeHopByHopEntries();
-    inline bool chunked() const; ///< whether message uses chunked Transfer-Encoding
+
+    /// whether the message uses chunked Transfer-Encoding
+    /// optimized implementation relies on us rejecting/removing other codings
+    bool chunked() const { return has(Http::HdrType::TRANSFER_ENCODING); }
+
+    /// whether message used an unsupported and/or invalid Transfer-Encoding
+    bool unsupportedTe() const { return teUnsupported_; }
 
     /* protected, do not use these, use interface functions instead */
     std::vector<HttpHeaderEntry*, PoolingAllocator<HttpHeaderEntry*> > entries; /**< parsed fields in raw format */
@@ -183,6 +189,9 @@
 private:
     HttpHeaderEntry *findLastEntry(Http::HdrType id) const;
     bool conflictingContentLength_; ///< found different Content-Length fields
+    /// unsupported encoding, unnecessary syntax characters, and/or
+    /// invalid field-value found in Transfer-Encoding header
+    bool teUnsupported_ = false;
 };
 
 int httpHeaderParseQuotedString(const char *start, const int len, String *val);
@@ -192,13 +201,6 @@
 
 void httpHeaderCalcMask(HttpHeaderMask * mask, Http::HdrType http_hdr_type_enums[], size_t count);
 
-inline bool
-HttpHeader::chunked() const
-{
-    return has(Http::HdrType::TRANSFER_ENCODING) &&
-           hasListMember(Http::HdrType::TRANSFER_ENCODING, "chunked", ',');
-}
-
 void httpHeaderInitModule(void);
 
 #endif /* SQUID_HTTPHEADER_H */
diff -u -r -N squid-5.0.3/src/HttpHeaderTools.cc squid-5.0.4/src/HttpHeaderTools.cc
--- squid-5.0.3/src/HttpHeaderTools.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/HttpHeaderTools.cc	2020-08-23 05:40:17.000000000 +1200
@@ -295,6 +295,10 @@
         HTTPMSGLOCK(checklist.reply);
     }
 
+    // XXX: The two "It was denied" clauses below mishandle cases with no
+    // matching rules, violating the "If no rules within the set have matching
+    // ACLs, the header field is left as is" promise in squid.conf.
+    // TODO: Use Acl::Answer::implicit. See HttpStateData::forwardUpgrade().
     if (checklist.fastCheck().allowed()) {
         /* aclCheckFast returns true for allow. */
         debugs(66, 7, "checklist for mangler is positive. Mangle");
@@ -302,6 +306,7 @@
     } else if (NULL == hm->replacement) {
         /* It was denied, and we don't have any replacement */
         debugs(66, 7, "checklist denied, we have no replacement. Pass");
+        // XXX: We said "Pass", but the caller will delete on zero retval.
         retval = 0;
     } else {
         /* It was denied, but we have a replacement. Replace the
diff -u -r -N squid-5.0.3/src/HttpUpgradeProtocolAccess.cc squid-5.0.4/src/HttpUpgradeProtocolAccess.cc
--- squid-5.0.3/src/HttpUpgradeProtocolAccess.cc	1970-01-01 12:00:00.000000000 +1200
+++ squid-5.0.4/src/HttpUpgradeProtocolAccess.cc	2020-08-23 05:40:17.000000000 +1200
@@ -0,0 +1,80 @@
+/*
+ * Copyright (C) 1996-2020 The Squid Software Foundation and contributors
+ *
+ * Squid software is distributed under GPLv2+ license and includes
+ * contributions from numerous individuals and organizations.
+ * Please see the COPYING and CONTRIBUTORS files for details.
+ */
+
+#include "squid.h"
+#include "acl/Acl.h"
+#include "acl/Gadgets.h"
+#include "ConfigParser.h"
+#include "globals.h"
+#include "HttpUpgradeProtocolAccess.h"
+#include "sbuf/Stream.h"
+
+#include <algorithm>
+
+const SBuf HttpUpgradeProtocolAccess::ProtoOther("OTHER");
+
+ProtocolView::ProtocolView(const char * const start, const size_t len):
+    ProtocolView(SBuf(start, len))
+{
+}
+
+ProtocolView::ProtocolView(const SBuf &proto):
+    name(proto.substr(0, proto.find('/'))),
+    version(proto.substr(name.length()))
+{
+}
+
+std::ostream &
+operator <<(std::ostream &os, const ProtocolView &view)
+{
+    os << view.name;
+    if (!view.version.isEmpty())
+        os << view.version;
+    return os;
+}
+
+/* HttpUpgradeProtocolAccess */
+
+HttpUpgradeProtocolAccess::~HttpUpgradeProtocolAccess()
+{
+    aclDestroyAccessList(&other);
+}
+
+void
+HttpUpgradeProtocolAccess::configureGuard(ConfigParser &parser)
+{
+    const auto rawProto = parser.NextToken();
+    if (!rawProto)
+        throw TextException(ToSBuf("expected a protocol name or ", ProtoOther), Here());
+
+    if (ProtoOther.cmp(rawProto) == 0) {
+        aclParseAccessLine(cfg_directive, parser, &other);
+        return;
+    }
+
+    // To preserve ACL rules checking order, to exclude inapplicable (i.e. wrong
+    // protocol version) rules, and to keep things simple, we merge no rules.
+    acl_access *access = nullptr;
+    aclParseAccessLine(cfg_directive, parser, &access);
+    if (access)
+        namedGuards.emplace_back(rawProto, access);
+}
+
+/* HttpUpgradeProtocolAccess::NamedGuard */
+
+HttpUpgradeProtocolAccess::NamedGuard::NamedGuard(const char *rawProtocol, acl_access *acls):
+    protocol(rawProtocol),
+    proto(protocol),
+    guard(acls)
+{
+}
+
+HttpUpgradeProtocolAccess::NamedGuard::~NamedGuard() {
+    aclDestroyAccessList(&guard);
+}
+
diff -u -r -N squid-5.0.3/src/HttpUpgradeProtocolAccess.h squid-5.0.4/src/HttpUpgradeProtocolAccess.h
--- squid-5.0.3/src/HttpUpgradeProtocolAccess.h	1970-01-01 12:00:00.000000000 +1200
+++ squid-5.0.4/src/HttpUpgradeProtocolAccess.h	2020-08-23 05:40:17.000000000 +1200
@@ -0,0 +1,118 @@
+/*
+ * Copyright (C) 1996-2020 The Squid Software Foundation and contributors
+ *
+ * Squid software is distributed under GPLv2+ license and includes
+ * contributions from numerous individuals and organizations.
+ * Please see the COPYING and CONTRIBUTORS files for details.
+ */
+
+#ifndef SQUID_HTTP_UPGRADE_H
+#define SQUID_HTTP_UPGRADE_H
+
+#include "acl/forward.h"
+#include "sbuf/SBuf.h"
+
+#include <map>
+
+/// a reference to a protocol name[/version] string; no 0-termination is assumed
+class ProtocolView
+{
+public:
+    ProtocolView(const char * const start, const size_t len);
+    explicit ProtocolView(const SBuf &proto);
+
+    SBuf name; ///< everything up to (but excluding) the first slash('/')
+    SBuf version; ///< everything after the name, including the slash('/')
+};
+
+std::ostream &operator <<(std::ostream &, const ProtocolView &);
+
+// HTTP is not explicit about case sensitivity of Upgrade protocol strings, but
+// there are bug reports showing different case variants used for WebSocket. We
+// conservatively preserve the received case and compare case-sensitively.
+
+/// Either b has no version restrictions or both have the same version.
+/// For example, "ws/1" is in "ws" but "ws" is not in "ws/1".
+inline bool
+vAinB(const ProtocolView &a, const ProtocolView &b)
+{
+    // Optimization: Do not assert(a.name == b.name).
+    return b.version.isEmpty() || (a.version == b.version);
+}
+
+/// Allows or blocks HTTP Upgrade protocols (see http_upgrade_request_protocols)
+class HttpUpgradeProtocolAccess
+{
+public:
+    HttpUpgradeProtocolAccess() = default;
+    ~HttpUpgradeProtocolAccess();
+    HttpUpgradeProtocolAccess(HttpUpgradeProtocolAccess &&) = delete; // no copying of any kind
+
+    /// \returns the ACLs matching the given "name[/version]" protocol (or nil)
+    const acl_access *findGuard(const SBuf &proto) const;
+
+    /// parses a single allow/deny rule
+    void configureGuard(ConfigParser&);
+
+    /// iterates over all configured rules, calling the given visitor
+    template <typename Visitor> inline void forEach(const Visitor &) const;
+
+    /// iterates over rules applicable to the given protocol, calling visitor;
+    /// breaks iteration if the visitor returns true
+    template <typename Visitor> inline void forApplicable(const ProtocolView &, const Visitor &) const;
+
+private:
+    /// a single configured access rule for an explicitly named protocol
+    class NamedGuard
+    {
+    public:
+        NamedGuard(const char *rawProtocol, acl_access*);
+        NamedGuard(const NamedGuard &&) = delete; // no copying of any kind
+        ~NamedGuard();
+
+        const SBuf protocol; ///< configured protocol name (and version)
+        const ProtocolView proto; ///< optimization: compiled this->protocol
+        acl_access *guard = nullptr; ///< configured access rule; never nil
+    };
+
+    /// maps HTTP Upgrade protocol name/version to the ACLs guarding its usage
+    typedef std::deque<NamedGuard> NamedGuards;
+
+    /// pseudonym to specify rules for "all other protocols"
+    static const SBuf ProtoOther;
+
+    /// rules governing upgrades to explicitly named protocols
+    NamedGuards namedGuards;
+
+    /// OTHER rules governing unnamed protocols
+    acl_access *other = nullptr;
+};
+
+template <typename Visitor>
+inline void
+HttpUpgradeProtocolAccess::forEach(const Visitor &visitor) const
+{
+    for (const auto &namedGuard: namedGuards)
+        visitor(namedGuard.protocol, namedGuard.guard);
+    if (other)
+        visitor(ProtoOther, other);
+}
+
+template <typename Visitor>
+inline void
+HttpUpgradeProtocolAccess::forApplicable(const ProtocolView &offer, const Visitor &visitor) const
+{
+    auto seenApplicable = false;
+    for (const auto &namedGuard: namedGuards) {
+        if (offer.name != namedGuard.proto.name)
+            continue;
+        if (vAinB(offer, namedGuard.proto) && visitor(namedGuard.protocol, namedGuard.guard))
+            return;
+        seenApplicable = true; // may already be true
+    }
+    if (!seenApplicable && other) // OTHER is applicable if named rules were not
+        (void)visitor(ProtoOther, other);
+}
+
+#endif /* SQUID_HTTP_UPGRADE_H */
+
diff -u -r -N squid-5.0.3/src/icmp/Icmp6.cc squid-5.0.4/src/icmp/Icmp6.cc
--- squid-5.0.3/src/icmp/Icmp6.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/icmp/Icmp6.cc	2020-08-23 05:40:17.000000000 +1200
@@ -241,7 +241,7 @@
 
     debugs(42, 8, HERE << n << " bytes from " << preply.from);
 
-// FIXME INET6 : The IPv6 Header (ip6_hdr) is not availble directly >:-(
+// XXX: The IPv6 Header (ip6_hdr) is not available directly
 //
 // TTL still has to come from the IP header somewhere.
 //  still need to strip and process it properly.
@@ -258,7 +258,7 @@
     #define ip6_hops    // HOPS!!!  (can it be true??)
 
         ip = (struct ip6_hdr *) pkt;
-        FIXME  += sizeof(ip6_hdr);
+        //  += sizeof(ip6_hdr);
 
     debugs(42, DBG_CRITICAL, HERE << "ip6_nxt=" << ip->ip6_nxt <<
             ", ip6_plen=" << ip->ip6_plen <<
@@ -302,9 +302,9 @@
     preply.rtt = tvSubMsec(tv, now);
 
     /*
-     * FIXME INET6: Without access to the IPv6-Hops header we must rely on the total RTT
-     *      and could caculate the hops from that, but it produces some weird value mappings using ipHops
-     *  for now everything is 1 v6 hop away with variant RTT
+     * Without access to the IPv6-Hops header we must rely on the total RTT
+     * and could calculate the hops from that, but it produces some weird value mappings using ipHops
+     * for now everything is 1 v6 hop away with variant RTT
      * WANT:    preply.hops = ip->ip6_hops; // ipHops(ip->ip_hops);
      */
     preply.hops = 1;
diff -u -r -N squid-5.0.3/src/icmp/IcmpSquid.cc squid-5.0.4/src/icmp/IcmpSquid.cc
--- squid-5.0.3/src/icmp/IcmpSquid.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/icmp/IcmpSquid.cc	2020-08-23 05:40:17.000000000 +1200
@@ -71,10 +71,8 @@
     else if (payload && len == 0)
         len = strlen(payload);
 
-    /** \li
-     \bug If length specified or auto-detected is greater than the possible payload squid will die with an assert.
-     \todo This should perhapse be reduced to a truncated payload? or no payload. A WARNING is due anyway.
-     */
+    // XXX: If length specified or auto-detected is greater than the possible payload squid will die with an assert.
+    // TODO: This should perhapse be reduced to a truncated payload? or no payload. A WARNING is due anyway.
     assert(len <= PINGER_PAYLOAD_SZ);
 
     pecho.to = to;
@@ -97,7 +95,7 @@
         debugs(37, DBG_IMPORTANT, MYNAME << "send: " << xstrerr(xerrno));
 
         /** \li  If the send results in ECONNREFUSED or EPIPE errors from helper, will cleanly shutdown the module. */
-        /** \todo This should try restarting the helper a few times?? before giving up? */
+        // TODO: try restarting the helper a few times before giving up?
         if (xerrno == ECONNREFUSED || xerrno == EPIPE) {
             Close();
             return;
diff -u -r -N squid-5.0.3/src/icmp/Makefile.am squid-5.0.4/src/icmp/Makefile.am
--- squid-5.0.3/src/icmp/Makefile.am	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/icmp/Makefile.am	2020-08-23 05:40:17.000000000 +1200
@@ -40,11 +40,11 @@
 	globals.cc \
 	SquidConfig.cc \
 	SquidNew.cc \
-	stub_fd.cc \
-	stub_HelperChildConfig.cc \
-	stub_libmem.cc \
-	stub_SBuf.cc \
-	STUB.h \
+	tests/stub_fd.cc \
+	tests/stub_HelperChildConfig.cc \
+	tests/stub_libmem.cc \
+	tests/stub_SBuf.cc \
+	tests/STUB.h \
 	time.cc
 
 # ICMP lookup helper
@@ -99,17 +99,17 @@
 SquidNew.cc: $(top_srcdir)/src/SquidNew.cc
 	cp $(top_srcdir)/src/SquidNew.cc $@
 
-stub_HelperChildConfig.cc: $(top_srcdir)/src/tests/stub_HelperChildConfig.cc
+tests/stub_HelperChildConfig.cc: $(top_srcdir)/src/tests/stub_HelperChildConfig.cc
 	cp $(top_srcdir)/src/tests/stub_HelperChildConfig.cc $@
 
-stub_fd.cc: $(top_srcdir)/src/tests/stub_fd.cc STUB.h
+tests/stub_fd.cc: $(top_srcdir)/src/tests/stub_fd.cc
 	cp $(top_srcdir)/src/tests/stub_fd.cc $@
 
-stub_libmem.cc: $(top_srcdir)/src/tests/stub_libmem.cc STUB.h
+tests/stub_libmem.cc: $(top_srcdir)/src/tests/stub_libmem.cc
 	cp $(top_srcdir)/src/tests/stub_libmem.cc $@
 
-stub_SBuf.cc: $(top_srcdir)/src/tests/stub_SBuf.cc STUB.h
+tests/stub_SBuf.cc: $(top_srcdir)/src/tests/stub_SBuf.cc
 	cp $(top_srcdir)/src/tests/stub_SBuf.cc $@
 
-STUB.h: $(top_srcdir)/src/tests/STUB.h
+tests/STUB.h: $(top_srcdir)/src/tests/STUB.h
 	cp $(top_srcdir)/src/tests/STUB.h $@
diff -u -r -N squid-5.0.3/src/icmp/Makefile.in squid-5.0.4/src/icmp/Makefile.in
--- squid-5.0.3/src/icmp/Makefile.in	2020-06-09 18:58:23.000000000 +1200
+++ squid-5.0.4/src/icmp/Makefile.in	2020-08-23 05:39:44.000000000 +1200
@@ -180,10 +180,12 @@
 libicmpcore_la_OBJECTS = $(am_libicmpcore_la_OBJECTS)
 am_pinger_OBJECTS = IcmpPinger.$(OBJEXT) Icmp4.$(OBJEXT) \
 	Icmp6.$(OBJEXT) pinger.$(OBJEXT)
+am__dirstamp = $(am__leading_dot)dirstamp
 am__objects_1 = debug.$(OBJEXT) globals.$(OBJEXT) \
-	SquidConfig.$(OBJEXT) SquidNew.$(OBJEXT) stub_fd.$(OBJEXT) \
-	stub_HelperChildConfig.$(OBJEXT) stub_libmem.$(OBJEXT) \
-	stub_SBuf.$(OBJEXT) time.$(OBJEXT)
+	SquidConfig.$(OBJEXT) SquidNew.$(OBJEXT) \
+	tests/stub_fd.$(OBJEXT) tests/stub_HelperChildConfig.$(OBJEXT) \
+	tests/stub_libmem.$(OBJEXT) tests/stub_SBuf.$(OBJEXT) \
+	time.$(OBJEXT)
 nodist_pinger_OBJECTS = $(am__objects_1)
 pinger_OBJECTS = $(am_pinger_OBJECTS) $(nodist_pinger_OBJECTS)
 @ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
@@ -217,9 +219,9 @@
 	./$(DEPDIR)/SquidConfig.Po ./$(DEPDIR)/SquidNew.Po \
 	./$(DEPDIR)/debug.Po ./$(DEPDIR)/globals.Po \
 	./$(DEPDIR)/net_db.Plo ./$(DEPDIR)/pinger.Po \
-	./$(DEPDIR)/stub_HelperChildConfig.Po ./$(DEPDIR)/stub_SBuf.Po \
-	./$(DEPDIR)/stub_fd.Po ./$(DEPDIR)/stub_libmem.Po \
-	./$(DEPDIR)/time.Po
+	./$(DEPDIR)/time.Po tests/$(DEPDIR)/stub_HelperChildConfig.Po \
+	tests/$(DEPDIR)/stub_SBuf.Po tests/$(DEPDIR)/stub_fd.Po \
+	tests/$(DEPDIR)/stub_libmem.Po
 am__mv = mv -f
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
@@ -786,11 +788,11 @@
 	globals.cc \
 	SquidConfig.cc \
 	SquidNew.cc \
-	stub_fd.cc \
-	stub_HelperChildConfig.cc \
-	stub_libmem.cc \
-	stub_SBuf.cc \
-	STUB.h \
+	tests/stub_fd.cc \
+	tests/stub_HelperChildConfig.cc \
+	tests/stub_libmem.cc \
+	tests/stub_SBuf.cc \
+	tests/STUB.h \
 	time.cc
 
 
@@ -924,6 +926,20 @@
 
 libicmpcore.la: $(libicmpcore_la_OBJECTS) $(libicmpcore_la_DEPENDENCIES) $(EXTRA_libicmpcore_la_DEPENDENCIES) 
 	$(AM_V_CXXLD)$(CXXLINK)  $(libicmpcore_la_OBJECTS) $(libicmpcore_la_LIBADD) $(LIBS)
+tests/$(am__dirstamp):
+	@$(MKDIR_P) tests
+	@: > tests/$(am__dirstamp)
+tests/$(DEPDIR)/$(am__dirstamp):
+	@$(MKDIR_P) tests/$(DEPDIR)
+	@: > tests/$(DEPDIR)/$(am__dirstamp)
+tests/stub_fd.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
+tests/stub_HelperChildConfig.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
+tests/stub_libmem.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
+tests/stub_SBuf.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
 
 pinger$(EXEEXT): $(pinger_OBJECTS) $(pinger_DEPENDENCIES) $(EXTRA_pinger_DEPENDENCIES) 
 	@rm -f pinger$(EXEEXT)
@@ -931,6 +947,7 @@
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
+	-rm -f tests/*.$(OBJEXT)
 
 distclean-compile:
 	-rm -f *.tab.c
@@ -947,11 +964,11 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/globals.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/net_db.Plo@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pinger.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_HelperChildConfig.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_SBuf.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_fd.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_libmem.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/time.Po@am__quote@ # am--include-marker
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_HelperChildConfig.Po@am__quote@ # am--include-marker
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_SBuf.Po@am__quote@ # am--include-marker
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_fd.Po@am__quote@ # am--include-marker
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_libmem.Po@am__quote@ # am--include-marker
 
 $(am__depfiles_remade):
 	@$(MKDIR_P) $(@D)
@@ -1276,6 +1293,8 @@
 distclean-generic:
 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
+	-rm -f tests/$(DEPDIR)/$(am__dirstamp)
+	-rm -f tests/$(am__dirstamp)
 
 maintainer-clean-generic:
 	@echo "This command is intended for maintainers to use"
@@ -1298,11 +1317,11 @@
 	-rm -f ./$(DEPDIR)/globals.Po
 	-rm -f ./$(DEPDIR)/net_db.Plo
 	-rm -f ./$(DEPDIR)/pinger.Po
-	-rm -f ./$(DEPDIR)/stub_HelperChildConfig.Po
-	-rm -f ./$(DEPDIR)/stub_SBuf.Po
-	-rm -f ./$(DEPDIR)/stub_fd.Po
-	-rm -f ./$(DEPDIR)/stub_libmem.Po
 	-rm -f ./$(DEPDIR)/time.Po
+	-rm -f tests/$(DEPDIR)/stub_HelperChildConfig.Po
+	-rm -f tests/$(DEPDIR)/stub_SBuf.Po
+	-rm -f tests/$(DEPDIR)/stub_fd.Po
+	-rm -f tests/$(DEPDIR)/stub_libmem.Po
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
 	distclean-tags
@@ -1360,11 +1379,11 @@
 	-rm -f ./$(DEPDIR)/globals.Po
 	-rm -f ./$(DEPDIR)/net_db.Plo
 	-rm -f ./$(DEPDIR)/pinger.Po
-	-rm -f ./$(DEPDIR)/stub_HelperChildConfig.Po
-	-rm -f ./$(DEPDIR)/stub_SBuf.Po
-	-rm -f ./$(DEPDIR)/stub_fd.Po
-	-rm -f ./$(DEPDIR)/stub_libmem.Po
 	-rm -f ./$(DEPDIR)/time.Po
+	-rm -f tests/$(DEPDIR)/stub_HelperChildConfig.Po
+	-rm -f tests/$(DEPDIR)/stub_SBuf.Po
+	-rm -f tests/$(DEPDIR)/stub_fd.Po
+	-rm -f tests/$(DEPDIR)/stub_libmem.Po
 	-rm -f Makefile
 maintainer-clean-am: distclean-am maintainer-clean-generic
 
@@ -1426,19 +1445,19 @@
 SquidNew.cc: $(top_srcdir)/src/SquidNew.cc
 	cp $(top_srcdir)/src/SquidNew.cc $@
 
-stub_HelperChildConfig.cc: $(top_srcdir)/src/tests/stub_HelperChildConfig.cc
+tests/stub_HelperChildConfig.cc: $(top_srcdir)/src/tests/stub_HelperChildConfig.cc
 	cp $(top_srcdir)/src/tests/stub_HelperChildConfig.cc $@
 
-stub_fd.cc: $(top_srcdir)/src/tests/stub_fd.cc STUB.h
+tests/stub_fd.cc: $(top_srcdir)/src/tests/stub_fd.cc
 	cp $(top_srcdir)/src/tests/stub_fd.cc $@
 
-stub_libmem.cc: $(top_srcdir)/src/tests/stub_libmem.cc STUB.h
+tests/stub_libmem.cc: $(top_srcdir)/src/tests/stub_libmem.cc
 	cp $(top_srcdir)/src/tests/stub_libmem.cc $@
 
-stub_SBuf.cc: $(top_srcdir)/src/tests/stub_SBuf.cc STUB.h
+tests/stub_SBuf.cc: $(top_srcdir)/src/tests/stub_SBuf.cc
 	cp $(top_srcdir)/src/tests/stub_SBuf.cc $@
 
-STUB.h: $(top_srcdir)/src/tests/STUB.h
+tests/STUB.h: $(top_srcdir)/src/tests/STUB.h
 	cp $(top_srcdir)/src/tests/STUB.h $@
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
diff -u -r -N squid-5.0.3/src/icmp/net_db.cc squid-5.0.4/src/icmp/net_db.cc
--- squid-5.0.3/src/icmp/net_db.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/icmp/net_db.cc	2020-08-23 05:40:17.000000000 +1200
@@ -786,7 +786,7 @@
 
             case NETDB_EX_NETWORK:
                 ++o;
-                /* FIXME INET6 : NetDB can still ony send IPv4 */
+                // XXX: NetDB can still only send IPv4
                 memcpy(&line_addr, p + o, sizeof(struct in_addr));
                 addr = line_addr;
                 o += sizeof(struct in_addr);
@@ -1211,7 +1211,7 @@
         if (! (addr = n->network) )
             continue;
 
-        /* FIXME INET6 : NetDB cannot yet handle IPv6 addresses. Ensure only IPv4 get sent. */
+        // XXX: NetDB cannot yet handle IPv6 addresses
         if ( !addr.isIPv4() )
             continue;
 
diff -u -r -N squid-5.0.3/src/ICP.h squid-5.0.4/src/ICP.h
--- squid-5.0.3/src/ICP.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/ICP.h	2020-08-23 05:40:17.000000000 +1200
@@ -57,10 +57,7 @@
     static icp_common_t *CreateMessage(icp_opcode opcode, int flags, const char *url, int reqnum, int pad);
 };
 
-/**
- \ingroup ServerProtocolICPAPI
- \todo mempool this
- */
+// TODO: mempool this
 class ICPState: public StoreClient
 {
 
diff -u -r -N squid-5.0.3/src/ident/Ident.cc squid-5.0.4/src/ident/Ident.cc
--- squid-5.0.3/src/ident/Ident.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/ident/Ident.cc	2020-08-23 05:40:17.000000000 +1200
@@ -259,7 +259,7 @@
     state->hash.key = xstrdup(key);
 
     // copy the conn details. We do not want the original FD to be re-used by IDENT.
-    state->conn = conn->copyDetails();
+    state->conn = conn->cloneIdentDetails();
     // NP: use random port for secure outbound to IDENT_PORT
     state->conn->local.port(0);
     state->conn->remote.port(IDENT_PORT);
diff -u -r -N squid-5.0.3/src/ip/Address.cc squid-5.0.4/src/ip/Address.cc
--- squid-5.0.3/src/ip/Address.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/ip/Address.cc	2020-08-23 05:40:17.000000000 +1200
@@ -936,7 +936,7 @@
     struct sockaddr_in *sin = NULL;
 
     if ( family == AF_INET && !isIPv4()) {
-        // FIXME INET6: caller using the wrong socket type!
+        // TODO INET6: caller using the wrong socket type!
         debugs(14, DBG_CRITICAL, HERE << "Ip::Address::getSockAddr : Cannot convert non-IPv4 to IPv4. from " << *this);
         assert(false);
     }
diff -u -r -N squid-5.0.3/src/ip/Address.h squid-5.0.4/src/ip/Address.h
--- squid-5.0.3/src/ip/Address.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/ip/Address.h	2020-08-23 05:40:17.000000000 +1200
@@ -299,7 +299,7 @@
     bool GetHostByName(const char *s);
 
 public:
-    /* FIXME: When C => C++ conversion is done will be fully private.
+    /* XXX: When C => C++ conversion is done will be fully private.
      * Legacy Transition Methods.
      * These are here solely to simplify the transition
      * when moving from converted code to unconverted
diff -u -r -N squid-5.0.3/src/ipcache.cc squid-5.0.4/src/ipcache.cc
--- squid-5.0.3/src/ipcache.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/ipcache.cc	2020-08-23 05:40:17.000000000 +1200
@@ -41,14 +41,12 @@
  *  mechanisms that allow non-blocking access to these mappings.
  *  The IP cache usually doesn't block on a request except for
  *  special cases where this is desired (see below).
- *
- \todo IP Cache should have its own API *.h header file.
  */
 
 /**
  \defgroup IPCacheInternal IP Cache Internals
  \ingroup IPCacheAPI
- \todo  when IP cache is provided as a class. These sub-groups will be obsolete
+ \note  when IP cache is provided as a class. These sub-groups will be obsolete
  *  for now they are used to separate the public and private functions.
  *  with the private ones all being in IPCachInternal and public in IPCacheAPI
  *
diff -u -r -N squid-5.0.3/src/log/DB/log_db_daemon.8 squid-5.0.4/src/log/DB/log_db_daemon.8
--- squid-5.0.3/src/log/DB/log_db_daemon.8	2020-06-09 19:09:22.000000000 +1200
+++ squid-5.0.4/src/log/DB/log_db_daemon.8	2020-08-23 05:50:07.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "LOG_DB_DAEMON 8"
-.TH LOG_DB_DAEMON 8 "2020-06-09" "perl v5.30.3" "User Contributed Perl Documentation"
+.TH LOG_DB_DAEMON 8 "2020-08-22" "perl v5.30.3" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-5.0.3/src/log/DB/log_db_daemon.pl.in squid-5.0.4/src/log/DB/log_db_daemon.pl.in
--- squid-5.0.3/src/log/DB/log_db_daemon.pl.in	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/log/DB/log_db_daemon.pl.in	2020-08-23 05:40:17.000000000 +1200
@@ -331,8 +331,8 @@
 # others may be options
 my $debug = 0;
 GetOptions(
-        'debug' => \$debug,
-        );
+    'debug' => \$debug,
+    );
 
 
 # utility routine to print messages on stderr (so they appear in cache log)
@@ -389,7 +389,7 @@
     squid_hier_status
     ip_server
     http_mime_type
-);
+    );
 
 # perform db connection
 my $dsn = "DBI:mysql:database=$database" . ($host ne "localhost" ? ":$host" : "");
@@ -398,7 +398,7 @@
 eval {
     warn "Connecting... dsn='$dsn', username='$user', password='...'";
     $dbh = DBI->connect($dsn, $user, $pass, { AutoCommit => 1, RaiseError => 1, PrintError => 1 });
-};
+    };
 if ($EVAL_ERROR) {
     die "Cannot connect to database: $DBI::errstr";
 }
@@ -409,24 +409,24 @@
     my $q = 'SELECT ' . join(',',@db_fields) . " FROM $table LIMIT 1";
     my $sth = $dbh->prepare($q);
     $sth->execute;
-};
+    };
 if ($EVAL_ERROR) {
     # run a query to create the table of required syntax
     my $create_query = 'CREATE TABLE ' . $table . ' (' .
-    " id INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY," .
-    " time_since_epoch     DECIMAL(15,3)," .
-    " time_response        INTEGER," .
-    " ip_client            CHAR(15)," .
-    " ip_server            CHAR(15)," .
-    " http_status_code     VARCHAR(10)," .
-    " http_reply_size      INTEGER," .
-    " http_method          VARCHAR(20)," .
-    " http_url             TEXT," .
-    " http_username        VARCHAR(20)," .
-    " http_mime_type       VARCHAR(50)," .
-    " squid_request_status VARCHAR(50)," .
-    " squid_hier_status    VARCHAR(20)" .
-    ");" ;
+        " id INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY," .
+        " time_since_epoch     DECIMAL(15,3)," .
+        " time_response        INTEGER," .
+        " ip_client            CHAR(15)," .
+        " ip_server            CHAR(15)," .
+        " http_status_code     VARCHAR(10)," .
+        " http_reply_size      INTEGER," .
+        " http_method          VARCHAR(20)," .
+        " http_url             TEXT," .
+        " http_username        VARCHAR(20)," .
+        " http_mime_type       VARCHAR(50)," .
+        " squid_request_status VARCHAR(50)," .
+        " squid_hier_status    VARCHAR(20)" .
+        ");" ;
 
     $sth = $dbh->prepare($create_query);
     $sth->execute;
@@ -435,7 +435,7 @@
         my $q = 'SELECT ' . join(',',@db_fields) . " FROM $table LIMIT 1";
         my $sth = $dbh->prepare($q);
         $sth->execute;
-    };
+        };
     if ($EVAL_ERROR) {
         die "Error initializing database table: $EVAL_ERROR";
     };
@@ -445,9 +445,9 @@
 # for better performance, prepare the statement at startup
 eval {
     my $q = "INSERT INTO $table (" . join(',',@db_fields) . ") VALUES(NULL" . ',?' x (scalar(@db_fields)-1) . ')';
-    #$sth = $dbh->prepare("INSERT INTO $table VALUES(NULL,?,?,?,?,?,?,?,?,?,?,?,?)");
+#$sth = $dbh->prepare("INSERT INTO $table VALUES(NULL,?,?,?,?,?,?,?,?,?,?,?,?)");
     $sth = $dbh->prepare($q);
-};
+    };
 if ($EVAL_ERROR) {
     die "Error while preparing sql statement: $EVAL_ERROR";
 }
@@ -467,7 +467,7 @@
         my @log_entry = parse($line);
         eval {                  # we catch db errors to avoid crashing squid in case something goes wrong...
             $sth->execute(@log_entry) or die $sth->errstr
-        };
+            };
         if ( $EVAL_ERROR ) {    # leave a trace of the error in the logs
             warn $EVAL_ERROR . " values=(" . join(', ', @log_entry) . ')';
         }
diff -u -r -N squid-5.0.3/src/log/helpers.m4 squid-5.0.4/src/log/helpers.m4
--- squid-5.0.3/src/log/helpers.m4	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/log/helpers.m4	2020-08-23 05:40:17.000000000 +1200
@@ -8,7 +8,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_log_daemon_helpers list containing double entries.
+# TODO: de-duplicate $enable_log_daemon_helpers list containing double entries.
 
 #define list of modules to build
 auto_logdaemon_modules=no
diff -u -r -N squid-5.0.3/src/Makefile.am squid-5.0.4/src/Makefile.am
--- squid-5.0.3/src/Makefile.am	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/Makefile.am	2020-08-23 05:40:17.000000000 +1200
@@ -319,6 +319,8 @@
 	hier_code.h \
 	HierarchyLogEntry.h \
 	$(HTCPSOURCE) \
+	HttpUpgradeProtocolAccess.cc \
+	HttpUpgradeProtocolAccess.h \
 	http.cc \
 	http.h \
 	HttpHeaderFieldStat.h \
@@ -717,7 +719,7 @@
 	$(COMPAT_LIB) \
 	$(XTRA_LIBS)
 
-include $(srcdir)/tests/Stub.list
+include $(srcdir)/tests/Stub.am
 
 EXTRA_DIST = \
 	cf_gen_defines \
@@ -728,6 +730,7 @@
 	mk-string-arrays.awk \
 	repl_modules.sh \
 	$(STUB_SOURCE) \
+	tests/STUB.h \
 	mib.txt \
 	mime.conf.default
 
@@ -784,7 +787,7 @@
 	$(AWK) -f $(srcdir)/cf_gen_defines <$(srcdir)/cf.data.pre >$@ || ($(RM) -f $@ && exit 1)
 
 
-## FIXME: generate a sed command file from configure. Then this doesn't
+## TODO: generate a sed command file from configure. Then this doesn't
 ## depend on the Makefile.
 cf.data: cf.data.pre Makefile
 	sed \
@@ -1862,7 +1865,6 @@
 	cache_cf.h \
 	AuthReg.h \
 	RefreshPattern.h \
-	cache_cf.cc \
 	CachePeer.cc \
 	CachePeer.h \
 	cache_manager.cc \
@@ -2020,7 +2022,9 @@
 	tests/stub_libstore.cc \
 	Transients.cc \
 	tests/test_http_range.cc \
+	tests/stub_cache_cf.cc \
 	tests/stub_external_acl.cc \
+	tests/stub_HttpUpgradeProtocolAccess.cc \
 	tests/stub_ipc_Forwarder.cc \
 	tests/stub_libdiskio.cc \
 	tests/stub_libeui.cc \
@@ -2265,7 +2269,6 @@
 	cache_cf.h \
 	AuthReg.h \
 	RefreshPattern.h \
-	cache_cf.cc \
 	debug.cc \
 	CacheDigest.h \
 	tests/stub_CacheDigest.cc \
@@ -2417,6 +2420,8 @@
 	tools.h \
 	tools.cc \
 	Transients.cc \
+	tests/stub_cache_cf.cc \
+	tests/stub_HttpUpgradeProtocolAccess.cc \
 	tests/stub_tunnel.cc \
 	tests/stub_libstore.cc \
 	MemStore.cc \
@@ -2563,7 +2568,6 @@
 	cache_cf.h \
 	AuthReg.h \
 	RefreshPattern.h \
-	cache_cf.cc \
 	CachePeer.cc \
 	CachePeer.h \
 	CacheDigest.h \
@@ -2717,6 +2721,8 @@
 	tools.h \
 	tools.cc \
 	Transients.cc \
+	tests/stub_cache_cf.cc \
+	tests/stub_HttpUpgradeProtocolAccess.cc \
 	tests/stub_tunnel.cc \
 	tests/stub_libstore.cc \
 	MemStore.cc \
@@ -2869,7 +2875,6 @@
 	cache_cf.h \
 	AuthReg.h \
 	RefreshPattern.h \
-	cache_cf.cc \
 	CachePeer.cc \
 	CachePeer.h \
 	cache_manager.cc \
@@ -3026,6 +3031,8 @@
 	StoreMetaUnpacker.cc \
 	StoreSwapLogData.cc \
 	String.cc \
+	tests/stub_cache_cf.cc \
+	tests/stub_HttpUpgradeProtocolAccess.cc \
 	tests/stub_libstore.cc \
 	tests/CapturingStoreEntry.h \
 	tests/testEvent.cc \
@@ -3108,7 +3115,6 @@
 	cache_cf.h \
 	AuthReg.h \
 	RefreshPattern.h \
-	cache_cf.cc \
 	CachePeer.cc \
 	CachePeer.h \
 	carp.h \
@@ -3263,6 +3269,8 @@
 	String.cc \
 	StrList.h \
 	StrList.cc \
+	tests/stub_cache_cf.cc \
+	tests/stub_HttpUpgradeProtocolAccess.cc \
 	tests/stub_libstore.cc \
 	tests/testEventLoop.cc \
 	tests/testEventLoop.h \
diff -u -r -N squid-5.0.3/src/Makefile.in squid-5.0.4/src/Makefile.in
--- squid-5.0.3/src/Makefile.in	2020-06-09 18:58:21.000000000 +1200
+++ squid-5.0.4/src/Makefile.in	2020-08-23 05:39:42.000000000 +1200
@@ -282,23 +282,24 @@
 	fqdncache.h fqdncache.cc FwdState.cc FwdState.h Generic.h \
 	globals.h gopher.h gopher.cc HappyConnOpener.cc \
 	HappyConnOpener.h helper.cc helper.h hier_code.h \
-	HierarchyLogEntry.h htcp.cc htcp.h http.cc http.h \
-	HttpHeaderFieldStat.h HttpHdrCc.h HttpHdrCc.cc HttpHdrRange.cc \
-	HttpHdrSc.cc HttpHdrSc.h HttpHdrScTarget.cc HttpHdrScTarget.h \
-	HttpHdrContRange.cc HttpHdrContRange.h HttpHeaderStat.h \
-	HttpHeader.h HttpHeader.cc HttpHeaderMask.h HttpHeaderRange.h \
-	HttpHeaderFieldInfo.h HttpHeaderTools.h HttpHeaderTools.cc \
-	HttpBody.h HttpBody.cc HttpControlMsg.cc HttpControlMsg.h \
-	HttpReply.cc HttpReply.h RequestFlags.h RequestFlags.cc \
-	HttpRequest.cc HttpRequest.h ICP.h icp_opcode.h icp_v2.cc \
-	icp_v3.cc Instance.h Instance.cc int.h int.cc internal.h \
-	internal.cc SquidIpc.h ipc.cc ipc_win32.cc ipcache.cc \
-	ipcache.h LeakFinder.cc LogTags.cc LogTags.h lookup_t.h \
-	main.cc MasterXaction.cc MasterXaction.h mem_node.cc \
-	mem_node.h MemBuf.cc MemObject.cc MemObject.h MessageSizes.h \
-	mime.h mime.cc mime_header.h mime_header.cc multicast.h \
-	multicast.cc neighbors.h neighbors.cc Notes.h Notes.cc \
-	Parsing.cc Parsing.h ProfStats.cc pconn.cc pconn.h \
+	HierarchyLogEntry.h htcp.cc htcp.h \
+	HttpUpgradeProtocolAccess.cc HttpUpgradeProtocolAccess.h \
+	http.cc http.h HttpHeaderFieldStat.h HttpHdrCc.h HttpHdrCc.cc \
+	HttpHdrRange.cc HttpHdrSc.cc HttpHdrSc.h HttpHdrScTarget.cc \
+	HttpHdrScTarget.h HttpHdrContRange.cc HttpHdrContRange.h \
+	HttpHeaderStat.h HttpHeader.h HttpHeader.cc HttpHeaderMask.h \
+	HttpHeaderRange.h HttpHeaderFieldInfo.h HttpHeaderTools.h \
+	HttpHeaderTools.cc HttpBody.h HttpBody.cc HttpControlMsg.cc \
+	HttpControlMsg.h HttpReply.cc HttpReply.h RequestFlags.h \
+	RequestFlags.cc HttpRequest.cc HttpRequest.h ICP.h \
+	icp_opcode.h icp_v2.cc icp_v3.cc Instance.h Instance.cc int.h \
+	int.cc internal.h internal.cc SquidIpc.h ipc.cc ipc_win32.cc \
+	ipcache.cc ipcache.h LeakFinder.cc LogTags.cc LogTags.h \
+	lookup_t.h main.cc MasterXaction.cc MasterXaction.h \
+	mem_node.cc mem_node.h MemBuf.cc MemObject.cc MemObject.h \
+	MessageSizes.h mime.h mime.cc mime_header.h mime_header.cc \
+	multicast.h multicast.cc neighbors.h neighbors.cc Notes.h \
+	Notes.cc Parsing.cc Parsing.h ProfStats.cc pconn.cc pconn.h \
 	PeerDigest.h peer_digest.cc peer_proxy_negotiate_auth.h \
 	peer_proxy_negotiate_auth.cc peer_select.cc peer_sourcehash.h \
 	peer_sourcehash.cc peer_userhash.h peer_userhash.cc \
@@ -373,29 +374,30 @@
 	fatal.$(OBJEXT) fd.$(OBJEXT) fde.$(OBJEXT) filemap.$(OBJEXT) \
 	fqdncache.$(OBJEXT) FwdState.$(OBJEXT) gopher.$(OBJEXT) \
 	HappyConnOpener.$(OBJEXT) helper.$(OBJEXT) $(am__objects_5) \
-	http.$(OBJEXT) HttpHdrCc.$(OBJEXT) HttpHdrRange.$(OBJEXT) \
-	HttpHdrSc.$(OBJEXT) HttpHdrScTarget.$(OBJEXT) \
-	HttpHdrContRange.$(OBJEXT) HttpHeader.$(OBJEXT) \
-	HttpHeaderTools.$(OBJEXT) HttpBody.$(OBJEXT) \
-	HttpControlMsg.$(OBJEXT) HttpReply.$(OBJEXT) \
-	RequestFlags.$(OBJEXT) HttpRequest.$(OBJEXT) icp_v2.$(OBJEXT) \
-	icp_v3.$(OBJEXT) Instance.$(OBJEXT) int.$(OBJEXT) \
-	internal.$(OBJEXT) $(am__objects_6) ipcache.$(OBJEXT) \
-	$(am__objects_7) LogTags.$(OBJEXT) main.$(OBJEXT) \
-	MasterXaction.$(OBJEXT) mem_node.$(OBJEXT) MemBuf.$(OBJEXT) \
-	MemObject.$(OBJEXT) mime.$(OBJEXT) mime_header.$(OBJEXT) \
-	multicast.$(OBJEXT) neighbors.$(OBJEXT) Notes.$(OBJEXT) \
-	Parsing.$(OBJEXT) $(am__objects_8) pconn.$(OBJEXT) \
-	peer_digest.$(OBJEXT) peer_proxy_negotiate_auth.$(OBJEXT) \
-	peer_select.$(OBJEXT) peer_sourcehash.$(OBJEXT) \
-	peer_userhash.$(OBJEXT) PeerPoolMgr.$(OBJEXT) \
-	Pipeline.$(OBJEXT) redirect.$(OBJEXT) refresh.$(OBJEXT) \
-	RemovalPolicy.$(OBJEXT) ResolvedPeers.$(OBJEXT) \
-	send-announce.$(OBJEXT) SBufStatsAction.$(OBJEXT) \
-	$(am__objects_10) SquidMath.$(OBJEXT) SquidNew.$(OBJEXT) \
-	stat.$(OBJEXT) StatCounters.$(OBJEXT) StatHist.$(OBJEXT) \
-	String.$(OBJEXT) StrList.$(OBJEXT) stmem.$(OBJEXT) \
-	store.$(OBJEXT) StoreFileSystem.$(OBJEXT) store_io.$(OBJEXT) \
+	HttpUpgradeProtocolAccess.$(OBJEXT) http.$(OBJEXT) \
+	HttpHdrCc.$(OBJEXT) HttpHdrRange.$(OBJEXT) HttpHdrSc.$(OBJEXT) \
+	HttpHdrScTarget.$(OBJEXT) HttpHdrContRange.$(OBJEXT) \
+	HttpHeader.$(OBJEXT) HttpHeaderTools.$(OBJEXT) \
+	HttpBody.$(OBJEXT) HttpControlMsg.$(OBJEXT) \
+	HttpReply.$(OBJEXT) RequestFlags.$(OBJEXT) \
+	HttpRequest.$(OBJEXT) icp_v2.$(OBJEXT) icp_v3.$(OBJEXT) \
+	Instance.$(OBJEXT) int.$(OBJEXT) internal.$(OBJEXT) \
+	$(am__objects_6) ipcache.$(OBJEXT) $(am__objects_7) \
+	LogTags.$(OBJEXT) main.$(OBJEXT) MasterXaction.$(OBJEXT) \
+	mem_node.$(OBJEXT) MemBuf.$(OBJEXT) MemObject.$(OBJEXT) \
+	mime.$(OBJEXT) mime_header.$(OBJEXT) multicast.$(OBJEXT) \
+	neighbors.$(OBJEXT) Notes.$(OBJEXT) Parsing.$(OBJEXT) \
+	$(am__objects_8) pconn.$(OBJEXT) peer_digest.$(OBJEXT) \
+	peer_proxy_negotiate_auth.$(OBJEXT) peer_select.$(OBJEXT) \
+	peer_sourcehash.$(OBJEXT) peer_userhash.$(OBJEXT) \
+	PeerPoolMgr.$(OBJEXT) Pipeline.$(OBJEXT) redirect.$(OBJEXT) \
+	refresh.$(OBJEXT) RemovalPolicy.$(OBJEXT) \
+	ResolvedPeers.$(OBJEXT) send-announce.$(OBJEXT) \
+	SBufStatsAction.$(OBJEXT) $(am__objects_10) \
+	SquidMath.$(OBJEXT) SquidNew.$(OBJEXT) stat.$(OBJEXT) \
+	StatCounters.$(OBJEXT) StatHist.$(OBJEXT) String.$(OBJEXT) \
+	StrList.$(OBJEXT) stmem.$(OBJEXT) store.$(OBJEXT) \
+	StoreFileSystem.$(OBJEXT) store_io.$(OBJEXT) \
 	StoreIOState.$(OBJEXT) store_client.$(OBJEXT) \
 	store_digest.$(OBJEXT) store_key_md5.$(OBJEXT) \
 	store_log.$(OBJEXT) store_rebuild.$(OBJEXT) \
@@ -514,8 +516,8 @@
 	tests/stub_main_cc.cc tests/stub_HttpControlMsg.cc \
 	tests/stub_ipc_Forwarder.cc tests/stub_store_stats.cc \
 	tests/stub_EventLoop.cc time.cc BodyPipe.cc cache_manager.cc \
-	cache_cf.h AuthReg.h RefreshPattern.h cache_cf.cc CachePeer.cc \
-	CachePeer.h CacheDigest.h tests/stub_CacheDigest.cc carp.h \
+	cache_cf.h AuthReg.h RefreshPattern.h CachePeer.cc CachePeer.h \
+	CacheDigest.h tests/stub_CacheDigest.cc carp.h \
 	tests/stub_carp.cc cbdata.cc tests/stub_client_db.cc \
 	client_side.h client_side.cc client_side_reply.cc \
 	client_side_request.cc ClientInfo.h clientStream.cc \
@@ -565,6 +567,7 @@
 	store_swapmeta.cc store_swapout.cc StoreFileSystem.cc \
 	StoreIOState.cc tests/stub_StoreMeta.cc StoreMetaUnpacker.cc \
 	StoreSwapLogData.cc tools.h tools.cc Transients.cc \
+	tests/stub_cache_cf.cc tests/stub_HttpUpgradeProtocolAccess.cc \
 	tests/stub_tunnel.cc tests/stub_libstore.cc MemStore.cc \
 	unlinkd.h unlinkd.cc urn.h urn.cc wccp2.h tests/stub_wccp2.cc \
 	whois.h tests/stub_whois.cc FadingCounter.cc win32.cc \
@@ -577,12 +580,11 @@
 	tests/stub_ipc_Forwarder.$(OBJEXT) \
 	tests/stub_store_stats.$(OBJEXT) \
 	tests/stub_EventLoop.$(OBJEXT) time.$(OBJEXT) \
-	BodyPipe.$(OBJEXT) cache_manager.$(OBJEXT) cache_cf.$(OBJEXT) \
-	CachePeer.$(OBJEXT) tests/stub_CacheDigest.$(OBJEXT) \
-	tests/stub_carp.$(OBJEXT) cbdata.$(OBJEXT) \
-	tests/stub_client_db.$(OBJEXT) client_side.$(OBJEXT) \
-	client_side_reply.$(OBJEXT) client_side_request.$(OBJEXT) \
-	clientStream.$(OBJEXT) \
+	BodyPipe.$(OBJEXT) cache_manager.$(OBJEXT) CachePeer.$(OBJEXT) \
+	tests/stub_CacheDigest.$(OBJEXT) tests/stub_carp.$(OBJEXT) \
+	cbdata.$(OBJEXT) tests/stub_client_db.$(OBJEXT) \
+	client_side.$(OBJEXT) client_side_reply.$(OBJEXT) \
+	client_side_request.$(OBJEXT) clientStream.$(OBJEXT) \
 	tests/stub_CollapsedForwarding.$(OBJEXT) \
 	ConfigOption.$(OBJEXT) ConfigParser.$(OBJEXT) \
 	CpuAffinityMap.$(OBJEXT) CpuAffinitySet.$(OBJEXT) \
@@ -623,11 +625,12 @@
 	StoreFileSystem.$(OBJEXT) StoreIOState.$(OBJEXT) \
 	tests/stub_StoreMeta.$(OBJEXT) StoreMetaUnpacker.$(OBJEXT) \
 	StoreSwapLogData.$(OBJEXT) tools.$(OBJEXT) \
-	Transients.$(OBJEXT) tests/stub_tunnel.$(OBJEXT) \
-	tests/stub_libstore.$(OBJEXT) MemStore.$(OBJEXT) \
-	$(am__objects_12) urn.$(OBJEXT) tests/stub_wccp2.$(OBJEXT) \
-	tests/stub_whois.$(OBJEXT) FadingCounter.$(OBJEXT) \
-	$(am__objects_13) wordlist.$(OBJEXT)
+	Transients.$(OBJEXT) tests/stub_cache_cf.$(OBJEXT) \
+	tests/stub_HttpUpgradeProtocolAccess.$(OBJEXT) \
+	tests/stub_tunnel.$(OBJEXT) tests/stub_libstore.$(OBJEXT) \
+	MemStore.$(OBJEXT) $(am__objects_12) urn.$(OBJEXT) \
+	tests/stub_wccp2.$(OBJEXT) tests/stub_whois.$(OBJEXT) \
+	FadingCounter.$(OBJEXT) $(am__objects_13) wordlist.$(OBJEXT)
 nodist_tests_testCacheManager_OBJECTS = $(am__objects_17)
 tests_testCacheManager_OBJECTS = $(am_tests_testCacheManager_OBJECTS) \
 	$(nodist_tests_testCacheManager_OBJECTS)
@@ -828,36 +831,36 @@
 	$(LDFLAGS) -o $@
 am__tests_testEvent_SOURCES_DIST = AccessLogEntry.cc BodyPipe.cc \
 	CacheDigest.h tests/stub_CacheDigest.cc cache_cf.h AuthReg.h \
-	RefreshPattern.h cache_cf.cc CachePeer.cc CachePeer.h \
-	cache_manager.cc carp.h tests/stub_carp.cc cbdata.cc \
-	tests/stub_client_db.cc client_side.h client_side.cc \
-	client_side_reply.cc client_side_request.cc ClientInfo.h \
-	clientStream.cc tests/stub_CollapsedForwarding.cc \
-	ConfigOption.cc ConfigParser.cc CpuAffinityMap.cc \
-	CpuAffinityMap.h CpuAffinitySet.cc CpuAffinitySet.h debug.cc \
-	BandwidthBucket.cc BandwidthBucket.h CommonPool.h \
-	CompositePoolNode.h delay_pools.cc DelayId.cc DelayId.h \
-	DelayIdComposite.h DelayBucket.cc DelayBucket.h DelayConfig.cc \
-	DelayConfig.h DelayPool.cc DelayPool.h DelayPools.h \
-	DelaySpec.cc DelaySpec.h DelayTagged.cc DelayTagged.h \
-	DelayUser.cc DelayUser.h DelayVector.cc DelayVector.h \
-	MessageBucket.cc MessageBucket.h MessageDelayPools.h \
-	MessageDelayPools.cc NullDelayId.h ClientDelayConfig.cc \
-	ClientDelayConfig.h fs_io.h fs_io.cc dlink.h dlink.cc \
-	dns_internal.cc errorpage.cc tests/stub_ETag.cc event.cc \
-	EventLoop.h EventLoop.cc external_acl.cc ExternalACLEntry.cc \
-	FadingCounter.cc fatal.h tests/stub_fatal.cc fd.h fd.cc fde.cc \
-	FileMap.h filemap.cc fqdncache.h fqdncache.cc FwdState.cc \
-	FwdState.h gopher.h tests/stub_gopher.cc HappyConnOpener.cc \
-	HappyConnOpener.h helper.cc hier_code.h htcp.cc htcp.h http.cc \
-	HttpBody.h HttpBody.cc tests/stub_HttpControlMsg.cc \
-	HttpHeader.h HttpHeader.cc HttpHeaderFieldInfo.h \
-	HttpHeaderTools.h HttpHeaderTools.cc HttpHeaderFieldStat.h \
-	HttpHdrCc.h HttpHdrCc.cc HttpHdrContRange.cc HttpHdrRange.cc \
-	HttpHdrSc.cc HttpHdrScTarget.cc HttpReply.cc PeerPoolMgr.h \
-	PeerPoolMgr.cc RequestFlags.h RequestFlags.cc HttpRequest.cc \
-	icp_v2.cc icp_v3.cc SquidIpc.h ipc.cc ipc_win32.cc ipcache.cc \
-	int.h int.cc internal.h internal.cc LogTags.cc \
+	RefreshPattern.h CachePeer.cc CachePeer.h cache_manager.cc \
+	carp.h tests/stub_carp.cc cbdata.cc tests/stub_client_db.cc \
+	client_side.h client_side.cc client_side_reply.cc \
+	client_side_request.cc ClientInfo.h clientStream.cc \
+	tests/stub_CollapsedForwarding.cc ConfigOption.cc \
+	ConfigParser.cc CpuAffinityMap.cc CpuAffinityMap.h \
+	CpuAffinitySet.cc CpuAffinitySet.h debug.cc BandwidthBucket.cc \
+	BandwidthBucket.h CommonPool.h CompositePoolNode.h \
+	delay_pools.cc DelayId.cc DelayId.h DelayIdComposite.h \
+	DelayBucket.cc DelayBucket.h DelayConfig.cc DelayConfig.h \
+	DelayPool.cc DelayPool.h DelayPools.h DelaySpec.cc DelaySpec.h \
+	DelayTagged.cc DelayTagged.h DelayUser.cc DelayUser.h \
+	DelayVector.cc DelayVector.h MessageBucket.cc MessageBucket.h \
+	MessageDelayPools.h MessageDelayPools.cc NullDelayId.h \
+	ClientDelayConfig.cc ClientDelayConfig.h fs_io.h fs_io.cc \
+	dlink.h dlink.cc dns_internal.cc errorpage.cc \
+	tests/stub_ETag.cc event.cc EventLoop.h EventLoop.cc \
+	external_acl.cc ExternalACLEntry.cc FadingCounter.cc fatal.h \
+	tests/stub_fatal.cc fd.h fd.cc fde.cc FileMap.h filemap.cc \
+	fqdncache.h fqdncache.cc FwdState.cc FwdState.h gopher.h \
+	tests/stub_gopher.cc HappyConnOpener.cc HappyConnOpener.h \
+	helper.cc hier_code.h htcp.cc htcp.h http.cc HttpBody.h \
+	HttpBody.cc tests/stub_HttpControlMsg.cc HttpHeader.h \
+	HttpHeader.cc HttpHeaderFieldInfo.h HttpHeaderTools.h \
+	HttpHeaderTools.cc HttpHeaderFieldStat.h HttpHdrCc.h \
+	HttpHdrCc.cc HttpHdrContRange.cc HttpHdrRange.cc HttpHdrSc.cc \
+	HttpHdrScTarget.cc HttpReply.cc PeerPoolMgr.h PeerPoolMgr.cc \
+	RequestFlags.h RequestFlags.cc HttpRequest.cc icp_v2.cc \
+	icp_v3.cc SquidIpc.h ipc.cc ipc_win32.cc ipcache.cc int.h \
+	int.cc internal.h internal.cc LogTags.cc \
 	tests/stub_libsecurity.cc MasterXaction.cc MasterXaction.h \
 	tests/stub_libmem.cc mem_node.cc MemBuf.cc MemObject.cc mime.h \
 	mime.cc mime_header.h mime_header.cc multicast.h multicast.cc \
@@ -878,7 +881,8 @@
 	store_rebuild.cc store_swapin.h store_swapin.cc \
 	store_swapmeta.cc store_swapout.cc StoreFileSystem.cc \
 	StoreIOState.cc tests/stub_StoreMeta.cc StoreMetaUnpacker.cc \
-	StoreSwapLogData.cc String.cc tests/stub_libstore.cc \
+	StoreSwapLogData.cc String.cc tests/stub_cache_cf.cc \
+	tests/stub_HttpUpgradeProtocolAccess.cc tests/stub_libstore.cc \
 	tests/CapturingStoreEntry.h tests/testEvent.cc \
 	tests/testEvent.h tests/stub_main_cc.cc \
 	tests/stub_ipc_Forwarder.cc tests/stub_libauth_acls.cc \
@@ -889,7 +893,7 @@
 	whois.h tests/stub_whois.cc win32.cc wordlist.h wordlist.cc
 am_tests_testEvent_OBJECTS = AccessLogEntry.$(OBJEXT) \
 	BodyPipe.$(OBJEXT) tests/stub_CacheDigest.$(OBJEXT) \
-	cache_cf.$(OBJEXT) CachePeer.$(OBJEXT) cache_manager.$(OBJEXT) \
+	CachePeer.$(OBJEXT) cache_manager.$(OBJEXT) \
 	tests/stub_carp.$(OBJEXT) cbdata.$(OBJEXT) \
 	tests/stub_client_db.$(OBJEXT) client_side.$(OBJEXT) \
 	client_side_reply.$(OBJEXT) client_side_request.$(OBJEXT) \
@@ -936,6 +940,8 @@
 	StoreFileSystem.$(OBJEXT) StoreIOState.$(OBJEXT) \
 	tests/stub_StoreMeta.$(OBJEXT) StoreMetaUnpacker.$(OBJEXT) \
 	StoreSwapLogData.$(OBJEXT) String.$(OBJEXT) \
+	tests/stub_cache_cf.$(OBJEXT) \
+	tests/stub_HttpUpgradeProtocolAccess.$(OBJEXT) \
 	tests/stub_libstore.$(OBJEXT) tests/testEvent.$(OBJEXT) \
 	tests/stub_main_cc.$(OBJEXT) \
 	tests/stub_ipc_Forwarder.$(OBJEXT) \
@@ -972,56 +978,57 @@
 	$(LDFLAGS) -o $@
 am__tests_testEventLoop_SOURCES_DIST = AccessLogEntry.cc BodyPipe.cc \
 	CacheDigest.h tests/stub_CacheDigest.cc cache_manager.cc \
-	cache_cf.h AuthReg.h RefreshPattern.h cache_cf.cc CachePeer.cc \
-	CachePeer.h carp.h tests/stub_carp.cc cbdata.cc \
-	tests/stub_client_db.cc client_side.h client_side.cc \
-	client_side_reply.cc client_side_request.cc ClientInfo.h \
-	clientStream.cc tests/stub_CollapsedForwarding.cc \
-	ConfigOption.cc ConfigParser.cc CpuAffinityMap.cc \
-	CpuAffinityMap.h CpuAffinitySet.cc CpuAffinitySet.h debug.cc \
-	BandwidthBucket.cc BandwidthBucket.h CommonPool.h \
-	CompositePoolNode.h delay_pools.cc DelayId.cc DelayId.h \
-	DelayIdComposite.h DelayBucket.cc DelayBucket.h DelayConfig.cc \
-	DelayConfig.h DelayPool.cc DelayPool.h DelayPools.h \
-	DelaySpec.cc DelaySpec.h DelayTagged.cc DelayTagged.h \
-	DelayUser.cc DelayUser.h DelayVector.cc DelayVector.h \
-	MessageBucket.cc MessageBucket.h MessageDelayPools.h \
-	MessageDelayPools.cc NullDelayId.h ClientDelayConfig.cc \
-	ClientDelayConfig.h fs_io.h fs_io.cc dlink.h dlink.cc \
-	dns_internal.cc errorpage.cc tests/stub_ETag.cc EventLoop.h \
-	EventLoop.cc event.cc external_acl.cc ExternalACLEntry.cc \
-	FadingCounter.cc fatal.h tests/stub_fatal.cc fd.h fd.cc fde.cc \
-	FileMap.h filemap.cc fqdncache.h fqdncache.cc FwdState.cc \
-	FwdState.h gopher.h tests/stub_gopher.cc HappyConnOpener.cc \
-	HappyConnOpener.h helper.cc hier_code.h htcp.cc htcp.h http.cc \
-	HttpBody.h HttpBody.cc tests/stub_HttpControlMsg.cc \
-	HttpHeader.h HttpHeader.cc HttpHeaderFieldInfo.h \
-	HttpHeaderTools.h HttpHeaderTools.cc HttpHeaderFieldStat.h \
-	HttpHdrCc.h HttpHdrCc.cc HttpHdrContRange.cc HttpHdrRange.cc \
-	HttpHdrSc.cc HttpHdrScTarget.cc HttpReply.cc PeerPoolMgr.h \
-	PeerPoolMgr.cc RequestFlags.h RequestFlags.cc HttpRequest.cc \
-	icp_v2.cc icp_v3.cc SquidIpc.h ipc.cc ipc_win32.cc ipcache.cc \
-	int.h int.cc internal.h internal.cc LogTags.cc \
-	MasterXaction.cc MasterXaction.h MemBuf.cc MemObject.cc \
-	tests/stub_libmem.cc mem_node.cc mime.h mime.cc mime_header.h \
-	mime_header.cc multicast.h multicast.cc neighbors.h \
-	neighbors.cc Notes.cc Notes.h Parsing.cc pconn.cc \
-	peer_digest.cc peer_proxy_negotiate_auth.h \
-	peer_proxy_negotiate_auth.cc peer_select.cc peer_sourcehash.h \
-	peer_sourcehash.cc peer_userhash.h peer_userhash.cc \
-	Pipeline.cc Pipeline.h RemovalPolicy.cc ResolvedPeers.cc \
-	ResolvedPeers.h redirect.h tests/stub_redirect.cc refresh.h \
-	refresh.cc tests/stub_SBufDetailedStats.cc SnmpRequest.h \
-	snmp_core.h snmp_core.cc snmp_agent.h snmp_agent.cc \
-	SquidMath.h SquidMath.cc IoStats.h stat.h stat.cc \
-	StatCounters.h StatCounters.cc StatHist.h StatHist.cc stmem.cc \
-	repl_modules.h store.cc store_client.cc store_digest.h \
+	cache_cf.h AuthReg.h RefreshPattern.h CachePeer.cc CachePeer.h \
+	carp.h tests/stub_carp.cc cbdata.cc tests/stub_client_db.cc \
+	client_side.h client_side.cc client_side_reply.cc \
+	client_side_request.cc ClientInfo.h clientStream.cc \
+	tests/stub_CollapsedForwarding.cc ConfigOption.cc \
+	ConfigParser.cc CpuAffinityMap.cc CpuAffinityMap.h \
+	CpuAffinitySet.cc CpuAffinitySet.h debug.cc BandwidthBucket.cc \
+	BandwidthBucket.h CommonPool.h CompositePoolNode.h \
+	delay_pools.cc DelayId.cc DelayId.h DelayIdComposite.h \
+	DelayBucket.cc DelayBucket.h DelayConfig.cc DelayConfig.h \
+	DelayPool.cc DelayPool.h DelayPools.h DelaySpec.cc DelaySpec.h \
+	DelayTagged.cc DelayTagged.h DelayUser.cc DelayUser.h \
+	DelayVector.cc DelayVector.h MessageBucket.cc MessageBucket.h \
+	MessageDelayPools.h MessageDelayPools.cc NullDelayId.h \
+	ClientDelayConfig.cc ClientDelayConfig.h fs_io.h fs_io.cc \
+	dlink.h dlink.cc dns_internal.cc errorpage.cc \
+	tests/stub_ETag.cc EventLoop.h EventLoop.cc event.cc \
+	external_acl.cc ExternalACLEntry.cc FadingCounter.cc fatal.h \
+	tests/stub_fatal.cc fd.h fd.cc fde.cc FileMap.h filemap.cc \
+	fqdncache.h fqdncache.cc FwdState.cc FwdState.h gopher.h \
+	tests/stub_gopher.cc HappyConnOpener.cc HappyConnOpener.h \
+	helper.cc hier_code.h htcp.cc htcp.h http.cc HttpBody.h \
+	HttpBody.cc tests/stub_HttpControlMsg.cc HttpHeader.h \
+	HttpHeader.cc HttpHeaderFieldInfo.h HttpHeaderTools.h \
+	HttpHeaderTools.cc HttpHeaderFieldStat.h HttpHdrCc.h \
+	HttpHdrCc.cc HttpHdrContRange.cc HttpHdrRange.cc HttpHdrSc.cc \
+	HttpHdrScTarget.cc HttpReply.cc PeerPoolMgr.h PeerPoolMgr.cc \
+	RequestFlags.h RequestFlags.cc HttpRequest.cc icp_v2.cc \
+	icp_v3.cc SquidIpc.h ipc.cc ipc_win32.cc ipcache.cc int.h \
+	int.cc internal.h internal.cc LogTags.cc MasterXaction.cc \
+	MasterXaction.h MemBuf.cc MemObject.cc tests/stub_libmem.cc \
+	mem_node.cc mime.h mime.cc mime_header.h mime_header.cc \
+	multicast.h multicast.cc neighbors.h neighbors.cc Notes.cc \
+	Notes.h Parsing.cc pconn.cc peer_digest.cc \
+	peer_proxy_negotiate_auth.h peer_proxy_negotiate_auth.cc \
+	peer_select.cc peer_sourcehash.h peer_sourcehash.cc \
+	peer_userhash.h peer_userhash.cc Pipeline.cc Pipeline.h \
+	RemovalPolicy.cc ResolvedPeers.cc ResolvedPeers.h redirect.h \
+	tests/stub_redirect.cc refresh.h refresh.cc \
+	tests/stub_SBufDetailedStats.cc SnmpRequest.h snmp_core.h \
+	snmp_core.cc snmp_agent.h snmp_agent.cc SquidMath.h \
+	SquidMath.cc IoStats.h stat.h stat.cc StatCounters.h \
+	StatCounters.cc StatHist.h StatHist.cc stmem.cc repl_modules.h \
+	store.cc store_client.cc store_digest.h \
 	tests/stub_store_digest.cc store_io.cc store_key_md5.h \
 	store_key_md5.cc store_log.h store_log.cc store_rebuild.h \
 	store_rebuild.cc store_swapin.h store_swapin.cc \
 	store_swapmeta.cc store_swapout.cc StoreFileSystem.cc \
 	StoreIOState.cc tests/stub_StoreMeta.cc StoreMetaUnpacker.cc \
 	StoreSwapLogData.cc String.cc StrList.h StrList.cc \
+	tests/stub_cache_cf.cc tests/stub_HttpUpgradeProtocolAccess.cc \
 	tests/stub_libstore.cc tests/testEventLoop.cc \
 	tests/testEventLoop.h tests/stub_main_cc.cc \
 	tests/stub_ipc_Forwarder.cc tests/stub_libauth_acls.cc \
@@ -1033,7 +1040,7 @@
 	tests/stub_whois.cc win32.cc wordlist.h wordlist.cc
 am_tests_testEventLoop_OBJECTS = AccessLogEntry.$(OBJEXT) \
 	BodyPipe.$(OBJEXT) tests/stub_CacheDigest.$(OBJEXT) \
-	cache_manager.$(OBJEXT) cache_cf.$(OBJEXT) CachePeer.$(OBJEXT) \
+	cache_manager.$(OBJEXT) CachePeer.$(OBJEXT) \
 	tests/stub_carp.$(OBJEXT) cbdata.$(OBJEXT) \
 	tests/stub_client_db.$(OBJEXT) client_side.$(OBJEXT) \
 	client_side_reply.$(OBJEXT) client_side_request.$(OBJEXT) \
@@ -1078,6 +1085,8 @@
 	StoreFileSystem.$(OBJEXT) StoreIOState.$(OBJEXT) \
 	tests/stub_StoreMeta.$(OBJEXT) StoreMetaUnpacker.$(OBJEXT) \
 	StoreSwapLogData.$(OBJEXT) String.$(OBJEXT) StrList.$(OBJEXT) \
+	tests/stub_cache_cf.$(OBJEXT) \
+	tests/stub_HttpUpgradeProtocolAccess.$(OBJEXT) \
 	tests/stub_libstore.$(OBJEXT) tests/testEventLoop.$(OBJEXT) \
 	tests/stub_main_cc.$(OBJEXT) \
 	tests/stub_ipc_Forwarder.$(OBJEXT) \
@@ -1190,7 +1199,7 @@
 	tests/stub_libdiskio.cc tests/stub_libeui.cc \
 	tests/stub_store_stats.cc tests/stub_EventLoop.cc time.cc \
 	BodyPipe.cc cache_manager.cc cache_cf.h AuthReg.h \
-	RefreshPattern.h cache_cf.cc debug.cc CacheDigest.h \
+	RefreshPattern.h debug.cc CacheDigest.h \
 	tests/stub_CacheDigest.cc CachePeer.cc CachePeer.h carp.h \
 	tests/stub_carp.cc cbdata.cc tests/stub_client_db.cc \
 	client_side.h client_side.cc client_side_reply.cc \
@@ -1240,7 +1249,8 @@
 	store_swapmeta.cc store_swapout.cc StoreFileSystem.cc \
 	StoreIOState.cc tests/stub_StoreMeta.cc StoreMetaUnpacker.cc \
 	StoreSwapLogData.cc StrList.h StrList.cc event.cc tools.h \
-	tools.cc Transients.cc tests/stub_tunnel.cc \
+	tools.cc Transients.cc tests/stub_cache_cf.cc \
+	tests/stub_HttpUpgradeProtocolAccess.cc tests/stub_tunnel.cc \
 	tests/stub_libstore.cc MemStore.cc urn.h urn.cc wccp2.h \
 	tests/stub_wccp2.cc whois.h tests/stub_whois.cc \
 	FadingCounter.cc win32.cc wordlist.h wordlist.cc
@@ -1254,9 +1264,9 @@
 	tests/stub_libdiskio.$(OBJEXT) tests/stub_libeui.$(OBJEXT) \
 	tests/stub_store_stats.$(OBJEXT) \
 	tests/stub_EventLoop.$(OBJEXT) time.$(OBJEXT) \
-	BodyPipe.$(OBJEXT) cache_manager.$(OBJEXT) cache_cf.$(OBJEXT) \
-	debug.$(OBJEXT) tests/stub_CacheDigest.$(OBJEXT) \
-	CachePeer.$(OBJEXT) tests/stub_carp.$(OBJEXT) cbdata.$(OBJEXT) \
+	BodyPipe.$(OBJEXT) cache_manager.$(OBJEXT) debug.$(OBJEXT) \
+	tests/stub_CacheDigest.$(OBJEXT) CachePeer.$(OBJEXT) \
+	tests/stub_carp.$(OBJEXT) cbdata.$(OBJEXT) \
 	tests/stub_client_db.$(OBJEXT) client_side.$(OBJEXT) \
 	client_side_reply.$(OBJEXT) client_side_request.$(OBJEXT) \
 	clientStream.$(OBJEXT) \
@@ -1299,6 +1309,8 @@
 	tests/stub_StoreMeta.$(OBJEXT) StoreMetaUnpacker.$(OBJEXT) \
 	StoreSwapLogData.$(OBJEXT) StrList.$(OBJEXT) event.$(OBJEXT) \
 	tools.$(OBJEXT) Transients.$(OBJEXT) \
+	tests/stub_cache_cf.$(OBJEXT) \
+	tests/stub_HttpUpgradeProtocolAccess.$(OBJEXT) \
 	tests/stub_tunnel.$(OBJEXT) tests/stub_libstore.$(OBJEXT) \
 	MemStore.$(OBJEXT) urn.$(OBJEXT) tests/stub_wccp2.$(OBJEXT) \
 	tests/stub_whois.$(OBJEXT) FadingCounter.$(OBJEXT) \
@@ -1925,32 +1937,32 @@
 	$(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testYesNoNone_LDFLAGS) \
 	$(LDFLAGS) -o $@
 am__tests_test_http_range_SOURCES_DIST = AccessLogEntry.cc BodyPipe.cc \
-	cache_cf.h AuthReg.h RefreshPattern.h cache_cf.cc CachePeer.cc \
-	CachePeer.h cache_manager.cc CacheDigest.h \
-	tests/stub_CacheDigest.cc carp.h tests/stub_carp.cc cbdata.cc \
-	tests/stub_client_db.cc client_side.h client_side.cc \
-	client_side_reply.cc client_side_request.cc ClientInfo.h \
-	clientStream.cc tests/stub_CollapsedForwarding.cc \
-	ConfigOption.cc ConfigParser.cc CpuAffinityMap.cc \
-	CpuAffinityMap.h CpuAffinitySet.cc CpuAffinitySet.h debug.cc \
-	BandwidthBucket.cc BandwidthBucket.h CommonPool.h \
-	CompositePoolNode.h delay_pools.cc DelayId.cc DelayId.h \
-	DelayIdComposite.h DelayBucket.cc DelayBucket.h DelayConfig.cc \
-	DelayConfig.h DelayPool.cc DelayPool.h DelayPools.h \
-	DelaySpec.cc DelaySpec.h DelayTagged.cc DelayTagged.h \
-	DelayUser.cc DelayUser.h DelayVector.cc DelayVector.h \
-	MessageBucket.cc MessageBucket.h MessageDelayPools.h \
-	MessageDelayPools.cc NullDelayId.h ClientDelayConfig.cc \
-	ClientDelayConfig.h fs_io.h fs_io.cc dlink.h dlink.cc \
-	dns_internal.cc errorpage.cc tests/stub_ETag.cc event.cc \
-	FadingCounter.cc fatal.h tests/stub_libauth.cc \
-	tests/stub_fatal.cc fd.h fd.cc fde.cc FileMap.h filemap.cc \
-	fqdncache.h fqdncache.cc FwdState.cc FwdState.h gopher.h \
-	tests/stub_gopher.cc HappyConnOpener.cc HappyConnOpener.h \
-	helper.cc hier_code.h htcp.cc htcp.h http.cc HttpBody.h \
-	HttpBody.cc tests/stub_HttpControlMsg.cc HttpHeaderFieldStat.h \
-	HttpHdrCc.h HttpHdrCc.cc HttpHdrContRange.cc HttpHdrRange.cc \
-	HttpHdrSc.cc HttpHdrScTarget.cc HttpHeader.h HttpHeader.cc \
+	cache_cf.h AuthReg.h RefreshPattern.h CachePeer.cc CachePeer.h \
+	cache_manager.cc CacheDigest.h tests/stub_CacheDigest.cc \
+	carp.h tests/stub_carp.cc cbdata.cc tests/stub_client_db.cc \
+	client_side.h client_side.cc client_side_reply.cc \
+	client_side_request.cc ClientInfo.h clientStream.cc \
+	tests/stub_CollapsedForwarding.cc ConfigOption.cc \
+	ConfigParser.cc CpuAffinityMap.cc CpuAffinityMap.h \
+	CpuAffinitySet.cc CpuAffinitySet.h debug.cc BandwidthBucket.cc \
+	BandwidthBucket.h CommonPool.h CompositePoolNode.h \
+	delay_pools.cc DelayId.cc DelayId.h DelayIdComposite.h \
+	DelayBucket.cc DelayBucket.h DelayConfig.cc DelayConfig.h \
+	DelayPool.cc DelayPool.h DelayPools.h DelaySpec.cc DelaySpec.h \
+	DelayTagged.cc DelayTagged.h DelayUser.cc DelayUser.h \
+	DelayVector.cc DelayVector.h MessageBucket.cc MessageBucket.h \
+	MessageDelayPools.h MessageDelayPools.cc NullDelayId.h \
+	ClientDelayConfig.cc ClientDelayConfig.h fs_io.h fs_io.cc \
+	dlink.h dlink.cc dns_internal.cc errorpage.cc \
+	tests/stub_ETag.cc event.cc FadingCounter.cc fatal.h \
+	tests/stub_libauth.cc tests/stub_fatal.cc fd.h fd.cc fde.cc \
+	FileMap.h filemap.cc fqdncache.h fqdncache.cc FwdState.cc \
+	FwdState.h gopher.h tests/stub_gopher.cc HappyConnOpener.cc \
+	HappyConnOpener.h helper.cc hier_code.h htcp.cc htcp.h http.cc \
+	HttpBody.h HttpBody.cc tests/stub_HttpControlMsg.cc \
+	HttpHeaderFieldStat.h HttpHdrCc.h HttpHdrCc.cc \
+	HttpHdrContRange.cc HttpHdrRange.cc HttpHdrSc.cc \
+	HttpHdrScTarget.cc HttpHeader.h HttpHeader.cc \
 	HttpHeaderFieldInfo.h HttpHeaderTools.h HttpHeaderTools.cc \
 	HttpReply.cc PeerPoolMgr.h PeerPoolMgr.cc RequestFlags.h \
 	RequestFlags.cc HttpRequest.cc icp_v2.cc icp_v3.cc int.h \
@@ -1977,21 +1989,21 @@
 	StoreIOState.cc tests/stub_StoreMeta.cc StoreMetaUnpacker.cc \
 	StoreSwapLogData.cc String.cc StrList.h StrList.cc \
 	tests/stub_libstore.cc Transients.cc tests/test_http_range.cc \
-	tests/stub_external_acl.cc tests/stub_ipc_Forwarder.cc \
-	tests/stub_libdiskio.cc tests/stub_libeui.cc \
-	tests/stub_libsecurity.cc tests/stub_main_cc.cc \
-	tests/stub_MemStore.cc tests/stub_store_stats.cc \
-	tests/stub_EventLoop.cc time.cc tools.h tools.cc \
-	tests/stub_tunnel.cc unlinkd.h unlinkd.cc urn.h urn.cc wccp2.h \
-	tests/stub_wccp2.cc whois.h tests/stub_whois.cc win32.cc \
-	wordlist.h wordlist.cc
+	tests/stub_cache_cf.cc tests/stub_external_acl.cc \
+	tests/stub_HttpUpgradeProtocolAccess.cc \
+	tests/stub_ipc_Forwarder.cc tests/stub_libdiskio.cc \
+	tests/stub_libeui.cc tests/stub_libsecurity.cc \
+	tests/stub_main_cc.cc tests/stub_MemStore.cc \
+	tests/stub_store_stats.cc tests/stub_EventLoop.cc time.cc \
+	tools.h tools.cc tests/stub_tunnel.cc unlinkd.h unlinkd.cc \
+	urn.h urn.cc wccp2.h tests/stub_wccp2.cc whois.h \
+	tests/stub_whois.cc win32.cc wordlist.h wordlist.cc
 am_tests_test_http_range_OBJECTS = AccessLogEntry.$(OBJEXT) \
-	BodyPipe.$(OBJEXT) cache_cf.$(OBJEXT) CachePeer.$(OBJEXT) \
-	cache_manager.$(OBJEXT) tests/stub_CacheDigest.$(OBJEXT) \
-	tests/stub_carp.$(OBJEXT) cbdata.$(OBJEXT) \
-	tests/stub_client_db.$(OBJEXT) client_side.$(OBJEXT) \
-	client_side_reply.$(OBJEXT) client_side_request.$(OBJEXT) \
-	clientStream.$(OBJEXT) \
+	BodyPipe.$(OBJEXT) CachePeer.$(OBJEXT) cache_manager.$(OBJEXT) \
+	tests/stub_CacheDigest.$(OBJEXT) tests/stub_carp.$(OBJEXT) \
+	cbdata.$(OBJEXT) tests/stub_client_db.$(OBJEXT) \
+	client_side.$(OBJEXT) client_side_reply.$(OBJEXT) \
+	client_side_request.$(OBJEXT) clientStream.$(OBJEXT) \
 	tests/stub_CollapsedForwarding.$(OBJEXT) \
 	ConfigOption.$(OBJEXT) ConfigParser.$(OBJEXT) \
 	CpuAffinityMap.$(OBJEXT) CpuAffinitySet.$(OBJEXT) \
@@ -2032,8 +2044,9 @@
 	tests/stub_StoreMeta.$(OBJEXT) StoreMetaUnpacker.$(OBJEXT) \
 	StoreSwapLogData.$(OBJEXT) String.$(OBJEXT) StrList.$(OBJEXT) \
 	tests/stub_libstore.$(OBJEXT) Transients.$(OBJEXT) \
-	tests/test_http_range.$(OBJEXT) \
+	tests/test_http_range.$(OBJEXT) tests/stub_cache_cf.$(OBJEXT) \
 	tests/stub_external_acl.$(OBJEXT) \
+	tests/stub_HttpUpgradeProtocolAccess.$(OBJEXT) \
 	tests/stub_ipc_Forwarder.$(OBJEXT) \
 	tests/stub_libdiskio.$(OBJEXT) tests/stub_libeui.$(OBJEXT) \
 	tests/stub_libsecurity.$(OBJEXT) tests/stub_main_cc.$(OBJEXT) \
@@ -2122,6 +2135,7 @@
 	./$(DEPDIR)/HttpHdrSc.Po ./$(DEPDIR)/HttpHdrScTarget.Po \
 	./$(DEPDIR)/HttpHeader.Po ./$(DEPDIR)/HttpHeaderTools.Po \
 	./$(DEPDIR)/HttpReply.Po ./$(DEPDIR)/HttpRequest.Po \
+	./$(DEPDIR)/HttpUpgradeProtocolAccess.Po \
 	./$(DEPDIR)/Instance.Po ./$(DEPDIR)/LeakFinder.Po \
 	./$(DEPDIR)/LoadableModule.Po ./$(DEPDIR)/LoadableModules.Po \
 	./$(DEPDIR)/LogTags.Po ./$(DEPDIR)/MasterXaction.Po \
@@ -2195,6 +2209,7 @@
 	tests/$(DEPDIR)/stub_HttpHeader.Po \
 	tests/$(DEPDIR)/stub_HttpReply.Po \
 	tests/$(DEPDIR)/stub_HttpRequest.Po \
+	tests/$(DEPDIR)/stub_HttpUpgradeProtocolAccess.Po \
 	tests/$(DEPDIR)/stub_MemBuf.Po \
 	tests/$(DEPDIR)/stub_MemObject.Po \
 	tests/$(DEPDIR)/stub_MemStore.Po tests/$(DEPDIR)/stub_Port.Po \
@@ -2635,7 +2650,7 @@
 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
 	$(TEST_LOG_FLAGS)
-am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/tests/Stub.list \
+am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/tests/Stub.am \
 	$(top_srcdir)/cfgaux/depcomp $(top_srcdir)/cfgaux/test-driver \
 	$(top_srcdir)/doc/manuals/Substitute.am \
 	$(top_srcdir)/src/Common.am
@@ -3086,7 +3101,8 @@
 	fqdncache.h fqdncache.cc FwdState.cc FwdState.h Generic.h \
 	globals.h gopher.h gopher.cc HappyConnOpener.cc \
 	HappyConnOpener.h helper.cc helper.h hier_code.h \
-	HierarchyLogEntry.h $(HTCPSOURCE) http.cc http.h \
+	HierarchyLogEntry.h $(HTCPSOURCE) HttpUpgradeProtocolAccess.cc \
+	HttpUpgradeProtocolAccess.h http.cc http.h \
 	HttpHeaderFieldStat.h HttpHdrCc.h HttpHdrCc.cc HttpHdrRange.cc \
 	HttpHdrSc.cc HttpHdrSc.h HttpHdrScTarget.cc HttpHdrScTarget.h \
 	HttpHdrContRange.cc HttpHdrContRange.h HttpHeaderStat.h \
@@ -3285,94 +3301,95 @@
 	$(COMPAT_LIB) \
 	$(XTRA_LIBS)
 
-STUB_SOURCE = tests/STUB.h \
-	tests/stub_access_log.cc \
-	tests/stub_acl.cc \
-	tests/stub_cache_cf.cc \
-	tests/stub_CacheDigest.cc \
-	tests/stub_cache_manager.cc \
-	tests/stub_carp.cc \
-	tests/stub_cbdata.cc \
-	tests/stub_client_db.cc \
-	tests/stub_client_side.cc \
-	tests/stub_client_side_request.cc \
-	tests/stub_CollapsedForwarding.cc \
-	tests/stub_comm.cc \
-	tests/stub_CommIO.cc \
-	tests/stub_debug.cc \
-	tests/stub_DelayId.cc \
-	tests/stub_errorpage.cc \
-	tests/stub_ETag.cc \
-	tests/stub_event.cc \
-	tests/stub_EventLoop.cc \
-	tests/stub_external_acl.cc \
-	tests/stub_fatal.cc \
-	tests/stub_fd.cc \
-	tests/stub_gopher.cc \
-	tests/stub_helper.cc \
-	tests/stub_HelperChildConfig.cc \
-	tests/stub_http.cc \
-	tests/stub_HttpControlMsg.cc \
-	tests/stub_HttpHeader.cc \
-	tests/stub_HttpReply.cc \
-	tests/stub_HttpRequest.cc \
-	tests/stub_icp.cc \
-	tests/stub_internal.cc \
-	tests/stub_ipcache.cc \
-	tests/stub_ipc.cc \
-	tests/stub_ipc_Forwarder.cc \
-	tests/stub_ipc_TypedMsgHdr.cc \
-	tests/stub_libanyp.cc \
-	tests/stub_libauth_acls.cc \
-	tests/stub_libauth.cc \
-	tests/stub_libcomm.cc \
-	tests/stub_libdiskio.cc \
-	tests/stub_libeui.cc \
-	tests/stub_libformat.cc \
-	tests/stub_libhttp.cc \
-	tests/stub_libicmp.cc \
-	tests/stub_libip.cc \
-	tests/stub_liblog.cc \
-	tests/stub_libmem.cc \
-	tests/stub_libmgr.cc \
-	tests/stub_libsecurity.cc \
-	tests/stub_libsslsquid.cc \
-	tests/stub_libstore.cc \
-	tests/stub_main_cc.cc \
-	tests/stub_MemBuf.cc \
-	tests/stub_mem_node.cc \
-	tests/stub_MemObject.cc \
-	tests/stub_MemStore.cc \
-	tests/stub_mime.cc \
-	tests/stub_neighbors.cc \
-	tests/stub_pconn.cc \
-	tests/stub_Port.cc \
-	tests/stub_redirect.cc \
-	tests/stub_SBuf.cc \
-	tests/stub_SBufDetailedStats.cc \
-	tests/stub_stat.cc \
-	tests/stub_StatHist.cc \
-	tests/stub_stmem.cc \
-	tests/stub_store.cc \
-	tests/stub_store_client.cc \
-	tests/stub_store_digest.cc \
-	tests/stub_StoreMeta.cc \
-	tests/stub_store_rebuild.cc \
-	tests/stub_store_stats.cc \
-	tests/stub_store_swapout.cc \
-	tests/stub_SwapDir.cc \
-	tests/stub_time.cc \
-	tests/stub_tools.cc \
-	tests/stub_tunnel.cc \
-	tests/stub_UdsOp.cc \
-	tests/stub_wccp2.cc \
-	tests/stub_whois.cc \
-	tests/stub_wordlist.cc 
+STUB_SOURCE = \
+    tests/stub_access_log.cc \
+    tests/stub_acl.cc \
+    tests/stub_cache_cf.cc \
+    tests/stub_CacheDigest.cc \
+    tests/stub_cache_manager.cc \
+    tests/stub_carp.cc \
+    tests/stub_cbdata.cc \
+    tests/stub_client_db.cc \
+    tests/stub_client_side.cc \
+    tests/stub_client_side_request.cc \
+    tests/stub_CollapsedForwarding.cc \
+    tests/stub_comm.cc \
+    tests/stub_CommIO.cc \
+    tests/stub_debug.cc \
+    tests/stub_DelayId.cc \
+    tests/stub_errorpage.cc \
+    tests/stub_ETag.cc \
+    tests/stub_event.cc \
+    tests/stub_EventLoop.cc \
+    tests/stub_external_acl.cc \
+    tests/stub_fatal.cc \
+    tests/stub_fd.cc \
+    tests/stub_gopher.cc \
+    tests/stub_helper.cc \
+    tests/stub_HelperChildConfig.cc \
+    tests/stub_http.cc \
+    tests/stub_HttpControlMsg.cc \
+    tests/stub_HttpHeader.cc \
+    tests/stub_HttpReply.cc \
+    tests/stub_HttpRequest.cc \
+    tests/stub_HttpUpgradeProtocolAccess.cc \
+    tests/stub_icp.cc \
+    tests/stub_internal.cc \
+    tests/stub_ipcache.cc \
+    tests/stub_ipc.cc \
+    tests/stub_ipc_Forwarder.cc \
+    tests/stub_ipc_TypedMsgHdr.cc \
+    tests/stub_libanyp.cc \
+    tests/stub_libauth_acls.cc \
+    tests/stub_libauth.cc \
+    tests/stub_libcomm.cc \
+    tests/stub_libdiskio.cc \
+    tests/stub_libeui.cc \
+    tests/stub_libformat.cc \
+    tests/stub_libhttp.cc \
+    tests/stub_libicmp.cc \
+    tests/stub_libip.cc \
+    tests/stub_liblog.cc \
+    tests/stub_libmem.cc \
+    tests/stub_libmgr.cc \
+    tests/stub_libsecurity.cc \
+    tests/stub_libsslsquid.cc \
+    tests/stub_libstore.cc \
+    tests/stub_main_cc.cc \
+    tests/stub_MemBuf.cc \
+    tests/stub_mem_node.cc \
+    tests/stub_MemObject.cc \
+    tests/stub_MemStore.cc \
+    tests/stub_mime.cc \
+    tests/stub_neighbors.cc \
+    tests/stub_pconn.cc \
+    tests/stub_Port.cc \
+    tests/stub_redirect.cc \
+    tests/stub_SBuf.cc \
+    tests/stub_SBufDetailedStats.cc \
+    tests/stub_stat.cc \
+    tests/stub_StatHist.cc \
+    tests/stub_stmem.cc \
+    tests/stub_store.cc \
+    tests/stub_store_client.cc \
+    tests/stub_store_digest.cc \
+    tests/stub_StoreMeta.cc \
+    tests/stub_store_rebuild.cc \
+    tests/stub_store_stats.cc \
+    tests/stub_store_swapout.cc \
+    tests/stub_SwapDir.cc \
+    tests/stub_time.cc \
+    tests/stub_tools.cc \
+    tests/stub_tunnel.cc \
+    tests/stub_UdsOp.cc \
+    tests/stub_wccp2.cc \
+    tests/stub_whois.cc \
+    tests/stub_wordlist.cc
 
 EXTRA_DIST = cf_gen_defines cf.data.pre cf.data.depend cf.data.sed \
 	mk-globals-c.awk mk-string-arrays.awk repl_modules.sh \
-	$(STUB_SOURCE) mib.txt mime.conf.default squid.8.in \
-	$(am__append_12) $(am__append_14) $(am__append_16)
+	$(STUB_SOURCE) tests/STUB.h mib.txt mime.conf.default \
+	squid.8.in $(am__append_12) $(am__append_14) $(am__append_16)
 SUBSTITUTE = sed "\
 	s%@DEFAULT_ERROR_DIR@%$(DEFAULT_ERROR_DIR)%g;\
 	s%@DEFAULT_MIME_TABLE@%$(DEFAULT_MIME_TABLE)%g;\
@@ -4337,7 +4354,6 @@
 	cache_cf.h \
 	AuthReg.h \
 	RefreshPattern.h \
-	cache_cf.cc \
 	CachePeer.cc \
 	CachePeer.h \
 	cache_manager.cc \
@@ -4495,7 +4511,9 @@
 	tests/stub_libstore.cc \
 	Transients.cc \
 	tests/test_http_range.cc \
+	tests/stub_cache_cf.cc \
 	tests/stub_external_acl.cc \
+	tests/stub_HttpUpgradeProtocolAccess.cc \
 	tests/stub_ipc_Forwarder.cc \
 	tests/stub_libdiskio.cc \
 	tests/stub_libeui.cc \
@@ -4743,7 +4761,6 @@
 	cache_cf.h \
 	AuthReg.h \
 	RefreshPattern.h \
-	cache_cf.cc \
 	debug.cc \
 	CacheDigest.h \
 	tests/stub_CacheDigest.cc \
@@ -4895,6 +4912,8 @@
 	tools.h \
 	tools.cc \
 	Transients.cc \
+	tests/stub_cache_cf.cc \
+	tests/stub_HttpUpgradeProtocolAccess.cc \
 	tests/stub_tunnel.cc \
 	tests/stub_libstore.cc \
 	MemStore.cc \
@@ -5039,7 +5058,6 @@
 	cache_cf.h \
 	AuthReg.h \
 	RefreshPattern.h \
-	cache_cf.cc \
 	CachePeer.cc \
 	CachePeer.h \
 	CacheDigest.h \
@@ -5193,6 +5211,8 @@
 	tools.h \
 	tools.cc \
 	Transients.cc \
+	tests/stub_cache_cf.cc \
+	tests/stub_HttpUpgradeProtocolAccess.cc \
 	tests/stub_tunnel.cc \
 	tests/stub_libstore.cc \
 	MemStore.cc \
@@ -5344,7 +5364,6 @@
 	cache_cf.h \
 	AuthReg.h \
 	RefreshPattern.h \
-	cache_cf.cc \
 	CachePeer.cc \
 	CachePeer.h \
 	cache_manager.cc \
@@ -5501,6 +5520,8 @@
 	StoreMetaUnpacker.cc \
 	StoreSwapLogData.cc \
 	String.cc \
+	tests/stub_cache_cf.cc \
+	tests/stub_HttpUpgradeProtocolAccess.cc \
 	tests/stub_libstore.cc \
 	tests/CapturingStoreEntry.h \
 	tests/testEvent.cc \
@@ -5584,7 +5605,6 @@
 	cache_cf.h \
 	AuthReg.h \
 	RefreshPattern.h \
-	cache_cf.cc \
 	CachePeer.cc \
 	CachePeer.h \
 	carp.h \
@@ -5739,6 +5759,8 @@
 	String.cc \
 	StrList.h \
 	StrList.cc \
+	tests/stub_cache_cf.cc \
+	tests/stub_HttpUpgradeProtocolAccess.cc \
 	tests/stub_libstore.cc \
 	tests/testEventLoop.cc \
 	tests/testEventLoop.h \
@@ -5818,7 +5840,7 @@
 
 .SUFFIXES:
 .SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
-$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(srcdir)/tests/Stub.list $(top_srcdir)/doc/manuals/Substitute.am $(am__configure_deps)
+$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(srcdir)/tests/Stub.am $(top_srcdir)/doc/manuals/Substitute.am $(am__configure_deps)
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
 	    *$$dep*) \
@@ -5838,7 +5860,7 @@
 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
 	esac;
-$(top_srcdir)/src/Common.am $(srcdir)/tests/Stub.list $(top_srcdir)/doc/manuals/Substitute.am $(am__empty):
+$(top_srcdir)/src/Common.am $(srcdir)/tests/Stub.am $(top_srcdir)/doc/manuals/Substitute.am $(am__empty):
 
 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
@@ -6121,6 +6143,8 @@
 	tests/$(DEPDIR)/$(am__dirstamp)
 tests/stub_StoreMeta.$(OBJEXT): tests/$(am__dirstamp) \
 	tests/$(DEPDIR)/$(am__dirstamp)
+tests/stub_HttpUpgradeProtocolAccess.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
 tests/stub_tunnel.$(OBJEXT): tests/$(am__dirstamp) \
 	tests/$(DEPDIR)/$(am__dirstamp)
 tests/stub_libstore.$(OBJEXT): tests/$(am__dirstamp) \
@@ -6450,6 +6474,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpHeaderTools.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpReply.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpRequest.Po@am__quote@ # am--include-marker
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpUpgradeProtocolAccess.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Instance.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/LeakFinder.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/LoadableModule.Po@am__quote@ # am--include-marker
@@ -6589,6 +6614,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_HttpHeader.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_HttpReply.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_HttpRequest.Po@am__quote@ # am--include-marker
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_HttpUpgradeProtocolAccess.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_MemBuf.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_MemObject.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_MemStore.Po@am__quote@ # am--include-marker
@@ -7445,6 +7471,7 @@
 	-rm -f ./$(DEPDIR)/HttpHeaderTools.Po
 	-rm -f ./$(DEPDIR)/HttpReply.Po
 	-rm -f ./$(DEPDIR)/HttpRequest.Po
+	-rm -f ./$(DEPDIR)/HttpUpgradeProtocolAccess.Po
 	-rm -f ./$(DEPDIR)/Instance.Po
 	-rm -f ./$(DEPDIR)/LeakFinder.Po
 	-rm -f ./$(DEPDIR)/LoadableModule.Po
@@ -7584,6 +7611,7 @@
 	-rm -f tests/$(DEPDIR)/stub_HttpHeader.Po
 	-rm -f tests/$(DEPDIR)/stub_HttpReply.Po
 	-rm -f tests/$(DEPDIR)/stub_HttpRequest.Po
+	-rm -f tests/$(DEPDIR)/stub_HttpUpgradeProtocolAccess.Po
 	-rm -f tests/$(DEPDIR)/stub_MemBuf.Po
 	-rm -f tests/$(DEPDIR)/stub_MemObject.Po
 	-rm -f tests/$(DEPDIR)/stub_MemStore.Po
@@ -7777,6 +7805,7 @@
 	-rm -f ./$(DEPDIR)/HttpHeaderTools.Po
 	-rm -f ./$(DEPDIR)/HttpReply.Po
 	-rm -f ./$(DEPDIR)/HttpRequest.Po
+	-rm -f ./$(DEPDIR)/HttpUpgradeProtocolAccess.Po
 	-rm -f ./$(DEPDIR)/Instance.Po
 	-rm -f ./$(DEPDIR)/LeakFinder.Po
 	-rm -f ./$(DEPDIR)/LoadableModule.Po
@@ -7916,6 +7945,7 @@
 	-rm -f tests/$(DEPDIR)/stub_HttpHeader.Po
 	-rm -f tests/$(DEPDIR)/stub_HttpReply.Po
 	-rm -f tests/$(DEPDIR)/stub_HttpRequest.Po
+	-rm -f tests/$(DEPDIR)/stub_HttpUpgradeProtocolAccess.Po
 	-rm -f tests/$(DEPDIR)/stub_MemBuf.Po
 	-rm -f tests/$(DEPDIR)/stub_MemObject.Po
 	-rm -f tests/$(DEPDIR)/stub_MemStore.Po
diff -u -r -N squid-5.0.3/src/mem/Pool.h squid-5.0.4/src/mem/Pool.h
--- squid-5.0.3/src/mem/Pool.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/mem/Pool.h	2020-08-23 05:40:17.000000000 +1200
@@ -62,7 +62,7 @@
 class MemPoolStats;
 
 /// \ingroup MemPoolsAPI
-/// \todo Kill this typedef for C++
+/// TODO: Kill this typedef for C++
 typedef struct _MemPoolGlobalStats MemPoolGlobalStats;
 
 /// \ingroup MemPoolsAPI
@@ -156,7 +156,7 @@
      * Suitable frequency for cleanup is in range of few tens of seconds to
      * few minutes, depending of memory activity.
      *
-     \todo DOCS: Re-write this shorter!
+     * TODO: DOCS: Re-write this shorter!
      *
      \param maxage   Release all totally idle chunks that
      *               have not been referenced for maxage seconds.
@@ -299,7 +299,7 @@
 };
 
 /// \ingroup MemPoolsAPI
-/// \todo Classify and add constructor/destructor to initialize properly.
+/// TODO: Classify and add constructor/destructor to initialize properly.
 struct _MemPoolGlobalStats {
     MemPoolMeter *TheMeter;
 
@@ -346,7 +346,6 @@
 
 /**
  \ingroup MemPoolsAPI
- \todo Stats API - not sured how to refactor yet
  *
  * Fills a MemPoolGlobalStats with statistical data about overall
  * usage for all pools.
diff -u -r -N squid-5.0.3/src/mem/PoolingAllocator.h squid-5.0.4/src/mem/PoolingAllocator.h
--- squid-5.0.3/src/mem/PoolingAllocator.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/mem/PoolingAllocator.h	2020-08-23 05:40:17.000000000 +1200
@@ -35,7 +35,7 @@
 
     template <class OtherValue>
     struct rebind {
-      typedef PoolingAllocator<OtherValue> other;
+        typedef PoolingAllocator<OtherValue> other;
     };
 
     template<typename OtherValue> void destroy(OtherValue *p) { p->~OtherValue(); }
diff -u -r -N squid-5.0.3/src/MemObject.h squid-5.0.4/src/MemObject.h
--- squid-5.0.3/src/MemObject.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/MemObject.h	2020-08-23 05:40:17.000000000 +1200
@@ -25,7 +25,6 @@
 #endif
 
 typedef void STMCB (void *data, StoreIOBuffer wroteBuffer);
-typedef void STABH(void *);
 
 class store_client;
 class PeerSelector;
@@ -192,11 +191,8 @@
     IRCB *ping_reply_callback;
     PeerSelector *ircb_data = nullptr;
 
-    struct abort_ {
-        abort_() { callback = nullptr; }
-        STABH *callback;
-        void *data = nullptr;
-    } abort;
+    /// used for notifying StoreEntry writers about 3rd-party initiated aborts
+    AsyncCall::Pointer abortCallback;
     RemovalPolicyNode repl;
     int id = 0;
     int64_t object_sz = -1;
diff -u -r -N squid-5.0.3/src/MemStore.cc squid-5.0.4/src/MemStore.cc
--- squid-5.0.3/src/MemStore.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/MemStore.cc	2020-08-23 05:40:17.000000000 +1200
@@ -1011,7 +1011,7 @@
 
     Ipc::Mem::PageStack::Config spaceConfig;
     spaceConfig.poolId = Ipc::Mem::PageStack::IdForMemStoreSpace(),
-    spaceConfig.pageSize = 0; // the pages are stored in Ipc::Mem::Pages
+                spaceConfig.pageSize = 0; // the pages are stored in Ipc::Mem::Pages
     spaceConfig.capacity = entryLimit;
     spaceConfig.createFull = true; // all pages are initially available
     Must(!spaceOwner);
diff -u -r -N squid-5.0.3/src/mgr/BasicActions.h squid-5.0.4/src/mgr/BasicActions.h
--- squid-5.0.3/src/mgr/BasicActions.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/mgr/BasicActions.h	2020-08-23 05:40:17.000000000 +1200
@@ -93,7 +93,7 @@
     OfflineToggleAction(const CommandPointer &cmd);
 };
 
-/// Registeres profiles for the actions above; \todo move elsewhere?
+/// Registers profiles for the actions above; TODO: move elsewhere?
 void RegisterBasics();
 
 } // namespace Mgr
diff -u -r -N squid-5.0.3/src/mgr/StoreToCommWriter.cc squid-5.0.4/src/mgr/StoreToCommWriter.cc
--- squid-5.0.3/src/mgr/StoreToCommWriter.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/mgr/StoreToCommWriter.cc	2020-08-23 05:40:17.000000000 +1200
@@ -9,6 +9,7 @@
 /* DEBUG: section 16    Cache Manager API */
 
 #include "squid.h"
+#include "base/AsyncCbdataCalls.h"
 #include "base/TextException.h"
 #include "comm/Connection.h"
 #include "comm/Write.h"
@@ -57,7 +58,8 @@
     debugs(16, 6, HERE);
     Must(Comm::IsConnOpen(clientConnection));
     Must(entry != NULL);
-    entry->registerAbort(&StoreToCommWriter::Abort, this);
+    AsyncCall::Pointer call = asyncCall(16, 4, "StoreToCommWriter::Abort", cbdataDialer(&StoreToCommWriter::HandleStoreAbort, this));
+    entry->registerAbortCallback(call);
     sc = storeClientListAdd(entry, this);
     Must(sc != NULL);
 
@@ -142,7 +144,7 @@
             storeUnregister(sc, entry, this);
             sc = NULL;
         }
-        entry->unregisterAbort();
+        entry->unregisterAbortCallback("StoreToCommWriter done");
         entry->unlock("Mgr::StoreToCommWriter::swanSong");
         entry = NULL;
     }
@@ -158,9 +160,8 @@
 }
 
 void
-Mgr::StoreToCommWriter::Abort(void* param)
+Mgr::StoreToCommWriter::HandleStoreAbort(StoreToCommWriter *mgrWriter)
 {
-    StoreToCommWriter* mgrWriter = static_cast<StoreToCommWriter*>(param);
     if (Comm::IsConnOpen(mgrWriter->clientConnection))
         mgrWriter->clientConnection->close();
 }
diff -u -r -N squid-5.0.3/src/mgr/StoreToCommWriter.h squid-5.0.4/src/mgr/StoreToCommWriter.h
--- squid-5.0.3/src/mgr/StoreToCommWriter.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/mgr/StoreToCommWriter.h	2020-08-23 05:40:17.000000000 +1200
@@ -45,7 +45,7 @@
     void noteStoreCopied(StoreIOBuffer ioBuf);
     static void NoteStoreCopied(void* data, StoreIOBuffer ioBuf);
     /// called by Store if the entry is no longer usable
-    static void Abort(void* param);
+    static void HandleStoreAbort(StoreToCommWriter *param);
 
     /// tell Comm to write action results
     void scheduleCommWrite(const StoreIOBuffer& ioBuf);
diff -u -r -N squid-5.0.3/src/neighbors.cc squid-5.0.4/src/neighbors.cc
--- squid-5.0.3/src/neighbors.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/neighbors.cc	2020-08-23 05:40:17.000000000 +1200
@@ -410,8 +410,9 @@
  * period. The larger the number of requests between cycled resets the
  * more balanced the operations.
  *
- \param data    unused.
- \todo Make the reset timing a selectable parameter in squid.conf
+ * \param data    unused
+ *
+ * TODO: Make the reset timing a selectable parameter in squid.conf
  */
 static void
 peerClearRRLoop(void *data)
@@ -1441,7 +1442,7 @@
     reqnum = icpSetCacheKey((const cache_key *)fake->key);
     icpCreateAndSend(ICP_QUERY, 0, url, reqnum, 0,
                      icpOutgoingConn->fd, p->in_addr, psstate->al);
-    fake->ping_status = PING_WAITING;
+    fake->ping_status = PING_WAITING; // TODO: refactor to use PeerSelector::startPingWaiting()
     eventAdd("peerCountMcastPeersDone",
              peerCountMcastPeersDone,
              psstate,
diff -u -r -N squid-5.0.3/src/parser/Tokenizer.cc squid-5.0.4/src/parser/Tokenizer.cc
--- squid-5.0.3/src/parser/Tokenizer.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/parser/Tokenizer.cc	2020-08-23 05:40:17.000000000 +1200
@@ -232,7 +232,7 @@
 
     const SBuf range(buf_.substr(0,limit));
 
-    //fixme: account for buf_.size()
+    // XXX: account for buf_.size()
     bool neg = false;
     const char *s = range.rawContent();
     const char *end = range.rawContent() + range.length();
diff -u -r -N squid-5.0.3/src/pconn.h squid-5.0.4/src/pconn.h
--- squid-5.0.3/src/pconn.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/pconn.h	2020-08-23 05:40:17.000000000 +1200
@@ -18,8 +18,6 @@
 /**
  \defgroup PConnAPI Persistent Connection API
  \ingroup Component
- *
- \todo CLEANUP: Break multiple classes out of the generic pconn.h header
  */
 
 class PconnPool;
diff -u -r -N squid-5.0.3/src/peer_digest.cc squid-5.0.4/src/peer_digest.cc
--- squid-5.0.3/src/peer_digest.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/peer_digest.cc	2020-08-23 05:40:17.000000000 +1200
@@ -484,6 +484,15 @@
 
     } while (cbdataReferenceValid(fetch) && prevstate != fetch->state && fetch->bufofs > 0);
 
+    // Check for EOF here, thus giving the parser one extra run. We could avoid this overhead by
+    // checking at the beginning of this function. However, in this case, we would have to require
+    // that the parser does not regard EOF as a special condition (it is true now but may change
+    // in the future).
+    if (!receivedData.length) { // EOF
+        peerDigestFetchAbort(fetch, fetch->buf, "premature end of digest reply");
+        return;
+    }
+
     /* Update the copy offset */
     fetch->offset += receivedData.length;
 
diff -u -r -N squid-5.0.3/src/peer_select.cc squid-5.0.4/src/peer_select.cc
--- squid-5.0.3/src/peer_select.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/peer_select.cc	2020-08-23 05:40:17.000000000 +1200
@@ -10,6 +10,7 @@
 
 #include "squid.h"
 #include "acl/FilledChecklist.h"
+#include "base/AsyncCbdataCalls.h"
 #include "base/InstanceId.h"
 #include "CachePeer.h"
 #include "carp.h"
@@ -34,6 +35,7 @@
 #include "SquidConfig.h"
 #include "SquidTime.h"
 #include "Store.h"
+#include "util.h" // for tvSubDsec() which should be in SquidTime.h
 
 /**
  * A CachePeer which has been selected as a possible destination.
@@ -99,6 +101,132 @@
     return os;
 }
 
+/// An ICP ping timeout service.
+/// Protects event.cc (which is designed to handle a few unrelated timeouts)
+/// from exposure to thousands of ping-related timeouts on busy proxies.
+class PeerSelectorPingMonitor
+{
+public:
+    /// registers the given selector to be notified about the IPC ping timeout
+    void monitor(PeerSelector *);
+
+    /// removes a PeerSelector from the waiting list
+    void forget(PeerSelector *);
+
+    /// \returns a (nil) registration of a non-waiting peer selector
+    WaitingPeerSelectorPosition npos() { return selectors.end(); }
+
+private:
+    static void NoteWaitOver(void *monitor);
+
+    void startWaiting();
+    void abortWaiting();
+    void noteWaitOver();
+
+    WaitingPeerSelectors selectors; ///< \see WaitingPeerSelectors
+};
+
+/// monitors all PeerSelector ICP ping timeouts
+static PeerSelectorPingMonitor &
+PingMonitor()
+{
+    static const auto Instance = new PeerSelectorPingMonitor();
+    return *Instance;
+}
+
+/* PeerSelectorPingMonitor */
+
+/// PeerSelectorPingMonitor::noteWaitOver() wrapper
+void
+PeerSelectorPingMonitor::NoteWaitOver(void *raw)
+{
+    assert(raw);
+    static_cast<PeerSelectorPingMonitor*>(raw)->noteWaitOver();
+}
+
+/// schedules a single event to represent all waiting selectors
+void
+PeerSelectorPingMonitor::startWaiting()
+{
+    assert(!selectors.empty());
+    const auto interval = tvSubDsec(current_time, selectors.begin()->first);
+    eventAdd("PeerSelectorPingMonitor::NoteWaitOver", &PeerSelectorPingMonitor::NoteWaitOver, this, interval, 0, false);
+}
+
+/// undoes an earlier startWaiting() call
+void
+PeerSelectorPingMonitor::abortWaiting()
+{
+    // our event may be already in the AsyncCallQueue but that is OK:
+    // such queued calls cannot accumulate, and we ignore any stale ones
+    eventDelete(&PeerSelectorPingMonitor::NoteWaitOver, nullptr);
+}
+
+/// calls back all ready PeerSelectors and continues to wait for others
+void
+PeerSelectorPingMonitor::noteWaitOver()
+{
+    while (!selectors.empty() && current_time >= selectors.begin()->first) {
+        const auto selector = selectors.begin()->second;
+        CallBack(selector->al, [selector,this] {
+            selector->ping.monitorRegistration = npos();
+            AsyncCall::Pointer callback = asyncCall(44, 4, "PeerSelector::HandlePingTimeout",
+            cbdataDialer(PeerSelector::HandlePingTimeout, selector));
+            ScheduleCallHere(callback);
+        });
+        selectors.erase(selectors.begin());
+    }
+
+    if (!selectors.empty()) {
+        // Since abortWaiting() is unreliable, we may have been awakened by a
+        // stale event A after event B has been scheduled. Now we are going to
+        // schedule event C. Prevent event accumulation by deleting B (if any).
+        abortWaiting();
+
+        startWaiting();
+    }
+}
+
+void
+PeerSelectorPingMonitor::monitor(PeerSelector *selector)
+{
+    assert(selector);
+
+    const auto deadline = selector->ping.deadline();
+    const auto position = selectors.emplace(deadline, selector);
+    selector->ping.monitorRegistration = position;
+
+    if (position == selectors.begin()) {
+        if (selectors.size() > 1)
+            abortWaiting(); // remove the previously scheduled earlier event
+        startWaiting();
+    } // else the already scheduled event is still the earliest one
+}
+
+void
+PeerSelectorPingMonitor::forget(PeerSelector *selector)
+{
+    assert(selector);
+
+    if (selector->ping.monitorRegistration == npos())
+        return; // already forgotten
+
+    const auto wasFirst = selector->ping.monitorRegistration == selectors.begin();
+    selectors.erase(selector->ping.monitorRegistration);
+    selector->ping.monitorRegistration = npos();
+
+    if (wasFirst) {
+        // do not reschedule if there are still elements with the same deadline
+        if (!selectors.empty() && selectors.begin()->first == selector->ping.deadline())
+            return;
+        abortWaiting();
+        if (!selectors.empty())
+            startWaiting();
+    } // else do nothing since the old scheduled event is still the earliest one
+}
+
+/* PeerSelector */
+
 PeerSelector::~PeerSelector()
 {
     while (servers) {
@@ -107,12 +235,10 @@
         servers = next;
     }
 
+    cancelPingTimeoutMonitoring();
+
     if (entry) {
         debugs(44, 3, entry->url());
-
-        if (entry->ping_status == PING_WAITING)
-            eventDelete(HandlePingTimeout, this);
-
         entry->ping_status = PING_DONE;
     }
 
@@ -132,6 +258,21 @@
     delete lastError;
 }
 
+void
+PeerSelector::startPingWaiting()
+{
+    assert(entry);
+    assert(entry->ping_status != PING_WAITING);
+    PingMonitor().monitor(this);
+    entry->ping_status = PING_WAITING;
+}
+
+void
+PeerSelector::cancelPingTimeoutMonitoring()
+{
+    PingMonitor().forget(this);
+}
+
 static int
 peerSelectIcpPing(PeerSelector *ps, int direct, StoreEntry * entry)
 {
@@ -520,6 +661,7 @@
             return;
     } else if (entry->ping_status == PING_WAITING) {
         selectSomeNeighborReplies();
+        cancelPingTimeoutMonitoring();
         entry->ping_status = PING_DONE;
     }
 
@@ -614,6 +756,9 @@
                                            this,
                                            &ping.n_replies_expected,
                                            &ping.timeout);
+            // TODO: Refactor neighborsUdpPing() to guarantee positive timeouts.
+            if (ping.timeout < 0)
+                ping.timeout = 0;
 
             if (ping.n_sent == 0)
                 debugs(44, DBG_CRITICAL, "WARNING: neighborsUdpPing returned 0");
@@ -622,12 +767,7 @@
                    " msec");
 
             if (ping.n_replies_expected > 0) {
-                entry->ping_status = PING_WAITING;
-                eventAdd("PeerSelector::HandlePingTimeout",
-                         HandlePingTimeout,
-                         this,
-                         0.001 * ping.timeout,
-                         0);
+                startPingWaiting();
                 return;
             }
         }
@@ -754,8 +894,11 @@
 {
     debugs(44, 3, url());
 
-    if (entry)
-        entry->ping_status = PING_DONE;
+    // do nothing if ping reply came while handlePingTimeout() was queued
+    if (!entry || entry->ping_status != PING_WAITING)
+        return;
+
+    entry->ping_status = PING_DONE;
 
     if (selectionAborted())
         return;
@@ -766,9 +909,9 @@
 }
 
 void
-PeerSelector::HandlePingTimeout(void *data)
+PeerSelector::HandlePingTimeout(PeerSelector *selector)
 {
-    static_cast<PeerSelector*>(data)->handlePingTimeout();
+    selector->handlePingTimeout();
 }
 
 void
@@ -940,6 +1083,8 @@
         // There can be at most one PINNED destination.
         // Non-PINNED destinations are uniquely identified by their CachePeer
         // (even though a DIRECT destination might match a cache_peer address).
+        // TODO: We may still add duplicates because the same peer could have
+        // been removed from `servers` already (and given to the requestor).
         const bool duplicate = (server->code == PINNED) ?
                                (code == PINNED) : (server->_peer == peer);
         if (duplicate) {
@@ -1046,7 +1191,8 @@
     timeout(0),
     timedout(0),
     w_rtt(0),
-    p_rtt(0)
+    p_rtt(0),
+    monitorRegistration(PingMonitor().npos())
 {
     start.tv_sec = 0;
     start.tv_usec = 0;
@@ -1054,3 +1200,15 @@
     stop.tv_usec = 0;
 }
 
+timeval
+ping_data::deadline() const
+{
+    timeval timeInterval;
+    timeInterval.tv_sec = timeout / 1000;
+    timeInterval.tv_usec = (timeout % 1000) * 1000;
+
+    timeval result;
+    tvAdd(result, start, timeInterval);
+    return result;
+}
+
diff -u -r -N squid-5.0.3/src/PeerSelectState.h squid-5.0.4/src/PeerSelectState.h
--- squid-5.0.3/src/PeerSelectState.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/PeerSelectState.h	2020-08-23 05:40:17.000000000 +1200
@@ -85,6 +85,15 @@
     /// a single selection loop iteration: attempts to add more destinations
     void selectMore();
 
+    /// switches into the PING_WAITING state (and associated timeout monitoring)
+    void startPingWaiting();
+
+    /// terminates ICP ping timeout monitoring
+    void cancelPingTimeoutMonitoring();
+
+    /// called when the given selector should stop expecting ICP ping responses
+    static void HandlePingTimeout(PeerSelector *);
+
     HttpRequest *request;
     AccessLogEntry::Pointer al; ///< info for the future access.log entry
     StoreEntry *entry;
@@ -122,7 +131,6 @@
     static IRCB HandlePingReply;
     static ACLCB CheckAlwaysDirectDone;
     static ACLCB CheckNeverDirectDone;
-    static EVH HandlePingTimeout;
 
 private:
     Acl::Answer always_direct;
diff -u -r -N squid-5.0.3/src/PingData.h squid-5.0.4/src/PingData.h
--- squid-5.0.3/src/PingData.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/PingData.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,12 +9,29 @@
 #ifndef SQUID_PINGDATA_H
 #define SQUID_PINGDATA_H
 
+#include "mem/PoolingAllocator.h"
+
+#include <map>
+
+class PeerSelector;
+class PeerSelectorPingMonitor;
+
+typedef std::pair<const timeval, PeerSelector *> WaitingPeerSelector;
+/// waiting PeerSelector objects, ordered by their absolute deadlines
+typedef std::multimap<timeval, PeerSelector *, std::less<timeval>, PoolingAllocator<WaitingPeerSelector> > WaitingPeerSelectors;
+typedef WaitingPeerSelectors::iterator WaitingPeerSelectorPosition;
+
+/// ICP probing of cache_peers during peer selection
 class ping_data
 {
 
 public:
     ping_data();
 
+    /// no ICP responses are expected beyond the returned absolute time
+    /// \returns start + timeout
+    timeval deadline() const;
+
     struct timeval start;
 
     struct timeval stop;
@@ -25,6 +42,11 @@
     int timedout;
     int w_rtt;
     int p_rtt;
+
+private:
+    friend PeerSelectorPingMonitor;
+    /// maintained by PeerSelectorPingMonitor
+    WaitingPeerSelectorPosition monitorRegistration;
 };
 
 #endif /* SQUID_PINGDATA_H */
diff -u -r -N squid-5.0.3/src/ProfStats.cc squid-5.0.4/src/ProfStats.cc
--- squid-5.0.3/src/ProfStats.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/ProfStats.cc	2020-08-23 05:40:17.000000000 +1200
@@ -250,10 +250,9 @@
     Mgr::RegisterAction("cpu_profile", "CPU Profiling Stats", xprof_summary, 0, 1);
 }
 
-// FIXME:
-// this gets colled once per event. This doesn't seem to make much sense,
-// does it?
 static hrtime_t now;
+
+// TODO: this gets called once per event. Make it only happen when enabling xprof.
 static void
 xprof_Init(void)
 {
diff -u -r -N squid-5.0.3/src/redirect.cc squid-5.0.4/src/redirect.cc
--- squid-5.0.3/src/redirect.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/redirect.cc	2020-08-23 05:40:17.000000000 +1200
@@ -408,7 +408,7 @@
 void
 redirectShutdown(void)
 {
-    /** FIXME: Temporary unified helpers Shutdown
+    /** TODO: Temporary unified helpers Shutdown
      * When and if needed for more helpers a separated shutdown
      * method will be added for each of them.
      */
diff -u -r -N squid-5.0.3/src/refresh.cc squid-5.0.4/src/refresh.cc
--- squid-5.0.3/src/refresh.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/refresh.cc	2020-08-23 05:40:17.000000000 +1200
@@ -282,7 +282,7 @@
     if (check_time > entry->timestamp)
         age = check_time - entry->timestamp;
 
-    // FIXME: what to do when age < 0 or counter overflow?
+    // XXX: what to do when age < 0 or counter overflow?
     assert(age >= 0);
 
     /* We need a refresh rule. In order of preference:
diff -u -r -N squid-5.0.3/src/ResolvedPeers.cc squid-5.0.4/src/ResolvedPeers.cc
--- squid-5.0.3/src/ResolvedPeers.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/ResolvedPeers.cc	2020-08-23 05:40:17.000000000 +1200
@@ -20,25 +20,20 @@
 }
 
 void
-ResolvedPeers::retryPath(const Comm::ConnectionPointer &path)
+ResolvedPeers::reinstatePath(const PeerConnectionPointer &path)
 {
     debugs(17, 4, path);
     assert(path);
-    // Cannot use pathsToSkip for a faster (reverse) search because there
-    // may be unavailable paths past pathsToSkip. We could remember
-    // the last extraction index, but, to completely avoid a linear search,
-    // extract*() methods should return the path index.
-    const auto found = std::find_if(paths_.begin(), paths_.end(),
-    [path](const ResolvedPeerPath &candidate) {
-        return candidate.connection == path; // (refcounted) pointer comparison
-    });
-    assert(found != paths_.end());
-    assert(!found->available);
-    found->available = true;
+
+    const auto pos = path.position_;
+    assert(pos < paths_.size());
+
+    assert(!paths_[pos].available);
+    paths_[pos].available = true;
     increaseAvailability();
 
     // if we restored availability of a path that we used to skip, update
-    const auto pathsToTheLeft = static_cast<size_type>(found - paths_.begin());
+    const auto pathsToTheLeft = pos;
     if (pathsToTheLeft < pathsToSkip) {
         pathsToSkip = pathsToTheLeft;
     } else {
@@ -76,8 +71,8 @@
 {
     const auto path = start();
     const auto foundNextOrSpare = path != paths_.end() &&
-        (currentPeer.getPeer() != path->connection->getPeer() || // next peer
-            ConnectionFamily(currentPeer) != ConnectionFamily(*path->connection));
+                                  (currentPeer.getPeer() != path->connection->getPeer() || // next peer
+                                   ConnectionFamily(currentPeer) != ConnectionFamily(*path->connection));
     return makeFinding(path, foundNextOrSpare);
 }
 
@@ -98,7 +93,7 @@
         return false;
     });
     const auto foundNext = path != paths_.end() &&
-        primePeer != path->connection->getPeer();
+                           primePeer != path->connection->getPeer();
     return makeFinding(path, foundNext);
 }
 
@@ -108,18 +103,18 @@
 {
     const auto path = start();
     const auto foundNext = path != paths_.end() &&
-        currentPeer.getPeer() != path->connection->getPeer();
+                           currentPeer.getPeer() != path->connection->getPeer();
     return makeFinding(path, foundNext);
 }
 
-Comm::ConnectionPointer
+PeerConnectionPointer
 ResolvedPeers::extractFront()
 {
     Must(!empty());
     return extractFound("first: ", start());
 }
 
-Comm::ConnectionPointer
+PeerConnectionPointer
 ResolvedPeers::extractPrime(const Comm::Connection &currentPeer)
 {
     const auto found = findPrime(currentPeer).first;
@@ -130,7 +125,7 @@
     return nullptr;
 }
 
-Comm::ConnectionPointer
+PeerConnectionPointer
 ResolvedPeers::extractSpare(const Comm::Connection &currentPeer)
 {
     const auto found = findSpare(currentPeer).first;
@@ -142,7 +137,7 @@
 }
 
 /// convenience method to finish a successful extract*() call
-Comm::ConnectionPointer
+PeerConnectionPointer
 ResolvedPeers::extractFound(const char *description, const Paths::iterator &found)
 {
     auto &path = *found;
@@ -156,7 +151,8 @@
         while (++pathsToSkip < paths_.size() && !paths_[pathsToSkip].available) {}
     }
 
-    return path.connection;
+    const auto cleanPath = path.connection->cloneDestinationDetails();
+    return PeerConnectionPointer(cleanPath, found - paths_.begin());
 }
 
 bool
@@ -227,3 +223,20 @@
     return os << peers.size() << (peers.destinationsFinalized ? "" : "+") << " paths";
 }
 
+/* PeerConnectionPointer */
+
+void
+PeerConnectionPointer::print(std::ostream &os) const
+{
+    // We should see no combinations of a nil connection and a set position
+    // because assigning nullptr (to our smart pointer) naturally erases both
+    // fields. We report such unexpected combinations for debugging sake, but do
+    // not complicate this code to report them beautifully.
+
+    if (connection_)
+        os << connection_;
+
+    if (position_ != npos)
+        os << " @" << position_;
+}
+
diff -u -r -N squid-5.0.3/src/ResolvedPeers.h squid-5.0.4/src/ResolvedPeers.h
--- squid-5.0.3/src/ResolvedPeers.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/ResolvedPeers.h	2020-08-23 05:40:17.000000000 +1200
@@ -13,6 +13,7 @@
 #include "comm/forward.h"
 
 #include <iosfwd>
+#include <limits>
 #include <utility>
 
 class ResolvedPeerPath
@@ -24,6 +25,8 @@
     bool available; ///< whether this path may be used (i.e., has not been tried already)
 };
 
+class PeerConnectionPointer;
+
 /// cache_peer and origin server addresses (a.k.a. paths)
 /// selected and resolved by the peering code
 class ResolvedPeers: public RefCountable
@@ -44,19 +47,20 @@
     /// add a candidate path to try after all the existing paths
     void addPath(const Comm::ConnectionPointer &);
 
-    /// re-inserts the previously extracted address into the same position
-    void retryPath(const Comm::ConnectionPointer &);
+    /// makes the previously extracted path available for extraction at its
+    /// original position
+    void reinstatePath(const PeerConnectionPointer &);
 
     /// extracts and returns the first queued address
-    Comm::ConnectionPointer extractFront();
+    PeerConnectionPointer extractFront();
 
     /// extracts and returns the first same-peer same-family address
     /// \returns nil if it cannot find the requested address
-    Comm::ConnectionPointer extractPrime(const Comm::Connection &currentPeer);
+    PeerConnectionPointer extractPrime(const Comm::Connection &currentPeer);
 
     /// extracts and returns the first same-peer different-family address
     /// \returns nil if it cannot find the requested address
-    Comm::ConnectionPointer extractSpare(const Comm::Connection &currentPeer);
+    PeerConnectionPointer extractSpare(const Comm::Connection &currentPeer);
 
     /// whether extractSpare() would return a non-nil path right now
     bool haveSpare(const Comm::Connection &currentPeer);
@@ -91,7 +95,7 @@
     Finding findSpare(const Comm::Connection &currentPeer);
     Finding findPrime(const Comm::Connection &currentPeer);
     Finding findPeer(const Comm::Connection &currentPeer);
-    Comm::ConnectionPointer extractFound(const char *description, const Paths::iterator &found);
+    PeerConnectionPointer extractFound(const char *description, const Paths::iterator &found);
     Finding makeFinding(const Paths::iterator &found, bool foundOther);
 
     bool doneWith(const Finding &findings) const;
@@ -110,8 +114,53 @@
     size_type availablePaths = 0;
 };
 
+/// An invasive reference-counting Comm::Connection pointer that also keeps an
+/// (optional) ResolvedPeers position for the ResolvedPeers::reinstatePath() usage.
+/// Reference counting mechanism is compatible with Comm::ConnectionPointer.
+class PeerConnectionPointer
+{
+public:
+    using size_type = ResolvedPeers::size_type;
+
+    PeerConnectionPointer() = default;
+    PeerConnectionPointer(std::nullptr_t): PeerConnectionPointer() {} ///< implicit nullptr conversion
+    PeerConnectionPointer(const Comm::ConnectionPointer &conn, const size_type pos): connection_(conn), position_(pos) {}
+
+    /* read-only pointer API; for Connection assignment, see finalize() */
+    explicit operator bool() const { return static_cast<bool>(connection_); }
+    Comm::Connection *operator->() const { assert(connection_); return connection_.getRaw(); }
+    Comm::Connection &operator *() const { assert(connection_); return *connection_; }
+
+    /// convenience conversion to Comm::ConnectionPointer
+    operator const Comm::ConnectionPointer&() const { return connection_; }
+
+    /// upgrade stored peer selection details with a matching actual connection
+    void finalize(const Comm::ConnectionPointer &conn) { connection_ = conn; }
+
+    /// debugging dump
+    void print(std::ostream &) const;
+
+private:
+    /// non-existent position for nil connection
+    static constexpr auto npos = std::numeric_limits<size_type>::max();
+
+    /// half-baked, open, failed, or closed Comm::Connection (or nil)
+    Comm::ConnectionPointer connection_;
+
+    /// ResolvedPeers-maintained membership index (or npos)
+    size_type position_ = npos;
+    friend class ResolvedPeers;
+};
+
 /// summarized ResolvedPeers (for debugging)
 std::ostream &operator <<(std::ostream &, const ResolvedPeers &);
 
+inline std::ostream &
+operator <<(std::ostream &os, const PeerConnectionPointer &dest)
+{
+    dest.print(os);
+    return os;
+}
+
 #endif /* SQUID_RESOLVEDPEERS_H */
 
diff -u -r -N squid-5.0.3/src/security/cert_generators/helpers.m4 squid-5.0.4/src/security/cert_generators/helpers.m4
--- squid-5.0.3/src/security/cert_generators/helpers.m4	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/security/cert_generators/helpers.m4	2020-08-23 05:40:17.000000000 +1200
@@ -8,7 +8,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_security_cert_generators list containing double entries.
+# TODO: de-duplicate $enable_security_cert_generators list containing double entries.
 
 #define list of modules to build
 auto_security_modules=no
diff -u -r -N squid-5.0.3/src/security/cert_validators/fake/security_fake_certverify.8 squid-5.0.4/src/security/cert_validators/fake/security_fake_certverify.8
--- squid-5.0.3/src/security/cert_validators/fake/security_fake_certverify.8	2020-06-09 19:09:23.000000000 +1200
+++ squid-5.0.4/src/security/cert_validators/fake/security_fake_certverify.8	2020-08-23 05:50:07.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "SECURITY_FAKE_CERTVERIFY 8"
-.TH SECURITY_FAKE_CERTVERIFY 8 "2020-06-09" "perl v5.30.3" "User Contributed Perl Documentation"
+.TH SECURITY_FAKE_CERTVERIFY 8 "2020-08-22" "perl v5.30.3" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-5.0.3/src/security/cert_validators/fake/security_fake_certverify.pl.in squid-5.0.4/src/security/cert_validators/fake/security_fake_certverify.pl.in
--- squid-5.0.3/src/security/cert_validators/fake/security_fake_certverify.pl.in	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/security/cert_validators/fake/security_fake_certverify.pl.in	2020-08-23 05:40:17.000000000 +1200
@@ -116,7 +116,7 @@
         my @responseErrors = ();
 
         while($readlen < $bodylen) {
-	    my $t = <>;
+            my $t = <>;
             if (defined $t) {
                 $body  = $body . $t;
                 $readlen = length($body);
@@ -142,16 +142,16 @@
             print(STDERR logPrefix()."\tFOUND cert ".$key.": ".$certs{$key}->subject() . "\n") if ($debug);
         }
 
-        #got the peer certificate ID. Assume that the peer certificate is the first one.
+#got the peer certificate ID. Assume that the peer certificate is the first one.
         my $peerCertId = (keys %certs)[0];
 
-        # Echo back the errors: fill the responseErrors array  with the errors we read.
+ # Echo back the errors: fill the responseErrors array  with the errors we read.
         foreach my $err (keys %errors) {
             $haserror = 1;
-            appendError (\@responseErrors, 
-                         $errors{$err}{"name"}, #The error name
-                         "Checked by Cert Validator", # An error reason
-                         $errors{$err}{"cert"} # The cert ID. We are always filling with the peer certificate.
+            appendError (\@responseErrors,
+                $errors{$err}{"name"}, #The error name
+                "Checked by Cert Validator", # An error reason
+                $errors{$err}{"cert"} # The cert ID. We are always filling with the peer certificate.
                 );
         }
 
@@ -250,5 +250,5 @@
 
 sub logPrefix
 {
-  return strftime("%Y/%m/%d %H:%M:%S.0", localtime)." ".$0." ".$$." | " ;
+    return strftime("%Y/%m/%d %H:%M:%S.0", localtime)." ".$0." ".$$." | " ;
 }
diff -u -r -N squid-5.0.3/src/security/cert_validators/helpers.m4 squid-5.0.4/src/security/cert_validators/helpers.m4
--- squid-5.0.3/src/security/cert_validators/helpers.m4	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/security/cert_validators/helpers.m4	2020-08-23 05:40:17.000000000 +1200
@@ -8,7 +8,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_security_cert_validators list containing double entries.
+# TODO: de-duplicate $enable_security_cert_validators list containing double entries.
 
 #define list of modules to build
 auto_security_certv_modules=no
diff -u -r -N squid-5.0.3/src/security/forward.h squid-5.0.4/src/security/forward.h
--- squid-5.0.3/src/security/forward.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/security/forward.h	2020-08-23 05:40:17.000000000 +1200
@@ -49,6 +49,7 @@
 #define SSL_FLAG_NO_SESSION_REUSE   (1<<4)
 #define SSL_FLAG_VERIFY_CRL         (1<<5)
 #define SSL_FLAG_VERIFY_CRL_ALL     (1<<6)
+#define SSL_FLAG_CONDITIONAL_AUTH   (1<<7)
 
 /// Network/connection security abstraction layer
 namespace Security
@@ -136,6 +137,11 @@
 class ParsedOptions {}; // we never parse/use TLS options in this case
 #endif
 
+/// bitmask representing configured http(s)_port `sslflags`
+/// as well tls_outgoing_options `flags`, cache_peer `sslflags`, and
+/// icap_service `tls-flags`
+typedef long ParsedPortFlags;
+
 class PeerConnector;
 class PeerOptions;
 
diff -u -r -N squid-5.0.3/src/security/Handshake.cc squid-5.0.4/src/security/Handshake.cc
--- squid-5.0.3/src/security/Handshake.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/security/Handshake.cc	2020-08-23 05:40:17.000000000 +1200
@@ -9,6 +9,7 @@
 /* DEBUG: section 83    SSL-Bump Server/Peer negotiation */
 
 #include "squid.h"
+#include "sbuf/Stream.h"
 #include "security/Handshake.h"
 #if USE_OPENSSL
 #include "ssl/support.h"
@@ -104,25 +105,52 @@
 typedef std::unordered_set<Extension::Type> Extensions;
 static Extensions SupportedExtensions();
 
-} // namespace Security
-
 /// parse TLS ProtocolVersion (uint16) and convert it to AnyP::ProtocolVersion
+/// \retval PROTO_NONE for unsupported values (in relaxed mode)
 static AnyP::ProtocolVersion
-ParseProtocolVersion(Parser::BinaryTokenizer &tk, const char *contextLabel = ".version")
+ParseProtocolVersionBase(Parser::BinaryTokenizer &tk, const char *contextLabel, const bool beStrict)
 {
     Parser::BinaryTokenizerContext context(tk, contextLabel);
     uint8_t vMajor = tk.uint8(".major");
     uint8_t vMinor = tk.uint8(".minor");
+
     if (vMajor == 0 && vMinor == 2)
         return AnyP::ProtocolVersion(AnyP::PROTO_SSL, 2, 0);
 
-    Must(vMajor == 3);
-    if (vMinor == 0)
-        return AnyP::ProtocolVersion(AnyP::PROTO_SSL, 3, 0);
+    if (vMajor == 3) {
+        if (vMinor == 0)
+            return AnyP::ProtocolVersion(AnyP::PROTO_SSL, 3, 0);
+        return AnyP::ProtocolVersion(AnyP::PROTO_TLS, 1, (vMinor - 1));
+    }
+
+    /* handle unsupported versions */
+
+    const uint16_t vRaw = (vMajor << 8) | vMinor;
+    debugs(83, 7, "unsupported: " << asHex(vRaw));
+    if (beStrict)
+        throw TextException(ToSBuf("unsupported TLS version: ", asHex(vRaw)), Here());
+    // else hide unsupported version details from the caller behind PROTO_NONE
+    return AnyP::ProtocolVersion();
+}
+
+/// parse a framing-related TLS ProtocolVersion
+/// \returns a supported SSL or TLS Anyp::ProtocolVersion, never PROTO_NONE
+static AnyP::ProtocolVersion
+ParseProtocolVersion(Parser::BinaryTokenizer &tk)
+{
+    return ParseProtocolVersionBase(tk, ".version", true);
+}
 
-    return AnyP::ProtocolVersion(AnyP::PROTO_TLS, 1, (vMinor - 1));
+/// parse a framing-unrelated TLS ProtocolVersion
+/// \retval PROTO_NONE for unsupported values
+static AnyP::ProtocolVersion
+ParseOptionalProtocolVersion(Parser::BinaryTokenizer &tk, const char *contextLabel)
+{
+    return ParseProtocolVersionBase(tk, contextLabel, false);
 }
 
+} // namespace Security
+
 Security::TLSPlaintext::TLSPlaintext(Parser::BinaryTokenizer &tk)
 {
     Parser::BinaryTokenizerContext context(tk, "TLSPlaintext");
@@ -431,6 +459,8 @@
             break;
         case 16: { // Application-Layer Protocol Negotiation Extension, RFC 7301
             Parser::BinaryTokenizer tkAPN(extension.data);
+            // Store the entire protocol list, including unsupported-by-Squid
+            // values (if any). We have to use all when peeking at the server.
             details->tlsAppLayerProtoNeg = tkAPN.pstring16("APN");
             break;
         }
@@ -441,8 +471,9 @@
         case 43: // supported_versions extension; RFC 8446
             parseSupportedVersionsExtension(extension.data);
             break;
-        case 13172: // Next Protocol Negotiation Extension (expired draft?)
         default:
+            // other extensions, including those that Squid does not support, do
+            // not require special handling here, but see unsupportedExtensions
             break;
         }
     }
@@ -455,7 +486,7 @@
     Parser::BinaryTokenizer tk(raw);
     while (!tk.atEnd()) {
         const uint16_t cipher = tk.uint16("cipher");
-        details->ciphers.insert(cipher);
+        details->ciphers.insert(cipher); // including Squid-unsupported ones
     }
 }
 
@@ -473,7 +504,7 @@
         const uint8_t prefix = tk.uint8("prefix");
         const uint16_t cipher = tk.uint16("cipher");
         if (prefix == 0)
-            details->ciphers.insert(cipher);
+            details->ciphers.insert(cipher); // including Squid-unsupported ones
     }
 }
 
@@ -486,6 +517,7 @@
     details->tlsSupportedVersion = ParseProtocolVersion(tk);
     tk.skip(HelloRandomSize, ".random");
     details->sessionId = tk.pstring8(".session_id");
+    // cipherSuite may be unsupported by a peeking Squid
     details->ciphers.insert(tk.uint16(".cipher_suite"));
     details->compressionSupported = tk.uint8(".compression_method") != 0; // not null
     if (!tk.atEnd()) // extensions present
@@ -554,12 +586,15 @@
         Parser::BinaryTokenizer tkList(extensionData);
         Parser::BinaryTokenizer tkVersions(tkList.pstring8("SupportedVersions"));
         while (!tkVersions.atEnd()) {
-            const auto version = ParseProtocolVersion(tkVersions, "supported_version");
+            const auto version = ParseOptionalProtocolVersion(tkVersions, "supported_version");
+            // ignore values unsupported by Squid,represented by a falsy version
+            if (!version)
+                continue;
             if (!supportedVersionMax || TlsVersionEarlierThan(supportedVersionMax, version))
                 supportedVersionMax = version;
         }
 
-        // ignore empty supported_versions
+        // ignore empty and ignored-values-only supported_versions
         if (!supportedVersionMax)
             return;
 
@@ -569,7 +604,11 @@
     } else {
         assert(messageSource == fromServer);
         Parser::BinaryTokenizer tkVersion(extensionData);
-        const auto version = ParseProtocolVersion(tkVersion, "selected_version");
+        const auto version = ParseOptionalProtocolVersion(tkVersion, "selected_version");
+        // Ignore values unsupported by Squid. There should not be any until we
+        // start seeing TLS v2+, but they do not affect TLS framing anyway.
+        if (!version)
+            return;
         // RFC 8446 Section 4.2.1:
         // A server which negotiates a version of TLS prior to TLS 1.3 [...]
         // MUST NOT send the "supported_versions" extension.
diff -u -r -N squid-5.0.3/src/security/PeerOptions.cc squid-5.0.4/src/security/PeerOptions.cc
--- squid-5.0.3/src/security/PeerOptions.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/security/PeerOptions.cc	2020-08-23 05:40:17.000000000 +1200
@@ -19,6 +19,8 @@
 #include "ssl/support.h"
 #endif
 
+#include <bitset>
+
 Security::PeerOptions Security::ProxyOutgoingConfig;
 
 Security::PeerOptions::PeerOptions()
@@ -539,7 +541,7 @@
 /**
  * Parses the TLS flags squid.conf parameter
  */
-long
+Security::ParsedPortFlags
 Security::PeerOptions::parseFlags()
 {
     if (sslFlags.isEmpty())
@@ -547,11 +549,12 @@
 
     static struct {
         SBuf label;
-        long mask;
+        ParsedPortFlags mask;
     } flagTokens[] = {
         { SBuf("NO_DEFAULT_CA"), SSL_FLAG_NO_DEFAULT_CA },
         { SBuf("DELAYED_AUTH"), SSL_FLAG_DELAYED_AUTH },
         { SBuf("DONT_VERIFY_PEER"), SSL_FLAG_DONT_VERIFY_PEER },
+        { SBuf("CONDITIONAL_AUTH"), SSL_FLAG_CONDITIONAL_AUTH },
         { SBuf("DONT_VERIFY_DOMAIN"), SSL_FLAG_DONT_VERIFY_DOMAIN },
         { SBuf("NO_SESSION_REUSE"), SSL_FLAG_NO_SESSION_REUSE },
 #if X509_V_FLAG_CRL_CHECK
@@ -564,10 +567,11 @@
     ::Parser::Tokenizer tok(sslFlags);
     static const CharacterSet delims("Flag-delimiter", ":,");
 
-    long fl = 0;
+    ParsedPortFlags fl = 0;
     do {
-        long found = 0;
+        ParsedPortFlags found = 0;
         for (size_t i = 0; flagTokens[i].mask; ++i) {
+            // XXX: skips FOO in FOOBAR, missing merged flags and trailing typos
             if (tok.skip(flagTokens[i].label)) {
                 found = flagTokens[i].mask;
                 break;
@@ -584,6 +588,18 @@
             fl |= found;
     } while (tok.skipOne(delims));
 
+    const auto mutuallyExclusive =
+        SSL_FLAG_DONT_VERIFY_PEER|
+        SSL_FLAG_DELAYED_AUTH|
+        SSL_FLAG_CONDITIONAL_AUTH;
+    typedef std::bitset<sizeof(decltype(fl))> ParsedPortFlagBits;
+    if (ParsedPortFlagBits(fl & mutuallyExclusive).count() > 1) {
+        if (fl & SSL_FLAG_CONDITIONAL_AUTH)
+            throw TextException("CONDITIONAL_AUTH is not compatible with NO_DEFAULT_CA and DELAYED_AUTH flags", Here());
+        debugs(83, DBG_PARSE_NOTE(DBG_IMPORTANT), "WARNING: Mixtures of incompatible TLS flags" <<
+               " are deprecated and will become a fatal configuration error");
+    }
+
     return fl;
 }
 
diff -u -r -N squid-5.0.3/src/security/PeerOptions.h squid-5.0.4/src/security/PeerOptions.h
--- squid-5.0.3/src/security/PeerOptions.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/security/PeerOptions.h	2020-08-23 05:40:17.000000000 +1200
@@ -11,6 +11,7 @@
 
 #include "base/YesNoNone.h"
 #include "ConfigParser.h"
+#include "security/forward.h"
 #include "security/KeyData.h"
 
 class Packable;
@@ -69,7 +70,7 @@
     virtual void dumpCfg(Packable *, const char *pfx) const;
 
 private:
-    long parseFlags();
+    ParsedPortFlags parseFlags();
     void loadCrlFile();
     void loadKeysFile();
 
@@ -97,7 +98,7 @@
     bool optsReparse = true;
 
 public:
-    long parsedFlags = 0;   ///< parsed value of sslFlags
+    ParsedPortFlags parsedFlags = 0; ///< parsed value of sslFlags
 
     std::list<Security::KeyData> certs; ///< details from the cert= and file= config parameters
     std::list<SBuf> caFiles;  ///< paths of files containing trusted Certificate Authority
diff -u -r -N squid-5.0.3/src/security/ServerOptions.cc squid-5.0.4/src/security/ServerOptions.cc
--- squid-5.0.3/src/security/ServerOptions.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/security/ServerOptions.cc	2020-08-23 05:40:17.000000000 +1200
@@ -430,20 +430,13 @@
             return;
         }
 
-        if (parsedFlags & SSL_FLAG_DELAYED_AUTH) {
-            debugs(83, 9, "Not requesting client certificates until acl processing requires one");
-            SSL_CTX_set_verify(ctx.get(), SSL_VERIFY_NONE, nullptr);
-        } else {
-            debugs(83, 9, "Requiring client certificates.");
-            Ssl::SetupVerifyCallback(ctx);
-        }
+        Ssl::ConfigurePeerVerification(ctx, parsedFlags);
 
         updateContextCrl(ctx);
         updateContextTrust(ctx);
 
     } else {
-        debugs(83, 9, "Not requiring any client certificates");
-        SSL_CTX_set_verify(ctx.get(), SSL_VERIFY_NONE, NULL);
+        Ssl::DisablePeerVerification(ctx);
     }
 #endif
 }
diff -u -r -N squid-5.0.3/src/servers/Http1Server.cc squid-5.0.4/src/servers/Http1Server.cc
--- squid-5.0.3/src/servers/Http1Server.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/servers/Http1Server.cc	2020-08-23 05:40:17.000000000 +1200
@@ -233,6 +233,17 @@
     clientProcessRequest(this, parser_, context.getRaw());
 }
 
+int
+Http::One::Server::pipelinePrefetchMax() const
+{
+    const auto context = pipeline.back();
+    const auto request = (context && context->http) ? context->http->request : nullptr;
+    if (request && request->header.has(Http::HdrType::UPGRADE))
+        return 0;
+
+    return ConnStateData::pipelinePrefetchMax();
+}
+
 void
 Http::One::Server::processParsedRequest(Http::StreamPointer &context)
 {
@@ -335,12 +346,26 @@
 
     const ClientHttpRequest *http = context->http;
 
+    // remember Upgrade header; removeHopByHopEntries() will remove it
+    String upgradeHeader;
+    const auto switching = (rep->sline.status() == Http::scSwitchingProtocols);
+    if (switching)
+        upgradeHeader = rep->header.getList(Http::HdrType::UPGRADE);
+
     // apply selected clientReplyContext::buildReplyHeader() mods
     // it is not clear what headers are required for control messages
     rep->header.removeHopByHopEntries();
     // paranoid: ContentLengthInterpreter has cleaned non-generated replies
     rep->removeIrrelevantContentLength();
-    rep->header.putStr(Http::HdrType::CONNECTION, "keep-alive");
+
+    if (switching && /* paranoid: */ upgradeHeader.size()) {
+        rep->header.putStr(Http::HdrType::UPGRADE, upgradeHeader.termedBuf());
+        rep->header.putStr(Http::HdrType::CONNECTION, "upgrade");
+        // keep-alive is redundant, breaks some 101 (Switching Protocols) recipients
+    } else {
+        rep->header.putStr(Http::HdrType::CONNECTION, "keep-alive");
+    }
+
     httpHdrMangleList(&rep->header, http->request, http->al, ROR_REPLY);
 
     MemBuf *mb = rep->pack();
@@ -354,6 +379,24 @@
     return true;
 }
 
+void switchToTunnel(HttpRequest *request, const Comm::ConnectionPointer &clientConn, const Comm::ConnectionPointer &srvConn, const SBuf &preReadServerData);
+
+void
+Http::One::Server::noteTakeServerConnectionControl(ServerConnectionContext server)
+{
+    const auto context = pipeline.front();
+    assert(context);
+    const auto http = context->http;
+    assert(http);
+    assert(http->request);
+
+    stopReading();
+    Must(!writer);
+
+    switchToTunnel(http->request, clientConnection,
+                   server.connection(), server.preReadServerBytes);
+}
+
 ConnStateData *
 Http::NewServer(MasterXactionPointer &xact)
 {
diff -u -r -N squid-5.0.3/src/servers/Http1Server.h squid-5.0.4/src/servers/Http1Server.h
--- squid-5.0.3/src/servers/Http1Server.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/servers/Http1Server.h	2020-08-23 05:40:17.000000000 +1200
@@ -33,7 +33,9 @@
     virtual void processParsedRequest(Http::StreamPointer &context);
     virtual void handleReply(HttpReply *rep, StoreIOBuffer receivedData);
     virtual bool writeControlMsgAndCall(HttpReply *rep, AsyncCall::Pointer &call);
+    virtual int pipelinePrefetchMax() const;
     virtual time_t idleTimeout() const;
+    virtual void noteTakeServerConnectionControl(ServerConnectionContext);
 
     /* BodyPipe API */
     virtual void noteMoreBodySpaceAvailable(BodyPipe::Pointer);
diff -u -r -N squid-5.0.3/src/snmp_agent.cc squid-5.0.4/src/snmp_agent.cc
--- squid-5.0.3/src/snmp_agent.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/snmp_agent.cc	2020-08-23 05:40:17.000000000 +1200
@@ -208,7 +208,7 @@
     }
 
     switch (Var->name[LEN_SQ_MESH + 2]) {
-    case MESH_PTBL_INDEX: { // FIXME INET6: Should be visible?
+    case MESH_PTBL_INDEX: { // XXX: Should be visible?
         Answer = snmp_var_new_integer(Var->name, Var->name_length,
                                       (snint)p->index, SMI_INTEGER);
     }
diff -u -r -N squid-5.0.3/src/SquidConfig.h squid-5.0.4/src/SquidConfig.h
--- squid-5.0.3/src/SquidConfig.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/SquidConfig.h	2020-08-23 05:40:17.000000000 +1200
@@ -47,6 +47,7 @@
 class HeaderManglers;
 class RefreshPattern;
 class RemovalPolicySettings;
+class HttpUpgradeProtocolAccess;
 
 namespace AnyP
 {
@@ -238,7 +239,7 @@
         Ip::Address snmp_incoming;
         Ip::Address snmp_outgoing;
 #endif
-        /* FIXME INET6 : this should really be a CIDR value */
+        // TODO: this should really be a CIDR value
         Ip::Address client_netmask;
     } Addrs;
     size_t tcpRcvBufsz;
@@ -474,6 +475,8 @@
     HeaderWithAclList *request_header_add;
     ///reply_header_add access list
     HeaderWithAclList *reply_header_add;
+    /// http_upgrade_request_protocols
+    HttpUpgradeProtocolAccess *http_upgrade_request_protocols;
     ///note
     Notes notes;
     char *coredump_dir;
diff -u -r -N squid-5.0.3/src/SquidTime.h squid-5.0.4/src/SquidTime.h
--- squid-5.0.3/src/SquidTime.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/SquidTime.h	2020-08-23 05:40:17.000000000 +1200
@@ -56,6 +56,47 @@
     virtual void tick();
 };
 
+// TODO: Remove direct timercmp() calls in legacy code.
+
+inline bool
+operator <(const timeval &a, const timeval &b)
+{
+    return timercmp(&a, &b, <);
+}
+
+inline bool
+operator >(const timeval &a, const timeval &b)
+{
+    return timercmp(&a, &b, >);
+}
+
+inline bool
+operator !=(const timeval &a, const timeval &b)
+{
+    return timercmp(&a, &b, !=);
+}
+
+// Operators for timeval below avoid timercmp() because Linux timeradd(3) manual
+// page says that their timercmp() versions "do not work" on some platforms.
+
+inline bool
+operator <=(const timeval &a, const timeval &b)
+{
+    return !(a > b);
+}
+
+inline bool
+operator >=(const timeval &a, const timeval &b)
+{
+    return !(a < b);
+}
+
+inline bool
+operator ==(const timeval &a, const timeval &b)
+{
+    return !(a != b);
+}
+
 namespace Time
 {
 
diff -u -r -N squid-5.0.3/src/ssl/bio.cc squid-5.0.4/src/ssl/bio.cc
--- squid-5.0.3/src/ssl/bio.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/ssl/bio.cc	2020-08-23 05:40:17.000000000 +1200
@@ -559,7 +559,7 @@
 Ssl::ServerBio::encryptedCertificates() const
 {
     return parser_.details->tlsSupportedVersion &&
-        Security::Tls1p3orLater(parser_.details->tlsSupportedVersion);
+           Security::Tls1p3orLater(parser_.details->tlsSupportedVersion);
 }
 
 /// initializes BIO table after allocation
diff -u -r -N squid-5.0.3/src/ssl/PeekingPeerConnector.cc squid-5.0.4/src/ssl/PeekingPeerConnector.cc
--- squid-5.0.3/src/ssl/PeekingPeerConnector.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/ssl/PeekingPeerConnector.cc	2020-08-23 05:40:17.000000000 +1200
@@ -23,7 +23,7 @@
 
 CBDATA_NAMESPACED_CLASS_INIT(Ssl, PeekingPeerConnector);
 
-void switchToTunnel(HttpRequest *request, Comm::ConnectionPointer & clientConn, Comm::ConnectionPointer &srvConn);
+void switchToTunnel(HttpRequest *request, const Comm::ConnectionPointer &clientConn, const Comm::ConnectionPointer &srvConn, const SBuf &preReadServerData);
 
 void
 Ssl::PeekingPeerConnector::cbCheckForPeekAndSpliceDone(Acl::Answer answer, void *data)
@@ -252,13 +252,29 @@
                 bail(new ErrorState(ERR_GATEWAY_FAILURE, Http::scInternalServerError, request.getRaw(), al));
                 throw TextException("from-client connection gone", Here());
             }
-            switchToTunnel(request.getRaw(), clientConn, serverConn);
-            tunnelInsteadOfNegotiating();
+            startTunneling();
         }
     }
 }
 
 void
+Ssl::PeekingPeerConnector::startTunneling()
+{
+    // switchToTunnel() drains any already buffered from-server data (rBufData)
+    fd_table[serverConn->fd].useDefaultIo();
+    // tunnelStartShoveling() drains any buffered from-client data (inBuf)
+    fd_table[clientConn->fd].useDefaultIo();
+
+    // TODO: Encapsulate this frequently repeated logic into a method.
+    const auto session = fd_table[serverConn->fd].ssl;
+    auto b = SSL_get_rbio(session.get());
+    auto srvBio = static_cast<Ssl::ServerBio*>(BIO_get_data(b));
+
+    switchToTunnel(request.getRaw(), clientConn, serverConn, srvBio->rBufData());
+    tunnelInsteadOfNegotiating();
+}
+
+void
 Ssl::PeekingPeerConnector::noteWantWrite()
 {
     const int fd = serverConnection()->fd;
diff -u -r -N squid-5.0.3/src/ssl/PeekingPeerConnector.h squid-5.0.4/src/ssl/PeekingPeerConnector.h
--- squid-5.0.3/src/ssl/PeekingPeerConnector.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/ssl/PeekingPeerConnector.h	2020-08-23 05:40:17.000000000 +1200
@@ -63,6 +63,9 @@
     /// connection manager members
     void serverCertificateVerified();
 
+    /// Abruptly stops TLS negotiation and starts tunneling.
+    void startTunneling();
+
     /// A wrapper function for checkForPeekAndSpliceDone for use with acl
     static void cbCheckForPeekAndSpliceDone(Acl::Answer answer, void *data);
 
diff -u -r -N squid-5.0.3/src/ssl/support.cc squid-5.0.4/src/ssl/support.cc
--- squid-5.0.3/src/ssl/support.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/ssl/support.cc	2020-08-23 05:40:17.000000000 +1200
@@ -390,9 +390,37 @@
 }
 
 void
-Ssl::SetupVerifyCallback(Security::ContextPointer &ctx)
+Ssl::ConfigurePeerVerification(Security::ContextPointer &ctx, const Security::ParsedPortFlags flags)
 {
-    SSL_CTX_set_verify(ctx.get(), SSL_VERIFY_PEER | SSL_VERIFY_FAIL_IF_NO_PEER_CERT, ssl_verify_cb);
+    int mode;
+
+    // assume each flag is exclusive; flags creator must check this assumption
+    if (flags & SSL_FLAG_DONT_VERIFY_PEER) {
+        debugs(83, DBG_IMPORTANT, "SECURITY WARNING: Peer certificates are not verified for validity!");
+        debugs(83, DBG_IMPORTANT, "UPGRADE NOTICE: The DONT_VERIFY_PEER flag is deprecated. Remove the clientca= option to disable client certificates.");
+        mode = SSL_VERIFY_NONE;
+    }
+    else if (flags & SSL_FLAG_DELAYED_AUTH) {
+        debugs(83, DBG_PARSE_NOTE(3), "not requesting client certificates until ACL processing requires one");
+        mode = SSL_VERIFY_NONE;
+    }
+    else if (flags & SSL_FLAG_CONDITIONAL_AUTH) {
+        debugs(83, DBG_PARSE_NOTE(3), "will request the client certificate but ignore its absense");
+        mode = SSL_VERIFY_PEER;
+    }
+    else {
+        debugs(83, DBG_PARSE_NOTE(3), "Requiring client certificates.");
+        mode = SSL_VERIFY_PEER|SSL_VERIFY_FAIL_IF_NO_PEER_CERT;
+    }
+
+    SSL_CTX_set_verify(ctx.get(), mode, (mode != SSL_VERIFY_NONE) ? ssl_verify_cb : nullptr);
+}
+
+void
+Ssl::DisablePeerVerification(Security::ContextPointer &ctx)
+{
+    debugs(83, DBG_PARSE_NOTE(3), "Not requiring any client certificates");
+    SSL_CTX_set_verify(ctx.get(),SSL_VERIFY_NONE,nullptr);
 }
 
 // "dup" function for SSL_get_ex_new_index("cert_err_check")
@@ -528,7 +556,7 @@
 }
 
 bool
-Ssl::InitClientContext(Security::ContextPointer &ctx, Security::PeerOptions &peer, long fl)
+Ssl::InitClientContext(Security::ContextPointer &ctx, Security::PeerOptions &peer, Security::ParsedPortFlags fl)
 {
     if (!ctx)
         return false;
@@ -579,13 +607,7 @@
 
     MaybeSetupRsaCallback(ctx);
 
-    if (fl & SSL_FLAG_DONT_VERIFY_PEER) {
-        debugs(83, 2, "SECURITY WARNING: Peer certificates are not verified for validity!");
-        SSL_CTX_set_verify(ctx.get(), SSL_VERIFY_NONE, NULL);
-    } else {
-        debugs(83, 9, "Setting certificate verification callback.");
-        Ssl::SetupVerifyCallback(ctx);
-    }
+    Ssl::ConfigurePeerVerification(ctx, fl);
 
     return true;
 }
diff -u -r -N squid-5.0.3/src/ssl/support.h squid-5.0.4/src/ssl/support.h
--- squid-5.0.3/src/ssl/support.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/ssl/support.h	2020-08-23 05:40:17.000000000 +1200
@@ -83,10 +83,11 @@
 bool InitServerContext(Security::ContextPointer &, AnyP::PortCfg &);
 
 /// initialize a TLS client context with OpenSSL specific settings
-bool InitClientContext(Security::ContextPointer &, Security::PeerOptions &, long flags);
+bool InitClientContext(Security::ContextPointer &, Security::PeerOptions &, Security::ParsedPortFlags);
 
 /// set the certificate verify callback for a context
-void SetupVerifyCallback(Security::ContextPointer &);
+void ConfigurePeerVerification(Security::ContextPointer &, const Security::ParsedPortFlags);
+void DisablePeerVerification(Security::ContextPointer &);
 
 /// if required, setup callback for generating ephemeral RSA keys
 void MaybeSetupRsaCallback(Security::ContextPointer &);
diff -u -r -N squid-5.0.3/src/stat.cc squid-5.0.4/src/stat.cc
--- squid-5.0.3/src/stat.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/stat.cc	2020-08-23 05:40:17.000000000 +1200
@@ -1885,7 +1885,7 @@
     GENGRAPH(client_http.kbytes_in.kb, "client_http.kbytes_in", "Client HTTP kbytes_in/sec");
     GENGRAPH(client_http.kbytes_out.kb, "client_http.kbytes_out", "Client HTTP kbytes_out/sec");
 
-    /* XXX todo: http median service times */
+    // TODO: http median service times
 
     GENGRAPH(server.all.requests, "server.all.requests", "Server requests/sec");
     GENGRAPH(server.all.errors, "server.all.errors", "Server errors/sec");
@@ -1912,8 +1912,8 @@
     GENGRAPH(icp.kbytes_sent.kb, "icp.kbytes_sent", "ICP kbytes_sent/sec");
     GENGRAPH(icp.kbytes_recv.kb, "icp.kbytes_recv", "ICP kbytes_received/sec");
 
-    /* XXX todo: icp median service times */
-    /* XXX todo: dns median service times */
+    // TODO: icp median service times
+    // TODO: dns median service times
 
     GENGRAPH(unlink.requests, "unlink.requests", "Cache File unlink requests/sec");
     GENGRAPH(page_faults, "page_faults", "System Page Faults/sec");
diff -u -r -N squid-5.0.3/src/StatCounters.h squid-5.0.4/src/StatCounters.h
--- squid-5.0.3/src/StatCounters.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/StatCounters.h	2020-08-23 05:40:17.000000000 +1200
@@ -21,7 +21,7 @@
     int falseHits = 0;
     int trueMisses = 0;
     int falseMisses = 0;
-    int closeHits = 0;     /// \todo: temporary remove it later
+    int closeHits = 0;     // TODO: temporary. remove it later
 };
 #endif
 
diff -u -r -N squid-5.0.3/src/StatHist.h squid-5.0.4/src/StatHist.h
--- squid-5.0.3/src/StatHist.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/StatHist.h	2020-08-23 05:40:17.000000000 +1200
@@ -29,9 +29,9 @@
      * \note the default constructor doesn't fully initialize.
      *       you have to call one of the *init functions to specialize the
      *       histogram
-     * \todo merge functionality from the *init functions to the constructor and
+     * TODO: merge functionality from the *init functions to the constructor and
      *       drop these
-     * \todo specialize the class in a small hierarchy so that all
+     * TODO: specialize the class in a small hierarchy so that all
      *       relevant initializations are done at build-time
      */
     StatHist() = default;
diff -u -r -N squid-5.0.3/src/stmem.cc squid-5.0.4/src/stmem.cc
--- squid-5.0.3/src/stmem.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/stmem.cc	2020-08-23 05:40:17.000000000 +1200
@@ -215,7 +215,7 @@
     debugs (19, 0, "mem_hdr::debugDump: Current available data is: " << result.str() << ".");
 }
 
-/* FIXME: how do we deal with sparse results -
+/* XXX: how do we deal with sparse results -
  * where we have (say)
  * 0-500 and 1000-1500, but are asked for
  * 0-2000
diff -u -r -N squid-5.0.3/src/store/Controller.cc squid-5.0.4/src/store/Controller.cc
--- squid-5.0.3/src/store/Controller.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/store/Controller.cc	2020-08-23 05:40:17.000000000 +1200
@@ -278,7 +278,8 @@
 
     bool keepInStoreTable = false; // keep only if somebody needs it there
 
-    /* Notify the fs that we're not referencing this object any more */
+    // Notify the fs that we are not referencing this object any more. This
+    // should be done even if we overwrite keepInStoreTable afterwards.
 
     if (e.hasDisk())
         keepInStoreTable = swapDir->dereference(e) || keepInStoreTable;
@@ -296,6 +297,14 @@
             keepInStoreTable = wantsLocalMemory || keepInStoreTable;
     }
 
+    if (e.hittingRequiresCollapsing()) {
+        // If we were writing this now-locally-idle entry, then we did not
+        // finish and should now destroy an incomplete entry. Otherwise, do not
+        // leave this idle StoreEntry behind because handleIMSReply() lacks
+        // freshness checks when hitting a collapsed revalidation entry.
+        keepInStoreTable = false; // may overrule fs decisions made above
+    }
+
     return keepInStoreTable;
 }
 
@@ -321,6 +330,28 @@
     return swapDir->hasReadableEntry(e);
 }
 
+/// flags problematic entries before find() commits to finalizing/returning them
+void
+Store::Controller::checkFoundCandidate(const StoreEntry &entry) const
+{
+    checkTransients(entry);
+
+    // The "hittingRequiresCollapsing() has an active writer" checks below
+    // protect callers from getting stuck and/or from using a stale revalidation
+    // reply. However, these protections are not reliable because the writer may
+    // disappear at any time and/or without a trace. Collapsing adds risks...
+    if (entry.hittingRequiresCollapsing()) {
+        if (entry.hasTransients()) {
+            // Too late to check here because the writer may be gone by now, but
+            // Transients do check when they setCollapsingRequirement().
+        } else {
+            // a local writer must hold a lock on its writable entry
+            if (!(entry.locked() && entry.isAccepting()))
+                throw TextException("no local writer", Here());
+        }
+    }
+}
+
 StoreEntry *
 Store::Controller::find(const cache_key *key)
 {
@@ -328,7 +359,7 @@
         try {
             if (!entry->key)
                 allowSharing(*entry, key);
-            checkTransients(*entry);
+            checkFoundCandidate(*entry);
             entry->touch();
             referenceBusy(*entry);
             return entry;
@@ -351,6 +382,8 @@
     addReading(&entry, key);
 
     if (entry.hasTransients()) {
+        // store hadWriter before computing `found`; \see Transients::get()
+        const auto hadWriter = transients->hasWriter(entry);
         bool inSync = false;
         const bool found = anchorToCache(entry, inSync);
         if (found && !inSync)
@@ -362,7 +395,7 @@
                 throw TextException("transients entry missing ENTRY_REQUIRES_COLLAPSING", Here());
             }
 
-            if (!transients->hasWriter(entry)) {
+            if (!hadWriter) {
                 // prevent others from falling into the same trap
                 throw TextException("unattached transients entry missing writer", Here());
             }
diff -u -r -N squid-5.0.3/src/store/Controller.h squid-5.0.4/src/store/Controller.h
--- squid-5.0.3/src/store/Controller.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/store/Controller.h	2020-08-23 05:40:17.000000000 +1200
@@ -152,6 +152,7 @@
     bool keepForLocalMemoryCache(StoreEntry &e) const;
     bool anchorToCache(StoreEntry &e, bool &inSync);
     void checkTransients(const StoreEntry &) const;
+    void checkFoundCandidate(const StoreEntry &) const;
 
     Disks *swapDir; ///< summary view of all disk caches
     Memory *sharedMemStore; ///< memory cache that multiple workers can use
diff -u -r -N squid-5.0.3/src/store/Disk.h squid-5.0.4/src/store/Disk.h
--- squid-5.0.3/src/store/Disk.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/store/Disk.h	2020-08-23 05:40:17.000000000 +1200
@@ -38,7 +38,7 @@
 
     /**
      * Notify this disk that it is full.
-     \todo XXX move into a protected api call between store files and their stores, rather than a top level api call
+     * XXX move into a protected api call between store files and their stores, rather than a top level api call
      */
     virtual void diskFull();
 
diff -u -r -N squid-5.0.3/src/store/id_rewriters/file/storeid_file_rewrite.8 squid-5.0.4/src/store/id_rewriters/file/storeid_file_rewrite.8
--- squid-5.0.3/src/store/id_rewriters/file/storeid_file_rewrite.8	2020-06-09 19:09:21.000000000 +1200
+++ squid-5.0.4/src/store/id_rewriters/file/storeid_file_rewrite.8	2020-08-23 05:50:05.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "STOREID_FILE_REWRITE 8"
-.TH STOREID_FILE_REWRITE 8 "2020-06-09" "perl v5.30.3" "User Contributed Perl Documentation"
+.TH STOREID_FILE_REWRITE 8 "2020-08-22" "perl v5.30.3" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -157,7 +157,7 @@
 Column 1: Regular expression to match against the \s-1URL\s0
 Column 2: Rewrite rule to generate a Store-ID
 Eg:
-^http:\e/\e/[^\e.]+\e.dl\e.sourceforge\e.net\e/(.*)	http://dl.sourceforge.net.squid.internal/$1
+^http:\e/\e/[^\e.]+\e.dl\e.sourceforge\e.net\e/(.*)    http://dl.sourceforge.net.squid.internal/$1
 .PP
 Rewrite rules are matched in the same order as they appear in the rules file.
 So for best performance, sort it in order of frequency of occurrence.
diff -u -r -N squid-5.0.3/src/store/id_rewriters/file/storeid_file_rewrite.pl.in squid-5.0.4/src/store/id_rewriters/file/storeid_file_rewrite.pl.in
--- squid-5.0.3/src/store/id_rewriters/file/storeid_file_rewrite.pl.in	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/store/id_rewriters/file/storeid_file_rewrite.pl.in	2020-08-23 05:40:17.000000000 +1200
@@ -24,7 +24,7 @@
 Column 1: Regular expression to match against the URL
 Column 2: Rewrite rule to generate a Store-ID
 Eg:
-^http:\/\/[^\.]+\.dl\.sourceforge\.net\/(.*)	http://dl.sourceforge.net.squid.internal/$1
+^http:\/\/[^\.]+\.dl\.sourceforge\.net\/(.*)    http://dl.sourceforge.net.squid.internal/$1
 
 Rewrite rules are matched in the same order as they appear in the rules file.
 So for best performance, sort it in order of frequency of occurrence.
@@ -99,37 +99,37 @@
 # read config file
 open RULES, $ARGV[0] or die "Error opening $ARGV[0]: $!";
 while (<RULES>) {
-	chomp;
-	next if /^\s*#?$/;
-	if (/^\s*([^\t]+?)\s*\t+\s*([^\t]+?)\s*$/) {
-		push(@rules, [qr/$1/, $2]);
-	} else {
-		print STDERR "$0: Parse error in $ARGV[0] (line $.)\n";
-	}
+    chomp;
+    next if /^\s*#?$/;
+    if (/^\s*([^\t]+?)\s*\t+\s*([^\t]+?)\s*$/) {
+        push(@rules, [qr/$1/, $2]);
+    } else {
+        print STDERR "$0: Parse error in $ARGV[0] (line $.)\n";
+    }
 }
 close RULES;
 
 $|=1;
 # read urls from squid and do the replacement
 URL: while (<STDIN>) {
-	chomp;
-	last if $_ eq 'quit';
+    chomp;
+    last if $_ eq 'quit';
 
-  my $channel = "";
-  if (s/^(\d+\s+)//o) {
-    $channel = $1;
-  }
-
-	foreach my $rule (@rules) {
-		if (my @match = /$rule->[0]/) {
-			$_ = $rule->[1];
-			
-			for (my $i=1; $i<=scalar(@match); $i++) {
-				s/\$$i/$match[$i-1]/g;
-			}
-			print $channel, "OK store-id=$_\n";
-			next URL;
-		}
-	}
-	print $channel, "ERR\n";
+    my $channel = "";
+    if (s/^(\d+\s+)//o) {
+        $channel = $1;
+    }
+
+    foreach my $rule (@rules) {
+        if (my @match = /$rule->[0]/) {
+            $_ = $rule->[1];
+
+            for (my $i=1; $i<=scalar(@match); $i++) {
+                s/\$$i/$match[$i-1]/g;
+            }
+            print $channel, "OK store-id=$_\n";
+            next URL;
+        }
+    }
+    print $channel, "ERR\n";
 }
diff -u -r -N squid-5.0.3/src/store/id_rewriters/helpers.m4 squid-5.0.4/src/store/id_rewriters/helpers.m4
--- squid-5.0.3/src/store/id_rewriters/helpers.m4	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/store/id_rewriters/helpers.m4	2020-08-23 05:40:17.000000000 +1200
@@ -8,7 +8,7 @@
 # This file is supposed to run all the tests required to identify which
 # configured modules are able to be built in this environment
 
-# FIXME: de-duplicate $enable_storeid_rewrite_helpers list containing double entries.
+# TODO: de-duplicate $enable_storeid_rewrite_helpers list containing double entries.
 
 #define list of modules to build
 auto_storeid_modules=no
diff -u -r -N squid-5.0.3/src/store/LocalSearch.cc squid-5.0.4/src/store/LocalSearch.cc
--- squid-5.0.3/src/store/LocalSearch.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/store/LocalSearch.cc	2020-08-23 05:40:17.000000000 +1200
@@ -91,7 +91,6 @@
 {
     /* probably need to lock the store entries...
      * we copy them all to prevent races on the links. */
-    debugs(47, 3, "Store::LocalSearch::copyBucket #" << bucket);
     assert (!entries.size());
     hash_link *link_ptr = NULL;
     hash_link *link_next = NULL;
@@ -104,7 +103,10 @@
         entries.push_back(e);
     }
 
+    // minimize debugging: we may be called more than a million times on startup
+    if (const auto count = entries.size())
+        debugs(47, 8, "bucket #" << bucket << " entries: " << count);
+
     ++bucket;
-    debugs(47,3, "got entries: " << entries.size());
 }
 
diff -u -r -N squid-5.0.3/src/store/Storage.h squid-5.0.4/src/store/Storage.h
--- squid-5.0.3/src/store/Storage.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/store/Storage.h	2020-08-23 05:40:17.000000000 +1200
@@ -55,7 +55,7 @@
 
     /**
      * Output stats to the provided store entry.
-     \todo make these calls asynchronous
+     * TODO: make these calls asynchronous
      */
     virtual void stat(StoreEntry &e) const = 0;
 
diff -u -r -N squid-5.0.3/src/store.cc squid-5.0.4/src/store.cc
--- squid-5.0.3/src/store.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/store.cc	2020-08-23 05:40:17.000000000 +1200
@@ -9,6 +9,7 @@
 /* DEBUG: section 20    Storage Manager */
 
 #include "squid.h"
+#include "base/AsyncCbdataCalls.h"
 #include "base/TextException.h"
 #include "CacheDigest.h"
 #include "CacheManager.h"
@@ -63,7 +64,7 @@
 
 #define STORE_IN_MEM_BUCKETS            (229)
 
-/** \todo Convert these string constants to enum string-arrays generated */
+// TODO: Convert these string constants to enum string-arrays generated
 
 const char *memStatusStr[] = {
     "NOT_IN_MEMORY",
@@ -1124,19 +1125,9 @@
 
     /* Notify the server side */
 
-    /*
-     * DPW 2007-05-07
-     * Should we check abort.data for validity?
-     */
-    if (mem_obj->abort.callback) {
-        if (!cbdataReferenceValid(mem_obj->abort.data))
-            debugs(20, DBG_IMPORTANT,HERE << "queueing event when abort.data is not valid");
-        eventAdd("mem_obj->abort.callback",
-                 mem_obj->abort.callback,
-                 mem_obj->abort.data,
-                 0.0,
-                 true);
-        unregisterAbort();
+    if (mem_obj->abortCallback) {
+        ScheduleCallHere(mem_obj->abortCallback);
+        mem_obj->abortCallback = nullptr;
     }
 
     /* XXX Should we reverse these two, so that there is no
@@ -1523,21 +1514,20 @@
 }
 
 void
-StoreEntry::registerAbort(STABH * cb, void *data)
+StoreEntry::registerAbortCallback(const AsyncCall::Pointer &handler)
 {
     assert(mem_obj);
-    assert(mem_obj->abort.callback == NULL);
-    mem_obj->abort.callback = cb;
-    mem_obj->abort.data = cbdataReference(data);
+    assert(!mem_obj->abortCallback);
+    mem_obj->abortCallback = handler;
 }
 
 void
-StoreEntry::unregisterAbort()
+StoreEntry::unregisterAbortCallback(const char *reason)
 {
     assert(mem_obj);
-    if (mem_obj->abort.callback) {
-        mem_obj->abort.callback = NULL;
-        cbdataReferenceDone(mem_obj->abort.data);
+    if (mem_obj->abortCallback) {
+        mem_obj->abortCallback->cancel(reason);
+        mem_obj->abortCallback = nullptr;
     }
 }
 
diff -u -r -N squid-5.0.3/src/StoreFileSystem.h squid-5.0.4/src/StoreFileSystem.h
--- squid-5.0.3/src/StoreFileSystem.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/StoreFileSystem.h	2020-08-23 05:40:17.000000000 +1200
@@ -42,8 +42,8 @@
  * configure.ac must be updated to autogenerate a Makefile in
  * \em src/fs/foo/ from a Makefile.in file.
  *
- \todo DOCS: add template addition to configure.ac for storage module addition.
- \todo DOCS: add template Makefile.am for storage module addition.
+ * TODO: DOCS: add template addition to configure.ac for storage module addition.
+ * TODO: DOCS: add template Makefile.am for storage module addition.
  *
  \par
  * configure will take a list of storage types through the
diff -u -r -N squid-5.0.3/src/Store.h squid-5.0.4/src/Store.h
--- squid-5.0.3/src/Store.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/Store.h	2020-08-23 05:40:17.000000000 +1200
@@ -116,7 +116,7 @@
     /// for eventual removal from the Store.
     void releaseRequest(const bool shareable = false);
     void negativeCache();
-    bool cacheNegatively();     /** \todo argh, why both? */
+    bool cacheNegatively();     // TODO: why both negativeCache() and cacheNegatively() ?
     void invokeHandlers();
     void cacheInMemory(); ///< start or continue storing in memory cache
     void swapOut();
@@ -150,11 +150,15 @@
     void dump(int debug_lvl) const;
     void hashDelete();
     void hashInsert(const cache_key *);
-    void registerAbort(STABH * cb, void *);
+    /// notify the StoreEntry writer of a 3rd-party initiated StoreEntry abort
+    void registerAbortCallback(const AsyncCall::Pointer &);
     void reset();
     void setMemStatus(mem_status_t);
     bool timestampsSet();
-    void unregisterAbort();
+    /// Avoid notifying anybody about a 3rd-party initiated StoreEntry abort.
+    /// Calling this method does not cancel the already queued notification.
+    /// TODO: Refactor to represent the end of (shared) ownership by our writer.
+    void unregisterAbortCallback(const char *reason);
     void destroyMemObject();
     int checkTooSmall();
 
diff -u -r -N squid-5.0.3/src/StoreMeta.h squid-5.0.4/src/StoreMeta.h
--- squid-5.0.3/src/StoreMeta.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/StoreMeta.h	2020-08-23 05:40:17.000000000 +1200
@@ -16,7 +16,7 @@
 
 /**
  \ingroup SwapStoreAPI
- \todo AYJ: for critical lists like this we should use A=64,B=65 etc to enforce and reserve values.
+ * XXX: for critical lists like this we should use A=64,B=65 etc to enforce and reserve values.
  \note NOTE!  We must preserve the order of this list!
  *
  \section StoreSwapMeta Store "swap meta" Description
@@ -87,7 +87,7 @@
      */
     STORE_META_HITMETERING,
 
-    /// \todo DOCS: document.
+    // TODO: document this TLV type code
     STORE_META_VALID,
 
     /**
@@ -101,10 +101,11 @@
      */
     STORE_META_STD_LFS,
 
+    // TODO: document this TLV type code
     STORE_META_OBJSIZE,
 
-    STORE_META_STOREURL,    /* the store url, if different to the normal URL */
-    STORE_META_VARY_ID,     /* Unique ID linking variants */
+    STORE_META_STOREURL,    /**< the Store-ID url, if different to the normal URL */
+    STORE_META_VARY_ID,     /**< Unique ID linking variants */
     STORE_META_END
 };
 
diff -u -r -N squid-5.0.3/src/store_swapout.cc squid-5.0.4/src/store_swapout.cc
--- squid-5.0.3/src/store_swapout.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/store_swapout.cc	2020-08-23 05:40:17.000000000 +1200
@@ -14,7 +14,7 @@
 #include "globals.h"
 #include "Store.h"
 #include "StoreClient.h"
-/* FIXME: Abstract the use of this more */
+// TODO: Abstract the use of this more
 #include "mem_node.h"
 #include "MemObject.h"
 #include "SquidConfig.h"
@@ -287,7 +287,7 @@
                e->swap_filen << ", errflag=" << errflag);
 
         if (errflag == DISK_NO_SPACE_LEFT) {
-            /* FIXME: this should be handle by the link from store IO to
+            /* TODO: this should be handle by the link from store IO to
              * Store, rather than being a top level API call.
              */
             e->disk().diskFull();
diff -u -r -N squid-5.0.3/src/StrList.cc squid-5.0.4/src/StrList.cc
--- squid-5.0.3/src/StrList.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/StrList.cc	2020-08-23 05:40:17.000000000 +1200
@@ -14,22 +14,31 @@
 #include "SquidString.h"
 #include "StrList.h"
 
-/** appends an item to the list */
 void
-strListAdd(String * str, const char *item, char del)
+strListAdd(String &str, const char *item, const size_t itemSize, const char delimiter)
 {
-    assert(str && item);
-    const auto itemSize = strlen(item);
-    if (str->size()) {
-        char buf[3];
-        buf[0] = del;
-        buf[1] = ' ';
-        buf[2] = '\0';
-        Must(str->canGrowBy(2));
-        str->append(buf, 2);
+    if (str.size()) {
+        const char buf[] = { delimiter, ' ' };
+        const auto bufSize = sizeof(buf);
+        Must(str.canGrowBy(bufSize));
+        str.append(buf, bufSize);
     }
-    Must(str->canGrowBy(itemSize));
-    str->append(item, itemSize);
+    Must(str.canGrowBy(itemSize));
+    str.append(item, itemSize);
+}
+
+void
+strListAdd(String *str, const char *item, const char delimiter)
+{
+    assert(str);
+    assert(item);
+    strListAdd(*str, item, strlen(item), delimiter);
+}
+
+void
+strListAdd(String &str, const SBuf &item, char delimiter)
+{
+    strListAdd(str, item.rawContent(), item.length(), delimiter);
 }
 
 /** returns true iff "m" is a member of the list */
diff -u -r -N squid-5.0.3/src/StrList.h squid-5.0.4/src/StrList.h
--- squid-5.0.3/src/StrList.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/StrList.h	2020-08-23 05:40:17.000000000 +1200
@@ -13,11 +13,24 @@
 
 #include "sbuf/forward.h"
 
+#include <iterator>
+
 class String;
 
+/// Appends the given item to a delimiter-separated list in str.
 void strListAdd(String * str, const char *item, char del);
+
+/// Appends the given item of a given size to a delimiter-separated list in str.
+void strListAdd(String &str, const char *item, const size_t itemSize, const char del = ',');
+
+/// Appends the given item to a delimiter-separated list in str.
+/// Use strListAdd(c-string) for c-string items with unknown length.
+void strListAdd(String &str, const SBuf &item, char delimiter = ',');
+
 int strListIsMember(const String * str, const SBuf &item, char del);
 int strListIsSubstr(const String * list, const char *s, char del);
+/// Iterates through delimiter-separated and optionally "quoted" list members.
+/// Follows HTTP #rule, including skipping OWS and empty members.
 int strListGetItem(const String * str, char del, const char **item, int *ilen, const char **pos);
 /// Searches for the first matching key=value pair
 /// within a delimiter-separated list of items.
diff -u -r -N squid-5.0.3/src/tests/Stub.am squid-5.0.4/src/tests/Stub.am
--- squid-5.0.3/src/tests/Stub.am	1970-01-01 12:00:00.000000000 +1200
+++ squid-5.0.4/src/tests/Stub.am	2020-08-23 05:40:17.000000000 +1200
@@ -0,0 +1,92 @@
+##
+## Copyright (C) 1996-2020 The Squid Software Foundation and contributors
+##
+## Squid software is distributed under GPLv2+ license and includes
+## contributions from numerous individuals and organizations.
+## Please see the COPYING and CONTRIBUTORS files for details.
+##
+
+STUB_SOURCE = \
+    tests/stub_access_log.cc \
+    tests/stub_acl.cc \
+    tests/stub_cache_cf.cc \
+    tests/stub_CacheDigest.cc \
+    tests/stub_cache_manager.cc \
+    tests/stub_carp.cc \
+    tests/stub_cbdata.cc \
+    tests/stub_client_db.cc \
+    tests/stub_client_side.cc \
+    tests/stub_client_side_request.cc \
+    tests/stub_CollapsedForwarding.cc \
+    tests/stub_comm.cc \
+    tests/stub_CommIO.cc \
+    tests/stub_debug.cc \
+    tests/stub_DelayId.cc \
+    tests/stub_errorpage.cc \
+    tests/stub_ETag.cc \
+    tests/stub_event.cc \
+    tests/stub_EventLoop.cc \
+    tests/stub_external_acl.cc \
+    tests/stub_fatal.cc \
+    tests/stub_fd.cc \
+    tests/stub_gopher.cc \
+    tests/stub_helper.cc \
+    tests/stub_HelperChildConfig.cc \
+    tests/stub_http.cc \
+    tests/stub_HttpControlMsg.cc \
+    tests/stub_HttpHeader.cc \
+    tests/stub_HttpReply.cc \
+    tests/stub_HttpRequest.cc \
+    tests/stub_HttpUpgradeProtocolAccess.cc \
+    tests/stub_icp.cc \
+    tests/stub_internal.cc \
+    tests/stub_ipcache.cc \
+    tests/stub_ipc.cc \
+    tests/stub_ipc_Forwarder.cc \
+    tests/stub_ipc_TypedMsgHdr.cc \
+    tests/stub_libanyp.cc \
+    tests/stub_libauth_acls.cc \
+    tests/stub_libauth.cc \
+    tests/stub_libcomm.cc \
+    tests/stub_libdiskio.cc \
+    tests/stub_libeui.cc \
+    tests/stub_libformat.cc \
+    tests/stub_libhttp.cc \
+    tests/stub_libicmp.cc \
+    tests/stub_libip.cc \
+    tests/stub_liblog.cc \
+    tests/stub_libmem.cc \
+    tests/stub_libmgr.cc \
+    tests/stub_libsecurity.cc \
+    tests/stub_libsslsquid.cc \
+    tests/stub_libstore.cc \
+    tests/stub_main_cc.cc \
+    tests/stub_MemBuf.cc \
+    tests/stub_mem_node.cc \
+    tests/stub_MemObject.cc \
+    tests/stub_MemStore.cc \
+    tests/stub_mime.cc \
+    tests/stub_neighbors.cc \
+    tests/stub_pconn.cc \
+    tests/stub_Port.cc \
+    tests/stub_redirect.cc \
+    tests/stub_SBuf.cc \
+    tests/stub_SBufDetailedStats.cc \
+    tests/stub_stat.cc \
+    tests/stub_StatHist.cc \
+    tests/stub_stmem.cc \
+    tests/stub_store.cc \
+    tests/stub_store_client.cc \
+    tests/stub_store_digest.cc \
+    tests/stub_StoreMeta.cc \
+    tests/stub_store_rebuild.cc \
+    tests/stub_store_stats.cc \
+    tests/stub_store_swapout.cc \
+    tests/stub_SwapDir.cc \
+    tests/stub_time.cc \
+    tests/stub_tools.cc \
+    tests/stub_tunnel.cc \
+    tests/stub_UdsOp.cc \
+    tests/stub_wccp2.cc \
+    tests/stub_whois.cc \
+    tests/stub_wordlist.cc
diff -u -r -N squid-5.0.3/src/tests/stub_cache_cf.cc squid-5.0.4/src/tests/stub_cache_cf.cc
--- squid-5.0.3/src/tests/stub_cache_cf.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_cache_cf.cc	2020-08-23 05:40:17.000000000 +1200
@@ -25,6 +25,7 @@
 void requirePathnameExists(const char *name, const char *path) STUB_NOP
 void parse_time_t(time_t * var) STUB
 void ConfigParser::ParseUShort(unsigned short *var) STUB
+void ConfigParser::ParseWordList(wordlist **) STUB
 void dump_acl_access(StoreEntry * entry, const char *name, acl_access * head) STUB
 void dump_acl_list(StoreEntry*, ACLList*) STUB
 
diff -u -r -N squid-5.0.3/src/tests/stub_HttpControlMsg.cc squid-5.0.4/src/tests/stub_HttpControlMsg.cc
--- squid-5.0.3/src/tests/stub_HttpControlMsg.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_HttpControlMsg.cc	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #include "squid.h"
 
 #define STUB_API "HttpControlMsg.cc"
-#include "STUB.h"
+#include "tests/STUB.h"
 
 #include "HttpControlMsg.h"
 void HttpControlMsgSink::wroteControlMsg(CommIoCbParams const&) STUB
diff -u -r -N squid-5.0.3/src/tests/stub_HttpHeader.cc squid-5.0.4/src/tests/stub_HttpHeader.cc
--- squid-5.0.3/src/tests/stub_HttpHeader.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_HttpHeader.cc	2020-08-23 05:40:17.000000000 +1200
@@ -11,7 +11,7 @@
 #include "TimeOrTag.h"
 
 #define STUB_API "HttpHeader.cc"
-#include "STUB.h"
+#include "tests/STUB.h"
 
 #include "HttpHeader.h"
 HttpHeaderEntry::HttpHeaderEntry(Http::HdrType, const SBuf &, const char *) {STUB}
diff -u -r -N squid-5.0.3/src/tests/stub_HttpUpgradeProtocolAccess.cc squid-5.0.4/src/tests/stub_HttpUpgradeProtocolAccess.cc
--- squid-5.0.3/src/tests/stub_HttpUpgradeProtocolAccess.cc	1970-01-01 12:00:00.000000000 +1200
+++ squid-5.0.4/src/tests/stub_HttpUpgradeProtocolAccess.cc	2020-08-23 05:40:17.000000000 +1200
@@ -0,0 +1,25 @@
+/*
+ * Copyright (C) 1996-2020 The Squid Software Foundation and contributors
+ *
+ * Squid software is distributed under GPLv2+ license and includes
+ * contributions from numerous individuals and organizations.
+ * Please see the COPYING and CONTRIBUTORS files for details.
+ */
+
+#include "squid.h"
+#include "ConfigParser.h"
+
+#define STUB_API "HttpUpgradeProtocolAccess.cc"
+#include "tests/STUB.h"
+
+#include "HttpUpgradeProtocolAccess.h"
+ProtocolView::ProtocolView(const char * const, const size_t) STUB
+ProtocolView::ProtocolView(SBuf const &) STUB
+std::ostream &operator <<(std::ostream &os, const ProtocolView &) STUB_RETVAL(os)
+HttpUpgradeProtocolAccess::~HttpUpgradeProtocolAccess() STUB
+const acl_access *HttpUpgradeProtocolAccess::findGuard(const SBuf &) const STUB_RETVAL(nullptr)
+void HttpUpgradeProtocolAccess::configureGuard(ConfigParser &) STUB
+const SBuf HttpUpgradeProtocolAccess::ProtoOther("STUB-OTHER");
+HttpUpgradeProtocolAccess::NamedGuard::~NamedGuard() STUB_NOP
+HttpUpgradeProtocolAccess::NamedGuard::NamedGuard(const char *, acl_access *): protocol("STUB-UNDEF"), proto(protocol) STUB_NOP
+
diff -u -r -N squid-5.0.3/src/tests/stub_ipcache.cc squid-5.0.4/src/tests/stub_ipcache.cc
--- squid-5.0.3/src/tests/stub_ipcache.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_ipcache.cc	2020-08-23 05:40:17.000000000 +1200
@@ -10,7 +10,7 @@
 #include "ipcache.h"
 
 #define STUB_API "ipcache.cc"
-#include "STUB.h"
+#include "tests/STUB.h"
 
 void ipcache_purgelru(void *) STUB
 void ipcache_nbgethostbyname(const char *name, IPH * handler, void *handlerData) STUB
diff -u -r -N squid-5.0.3/src/tests/stub_libauth_acls.cc squid-5.0.4/src/tests/stub_libauth_acls.cc
--- squid-5.0.3/src/tests/stub_libauth_acls.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_libauth_acls.cc	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #include "squid.h"
 
 #define STUB_API "auth/libacls.la"
-#include "STUB.h"
+#include "tests/STUB.h"
 
 #if USE_AUTH
 #include "acl/Acl.h" /* for Acl::Answer */
diff -u -r -N squid-5.0.3/src/tests/stub_libauth.cc squid-5.0.4/src/tests/stub_libauth.cc
--- squid-5.0.3/src/tests/stub_libauth.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_libauth.cc	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #include "squid.h"
 
 #define STUB_API "auth/libauth.la"
-#include "STUB.h"
+#include "tests/STUB.h"
 
 #if USE_AUTH
 #include "auth/SchemeConfig.h"
diff -u -r -N squid-5.0.3/src/tests/stub_libcomm.cc squid-5.0.4/src/tests/stub_libcomm.cc
--- squid-5.0.3/src/tests/stub_libcomm.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_libcomm.cc	2020-08-23 05:40:17.000000000 +1200
@@ -22,7 +22,8 @@
 #include "comm/Connection.h"
 Comm::Connection::Connection() STUB
 Comm::Connection::~Connection() STUB
-Comm::ConnectionPointer Comm::Connection::copyDetails() const STUB_RETVAL(NULL)
+Comm::ConnectionPointer Comm::Connection::cloneIdentDetails() const STUB_RETVAL(nullptr)
+Comm::ConnectionPointer Comm::Connection::cloneDestinationDetails() const STUB_RETVAL(nullptr)
 void Comm::Connection::close() STUB
 CachePeer * Comm::Connection::getPeer() const STUB_RETVAL(NULL)
 void Comm::Connection::setPeer(CachePeer * p) STUB
@@ -35,7 +36,7 @@
 bool Comm::ConnOpener::doneAll() const STUB_RETVAL(false)
 void Comm::ConnOpener::start() STUB
 void Comm::ConnOpener::swanSong() STUB
-Comm::ConnOpener::ConnOpener(Comm::ConnectionPointer &, const AsyncCall::Pointer &, time_t) : AsyncJob("STUB Comm::ConnOpener") STUB
+Comm::ConnOpener::ConnOpener(const Comm::ConnectionPointer &, const AsyncCall::Pointer &, time_t) : AsyncJob("STUB Comm::ConnOpener") STUB
     Comm::ConnOpener::~ConnOpener() STUB
     void Comm::ConnOpener::setHost(const char *) STUB
     const char * Comm::ConnOpener::getHost() const STUB_RETVAL(NULL)
diff -u -r -N squid-5.0.3/src/tests/stub_libeui.cc squid-5.0.4/src/tests/stub_libeui.cc
--- squid-5.0.3/src/tests/stub_libeui.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_libeui.cc	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #include "squid.h"
 
 #define STUB_API "eui/libeui.la"
-#include "STUB.h"
+#include "tests/STUB.h"
 
 #include "eui/Config.h"
 Eui::EuiConfig Eui::TheConfig;
diff -u -r -N squid-5.0.3/src/tests/stub_libhttp.cc squid-5.0.4/src/tests/stub_libhttp.cc
--- squid-5.0.3/src/tests/stub_libhttp.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_libhttp.cc	2020-08-23 05:40:17.000000000 +1200
@@ -12,7 +12,7 @@
 #include "SquidConfig.h"
 
 #define STUB_API "http/libhttp.la"
-#include "STUB.h"
+#include "tests/STUB.h"
 
 #include "http/ContentLengthInterpreter.h"
 namespace Http
diff -u -r -N squid-5.0.3/src/tests/stub_libicmp.cc squid-5.0.4/src/tests/stub_libicmp.cc
--- squid-5.0.3/src/tests/stub_libicmp.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_libicmp.cc	2020-08-23 05:40:17.000000000 +1200
@@ -8,7 +8,7 @@
 
 #include "squid.h"
 #define STUB_API "icmp/libicmp.la"
-#include "STUB.h"
+#include "tests/STUB.h"
 
 #include "icmp/IcmpSquid.h"
 //IcmpSquid::IcmpSquid() STUB
diff -u -r -N squid-5.0.3/src/tests/stub_libmem.cc squid-5.0.4/src/tests/stub_libmem.cc
--- squid-5.0.3/src/tests/stub_libmem.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_libmem.cc	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #include "squid.h"
 
 #define STUB_API "mem/libmem.la"
-#include "STUB.h"
+#include "tests/STUB.h"
 
 #include "mem/AllocatorProxy.h"
 void *Mem::AllocatorProxy::alloc() {return xmalloc(64*1024);}
diff -u -r -N squid-5.0.3/src/tests/stub_libmgr.cc squid-5.0.4/src/tests/stub_libmgr.cc
--- squid-5.0.3/src/tests/stub_libmgr.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_libmgr.cc	2020-08-23 05:40:17.000000000 +1200
@@ -233,7 +233,7 @@
 void Mgr::StoreToCommWriter::scheduleStoreCopy() STUB
 void Mgr::StoreToCommWriter::noteStoreCopied(StoreIOBuffer ioBuf) STUB
 void Mgr::StoreToCommWriter::NoteStoreCopied(void* data, StoreIOBuffer ioBuf) STUB
-void Mgr::StoreToCommWriter::Abort(void* param) STUB
+void Mgr::StoreToCommWriter::HandleStoreAbort(StoreToCommWriter *) STUB
 void Mgr::StoreToCommWriter::scheduleCommWrite(const StoreIOBuffer& ioBuf) STUB
 void Mgr::StoreToCommWriter::noteCommWrote(const CommIoCbParams& params) STUB
 void Mgr::StoreToCommWriter::noteCommClosed(const CommCloseCbParams& params) STUB
diff -u -r -N squid-5.0.3/src/tests/stub_libsslsquid.cc squid-5.0.4/src/tests/stub_libsslsquid.cc
--- squid-5.0.3/src/tests/stub_libsslsquid.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_libsslsquid.cc	2020-08-23 05:40:17.000000000 +1200
@@ -53,8 +53,9 @@
 {
 int AskPasswordCb(char *, int, int, void *) STUB_RETVAL(0)
 bool InitServerContext(Security::ContextPointer &, AnyP::PortCfg &) STUB_RETVAL(false)
-bool InitClientContext(Security::ContextPointer &, Security::PeerOptions &, const char *) STUB_RETVAL(false)
-void SetupVerifyCallback(Security::ContextPointer &) STUB
+bool InitClientContext(Security::ContextPointer &, Security::PeerOptions &, Security::ParsedPortFlags) STUB_RETVAL(false)
+void ConfigurePeerVerification(Security::ContextPointer &, const Security::ParsedPortFlags) STUB
+void DisablePeerVerification(Security::ContextPointer &) STUB
 void MaybeSetupRsaCallback(Security::ContextPointer &) STUB
 } // namespace Ssl
 const char *sslGetUserEmail(SSL *ssl) STUB_RETVAL(NULL)
diff -u -r -N squid-5.0.3/src/tests/Stub.list squid-5.0.4/src/tests/Stub.list
--- squid-5.0.3/src/tests/Stub.list	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/Stub.list	1970-01-01 12:00:00.000000000 +1200
@@ -1,91 +0,0 @@
-##
-## Copyright (C) 1996-2020 The Squid Software Foundation and contributors
-##
-## Squid software is distributed under GPLv2+ license and includes
-## contributions from numerous individuals and organizations.
-## Please see the COPYING and CONTRIBUTORS files for details.
-##
-
-STUB_SOURCE= tests/STUB.h \
-	tests/stub_access_log.cc \
-	tests/stub_acl.cc \
-	tests/stub_cache_cf.cc \
-	tests/stub_CacheDigest.cc \
-	tests/stub_cache_manager.cc \
-	tests/stub_carp.cc \
-	tests/stub_cbdata.cc \
-	tests/stub_client_db.cc \
-	tests/stub_client_side.cc \
-	tests/stub_client_side_request.cc \
-	tests/stub_CollapsedForwarding.cc \
-	tests/stub_comm.cc \
-	tests/stub_CommIO.cc \
-	tests/stub_debug.cc \
-	tests/stub_DelayId.cc \
-	tests/stub_errorpage.cc \
-	tests/stub_ETag.cc \
-	tests/stub_event.cc \
-	tests/stub_EventLoop.cc \
-	tests/stub_external_acl.cc \
-	tests/stub_fatal.cc \
-	tests/stub_fd.cc \
-	tests/stub_gopher.cc \
-	tests/stub_helper.cc \
-	tests/stub_HelperChildConfig.cc \
-	tests/stub_http.cc \
-	tests/stub_HttpControlMsg.cc \
-	tests/stub_HttpHeader.cc \
-	tests/stub_HttpReply.cc \
-	tests/stub_HttpRequest.cc \
-	tests/stub_icp.cc \
-	tests/stub_internal.cc \
-	tests/stub_ipcache.cc \
-	tests/stub_ipc.cc \
-	tests/stub_ipc_Forwarder.cc \
-	tests/stub_ipc_TypedMsgHdr.cc \
-	tests/stub_libanyp.cc \
-	tests/stub_libauth_acls.cc \
-	tests/stub_libauth.cc \
-	tests/stub_libcomm.cc \
-	tests/stub_libdiskio.cc \
-	tests/stub_libeui.cc \
-	tests/stub_libformat.cc \
-	tests/stub_libhttp.cc \
-	tests/stub_libicmp.cc \
-	tests/stub_libip.cc \
-	tests/stub_liblog.cc \
-	tests/stub_libmem.cc \
-	tests/stub_libmgr.cc \
-	tests/stub_libsecurity.cc \
-	tests/stub_libsslsquid.cc \
-	tests/stub_libstore.cc \
-	tests/stub_main_cc.cc \
-	tests/stub_MemBuf.cc \
-	tests/stub_mem_node.cc \
-	tests/stub_MemObject.cc \
-	tests/stub_MemStore.cc \
-	tests/stub_mime.cc \
-	tests/stub_neighbors.cc \
-	tests/stub_pconn.cc \
-	tests/stub_Port.cc \
-	tests/stub_redirect.cc \
-	tests/stub_SBuf.cc \
-	tests/stub_SBufDetailedStats.cc \
-	tests/stub_stat.cc \
-	tests/stub_StatHist.cc \
-	tests/stub_stmem.cc \
-	tests/stub_store.cc \
-	tests/stub_store_client.cc \
-	tests/stub_store_digest.cc \
-	tests/stub_StoreMeta.cc \
-	tests/stub_store_rebuild.cc \
-	tests/stub_store_stats.cc \
-	tests/stub_store_swapout.cc \
-	tests/stub_SwapDir.cc \
-	tests/stub_time.cc \
-	tests/stub_tools.cc \
-	tests/stub_tunnel.cc \
-	tests/stub_UdsOp.cc \
-	tests/stub_wccp2.cc \
-	tests/stub_whois.cc \
-	tests/stub_wordlist.cc 
diff -u -r -N squid-5.0.3/src/tests/stub_StatHist.cc squid-5.0.4/src/tests/stub_StatHist.cc
--- squid-5.0.3/src/tests/stub_StatHist.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_StatHist.cc	2020-08-23 05:40:17.000000000 +1200
@@ -10,7 +10,7 @@
 #include "StatHist.h"
 
 #define STUB_API "StatHist.cc"
-#include "STUB.h"
+#include "tests/STUB.h"
 
 class StoreEntry;
 
diff -u -r -N squid-5.0.3/src/tests/stub_store.cc squid-5.0.4/src/tests/stub_store.cc
--- squid-5.0.3/src/tests/stub_store.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_store.cc	2020-08-23 05:40:17.000000000 +1200
@@ -57,11 +57,11 @@
 void StoreEntry::dump(int debug_lvl) const STUB
 void StoreEntry::hashDelete() STUB
 void StoreEntry::hashInsert(const cache_key *) STUB
-void StoreEntry::registerAbort(STABH * cb, void *) STUB
+void StoreEntry::registerAbortCallback(const AsyncCall::Pointer &) STUB
 void StoreEntry::reset() STUB
 void StoreEntry::setMemStatus(mem_status_t) STUB
 bool StoreEntry::timestampsSet() STUB_RETVAL(false)
-void StoreEntry::unregisterAbort() STUB
+void StoreEntry::unregisterAbortCallback(const char *) STUB
 void StoreEntry::destroyMemObject() STUB
 int StoreEntry::checkTooSmall() STUB_RETVAL(0)
 void StoreEntry::delayAwareRead(const Comm::ConnectionPointer&, char *buf, int len, AsyncCall::Pointer callback) STUB
diff -u -r -N squid-5.0.3/src/tests/stub_time.cc squid-5.0.4/src/tests/stub_time.cc
--- squid-5.0.3/src/tests/stub_time.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_time.cc	2020-08-23 05:40:17.000000000 +1200
@@ -10,7 +10,7 @@
 #include "SquidTime.h"
 
 #define STUB_API "time.cc"
-#include "STUB.h"
+#include "tests/STUB.h"
 
 struct timeval current_time;
 double current_dtime;
diff -u -r -N squid-5.0.3/src/tests/stub_tunnel.cc squid-5.0.4/src/tests/stub_tunnel.cc
--- squid-5.0.3/src/tests/stub_tunnel.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/stub_tunnel.cc	2020-08-23 05:40:17.000000000 +1200
@@ -16,5 +16,5 @@
 
 void tunnelStart(ClientHttpRequest *) STUB
 
-void switchToTunnel(HttpRequest *request, Comm::ConnectionPointer &clientConn, Comm::ConnectionPointer &srvConn) STUB
+void switchToTunnel(HttpRequest *, const Comm::ConnectionPointer &, const Comm::ConnectionPointer &, const SBuf &) STUB
 
diff -u -r -N squid-5.0.3/src/tests/testACLMaxUserIP.h squid-5.0.4/src/tests/testACLMaxUserIP.h
--- squid-5.0.3/src/tests/testACLMaxUserIP.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testACLMaxUserIP.h	2020-08-23 05:40:17.000000000 +1200
@@ -11,7 +11,7 @@
 
 #if USE_AUTH
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * demonstration test file, as new idioms are made they will
diff -u -r -N squid-5.0.3/src/tests/testBoilerplate.h squid-5.0.4/src/tests/testBoilerplate.h
--- squid-5.0.3/src/tests/testBoilerplate.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testBoilerplate.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_BOILDERPLATE_H
 #define SQUID_SRC_TEST_BOILDERPLATE_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * demonstration test file, as new idioms are made they will
diff -u -r -N squid-5.0.3/src/tests/testCacheManager.h squid-5.0.4/src/tests/testCacheManager.h
--- squid-5.0.3/src/tests/testCacheManager.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testCacheManager.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_CACHEMANAGER_H
 #define SQUID_SRC_TEST_CACHEMANAGER_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the CacheManager implementation
diff -u -r -N squid-5.0.3/src/tests/testCharacterSet.h squid-5.0.4/src/tests/testCharacterSet.h
--- squid-5.0.3/src/tests/testCharacterSet.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testCharacterSet.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_BASE_TESTCHARACTERSET_H
 #define SQUID_BASE_TESTCHARACTERSET_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 class testCharacterSet : public CPPUNIT_NS::TestFixture
 {
diff -u -r -N squid-5.0.3/src/tests/testConfigParser.h squid-5.0.4/src/tests/testConfigParser.h
--- squid-5.0.3/src/tests/testConfigParser.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testConfigParser.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_CONFIG_PARSER_H
 #define SQUID_SRC_TEST_CONFIG_PARSER_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the ConfigParser framework
diff -u -r -N squid-5.0.3/src/tests/testDiskIO.h squid-5.0.4/src/tests/testDiskIO.h
--- squid-5.0.3/src/tests/testDiskIO.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testDiskIO.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_DISKIO_H
 #define SQUID_SRC_TEST_DISKIO_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the DiskIO framework
diff -u -r -N squid-5.0.3/src/tests/testEnumIterator.h squid-5.0.4/src/tests/testEnumIterator.h
--- squid-5.0.3/src/tests/testEnumIterator.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testEnumIterator.h	2020-08-23 05:40:17.000000000 +1200
@@ -11,7 +11,7 @@
 
 #include "base/EnumIterator.h"
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 class testEnumIterator : public CPPUNIT_NS::TestFixture
 {
diff -u -r -N squid-5.0.3/src/tests/testEvent.h squid-5.0.4/src/tests/testEvent.h
--- squid-5.0.3/src/tests/testEvent.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testEvent.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_EVENT_H
 #define SQUID_SRC_TEST_EVENT_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the event module.
diff -u -r -N squid-5.0.3/src/tests/testEventLoop.h squid-5.0.4/src/tests/testEventLoop.h
--- squid-5.0.3/src/tests/testEventLoop.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testEventLoop.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_EVENTLOOP_H
 #define SQUID_SRC_TEST_EVENTLOOP_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the EventLoop implementation
diff -u -r -N squid-5.0.3/src/tests/testHttp1Parser.h squid-5.0.4/src/tests/testHttp1Parser.h
--- squid-5.0.3/src/tests/testHttp1Parser.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testHttp1Parser.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TESTS_TESTHTTP1PARSER_H
 #define SQUID_SRC_TESTS_TESTHTTP1PARSER_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 class testHttp1Parser : public CPPUNIT_NS::TestFixture
 {
diff -u -r -N squid-5.0.3/src/tests/test_http_range.cc squid-5.0.4/src/tests/test_http_range.cc
--- squid-5.0.3/src/tests/test_http_range.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/test_http_range.cc	2020-08-23 05:40:17.000000000 +1200
@@ -6,14 +6,12 @@
  * Please see the COPYING and CONTRIBUTORS files for details.
  */
 
-/* DEBUG: section 64    HTTP Range Header */
-
 #include "squid.h"
 #include "fatal.h"
 #include "HttpHeader.h"
 #include "HttpHeaderRange.h"
 
-/** \todo CLEANUP: This file should be called something_stub.cc */
+// TODO: refactor as cppunit test
 
 void httpHeaderPutStr(HttpHeader * hdr, Http::HdrType type, const char *str)
 {
diff -u -r -N squid-5.0.3/src/tests/testHttpReply.h squid-5.0.4/src/tests/testHttpReply.h
--- squid-5.0.3/src/tests/testHttpReply.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testHttpReply.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_HTTP_REPLY_H
 #define SQUID_SRC_TEST_HTTP_REPLY_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test HttpReply
diff -u -r -N squid-5.0.3/src/tests/testHttpRequest.h squid-5.0.4/src/tests/testHttpRequest.h
--- squid-5.0.3/src/tests/testHttpRequest.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testHttpRequest.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_HTTP_REQUEST_H
 #define SQUID_SRC_TEST_HTTP_REQUEST_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test HttpRequest
diff -u -r -N squid-5.0.3/src/tests/testHttpRequestMethod.h squid-5.0.4/src/tests/testHttpRequestMethod.h
--- squid-5.0.3/src/tests/testHttpRequestMethod.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testHttpRequestMethod.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_HTTP_REQUEST_METHOD_H
 #define SQUID_SRC_TEST_HTTP_REQUEST_METHOD_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test HttpRequestMethod
diff -u -r -N squid-5.0.3/src/tests/testIcmp.h squid-5.0.4/src/tests/testIcmp.h
--- squid-5.0.3/src/tests/testIcmp.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testIcmp.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TESTS_TESTICMP_H
 #define SQUID_SRC_TESTS_TESTICMP_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 #if USE_ICMP
 
diff -u -r -N squid-5.0.3/src/tests/testIpAddress.h squid-5.0.4/src/tests/testIpAddress.h
--- squid-5.0.3/src/tests/testIpAddress.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testIpAddress.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_IPADDRESS_H
 #define SQUID_SRC_TEST_IPADDRESS_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the IP storage type
diff -u -r -N squid-5.0.3/src/tests/testLookupTable.h squid-5.0.4/src/tests/testLookupTable.h
--- squid-5.0.3/src/tests/testLookupTable.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testLookupTable.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_TESTLOOKUPTABLE_H_
 #define SQUID_TESTLOOKUPTABLE_H_
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 class testLookupTable : public CPPUNIT_NS::TestFixture
 {
diff -u -r -N squid-5.0.3/src/tests/testMem.h squid-5.0.4/src/tests/testMem.h
--- squid-5.0.3/src/tests/testMem.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testMem.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TESTS_TESTMEM_H
 #define SQUID_SRC_TESTS_TESTMEM_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 class testMem : public CPPUNIT_NS::TestFixture
 {
diff -u -r -N squid-5.0.3/src/tests/testNetDb.h squid-5.0.4/src/tests/testNetDb.h
--- squid-5.0.3/src/tests/testNetDb.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testNetDb.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TESTS_TESTNETDB_H
 #define SQUID_SRC_TESTS_TESTNETDB_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 class testNetDb : public CPPUNIT_NS::TestFixture
 {
diff -u -r -N squid-5.0.3/src/tests/testPackableStream.h squid-5.0.4/src/tests/testPackableStream.h
--- squid-5.0.3/src/tests/testPackableStream.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testPackableStream.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TESTS_TESTPACKABLESTREAM_H
 #define SQUID_SRC_TESTS_TESTPACKABLESTREAM_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test PackableStream
diff -u -r -N squid-5.0.3/src/tests/testRefCount.h squid-5.0.4/src/tests/testRefCount.h
--- squid-5.0.3/src/tests/testRefCount.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testRefCount.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_REFCOUNT_H
 #define SQUID_SRC_TEST_REFCOUNT_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 class testRefCount : public CPPUNIT_NS::TestFixture
 {
diff -u -r -N squid-5.0.3/src/tests/testRFC1035.h squid-5.0.4/src/tests/testRFC1035.h
--- squid-5.0.3/src/tests/testRFC1035.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testRFC1035.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_RFC1035_H
 #define SQUID_SRC_TEST_RFC1035_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the DNS resolver RFC 1035 Engine
diff -u -r -N squid-5.0.3/src/tests/testRock.h squid-5.0.4/src/tests/testRock.h
--- squid-5.0.3/src/tests/testRock.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testRock.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_TESTROCK_H
 #define SQUID_SRC_TEST_TESTROCK_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the store framework
diff -u -r -N squid-5.0.3/src/tests/testSBuf.h squid-5.0.4/src/tests/testSBuf.h
--- squid-5.0.3/src/tests/testSBuf.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testSBuf.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_TESTSBUF_H
 #define SQUID_SRC_TEST_TESTSBUF_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 #include "base/TextException.h"
 
diff -u -r -N squid-5.0.3/src/tests/testSBufList.h squid-5.0.4/src/tests/testSBufList.h
--- squid-5.0.3/src/tests/testSBufList.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testSBufList.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_TESTSBUF_H
 #define SQUID_SRC_TEST_TESTSBUF_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 class testSBufList : public CPPUNIT_NS::TestFixture
 {
diff -u -r -N squid-5.0.3/src/tests/testStatHist.cc squid-5.0.4/src/tests/testStatHist.cc
--- squid-5.0.3/src/tests/testStatHist.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testStatHist.cc	2020-08-23 05:40:17.000000000 +1200
@@ -79,7 +79,7 @@
     CPPUNIT_ASSERT(test.counter(max)==1);
     test=raw;
     test.count(max);
-    //CPPUNIT_ASSERT(test.val(capacity-1)==1); //FIXME: val() returns a density
+    //CPPUNIT_ASSERT(test.val(capacity-1)==1); // XXX: val() returns a density
 }
 
 void
diff -u -r -N squid-5.0.3/src/tests/testStatHist.h squid-5.0.4/src/tests/testStatHist.h
--- squid-5.0.3/src/tests/testStatHist.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testStatHist.h	2020-08-23 05:40:17.000000000 +1200
@@ -13,7 +13,7 @@
 #ifndef TESTSTATHIST_H_
 #define TESTSTATHIST_H_
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 class testStatHist : public CPPUNIT_NS::TestFixture
 {
diff -u -r -N squid-5.0.3/src/tests/testStoreController.h squid-5.0.4/src/tests/testStoreController.h
--- squid-5.0.3/src/tests/testStoreController.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testStoreController.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_STORECONTROLLER_H
 #define SQUID_SRC_TEST_STORECONTROLLER_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the store framework
diff -u -r -N squid-5.0.3/src/tests/testStore.h squid-5.0.4/src/tests/testStore.h
--- squid-5.0.3/src/tests/testStore.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testStore.h	2020-08-23 05:40:17.000000000 +1200
@@ -12,7 +12,7 @@
 #include "Store.h"
 #include "store/Controlled.h"
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the store framework
diff -u -r -N squid-5.0.3/src/tests/testStoreHashIndex.h squid-5.0.4/src/tests/testStoreHashIndex.h
--- squid-5.0.3/src/tests/testStoreHashIndex.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testStoreHashIndex.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_STOREHASHINDEX_H
 #define SQUID_SRC_TEST_STOREHASHINDEX_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the store framework
diff -u -r -N squid-5.0.3/src/tests/testString.h squid-5.0.4/src/tests/testString.h
--- squid-5.0.3/src/tests/testString.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testString.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_STRING_H
 #define SQUID_SRC_TEST_STRING_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the store framework
diff -u -r -N squid-5.0.3/src/tests/testTokenizer.h squid-5.0.4/src/tests/testTokenizer.h
--- squid-5.0.3/src/tests/testTokenizer.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testTokenizer.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_TESTTOKENIZER_H_
 #define SQUID_TESTTOKENIZER_H_
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 class testTokenizer : public CPPUNIT_NS::TestFixture
 {
diff -u -r -N squid-5.0.3/src/tests/testUfs.cc squid-5.0.4/src/tests/testUfs.cc
--- squid-5.0.3/src/tests/testUfs.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testUfs.cc	2020-08-23 05:40:17.000000000 +1200
@@ -39,8 +39,6 @@
     ++Config.cacheSwap.n_configured;
 }
 
-/* TODO make this a cbdata class */
-
 static bool cbcalled;
 
 static void
@@ -208,7 +206,7 @@
 
     free_cachedir(&Config.cacheSwap);
 
-    /* todo: here we should test a dirty rebuild */
+    // TODO: here we should test a dirty rebuild
 
     safe_free(Config.replPolicy->type);
     delete Config.replPolicy;
diff -u -r -N squid-5.0.3/src/tests/testUfs.h squid-5.0.4/src/tests/testUfs.h
--- squid-5.0.3/src/tests/testUfs.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testUfs.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_STORECONTROLLER_H
 #define SQUID_SRC_TEST_STORECONTROLLER_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the store framework
diff -u -r -N squid-5.0.3/src/tests/testUriScheme.cc squid-5.0.4/src/tests/testUriScheme.cc
--- squid-5.0.3/src/tests/testUriScheme.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testUriScheme.cc	2020-08-23 05:40:17.000000000 +1200
@@ -155,3 +155,10 @@
     CPPUNIT_ASSERT_EQUAL(http_str, from_buf);
 }
 
+void
+testUriScheme::setUp()
+{
+    Mem::Init();
+    AnyP::UriScheme::Init();
+}
+
diff -u -r -N squid-5.0.3/src/tests/testUriScheme.h squid-5.0.4/src/tests/testUriScheme.h
--- squid-5.0.3/src/tests/testUriScheme.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testUriScheme.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TESTS_TESTURISCHEME_H
 #define SQUID_SRC_TESTS_TESTURISCHEME_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test UriScheme
@@ -35,6 +35,7 @@
     CPPUNIT_TEST_SUITE_END();
 
 public:
+    void setUp();
 
 protected:
     void testAssignFromprotocol_t();
diff -u -r -N squid-5.0.3/src/tests/testURL.h squid-5.0.4/src/tests/testURL.h
--- squid-5.0.3/src/tests/testURL.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testURL.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TEST_URL_H
 #define SQUID_SRC_TEST_URL_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * test the URL class.
diff -u -r -N squid-5.0.3/src/tests/testYesNoNone.h squid-5.0.4/src/tests/testYesNoNone.h
--- squid-5.0.3/src/tests/testYesNoNone.h	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tests/testYesNoNone.h	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 #ifndef SQUID_SRC_TESTS_TESTYESNONONE_H
 #define SQUID_SRC_TESTS_TESTYESNONONE_H
 
-#include <cppunit/extensions/HelperMacros.h>
+#include "compat/cppunit.h"
 
 /*
  * demonstration test file, as new idioms are made they will
diff -u -r -N squid-5.0.3/src/Transients.cc squid-5.0.4/src/Transients.cc
--- squid-5.0.3/src/Transients.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/Transients.cc	2020-08-23 05:40:17.000000000 +1200
@@ -161,13 +161,26 @@
         return nullptr;
     }
 
+    // store hadWriter before checking ENTRY_REQUIRES_COLLAPSING to avoid racing
+    // the writer that clears that flag and then leaves
+    const auto hadWriter = map->peekAtWriter(index);
+    if (!hadWriter && EBIT_TEST(anchor->basics.flags, ENTRY_REQUIRES_COLLAPSING)) {
+        debugs(20, 3, "not joining abandoned entry " << index);
+        map->closeForReadingAndFreeIdle(index);
+        return nullptr;
+    }
+
     StoreEntry *e = new StoreEntry();
     e->createMemObject();
     e->mem_obj->xitTable.index = index;
     e->mem_obj->xitTable.io = Store::ioReading;
     anchor->exportInto(*e);
-    const bool collapsingRequired = EBIT_TEST(anchor->basics.flags, ENTRY_REQUIRES_COLLAPSING);
-    e->setCollapsingRequirement(collapsingRequired);
+
+    if (EBIT_TEST(anchor->basics.flags, ENTRY_REQUIRES_COLLAPSING)) {
+        assert(hadWriter);
+        e->setCollapsingRequirement(true);
+    }
+
     // keep read lock to receive updates from others
     return e;
 }
diff -u -r -N squid-5.0.3/src/tunnel.cc squid-5.0.4/src/tunnel.cc
--- squid-5.0.3/src/tunnel.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/tunnel.cc	2020-08-23 05:40:17.000000000 +1200
@@ -84,6 +84,9 @@
     static void WriteServerDone(const Comm::ConnectionPointer &, char *buf, size_t len, Comm::Flag flag, int xerrno, void *data);
 
     bool noConnections() const;
+    /// closes both client and server connections
+    void closeConnections();
+
     char *url;
     CbcPointer<ClientHttpRequest> http;
     HttpRequest::Pointer request;
@@ -113,8 +116,6 @@
     void startConnecting();
     void closePendingConnection(const Comm::ConnectionPointer &conn, const char *reason);
 
-    void retryOrBail();
-
     /// called when negotiations with the peer have been successfully completed
     void notePeerReadyToShovel(const Comm::ConnectionPointer &);
 
@@ -123,10 +124,18 @@
 
     public:
         Connection() : len (0), buf ((char *)xmalloc(SQUID_TCP_SO_RCVBUF)), size_ptr(NULL), delayedLoops(0),
+            dirty(false),
             readPending(NULL), readPendingFunc(NULL) {}
 
         ~Connection();
 
+        /// initiates Comm::Connection ownership, including closure monitoring
+        template <typename Method>
+        void initConnection(const Comm::ConnectionPointer &aConn, Method method, const char *name, TunnelStateData *tunnelState);
+
+        /// reacts to the external closure of our connection
+        void noteClosure();
+
         int bytesWanted(int lower=0, int upper = INT_MAX) const;
         void bytesIn(int const &);
 #if USE_DELAY_POOLS
@@ -136,7 +145,7 @@
 
         void error(int const xerrno);
         int debugLevelForError(int const xerrno) const;
-        void closeIfOpen();
+
         void dataSent (size_t amount);
         /// writes 'b' buffer, setting the 'writer' member to 'callback'.
         void write(const char *b, int size, AsyncCall::Pointer &callback, FREE * free_func);
@@ -148,6 +157,8 @@
         Comm::ConnectionPointer conn;    ///< The currently connected connection.
         uint8_t delayedLoops; ///< how many times a read on this connection has been postponed.
 
+        bool dirty; ///< whether write() has been called (at least once)
+
         // XXX: make these an AsyncCall when event API can handle them
         TunnelStateData *readPending;
         EVH *readPendingFunc;
@@ -157,6 +168,9 @@
         DelayId delayId;
 #endif
 
+    private:
+        /// the registered close handler for the connection
+        AsyncCall::Pointer closer;
     };
 
     Connection client, server;
@@ -171,6 +185,9 @@
     HappyConnOpenerPointer connOpener; ///< current connection opening job
     ResolvedPeersPointer destinations; ///< paths for forwarding the request
     bool destinationsFound; ///< At least one candidate path found
+    /// whether another destination may be still attempted if the TCP connection
+    /// was unexpectedly closed
+    bool retriable;
     // TODO: remove after fixing deferred reads in TunnelStateData::copyRead()
     CodeContext::Pointer codeContext; ///< our creator context
 
@@ -247,12 +264,17 @@
     template <typename StepStart>
     void advanceDestination(const char *stepDescription, const Comm::ConnectionPointer &conn, const StepStart &startStep);
 
+    /// \returns whether the request should be retried (nil) or the description why it should not
+    const char *checkRetry();
+
     /// details of the "last tunneling attempt" failure (if it failed)
     ErrorState *savedError = nullptr;
 
     /// resumes operations after the (possibly failed) HTTP CONNECT exchange
     void tunnelEstablishmentDone(Http::TunnelerAnswer &answer);
 
+    void deleteThis();
+
 public:
     bool keepGoingAfterRead(size_t len, Comm::Flag errcode, int xerrno, Connection &from, Connection &to);
     void copy(size_t len, Connection &from, Connection &to, IOCB *);
@@ -263,6 +285,16 @@
 
     void copyClientBytes();
     void copyServerBytes();
+
+    /// handles client-to-Squid connection closure; may destroy us
+    void clientClosed();
+
+    /// handles Squid-to-server connection closure; may destroy us
+    void serverClosed();
+
+    /// tries connecting to another destination, if available,
+    /// otherwise, initiates the transaction termination
+    void retryOrBail(const char *context);
 };
 
 static ERCB tunnelErrorComplete;
@@ -272,59 +304,53 @@
 static EVH tunnelDelayedClientRead;
 static EVH tunnelDelayedServerRead;
 
+/// TunnelStateData::serverClosed() wrapper
 static void
 tunnelServerClosed(const CommCloseCbParams &params)
 {
-    TunnelStateData *tunnelState = (TunnelStateData *)params.data;
-    debugs(26, 3, HERE << tunnelState->server.conn);
-    tunnelState->server.conn = NULL;
-    tunnelState->server.writer = NULL;
-
-    if (tunnelState->request != NULL)
-        tunnelState->request->hier.stopPeerClock(false);
-
-    if (tunnelState->noConnections()) {
-        // ConnStateData pipeline should contain the CONNECT we are performing
-        // but it may be invalid already (bug 4392)
-        if (tunnelState->http.valid() && tunnelState->http->getConn()) {
-            auto ctx = tunnelState->http->getConn()->pipeline.front();
-            if (ctx != nullptr)
-                ctx->finished();
-        }
-        delete tunnelState;
-        return;
-    }
+    const auto tunnelState = reinterpret_cast<TunnelStateData *>(params.data);
+    tunnelState->serverClosed();
+}
 
-    if (!tunnelState->client.writer) {
-        tunnelState->client.conn->close();
-        return;
-    }
+void
+TunnelStateData::serverClosed()
+{
+    server.noteClosure();
 }
 
+/// TunnelStateData::clientClosed() wrapper
 static void
 tunnelClientClosed(const CommCloseCbParams &params)
 {
-    TunnelStateData *tunnelState = (TunnelStateData *)params.data;
-    debugs(26, 3, HERE << tunnelState->client.conn);
-    tunnelState->client.conn = NULL;
-    tunnelState->client.writer = NULL;
+    const auto tunnelState = reinterpret_cast<TunnelStateData *>(params.data);
+    tunnelState->clientClosed();
+}
 
-    if (tunnelState->noConnections()) {
-        // ConnStateData pipeline should contain the CONNECT we are performing
-        // but it may be invalid already (bug 4392)
-        if (tunnelState->http.valid() && tunnelState->http->getConn()) {
-            auto ctx = tunnelState->http->getConn()->pipeline.front();
-            if (ctx != nullptr)
-                ctx->finished();
-        }
-        delete tunnelState;
-        return;
-    }
+void
+TunnelStateData::clientClosed()
+{
+    client.noteClosure();
 
-    if (!tunnelState->server.writer) {
-        tunnelState->server.conn->close();
-        return;
+    if (noConnections())
+        return deleteThis();
+
+    if (!server.writer)
+        server.conn->close();
+}
+
+/// destroys the tunnel (after performing potentially-throwing cleanup)
+void
+TunnelStateData::deleteThis()
+{
+    assert(noConnections());
+    // ConnStateData pipeline should contain the CONNECT we are performing
+    // but it may be invalid already (bug 4392)
+    if (const auto h = http.valid()) {
+        if (const auto c = h->getConn())
+            if (const auto ctx = c->pipeline.front())
+                ctx->finished();
     }
+    delete this;
 }
 
 TunnelStateData::TunnelStateData(ClientHttpRequest *clientRequest) :
@@ -332,6 +358,7 @@
     waitingForConnectExchange(false),
     destinations(new ResolvedPeers()),
     destinationsFound(false),
+    retriable(true),
     codeContext(CodeContext::Current())
 {
     debugs(26, 3, "TunnelStateData constructed this=" << this);
@@ -349,8 +376,7 @@
     al = clientRequest->al;
     http = clientRequest;
 
-    client.conn = clientRequest->getConn()->clientConnection;
-    comm_add_close_handler(client.conn->fd, tunnelClientClosed, this);
+    client.initConnection(clientRequest->getConn()->clientConnection, tunnelClientClosed, "tunnelClientClosed", this);
 
     AsyncCall::Pointer timeoutCall = commCbCall(5, 4, "tunnelTimeout",
                                      CommTimeoutCbPtrFun(tunnelTimeout, this));
@@ -375,6 +401,67 @@
     safe_free(buf);
 }
 
+const char *
+TunnelStateData::checkRetry()
+{
+    if (shutting_down)
+        return "shutting down";
+    if (!FwdState::EnoughTimeToReForward(startTime))
+        return "forwarding timeout";
+    if (!retriable)
+        return "not retriable";
+    if (noConnections())
+        return "no connections";
+    return nullptr;
+}
+
+void
+TunnelStateData::retryOrBail(const char *context)
+{
+    // Since no TCP payload has been passed to client or server, we may
+    // TCP-connect to other destinations (including alternate IPs).
+
+    assert(!server.conn);
+
+    const auto *bailDescription = checkRetry();
+    if (!bailDescription) {
+        if (!destinations->empty())
+            return startConnecting(); // try connecting to another destination
+
+        if (subscribed) {
+            debugs(26, 4, "wait for more destinations to try");
+            return; // expect a noteDestination*() call
+        }
+
+        // fall through to bail
+    }
+
+    /* bail */
+
+    if (request)
+        request->hier.stopPeerClock(false);
+
+    // TODO: Add sendSavedErrorOr(err_type type, Http::StatusCode, context).
+    // Then, the remaining method code (below) should become the common part of
+    // sendNewError() and sendSavedErrorOr(), used in "error detected" cases.
+    if (!savedError)
+        saveError(new ErrorState(ERR_CANNOT_FORWARD, Http::scInternalServerError, request.getRaw(), al));
+    const auto canSendError = Comm::IsConnOpen(client.conn) && !client.dirty &&
+                              clientExpectsConnectResponse();
+    if (canSendError)
+        return sendError(savedError, bailDescription ? bailDescription : context);
+    *status_ptr = savedError->httpStatus;
+
+    if (noConnections())
+        return deleteThis();
+
+    // This is a "Comm::IsConnOpen(client.conn) but !canSendError" case.
+    // Closing the connection (after finishing writing) is the best we can do.
+    if (!client.writer)
+        client.conn->close();
+    // else writeClientDone() must notice a closed server and close the client
+}
+
 int
 TunnelStateData::Connection::bytesWanted(int lowerbound, int upperbound) const
 {
@@ -636,9 +723,31 @@
 TunnelStateData::Connection::write(const char *b, int size, AsyncCall::Pointer &callback, FREE * free_func)
 {
     writer = callback;
+    dirty = true;
     Comm::Write(conn, b, size, callback, free_func);
 }
 
+template <typename Method>
+void
+TunnelStateData::Connection::initConnection(const Comm::ConnectionPointer &aConn, Method method, const char *name, TunnelStateData *tunnelState)
+{
+    Must(!Comm::IsConnOpen(conn));
+    Must(!closer);
+    Must(Comm::IsConnOpen(aConn));
+    conn = aConn;
+    closer = commCbCall(5, 4, name, CommCloseCbPtrFun(method, tunnelState));
+    comm_add_close_handler(conn->fd, closer);
+}
+
+void
+TunnelStateData::Connection::noteClosure()
+{
+    debugs(26, 3, conn);
+    conn = nullptr;
+    closer = nullptr;
+    writer = nullptr; // may already be nil
+}
+
 void
 TunnelStateData::writeClientDone(char *, size_t len, Comm::Flag flag, int xerrno)
 {
@@ -686,8 +795,7 @@
     /* Temporary lock to protect our own feets (comm_close -> tunnelClientClosed -> Free) */
     CbcPointer<TunnelStateData> safetyLock(tunnelState);
 
-    tunnelState->client.closeIfOpen();
-    tunnelState->server.closeIfOpen();
+    tunnelState->closeConnections();
 }
 
 void
@@ -700,10 +808,12 @@
 }
 
 void
-TunnelStateData::Connection::closeIfOpen()
+TunnelStateData::closeConnections()
 {
-    if (Comm::IsConnOpen(conn))
-        conn->close();
+    if (Comm::IsConnOpen(server.conn))
+        server.conn->close();
+    if (Comm::IsConnOpen(client.conn))
+        client.conn->close();
 }
 
 static void
@@ -881,13 +991,6 @@
         return;
     }
 
-    if (!clientExpectsConnectResponse()) {
-        // closing the non-HTTP client connection is the best we can do
-        debugs(50, 3, client.conn << " closing on CONNECT-to-peer error");
-        client.closeIfOpen();
-        return;
-    }
-
     ErrorState *error = nullptr;
     if (answer.positive()) {
         error = new ErrorState(ERR_CANNOT_FORWARD, Http::scServiceUnavailable, request.getRaw(), al);
@@ -898,15 +1001,15 @@
     }
     assert(error);
     saveError(error);
-    retryOrBail();
+    retryOrBail("tunneler error");
 }
 
 void
 TunnelStateData::notePeerReadyToShovel(const Comm::ConnectionPointer &conn)
 {
-    server.conn = conn;
-    // Start monitoring for server-side connection problems
-    comm_add_close_handler(server.conn->fd, tunnelServerClosed, this);
+    assert(!client.dirty);
+    retriable = false;
+    server.initConnection(conn, tunnelServerClosed, "tunnelServerClosed", this);
 
     if (!clientExpectsConnectResponse())
         tunnelStartShoveling(this); // ssl-bumped connection, be quiet
@@ -937,23 +1040,6 @@
         tunnelState->server.conn->close();
 }
 
-/// reacts to the current destination failure
-void
-TunnelStateData::retryOrBail()
-{
-    // Since no TCP payload has been passed to client or server, we may
-    // TCP-connect to other destinations (including alternate IPs).
-
-    if (!FwdState::EnoughTimeToReForward(startTime))
-        return sendError(savedError, "forwarding timeout");
-
-    if (!destinations->empty())
-        return startConnecting();
-
-    if (!PeerSelectionInitiator::subscribed)
-        return sendError(savedError, "tried all destinations");
-}
-
 void
 TunnelStateData::noteConnection(HappyConnOpener::Answer &answer)
 {
@@ -972,7 +1058,7 @@
 
     if (error) {
         saveError(error);
-        retryOrBail();
+        retryOrBail("tried all destinations");
         return;
     }
 
@@ -1068,8 +1154,8 @@
     if (const auto p = conn->getPeer()) {
         if (p->secure.encryptTransport)
             return advanceDestination("secure connection to peer", conn, [this,&conn] {
-                secureConnectionToPeer(conn);
-            });
+            secureConnectionToPeer(conn);
+        });
     }
 
     connectedToPeer(conn);
@@ -1101,7 +1187,7 @@
         closePendingConnection(conn, "connection preparation exception");
         if (!savedError)
             saveError(new ErrorState(ERR_CANNOT_FORWARD, Http::scInternalServerError, request.getRaw(), al));
-        retryOrBail();
+        retryOrBail(stepDescription);
     }
 }
 
@@ -1109,16 +1195,18 @@
 void
 TunnelStateData::noteSecurityPeerConnectorAnswer(Security::EncryptorAnswer &answer)
 {
-    if (ErrorState *error = answer.error.get()) {
+    ErrorState *error = nullptr;
+    if ((error = answer.error.get())) {
         Must(!Comm::IsConnOpen(answer.conn));
-        answer.error.clear(); // sendError() will own the error
-        sendError(error, "TLS peer connection error");
-        return;
+        answer.error.clear();
+    } else if (!Comm::IsConnOpen(answer.conn) || fd_table[answer.conn->fd].closing()) {
+        error = new ErrorState(ERR_CANNOT_FORWARD, Http::scServiceUnavailable, request.getRaw(), al);
+        closePendingConnection(answer.conn, "conn was closed while waiting for noteSecurityPeerConnectorAnswer");
     }
 
-    if (!Comm::IsConnOpen(answer.conn) || fd_table[answer.conn->fd].closing()) {
-        sendError(new ErrorState(ERR_CANNOT_FORWARD, Http::scServiceUnavailable, request.getRaw(), al), "connecion gone");
-        closePendingConnection(answer.conn, "conn was closed while waiting for noteSecurityPeerConnectorAnswer");
+    if (error) {
+        saveError(error);
+        retryOrBail("TLS peer connection error");
         return;
     }
 
@@ -1187,6 +1275,8 @@
     destinations->destinationsFinalized = true;
     if (!destinationsFound) {
 
+        // XXX: Honor clientExpectsConnectResponse() before replying.
+
         if (selectionError)
             return sendError(selectionError, "path selection has failed");
 
@@ -1271,7 +1361,7 @@
         request->hier.startPeerClock();
 
     assert(!destinations->empty());
-
+    assert(!opening());
     calls.connector = asyncCall(17, 5, "TunnelStateData::noteConnection", HappyConnOpener::CbDialer<TunnelStateData>(&TunnelStateData::noteConnection, this));
     const auto cs = new HappyConnOpener(destinations, calls.connector, request, startTime, 0, al);
     cs->setHost(request->url.host());
@@ -1303,6 +1393,7 @@
         connectDone(serverConn, connManager->pinning.host, reused);
     } catch (ErrorState * const error) {
         syncHierNote(nullptr, connManager ? connManager->pinning.host : request->url.host());
+        // XXX: Honor clientExpectsConnectResponse() before replying.
         // a PINNED path failure is fatal; do not wait for more paths
         sendError(error, "pinned path failure");
         return;
@@ -1339,9 +1430,15 @@
     }
 }
 
-#if USE_OPENSSL
+/**
+ * Sets up a TCP tunnel through Squid and starts shoveling traffic.
+ * \param request the request that initiated/caused this tunnel
+ * \param clientConn the already accepted client-to-Squid TCP connection
+ * \param srvConn the already established Squid-to-server TCP connection
+ * \param preReadServerData server-sent bytes to be forwarded to the client
+ */
 void
-switchToTunnel(HttpRequest *request, Comm::ConnectionPointer &clientConn, Comm::ConnectionPointer &srvConn)
+switchToTunnel(HttpRequest *request, const Comm::ConnectionPointer &clientConn, const Comm::ConnectionPointer &srvConn, const SBuf &preReadServerData)
 {
     Must(Comm::IsConnOpen(clientConn));
     Must(Comm::IsConnOpen(srvConn));
@@ -1360,13 +1457,11 @@
     debugs(26, 3, request->method << " " << context->http->uri << " " << request->http_ver);
 
     TunnelStateData *tunnelState = new TunnelStateData(context->http);
-
-    // tunnelStartShoveling() drains any buffered from-client data (inBuf)
-    fd_table[clientConn->fd].useDefaultIo();
+    tunnelState->retriable = false;
 
     request->hier.resetPeerNotes(srvConn, tunnelState->getHost());
 
-    tunnelState->server.conn = srvConn;
+    tunnelState->server.initConnection(srvConn, tunnelServerClosed, "tunnelServerClosed", tunnelState);
 
 #if USE_DELAY_POOLS
     /* no point using the delayIsNoDelay stuff since tunnel is nice and simple */
@@ -1375,7 +1470,6 @@
 #endif
 
     request->peer_host = srvConn->getPeer() ? srvConn->getPeer()->host : nullptr;
-    comm_add_close_handler(srvConn->fd, tunnelServerClosed, tunnelState);
 
     debugs(26, 4, "determine post-connect handling pathway.");
     if (const auto peer = srvConn->getPeer())
@@ -1383,15 +1477,8 @@
     else
         request->prepForDirect();
 
-    // we drain any already buffered from-server data below (rBufData)
-    fd_table[srvConn->fd].useDefaultIo();
+    tunnelState->preReadServerData = preReadServerData;
 
-    auto ssl = fd_table[srvConn->fd].ssl.get();
-    assert(ssl);
-    BIO *b = SSL_get_rbio(ssl);
-    Ssl::ServerBio *srvBio = static_cast<Ssl::ServerBio *>(BIO_get_data(b));
-    tunnelState->preReadServerData = srvBio->rBufData();
     tunnelStartShoveling(tunnelState);
 }
-#endif //USE_OPENSSL
 
diff -u -r -N squid-5.0.3/src/wccp2.cc squid-5.0.4/src/wccp2.cc
--- squid-5.0.3/src/wccp2.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/src/wccp2.cc	2020-08-23 05:40:17.000000000 +1200
@@ -49,7 +49,7 @@
 
 /* Useful defines */
 #define WCCP2_NUMPORTS  8
-#define WCCP2_PASSWORD_LEN  8
+#define WCCP2_PASSWORD_LEN  8 + 1 /* + 1 for C-string NUL terminator */
 
 /* WCCPv2 Pakcet format structures */
 /* Defined in draft-wilson-wccp-v2-12-oct-2001.txt */
@@ -451,7 +451,7 @@
     size_t wccp_packet_size;
 
     struct wccp2_service_list_t *next;
-    char wccp_password[WCCP2_PASSWORD_LEN + 1];     /* hold the trailing C-string NUL */
+    char wccp_password[WCCP2_PASSWORD_LEN];     /* hold the trailing C-string NUL */
     uint32_t wccp2_security_type;
 };
 
@@ -519,8 +519,8 @@
     wccp2_update_service(wccp2_service_list_ptr, service, service_id,
                          service_priority, service_proto, service_flags, ports);
     wccp2_service_list_ptr->wccp2_security_type = security_type;
-    memset(wccp2_service_list_ptr->wccp_password, 0, WCCP2_PASSWORD_LEN + 1);
-    strncpy(wccp2_service_list_ptr->wccp_password, password, WCCP2_PASSWORD_LEN);
+    memset(wccp2_service_list_ptr->wccp_password, 0, WCCP2_PASSWORD_LEN);
+    xstrncpy(wccp2_service_list_ptr->wccp_password, password, WCCP2_PASSWORD_LEN);
     /* add to linked list - XXX this should use the Squid dlink* routines! */
     wccp2_service_list_ptr->next = wccp2_service_list_head;
     wccp2_service_list_head = wccp2_service_list_ptr;
@@ -562,8 +562,7 @@
 
     /* The password field, for the MD5 hash, needs to be 8 bytes and NUL padded. */
     memset(pwd, 0, sizeof(pwd));
-    strncpy(pwd, password, sizeof(pwd));
-    pwd[sizeof(pwd) - 1] = '\0';
+    xstrncpy(pwd, password, sizeof(pwd));
 
     ws = (struct wccp2_security_md5_t *) ptr;
     assert(ntohs(ws->security_type) == WCCP2_SECURITY_INFO);
@@ -630,8 +629,7 @@
 
     /* The password field, for the MD5 hash, needs to be 8 bytes and NUL padded. */
     memset(pwd, 0, sizeof(pwd));
-    strncpy(pwd, srv->wccp_password, sizeof(pwd));
-    pwd[sizeof(pwd) - 1] = '\0';
+    xstrncpy(pwd, srv->wccp_password, sizeof(pwd));
 
     /* Take a copy of the challenge: we need to NUL it before comparing */
     memcpy(md5_challenge, ws->security_implementation, sizeof(md5_challenge));
@@ -1155,7 +1153,7 @@
 
     Comm::SetSelect(sock, COMM_SELECT_READ, wccp2HandleUdp, NULL, 0);
 
-    /* FIXME INET6 : drop conversion boundary */
+    // TODO: drop conversion boundary
     Ip::Address from_tmp;
     from_tmp.setIPv4();
 
@@ -1174,7 +1172,7 @@
     if (ntohl(wccp2_i_see_you.type) != WCCP2_I_SEE_YOU)
         return;
 
-    /* FIXME INET6 : drop conversion boundary */
+    // XXX: drop conversion boundary
     from_tmp.getSockAddr(from);
 
     debugs(80, 3, "Incoming WCCPv2 I_SEE_YOU length " << ntohs(wccp2_i_see_you.length) << ".");
@@ -1964,7 +1962,7 @@
             if (ntohl(router_list_ptr->num_caches)) {
                 /* send packet */
 
-                /* FIXME INET6 : drop temp conversion */
+                // XXX: drop temp conversion
                 Ip::Address tmp_rtr(router);
 
                 if (wccp2_numrouters > 1) {
@@ -2098,7 +2096,7 @@
     int service = 0;
     int service_id = 0;
     int security_type = WCCP2_NO_SECURITY;
-    char wccp_password[WCCP2_PASSWORD_LEN + 1];
+    char wccp_password[WCCP2_PASSWORD_LEN];
 
     if (wccp2_connected == 1) {
         debugs(80, DBG_IMPORTANT, "WCCPv2: Somehow reparsing the configuration without having shut down WCCP! Try reloading squid again.");
@@ -2137,7 +2135,7 @@
     if ((t = ConfigParser::NextToken()) != NULL) {
         if (strncmp(t, "password=", 9) == 0) {
             security_type = WCCP2_MD5_SECURITY;
-            strncpy(wccp_password, t + 9, WCCP2_PASSWORD_LEN);
+            xstrncpy(wccp_password, t + 9, sizeof(wccp_password));
         }
     }
 
diff -u -r -N squid-5.0.3/test-suite/splay.cc squid-5.0.4/test-suite/splay.cc
--- squid-5.0.3/test-suite/splay.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/test-suite/splay.cc	2020-08-23 05:40:17.000000000 +1200
@@ -16,6 +16,7 @@
 #include "util.h"
 
 #include <cstdlib>
+#include <functional>
 #if HAVE_UNISTD_H
 #include <unistd.h>
 #endif
diff -u -r -N squid-5.0.3/test-suite/stub_libmem.cc squid-5.0.4/test-suite/stub_libmem.cc
--- squid-5.0.3/test-suite/stub_libmem.cc	2020-06-09 19:09:23.000000000 +1200
+++ squid-5.0.4/test-suite/stub_libmem.cc	2020-08-23 05:50:08.000000000 +1200
@@ -9,7 +9,7 @@
 #include "squid.h"
 
 #define STUB_API "mem/libmem.la"
-#include "STUB.h"
+#include "tests/STUB.h"
 
 #include "mem/AllocatorProxy.h"
 void *Mem::AllocatorProxy::alloc() {return xmalloc(64*1024);}
diff -u -r -N squid-5.0.3/tools/helper-mux/helper-mux.8 squid-5.0.4/tools/helper-mux/helper-mux.8
--- squid-5.0.3/tools/helper-mux/helper-mux.8	2020-06-09 19:09:23.000000000 +1200
+++ squid-5.0.4/tools/helper-mux/helper-mux.8	2020-08-23 05:50:08.000000000 +1200
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "HELPER-MUX 8"
-.TH HELPER-MUX 8 "2020-06-09" "perl v5.30.3" "User Contributed Perl Documentation"
+.TH HELPER-MUX 8 "2020-08-22" "perl v5.30.3" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -186,12 +186,12 @@
 \&   it under the terms of the GNU General Public License as published by
 \&   the Free Software Foundation; either version 2 of the License, or
 \&   (at your option) any later version.
-\& 
+\&
 \&   This program is distributed in the hope that it will be useful,
 \&   but WITHOUT ANY WARRANTY; without even the implied warranty of
 \&   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 \&   GNU General Public License for more details.
-\& 
+\&
 \&   You should have received a copy of the GNU General Public License
 \&   along with this program; if not, write to the Free Software
 \&   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
diff -u -r -N squid-5.0.3/tools/helper-mux/helper-mux.pl.in squid-5.0.4/tools/helper-mux/helper-mux.pl.in
--- squid-5.0.3/tools/helper-mux/helper-mux.pl.in	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/tools/helper-mux/helper-mux.pl.in	2020-08-23 05:40:17.000000000 +1200
@@ -66,12 +66,12 @@
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
- 
+
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
- 
+
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -85,8 +85,8 @@
 $Getopt::Std::STANDARD_HELP_VERSION=1;
 getopts('h', \%opts) or die ("unrecognized options");
 if (defined $opts{h}) {
-	HELP_MESSAGE();
-	exit 0;
+    HELP_MESSAGE();
+    exit 0;
 }
 my $actual_helper_cmd=join(" ",@ARGV);
 
@@ -106,98 +106,98 @@
 # main loop
 $|=1;
 while(1) {
-	print STDERR "selecting\n";
-	$nfound=select($rd=$rvec,undef,undef,undef);
-	#$nfound=select($rd=$rvec,undef,$cl=$rvec,undef);
-	print STDERR "nfound: $nfound\n";
-	if ($nfound == -1 ) {
-		print STDERR "error in select: $!\n";
-		if ($!{ERESTART} || $!{EAGAIN} || $!{EINTR}) {
-			next;
-		}
-		exit 1;
-	}
-	#print STDERR "cl: ", unpack("b*", $cl) ,"\n";
-	print STDERR "rd: ", unpack("b*", $rd) ,"\n";
-	# stdin is special
-	#if (vec($cl,0,1)==1) { #stdin was closed
-	#	print STDERR "stdin closed\n";
-	#	exit(0);
-	#}
-	if (vec($rd,0,1)==1) { #got stuff from stdin
-		#TODO: handle leftover buffers? I hope that 40kb are enough..
-		$nread=sysread(STDIN,$_,40960); # read 40kb
-		# clear the signal-bit, stdin is special
-		vec($rd,0,1)=0;
-		if ($nread==0) {
-			print STDERR "nothing read from stdin\n";
-			exit 0;
-		}
-		foreach $req (split("\n",$_ )) {
-			dispatch_request($req);
-		}
-	}
-	# find out if any filedesc was closed
-	if ($cl != 0) {
-		#TODO: better handle helper restart
-		print STDERR "helper crash?";
-		exit 1;
-	}
-	#TODO: is it possible to test the whole bitfield in one go?
-	#      != won't work.
-	foreach $h (keys %helpers) {
-		my %hlp=%{$helpers{$h}};
-		#print STDERR "examining helper slot $h, fileno $hlp{fno}, filemask ", vec($rd,$hlp{fno},1) , "\n";
-		if (vec($rd,$hlp{fno},1)==1) {
-			#print STDERR "found\n";
-			handle_helper_response($h);
-		}
-		#no need to clear, it will be reset when iterating
-	}
+    print STDERR "selecting\n";
+    $nfound=select($rd=$rvec,undef,undef,undef);
+    #$nfound=select($rd=$rvec,undef,$cl=$rvec,undef);
+    print STDERR "nfound: $nfound\n";
+    if ($nfound == -1 ) {
+        print STDERR "error in select: $!\n";
+        if ($!{ERESTART} || $!{EAGAIN} || $!{EINTR}) {
+            next;
+        }
+        exit 1;
+    }
+    #print STDERR "cl: ", unpack("b*", $cl) ,"\n";
+    print STDERR "rd: ", unpack("b*", $rd) ,"\n";
+    # stdin is special
+    #if (vec($cl,0,1)==1) { #stdin was closed
+    #    print STDERR "stdin closed\n";
+    #    exit(0);
+    #}
+    if (vec($rd,0,1)==1) { #got stuff from stdin
+        #TODO: handle leftover buffers? I hope that 40kb are enough..
+        $nread=sysread(STDIN,$_,40960); # read 40kb
+        # clear the signal-bit, stdin is special
+        vec($rd,0,1)=0;
+        if ($nread==0) {
+            print STDERR "nothing read from stdin\n";
+            exit 0;
+        }
+        foreach $req (split("\n",$_ )) {
+            dispatch_request($req);
+        }
+    }
+    # find out if any filedesc was closed
+    if ($cl != 0) {
+        #TODO: better handle helper restart
+        print STDERR "helper crash?";
+        exit 1;
+    }
+    #TODO: is it possible to test the whole bitfield in one go?
+    #      != won't work.
+    foreach $h (keys %helpers) {
+        my %hlp=%{$helpers{$h}};
+#print STDERR "examining helper slot $h, fileno $hlp{fno}, filemask ", vec($rd,$hlp{fno},1) , "\n";
+        if (vec($rd,$hlp{fno},1)==1) {
+            #print STDERR "found\n";
+            handle_helper_response($h);
+        }
+        #no need to clear, it will be reset when iterating
+    }
 }
 
 sub dispatch_request {
-	my $line=$_[0];
-	my %h;
+    my $line=$_[0];
+    my %h;
 
-	#print STDERR "dispatching request $_";
-	$line =~ /^(\d+) (.*)$/;
-	my $reqId=$1;
-	my $req=$2;
-
-        undef $h;
-	# Find a free helper
-	foreach $slot ( 1 .. ($helpers_running)) {
-		if (!defined($helpers{$slot}->{lastcmd})) {
-			$h = $helpers{$slot};
-			last;
-		}
-	}
-	# If none create one
-	if (!defined($h)) {
-		$helpers_running = $helpers_running + 1;
-		$helpers{$helpers_running}=init_subprocess();
-		$h = $helpers{$helpers_running};
-		# print STDERR "Now $helpers_running helpers running\n";
-	}
-
-	$wh=$h->{wh};
-	$rh=$h->{rh};
-	$h->{lastcmd}=$req;
-	$h->{reqId}=$reqId;
-	print $wh "$req\n";
+    #print STDERR "dispatching request $_";
+    $line =~ /^(\d+) (.*)$/;
+    my $reqId=$1;
+    my $req=$2;
+
+    undef $h;
+    # Find a free helper
+    foreach $slot ( 1 .. ($helpers_running)) {
+        if (!defined($helpers{$slot}->{lastcmd})) {
+            $h = $helpers{$slot};
+            last;
+        }
+    }
+    # If none create one
+    if (!defined($h)) {
+        $helpers_running = $helpers_running + 1;
+        $helpers{$helpers_running}=init_subprocess();
+        $h = $helpers{$helpers_running};
+        # print STDERR "Now $helpers_running helpers running\n";
+    }
+
+    $wh=$h->{wh};
+    $rh=$h->{rh};
+    $h->{lastcmd}=$req;
+    $h->{reqId}=$reqId;
+    print $wh "$req\n";
 }
 
 # gets in a slot number having got some response.
 # reads the response from the helper and sends it back to squid
 # prints the response back
 sub handle_helper_response {
-	my $h=$_[0];
-	my ($nread,$resp);
-	$nread=sysread($helpers{$h}->{rh},$resp,40960);
-	#print STDERR "got $resp from slot $h\n";
-	print $helpers{$h}->{reqId}, " ", $resp;
-	delete $helpers{$h}->{lastcmd};
+    my $h=$_[0];
+    my ($nread,$resp);
+    $nread=sysread($helpers{$h}->{rh},$resp,40960);
+    #print STDERR "got $resp from slot $h\n";
+    print $helpers{$h}->{reqId}, " ", $resp;
+    delete $helpers{$h}->{lastcmd};
 }
 
 # a subprocess is a hash with members:
@@ -208,58 +208,58 @@
 #  lastcmd => the command "in flight"
 # a ref to such a hash is returned by this call
 sub init_subprocess {
-	my %rv=();
-	my ($rh,$wh,$pid);
-	$pid=open2($rh,$wh,$actual_helper_cmd);
-	if ($pid == 0) {
-		die "Failed to fork helper process";
-	}
-	select($rh); $|=1;
-	select($wh); $|=1;
-	select(STDOUT);
-	$rv{rh}=$rh;
-	$rv{wh}=$wh;
-	$rv{pid}=$pid;
-	$rv{fno}=fileno($rh);
-	print STDERR "fileno is $rv{fno}\n";
-	vec($rvec,$rv{fno},1)=1;
-	return \%rv;
+    my %rv=();
+    my ($rh,$wh,$pid);
+    $pid=open2($rh,$wh,$actual_helper_cmd);
+    if ($pid == 0) {
+        die "Failed to fork helper process";
+    }
+    select($rh); $|=1;
+    select($wh); $|=1;
+    select(STDOUT);
+    $rv{rh}=$rh;
+    $rv{wh}=$wh;
+    $rv{pid}=$pid;
+    $rv{fno}=fileno($rh);
+    print STDERR "fileno is $rv{fno}\n";
+    vec($rvec,$rv{fno},1)=1;
+    return \%rv;
 }
 
 sub HELP_MESSAGE {
-	print STDERR <<EOF
+    print STDERR <<EOF
 $0 options:
-	-h this help message
+    -h this help message
    arguments:
-	the actual helper executable and its arguments.
-	it's advisable to prefix it with "--" to avoid confusion
+    the actual helper executable and its arguments.
+    it's advisable to prefix it with "--" to avoid confusion
 EOF
 }
 
 sub dump_state {
-	$SIG{'HUP'}=\&dump_state;
-	print STDERR "Helpers state:\n",Dumper(\%helpers),"\n";
+    $SIG{'HUP'}=\&dump_state;
+    print STDERR "Helpers state:\n",Dumper(\%helpers),"\n";
 }
 
 # finds and returns the slot number of a helper, -1 if not found
 # args: - key in helpers
 #       - value to look for
 sub find_helper_slot {
-	my ($k,$v) = @_;
-	foreach (keys %helpers) {
-		return $_ if $helpers{$k}==$v;
-	}
-	return -1;
+    my ($k,$v) = @_;
+    foreach (keys %helpers) {
+        return $_ if $helpers{$k}==$v;
+    }
+    return -1;
 }
 
 sub reaper {
-	my $child=wait;
-	print STDERR "child $child died\n";
-	$SIG{'CHLD'}=\&reaper;
-	$slot = find_helper_slot('pid',$child);
-	print STDERR "slot is $slot\n";
-	#TODO: find the died child, if it was mid-process through a request
-	#      send a "BH" to squid and de-init its data-structs here
-	exit 1;
+    my $child=wait;
+    print STDERR "child $child died\n";
+    $SIG{'CHLD'}=\&reaper;
+    $slot = find_helper_slot('pid',$child);
+    print STDERR "slot is $slot\n";
+    #TODO: find the died child, if it was mid-process through a request
+    #      send a "BH" to squid and de-init its data-structs here
+    exit 1;
 }
 
diff -u -r -N squid-5.0.3/tools/helper-ok-dying.pl squid-5.0.4/tools/helper-ok-dying.pl
--- squid-5.0.3/tools/helper-ok-dying.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/tools/helper-ok-dying.pl	2020-08-23 05:40:17.000000000 +1200
@@ -9,6 +9,6 @@
 
 $|=1;
 while (<>) {
-	print "OK\n";
+    print "OK\n";
 }
 print STDERR "stdin closed, exit\n";
diff -u -r -N squid-5.0.3/tools/helper-ok.pl squid-5.0.4/tools/helper-ok.pl
--- squid-5.0.3/tools/helper-ok.pl	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/tools/helper-ok.pl	2020-08-23 05:40:17.000000000 +1200
@@ -9,7 +9,7 @@
 
 $|=1;
 while (<>) {
-	sleep 10;
-	print "OK\n";
+    sleep 10;
+    print "OK\n";
 }
 print STDERR "stdin closed, exit\n";
diff -u -r -N squid-5.0.3/tools/Makefile.am squid-5.0.4/tools/Makefile.am
--- squid-5.0.3/tools/Makefile.am	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/tools/Makefile.am	2020-08-23 05:40:17.000000000 +1200
@@ -31,7 +31,7 @@
 test_tools.cc: $(top_srcdir)/test-suite/test_tools.cc
 	cp $(top_srcdir)/test-suite/test_tools.cc $@
 
-stub_debug.cc: $(top_srcdir)/src/tests/stub_debug.cc
+tests/stub_debug.cc: $(top_srcdir)/src/tests/stub_debug.cc
 	cp $(top_srcdir)/src/tests/stub_debug.cc $@
 
 Here.cc: $(top_srcdir)/src/base/Here.cc
@@ -46,13 +46,13 @@
 time.cc: $(top_srcdir)/src/time.cc
 	cp $(top_srcdir)/src/time.cc $@
 
-stub_cbdata.cc: $(top_srcdir)/src/tests/stub_cbdata.cc
+tests/stub_cbdata.cc: $(top_srcdir)/src/tests/stub_cbdata.cc
 	cp $(top_srcdir)/src/tests/stub_cbdata.cc $@
 
-stub_libmem.cc: $(top_srcdir)/src/tests/stub_libmem.cc STUB.h
+tests/stub_libmem.cc: $(top_srcdir)/src/tests/stub_libmem.cc
 	cp $(top_srcdir)/src/tests/stub_libmem.cc $@
 
-STUB.h: $(top_srcdir)/src/tests/STUB.h
+tests/STUB.h: $(top_srcdir)/src/tests/STUB.h
 	cp $(top_srcdir)/src/tests/STUB.h $@
 
 # stock tools for unit tests - library independent versions of dlink_list
@@ -60,7 +60,7 @@
 # globals.cc is needed by test_tools.cc.
 # Neither of these should be disted from here.
 TESTSOURCES= test_tools.cc
-CLEANFILES += test_tools.cc Here.cc CharacterSet.cc MemBuf.cc stub_debug.cc time.cc stub_cbdata.cc stub_libmem.cc STUB.h
+CLEANFILES += test_tools.cc Here.cc CharacterSet.cc MemBuf.cc tests/stub_debug.cc time.cc tests/stub_cbdata.cc tests/stub_libmem.cc tests/STUB.h
 
 ## Test Scripts
 EXTRA_DIST += helper-ok-dying.pl helper-ok.pl
@@ -71,17 +71,20 @@
 
 libexec_PROGRAMS = cachemgr$(CGIEXT)
 
-cachemgr__CGIEXT__SOURCES = cachemgr.cc \
+cachemgr__CGIEXT__SOURCES = \
+	cachemgr.cc \
 	CharacterSet.cc \
 	Here.cc \
 	MemBuf.cc \
-	stub_cbdata.cc \
-	stub_debug.cc \
-	stub_libmem.cc \
 	test_tools.cc \
-	STUB.h \
 	time.cc
 
+nodist_cachemgr__CGIEXT__SOURCES = \
+	tests/STUB.h \
+	tests/stub_cbdata.cc \
+	tests/stub_debug.cc \
+	tests/stub_libmem.cc
+
 cachemgr__CGIEXT__CXXFLAGS = -DDEFAULT_CACHEMGR_CONFIG=\"$(DEFAULT_CACHEMGR_CONFIG)\" $(AM_CXXFLAGS)
 
 EXTRA_DIST += cachemgr.conf cachemgr.cgi.8 cachemgr.cgi.8.in
diff -u -r -N squid-5.0.3/tools/Makefile.in squid-5.0.4/tools/Makefile.in
--- squid-5.0.3/tools/Makefile.in	2020-06-09 18:58:24.000000000 +1200
+++ squid-5.0.4/tools/Makefile.in	2020-08-23 05:39:45.000000000 +1200
@@ -170,12 +170,15 @@
 	cachemgr__CGIEXT_-CharacterSet.$(OBJEXT) \
 	cachemgr__CGIEXT_-Here.$(OBJEXT) \
 	cachemgr__CGIEXT_-MemBuf.$(OBJEXT) \
-	cachemgr__CGIEXT_-stub_cbdata.$(OBJEXT) \
-	cachemgr__CGIEXT_-stub_debug.$(OBJEXT) \
-	cachemgr__CGIEXT_-stub_libmem.$(OBJEXT) \
 	cachemgr__CGIEXT_-test_tools.$(OBJEXT) \
 	cachemgr__CGIEXT_-time.$(OBJEXT)
-cachemgr__CGIEXT__OBJECTS = $(am_cachemgr__CGIEXT__OBJECTS)
+am__dirstamp = $(am__leading_dot)dirstamp
+nodist_cachemgr__CGIEXT__OBJECTS =  \
+	tests/cachemgr__CGIEXT_-stub_cbdata.$(OBJEXT) \
+	tests/cachemgr__CGIEXT_-stub_debug.$(OBJEXT) \
+	tests/cachemgr__CGIEXT_-stub_libmem.$(OBJEXT)
+cachemgr__CGIEXT__OBJECTS = $(am_cachemgr__CGIEXT__OBJECTS) \
+	$(nodist_cachemgr__CGIEXT__OBJECTS)
 cachemgr__CGIEXT__LDADD = $(LDADD)
 @ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
 am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompatsquid.la \
@@ -213,11 +216,11 @@
 	./$(DEPDIR)/cachemgr__CGIEXT_-Here.Po \
 	./$(DEPDIR)/cachemgr__CGIEXT_-MemBuf.Po \
 	./$(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Po \
-	./$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po \
-	./$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po \
-	./$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Po \
 	./$(DEPDIR)/cachemgr__CGIEXT_-test_tools.Po \
-	./$(DEPDIR)/cachemgr__CGIEXT_-time.Po
+	./$(DEPDIR)/cachemgr__CGIEXT_-time.Po \
+	tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po \
+	tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po \
+	tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Po
 am__mv = mv -f
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
@@ -255,7 +258,8 @@
 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
 am__v_CCLD_0 = @echo "  CCLD    " $@;
 am__v_CCLD_1 = 
-SOURCES = $(cachemgr__CGIEXT__SOURCES)
+SOURCES = $(cachemgr__CGIEXT__SOURCES) \
+	$(nodist_cachemgr__CGIEXT__SOURCES)
 DIST_SOURCES = $(cachemgr__CGIEXT__SOURCES)
 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
 	ctags-recursive dvi-recursive html-recursive info-recursive \
@@ -791,8 +795,8 @@
 AM_CFLAGS = $(SQUID_CFLAGS)
 AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = test_tools.cc Here.cc CharacterSet.cc MemBuf.cc \
-	stub_debug.cc time.cc stub_cbdata.cc stub_libmem.cc STUB.h \
-	cachemgr.cgi.8
+	tests/stub_debug.cc time.cc tests/stub_cbdata.cc \
+	tests/stub_libmem.cc tests/STUB.h cachemgr.cgi.8
 AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
 	-I$(top_srcdir)/lib -I$(top_srcdir)/src \
 	-I$(top_builddir)/include $(LIBCPPUNIT_CFLAGS) $(KRB5INCS) \
@@ -831,17 +835,20 @@
 # Neither of these should be disted from here.
 TESTSOURCES = test_tools.cc
 DEFAULT_CACHEMGR_CONFIG = $(sysconfdir)/cachemgr.conf
-cachemgr__CGIEXT__SOURCES = cachemgr.cc \
+cachemgr__CGIEXT__SOURCES = \
+	cachemgr.cc \
 	CharacterSet.cc \
 	Here.cc \
 	MemBuf.cc \
-	stub_cbdata.cc \
-	stub_debug.cc \
-	stub_libmem.cc \
 	test_tools.cc \
-	STUB.h \
 	time.cc
 
+nodist_cachemgr__CGIEXT__SOURCES = \
+	tests/STUB.h \
+	tests/stub_cbdata.cc \
+	tests/stub_debug.cc \
+	tests/stub_libmem.cc
+
 cachemgr__CGIEXT__CXXFLAGS = -DDEFAULT_CACHEMGR_CONFIG=\"$(DEFAULT_CACHEMGR_CONFIG)\" $(AM_CXXFLAGS)
 all: all-recursive
 
@@ -935,6 +942,18 @@
 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
 	echo " rm -f" $$list; \
 	rm -f $$list
+tests/$(am__dirstamp):
+	@$(MKDIR_P) tests
+	@: > tests/$(am__dirstamp)
+tests/$(DEPDIR)/$(am__dirstamp):
+	@$(MKDIR_P) tests/$(DEPDIR)
+	@: > tests/$(DEPDIR)/$(am__dirstamp)
+tests/cachemgr__CGIEXT_-stub_cbdata.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
+tests/cachemgr__CGIEXT_-stub_debug.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
+tests/cachemgr__CGIEXT_-stub_libmem.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
 
 cachemgr$(CGIEXT)$(EXEEXT): $(cachemgr__CGIEXT__OBJECTS) $(cachemgr__CGIEXT__DEPENDENCIES) $(EXTRA_cachemgr__CGIEXT__DEPENDENCIES) 
 	@rm -f cachemgr$(CGIEXT)$(EXEEXT)
@@ -942,6 +961,7 @@
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
+	-rm -f tests/*.$(OBJEXT)
 
 distclean-compile:
 	-rm -f *.tab.c
@@ -950,11 +970,11 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-Here.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-MemBuf.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-test_tools.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-time.Po@am__quote@ # am--include-marker
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po@am__quote@ # am--include-marker
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po@am__quote@ # am--include-marker
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Po@am__quote@ # am--include-marker
 
 $(am__depfiles_remade):
 	@$(MKDIR_P) $(@D)
@@ -1042,48 +1062,6 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-MemBuf.obj `if test -f 'MemBuf.cc'; then $(CYGPATH_W) 'MemBuf.cc'; else $(CYGPATH_W) '$(srcdir)/MemBuf.cc'; fi`
 
-cachemgr__CGIEXT_-stub_cbdata.o: stub_cbdata.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_cbdata.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Tpo -c -o cachemgr__CGIEXT_-stub_cbdata.o `test -f 'stub_cbdata.cc' || echo '$(srcdir)/'`stub_cbdata.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='stub_cbdata.cc' object='cachemgr__CGIEXT_-stub_cbdata.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_cbdata.o `test -f 'stub_cbdata.cc' || echo '$(srcdir)/'`stub_cbdata.cc
-
-cachemgr__CGIEXT_-stub_cbdata.obj: stub_cbdata.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_cbdata.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Tpo -c -o cachemgr__CGIEXT_-stub_cbdata.obj `if test -f 'stub_cbdata.cc'; then $(CYGPATH_W) 'stub_cbdata.cc'; else $(CYGPATH_W) '$(srcdir)/stub_cbdata.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='stub_cbdata.cc' object='cachemgr__CGIEXT_-stub_cbdata.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_cbdata.obj `if test -f 'stub_cbdata.cc'; then $(CYGPATH_W) 'stub_cbdata.cc'; else $(CYGPATH_W) '$(srcdir)/stub_cbdata.cc'; fi`
-
-cachemgr__CGIEXT_-stub_debug.o: stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_debug.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo -c -o cachemgr__CGIEXT_-stub_debug.o `test -f 'stub_debug.cc' || echo '$(srcdir)/'`stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='stub_debug.cc' object='cachemgr__CGIEXT_-stub_debug.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_debug.o `test -f 'stub_debug.cc' || echo '$(srcdir)/'`stub_debug.cc
-
-cachemgr__CGIEXT_-stub_debug.obj: stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_debug.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo -c -o cachemgr__CGIEXT_-stub_debug.obj `if test -f 'stub_debug.cc'; then $(CYGPATH_W) 'stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/stub_debug.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='stub_debug.cc' object='cachemgr__CGIEXT_-stub_debug.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_debug.obj `if test -f 'stub_debug.cc'; then $(CYGPATH_W) 'stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/stub_debug.cc'; fi`
-
-cachemgr__CGIEXT_-stub_libmem.o: stub_libmem.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_libmem.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Tpo -c -o cachemgr__CGIEXT_-stub_libmem.o `test -f 'stub_libmem.cc' || echo '$(srcdir)/'`stub_libmem.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='stub_libmem.cc' object='cachemgr__CGIEXT_-stub_libmem.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_libmem.o `test -f 'stub_libmem.cc' || echo '$(srcdir)/'`stub_libmem.cc
-
-cachemgr__CGIEXT_-stub_libmem.obj: stub_libmem.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_libmem.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Tpo -c -o cachemgr__CGIEXT_-stub_libmem.obj `if test -f 'stub_libmem.cc'; then $(CYGPATH_W) 'stub_libmem.cc'; else $(CYGPATH_W) '$(srcdir)/stub_libmem.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='stub_libmem.cc' object='cachemgr__CGIEXT_-stub_libmem.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_libmem.obj `if test -f 'stub_libmem.cc'; then $(CYGPATH_W) 'stub_libmem.cc'; else $(CYGPATH_W) '$(srcdir)/stub_libmem.cc'; fi`
-
 cachemgr__CGIEXT_-test_tools.o: test_tools.cc
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-test_tools.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Tpo -c -o cachemgr__CGIEXT_-test_tools.o `test -f 'test_tools.cc' || echo '$(srcdir)/'`test_tools.cc
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Tpo $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Po
@@ -1112,6 +1090,48 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-time.obj `if test -f 'time.cc'; then $(CYGPATH_W) 'time.cc'; else $(CYGPATH_W) '$(srcdir)/time.cc'; fi`
 
+tests/cachemgr__CGIEXT_-stub_cbdata.o: tests/stub_cbdata.cc
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT tests/cachemgr__CGIEXT_-stub_cbdata.o -MD -MP -MF tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Tpo -c -o tests/cachemgr__CGIEXT_-stub_cbdata.o `test -f 'tests/stub_cbdata.cc' || echo '$(srcdir)/'`tests/stub_cbdata.cc
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Tpo tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='tests/stub_cbdata.cc' object='tests/cachemgr__CGIEXT_-stub_cbdata.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o tests/cachemgr__CGIEXT_-stub_cbdata.o `test -f 'tests/stub_cbdata.cc' || echo '$(srcdir)/'`tests/stub_cbdata.cc
+
+tests/cachemgr__CGIEXT_-stub_cbdata.obj: tests/stub_cbdata.cc
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT tests/cachemgr__CGIEXT_-stub_cbdata.obj -MD -MP -MF tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Tpo -c -o tests/cachemgr__CGIEXT_-stub_cbdata.obj `if test -f 'tests/stub_cbdata.cc'; then $(CYGPATH_W) 'tests/stub_cbdata.cc'; else $(CYGPATH_W) '$(srcdir)/tests/stub_cbdata.cc'; fi`
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Tpo tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='tests/stub_cbdata.cc' object='tests/cachemgr__CGIEXT_-stub_cbdata.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o tests/cachemgr__CGIEXT_-stub_cbdata.obj `if test -f 'tests/stub_cbdata.cc'; then $(CYGPATH_W) 'tests/stub_cbdata.cc'; else $(CYGPATH_W) '$(srcdir)/tests/stub_cbdata.cc'; fi`
+
+tests/cachemgr__CGIEXT_-stub_debug.o: tests/stub_debug.cc
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT tests/cachemgr__CGIEXT_-stub_debug.o -MD -MP -MF tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo -c -o tests/cachemgr__CGIEXT_-stub_debug.o `test -f 'tests/stub_debug.cc' || echo '$(srcdir)/'`tests/stub_debug.cc
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='tests/stub_debug.cc' object='tests/cachemgr__CGIEXT_-stub_debug.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o tests/cachemgr__CGIEXT_-stub_debug.o `test -f 'tests/stub_debug.cc' || echo '$(srcdir)/'`tests/stub_debug.cc
+
+tests/cachemgr__CGIEXT_-stub_debug.obj: tests/stub_debug.cc
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT tests/cachemgr__CGIEXT_-stub_debug.obj -MD -MP -MF tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo -c -o tests/cachemgr__CGIEXT_-stub_debug.obj `if test -f 'tests/stub_debug.cc'; then $(CYGPATH_W) 'tests/stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/tests/stub_debug.cc'; fi`
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='tests/stub_debug.cc' object='tests/cachemgr__CGIEXT_-stub_debug.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o tests/cachemgr__CGIEXT_-stub_debug.obj `if test -f 'tests/stub_debug.cc'; then $(CYGPATH_W) 'tests/stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/tests/stub_debug.cc'; fi`
+
+tests/cachemgr__CGIEXT_-stub_libmem.o: tests/stub_libmem.cc
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT tests/cachemgr__CGIEXT_-stub_libmem.o -MD -MP -MF tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Tpo -c -o tests/cachemgr__CGIEXT_-stub_libmem.o `test -f 'tests/stub_libmem.cc' || echo '$(srcdir)/'`tests/stub_libmem.cc
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Tpo tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Po
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='tests/stub_libmem.cc' object='tests/cachemgr__CGIEXT_-stub_libmem.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o tests/cachemgr__CGIEXT_-stub_libmem.o `test -f 'tests/stub_libmem.cc' || echo '$(srcdir)/'`tests/stub_libmem.cc
+
+tests/cachemgr__CGIEXT_-stub_libmem.obj: tests/stub_libmem.cc
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT tests/cachemgr__CGIEXT_-stub_libmem.obj -MD -MP -MF tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Tpo -c -o tests/cachemgr__CGIEXT_-stub_libmem.obj `if test -f 'tests/stub_libmem.cc'; then $(CYGPATH_W) 'tests/stub_libmem.cc'; else $(CYGPATH_W) '$(srcdir)/tests/stub_libmem.cc'; fi`
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Tpo tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Po
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='tests/stub_libmem.cc' object='tests/cachemgr__CGIEXT_-stub_libmem.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o tests/cachemgr__CGIEXT_-stub_libmem.obj `if test -f 'tests/stub_libmem.cc'; then $(CYGPATH_W) 'tests/stub_libmem.cc'; else $(CYGPATH_W) '$(srcdir)/tests/stub_libmem.cc'; fi`
+
 mostlyclean-libtool:
 	-rm -f *.lo
 
@@ -1514,6 +1534,8 @@
 distclean-generic:
 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
+	-rm -f tests/$(DEPDIR)/$(am__dirstamp)
+	-rm -f tests/$(am__dirstamp)
 	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
 
 maintainer-clean-generic:
@@ -1529,11 +1551,11 @@
 	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-Here.Po
 	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-MemBuf.Po
 	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Po
-	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po
-	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po
-	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Po
 	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-test_tools.Po
 	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-time.Po
+	-rm -f tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po
+	-rm -f tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po
+	-rm -f tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Po
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
 	distclean-tags
@@ -1583,11 +1605,11 @@
 	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-Here.Po
 	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-MemBuf.Po
 	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Po
-	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po
-	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po
-	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Po
 	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-test_tools.Po
 	-rm -f ./$(DEPDIR)/cachemgr__CGIEXT_-time.Po
+	-rm -f tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po
+	-rm -f tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po
+	-rm -f tests/$(DEPDIR)/cachemgr__CGIEXT_-stub_libmem.Po
 	-rm -f Makefile
 maintainer-clean-am: distclean-am maintainer-clean-generic
 
@@ -1637,7 +1659,7 @@
 test_tools.cc: $(top_srcdir)/test-suite/test_tools.cc
 	cp $(top_srcdir)/test-suite/test_tools.cc $@
 
-stub_debug.cc: $(top_srcdir)/src/tests/stub_debug.cc
+tests/stub_debug.cc: $(top_srcdir)/src/tests/stub_debug.cc
 	cp $(top_srcdir)/src/tests/stub_debug.cc $@
 
 Here.cc: $(top_srcdir)/src/base/Here.cc
@@ -1652,13 +1674,13 @@
 time.cc: $(top_srcdir)/src/time.cc
 	cp $(top_srcdir)/src/time.cc $@
 
-stub_cbdata.cc: $(top_srcdir)/src/tests/stub_cbdata.cc
+tests/stub_cbdata.cc: $(top_srcdir)/src/tests/stub_cbdata.cc
 	cp $(top_srcdir)/src/tests/stub_cbdata.cc $@
 
-stub_libmem.cc: $(top_srcdir)/src/tests/stub_libmem.cc STUB.h
+tests/stub_libmem.cc: $(top_srcdir)/src/tests/stub_libmem.cc
 	cp $(top_srcdir)/src/tests/stub_libmem.cc $@
 
-STUB.h: $(top_srcdir)/src/tests/STUB.h
+tests/STUB.h: $(top_srcdir)/src/tests/STUB.h
 	cp $(top_srcdir)/src/tests/STUB.h $@
 
 cachemgr.cgi.8: $(srcdir)/cachemgr.cgi.8.in Makefile
diff -u -r -N squid-5.0.3/tools/purge/conffile.cc squid-5.0.4/tools/purge/conffile.cc
--- squid-5.0.3/tools/purge/conffile.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/tools/purge/conffile.cc	2020-08-23 05:40:17.000000000 +1200
@@ -86,7 +86,7 @@
     char *s, line[1024];
     CacheDir cd;
     while ( cfgin.getline( line, sizeof(line)) ) {
-        // FIXME: overly long lines
+        // TODO: overly long lines
 
         // terminate line at start of comment
         if ( (s = (char*) memchr( line, '#', sizeof(line) )) ) *s = '\0';
diff -u -r -N squid-5.0.3/tools/purge/copyout.cc squid-5.0.4/tools/purge/copyout.cc
--- squid-5.0.3/tools/purge/copyout.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/tools/purge/copyout.cc	2020-08-23 05:40:17.000000000 +1200
@@ -180,7 +180,7 @@
     }
 
     // find double CRLF sequence (actually, look at the FSM below)
-    // FIXME: this only looks at the already known buffer read previously,
+    // XXX: this only looks at the already known buffer read previously,
     // which is globally passed (yuck)! As a limitation, the content data
     // *must* begin within the buffer size (that is: 16k)!
     if ( ! copyHdr ) {
diff -u -r -N squid-5.0.3/tools/purge/purge.cc squid-5.0.4/tools/purge/purge.cc
--- squid-5.0.3/tools/purge/purge.cc	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/tools/purge/purge.cc	2020-08-23 05:40:17.000000000 +1200
@@ -463,7 +463,7 @@
 
             // "meta" will be deleted when exiting from this block
         } else {
-            // weird file, FIXME: stat() it!
+            // weird file, TODO: stat() it!
             struct stat st;
             long size = ( fstat(fd,&st) == -1 ? -1 : st.st_size );
             if ( ::verbose ) flag = ( log_extended( fn, -1, size, 0 ) >= 0 );
diff -u -r -N squid-5.0.3/tools/squidclient/Makefile.am squid-5.0.4/tools/squidclient/Makefile.am
--- squid-5.0.3/tools/squidclient/Makefile.am	2020-06-08 03:33:42.000000000 +1200
+++ squid-5.0.4/tools/squidclient/Makefile.am	2020-08-23 05:40:17.000000000 +1200
@@ -30,25 +30,24 @@
 test_tools.cc: $(top_srcdir)/test-suite/test_tools.cc
 	cp $(top_srcdir)/test-suite/test_tools.cc $@
 
-stub_debug.cc: $(top_srcdir)/src/tests/stub_debug.cc
+tests/stub_debug.cc: $(top_srcdir)/src/tests/stub_debug.cc
 	cp $(top_srcdir)/src/tests/stub_debug.cc $@
 
 time.cc: $(top_srcdir)/src/time.cc
 	cp $(top_srcdir)/src/time.cc $@
 
-stub_libmem.cc: $(top_srcdir)/src/tests/stub_libmem.cc STUB.h
+tests/stub_libmem.cc: $(top_srcdir)/src/tests/stub_libmem.cc
 	cp $(top_srcdir)/src/tests/stub_libmem.cc $@
-	
-STUB.h: $(top_srcdir)/src/tests/STUB.h
+
+tests/STUB.h: $(top_srcdir)/src/tests/STUB.h
 	cp $(top_srcdir)/src/tests/STUB.h $@
-	
 
 # stock tools for unit tests - library independent versions of dlink_list
 # etc.
 # globals.cc is needed by test_tools.cc.
 # Neither of these should be disted from here.
 TESTSOURCES= test_tools.cc
-CLEANFILES += test_tools.cc stub_debug.cc time.cc stub_libmem.cc STUB.h
+CLEANFILES += test_tools.cc tests/stub_debug.cc time.cc tests/stub_libmem.cc tests/STUB.h
 
 ## ##### squidclient  #####
 
@@ -61,10 +60,12 @@
 	Ping.cc \
 	Ping.h \
 	squidclient.cc \
-	stub_debug.cc \
 	test_tools.cc \
-	stub_libmem.cc \
-	STUB.h \
 	time.cc \
 	Transport.cc \
 	Transport.h
+
+nodist_squidclient_SOURCES = \
+	tests/stub_debug.cc \
+	tests/stub_libmem.cc \
+	tests/STUB.h
diff -u -r -N squid-5.0.3/tools/squidclient/Makefile.in squid-5.0.4/tools/squidclient/Makefile.in
--- squid-5.0.3/tools/squidclient/Makefile.in	2020-06-09 18:58:24.000000000 +1200
+++ squid-5.0.4/tools/squidclient/Makefile.in	2020-08-23 05:39:45.000000000 +1200
@@ -167,10 +167,13 @@
 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
 PROGRAMS = $(bin_PROGRAMS)
 am_squidclient_OBJECTS = gssapi_support.$(OBJEXT) Ping.$(OBJEXT) \
-	squidclient.$(OBJEXT) stub_debug.$(OBJEXT) \
-	test_tools.$(OBJEXT) stub_libmem.$(OBJEXT) time.$(OBJEXT) \
+	squidclient.$(OBJEXT) test_tools.$(OBJEXT) time.$(OBJEXT) \
 	Transport.$(OBJEXT)
-squidclient_OBJECTS = $(am_squidclient_OBJECTS)
+am__dirstamp = $(am__leading_dot)dirstamp
+nodist_squidclient_OBJECTS = tests/stub_debug.$(OBJEXT) \
+	tests/stub_libmem.$(OBJEXT)
+squidclient_OBJECTS = $(am_squidclient_OBJECTS) \
+	$(nodist_squidclient_OBJECTS)
 squidclient_LDADD = $(LDADD)
 @ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
 am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompatsquid.la \
@@ -203,8 +206,8 @@
 am__maybe_remake_depfiles = depfiles
 am__depfiles_remade = ./$(DEPDIR)/Ping.Po ./$(DEPDIR)/Transport.Po \
 	./$(DEPDIR)/gssapi_support.Po ./$(DEPDIR)/squidclient.Po \
-	./$(DEPDIR)/stub_debug.Po ./$(DEPDIR)/stub_libmem.Po \
-	./$(DEPDIR)/test_tools.Po ./$(DEPDIR)/time.Po
+	./$(DEPDIR)/test_tools.Po ./$(DEPDIR)/time.Po \
+	tests/$(DEPDIR)/stub_debug.Po tests/$(DEPDIR)/stub_libmem.Po
 am__mv = mv -f
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
@@ -242,7 +245,7 @@
 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
 am__v_CCLD_0 = @echo "  CCLD    " $@;
 am__v_CCLD_1 = 
-SOURCES = $(squidclient_SOURCES)
+SOURCES = $(squidclient_SOURCES) $(nodist_squidclient_SOURCES)
 DIST_SOURCES = $(squidclient_SOURCES)
 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
 	ctags-recursive dvi-recursive html-recursive info-recursive \
@@ -777,7 +780,8 @@
 DEFAULT_ERROR_DIR = $(datadir)/errors
 AM_CFLAGS = $(SQUID_CFLAGS)
 AM_CXXFLAGS = $(SQUID_CXXFLAGS)
-CLEANFILES = test_tools.cc stub_debug.cc time.cc stub_libmem.cc STUB.h
+CLEANFILES = test_tools.cc tests/stub_debug.cc time.cc \
+	tests/stub_libmem.cc tests/STUB.h
 AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
 	-I$(top_srcdir)/lib -I$(top_srcdir)/src \
 	-I$(top_builddir)/include $(LIBCPPUNIT_CFLAGS) $(KRB5INCS) \
@@ -823,14 +827,16 @@
 	Ping.cc \
 	Ping.h \
 	squidclient.cc \
-	stub_debug.cc \
 	test_tools.cc \
-	stub_libmem.cc \
-	STUB.h \
 	time.cc \
 	Transport.cc \
 	Transport.h
 
+nodist_squidclient_SOURCES = \
+	tests/stub_debug.cc \
+	tests/stub_libmem.cc \
+	tests/STUB.h
+
 all: all-recursive
 
 .SUFFIXES:
@@ -923,6 +929,16 @@
 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
 	echo " rm -f" $$list; \
 	rm -f $$list
+tests/$(am__dirstamp):
+	@$(MKDIR_P) tests
+	@: > tests/$(am__dirstamp)
+tests/$(DEPDIR)/$(am__dirstamp):
+	@$(MKDIR_P) tests/$(DEPDIR)
+	@: > tests/$(DEPDIR)/$(am__dirstamp)
+tests/stub_debug.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
+tests/stub_libmem.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
 
 squidclient$(EXEEXT): $(squidclient_OBJECTS) $(squidclient_DEPENDENCIES) $(EXTRA_squidclient_DEPENDENCIES) 
 	@rm -f squidclient$(EXEEXT)
@@ -930,6 +946,7 @@
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
+	-rm -f tests/*.$(OBJEXT)
 
 distclean-compile:
 	-rm -f *.tab.c
@@ -938,10 +955,10 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Transport.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gssapi_support.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/squidclient.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_debug.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_libmem.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_tools.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/time.Po@am__quote@ # am--include-marker
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_debug.Po@am__quote@ # am--include-marker
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_libmem.Po@am__quote@ # am--include-marker
 
 $(am__depfiles_remade):
 	@$(MKDIR_P) $(@D)
@@ -1375,6 +1392,8 @@
 distclean-generic:
 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
+	-rm -f tests/$(DEPDIR)/$(am__dirstamp)
+	-rm -f tests/$(am__dirstamp)
 	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
 
 maintainer-clean-generic:
@@ -1390,10 +1409,10 @@
 	-rm -f ./$(DEPDIR)/Transport.Po
 	-rm -f ./$(DEPDIR)/gssapi_support.Po
 	-rm -f ./$(DEPDIR)/squidclient.Po
-	-rm -f ./$(DEPDIR)/stub_debug.Po
-	-rm -f ./$(DEPDIR)/stub_libmem.Po
 	-rm -f ./$(DEPDIR)/test_tools.Po
 	-rm -f ./$(DEPDIR)/time.Po
+	-rm -f tests/$(DEPDIR)/stub_debug.Po
+	-rm -f tests/$(DEPDIR)/stub_libmem.Po
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
 	distclean-tags
@@ -1443,10 +1462,10 @@
 	-rm -f ./$(DEPDIR)/Transport.Po
 	-rm -f ./$(DEPDIR)/gssapi_support.Po
 	-rm -f ./$(DEPDIR)/squidclient.Po
-	-rm -f ./$(DEPDIR)/stub_debug.Po
-	-rm -f ./$(DEPDIR)/stub_libmem.Po
 	-rm -f ./$(DEPDIR)/test_tools.Po
 	-rm -f ./$(DEPDIR)/time.Po
+	-rm -f tests/$(DEPDIR)/stub_debug.Po
+	-rm -f tests/$(DEPDIR)/stub_libmem.Po
 	-rm -f Makefile
 maintainer-clean-am: distclean-am maintainer-clean-generic
 
@@ -1495,16 +1514,16 @@
 test_tools.cc: $(top_srcdir)/test-suite/test_tools.cc
 	cp $(top_srcdir)/test-suite/test_tools.cc $@
 
-stub_debug.cc: $(top_srcdir)/src/tests/stub_debug.cc
+tests/stub_debug.cc: $(top_srcdir)/src/tests/stub_debug.cc
 	cp $(top_srcdir)/src/tests/stub_debug.cc $@
 
 time.cc: $(top_srcdir)/src/time.cc
 	cp $(top_srcdir)/src/time.cc $@
 
-stub_libmem.cc: $(top_srcdir)/src/tests/stub_libmem.cc STUB.h
+tests/stub_libmem.cc: $(top_srcdir)/src/tests/stub_libmem.cc
 	cp $(top_srcdir)/src/tests/stub_libmem.cc $@
 
-STUB.h: $(top_srcdir)/src/tests/STUB.h
+tests/STUB.h: $(top_srcdir)/src/tests/STUB.h
 	cp $(top_srcdir)/src/tests/STUB.h $@
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
diff -u -r -N squid-5.0.3/tools/squidclient/stub_debug.cc squid-5.0.4/tools/squidclient/stub_debug.cc
--- squid-5.0.3/tools/squidclient/stub_debug.cc	2020-06-09 19:09:23.000000000 +1200
+++ squid-5.0.4/tools/squidclient/stub_debug.cc	1970-01-01 12:00:00.000000000 +1200
@@ -1,158 +0,0 @@
-/*
- * Copyright (C) 1996-2020 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-/*
- * A stub implementation of the Debug.h API.
- * For use by test binaries which do not need the full context debugging
- *
- * Note: it doesn't use the STUB API as the functions defined here must
- * not abort the unit test.
- */
-#include "squid.h"
-#include "Debug.h"
-
-#define STUB_API "debug.cc"
-#include "tests/STUB.h"
-
-char *Debug::debugOptions;
-char *Debug::cache_log= NULL;
-int Debug::rotateNumber = 0;
-int Debug::Levels[MAX_DEBUG_SECTIONS];
-int Debug::override_X = 0;
-int Debug::log_stderr = 1;
-bool Debug::log_syslog = false;
-void Debug::ForceAlert() STUB
-
-void StopUsingDebugLog() STUB
-void ResyncDebugLog(FILE *) STUB
-
-FILE *
-DebugStream()
-{
-    return stderr;
-}
-
-Ctx
-ctx_enter(const char *)
-{
-    return -1;
-}
-
-void
-ctx_exit(Ctx)
-{}
-
-void
-_db_init(const char *, const char *)
-{}
-
-void
-_db_set_syslog(const char *)
-{}
-
-void
-_db_rotate_log(void)
-{}
-
-static void
-_db_print_stderr(const char *format, va_list args);
-
-void
-_db_print(const char *format,...)
-{
-    static char f[BUFSIZ];
-    va_list args1;
-    va_list args2;
-    va_list args3;
-
-    va_start(args1, format);
-    va_start(args2, format);
-    va_start(args3, format);
-
-    snprintf(f, BUFSIZ, "%s| %s",
-             "stub time", //debugLogTime(squid_curtime),
-             format);
-
-    _db_print_stderr(f, args2);
-
-    va_end(args1);
-    va_end(args2);
-    va_end(args3);
-}
-
-static void
-_db_print_stderr(const char *format, va_list args)
-{
-    if (1 < Debug::Level())
-        return;
-
-    vfprintf(stderr, format, args);
-}
-
-void
-Debug::parseOptions(char const *)
-{}
-
-Debug::Context *Debug::Current = nullptr;
-
-Debug::Context::Context(const int aSection, const int aLevel):
-    level(aLevel),
-    sectionLevel(Levels[aSection]),
-    upper(Current),
-    forceAlert(false)
-{
-    buf.setf(std::ios::fixed);
-    buf.precision(2);
-}
-
-std::ostringstream &
-Debug::Start(const int section, const int level)
-{
-    Current = new Context(section, level);
-    return Current->buf;
-}
-
-void
-Debug::Finish()
-{
-    if (Current) {
-        _db_print("%s\n", Current->buf.str().c_str());
-        delete Current;
-        Current = nullptr;
-    }
-}
-
-std::ostream&
-ForceAlert(std::ostream& s)
-{
-    return s;
-}
-
-std::ostream &
-Raw::print(std::ostream &os) const
-{
-    if (label_)
-        os << ' ' << label_ << '[' << size_ << ']';
-
-    if (!size_)
-        return os;
-
-    // finalize debugging level if no level was set explicitly via minLevel()
-    const int finalLevel = (level >= 0) ? level :
-                           (size_ > 40 ? DBG_DATA : Debug::SectionLevel());
-    if (finalLevel <= Debug::SectionLevel()) {
-        os << (label_ ? '=' : ' ');
-        if (data_)
-            os.write(data_, size_);
-        else
-            os << "[null]";
-    }
-
-    return os;
-}
-
diff -u -r -N squid-5.0.3/tools/squidclient/STUB.h squid-5.0.4/tools/squidclient/STUB.h
--- squid-5.0.3/tools/squidclient/STUB.h	2020-06-09 19:09:23.000000000 +1200
+++ squid-5.0.4/tools/squidclient/STUB.h	1970-01-01 12:00:00.000000000 +1200
@@ -1,57 +0,0 @@
-/*
- * Copyright (C) 1996-2020 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-#ifndef STUB
-
-/** \group STUB
- *
- *  A set of useful macros to create stub_* files.
- *
- * Intended for use building unit tests, if a stubbed function is called
- * by any code it is linked to it will abort with a message indicating
- * which API file is missing from the linked dependencies.
- *
- * Usage:
- *    at the top of your intended stub file define STUB_API to be the
- *    name of the .cc file or library you are providing a stub of
- *    then include this STUB.h header.
- *
- *   #define STUB_API "foo/libexample.la"
- *   #include "tests/STUB.h"
- */
-#include <iostream>
-
-// Internal Special: the STUB framework requires this function
-#define stub_fatal(m) { std::cerr<<"FATAL: "<<(m)<<" for use of "<<__FUNCTION__<<"\n"; exit(EXIT_FAILURE); }
-
-/// macro to stub a void function.
-#define STUB { stub_fatal(STUB_API " required"); }
-
-/// macro to stub a void function without a fatal message
-/// Intended for registration pattern APIs where the function result does not matter to the test
-#define STUB_NOP { std::cerr<<"SKIP: "<<STUB_API<<" "<<__FUNCTION__<<" (not implemented).\n"; }
-
-/// macro to stub a function with return value.
-/// Aborts unit tests requiring its definition with a message about the missing linkage
-#define STUB_RETVAL(x) { stub_fatal(STUB_API " required"); return x; }
-
-/// macro to stub a void function without a fatal message and with a return value
-/// Intended for registration pattern APIs where the function result does not matter to the test
-#define STUB_RETVAL_NOP(x) { std::cerr<<"SKIP: "<<STUB_API<<" "<<__FUNCTION__<<" (not implemented).\n"; return x; }
-
-/** macro to stub a function which returns a reference to dynamic
- *  Aborts unit tests requiring its definition with a message about the missing linkage
- *  \param x underlying or "referred to" type
- */
-#define STUB_RETREF(x) { stub_fatal(STUB_API " required"); return *(x *)nullptr; }
-
-/** Same as STUB_RETREF(). TODO: Remove */
-#define STUB_RETSTATREF(x) STUB_RETREF(x)
-
-#endif /* STUB */
-
diff -u -r -N squid-5.0.3/tools/squidclient/stub_libmem.cc squid-5.0.4/tools/squidclient/stub_libmem.cc
--- squid-5.0.3/tools/squidclient/stub_libmem.cc	2020-06-09 19:09:23.000000000 +1200
+++ squid-5.0.4/tools/squidclient/stub_libmem.cc	1970-01-01 12:00:00.000000000 +1200
@@ -1,115 +0,0 @@
-/*
- * Copyright (C) 1996-2020 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-#include "squid.h"
-
-#define STUB_API "mem/libmem.la"
-#include "STUB.h"
-
-#include "mem/AllocatorProxy.h"
-void *Mem::AllocatorProxy::alloc() {return xmalloc(64*1024);}
-void Mem::AllocatorProxy::freeOne(void *address) {xfree(address);}
-int Mem::AllocatorProxy::inUseCount() const {return 0;}
-//static MemPoolMeter tmpMemPoolMeter;
-//MemPoolMeter const &Mem::AllocatorProxy::getMeter() const STUB_RETVAL(tmpMemPoolMeter)
-int Mem::AllocatorProxy::getStats(MemPoolStats *) STUB_RETVAL(0)
-
-#include "mem/forward.h"
-void Mem::Init() STUB_NOP
-void Mem::Report() STUB_NOP
-void Mem::Stats(StoreEntry *) STUB_NOP
-void CleanIdlePools(void *) STUB_NOP
-void Report(std::ostream &) STUB_NOP
-void PoolReport(const MemPoolStats *, const MemPoolMeter *, std::ostream &) STUB_NOP
-//const size_t squidSystemPageSize = 4096;
-void memClean(void) STUB
-void memInitModule(void) STUB
-void memCleanModule(void) STUB
-void memConfigure(void) STUB
-
-void * memAllocate(mem_type)
-{
-    // let's waste plenty of memory. This should cover any possible need
-    return xmalloc(64*1024);
-}
-
-void *memAllocString(size_t net_size, size_t * gross_size) {return memAllocBuf(net_size, gross_size);}
-
-void *memAllocRigid(size_t net_size)
-{
-    return xmalloc(net_size);
-}
-
-void *
-memAllocBuf(size_t net_size, size_t * gross_size)
-{
-    *gross_size=net_size;
-    return xcalloc(1, net_size);
-}
-
-/* net_size is the new size, *gross size is the old gross size, to be changed to
- * the new gross size as a side-effect.
- */
-void *
-memReallocBuf(void *oldbuf, size_t net_size, size_t * gross_size)
-{
-    void *rv=xrealloc(oldbuf,net_size);
-//    if (net_size > *gross_size)
-//        memset(rv+net_size,0,net_size-*gross_size);
-    *gross_size=net_size;
-    return rv;
-}
-
-void memFree(void *p, int) {xfree(p);}
-void memFreeString(size_t, void *buf) {xfree(buf);}
-void memFreeRigid(void *buf, size_t) {xfree(buf);}
-void memFreeBuf(size_t, void *buf) {xfree(buf);}
-static void cxx_xfree(void * ptr) {xfree(ptr);}
-FREE *memFreeBufFunc(size_t) {return cxx_xfree;}
-int memInUse(mem_type) STUB_RETVAL(0)
-void memDataInit(mem_type, const char *, size_t, int, bool) STUB_NOP
-void memCheckInit(void) STUB_NOP
-
-#include "mem/Pool.h"
-MemPoolMeter::MemPoolMeter() STUB_NOP
-void MemPoolMeter::flush() STUB
-static MemPools tmpMemPools;
-MemPools &MemPools::GetInstance() {return tmpMemPools;}
-MemPools::MemPools() :
-    pools(nullptr),
-    mem_idle_limit(0),
-    poolCount(0),
-    defaultIsChunked(false)
-{}
-void MemPools::flushMeters() STUB
-MemImplementingAllocator * MemPools::create(const char *, size_t) STUB_RETVAL(nullptr);
-void MemPools::setIdleLimit(ssize_t) STUB
-ssize_t MemPools::idleLimit() const STUB_RETVAL(0)
-void MemPools::clean(time_t) STUB
-void MemPools::setDefaultPoolChunking(bool const &) STUB
-
-//MemAllocator::MemAllocator(char const *aLabel);
-char const *MemAllocator::objectType() const STUB_RETVAL(nullptr)
-int MemAllocator::inUseCount() STUB_RETVAL(0)
-size_t MemAllocator::RoundedSize(size_t minSize) STUB_RETVAL(minSize)
-
-//MemImplementingAllocator::MemImplementingAllocator(char const *, size_t) STUB_NOP
-//MemImplementingAllocator::~MemImplementingAllocator();
-MemPoolMeter const &MemImplementingAllocator::getMeter() const STUB_RETSTATREF(MemPoolMeter)
-MemPoolMeter &MemImplementingAllocator::getMeter() STUB_RETSTATREF(MemPoolMeter)
-void MemImplementingAllocator::flushMetersFull() STUB
-void MemImplementingAllocator::flushMeters() STUB
-void *MemImplementingAllocator::alloc() STUB_RETVAL(nullptr)
-void MemImplementingAllocator::freeOne(void *) STUB
-
-MemPoolIterator * memPoolIterate(void) STUB_RETVAL(nullptr)
-MemImplementingAllocator * memPoolIterateNext(MemPoolIterator *) STUB_RETVAL(nullptr)
-void memPoolIterateDone(MemPoolIterator **) STUB
-int memPoolGetGlobalStats(MemPoolGlobalStats *) STUB_RETVAL(0)
-int memPoolsTotalAllocated(void) STUB_RETVAL(0)
-
diff -u -r -N squid-5.0.3/tools/stub_cbdata.cc squid-5.0.4/tools/stub_cbdata.cc
--- squid-5.0.3/tools/stub_cbdata.cc	2020-06-09 19:09:23.000000000 +1200
+++ squid-5.0.4/tools/stub_cbdata.cc	1970-01-01 12:00:00.000000000 +1200
@@ -1,35 +0,0 @@
-/*
- * Copyright (C) 1996-2020 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-#include "squid.h"
-#include "cbdata.h"
-
-#define STUB_API "cbdata.cc"
-#include "tests/STUB.h"
-
-void cbdataRegisterWithCacheManager(void) STUB
-void *cbdataInternalAlloc(cbdata_type, const char *, int sz) {
-    return xcalloc(1, sz);
-}
-void *cbdataInternalFree(void *p, const char *, int) {
-    xfree(p);
-    return nullptr;
-}
-#if USE_CBDATA_DEBUG
-void cbdataInternalLockDbg(const void *, const char *, int) STUB
-void cbdataInternalUnlockDbg(const void *, const char *, int) STUB
-int cbdataInternalReferenceDoneValidDbg(void **, void **, const char *, int) STUB_RETVAL(0)
-#else
-void cbdataInternalLock(const void *) STUB
-void cbdataInternalUnlock(const void *) STUB
-int cbdataInternalReferenceDoneValid(void **, void **) STUB_RETVAL(0)
-#endif
-
-int cbdataReferenceValid(const void *) STUB_RETVAL(0)
-cbdata_type cbdataInternalAddType(cbdata_type, const char *, int) STUB_RETVAL(CBDATA_UNKNOWN)
-
diff -u -r -N squid-5.0.3/tools/stub_debug.cc squid-5.0.4/tools/stub_debug.cc
--- squid-5.0.3/tools/stub_debug.cc	2020-06-09 19:09:23.000000000 +1200
+++ squid-5.0.4/tools/stub_debug.cc	1970-01-01 12:00:00.000000000 +1200
@@ -1,158 +0,0 @@
-/*
- * Copyright (C) 1996-2020 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-/*
- * A stub implementation of the Debug.h API.
- * For use by test binaries which do not need the full context debugging
- *
- * Note: it doesn't use the STUB API as the functions defined here must
- * not abort the unit test.
- */
-#include "squid.h"
-#include "Debug.h"
-
-#define STUB_API "debug.cc"
-#include "tests/STUB.h"
-
-char *Debug::debugOptions;
-char *Debug::cache_log= NULL;
-int Debug::rotateNumber = 0;
-int Debug::Levels[MAX_DEBUG_SECTIONS];
-int Debug::override_X = 0;
-int Debug::log_stderr = 1;
-bool Debug::log_syslog = false;
-void Debug::ForceAlert() STUB
-
-void StopUsingDebugLog() STUB
-void ResyncDebugLog(FILE *) STUB
-
-FILE *
-DebugStream()
-{
-    return stderr;
-}
-
-Ctx
-ctx_enter(const char *)
-{
-    return -1;
-}
-
-void
-ctx_exit(Ctx)
-{}
-
-void
-_db_init(const char *, const char *)
-{}
-
-void
-_db_set_syslog(const char *)
-{}
-
-void
-_db_rotate_log(void)
-{}
-
-static void
-_db_print_stderr(const char *format, va_list args);
-
-void
-_db_print(const char *format,...)
-{
-    static char f[BUFSIZ];
-    va_list args1;
-    va_list args2;
-    va_list args3;
-
-    va_start(args1, format);
-    va_start(args2, format);
-    va_start(args3, format);
-
-    snprintf(f, BUFSIZ, "%s| %s",
-             "stub time", //debugLogTime(squid_curtime),
-             format);
-
-    _db_print_stderr(f, args2);
-
-    va_end(args1);
-    va_end(args2);
-    va_end(args3);
-}
-
-static void
-_db_print_stderr(const char *format, va_list args)
-{
-    if (1 < Debug::Level())
-        return;
-
-    vfprintf(stderr, format, args);
-}
-
-void
-Debug::parseOptions(char const *)
-{}
-
-Debug::Context *Debug::Current = nullptr;
-
-Debug::Context::Context(const int aSection, const int aLevel):
-    level(aLevel),
-    sectionLevel(Levels[aSection]),
-    upper(Current),
-    forceAlert(false)
-{
-    buf.setf(std::ios::fixed);
-    buf.precision(2);
-}
-
-std::ostringstream &
-Debug::Start(const int section, const int level)
-{
-    Current = new Context(section, level);
-    return Current->buf;
-}
-
-void
-Debug::Finish()
-{
-    if (Current) {
-        _db_print("%s\n", Current->buf.str().c_str());
-        delete Current;
-        Current = nullptr;
-    }
-}
-
-std::ostream&
-ForceAlert(std::ostream& s)
-{
-    return s;
-}
-
-std::ostream &
-Raw::print(std::ostream &os) const
-{
-    if (label_)
-        os << ' ' << label_ << '[' << size_ << ']';
-
-    if (!size_)
-        return os;
-
-    // finalize debugging level if no level was set explicitly via minLevel()
-    const int finalLevel = (level >= 0) ? level :
-                           (size_ > 40 ? DBG_DATA : Debug::SectionLevel());
-    if (finalLevel <= Debug::SectionLevel()) {
-        os << (label_ ? '=' : ' ');
-        if (data_)
-            os.write(data_, size_);
-        else
-            os << "[null]";
-    }
-
-    return os;
-}
-
diff -u -r -N squid-5.0.3/tools/STUB.h squid-5.0.4/tools/STUB.h
--- squid-5.0.3/tools/STUB.h	2020-06-09 19:09:23.000000000 +1200
+++ squid-5.0.4/tools/STUB.h	1970-01-01 12:00:00.000000000 +1200
@@ -1,57 +0,0 @@
-/*
- * Copyright (C) 1996-2020 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-#ifndef STUB
-
-/** \group STUB
- *
- *  A set of useful macros to create stub_* files.
- *
- * Intended for use building unit tests, if a stubbed function is called
- * by any code it is linked to it will abort with a message indicating
- * which API file is missing from the linked dependencies.
- *
- * Usage:
- *    at the top of your intended stub file define STUB_API to be the
- *    name of the .cc file or library you are providing a stub of
- *    then include this STUB.h header.
- *
- *   #define STUB_API "foo/libexample.la"
- *   #include "tests/STUB.h"
- */
-#include <iostream>
-
-// Internal Special: the STUB framework requires this function
-#define stub_fatal(m) { std::cerr<<"FATAL: "<<(m)<<" for use of "<<__FUNCTION__<<"\n"; exit(EXIT_FAILURE); }
-
-/// macro to stub a void function.
-#define STUB { stub_fatal(STUB_API " required"); }
-
-/// macro to stub a void function without a fatal message
-/// Intended for registration pattern APIs where the function result does not matter to the test
-#define STUB_NOP { std::cerr<<"SKIP: "<<STUB_API<<" "<<__FUNCTION__<<" (not implemented).\n"; }
-
-/// macro to stub a function with return value.
-/// Aborts unit tests requiring its definition with a message about the missing linkage
-#define STUB_RETVAL(x) { stub_fatal(STUB_API " required"); return x; }
-
-/// macro to stub a void function without a fatal message and with a return value
-/// Intended for registration pattern APIs where the function result does not matter to the test
-#define STUB_RETVAL_NOP(x) { std::cerr<<"SKIP: "<<STUB_API<<" "<<__FUNCTION__<<" (not implemented).\n"; return x; }
-
-/** macro to stub a function which returns a reference to dynamic
- *  Aborts unit tests requiring its definition with a message about the missing linkage
- *  \param x underlying or "referred to" type
- */
-#define STUB_RETREF(x) { stub_fatal(STUB_API " required"); return *(x *)nullptr; }
-
-/** Same as STUB_RETREF(). TODO: Remove */
-#define STUB_RETSTATREF(x) STUB_RETREF(x)
-
-#endif /* STUB */
-
diff -u -r -N squid-5.0.3/tools/stub_libmem.cc squid-5.0.4/tools/stub_libmem.cc
--- squid-5.0.3/tools/stub_libmem.cc	2020-06-09 19:09:23.000000000 +1200
+++ squid-5.0.4/tools/stub_libmem.cc	1970-01-01 12:00:00.000000000 +1200
@@ -1,115 +0,0 @@
-/*
- * Copyright (C) 1996-2020 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-#include "squid.h"
-
-#define STUB_API "mem/libmem.la"
-#include "STUB.h"
-
-#include "mem/AllocatorProxy.h"
-void *Mem::AllocatorProxy::alloc() {return xmalloc(64*1024);}
-void Mem::AllocatorProxy::freeOne(void *address) {xfree(address);}
-int Mem::AllocatorProxy::inUseCount() const {return 0;}
-//static MemPoolMeter tmpMemPoolMeter;
-//MemPoolMeter const &Mem::AllocatorProxy::getMeter() const STUB_RETVAL(tmpMemPoolMeter)
-int Mem::AllocatorProxy::getStats(MemPoolStats *) STUB_RETVAL(0)
-
-#include "mem/forward.h"
-void Mem::Init() STUB_NOP
-void Mem::Report() STUB_NOP
-void Mem::Stats(StoreEntry *) STUB_NOP
-void CleanIdlePools(void *) STUB_NOP
-void Report(std::ostream &) STUB_NOP
-void PoolReport(const MemPoolStats *, const MemPoolMeter *, std::ostream &) STUB_NOP
-//const size_t squidSystemPageSize = 4096;
-void memClean(void) STUB
-void memInitModule(void) STUB
-void memCleanModule(void) STUB
-void memConfigure(void) STUB
-
-void * memAllocate(mem_type)
-{
-    // let's waste plenty of memory. This should cover any possible need
-    return xmalloc(64*1024);
-}
-
-void *memAllocString(size_t net_size, size_t * gross_size) {return memAllocBuf(net_size, gross_size);}
-
-void *memAllocRigid(size_t net_size)
-{
-    return xmalloc(net_size);
-}
-
-void *
-memAllocBuf(size_t net_size, size_t * gross_size)
-{
-    *gross_size=net_size;
-    return xcalloc(1, net_size);
-}
-
-/* net_size is the new size, *gross size is the old gross size, to be changed to
- * the new gross size as a side-effect.
- */
-void *
-memReallocBuf(void *oldbuf, size_t net_size, size_t * gross_size)
-{
-    void *rv=xrealloc(oldbuf,net_size);
-//    if (net_size > *gross_size)
-//        memset(rv+net_size,0,net_size-*gross_size);
-    *gross_size=net_size;
-    return rv;
-}
-
-void memFree(void *p, int) {xfree(p);}
-void memFreeString(size_t, void *buf) {xfree(buf);}
-void memFreeRigid(void *buf, size_t) {xfree(buf);}
-void memFreeBuf(size_t, void *buf) {xfree(buf);}
-static void cxx_xfree(void * ptr) {xfree(ptr);}
-FREE *memFreeBufFunc(size_t) {return cxx_xfree;}
-int memInUse(mem_type) STUB_RETVAL(0)
-void memDataInit(mem_type, const char *, size_t, int, bool) STUB_NOP
-void memCheckInit(void) STUB_NOP
-
-#include "mem/Pool.h"
-MemPoolMeter::MemPoolMeter() STUB_NOP
-void MemPoolMeter::flush() STUB
-static MemPools tmpMemPools;
-MemPools &MemPools::GetInstance() {return tmpMemPools;}
-MemPools::MemPools() :
-    pools(nullptr),
-    mem_idle_limit(0),
-    poolCount(0),
-    defaultIsChunked(false)
-{}
-void MemPools::flushMeters() STUB
-MemImplementingAllocator * MemPools::create(const char *, size_t) STUB_RETVAL(nullptr);
-void MemPools::setIdleLimit(ssize_t) STUB
-ssize_t MemPools::idleLimit() const STUB_RETVAL(0)
-void MemPools::clean(time_t) STUB
-void MemPools::setDefaultPoolChunking(bool const &) STUB
-
-//MemAllocator::MemAllocator(char const *aLabel);
-char const *MemAllocator::objectType() const STUB_RETVAL(nullptr)
-int MemAllocator::inUseCount() STUB_RETVAL(0)
-size_t MemAllocator::RoundedSize(size_t minSize) STUB_RETVAL(minSize)
-
-//MemImplementingAllocator::MemImplementingAllocator(char const *, size_t) STUB_NOP
-//MemImplementingAllocator::~MemImplementingAllocator();
-MemPoolMeter const &MemImplementingAllocator::getMeter() const STUB_RETSTATREF(MemPoolMeter)
-MemPoolMeter &MemImplementingAllocator::getMeter() STUB_RETSTATREF(MemPoolMeter)
-void MemImplementingAllocator::flushMetersFull() STUB
-void MemImplementingAllocator::flushMeters() STUB
-void *MemImplementingAllocator::alloc() STUB_RETVAL(nullptr)
-void MemImplementingAllocator::freeOne(void *) STUB
-
-MemPoolIterator * memPoolIterate(void) STUB_RETVAL(nullptr)
-MemImplementingAllocator * memPoolIterateNext(MemPoolIterator *) STUB_RETVAL(nullptr)
-void memPoolIterateDone(MemPoolIterator **) STUB
-int memPoolGetGlobalStats(MemPoolGlobalStats *) STUB_RETVAL(0)
-int memPoolsTotalAllocated(void) STUB_RETVAL(0)
-
